#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 9
#define STATE_COUNT 12161
#define SYMBOL_COUNT 270
#define ALIAS_COUNT 17
#define TOKEN_COUNT 144
#define EXTERNAL_TOKEN_COUNT 26
#define MAX_ALIAS_SEQUENCE_LENGTH 6

enum {
  sym__line_break = 1,
  sym__simple_symbol = 2,
  sym__string_start = 3,
  sym__symbol_start = 4,
  sym__subshell_start = 5,
  sym__regex_start = 6,
  sym__string_array_start = 7,
  sym__symbol_array_start = 8,
  sym__heredoc_body_start = 9,
  sym__string_content = 10,
  sym__heredoc_content = 11,
  sym__string_end = 12,
  sym_heredoc_end = 13,
  sym_heredoc_beginning = 14,
  sym__element_reference_left_bracket = 15,
  sym__block_ampersand = 16,
  sym__splat_star = 17,
  sym__argument_list_left_paren = 18,
  sym__infix_scope_colons = 19,
  sym__keyword_colon = 20,
  sym__unary_minus = 21,
  sym__binary_minus = 22,
  sym__binary_star = 23,
  sym__singleton_class_left_angle_left_langle = 24,
  sym__identifier_hash_key = 25,
  anon_sym___END__ = 26,
  sym_uninterpreted = 27,
  anon_sym_BEGIN = 28,
  anon_sym_LBRACE = 29,
  anon_sym_RBRACE = 30,
  anon_sym_END = 31,
  anon_sym_def = 32,
  anon_sym_LPAREN = 33,
  anon_sym_RPAREN = 34,
  anon_sym_DOT = 35,
  anon_sym_COLON_COLON = 36,
  anon_sym_COMMA = 37,
  anon_sym_PIPE = 38,
  anon_sym_SEMI = 39,
  anon_sym_STAR = 40,
  anon_sym_STAR_STAR = 41,
  anon_sym_AMP = 42,
  anon_sym_EQ = 43,
  anon_sym_class = 44,
  anon_sym_LT = 45,
  anon_sym_module = 46,
  anon_sym_end = 47,
  anon_sym_return = 48,
  anon_sym_yield = 49,
  anon_sym_break = 50,
  anon_sym_next = 51,
  sym_redo = 52,
  sym_retry = 53,
  anon_sym_if = 54,
  anon_sym_unless = 55,
  anon_sym_while = 56,
  anon_sym_until = 57,
  anon_sym_rescue = 58,
  anon_sym_for = 59,
  anon_sym_in = 60,
  anon_sym_do = 61,
  anon_sym_case = 62,
  anon_sym_when = 63,
  anon_sym_elsif = 64,
  anon_sym_else = 65,
  anon_sym_then = 66,
  anon_sym_begin = 67,
  anon_sym_ensure = 68,
  anon_sym_EQ_GT = 69,
  anon_sym_RBRACK = 70,
  anon_sym_AMP_DOT = 71,
  anon_sym_PLUS_EQ = 72,
  anon_sym_DASH_EQ = 73,
  anon_sym_STAR_EQ = 74,
  anon_sym_STAR_STAR_EQ = 75,
  anon_sym_SLASH_EQ = 76,
  anon_sym_PIPE_PIPE_EQ = 77,
  anon_sym_PIPE_EQ = 78,
  anon_sym_AMP_AMP_EQ = 79,
  anon_sym_AMP_EQ = 80,
  anon_sym_PERCENT_EQ = 81,
  anon_sym_GT_GT_EQ = 82,
  anon_sym_LT_LT_EQ = 83,
  anon_sym_CARET_EQ = 84,
  anon_sym_QMARK = 85,
  anon_sym_COLON = 86,
  anon_sym_DOT_DOT = 87,
  anon_sym_DOT_DOT_DOT = 88,
  anon_sym_and = 89,
  anon_sym_or = 90,
  anon_sym_PIPE_PIPE = 91,
  anon_sym_AMP_AMP = 92,
  anon_sym_LT_LT = 93,
  anon_sym_GT_GT = 94,
  anon_sym_EQ_EQ = 95,
  anon_sym_BANG_EQ = 96,
  anon_sym_EQ_EQ_EQ = 97,
  anon_sym_LT_EQ_GT = 98,
  anon_sym_EQ_TILDE = 99,
  anon_sym_BANG_TILDE = 100,
  anon_sym_LT_EQ = 101,
  anon_sym_GT = 102,
  anon_sym_GT_EQ = 103,
  anon_sym_CARET = 104,
  anon_sym_PLUS = 105,
  anon_sym_SLASH = 106,
  anon_sym_PERCENT = 107,
  anon_sym_defined_QMARK = 108,
  anon_sym_not = 109,
  anon_sym_BANG = 110,
  anon_sym_TILDE = 111,
  sym_constant = 112,
  sym_identifier = 113,
  sym_instance_variable = 114,
  sym_class_variable = 115,
  sym_global_variable = 116,
  anon_sym_DASH = 117,
  anon_sym_PLUS_AT = 118,
  anon_sym_DASH_AT = 119,
  anon_sym_LBRACK_RBRACK = 120,
  anon_sym_LBRACK_RBRACK_EQ = 121,
  anon_sym_BQUOTE = 122,
  anon_sym_undef = 123,
  anon_sym_alias = 124,
  sym_comment = 125,
  sym_integer = 126,
  sym_float = 127,
  sym_complex = 128,
  anon_sym_r = 129,
  sym_super = 130,
  anon_sym_true = 131,
  anon_sym_TRUE = 132,
  anon_sym_false = 133,
  anon_sym_FALSE = 134,
  sym_self = 135,
  anon_sym_nil = 136,
  anon_sym_NIL = 137,
  sym_character = 138,
  anon_sym_POUND_LBRACE = 139,
  aux_sym_SLASH_BSLASHs_PLUS_SLASH = 140,
  sym_escape_sequence = 141,
  anon_sym_LBRACK = 142,
  anon_sym_DASH_GT = 143,
  sym_program = 144,
  sym__statements = 145,
  sym__top_level_statement = 146,
  sym_begin_block = 147,
  sym_end_block = 148,
  sym__statement = 149,
  sym_method = 150,
  sym_singleton_method = 151,
  sym__method_rest = 152,
  sym_method_parameters = 153,
  sym_lambda_parameters = 154,
  sym_block_parameters = 155,
  sym__formal_parameter = 156,
  sym__simple_formal_parameter = 157,
  sym_destructured_parameter = 158,
  sym_splat_parameter = 159,
  sym_hash_splat_parameter = 160,
  sym_block_parameter = 161,
  sym_keyword_parameter = 162,
  sym_optional_parameter = 163,
  sym_class = 164,
  sym_superclass = 165,
  sym_singleton_class = 166,
  sym_module = 167,
  sym_return = 168,
  sym_yield = 169,
  sym_break = 170,
  sym_next = 171,
  sym_if_modifier = 172,
  sym_unless_modifier = 173,
  sym_while_modifier = 174,
  sym_until_modifier = 175,
  sym_rescue_modifier = 176,
  sym_while = 177,
  sym_until = 178,
  sym_for = 179,
  sym_in = 180,
  sym__do = 181,
  sym_case = 182,
  sym_when = 183,
  sym_pattern = 184,
  sym_if = 185,
  sym_unless = 186,
  sym_elsif = 187,
  sym_else = 188,
  sym__then = 189,
  sym__if_tail = 190,
  sym_begin = 191,
  sym_ensure = 192,
  sym_rescue = 193,
  sym_exceptions = 194,
  sym_exception_variable = 195,
  sym__body_statement = 196,
  sym__arg = 197,
  sym__primary = 198,
  sym_parenthesized_statements = 199,
  sym_element_reference = 200,
  sym_scope_resolution = 201,
  sym_call = 202,
  sym_method_call = 203,
  sym_argument_list = 204,
  sym_argument_list_with_parens = 205,
  sym__argument_list_with_parens = 206,
  sym__argument_list_with_trailing_comma = 207,
  sym__argument = 208,
  sym_splat_argument = 209,
  sym_hash_splat_argument = 210,
  sym_block_argument = 211,
  sym_do_block = 212,
  sym_block = 213,
  sym_assignment = 214,
  sym_operator_assignment = 215,
  sym_conditional = 216,
  sym_range = 217,
  sym_binary = 218,
  sym_unary = 219,
  sym_right_assignment_list = 220,
  sym__arg_or_splat_arg = 221,
  sym_left_assignment_list = 222,
  sym__mlhs = 223,
  sym__simple_mlhs = 224,
  sym_destructured_left_assignment = 225,
  sym_rest_assignment = 226,
  sym__lhs = 227,
  sym__variable = 228,
  sym_operator = 229,
  sym__method_name = 230,
  sym_setter = 231,
  sym_undef = 232,
  sym_alias = 233,
  sym_rational = 234,
  sym_true = 235,
  sym_false = 236,
  sym_nil = 237,
  sym_chained_string = 238,
  sym_interpolation = 239,
  sym_string = 240,
  sym_subshell = 241,
  sym_string_array = 242,
  sym_symbol_array = 243,
  sym_symbol = 244,
  sym_regex = 245,
  sym_heredoc_body = 246,
  sym__literal_contents = 247,
  sym_array = 248,
  sym_hash = 249,
  sym__hash_items = 250,
  sym_pair = 251,
  sym_lambda = 252,
  sym_empty_statement = 253,
  sym__terminator = 254,
  aux_sym__statements_repeat1 = 255,
  aux_sym_method_parameters_repeat1 = 256,
  aux_sym_lambda_parameters_repeat1 = 257,
  aux_sym_block_parameters_repeat1 = 258,
  aux_sym_case_repeat1 = 259,
  aux_sym_when_repeat1 = 260,
  aux_sym_exceptions_repeat1 = 261,
  aux_sym_call_repeat1 = 262,
  aux_sym_argument_list_repeat1 = 263,
  aux_sym_undef_repeat1 = 264,
  aux_sym_chained_string_repeat1 = 265,
  aux_sym_string_array_repeat1 = 266,
  aux_sym_symbol_array_repeat1 = 267,
  aux_sym_heredoc_body_repeat1 = 268,
  aux_sym__literal_contents_repeat1 = 269,
  anon_alias_sym_DQUOTE = 270,
  anon_alias_sym_PERCENTi_LPAREN = 271,
  anon_alias_sym_PERCENTw_LPAREN = 272,
  anon_alias_sym_LPAREN = 273,
  anon_alias_sym_RPAREN = 274,
  anon_alias_sym_STAR = 275,
  anon_alias_sym_DASH = 276,
  anon_alias_sym_SLASH = 277,
  anon_alias_sym_COLON = 278,
  anon_alias_sym_COLON_DQUOTE = 279,
  anon_alias_sym_COLON_COLON = 280,
  anon_alias_sym_LT_LT = 281,
  anon_alias_sym_LBRACK = 282,
  anon_alias_sym_BQUOTE = 283,
  alias_sym_bare_string = 284,
  alias_sym_bare_symbol = 285,
  alias_sym_symbol = 286,
};

static const char *ts_symbol_names[] = {
  [sym__line_break] = "_line_break",
  [sym__simple_symbol] = "_simple_symbol",
  [sym__string_start] = "_string_start",
  [sym__symbol_start] = "_symbol_start",
  [sym__subshell_start] = "_subshell_start",
  [sym__regex_start] = "_regex_start",
  [sym__string_array_start] = "_string_array_start",
  [sym__symbol_array_start] = "_symbol_array_start",
  [sym__heredoc_body_start] = "_heredoc_body_start",
  [sym__string_content] = "_string_content",
  [sym__heredoc_content] = "_heredoc_content",
  [sym__string_end] = "_string_end",
  [sym_heredoc_end] = "heredoc_end",
  [sym_heredoc_beginning] = "heredoc_beginning",
  [sym__element_reference_left_bracket] = "_element_reference_left_bracket",
  [sym__block_ampersand] = "_block_ampersand",
  [sym__splat_star] = "_splat_star",
  [sym__argument_list_left_paren] = "_argument_list_left_paren",
  [sym__infix_scope_colons] = "_infix_scope_colons",
  [sym__keyword_colon] = "_keyword_colon",
  [sym__unary_minus] = "_unary_minus",
  [sym__binary_minus] = "_binary_minus",
  [sym__binary_star] = "_binary_star",
  [sym__singleton_class_left_angle_left_langle] = "_singleton_class_left_angle_left_langle",
  [sym__identifier_hash_key] = "_identifier_hash_key",
  [ts_builtin_sym_end] = "END",
  [anon_sym___END__] = "__END__",
  [sym_uninterpreted] = "uninterpreted",
  [anon_sym_BEGIN] = "BEGIN",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_END] = "END",
  [anon_sym_def] = "def",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT] = ".",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_COMMA] = ",",
  [anon_sym_PIPE] = "|",
  [anon_sym_SEMI] = ";",
  [anon_sym_STAR] = "*",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ] = "=",
  [anon_sym_class] = "class",
  [anon_sym_LT] = "<",
  [anon_sym_module] = "module",
  [anon_sym_end] = "end",
  [anon_sym_return] = "return",
  [anon_sym_yield] = "yield",
  [anon_sym_break] = "break",
  [anon_sym_next] = "next",
  [sym_redo] = "redo",
  [sym_retry] = "retry",
  [anon_sym_if] = "if",
  [anon_sym_unless] = "unless",
  [anon_sym_while] = "while",
  [anon_sym_until] = "until",
  [anon_sym_rescue] = "rescue",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_do] = "do",
  [anon_sym_case] = "case",
  [anon_sym_when] = "when",
  [anon_sym_elsif] = "elsif",
  [anon_sym_else] = "else",
  [anon_sym_then] = "then",
  [anon_sym_begin] = "begin",
  [anon_sym_ensure] = "ensure",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_RBRACK] = "]",
  [anon_sym_AMP_DOT] = "&.",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_QMARK] = "?",
  [anon_sym_COLON] = ":",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_BANG_TILDE] = "!~",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_CARET] = "^",
  [anon_sym_PLUS] = "+",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_defined_QMARK] = "defined?",
  [anon_sym_not] = "not",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [sym_constant] = "constant",
  [sym_identifier] = "identifier",
  [sym_instance_variable] = "instance_variable",
  [sym_class_variable] = "class_variable",
  [sym_global_variable] = "global_variable",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS_AT] = "+@",
  [anon_sym_DASH_AT] = "-@",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_LBRACK_RBRACK_EQ] = "[]=",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_undef] = "undef",
  [anon_sym_alias] = "alias",
  [sym_comment] = "comment",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_complex] = "complex",
  [anon_sym_r] = "r",
  [sym_super] = "super",
  [anon_sym_true] = "true",
  [anon_sym_TRUE] = "TRUE",
  [anon_sym_false] = "false",
  [anon_sym_FALSE] = "FALSE",
  [sym_self] = "self",
  [anon_sym_nil] = "nil",
  [anon_sym_NIL] = "NIL",
  [sym_character] = "character",
  [anon_sym_POUND_LBRACE] = "#{",
  [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = "/\\s+/",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_LBRACK] = "[",
  [anon_sym_DASH_GT] = "->",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_begin_block] = "begin_block",
  [sym_end_block] = "end_block",
  [sym__statement] = "_statement",
  [sym_method] = "method",
  [sym_singleton_method] = "singleton_method",
  [sym__method_rest] = "_method_rest",
  [sym_method_parameters] = "method_parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_block_parameters] = "block_parameters",
  [sym__formal_parameter] = "_formal_parameter",
  [sym__simple_formal_parameter] = "_simple_formal_parameter",
  [sym_destructured_parameter] = "destructured_parameter",
  [sym_splat_parameter] = "splat_parameter",
  [sym_hash_splat_parameter] = "hash_splat_parameter",
  [sym_block_parameter] = "block_parameter",
  [sym_keyword_parameter] = "keyword_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym_class] = "class",
  [sym_superclass] = "superclass",
  [sym_singleton_class] = "singleton_class",
  [sym_module] = "module",
  [sym_return] = "return",
  [sym_yield] = "yield",
  [sym_break] = "break",
  [sym_next] = "next",
  [sym_if_modifier] = "if_modifier",
  [sym_unless_modifier] = "unless_modifier",
  [sym_while_modifier] = "while_modifier",
  [sym_until_modifier] = "until_modifier",
  [sym_rescue_modifier] = "rescue_modifier",
  [sym_while] = "while",
  [sym_until] = "until",
  [sym_for] = "for",
  [sym_in] = "in",
  [sym__do] = "_do",
  [sym_case] = "case",
  [sym_when] = "when",
  [sym_pattern] = "pattern",
  [sym_if] = "if",
  [sym_unless] = "unless",
  [sym_elsif] = "elsif",
  [sym_else] = "else",
  [sym__then] = "_then",
  [sym__if_tail] = "_if_tail",
  [sym_begin] = "begin",
  [sym_ensure] = "ensure",
  [sym_rescue] = "rescue",
  [sym_exceptions] = "exceptions",
  [sym_exception_variable] = "exception_variable",
  [sym__body_statement] = "_body_statement",
  [sym__arg] = "_arg",
  [sym__primary] = "_primary",
  [sym_parenthesized_statements] = "parenthesized_statements",
  [sym_element_reference] = "element_reference",
  [sym_scope_resolution] = "scope_resolution",
  [sym_call] = "call",
  [sym_method_call] = "method_call",
  [sym_argument_list] = "argument_list",
  [sym_argument_list_with_parens] = "argument_list_with_parens",
  [sym__argument_list_with_parens] = "_argument_list_with_parens",
  [sym__argument_list_with_trailing_comma] = "_argument_list_with_trailing_comma",
  [sym__argument] = "_argument",
  [sym_splat_argument] = "splat_argument",
  [sym_hash_splat_argument] = "hash_splat_argument",
  [sym_block_argument] = "block_argument",
  [sym_do_block] = "do_block",
  [sym_block] = "block",
  [sym_assignment] = "assignment",
  [sym_operator_assignment] = "operator_assignment",
  [sym_conditional] = "conditional",
  [sym_range] = "range",
  [sym_binary] = "binary",
  [sym_unary] = "unary",
  [sym_right_assignment_list] = "right_assignment_list",
  [sym__arg_or_splat_arg] = "_arg_or_splat_arg",
  [sym_left_assignment_list] = "left_assignment_list",
  [sym__mlhs] = "_mlhs",
  [sym__simple_mlhs] = "_simple_mlhs",
  [sym_destructured_left_assignment] = "destructured_left_assignment",
  [sym_rest_assignment] = "rest_assignment",
  [sym__lhs] = "_lhs",
  [sym__variable] = "_variable",
  [sym_operator] = "operator",
  [sym__method_name] = "_method_name",
  [sym_setter] = "setter",
  [sym_undef] = "undef",
  [sym_alias] = "alias",
  [sym_rational] = "rational",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_nil] = "nil",
  [sym_chained_string] = "chained_string",
  [sym_interpolation] = "interpolation",
  [sym_string] = "string",
  [sym_subshell] = "subshell",
  [sym_string_array] = "string_array",
  [sym_symbol_array] = "symbol_array",
  [sym_symbol] = "symbol",
  [sym_regex] = "regex",
  [sym_heredoc_body] = "heredoc_body",
  [sym__literal_contents] = "_literal_contents",
  [sym_array] = "array",
  [sym_hash] = "hash",
  [sym__hash_items] = "_hash_items",
  [sym_pair] = "pair",
  [sym_lambda] = "lambda",
  [sym_empty_statement] = "empty_statement",
  [sym__terminator] = "_terminator",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_method_parameters_repeat1] = "method_parameters_repeat1",
  [aux_sym_lambda_parameters_repeat1] = "lambda_parameters_repeat1",
  [aux_sym_block_parameters_repeat1] = "block_parameters_repeat1",
  [aux_sym_case_repeat1] = "case_repeat1",
  [aux_sym_when_repeat1] = "when_repeat1",
  [aux_sym_exceptions_repeat1] = "exceptions_repeat1",
  [aux_sym_call_repeat1] = "call_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_undef_repeat1] = "undef_repeat1",
  [aux_sym_chained_string_repeat1] = "chained_string_repeat1",
  [aux_sym_string_array_repeat1] = "string_array_repeat1",
  [aux_sym_symbol_array_repeat1] = "symbol_array_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_contents_repeat1] = "_literal_contents_repeat1",
  [anon_alias_sym_DQUOTE] = "\"",
  [anon_alias_sym_PERCENTi_LPAREN] = "%i(",
  [anon_alias_sym_PERCENTw_LPAREN] = "%w(",
  [anon_alias_sym_LPAREN] = "(",
  [anon_alias_sym_RPAREN] = ")",
  [anon_alias_sym_STAR] = "*",
  [anon_alias_sym_DASH] = "-",
  [anon_alias_sym_SLASH] = "/",
  [anon_alias_sym_COLON] = ":",
  [anon_alias_sym_COLON_DQUOTE] = ":\"",
  [anon_alias_sym_COLON_COLON] = "::",
  [anon_alias_sym_LT_LT] = "<<",
  [anon_alias_sym_LBRACK] = "[",
  [anon_alias_sym_BQUOTE] = "`",
  [alias_sym_bare_string] = "bare_string",
  [alias_sym_bare_symbol] = "bare_symbol",
  [alias_sym_symbol] = "symbol",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [sym__line_break] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_symbol] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__symbol_start] = {
    .visible = false,
    .named = true,
  },
  [sym__subshell_start] = {
    .visible = false,
    .named = true,
  },
  [sym__regex_start] = {
    .visible = false,
    .named = true,
  },
  [sym__string_array_start] = {
    .visible = false,
    .named = true,
  },
  [sym__symbol_array_start] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_start] = {
    .visible = false,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_beginning] = {
    .visible = true,
    .named = true,
  },
  [sym__element_reference_left_bracket] = {
    .visible = false,
    .named = true,
  },
  [sym__block_ampersand] = {
    .visible = false,
    .named = true,
  },
  [sym__splat_star] = {
    .visible = false,
    .named = true,
  },
  [sym__argument_list_left_paren] = {
    .visible = false,
    .named = true,
  },
  [sym__infix_scope_colons] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_colon] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_minus] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_minus] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_star] = {
    .visible = false,
    .named = true,
  },
  [sym__singleton_class_left_angle_left_langle] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier_hash_key] = {
    .visible = false,
    .named = true,
  },
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym___END__] = {
    .visible = true,
    .named = false,
  },
  [sym_uninterpreted] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BEGIN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_END] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_next] = {
    .visible = true,
    .named = false,
  },
  [sym_redo] = {
    .visible = true,
    .named = true,
  },
  [sym_retry] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unless] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_until] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rescue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elsif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ensure] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [sym_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_class_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_global_variable] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_undef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alias] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_complex] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_r] = {
    .visible = true,
    .named = false,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TRUE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FALSE] = {
    .visible = true,
    .named = false,
  },
  [sym_self] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_nil] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NIL] = {
    .visible = true,
    .named = false,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_begin_block] = {
    .visible = true,
    .named = true,
  },
  [sym_end_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_method] = {
    .visible = true,
    .named = true,
  },
  [sym_singleton_method] = {
    .visible = true,
    .named = true,
  },
  [sym__method_rest] = {
    .visible = false,
    .named = true,
  },
  [sym_method_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_block_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_destructured_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_splat_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_block_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_superclass] = {
    .visible = true,
    .named = true,
  },
  [sym_singleton_class] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_return] = {
    .visible = true,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_break] = {
    .visible = true,
    .named = true,
  },
  [sym_next] = {
    .visible = true,
    .named = true,
  },
  [sym_if_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_unless_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_while_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_until_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_rescue_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_while] = {
    .visible = true,
    .named = true,
  },
  [sym_until] = {
    .visible = true,
    .named = true,
  },
  [sym_for] = {
    .visible = true,
    .named = true,
  },
  [sym_in] = {
    .visible = true,
    .named = true,
  },
  [sym__do] = {
    .visible = false,
    .named = true,
  },
  [sym_case] = {
    .visible = true,
    .named = true,
  },
  [sym_when] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_if] = {
    .visible = true,
    .named = true,
  },
  [sym_unless] = {
    .visible = true,
    .named = true,
  },
  [sym_elsif] = {
    .visible = true,
    .named = true,
  },
  [sym_else] = {
    .visible = true,
    .named = true,
  },
  [sym__then] = {
    .visible = false,
    .named = true,
  },
  [sym__if_tail] = {
    .visible = false,
    .named = true,
  },
  [sym_begin] = {
    .visible = true,
    .named = true,
  },
  [sym_ensure] = {
    .visible = true,
    .named = true,
  },
  [sym_rescue] = {
    .visible = true,
    .named = true,
  },
  [sym_exceptions] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_variable] = {
    .visible = true,
    .named = true,
  },
  [sym__body_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__arg] = {
    .visible = false,
    .named = true,
  },
  [sym__primary] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_element_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_scope_resolution] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_method_call] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list_with_parens] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_list_with_parens] = {
    .visible = false,
    .named = true,
  },
  [sym__argument_list_with_trailing_comma] = {
    .visible = false,
    .named = true,
  },
  [sym__argument] = {
    .visible = false,
    .named = true,
  },
  [sym_splat_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_splat_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_block_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_do_block] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional] = {
    .visible = true,
    .named = true,
  },
  [sym_range] = {
    .visible = true,
    .named = true,
  },
  [sym_binary] = {
    .visible = true,
    .named = true,
  },
  [sym_unary] = {
    .visible = true,
    .named = true,
  },
  [sym_right_assignment_list] = {
    .visible = true,
    .named = true,
  },
  [sym__arg_or_splat_arg] = {
    .visible = false,
    .named = true,
  },
  [sym_left_assignment_list] = {
    .visible = true,
    .named = true,
  },
  [sym__mlhs] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_mlhs] = {
    .visible = false,
    .named = true,
  },
  [sym_destructured_left_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__lhs] = {
    .visible = false,
    .named = true,
  },
  [sym__variable] = {
    .visible = false,
    .named = true,
  },
  [sym_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__method_name] = {
    .visible = false,
    .named = true,
  },
  [sym_setter] = {
    .visible = true,
    .named = true,
  },
  [sym_undef] = {
    .visible = true,
    .named = true,
  },
  [sym_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_rational] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_chained_string] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_string_array] = {
    .visible = true,
    .named = true,
  },
  [sym_symbol_array] = {
    .visible = true,
    .named = true,
  },
  [sym_symbol] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym__literal_contents] = {
    .visible = false,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_hash] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_items] = {
    .visible = false,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__terminator] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_when_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exceptions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_undef_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_chained_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_symbol_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_contents_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_PERCENTi_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_PERCENTw_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_COLON_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_bare_string] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_bare_symbol] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_symbol] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[38][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [0] = anon_alias_sym_DQUOTE,
    [1] = anon_alias_sym_DQUOTE,
  },
  [2] = {
    [0] = anon_alias_sym_COLON_DQUOTE,
    [1] = anon_alias_sym_DQUOTE,
  },
  [3] = {
    [0] = anon_alias_sym_BQUOTE,
    [1] = anon_alias_sym_BQUOTE,
  },
  [4] = {
    [0] = anon_alias_sym_SLASH,
    [1] = anon_alias_sym_SLASH,
  },
  [5] = {
    [0] = anon_alias_sym_PERCENTw_LPAREN,
    [1] = anon_alias_sym_RPAREN,
  },
  [6] = {
    [0] = anon_alias_sym_PERCENTi_LPAREN,
    [1] = anon_alias_sym_RPAREN,
  },
  [7] = {
    [0] = anon_alias_sym_DASH,
  },
  [8] = {
    [0] = anon_alias_sym_DQUOTE,
    [2] = anon_alias_sym_DQUOTE,
  },
  [9] = {
    [0] = anon_alias_sym_COLON_DQUOTE,
    [2] = anon_alias_sym_DQUOTE,
  },
  [10] = {
    [0] = anon_alias_sym_BQUOTE,
    [2] = anon_alias_sym_BQUOTE,
  },
  [11] = {
    [0] = anon_alias_sym_SLASH,
    [2] = anon_alias_sym_SLASH,
  },
  [12] = {
    [0] = anon_alias_sym_PERCENTw_LPAREN,
    [2] = anon_alias_sym_RPAREN,
  },
  [13] = {
    [0] = anon_alias_sym_PERCENTw_LPAREN,
    [1] = alias_sym_bare_string,
    [2] = anon_alias_sym_RPAREN,
  },
  [14] = {
    [0] = anon_alias_sym_PERCENTi_LPAREN,
    [2] = anon_alias_sym_RPAREN,
  },
  [15] = {
    [0] = anon_alias_sym_PERCENTi_LPAREN,
    [1] = alias_sym_bare_symbol,
    [2] = anon_alias_sym_RPAREN,
  },
  [16] = {
    [0] = anon_alias_sym_LPAREN,
  },
  [17] = {
    [1] = anon_alias_sym_DASH,
  },
  [18] = {
    [1] = anon_alias_sym_STAR,
  },
  [19] = {
    [1] = anon_alias_sym_LBRACK,
  },
  [20] = {
    [1] = anon_alias_sym_COLON_COLON,
  },
  [21] = {
    [0] = anon_alias_sym_PERCENTw_LPAREN,
    [3] = anon_alias_sym_RPAREN,
  },
  [22] = {
    [0] = anon_alias_sym_PERCENTw_LPAREN,
    [2] = alias_sym_bare_string,
    [3] = anon_alias_sym_RPAREN,
  },
  [23] = {
    [0] = anon_alias_sym_PERCENTw_LPAREN,
    [1] = alias_sym_bare_string,
    [3] = anon_alias_sym_RPAREN,
  },
  [24] = {
    [1] = alias_sym_bare_string,
  },
  [25] = {
    [0] = anon_alias_sym_PERCENTi_LPAREN,
    [3] = anon_alias_sym_RPAREN,
  },
  [26] = {
    [0] = anon_alias_sym_PERCENTi_LPAREN,
    [2] = alias_sym_bare_symbol,
    [3] = anon_alias_sym_RPAREN,
  },
  [27] = {
    [0] = anon_alias_sym_PERCENTi_LPAREN,
    [1] = alias_sym_bare_symbol,
    [3] = anon_alias_sym_RPAREN,
  },
  [28] = {
    [1] = alias_sym_bare_symbol,
  },
  [29] = {
    [0] = alias_sym_symbol,
    [1] = anon_alias_sym_COLON,
  },
  [30] = {
    [1] = anon_alias_sym_COLON,
  },
  [31] = {
    [0] = anon_alias_sym_PERCENTw_LPAREN,
    [2] = alias_sym_bare_string,
    [4] = anon_alias_sym_RPAREN,
  },
  [32] = {
    [0] = anon_alias_sym_PERCENTw_LPAREN,
    [1] = alias_sym_bare_string,
    [4] = anon_alias_sym_RPAREN,
  },
  [33] = {
    [0] = anon_alias_sym_PERCENTi_LPAREN,
    [2] = alias_sym_bare_symbol,
    [4] = anon_alias_sym_RPAREN,
  },
  [34] = {
    [0] = anon_alias_sym_PERCENTi_LPAREN,
    [1] = alias_sym_bare_symbol,
    [4] = anon_alias_sym_RPAREN,
  },
  [35] = {
    [1] = anon_alias_sym_LT_LT,
  },
  [36] = {
    [0] = anon_alias_sym_PERCENTw_LPAREN,
    [2] = alias_sym_bare_string,
    [5] = anon_alias_sym_RPAREN,
  },
  [37] = {
    [0] = anon_alias_sym_PERCENTi_LPAREN,
    [2] = alias_sym_bare_symbol,
    [5] = anon_alias_sym_RPAREN,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(5);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(26);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(30);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(37);
      if (lookahead == ':')
        ADVANCE(55);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'B')
        ADVANCE(86);
      if (lookahead == 'E')
        ADVANCE(93);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(109);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '`')
        ADVANCE(113);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(0);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(44);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if ((lookahead < ' ' || lookahead > '^'))
        ADVANCE(121);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=')
        ADVANCE(3);
      if (lookahead == '~')
        ADVANCE(4);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_BANG_TILDE);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '{')
        ADVANCE(6);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(7);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACE);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(7);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(sym_global_variable);
      if (lookahead == '-')
        ADVANCE(9);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(10);
      if (lookahead == '!' ||
          lookahead == '\"' ||
          lookahead == '$' ||
          lookahead == '&' ||
          lookahead == '\'' ||
          ('*' <= lookahead && lookahead <= '@') ||
          lookahead == '\\' ||
          lookahead == '`' ||
          lookahead == '~')
        ADVANCE(11);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(12);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(sym_global_variable);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(10);
      if (lookahead == '!' ||
          lookahead == '\"' ||
          lookahead == '$' ||
          lookahead == '&' ||
          lookahead == '\'' ||
          ('*' <= lookahead && lookahead <= ',') ||
          ('.' <= lookahead && lookahead <= '@') ||
          lookahead == '\\' ||
          lookahead == '`' ||
          lookahead == '~')
        ADVANCE(11);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(12);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(sym_global_variable);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(10);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(sym_global_variable);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(sym_global_variable);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(12);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(14);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(16);
      if (lookahead == '.')
        ADVANCE(18);
      if (lookahead == '=')
        ADVANCE(19);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=')
        ADVANCE(17);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_AMP_DOT);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*')
        ADVANCE(23);
      if (lookahead == '=')
        ADVANCE(25);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=')
        ADVANCE(24);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=')
        ADVANCE(27);
      if (lookahead == '@')
        ADVANCE(28);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_PLUS_AT);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '@')
        ADVANCE(31);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_DASH_AT);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(33);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.')
        ADVANCE(34);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=')
        ADVANCE(36);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(38);
      if (lookahead == '_')
        ADVANCE(43);
      if (lookahead == 'b')
        ADVANCE(45);
      if (lookahead == 'd')
        ADVANCE(47);
      if (lookahead == 'x')
        ADVANCE(49);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(44);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(40);
      if (lookahead == 'O' ||
          lookahead == 'o')
        ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(53);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(39);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(38);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(39);
      END_STATE();
    case 40:
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(42);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(42);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(42);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(44);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(38);
      if (lookahead == '_')
        ADVANCE(43);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(44);
      END_STATE();
    case 45:
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(46);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(45);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(46);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(50);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(50);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(52);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(52);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(38);
      if (lookahead == '_')
        ADVANCE(54);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(44);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(53);
      END_STATE();
    case 54:
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(53);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':')
        ADVANCE(56);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(59);
      if (lookahead == '=')
        ADVANCE(61);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(60);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>')
        ADVANCE(62);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(64);
      if (lookahead == '>')
        ADVANCE(66);
      if (lookahead == '~')
        ADVANCE(67);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=')
        ADVANCE(65);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(69);
      if (lookahead == '>')
        ADVANCE(70);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(71);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\')
        ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ')
        ADVANCE(79);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_character);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ')
        ADVANCE(74);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_character);
      if (lookahead == '-')
        ADVANCE(75);
      if (lookahead == '{')
        ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(81);
      END_STATE();
    case 75:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ')
        ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_character);
      if (lookahead == 'C' ||
          lookahead == 'M')
        ADVANCE(77);
      END_STATE();
    case 77:
      if (lookahead == '-')
        ADVANCE(78);
      END_STATE();
    case 78:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ')
        ADVANCE(79);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_character);
      END_STATE();
    case 80:
      if (lookahead == '}')
        ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(80);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_character);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(81);
      END_STATE();
    case 82:
      if (lookahead == '@')
        ADVANCE(83);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(85);
      END_STATE();
    case 83:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(84);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_class_variable);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(84);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_instance_variable);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(85);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'E')
        ADVANCE(88);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_constant);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'G')
        ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'I')
        ADVANCE(90);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_BEGIN);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'N')
        ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'D')
        ADVANCE(95);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_END);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'A')
        ADVANCE(97);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > 'A') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'L')
        ADVANCE(98);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'S')
        ADVANCE(99);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'E')
        ADVANCE(100);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_FALSE);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'I')
        ADVANCE(102);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'L')
        ADVANCE(103);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_NIL);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'R')
        ADVANCE(105);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'U')
        ADVANCE(106);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead == 'E')
        ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_TRUE);
      if (lookahead == '!')
        ADVANCE(87);
      if (lookahead == '?')
        ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(92);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 109:
      if (lookahead == '\n')
        SKIP(0);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(112);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(116);
      if (lookahead == '|')
        ADVANCE(117);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=')
        ADVANCE(118);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '!')
        ADVANCE(122);
      if (lookahead == '?')
        ADVANCE(122);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_identifier);
      END_STATE();
    case 123:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'B')
        ADVANCE(86);
      if (lookahead == 'E')
        ADVANCE(93);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(150);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(123);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(127);
      END_STATE();
    case 127:
      if (lookahead == 'i')
        ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_complex);
      END_STATE();
    case 129:
      if (lookahead == '>')
        ADVANCE(130);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(127);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '+')
        ADVANCE(132);
      if (lookahead == '-')
        ADVANCE(132);
      if (lookahead == '.')
        ADVANCE(38);
      if (lookahead == '_')
        ADVANCE(43);
      if (lookahead == 'b')
        ADVANCE(45);
      if (lookahead == 'd')
        ADVANCE(47);
      if (lookahead == 'i')
        ADVANCE(128);
      if (lookahead == 'x')
        ADVANCE(49);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(133);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(40);
      if (lookahead == 'O' ||
          lookahead == 'o')
        ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(134);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(127);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '+')
        ADVANCE(132);
      if (lookahead == '-')
        ADVANCE(132);
      if (lookahead == '.')
        ADVANCE(38);
      if (lookahead == '_')
        ADVANCE(43);
      if (lookahead == 'i')
        ADVANCE(128);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '+')
        ADVANCE(132);
      if (lookahead == '-')
        ADVANCE(132);
      if (lookahead == '.')
        ADVANCE(38);
      if (lookahead == '_')
        ADVANCE(54);
      if (lookahead == 'i')
        ADVANCE(128);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(133);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(134);
      END_STATE();
    case 135:
      if (lookahead == ':')
        ADVANCE(56);
      END_STATE();
    case 136:
      if (lookahead == 'b')
        ADVANCE(137);
      END_STATE();
    case 137:
      if (lookahead == 'e')
        ADVANCE(138);
      END_STATE();
    case 138:
      if (lookahead == 'g')
        ADVANCE(139);
      END_STATE();
    case 139:
      if (lookahead == 'i')
        ADVANCE(140);
      END_STATE();
    case 140:
      if (lookahead == 'n')
        ADVANCE(141);
      END_STATE();
    case 141:
      if (lookahead == '\n')
        ADVANCE(142);
      if (lookahead == '\r')
        ADVANCE(141);
      if (lookahead != 0)
        ADVANCE(141);
      END_STATE();
    case 142:
      if (lookahead == '=')
        ADVANCE(143);
      if (lookahead != 0)
        ADVANCE(142);
      END_STATE();
    case 143:
      if (lookahead == 'e')
        ADVANCE(144);
      if (lookahead != 0)
        ADVANCE(142);
      END_STATE();
    case 144:
      if (lookahead == 'n')
        ADVANCE(145);
      if (lookahead != 0)
        ADVANCE(142);
      END_STATE();
    case 145:
      if (lookahead == 'd')
        ADVANCE(146);
      if (lookahead != 0)
        ADVANCE(142);
      END_STATE();
    case 146:
      if (lookahead == '\n')
        ADVANCE(147);
      if (lookahead == '\r')
        ADVANCE(148);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 148:
      if (lookahead == '\n')
        ADVANCE(147);
      END_STATE();
    case 149:
      if (lookahead == '\\')
        ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ')
        ADVANCE(79);
      END_STATE();
    case 150:
      if (lookahead == '\n')
        SKIP(123);
      END_STATE();
    case 151:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(166);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(151);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 152:
      if (lookahead == '=')
        ADVANCE(3);
      if (lookahead == '~')
        ADVANCE(4);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(155);
      if (lookahead == '.')
        ADVANCE(18);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 156:
      if (lookahead == '*')
        ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(161);
      if (lookahead == '=')
        ADVANCE(61);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 162:
      if (lookahead == '=')
        ADVANCE(64);
      if (lookahead == '>')
        ADVANCE(66);
      if (lookahead == 'b')
        ADVANCE(137);
      if (lookahead == '~')
        ADVANCE(67);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(69);
      if (lookahead == '>')
        ADVANCE(164);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 166:
      if (lookahead == '\n')
        SKIP(151);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|')
        ADVANCE(169);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 170:
      if (lookahead == '#')
        ADVANCE(5);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        ADVANCE(171);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(170);
      END_STATE();
    case 171:
      if (lookahead == '\n')
        ADVANCE(172);
      if (lookahead == 'u')
        ADVANCE(173);
      if (lookahead == 'x')
        ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(181);
      if (lookahead != 0)
        ADVANCE(172);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 173:
      if (lookahead == '{')
        ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(176);
      END_STATE();
    case 174:
      if (lookahead == ' ' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(175);
      END_STATE();
    case 175:
      if (lookahead == '}')
        ADVANCE(172);
      if (lookahead == ' ' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(175);
      END_STATE();
    case 176:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(177);
      END_STATE();
    case 177:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(178);
      END_STATE();
    case 178:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(172);
      END_STATE();
    case 179:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(180);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(172);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(182);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(172);
      END_STATE();
    case 183:
      if (lookahead == '#')
        ADVANCE(5);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        ADVANCE(171);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(184);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(aux_sym_SLASH_BSLASHs_PLUS_SLASH);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(184);
      END_STATE();
    case 185:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(186);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(185);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 186:
      if (lookahead == '\n')
        SKIP(185);
      END_STATE();
    case 187:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(189);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(187);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*')
        ADVANCE(157);
      END_STATE();
    case 189:
      if (lookahead == '\n')
        SKIP(187);
      END_STATE();
    case 190:
      if (lookahead == '!')
        ADVANCE(191);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(192);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(193);
      if (lookahead == '-')
        ADVANCE(30);
      if (lookahead == '.')
        ADVANCE(194);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == '[')
        ADVANCE(197);
      if (lookahead == '\\')
        SKIP(200);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '`')
        ADVANCE(113);
      if (lookahead == '|')
        ADVANCE(201);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(190);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '~')
        ADVANCE(4);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '@')
        ADVANCE(28);
      END_STATE();
    case 194:
      if (lookahead == '.')
        ADVANCE(195);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 196:
      if (lookahead == '=')
        ADVANCE(64);
      if (lookahead == 'b')
        ADVANCE(137);
      if (lookahead == '~')
        ADVANCE(67);
      END_STATE();
    case 197:
      if (lookahead == ']')
        ADVANCE(198);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      if (lookahead == '=')
        ADVANCE(199);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK_EQ);
      END_STATE();
    case 200:
      if (lookahead == '\n')
        SKIP(190);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 202:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'B')
        ADVANCE(86);
      if (lookahead == 'E')
        ADVANCE(93);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(203);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(202);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 203:
      if (lookahead == '\n')
        SKIP(202);
      END_STATE();
    case 204:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        SKIP(205);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(204);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 205:
      if (lookahead == '\n')
        SKIP(204);
      END_STATE();
    case 206:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '+')
        ADVANCE(132);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(207);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(208);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(206);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 208:
      if (lookahead == '\n')
        SKIP(206);
      END_STATE();
    case 209:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '+')
        ADVANCE(132);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(210);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(209);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 210:
      if (lookahead == '\n')
        SKIP(209);
      END_STATE();
    case 211:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(212);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(211);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 212:
      if (lookahead == '\n')
        SKIP(211);
      END_STATE();
    case 213:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(214);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(213);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 214:
      if (lookahead == '\n')
        SKIP(213);
      END_STATE();
    case 215:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(132);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(216);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(215);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 216:
      if (lookahead == '\n')
        SKIP(215);
      END_STATE();
    case 217:
      if (lookahead == '!')
        ADVANCE(191);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(192);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(193);
      if (lookahead == '-')
        ADVANCE(30);
      if (lookahead == '.')
        ADVANCE(194);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == '[')
        ADVANCE(197);
      if (lookahead == '\\')
        SKIP(218);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '`')
        ADVANCE(113);
      if (lookahead == '|')
        ADVANCE(201);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(217);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 218:
      if (lookahead == '\n')
        SKIP(217);
      END_STATE();
    case 219:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(225);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(219);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 220:
      if (lookahead == '*')
        ADVANCE(23);
      if (lookahead == '=')
        ADVANCE(25);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=')
        ADVANCE(27);
      END_STATE();
    case 222:
      if (lookahead == '=')
        ADVANCE(223);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(64);
      if (lookahead == '~')
        ADVANCE(67);
      END_STATE();
    case 225:
      if (lookahead == '\n')
        SKIP(219);
      END_STATE();
    case 226:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(227);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(226);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 227:
      if (lookahead == '\n')
        SKIP(226);
      END_STATE();
    case 228:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(192);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(229);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(207);
      if (lookahead == '\\')
        SKIP(230);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(201);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(228);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 230:
      if (lookahead == '\n')
        SKIP(228);
      END_STATE();
    case 231:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        SKIP(232);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(231);
      END_STATE();
    case 232:
      if (lookahead == '\n')
        SKIP(231);
      END_STATE();
    case 233:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        SKIP(234);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(233);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 234:
      if (lookahead == '\n')
        SKIP(233);
      END_STATE();
    case 235:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        SKIP(236);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(235);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 236:
      if (lookahead == '\n')
        SKIP(235);
      END_STATE();
    case 237:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(238);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(240);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(237);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(155);
      END_STATE();
    case 239:
      if (lookahead == '.')
        ADVANCE(33);
      END_STATE();
    case 240:
      if (lookahead == '\n')
        SKIP(237);
      END_STATE();
    case 241:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(242);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(241);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 242:
      if (lookahead == '\n')
        SKIP(241);
      END_STATE();
    case 243:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(246);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(243);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=')
        ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(127);
      END_STATE();
    case 245:
      if (lookahead == '=')
        ADVANCE(223);
      if (lookahead == '>')
        ADVANCE(130);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(127);
      END_STATE();
    case 246:
      if (lookahead == '\n')
        SKIP(243);
      END_STATE();
    case 247:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(248);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(247);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 248:
      if (lookahead == '\n')
        SKIP(247);
      END_STATE();
    case 249:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(250);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(249);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 250:
      if (lookahead == '\n')
        SKIP(249);
      END_STATE();
    case 251:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        SKIP(252);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(253);
      END_STATE();
    case 252:
      if (lookahead == '\n')
        SKIP(251);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(aux_sym_SLASH_BSLASHs_PLUS_SLASH);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(253);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(255);
      if (lookahead == '#')
        ADVANCE(256);
      if (lookahead == '=')
        ADVANCE(258);
      if (lookahead == '\\')
        ADVANCE(270);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(255);
      if (lookahead != 0)
        ADVANCE(257);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(255);
      if (lookahead == '#')
        ADVANCE(256);
      if (lookahead == '=')
        ADVANCE(258);
      if (lookahead == '\\')
        ADVANCE(270);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(255);
      if (lookahead != 0)
        ADVANCE(257);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(256);
      if (lookahead != 0)
        ADVANCE(256);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(257);
      if (lookahead != 0)
        ADVANCE(257);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(257);
      if (lookahead == 'b')
        ADVANCE(259);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(257);
      if (lookahead != 0)
        ADVANCE(257);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(257);
      if (lookahead == 'e')
        ADVANCE(260);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(257);
      if (lookahead != 0)
        ADVANCE(257);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(257);
      if (lookahead == 'g')
        ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(257);
      if (lookahead != 0)
        ADVANCE(257);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(257);
      if (lookahead == 'i')
        ADVANCE(262);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(257);
      if (lookahead != 0)
        ADVANCE(257);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(257);
      if (lookahead == 'n')
        ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(257);
      if (lookahead != 0)
        ADVANCE(257);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(264);
      if (lookahead == '\r')
        ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(263);
      if (lookahead != 0)
        ADVANCE(263);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(264);
      if (lookahead == '=')
        ADVANCE(265);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(264);
      if (lookahead != 0)
        ADVANCE(264);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(264);
      if (lookahead == 'e')
        ADVANCE(266);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(264);
      if (lookahead != 0)
        ADVANCE(264);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(264);
      if (lookahead == 'n')
        ADVANCE(267);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(264);
      if (lookahead != 0)
        ADVANCE(264);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(264);
      if (lookahead == 'd')
        ADVANCE(268);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(264);
      if (lookahead != 0)
        ADVANCE(264);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(257);
      if (lookahead == '\r')
        ADVANCE(269);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(257);
      if (lookahead != 0)
        ADVANCE(257);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(257);
      if (lookahead != 0)
        ADVANCE(257);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n')
        ADVANCE(255);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(257);
      if (lookahead != 0)
        ADVANCE(257);
      END_STATE();
    case 271:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'B')
        ADVANCE(86);
      if (lookahead == 'E')
        ADVANCE(93);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(272);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(271);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 272:
      if (lookahead == '\n')
        SKIP(271);
      END_STATE();
    case 273:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(275);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(273);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 275:
      if (lookahead == '\n')
        SKIP(273);
      END_STATE();
    case 276:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(277);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(276);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 277:
      if (lookahead == '\n')
        SKIP(276);
      END_STATE();
    case 278:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(279);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(278);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 279:
      if (lookahead == '\n')
        SKIP(278);
      END_STATE();
    case 280:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(281);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(280);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 281:
      if (lookahead == '\n')
        SKIP(280);
      END_STATE();
    case 282:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(238);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(283);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(282);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 283:
      if (lookahead == '\n')
        SKIP(282);
      END_STATE();
    case 284:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(285);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(284);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 285:
      if (lookahead == '\n')
        SKIP(284);
      END_STATE();
    case 286:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(192);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        SKIP(287);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(286);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 287:
      if (lookahead == '\n')
        SKIP(286);
      END_STATE();
    case 288:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(192);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(229);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(207);
      if (lookahead == '\\')
        SKIP(289);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(288);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 289:
      if (lookahead == '\n')
        SKIP(288);
      END_STATE();
    case 290:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '+')
        ADVANCE(132);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(207);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(291);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(290);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 291:
      if (lookahead == '\n')
        SKIP(290);
      END_STATE();
    case 292:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(293);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(292);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 293:
      if (lookahead == '\n')
        SKIP(292);
      END_STATE();
    case 294:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(295);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(294);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 295:
      if (lookahead == '\n')
        SKIP(294);
      END_STATE();
    case 296:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(297);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(296);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 297:
      if (lookahead == '\n')
        SKIP(296);
      END_STATE();
    case 298:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(299);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(298);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 299:
      if (lookahead == '\n')
        SKIP(298);
      END_STATE();
    case 300:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(301);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(300);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 301:
      if (lookahead == '\n')
        SKIP(300);
      END_STATE();
    case 302:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(303);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(229);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(207);
      if (lookahead == '\\')
        SKIP(304);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(201);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(302);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 303:
      if (lookahead == '.')
        ADVANCE(18);
      END_STATE();
    case 304:
      if (lookahead == '\n')
        SKIP(302);
      END_STATE();
    case 305:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '&')
        ADVANCE(303);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(229);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(306);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(305);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 306:
      if (lookahead == '\n')
        SKIP(305);
      END_STATE();
    case 307:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '&')
        ADVANCE(303);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(229);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(207);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(308);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(307);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 308:
      if (lookahead == '\n')
        SKIP(307);
      END_STATE();
    case 309:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(303);
      if (lookahead == '.')
        ADVANCE(229);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        SKIP(310);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(309);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 310:
      if (lookahead == '\n')
        SKIP(309);
      END_STATE();
    case 311:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '&')
        ADVANCE(303);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(229);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(312);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(313);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(311);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 313:
      if (lookahead == '\n')
        SKIP(311);
      END_STATE();
    case 314:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '&')
        ADVANCE(303);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(229);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(315);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(314);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 315:
      if (lookahead == '\n')
        SKIP(314);
      END_STATE();
    case 316:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(317);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(316);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 317:
      if (lookahead == '\n')
        SKIP(316);
      END_STATE();
    case 318:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(319);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(318);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 319:
      if (lookahead == '\n')
        SKIP(318);
      END_STATE();
    case 320:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(321);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(320);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 321:
      if (lookahead == '\n')
        SKIP(320);
      END_STATE();
    case 322:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(323);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(322);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 323:
      if (lookahead == '\n')
        SKIP(322);
      END_STATE();
    case 324:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(325);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(324);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 325:
      if (lookahead == '\n')
        SKIP(324);
      END_STATE();
    case 326:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(327);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(326);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 327:
      if (lookahead == '\n')
        SKIP(326);
      END_STATE();
    case 328:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '+')
        ADVANCE(132);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(329);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(328);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 329:
      if (lookahead == '\n')
        SKIP(328);
      END_STATE();
    case 330:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '&')
        ADVANCE(303);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(229);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(331);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(330);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 331:
      if (lookahead == '\n')
        SKIP(330);
      END_STATE();
    case 332:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(333);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(334);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(332);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 333:
      if (lookahead == '>')
        ADVANCE(66);
      if (lookahead == 'b')
        ADVANCE(137);
      END_STATE();
    case 334:
      if (lookahead == '\n')
        SKIP(332);
      END_STATE();
    case 335:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(238);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(336);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(335);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 336:
      if (lookahead == '\n')
        SKIP(335);
      END_STATE();
    case 337:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(192);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(207);
      if (lookahead == '\\')
        SKIP(338);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(337);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 338:
      if (lookahead == '\n')
        SKIP(337);
      END_STATE();
    case 339:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        SKIP(340);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(339);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 340:
      if (lookahead == '\n')
        SKIP(339);
      END_STATE();
    case 341:
      if (lookahead == '!')
        ADVANCE(191);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(192);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(193);
      if (lookahead == '-')
        ADVANCE(30);
      if (lookahead == '.')
        ADVANCE(194);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == '[')
        ADVANCE(197);
      if (lookahead == '\\')
        SKIP(342);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '`')
        ADVANCE(113);
      if (lookahead == '|')
        ADVANCE(201);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(341);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 342:
      if (lookahead == '\n')
        SKIP(341);
      END_STATE();
    case 343:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(344);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(343);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 344:
      if (lookahead == '\n')
        SKIP(343);
      END_STATE();
    case 345:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(346);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(345);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 346:
      if (lookahead == '\n')
        SKIP(345);
      END_STATE();
    case 347:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(348);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(347);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 348:
      if (lookahead == '\n')
        SKIP(347);
      END_STATE();
    case 349:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(350);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(349);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 350:
      if (lookahead == '\n')
        SKIP(349);
      END_STATE();
    case 351:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(238);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(352);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(351);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 352:
      if (lookahead == '\n')
        SKIP(351);
      END_STATE();
    case 353:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(354);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(353);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 354:
      if (lookahead == '\n')
        SKIP(353);
      END_STATE();
    case 355:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(356);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(355);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 356:
      if (lookahead == '\n')
        SKIP(355);
      END_STATE();
    case 357:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'B')
        ADVANCE(86);
      if (lookahead == 'E')
        ADVANCE(93);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(358);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(201);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(357);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 358:
      if (lookahead == '\n')
        SKIP(357);
      END_STATE();
    case 359:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(192);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        SKIP(360);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(359);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 360:
      if (lookahead == '\n')
        SKIP(359);
      END_STATE();
    case 361:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'B')
        ADVANCE(86);
      if (lookahead == 'E')
        ADVANCE(93);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(362);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(201);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(361);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 362:
      if (lookahead == '\n')
        SKIP(361);
      END_STATE();
    case 363:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'B')
        ADVANCE(86);
      if (lookahead == 'E')
        ADVANCE(93);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(364);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(201);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(363);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 364:
      if (lookahead == '\n')
        SKIP(363);
      END_STATE();
    case 365:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(366);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(365);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 366:
      if (lookahead == '\n')
        SKIP(365);
      END_STATE();
    case 367:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(368);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(367);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 368:
      if (lookahead == '\n')
        SKIP(367);
      END_STATE();
    case 369:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(132);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(207);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(370);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(369);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 370:
      if (lookahead == '\n')
        SKIP(369);
      END_STATE();
    case 371:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(372);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(371);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 372:
      if (lookahead == '\n')
        SKIP(371);
      END_STATE();
    case 373:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(374);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(373);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 374:
      if (lookahead == '\n')
        SKIP(373);
      END_STATE();
    case 375:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(238);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(376);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(375);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 376:
      if (lookahead == '\n')
        SKIP(375);
      END_STATE();
    case 377:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(378);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(377);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 378:
      if (lookahead == '\n')
        SKIP(377);
      END_STATE();
    case 379:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(380);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(379);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 380:
      if (lookahead == '\n')
        SKIP(379);
      END_STATE();
    case 381:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(382);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(381);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 382:
      if (lookahead == '\n')
        SKIP(381);
      END_STATE();
    case 383:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(384);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(383);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 384:
      if (lookahead == '\n')
        SKIP(383);
      END_STATE();
    case 385:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(386);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(385);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 386:
      if (lookahead == '\n')
        SKIP(385);
      END_STATE();
    case 387:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        SKIP(388);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(387);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 388:
      if (lookahead == '\n')
        SKIP(387);
      END_STATE();
    case 389:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(390);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(389);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 390:
      if (lookahead == '\n')
        SKIP(389);
      END_STATE();
    case 391:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(392);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(391);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 392:
      if (lookahead == '\n')
        SKIP(391);
      END_STATE();
    case 393:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(394);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(393);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 394:
      if (lookahead == '\n')
        SKIP(393);
      END_STATE();
    case 395:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(396);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(395);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 396:
      if (lookahead == '\n')
        SKIP(395);
      END_STATE();
    case 397:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(398);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(397);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 398:
      if (lookahead == '\n')
        SKIP(397);
      END_STATE();
    case 399:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(238);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(400);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(399);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 400:
      if (lookahead == '\n')
        SKIP(399);
      END_STATE();
    case 401:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(402);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(401);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 402:
      if (lookahead == '\n')
        SKIP(401);
      END_STATE();
    case 403:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(404);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(403);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 404:
      if (lookahead == '\n')
        SKIP(403);
      END_STATE();
    case 405:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '&')
        ADVANCE(303);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(229);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(207);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(406);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(405);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 406:
      if (lookahead == '\n')
        SKIP(405);
      END_STATE();
    case 407:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(408);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(407);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 408:
      if (lookahead == '\n')
        SKIP(407);
      END_STATE();
    case 409:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(410);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(409);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 410:
      if (lookahead == '\n')
        SKIP(409);
      END_STATE();
    case 411:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(412);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(411);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 412:
      if (lookahead == '\n')
        SKIP(411);
      END_STATE();
    case 413:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(414);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(413);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 414:
      if (lookahead == '\n')
        SKIP(413);
      END_STATE();
    case 415:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(132);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(207);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(416);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(415);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 416:
      if (lookahead == '\n')
        SKIP(415);
      END_STATE();
    case 417:
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(303);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(229);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(207);
      if (lookahead == '\\')
        SKIP(418);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(417);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 418:
      if (lookahead == '\n')
        SKIP(417);
      END_STATE();
    case 419:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(420);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(419);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 420:
      if (lookahead == '\n')
        SKIP(419);
      END_STATE();
    case 421:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(422);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(421);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 422:
      if (lookahead == '\n')
        SKIP(421);
      END_STATE();
    case 423:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(424);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(423);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 424:
      if (lookahead == '\n')
        SKIP(423);
      END_STATE();
    case 425:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(426);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(425);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 426:
      if (lookahead == '\n')
        SKIP(425);
      END_STATE();
    case 427:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(428);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(427);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 428:
      if (lookahead == '\n')
        SKIP(427);
      END_STATE();
    case 429:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(430);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(429);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 430:
      if (lookahead == '\n')
        SKIP(429);
      END_STATE();
    case 431:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(432);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(431);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 432:
      if (lookahead == '\n')
        SKIP(431);
      END_STATE();
    case 433:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(434);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(433);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 434:
      if (lookahead == '\n')
        SKIP(433);
      END_STATE();
    case 435:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'B')
        ADVANCE(86);
      if (lookahead == 'E')
        ADVANCE(93);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(436);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(201);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(435);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 436:
      if (lookahead == '\n')
        SKIP(435);
      END_STATE();
    case 437:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(238);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(438);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(437);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 438:
      if (lookahead == '\n')
        SKIP(437);
      END_STATE();
    case 439:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(440);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(439);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 440:
      if (lookahead == '\n')
        SKIP(439);
      END_STATE();
    case 441:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(442);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(441);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 442:
      if (lookahead == '\n')
        SKIP(441);
      END_STATE();
    case 443:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(444);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(443);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 444:
      if (lookahead == '\n')
        SKIP(443);
      END_STATE();
    case 445:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(446);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(445);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 446:
      if (lookahead == '\n')
        SKIP(445);
      END_STATE();
    case 447:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(55);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(448);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(447);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 448:
      if (lookahead == '\n')
        SKIP(447);
      END_STATE();
    case 449:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(238);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(450);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(449);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 450:
      if (lookahead == '\n')
        SKIP(449);
      END_STATE();
    case 451:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(452);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(451);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 452:
      if (lookahead == '\n')
        SKIP(451);
      END_STATE();
    case 453:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(55);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(454);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(453);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 454:
      if (lookahead == '\n')
        SKIP(453);
      END_STATE();
    case 455:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(238);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(456);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(455);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 456:
      if (lookahead == '\n')
        SKIP(455);
      END_STATE();
    case 457:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(55);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(458);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(457);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 458:
      if (lookahead == '\n')
        SKIP(457);
      END_STATE();
    case 459:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(460);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(459);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 460:
      if (lookahead == '\n')
        SKIP(459);
      END_STATE();
    case 461:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(462);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(461);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 462:
      if (lookahead == '\n')
        SKIP(461);
      END_STATE();
    case 463:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(464);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(463);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 464:
      if (lookahead == '\n')
        SKIP(463);
      END_STATE();
    case 465:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(466);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(465);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 466:
      if (lookahead == '\n')
        SKIP(465);
      END_STATE();
    case 467:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(468);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(467);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 468:
      if (lookahead == '\n')
        SKIP(467);
      END_STATE();
    case 469:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(470);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(469);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 470:
      if (lookahead == '\n')
        SKIP(469);
      END_STATE();
    case 471:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(238);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(472);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(471);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 472:
      if (lookahead == '\n')
        SKIP(471);
      END_STATE();
    case 473:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(55);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(474);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(473);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 474:
      if (lookahead == '\n')
        SKIP(473);
      END_STATE();
    case 475:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(476);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(475);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 476:
      if (lookahead == '\n')
        SKIP(475);
      END_STATE();
    case 477:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(478);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(477);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 478:
      if (lookahead == '\n')
        SKIP(477);
      END_STATE();
    case 479:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(480);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(479);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 480:
      if (lookahead == '\n')
        SKIP(479);
      END_STATE();
    case 481:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(482);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(481);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 482:
      if (lookahead == '\n')
        SKIP(481);
      END_STATE();
    case 483:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(55);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(484);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(483);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 484:
      if (lookahead == '\n')
        SKIP(483);
      END_STATE();
    case 485:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(486);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(485);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 486:
      if (lookahead == '\n')
        SKIP(485);
      END_STATE();
    case 487:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(488);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(487);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 488:
      if (lookahead == '\n')
        SKIP(487);
      END_STATE();
    case 489:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(490);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(489);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 490:
      if (lookahead == '\n')
        SKIP(489);
      END_STATE();
    case 491:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(492);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(491);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 492:
      if (lookahead == '\n')
        SKIP(491);
      END_STATE();
    case 493:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(494);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(493);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 494:
      if (lookahead == '\n')
        SKIP(493);
      END_STATE();
    case 495:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(496);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(495);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 496:
      if (lookahead == '\n')
        SKIP(495);
      END_STATE();
    case 497:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(498);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(497);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 498:
      if (lookahead == '\n')
        SKIP(497);
      END_STATE();
    case 499:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(500);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(499);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 500:
      if (lookahead == '\n')
        SKIP(499);
      END_STATE();
    case 501:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(502);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(501);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 502:
      if (lookahead == '\n')
        SKIP(501);
      END_STATE();
    case 503:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(504);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(503);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 504:
      if (lookahead == '\n')
        SKIP(503);
      END_STATE();
    case 505:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(506);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(505);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 506:
      if (lookahead == '\n')
        SKIP(505);
      END_STATE();
    case 507:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(508);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(507);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 508:
      if (lookahead == '\n')
        SKIP(507);
      END_STATE();
    case 509:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '\\')
        SKIP(510);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(509);
      if ((lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 510:
      if (lookahead == '\n')
        SKIP(509);
      END_STATE();
    case 511:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(512);
      if (lookahead == ']')
        ADVANCE(110);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(511);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 512:
      if (lookahead == '\n')
        SKIP(511);
      END_STATE();
    case 513:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(514);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(513);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 514:
      if (lookahead == '\n')
        SKIP(513);
      END_STATE();
    case 515:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(55);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(516);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(515);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 516:
      if (lookahead == '\n')
        SKIP(515);
      END_STATE();
    case 517:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(22);
      if (lookahead == '+')
        ADVANCE(244);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(245);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(55);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(518);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(517);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 518:
      if (lookahead == '\n')
        SKIP(517);
      END_STATE();
    case 519:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(162);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(520);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(519);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 520:
      if (lookahead == '\n')
        SKIP(519);
      END_STATE();
    case 521:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(522);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(521);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 522:
      if (lookahead == '\n')
        SKIP(521);
      END_STATE();
    case 523:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(220);
      if (lookahead == '+')
        ADVANCE(221);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(222);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(58);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(524);
      if (lookahead == '^')
        ADVANCE(111);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(115);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(523);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 524:
      if (lookahead == '\n')
        SKIP(523);
      END_STATE();
    case 525:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(526);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '}')
        ADVANCE(119);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(525);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`')
        ADVANCE(121);
      END_STATE();
    case 526:
      if (lookahead == '\n')
        SKIP(525);
      END_STATE();
    case 527:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == ')')
        ADVANCE(21);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(224);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(528);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(527);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 528:
      if (lookahead == '\n')
        SKIP(527);
      END_STATE();
    case 529:
      if (lookahead == '!')
        ADVANCE(124);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(125);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(135);
      if (lookahead == ';')
        ADVANCE(57);
      if (lookahead == '=')
        ADVANCE(136);
      if (lookahead == '?')
        ADVANCE(149);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(530);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(201);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(529);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 530:
      if (lookahead == '\n')
        SKIP(529);
      END_STATE();
    case 531:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '$')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '(')
        ADVANCE(20);
      if (lookahead == '*')
        ADVANCE(188);
      if (lookahead == '+')
        ADVANCE(126);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == '0')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(55);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(72);
      if (lookahead == '@')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(96);
      if (lookahead == 'N')
        ADVANCE(101);
      if (lookahead == 'T')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(108);
      if (lookahead == '\\')
        SKIP(532);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(114);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '~')
        ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(531);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      if (('A' <= lookahead && lookahead <= 'Z'))
        ADVANCE(92);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 532:
      if (lookahead == '\n')
        SKIP(531);
      END_STATE();
    case 533:
      if (lookahead == '!')
        ADVANCE(152);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(154);
      if (lookahead == '*')
        ADVANCE(156);
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == ',')
        ADVANCE(29);
      if (lookahead == '.')
        ADVANCE(32);
      if (lookahead == '/')
        ADVANCE(159);
      if (lookahead == ':')
        ADVANCE(274);
      if (lookahead == '<')
        ADVANCE(160);
      if (lookahead == '=')
        ADVANCE(196);
      if (lookahead == '>')
        ADVANCE(163);
      if (lookahead == '?')
        ADVANCE(165);
      if (lookahead == '\\')
        SKIP(534);
      if (lookahead == '^')
        ADVANCE(167);
      if (lookahead == '|')
        ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(533);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(121);
      END_STATE();
    case 534:
      if (lookahead == '\n')
        SKIP(533);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == '_')
        ADVANCE(1);
      if (lookahead == 'a')
        ADVANCE(8);
      if (lookahead == 'b')
        ADVANCE(15);
      if (lookahead == 'c')
        ADVANCE(24);
      if (lookahead == 'd')
        ADVANCE(32);
      if (lookahead == 'e')
        ADVANCE(41);
      if (lookahead == 'f')
        ADVANCE(53);
      if (lookahead == 'i')
        ADVANCE(60);
      if (lookahead == 'm')
        ADVANCE(63);
      if (lookahead == 'n')
        ADVANCE(69);
      if (lookahead == 'o')
        ADVANCE(77);
      if (lookahead == 'r')
        ADVANCE(79);
      if (lookahead == 's')
        ADVANCE(93);
      if (lookahead == 't')
        ADVANCE(101);
      if (lookahead == 'u')
        ADVANCE(108);
      if (lookahead == 'w')
        ADVANCE(120);
      if (lookahead == 'y')
        ADVANCE(127);
      END_STATE();
    case 1:
      if (lookahead == '_')
        ADVANCE(2);
      END_STATE();
    case 2:
      if (lookahead == 'E')
        ADVANCE(3);
      END_STATE();
    case 3:
      if (lookahead == 'N')
        ADVANCE(4);
      END_STATE();
    case 4:
      if (lookahead == 'D')
        ADVANCE(5);
      END_STATE();
    case 5:
      if (lookahead == '_')
        ADVANCE(6);
      END_STATE();
    case 6:
      if (lookahead == '_')
        ADVANCE(7);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym___END__);
      END_STATE();
    case 8:
      if (lookahead == 'l')
        ADVANCE(9);
      if (lookahead == 'n')
        ADVANCE(13);
      END_STATE();
    case 9:
      if (lookahead == 'i')
        ADVANCE(10);
      END_STATE();
    case 10:
      if (lookahead == 'a')
        ADVANCE(11);
      END_STATE();
    case 11:
      if (lookahead == 's')
        ADVANCE(12);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(anon_sym_alias);
      END_STATE();
    case 13:
      if (lookahead == 'd')
        ADVANCE(14);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 15:
      if (lookahead == 'e')
        ADVANCE(16);
      if (lookahead == 'r')
        ADVANCE(20);
      END_STATE();
    case 16:
      if (lookahead == 'g')
        ADVANCE(17);
      END_STATE();
    case 17:
      if (lookahead == 'i')
        ADVANCE(18);
      END_STATE();
    case 18:
      if (lookahead == 'n')
        ADVANCE(19);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 20:
      if (lookahead == 'e')
        ADVANCE(21);
      END_STATE();
    case 21:
      if (lookahead == 'a')
        ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == 'k')
        ADVANCE(23);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 24:
      if (lookahead == 'a')
        ADVANCE(25);
      if (lookahead == 'l')
        ADVANCE(28);
      END_STATE();
    case 25:
      if (lookahead == 's')
        ADVANCE(26);
      END_STATE();
    case 26:
      if (lookahead == 'e')
        ADVANCE(27);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 28:
      if (lookahead == 'a')
        ADVANCE(29);
      END_STATE();
    case 29:
      if (lookahead == 's')
        ADVANCE(30);
      END_STATE();
    case 30:
      if (lookahead == 's')
        ADVANCE(31);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 32:
      if (lookahead == 'e')
        ADVANCE(33);
      if (lookahead == 'o')
        ADVANCE(40);
      END_STATE();
    case 33:
      if (lookahead == 'f')
        ADVANCE(34);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_def);
      if (lookahead == 'i')
        ADVANCE(35);
      END_STATE();
    case 35:
      if (lookahead == 'n')
        ADVANCE(36);
      END_STATE();
    case 36:
      if (lookahead == 'e')
        ADVANCE(37);
      END_STATE();
    case 37:
      if (lookahead == 'd')
        ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == '?')
        ADVANCE(39);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_defined_QMARK);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 41:
      if (lookahead == 'l')
        ADVANCE(42);
      if (lookahead == 'n')
        ADVANCE(47);
      END_STATE();
    case 42:
      if (lookahead == 's')
        ADVANCE(43);
      END_STATE();
    case 43:
      if (lookahead == 'e')
        ADVANCE(44);
      if (lookahead == 'i')
        ADVANCE(45);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 45:
      if (lookahead == 'f')
        ADVANCE(46);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_elsif);
      END_STATE();
    case 47:
      if (lookahead == 'd')
        ADVANCE(48);
      if (lookahead == 's')
        ADVANCE(49);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 49:
      if (lookahead == 'u')
        ADVANCE(50);
      END_STATE();
    case 50:
      if (lookahead == 'r')
        ADVANCE(51);
      END_STATE();
    case 51:
      if (lookahead == 'e')
        ADVANCE(52);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_ensure);
      END_STATE();
    case 53:
      if (lookahead == 'a')
        ADVANCE(54);
      if (lookahead == 'o')
        ADVANCE(58);
      END_STATE();
    case 54:
      if (lookahead == 'l')
        ADVANCE(55);
      END_STATE();
    case 55:
      if (lookahead == 's')
        ADVANCE(56);
      END_STATE();
    case 56:
      if (lookahead == 'e')
        ADVANCE(57);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 58:
      if (lookahead == 'r')
        ADVANCE(59);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 60:
      if (lookahead == 'f')
        ADVANCE(61);
      if (lookahead == 'n')
        ADVANCE(62);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 63:
      if (lookahead == 'o')
        ADVANCE(64);
      END_STATE();
    case 64:
      if (lookahead == 'd')
        ADVANCE(65);
      END_STATE();
    case 65:
      if (lookahead == 'u')
        ADVANCE(66);
      END_STATE();
    case 66:
      if (lookahead == 'l')
        ADVANCE(67);
      END_STATE();
    case 67:
      if (lookahead == 'e')
        ADVANCE(68);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 69:
      if (lookahead == 'e')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(73);
      if (lookahead == 'o')
        ADVANCE(75);
      END_STATE();
    case 70:
      if (lookahead == 'x')
        ADVANCE(71);
      END_STATE();
    case 71:
      if (lookahead == 't')
        ADVANCE(72);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_next);
      END_STATE();
    case 73:
      if (lookahead == 'l')
        ADVANCE(74);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_nil);
      END_STATE();
    case 75:
      if (lookahead == 't')
        ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 77:
      if (lookahead == 'r')
        ADVANCE(78);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_r);
      if (lookahead == 'e')
        ADVANCE(80);
      END_STATE();
    case 80:
      if (lookahead == 'd')
        ADVANCE(81);
      if (lookahead == 's')
        ADVANCE(83);
      if (lookahead == 't')
        ADVANCE(87);
      END_STATE();
    case 81:
      if (lookahead == 'o')
        ADVANCE(82);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_redo);
      END_STATE();
    case 83:
      if (lookahead == 'c')
        ADVANCE(84);
      END_STATE();
    case 84:
      if (lookahead == 'u')
        ADVANCE(85);
      END_STATE();
    case 85:
      if (lookahead == 'e')
        ADVANCE(86);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_rescue);
      END_STATE();
    case 87:
      if (lookahead == 'r')
        ADVANCE(88);
      if (lookahead == 'u')
        ADVANCE(90);
      END_STATE();
    case 88:
      if (lookahead == 'y')
        ADVANCE(89);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_retry);
      END_STATE();
    case 90:
      if (lookahead == 'r')
        ADVANCE(91);
      END_STATE();
    case 91:
      if (lookahead == 'n')
        ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 93:
      if (lookahead == 'e')
        ADVANCE(94);
      if (lookahead == 'u')
        ADVANCE(97);
      END_STATE();
    case 94:
      if (lookahead == 'l')
        ADVANCE(95);
      END_STATE();
    case 95:
      if (lookahead == 'f')
        ADVANCE(96);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_self);
      END_STATE();
    case 97:
      if (lookahead == 'p')
        ADVANCE(98);
      END_STATE();
    case 98:
      if (lookahead == 'e')
        ADVANCE(99);
      END_STATE();
    case 99:
      if (lookahead == 'r')
        ADVANCE(100);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 101:
      if (lookahead == 'h')
        ADVANCE(102);
      if (lookahead == 'r')
        ADVANCE(105);
      END_STATE();
    case 102:
      if (lookahead == 'e')
        ADVANCE(103);
      END_STATE();
    case 103:
      if (lookahead == 'n')
        ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 105:
      if (lookahead == 'u')
        ADVANCE(106);
      END_STATE();
    case 106:
      if (lookahead == 'e')
        ADVANCE(107);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 108:
      if (lookahead == 'n')
        ADVANCE(109);
      END_STATE();
    case 109:
      if (lookahead == 'd')
        ADVANCE(110);
      if (lookahead == 'l')
        ADVANCE(113);
      if (lookahead == 't')
        ADVANCE(117);
      END_STATE();
    case 110:
      if (lookahead == 'e')
        ADVANCE(111);
      END_STATE();
    case 111:
      if (lookahead == 'f')
        ADVANCE(112);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_undef);
      END_STATE();
    case 113:
      if (lookahead == 'e')
        ADVANCE(114);
      END_STATE();
    case 114:
      if (lookahead == 's')
        ADVANCE(115);
      END_STATE();
    case 115:
      if (lookahead == 's')
        ADVANCE(116);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_unless);
      END_STATE();
    case 117:
      if (lookahead == 'i')
        ADVANCE(118);
      END_STATE();
    case 118:
      if (lookahead == 'l')
        ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_until);
      END_STATE();
    case 120:
      if (lookahead == 'h')
        ADVANCE(121);
      END_STATE();
    case 121:
      if (lookahead == 'e')
        ADVANCE(122);
      if (lookahead == 'i')
        ADVANCE(124);
      END_STATE();
    case 122:
      if (lookahead == 'n')
        ADVANCE(123);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 124:
      if (lookahead == 'l')
        ADVANCE(125);
      END_STATE();
    case 125:
      if (lookahead == 'e')
        ADVANCE(126);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 127:
      if (lookahead == 'i')
        ADVANCE(128);
      END_STATE();
    case 128:
      if (lookahead == 'e')
        ADVANCE(129);
      END_STATE();
    case 129:
      if (lookahead == 'l')
        ADVANCE(130);
      END_STATE();
    case 130:
      if (lookahead == 'd')
        ADVANCE(131);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 123, .external_lex_state = 2},
  [2] = {.lex_state = 151, .external_lex_state = 3},
  [3] = {.lex_state = 170, .external_lex_state = 4},
  [4] = {.lex_state = 170, .external_lex_state = 4},
  [5] = {.lex_state = 170, .external_lex_state = 4},
  [6] = {.lex_state = 170, .external_lex_state = 4},
  [7] = {.lex_state = 183, .external_lex_state = 4},
  [8] = {.lex_state = 183, .external_lex_state = 4},
  [9] = {.lex_state = 185, .external_lex_state = 2},
  [10] = {.lex_state = 123, .external_lex_state = 5},
  [11] = {.lex_state = 123},
  [12] = {.lex_state = 187, .external_lex_state = 6},
  [13] = {.lex_state = 123},
  [14] = {.lex_state = 190, .external_lex_state = 7},
  [15] = {.lex_state = 202, .external_lex_state = 2},
  [16] = {.lex_state = 190},
  [17] = {.lex_state = 204, .external_lex_state = 8},
  [18] = {.lex_state = 206, .external_lex_state = 9},
  [19] = {.lex_state = 209, .external_lex_state = 10},
  [20] = {.lex_state = 209, .external_lex_state = 9},
  [21] = {.lex_state = 211, .external_lex_state = 11},
  [22] = {.lex_state = 211, .external_lex_state = 11},
  [23] = {.lex_state = 211, .external_lex_state = 11},
  [24] = {.lex_state = 211, .external_lex_state = 11},
  [25] = {.lex_state = 213, .external_lex_state = 2},
  [26] = {.lex_state = 213, .external_lex_state = 2},
  [27] = {.lex_state = 185, .external_lex_state = 2},
  [28] = {.lex_state = 185, .external_lex_state = 2},
  [29] = {.lex_state = 215, .external_lex_state = 9},
  [30] = {.lex_state = 213, .external_lex_state = 12},
  [31] = {.lex_state = 123, .external_lex_state = 12},
  [32] = {.lex_state = 185, .external_lex_state = 2},
  [33] = {.lex_state = 185, .external_lex_state = 2},
  [34] = {.lex_state = 185, .external_lex_state = 2},
  [35] = {.lex_state = 217, .external_lex_state = 7},
  [36] = {.lex_state = 217, .external_lex_state = 7},
  [37] = {.lex_state = 151, .external_lex_state = 3},
  [38] = {.lex_state = 219, .external_lex_state = 3},
  [39] = {.lex_state = 219, .external_lex_state = 3},
  [40] = {.lex_state = 219, .external_lex_state = 3},
  [41] = {.lex_state = 226, .external_lex_state = 13},
  [42] = {.lex_state = 228},
  [43] = {.lex_state = 231},
  [44] = {.lex_state = 233},
  [45] = {.lex_state = 235, .external_lex_state = 8},
  [46] = {.lex_state = 204, .external_lex_state = 8},
  [47] = {.lex_state = 235, .external_lex_state = 8},
  [48] = {.lex_state = 204, .external_lex_state = 8},
  [49] = {.lex_state = 237, .external_lex_state = 14},
  [50] = {.lex_state = 241, .external_lex_state = 3},
  [51] = {.lex_state = 243, .external_lex_state = 11},
  [52] = {.lex_state = 206},
  [53] = {.lex_state = 206},
  [54] = {.lex_state = 206},
  [55] = {.lex_state = 247, .external_lex_state = 3},
  [56] = {.lex_state = 249, .external_lex_state = 15},
  [57] = {.lex_state = 151, .external_lex_state = 15},
  [58] = {.lex_state = 213, .external_lex_state = 2},
  [59] = {.lex_state = 185, .external_lex_state = 16},
  [60] = {.lex_state = 170, .external_lex_state = 4},
  [61] = {.lex_state = 151, .external_lex_state = 3},
  [62] = {.lex_state = 185, .external_lex_state = 16},
  [63] = {.lex_state = 151, .external_lex_state = 3},
  [64] = {.lex_state = 185, .external_lex_state = 16},
  [65] = {.lex_state = 151, .external_lex_state = 3},
  [66] = {.lex_state = 185, .external_lex_state = 16},
  [67] = {.lex_state = 151, .external_lex_state = 3},
  [68] = {.lex_state = 213, .external_lex_state = 2},
  [69] = {.lex_state = 183, .external_lex_state = 4},
  [70] = {.lex_state = 251, .external_lex_state = 16},
  [71] = {.lex_state = 183, .external_lex_state = 4},
  [72] = {.lex_state = 151, .external_lex_state = 3},
  [73] = {.lex_state = 183, .external_lex_state = 4},
  [74] = {.lex_state = 251, .external_lex_state = 16},
  [75] = {.lex_state = 237, .external_lex_state = 14},
  [76] = {.lex_state = 254},
  [77] = {.lex_state = 271, .external_lex_state = 2},
  [78] = {.lex_state = 273, .external_lex_state = 17},
  [79] = {.lex_state = 170, .external_lex_state = 4},
  [80] = {.lex_state = 170, .external_lex_state = 4},
  [81] = {.lex_state = 170, .external_lex_state = 4},
  [82] = {.lex_state = 170, .external_lex_state = 4},
  [83] = {.lex_state = 183, .external_lex_state = 4},
  [84] = {.lex_state = 183, .external_lex_state = 4},
  [85] = {.lex_state = 170, .external_lex_state = 18},
  [86] = {.lex_state = 185, .external_lex_state = 2},
  [87] = {.lex_state = 123, .external_lex_state = 19},
  [88] = {.lex_state = 187, .external_lex_state = 6},
  [89] = {.lex_state = 151, .external_lex_state = 3},
  [90] = {.lex_state = 190, .external_lex_state = 7},
  [91] = {.lex_state = 202, .external_lex_state = 2},
  [92] = {.lex_state = 190},
  [93] = {.lex_state = 185, .external_lex_state = 2},
  [94] = {.lex_state = 209, .external_lex_state = 10},
  [95] = {.lex_state = 209, .external_lex_state = 9},
  [96] = {.lex_state = 276, .external_lex_state = 20},
  [97] = {.lex_state = 276, .external_lex_state = 20},
  [98] = {.lex_state = 276, .external_lex_state = 20},
  [99] = {.lex_state = 276, .external_lex_state = 20},
  [100] = {.lex_state = 213, .external_lex_state = 2},
  [101] = {.lex_state = 213, .external_lex_state = 2},
  [102] = {.lex_state = 185, .external_lex_state = 2},
  [103] = {.lex_state = 185, .external_lex_state = 2},
  [104] = {.lex_state = 215, .external_lex_state = 9},
  [105] = {.lex_state = 213, .external_lex_state = 12},
  [106] = {.lex_state = 123, .external_lex_state = 12},
  [107] = {.lex_state = 185, .external_lex_state = 2},
  [108] = {.lex_state = 185, .external_lex_state = 2},
  [109] = {.lex_state = 185, .external_lex_state = 2},
  [110] = {.lex_state = 278, .external_lex_state = 21},
  [111] = {.lex_state = 273, .external_lex_state = 17},
  [112] = {.lex_state = 280, .external_lex_state = 17},
  [113] = {.lex_state = 280, .external_lex_state = 17},
  [114] = {.lex_state = 280, .external_lex_state = 17},
  [115] = {.lex_state = 226, .external_lex_state = 13},
  [116] = {.lex_state = 228},
  [117] = {.lex_state = 282, .external_lex_state = 22},
  [118] = {.lex_state = 151, .external_lex_state = 17},
  [119] = {.lex_state = 278, .external_lex_state = 20},
  [120] = {.lex_state = 228, .external_lex_state = 23},
  [121] = {.lex_state = 206},
  [122] = {.lex_state = 280, .external_lex_state = 17},
  [123] = {.lex_state = 284, .external_lex_state = 24},
  [124] = {.lex_state = 187},
  [125] = {.lex_state = 187, .external_lex_state = 23},
  [126] = {.lex_state = 228, .external_lex_state = 23},
  [127] = {.lex_state = 271, .external_lex_state = 2},
  [128] = {.lex_state = 286, .external_lex_state = 8},
  [129] = {.lex_state = 170, .external_lex_state = 4},
  [130] = {.lex_state = 185, .external_lex_state = 2},
  [131] = {.lex_state = 286, .external_lex_state = 8},
  [132] = {.lex_state = 288, .external_lex_state = 8},
  [133] = {.lex_state = 288, .external_lex_state = 8},
  [134] = {.lex_state = 151, .external_lex_state = 3},
  [135] = {.lex_state = 228},
  [136] = {.lex_state = 286, .external_lex_state = 8},
  [137] = {.lex_state = 288, .external_lex_state = 8},
  [138] = {.lex_state = 185, .external_lex_state = 2},
  [139] = {.lex_state = 151, .external_lex_state = 3},
  [140] = {.lex_state = 290, .external_lex_state = 9},
  [141] = {.lex_state = 292, .external_lex_state = 11},
  [142] = {.lex_state = 292, .external_lex_state = 11},
  [143] = {.lex_state = 292, .external_lex_state = 11},
  [144] = {.lex_state = 292, .external_lex_state = 11},
  [145] = {.lex_state = 185, .external_lex_state = 2},
  [146] = {.lex_state = 185, .external_lex_state = 2},
  [147] = {.lex_state = 185, .external_lex_state = 2},
  [148] = {.lex_state = 217, .external_lex_state = 7},
  [149] = {.lex_state = 202},
  [150] = {.lex_state = 202, .external_lex_state = 8},
  [151] = {.lex_state = 202, .external_lex_state = 8},
  [152] = {.lex_state = 282, .external_lex_state = 14},
  [153] = {.lex_state = 294, .external_lex_state = 11},
  [154] = {.lex_state = 206},
  [155] = {.lex_state = 290},
  [156] = {.lex_state = 290},
  [157] = {.lex_state = 296, .external_lex_state = 3},
  [158] = {.lex_state = 298, .external_lex_state = 15},
  [159] = {.lex_state = 300, .external_lex_state = 11},
  [160] = {.lex_state = 302, .external_lex_state = 25},
  [161] = {.lex_state = 170, .external_lex_state = 4},
  [162] = {.lex_state = 170, .external_lex_state = 4},
  [163] = {.lex_state = 170, .external_lex_state = 4},
  [164] = {.lex_state = 170, .external_lex_state = 4},
  [165] = {.lex_state = 183, .external_lex_state = 4},
  [166] = {.lex_state = 183, .external_lex_state = 4},
  [167] = {.lex_state = 187, .external_lex_state = 6},
  [168] = {.lex_state = 190, .external_lex_state = 7},
  [169] = {.lex_state = 202, .external_lex_state = 2},
  [170] = {.lex_state = 190},
  [171] = {.lex_state = 209, .external_lex_state = 10},
  [172] = {.lex_state = 209, .external_lex_state = 9},
  [173] = {.lex_state = 305, .external_lex_state = 26},
  [174] = {.lex_state = 305, .external_lex_state = 26},
  [175] = {.lex_state = 305, .external_lex_state = 26},
  [176] = {.lex_state = 305, .external_lex_state = 26},
  [177] = {.lex_state = 213, .external_lex_state = 2},
  [178] = {.lex_state = 213, .external_lex_state = 2},
  [179] = {.lex_state = 185, .external_lex_state = 2},
  [180] = {.lex_state = 185, .external_lex_state = 2},
  [181] = {.lex_state = 215, .external_lex_state = 9},
  [182] = {.lex_state = 213, .external_lex_state = 12},
  [183] = {.lex_state = 123, .external_lex_state = 12},
  [184] = {.lex_state = 302, .external_lex_state = 25},
  [185] = {.lex_state = 302, .external_lex_state = 25},
  [186] = {.lex_state = 302, .external_lex_state = 25},
  [187] = {.lex_state = 302, .external_lex_state = 25},
  [188] = {.lex_state = 226, .external_lex_state = 13},
  [189] = {.lex_state = 228},
  [190] = {.lex_state = 302, .external_lex_state = 25},
  [191] = {.lex_state = 307, .external_lex_state = 26},
  [192] = {.lex_state = 302, .external_lex_state = 25},
  [193] = {.lex_state = 309, .external_lex_state = 27},
  [194] = {.lex_state = 185, .external_lex_state = 2},
  [195] = {.lex_state = 190},
  [196] = {.lex_state = 311, .external_lex_state = 28},
  [197] = {.lex_state = 302, .external_lex_state = 25},
  [198] = {.lex_state = 311, .external_lex_state = 28},
  [199] = {.lex_state = 305, .external_lex_state = 26},
  [200] = {.lex_state = 314, .external_lex_state = 28},
  [201] = {.lex_state = 314, .external_lex_state = 28},
  [202] = {.lex_state = 170, .external_lex_state = 4},
  [203] = {.lex_state = 185, .external_lex_state = 2},
  [204] = {.lex_state = 185, .external_lex_state = 2},
  [205] = {.lex_state = 316, .external_lex_state = 13},
  [206] = {.lex_state = 185, .external_lex_state = 2},
  [207] = {.lex_state = 123, .external_lex_state = 19},
  [208] = {.lex_state = 190},
  [209] = {.lex_state = 185, .external_lex_state = 2},
  [210] = {.lex_state = 318, .external_lex_state = 11},
  [211] = {.lex_state = 318, .external_lex_state = 11},
  [212] = {.lex_state = 318, .external_lex_state = 11},
  [213] = {.lex_state = 318, .external_lex_state = 11},
  [214] = {.lex_state = 185, .external_lex_state = 2},
  [215] = {.lex_state = 185, .external_lex_state = 2},
  [216] = {.lex_state = 185, .external_lex_state = 2},
  [217] = {.lex_state = 320, .external_lex_state = 29},
  [218] = {.lex_state = 280, .external_lex_state = 3},
  [219] = {.lex_state = 280, .external_lex_state = 3},
  [220] = {.lex_state = 280, .external_lex_state = 3},
  [221] = {.lex_state = 322, .external_lex_state = 3},
  [222] = {.lex_state = 151, .external_lex_state = 3},
  [223] = {.lex_state = 320, .external_lex_state = 11},
  [224] = {.lex_state = 151, .external_lex_state = 3},
  [225] = {.lex_state = 249, .external_lex_state = 3},
  [226] = {.lex_state = 324, .external_lex_state = 3},
  [227] = {.lex_state = 206},
  [228] = {.lex_state = 326, .external_lex_state = 3},
  [229] = {.lex_state = 322, .external_lex_state = 30},
  [230] = {.lex_state = 151, .external_lex_state = 3},
  [231] = {.lex_state = 151, .external_lex_state = 3},
  [232] = {.lex_state = 151, .external_lex_state = 3},
  [233] = {.lex_state = 185, .external_lex_state = 2},
  [234] = {.lex_state = 211, .external_lex_state = 11},
  [235] = {.lex_state = 211, .external_lex_state = 11},
  [236] = {.lex_state = 211, .external_lex_state = 11},
  [237] = {.lex_state = 211, .external_lex_state = 11},
  [238] = {.lex_state = 185, .external_lex_state = 2},
  [239] = {.lex_state = 185, .external_lex_state = 2},
  [240] = {.lex_state = 185, .external_lex_state = 2},
  [241] = {.lex_state = 217, .external_lex_state = 7},
  [242] = {.lex_state = 123, .external_lex_state = 8},
  [243] = {.lex_state = 237, .external_lex_state = 14},
  [244] = {.lex_state = 243, .external_lex_state = 11},
  [245] = {.lex_state = 206},
  [246] = {.lex_state = 247, .external_lex_state = 3},
  [247] = {.lex_state = 249, .external_lex_state = 15},
  [248] = {.lex_state = 123, .external_lex_state = 8},
  [249] = {.lex_state = 185, .external_lex_state = 2},
  [250] = {.lex_state = 211, .external_lex_state = 11},
  [251] = {.lex_state = 211, .external_lex_state = 11},
  [252] = {.lex_state = 211, .external_lex_state = 11},
  [253] = {.lex_state = 211, .external_lex_state = 11},
  [254] = {.lex_state = 185, .external_lex_state = 2},
  [255] = {.lex_state = 185, .external_lex_state = 2},
  [256] = {.lex_state = 185, .external_lex_state = 2},
  [257] = {.lex_state = 237, .external_lex_state = 14},
  [258] = {.lex_state = 243, .external_lex_state = 11},
  [259] = {.lex_state = 206},
  [260] = {.lex_state = 247, .external_lex_state = 3},
  [261] = {.lex_state = 249, .external_lex_state = 15},
  [262] = {.lex_state = 237, .external_lex_state = 14},
  [263] = {.lex_state = 202, .external_lex_state = 2},
  [264] = {.lex_state = 328, .external_lex_state = 9},
  [265] = {.lex_state = 330, .external_lex_state = 26},
  [266] = {.lex_state = 123},
  [267] = {.lex_state = 151},
  [268] = {.lex_state = 302, .external_lex_state = 25},
  [269] = {.lex_state = 185, .external_lex_state = 2},
  [270] = {.lex_state = 211, .external_lex_state = 11},
  [271] = {.lex_state = 211, .external_lex_state = 11},
  [272] = {.lex_state = 211, .external_lex_state = 11},
  [273] = {.lex_state = 211, .external_lex_state = 11},
  [274] = {.lex_state = 185, .external_lex_state = 2},
  [275] = {.lex_state = 185, .external_lex_state = 2},
  [276] = {.lex_state = 185, .external_lex_state = 2},
  [277] = {.lex_state = 237, .external_lex_state = 14},
  [278] = {.lex_state = 243, .external_lex_state = 11},
  [279] = {.lex_state = 206},
  [280] = {.lex_state = 247, .external_lex_state = 3},
  [281] = {.lex_state = 249, .external_lex_state = 15},
  [282] = {.lex_state = 123},
  [283] = {.lex_state = 170, .external_lex_state = 18},
  [284] = {.lex_state = 185, .external_lex_state = 2},
  [285] = {.lex_state = 123, .external_lex_state = 12},
  [286] = {.lex_state = 211, .external_lex_state = 11},
  [287] = {.lex_state = 211, .external_lex_state = 11},
  [288] = {.lex_state = 211, .external_lex_state = 11},
  [289] = {.lex_state = 211, .external_lex_state = 11},
  [290] = {.lex_state = 332, .external_lex_state = 31},
  [291] = {.lex_state = 123, .external_lex_state = 12},
  [292] = {.lex_state = 123, .external_lex_state = 2},
  [293] = {.lex_state = 185, .external_lex_state = 2},
  [294] = {.lex_state = 185, .external_lex_state = 2},
  [295] = {.lex_state = 185, .external_lex_state = 2},
  [296] = {.lex_state = 217, .external_lex_state = 7},
  [297] = {.lex_state = 123},
  [298] = {.lex_state = 123, .external_lex_state = 8},
  [299] = {.lex_state = 123, .external_lex_state = 8},
  [300] = {.lex_state = 123},
  [301] = {.lex_state = 123},
  [302] = {.lex_state = 123},
  [303] = {.lex_state = 151, .external_lex_state = 3},
  [304] = {.lex_state = 237, .external_lex_state = 14},
  [305] = {.lex_state = 243, .external_lex_state = 11},
  [306] = {.lex_state = 206},
  [307] = {.lex_state = 247, .external_lex_state = 3},
  [308] = {.lex_state = 249, .external_lex_state = 15},
  [309] = {.lex_state = 123, .external_lex_state = 2},
  [310] = {.lex_state = 237, .external_lex_state = 14},
  [311] = {.lex_state = 237, .external_lex_state = 14},
  [312] = {.lex_state = 335, .external_lex_state = 14},
  [313] = {.lex_state = 337, .external_lex_state = 8},
  [314] = {.lex_state = 339, .external_lex_state = 8},
  [315] = {.lex_state = 217, .external_lex_state = 7},
  [316] = {.lex_state = 170, .external_lex_state = 4},
  [317] = {.lex_state = 217, .external_lex_state = 7},
  [318] = {.lex_state = 217, .external_lex_state = 7},
  [319] = {.lex_state = 341, .external_lex_state = 7},
  [320] = {.lex_state = 217, .external_lex_state = 7},
  [321] = {.lex_state = 151, .external_lex_state = 3},
  [322] = {.lex_state = 343, .external_lex_state = 32},
  [323] = {.lex_state = 170, .external_lex_state = 4},
  [324] = {.lex_state = 170, .external_lex_state = 4},
  [325] = {.lex_state = 170, .external_lex_state = 4},
  [326] = {.lex_state = 170, .external_lex_state = 4},
  [327] = {.lex_state = 183, .external_lex_state = 4},
  [328] = {.lex_state = 183, .external_lex_state = 4},
  [329] = {.lex_state = 185, .external_lex_state = 2},
  [330] = {.lex_state = 185, .external_lex_state = 2},
  [331] = {.lex_state = 185, .external_lex_state = 2},
  [332] = {.lex_state = 123, .external_lex_state = 19},
  [333] = {.lex_state = 187, .external_lex_state = 6},
  [334] = {.lex_state = 190, .external_lex_state = 7},
  [335] = {.lex_state = 202, .external_lex_state = 2},
  [336] = {.lex_state = 190},
  [337] = {.lex_state = 185, .external_lex_state = 2},
  [338] = {.lex_state = 209, .external_lex_state = 10},
  [339] = {.lex_state = 209, .external_lex_state = 9},
  [340] = {.lex_state = 345, .external_lex_state = 33},
  [341] = {.lex_state = 345, .external_lex_state = 33},
  [342] = {.lex_state = 345, .external_lex_state = 33},
  [343] = {.lex_state = 345, .external_lex_state = 33},
  [344] = {.lex_state = 213, .external_lex_state = 2},
  [345] = {.lex_state = 213, .external_lex_state = 2},
  [346] = {.lex_state = 185, .external_lex_state = 2},
  [347] = {.lex_state = 185, .external_lex_state = 2},
  [348] = {.lex_state = 215, .external_lex_state = 9},
  [349] = {.lex_state = 213, .external_lex_state = 12},
  [350] = {.lex_state = 123, .external_lex_state = 12},
  [351] = {.lex_state = 151, .external_lex_state = 3},
  [352] = {.lex_state = 185, .external_lex_state = 2},
  [353] = {.lex_state = 185, .external_lex_state = 2},
  [354] = {.lex_state = 185, .external_lex_state = 2},
  [355] = {.lex_state = 347, .external_lex_state = 34},
  [356] = {.lex_state = 343, .external_lex_state = 32},
  [357] = {.lex_state = 349, .external_lex_state = 32},
  [358] = {.lex_state = 349, .external_lex_state = 32},
  [359] = {.lex_state = 349, .external_lex_state = 32},
  [360] = {.lex_state = 226, .external_lex_state = 13},
  [361] = {.lex_state = 228},
  [362] = {.lex_state = 351, .external_lex_state = 35},
  [363] = {.lex_state = 343, .external_lex_state = 32},
  [364] = {.lex_state = 347, .external_lex_state = 33},
  [365] = {.lex_state = 226, .external_lex_state = 23},
  [366] = {.lex_state = 345, .external_lex_state = 23},
  [367] = {.lex_state = 206},
  [368] = {.lex_state = 353, .external_lex_state = 32},
  [369] = {.lex_state = 355, .external_lex_state = 36},
  [370] = {.lex_state = 226},
  [371] = {.lex_state = 357, .external_lex_state = 2},
  [372] = {.lex_state = 359},
  [373] = {.lex_state = 302},
  [374] = {.lex_state = 302},
  [375] = {.lex_state = 123},
  [376] = {.lex_state = 361, .external_lex_state = 12},
  [377] = {.lex_state = 206, .external_lex_state = 19},
  [378] = {.lex_state = 123},
  [379] = {.lex_state = 151},
  [380] = {.lex_state = 151, .external_lex_state = 3},
  [381] = {.lex_state = 123, .external_lex_state = 5},
  [382] = {.lex_state = 123, .external_lex_state = 2},
  [383] = {.lex_state = 235, .external_lex_state = 8},
  [384] = {.lex_state = 185, .external_lex_state = 2},
  [385] = {.lex_state = 185, .external_lex_state = 2},
  [386] = {.lex_state = 185, .external_lex_state = 2},
  [387] = {.lex_state = 185, .external_lex_state = 2},
  [388] = {.lex_state = 185, .external_lex_state = 2},
  [389] = {.lex_state = 185, .external_lex_state = 2},
  [390] = {.lex_state = 185, .external_lex_state = 2},
  [391] = {.lex_state = 185, .external_lex_state = 2},
  [392] = {.lex_state = 185, .external_lex_state = 2},
  [393] = {.lex_state = 185, .external_lex_state = 2},
  [394] = {.lex_state = 185, .external_lex_state = 2},
  [395] = {.lex_state = 185, .external_lex_state = 2},
  [396] = {.lex_state = 185, .external_lex_state = 2},
  [397] = {.lex_state = 185, .external_lex_state = 2},
  [398] = {.lex_state = 185, .external_lex_state = 2},
  [399] = {.lex_state = 185, .external_lex_state = 2},
  [400] = {.lex_state = 185, .external_lex_state = 2},
  [401] = {.lex_state = 226, .external_lex_state = 13},
  [402] = {.lex_state = 190},
  [403] = {.lex_state = 190, .external_lex_state = 37},
  [404] = {.lex_state = 280, .external_lex_state = 3},
  [405] = {.lex_state = 170, .external_lex_state = 4},
  [406] = {.lex_state = 170, .external_lex_state = 4},
  [407] = {.lex_state = 170, .external_lex_state = 4},
  [408] = {.lex_state = 170, .external_lex_state = 4},
  [409] = {.lex_state = 183, .external_lex_state = 4},
  [410] = {.lex_state = 183, .external_lex_state = 4},
  [411] = {.lex_state = 185, .external_lex_state = 2},
  [412] = {.lex_state = 185, .external_lex_state = 2},
  [413] = {.lex_state = 316, .external_lex_state = 13},
  [414] = {.lex_state = 185, .external_lex_state = 2},
  [415] = {.lex_state = 123, .external_lex_state = 19},
  [416] = {.lex_state = 363, .external_lex_state = 6},
  [417] = {.lex_state = 190, .external_lex_state = 7},
  [418] = {.lex_state = 202, .external_lex_state = 2},
  [419] = {.lex_state = 185, .external_lex_state = 2},
  [420] = {.lex_state = 209, .external_lex_state = 10},
  [421] = {.lex_state = 209, .external_lex_state = 9},
  [422] = {.lex_state = 320, .external_lex_state = 11},
  [423] = {.lex_state = 320, .external_lex_state = 11},
  [424] = {.lex_state = 320, .external_lex_state = 11},
  [425] = {.lex_state = 320, .external_lex_state = 11},
  [426] = {.lex_state = 213, .external_lex_state = 2},
  [427] = {.lex_state = 213, .external_lex_state = 2},
  [428] = {.lex_state = 185, .external_lex_state = 2},
  [429] = {.lex_state = 185, .external_lex_state = 2},
  [430] = {.lex_state = 215, .external_lex_state = 9},
  [431] = {.lex_state = 361, .external_lex_state = 12},
  [432] = {.lex_state = 213, .external_lex_state = 12},
  [433] = {.lex_state = 123, .external_lex_state = 12},
  [434] = {.lex_state = 185, .external_lex_state = 2},
  [435] = {.lex_state = 185, .external_lex_state = 2},
  [436] = {.lex_state = 185, .external_lex_state = 2},
  [437] = {.lex_state = 320, .external_lex_state = 29},
  [438] = {.lex_state = 280, .external_lex_state = 3},
  [439] = {.lex_state = 226, .external_lex_state = 13},
  [440] = {.lex_state = 228},
  [441] = {.lex_state = 365, .external_lex_state = 3},
  [442] = {.lex_state = 280, .external_lex_state = 3},
  [443] = {.lex_state = 320, .external_lex_state = 11},
  [444] = {.lex_state = 219, .external_lex_state = 3},
  [445] = {.lex_state = 367, .external_lex_state = 3},
  [446] = {.lex_state = 367, .external_lex_state = 3},
  [447] = {.lex_state = 219, .external_lex_state = 3},
  [448] = {.lex_state = 206},
  [449] = {.lex_state = 365, .external_lex_state = 3},
  [450] = {.lex_state = 365, .external_lex_state = 30},
  [451] = {.lex_state = 185, .external_lex_state = 38},
  [452] = {.lex_state = 369, .external_lex_state = 9},
  [453] = {.lex_state = 185, .external_lex_state = 2},
  [454] = {.lex_state = 249, .external_lex_state = 15},
  [455] = {.lex_state = 170, .external_lex_state = 4},
  [456] = {.lex_state = 185, .external_lex_state = 2},
  [457] = {.lex_state = 190},
  [458] = {.lex_state = 187},
  [459] = {.lex_state = 371, .external_lex_state = 20},
  [460] = {.lex_state = 371, .external_lex_state = 20},
  [461] = {.lex_state = 371, .external_lex_state = 20},
  [462] = {.lex_state = 371, .external_lex_state = 20},
  [463] = {.lex_state = 185, .external_lex_state = 2},
  [464] = {.lex_state = 185, .external_lex_state = 2},
  [465] = {.lex_state = 185, .external_lex_state = 2},
  [466] = {.lex_state = 217, .external_lex_state = 7},
  [467] = {.lex_state = 217, .external_lex_state = 7},
  [468] = {.lex_state = 373, .external_lex_state = 17},
  [469] = {.lex_state = 373, .external_lex_state = 17},
  [470] = {.lex_state = 373, .external_lex_state = 17},
  [471] = {.lex_state = 187},
  [472] = {.lex_state = 187},
  [473] = {.lex_state = 375, .external_lex_state = 22},
  [474] = {.lex_state = 273, .external_lex_state = 17},
  [475] = {.lex_state = 377, .external_lex_state = 20},
  [476] = {.lex_state = 206},
  [477] = {.lex_state = 379, .external_lex_state = 17},
  [478] = {.lex_state = 381, .external_lex_state = 39},
  [479] = {.lex_state = 151, .external_lex_state = 15},
  [480] = {.lex_state = 170, .external_lex_state = 4},
  [481] = {.lex_state = 151, .external_lex_state = 3},
  [482] = {.lex_state = 151, .external_lex_state = 3},
  [483] = {.lex_state = 151, .external_lex_state = 3},
  [484] = {.lex_state = 187},
  [485] = {.lex_state = 151, .external_lex_state = 3},
  [486] = {.lex_state = 185, .external_lex_state = 16},
  [487] = {.lex_state = 251, .external_lex_state = 16},
  [488] = {.lex_state = 151, .external_lex_state = 3},
  [489] = {.lex_state = 170, .external_lex_state = 4},
  [490] = {.lex_state = 251, .external_lex_state = 16},
  [491] = {.lex_state = 183, .external_lex_state = 4},
  [492] = {.lex_state = 151, .external_lex_state = 3},
  [493] = {.lex_state = 185, .external_lex_state = 16},
  [494] = {.lex_state = 251, .external_lex_state = 16},
  [495] = {.lex_state = 151, .external_lex_state = 3},
  [496] = {.lex_state = 170, .external_lex_state = 4},
  [497] = {.lex_state = 251, .external_lex_state = 16},
  [498] = {.lex_state = 231},
  [499] = {.lex_state = 185, .external_lex_state = 2},
  [500] = {.lex_state = 204, .external_lex_state = 8},
  [501] = {.lex_state = 383, .external_lex_state = 11},
  [502] = {.lex_state = 383, .external_lex_state = 11},
  [503] = {.lex_state = 383, .external_lex_state = 11},
  [504] = {.lex_state = 383, .external_lex_state = 11},
  [505] = {.lex_state = 185, .external_lex_state = 2},
  [506] = {.lex_state = 185, .external_lex_state = 2},
  [507] = {.lex_state = 185, .external_lex_state = 2},
  [508] = {.lex_state = 217, .external_lex_state = 7},
  [509] = {.lex_state = 187},
  [510] = {.lex_state = 228, .external_lex_state = 8},
  [511] = {.lex_state = 228, .external_lex_state = 8},
  [512] = {.lex_state = 375, .external_lex_state = 14},
  [513] = {.lex_state = 385, .external_lex_state = 11},
  [514] = {.lex_state = 206},
  [515] = {.lex_state = 379, .external_lex_state = 3},
  [516] = {.lex_state = 381, .external_lex_state = 15},
  [517] = {.lex_state = 284, .external_lex_state = 24},
  [518] = {.lex_state = 185, .external_lex_state = 16},
  [519] = {.lex_state = 273, .external_lex_state = 17},
  [520] = {.lex_state = 185, .external_lex_state = 16},
  [521] = {.lex_state = 273, .external_lex_state = 17},
  [522] = {.lex_state = 185, .external_lex_state = 16},
  [523] = {.lex_state = 273, .external_lex_state = 17},
  [524] = {.lex_state = 185, .external_lex_state = 16},
  [525] = {.lex_state = 273, .external_lex_state = 17},
  [526] = {.lex_state = 183, .external_lex_state = 4},
  [527] = {.lex_state = 251, .external_lex_state = 16},
  [528] = {.lex_state = 273, .external_lex_state = 17},
  [529] = {.lex_state = 183, .external_lex_state = 4},
  [530] = {.lex_state = 251, .external_lex_state = 16},
  [531] = {.lex_state = 387},
  [532] = {.lex_state = 213, .external_lex_state = 2},
  [533] = {.lex_state = 170, .external_lex_state = 18},
  [534] = {.lex_state = 282, .external_lex_state = 22},
  [535] = {.lex_state = 284, .external_lex_state = 39},
  [536] = {.lex_state = 185, .external_lex_state = 2},
  [537] = {.lex_state = 273, .external_lex_state = 17},
  [538] = {.lex_state = 187},
  [539] = {.lex_state = 187, .external_lex_state = 23},
  [540] = {.lex_state = 185, .external_lex_state = 2},
  [541] = {.lex_state = 273, .external_lex_state = 17},
  [542] = {.lex_state = 228},
  [543] = {.lex_state = 288, .external_lex_state = 8},
  [544] = {.lex_state = 273, .external_lex_state = 17},
  [545] = {.lex_state = 202},
  [546] = {.lex_state = 278, .external_lex_state = 20},
  [547] = {.lex_state = 170, .external_lex_state = 4},
  [548] = {.lex_state = 185, .external_lex_state = 2},
  [549] = {.lex_state = 190},
  [550] = {.lex_state = 389, .external_lex_state = 33},
  [551] = {.lex_state = 389, .external_lex_state = 33},
  [552] = {.lex_state = 389, .external_lex_state = 33},
  [553] = {.lex_state = 389, .external_lex_state = 33},
  [554] = {.lex_state = 185, .external_lex_state = 2},
  [555] = {.lex_state = 185, .external_lex_state = 2},
  [556] = {.lex_state = 185, .external_lex_state = 2},
  [557] = {.lex_state = 391, .external_lex_state = 32},
  [558] = {.lex_state = 391, .external_lex_state = 32},
  [559] = {.lex_state = 391, .external_lex_state = 32},
  [560] = {.lex_state = 375, .external_lex_state = 35},
  [561] = {.lex_state = 393, .external_lex_state = 32},
  [562] = {.lex_state = 377, .external_lex_state = 33},
  [563] = {.lex_state = 206},
  [564] = {.lex_state = 379, .external_lex_state = 32},
  [565] = {.lex_state = 395, .external_lex_state = 40},
  [566] = {.lex_state = 185, .external_lex_state = 2},
  [567] = {.lex_state = 311, .external_lex_state = 28},
  [568] = {.lex_state = 311, .external_lex_state = 28},
  [569] = {.lex_state = 314, .external_lex_state = 28},
  [570] = {.lex_state = 314, .external_lex_state = 28},
  [571] = {.lex_state = 185, .external_lex_state = 2},
  [572] = {.lex_state = 185, .external_lex_state = 2},
  [573] = {.lex_state = 316, .external_lex_state = 13},
  [574] = {.lex_state = 185, .external_lex_state = 2},
  [575] = {.lex_state = 123, .external_lex_state = 19},
  [576] = {.lex_state = 185, .external_lex_state = 2},
  [577] = {.lex_state = 397, .external_lex_state = 33},
  [578] = {.lex_state = 397, .external_lex_state = 33},
  [579] = {.lex_state = 397, .external_lex_state = 33},
  [580] = {.lex_state = 397, .external_lex_state = 33},
  [581] = {.lex_state = 185, .external_lex_state = 2},
  [582] = {.lex_state = 185, .external_lex_state = 2},
  [583] = {.lex_state = 185, .external_lex_state = 2},
  [584] = {.lex_state = 278, .external_lex_state = 34},
  [585] = {.lex_state = 322, .external_lex_state = 32},
  [586] = {.lex_state = 278, .external_lex_state = 33},
  [587] = {.lex_state = 273, .external_lex_state = 17},
  [588] = {.lex_state = 284, .external_lex_state = 32},
  [589] = {.lex_state = 322, .external_lex_state = 32},
  [590] = {.lex_state = 206},
  [591] = {.lex_state = 326, .external_lex_state = 32},
  [592] = {.lex_state = 322, .external_lex_state = 36},
  [593] = {.lex_state = 273, .external_lex_state = 17},
  [594] = {.lex_state = 273, .external_lex_state = 17},
  [595] = {.lex_state = 273, .external_lex_state = 17},
  [596] = {.lex_state = 123, .external_lex_state = 8},
  [597] = {.lex_state = 123, .external_lex_state = 8},
  [598] = {.lex_state = 237, .external_lex_state = 14},
  [599] = {.lex_state = 237, .external_lex_state = 14},
  [600] = {.lex_state = 123},
  [601] = {.lex_state = 237, .external_lex_state = 14},
  [602] = {.lex_state = 123},
  [603] = {.lex_state = 123},
  [604] = {.lex_state = 123},
  [605] = {.lex_state = 123},
  [606] = {.lex_state = 123},
  [607] = {.lex_state = 273, .external_lex_state = 17},
  [608] = {.lex_state = 123, .external_lex_state = 2},
  [609] = {.lex_state = 282, .external_lex_state = 22},
  [610] = {.lex_state = 282, .external_lex_state = 22},
  [611] = {.lex_state = 399, .external_lex_state = 22},
  [612] = {.lex_state = 273, .external_lex_state = 17},
  [613] = {.lex_state = 273, .external_lex_state = 17},
  [614] = {.lex_state = 226, .external_lex_state = 23},
  [615] = {.lex_state = 226},
  [616] = {.lex_state = 357, .external_lex_state = 2},
  [617] = {.lex_state = 361, .external_lex_state = 12},
  [618] = {.lex_state = 123},
  [619] = {.lex_state = 273, .external_lex_state = 17},
  [620] = {.lex_state = 185, .external_lex_state = 2},
  [621] = {.lex_state = 185, .external_lex_state = 2},
  [622] = {.lex_state = 185, .external_lex_state = 2},
  [623] = {.lex_state = 185, .external_lex_state = 2},
  [624] = {.lex_state = 185, .external_lex_state = 2},
  [625] = {.lex_state = 185, .external_lex_state = 2},
  [626] = {.lex_state = 185, .external_lex_state = 2},
  [627] = {.lex_state = 185, .external_lex_state = 2},
  [628] = {.lex_state = 185, .external_lex_state = 2},
  [629] = {.lex_state = 185, .external_lex_state = 2},
  [630] = {.lex_state = 185, .external_lex_state = 2},
  [631] = {.lex_state = 185, .external_lex_state = 2},
  [632] = {.lex_state = 185, .external_lex_state = 2},
  [633] = {.lex_state = 226, .external_lex_state = 13},
  [634] = {.lex_state = 190},
  [635] = {.lex_state = 190, .external_lex_state = 37},
  [636] = {.lex_state = 349, .external_lex_state = 32},
  [637] = {.lex_state = 170, .external_lex_state = 4},
  [638] = {.lex_state = 170, .external_lex_state = 4},
  [639] = {.lex_state = 170, .external_lex_state = 4},
  [640] = {.lex_state = 170, .external_lex_state = 4},
  [641] = {.lex_state = 183, .external_lex_state = 4},
  [642] = {.lex_state = 183, .external_lex_state = 4},
  [643] = {.lex_state = 185, .external_lex_state = 2},
  [644] = {.lex_state = 185, .external_lex_state = 2},
  [645] = {.lex_state = 316, .external_lex_state = 13},
  [646] = {.lex_state = 185, .external_lex_state = 2},
  [647] = {.lex_state = 123, .external_lex_state = 19},
  [648] = {.lex_state = 363, .external_lex_state = 6},
  [649] = {.lex_state = 190, .external_lex_state = 7},
  [650] = {.lex_state = 202, .external_lex_state = 2},
  [651] = {.lex_state = 185, .external_lex_state = 2},
  [652] = {.lex_state = 209, .external_lex_state = 10},
  [653] = {.lex_state = 209, .external_lex_state = 9},
  [654] = {.lex_state = 278, .external_lex_state = 33},
  [655] = {.lex_state = 278, .external_lex_state = 33},
  [656] = {.lex_state = 278, .external_lex_state = 33},
  [657] = {.lex_state = 278, .external_lex_state = 33},
  [658] = {.lex_state = 213, .external_lex_state = 2},
  [659] = {.lex_state = 213, .external_lex_state = 2},
  [660] = {.lex_state = 185, .external_lex_state = 2},
  [661] = {.lex_state = 185, .external_lex_state = 2},
  [662] = {.lex_state = 215, .external_lex_state = 9},
  [663] = {.lex_state = 361, .external_lex_state = 12},
  [664] = {.lex_state = 213, .external_lex_state = 12},
  [665] = {.lex_state = 123, .external_lex_state = 12},
  [666] = {.lex_state = 185, .external_lex_state = 2},
  [667] = {.lex_state = 185, .external_lex_state = 2},
  [668] = {.lex_state = 185, .external_lex_state = 2},
  [669] = {.lex_state = 278, .external_lex_state = 34},
  [670] = {.lex_state = 349, .external_lex_state = 32},
  [671] = {.lex_state = 226, .external_lex_state = 13},
  [672] = {.lex_state = 228},
  [673] = {.lex_state = 365, .external_lex_state = 32},
  [674] = {.lex_state = 349, .external_lex_state = 32},
  [675] = {.lex_state = 278, .external_lex_state = 33},
  [676] = {.lex_state = 280, .external_lex_state = 17},
  [677] = {.lex_state = 365, .external_lex_state = 32},
  [678] = {.lex_state = 365, .external_lex_state = 32},
  [679] = {.lex_state = 280, .external_lex_state = 17},
  [680] = {.lex_state = 206},
  [681] = {.lex_state = 365, .external_lex_state = 32},
  [682] = {.lex_state = 365, .external_lex_state = 36},
  [683] = {.lex_state = 185, .external_lex_state = 38},
  [684] = {.lex_state = 185, .external_lex_state = 2},
  [685] = {.lex_state = 185, .external_lex_state = 2},
  [686] = {.lex_state = 284, .external_lex_state = 39},
  [687] = {.lex_state = 151, .external_lex_state = 3},
  [688] = {.lex_state = 187},
  [689] = {.lex_state = 187, .external_lex_state = 6},
  [690] = {.lex_state = 204, .external_lex_state = 8},
  [691] = {.lex_state = 187},
  [692] = {.lex_state = 286, .external_lex_state = 8},
  [693] = {.lex_state = 185, .external_lex_state = 16},
  [694] = {.lex_state = 185, .external_lex_state = 2},
  [695] = {.lex_state = 401, .external_lex_state = 20},
  [696] = {.lex_state = 401, .external_lex_state = 20},
  [697] = {.lex_state = 401, .external_lex_state = 20},
  [698] = {.lex_state = 401, .external_lex_state = 20},
  [699] = {.lex_state = 185, .external_lex_state = 2},
  [700] = {.lex_state = 185, .external_lex_state = 2},
  [701] = {.lex_state = 185, .external_lex_state = 2},
  [702] = {.lex_state = 282, .external_lex_state = 22},
  [703] = {.lex_state = 403, .external_lex_state = 20},
  [704] = {.lex_state = 206},
  [705] = {.lex_state = 296, .external_lex_state = 17},
  [706] = {.lex_state = 298, .external_lex_state = 39},
  [707] = {.lex_state = 286, .external_lex_state = 8},
  [708] = {.lex_state = 217, .external_lex_state = 7},
  [709] = {.lex_state = 359},
  [710] = {.lex_state = 243, .external_lex_state = 8},
  [711] = {.lex_state = 243, .external_lex_state = 8},
  [712] = {.lex_state = 123},
  [713] = {.lex_state = 288, .external_lex_state = 41},
  [714] = {.lex_state = 123, .external_lex_state = 2},
  [715] = {.lex_state = 243, .external_lex_state = 8},
  [716] = {.lex_state = 282, .external_lex_state = 14},
  [717] = {.lex_state = 405, .external_lex_state = 26},
  [718] = {.lex_state = 185, .external_lex_state = 2},
  [719] = {.lex_state = 185, .external_lex_state = 2},
  [720] = {.lex_state = 185, .external_lex_state = 2},
  [721] = {.lex_state = 123, .external_lex_state = 19},
  [722] = {.lex_state = 185, .external_lex_state = 2},
  [723] = {.lex_state = 407, .external_lex_state = 11},
  [724] = {.lex_state = 407, .external_lex_state = 11},
  [725] = {.lex_state = 407, .external_lex_state = 11},
  [726] = {.lex_state = 407, .external_lex_state = 11},
  [727] = {.lex_state = 185, .external_lex_state = 2},
  [728] = {.lex_state = 185, .external_lex_state = 2},
  [729] = {.lex_state = 185, .external_lex_state = 2},
  [730] = {.lex_state = 409, .external_lex_state = 29},
  [731] = {.lex_state = 411, .external_lex_state = 3},
  [732] = {.lex_state = 409, .external_lex_state = 11},
  [733] = {.lex_state = 298, .external_lex_state = 3},
  [734] = {.lex_state = 411, .external_lex_state = 3},
  [735] = {.lex_state = 206},
  [736] = {.lex_state = 413, .external_lex_state = 3},
  [737] = {.lex_state = 411, .external_lex_state = 30},
  [738] = {.lex_state = 282, .external_lex_state = 14},
  [739] = {.lex_state = 282, .external_lex_state = 14},
  [740] = {.lex_state = 282, .external_lex_state = 8},
  [741] = {.lex_state = 151, .external_lex_state = 3},
  [742] = {.lex_state = 202, .external_lex_state = 2},
  [743] = {.lex_state = 202, .external_lex_state = 8},
  [744] = {.lex_state = 185, .external_lex_state = 2},
  [745] = {.lex_state = 185, .external_lex_state = 2},
  [746] = {.lex_state = 185, .external_lex_state = 2},
  [747] = {.lex_state = 185, .external_lex_state = 2},
  [748] = {.lex_state = 185, .external_lex_state = 2},
  [749] = {.lex_state = 185, .external_lex_state = 2},
  [750] = {.lex_state = 185, .external_lex_state = 2},
  [751] = {.lex_state = 185, .external_lex_state = 2},
  [752] = {.lex_state = 185, .external_lex_state = 2},
  [753] = {.lex_state = 185, .external_lex_state = 2},
  [754] = {.lex_state = 185, .external_lex_state = 2},
  [755] = {.lex_state = 185, .external_lex_state = 2},
  [756] = {.lex_state = 185, .external_lex_state = 2},
  [757] = {.lex_state = 185, .external_lex_state = 2},
  [758] = {.lex_state = 185, .external_lex_state = 2},
  [759] = {.lex_state = 185, .external_lex_state = 2},
  [760] = {.lex_state = 185, .external_lex_state = 2},
  [761] = {.lex_state = 185, .external_lex_state = 2},
  [762] = {.lex_state = 185, .external_lex_state = 2},
  [763] = {.lex_state = 185, .external_lex_state = 2},
  [764] = {.lex_state = 123, .external_lex_state = 19},
  [765] = {.lex_state = 185, .external_lex_state = 2},
  [766] = {.lex_state = 409, .external_lex_state = 11},
  [767] = {.lex_state = 409, .external_lex_state = 11},
  [768] = {.lex_state = 409, .external_lex_state = 11},
  [769] = {.lex_state = 409, .external_lex_state = 11},
  [770] = {.lex_state = 185, .external_lex_state = 2},
  [771] = {.lex_state = 185, .external_lex_state = 2},
  [772] = {.lex_state = 185, .external_lex_state = 2},
  [773] = {.lex_state = 409, .external_lex_state = 29},
  [774] = {.lex_state = 413, .external_lex_state = 3},
  [775] = {.lex_state = 409, .external_lex_state = 11},
  [776] = {.lex_state = 296, .external_lex_state = 3},
  [777] = {.lex_state = 296, .external_lex_state = 3},
  [778] = {.lex_state = 206},
  [779] = {.lex_state = 413, .external_lex_state = 3},
  [780] = {.lex_state = 413, .external_lex_state = 30},
  [781] = {.lex_state = 185, .external_lex_state = 38},
  [782] = {.lex_state = 290},
  [783] = {.lex_state = 415, .external_lex_state = 9},
  [784] = {.lex_state = 185, .external_lex_state = 2},
  [785] = {.lex_state = 298, .external_lex_state = 15},
  [786] = {.lex_state = 309, .external_lex_state = 27},
  [787] = {.lex_state = 185, .external_lex_state = 16},
  [788] = {.lex_state = 302, .external_lex_state = 25},
  [789] = {.lex_state = 185, .external_lex_state = 16},
  [790] = {.lex_state = 302, .external_lex_state = 25},
  [791] = {.lex_state = 185, .external_lex_state = 16},
  [792] = {.lex_state = 302, .external_lex_state = 25},
  [793] = {.lex_state = 185, .external_lex_state = 16},
  [794] = {.lex_state = 302, .external_lex_state = 25},
  [795] = {.lex_state = 183, .external_lex_state = 4},
  [796] = {.lex_state = 251, .external_lex_state = 16},
  [797] = {.lex_state = 302, .external_lex_state = 25},
  [798] = {.lex_state = 183, .external_lex_state = 4},
  [799] = {.lex_state = 251, .external_lex_state = 16},
  [800] = {.lex_state = 302, .external_lex_state = 25},
  [801] = {.lex_state = 187},
  [802] = {.lex_state = 187, .external_lex_state = 23},
  [803] = {.lex_state = 185, .external_lex_state = 2},
  [804] = {.lex_state = 302, .external_lex_state = 25},
  [805] = {.lex_state = 228},
  [806] = {.lex_state = 288, .external_lex_state = 8},
  [807] = {.lex_state = 302, .external_lex_state = 25},
  [808] = {.lex_state = 202},
  [809] = {.lex_state = 405, .external_lex_state = 26},
  [810] = {.lex_state = 185, .external_lex_state = 2},
  [811] = {.lex_state = 311, .external_lex_state = 28},
  [812] = {.lex_state = 311, .external_lex_state = 28},
  [813] = {.lex_state = 314, .external_lex_state = 28},
  [814] = {.lex_state = 314, .external_lex_state = 28},
  [815] = {.lex_state = 185, .external_lex_state = 2},
  [816] = {.lex_state = 185, .external_lex_state = 2},
  [817] = {.lex_state = 316, .external_lex_state = 13},
  [818] = {.lex_state = 123, .external_lex_state = 19},
  [819] = {.lex_state = 185, .external_lex_state = 2},
  [820] = {.lex_state = 278, .external_lex_state = 34},
  [821] = {.lex_state = 322, .external_lex_state = 32},
  [822] = {.lex_state = 302, .external_lex_state = 25},
  [823] = {.lex_state = 309, .external_lex_state = 42},
  [824] = {.lex_state = 417, .external_lex_state = 42},
  [825] = {.lex_state = 322, .external_lex_state = 36},
  [826] = {.lex_state = 302, .external_lex_state = 25},
  [827] = {.lex_state = 302, .external_lex_state = 25},
  [828] = {.lex_state = 302, .external_lex_state = 25},
  [829] = {.lex_state = 123, .external_lex_state = 8},
  [830] = {.lex_state = 123, .external_lex_state = 8},
  [831] = {.lex_state = 237, .external_lex_state = 14},
  [832] = {.lex_state = 237, .external_lex_state = 14},
  [833] = {.lex_state = 123},
  [834] = {.lex_state = 237, .external_lex_state = 14},
  [835] = {.lex_state = 123},
  [836] = {.lex_state = 123},
  [837] = {.lex_state = 123},
  [838] = {.lex_state = 123},
  [839] = {.lex_state = 123},
  [840] = {.lex_state = 302, .external_lex_state = 25},
  [841] = {.lex_state = 123, .external_lex_state = 2},
  [842] = {.lex_state = 302, .external_lex_state = 25},
  [843] = {.lex_state = 302, .external_lex_state = 25},
  [844] = {.lex_state = 226, .external_lex_state = 23},
  [845] = {.lex_state = 226},
  [846] = {.lex_state = 357, .external_lex_state = 2},
  [847] = {.lex_state = 361, .external_lex_state = 12},
  [848] = {.lex_state = 123},
  [849] = {.lex_state = 302, .external_lex_state = 25},
  [850] = {.lex_state = 226, .external_lex_state = 13},
  [851] = {.lex_state = 190},
  [852] = {.lex_state = 190, .external_lex_state = 37},
  [853] = {.lex_state = 185, .external_lex_state = 2},
  [854] = {.lex_state = 185, .external_lex_state = 2},
  [855] = {.lex_state = 185, .external_lex_state = 2},
  [856] = {.lex_state = 123, .external_lex_state = 19},
  [857] = {.lex_state = 363, .external_lex_state = 6},
  [858] = {.lex_state = 185, .external_lex_state = 2},
  [859] = {.lex_state = 419, .external_lex_state = 33},
  [860] = {.lex_state = 419, .external_lex_state = 33},
  [861] = {.lex_state = 419, .external_lex_state = 33},
  [862] = {.lex_state = 419, .external_lex_state = 33},
  [863] = {.lex_state = 185, .external_lex_state = 2},
  [864] = {.lex_state = 185, .external_lex_state = 2},
  [865] = {.lex_state = 185, .external_lex_state = 2},
  [866] = {.lex_state = 278, .external_lex_state = 34},
  [867] = {.lex_state = 421, .external_lex_state = 32},
  [868] = {.lex_state = 302, .external_lex_state = 25},
  [869] = {.lex_state = 417, .external_lex_state = 42},
  [870] = {.lex_state = 417, .external_lex_state = 42},
  [871] = {.lex_state = 302, .external_lex_state = 25},
  [872] = {.lex_state = 206},
  [873] = {.lex_state = 365, .external_lex_state = 32},
  [874] = {.lex_state = 421, .external_lex_state = 36},
  [875] = {.lex_state = 309, .external_lex_state = 27},
  [876] = {.lex_state = 237, .external_lex_state = 14},
  [877] = {.lex_state = 311, .external_lex_state = 28},
  [878] = {.lex_state = 185, .external_lex_state = 2},
  [879] = {.lex_state = 123, .external_lex_state = 8},
  [880] = {.lex_state = 123, .external_lex_state = 2},
  [881] = {.lex_state = 190},
  [882] = {.lex_state = 185, .external_lex_state = 2},
  [883] = {.lex_state = 185, .external_lex_state = 2},
  [884] = {.lex_state = 185, .external_lex_state = 2},
  [885] = {.lex_state = 123, .external_lex_state = 19},
  [886] = {.lex_state = 363, .external_lex_state = 6},
  [887] = {.lex_state = 185, .external_lex_state = 2},
  [888] = {.lex_state = 397, .external_lex_state = 33},
  [889] = {.lex_state = 397, .external_lex_state = 33},
  [890] = {.lex_state = 397, .external_lex_state = 33},
  [891] = {.lex_state = 397, .external_lex_state = 33},
  [892] = {.lex_state = 185, .external_lex_state = 2},
  [893] = {.lex_state = 185, .external_lex_state = 2},
  [894] = {.lex_state = 185, .external_lex_state = 2},
  [895] = {.lex_state = 278, .external_lex_state = 34},
  [896] = {.lex_state = 421, .external_lex_state = 32},
  [897] = {.lex_state = 309, .external_lex_state = 42},
  [898] = {.lex_state = 417, .external_lex_state = 42},
  [899] = {.lex_state = 206},
  [900] = {.lex_state = 365, .external_lex_state = 32},
  [901] = {.lex_state = 423, .external_lex_state = 36},
  [902] = {.lex_state = 151, .external_lex_state = 3},
  [903] = {.lex_state = 123, .external_lex_state = 2},
  [904] = {.lex_state = 151, .external_lex_state = 30},
  [905] = {.lex_state = 185, .external_lex_state = 16},
  [906] = {.lex_state = 185, .external_lex_state = 2},
  [907] = {.lex_state = 425, .external_lex_state = 11},
  [908] = {.lex_state = 425, .external_lex_state = 11},
  [909] = {.lex_state = 425, .external_lex_state = 11},
  [910] = {.lex_state = 425, .external_lex_state = 11},
  [911] = {.lex_state = 185, .external_lex_state = 2},
  [912] = {.lex_state = 185, .external_lex_state = 2},
  [913] = {.lex_state = 185, .external_lex_state = 2},
  [914] = {.lex_state = 324, .external_lex_state = 3},
  [915] = {.lex_state = 206},
  [916] = {.lex_state = 247, .external_lex_state = 3},
  [917] = {.lex_state = 324, .external_lex_state = 15},
  [918] = {.lex_state = 324, .external_lex_state = 3},
  [919] = {.lex_state = 185, .external_lex_state = 2},
  [920] = {.lex_state = 185, .external_lex_state = 2},
  [921] = {.lex_state = 185, .external_lex_state = 2},
  [922] = {.lex_state = 123, .external_lex_state = 19},
  [923] = {.lex_state = 151, .external_lex_state = 3},
  [924] = {.lex_state = 185, .external_lex_state = 2},
  [925] = {.lex_state = 427, .external_lex_state = 33},
  [926] = {.lex_state = 427, .external_lex_state = 33},
  [927] = {.lex_state = 427, .external_lex_state = 33},
  [928] = {.lex_state = 427, .external_lex_state = 33},
  [929] = {.lex_state = 185, .external_lex_state = 2},
  [930] = {.lex_state = 185, .external_lex_state = 2},
  [931] = {.lex_state = 185, .external_lex_state = 2},
  [932] = {.lex_state = 429, .external_lex_state = 34},
  [933] = {.lex_state = 282, .external_lex_state = 35},
  [934] = {.lex_state = 429, .external_lex_state = 33},
  [935] = {.lex_state = 202, .external_lex_state = 23},
  [936] = {.lex_state = 282, .external_lex_state = 23},
  [937] = {.lex_state = 206},
  [938] = {.lex_state = 413, .external_lex_state = 32},
  [939] = {.lex_state = 411, .external_lex_state = 36},
  [940] = {.lex_state = 202},
  [941] = {.lex_state = 322, .external_lex_state = 3},
  [942] = {.lex_state = 322, .external_lex_state = 15},
  [943] = {.lex_state = 185, .external_lex_state = 2},
  [944] = {.lex_state = 431, .external_lex_state = 11},
  [945] = {.lex_state = 324, .external_lex_state = 3},
  [946] = {.lex_state = 185, .external_lex_state = 2},
  [947] = {.lex_state = 185, .external_lex_state = 2},
  [948] = {.lex_state = 123, .external_lex_state = 19},
  [949] = {.lex_state = 185, .external_lex_state = 2},
  [950] = {.lex_state = 320, .external_lex_state = 29},
  [951] = {.lex_state = 322, .external_lex_state = 3},
  [952] = {.lex_state = 322, .external_lex_state = 3},
  [953] = {.lex_state = 322, .external_lex_state = 3},
  [954] = {.lex_state = 322, .external_lex_state = 30},
  [955] = {.lex_state = 322, .external_lex_state = 3},
  [956] = {.lex_state = 322, .external_lex_state = 3},
  [957] = {.lex_state = 151, .external_lex_state = 3},
  [958] = {.lex_state = 185, .external_lex_state = 2},
  [959] = {.lex_state = 185, .external_lex_state = 2},
  [960] = {.lex_state = 185, .external_lex_state = 2},
  [961] = {.lex_state = 185, .external_lex_state = 2},
  [962] = {.lex_state = 185, .external_lex_state = 2},
  [963] = {.lex_state = 185, .external_lex_state = 2},
  [964] = {.lex_state = 185, .external_lex_state = 2},
  [965] = {.lex_state = 185, .external_lex_state = 2},
  [966] = {.lex_state = 185, .external_lex_state = 2},
  [967] = {.lex_state = 185, .external_lex_state = 2},
  [968] = {.lex_state = 185, .external_lex_state = 2},
  [969] = {.lex_state = 185, .external_lex_state = 2},
  [970] = {.lex_state = 185, .external_lex_state = 2},
  [971] = {.lex_state = 226, .external_lex_state = 13},
  [972] = {.lex_state = 190},
  [973] = {.lex_state = 190, .external_lex_state = 37},
  [974] = {.lex_state = 185, .external_lex_state = 2},
  [975] = {.lex_state = 185, .external_lex_state = 2},
  [976] = {.lex_state = 316, .external_lex_state = 13},
  [977] = {.lex_state = 123, .external_lex_state = 19},
  [978] = {.lex_state = 363, .external_lex_state = 6},
  [979] = {.lex_state = 185, .external_lex_state = 2},
  [980] = {.lex_state = 361, .external_lex_state = 12},
  [981] = {.lex_state = 320, .external_lex_state = 29},
  [982] = {.lex_state = 365, .external_lex_state = 3},
  [983] = {.lex_state = 280, .external_lex_state = 3},
  [984] = {.lex_state = 365, .external_lex_state = 3},
  [985] = {.lex_state = 365, .external_lex_state = 3},
  [986] = {.lex_state = 280, .external_lex_state = 3},
  [987] = {.lex_state = 365, .external_lex_state = 30},
  [988] = {.lex_state = 170, .external_lex_state = 18},
  [989] = {.lex_state = 249, .external_lex_state = 3},
  [990] = {.lex_state = 433, .external_lex_state = 13},
  [991] = {.lex_state = 324, .external_lex_state = 3},
  [992] = {.lex_state = 185, .external_lex_state = 38},
  [993] = {.lex_state = 185, .external_lex_state = 2},
  [994] = {.lex_state = 185, .external_lex_state = 2},
  [995] = {.lex_state = 322, .external_lex_state = 15},
  [996] = {.lex_state = 237, .external_lex_state = 14},
  [997] = {.lex_state = 185, .external_lex_state = 2},
  [998] = {.lex_state = 185, .external_lex_state = 2},
  [999] = {.lex_state = 185, .external_lex_state = 2},
  [1000] = {.lex_state = 123, .external_lex_state = 19},
  [1001] = {.lex_state = 185, .external_lex_state = 2},
  [1002] = {.lex_state = 318, .external_lex_state = 11},
  [1003] = {.lex_state = 318, .external_lex_state = 11},
  [1004] = {.lex_state = 318, .external_lex_state = 11},
  [1005] = {.lex_state = 318, .external_lex_state = 11},
  [1006] = {.lex_state = 185, .external_lex_state = 2},
  [1007] = {.lex_state = 185, .external_lex_state = 2},
  [1008] = {.lex_state = 185, .external_lex_state = 2},
  [1009] = {.lex_state = 320, .external_lex_state = 29},
  [1010] = {.lex_state = 322, .external_lex_state = 3},
  [1011] = {.lex_state = 320, .external_lex_state = 11},
  [1012] = {.lex_state = 249, .external_lex_state = 3},
  [1013] = {.lex_state = 322, .external_lex_state = 3},
  [1014] = {.lex_state = 206},
  [1015] = {.lex_state = 326, .external_lex_state = 3},
  [1016] = {.lex_state = 322, .external_lex_state = 30},
  [1017] = {.lex_state = 237, .external_lex_state = 14},
  [1018] = {.lex_state = 237, .external_lex_state = 14},
  [1019] = {.lex_state = 243, .external_lex_state = 8},
  [1020] = {.lex_state = 170, .external_lex_state = 18},
  [1021] = {.lex_state = 185, .external_lex_state = 2},
  [1022] = {.lex_state = 185, .external_lex_state = 2},
  [1023] = {.lex_state = 185, .external_lex_state = 2},
  [1024] = {.lex_state = 185, .external_lex_state = 2},
  [1025] = {.lex_state = 185, .external_lex_state = 2},
  [1026] = {.lex_state = 123, .external_lex_state = 12},
  [1027] = {.lex_state = 123, .external_lex_state = 12},
  [1028] = {.lex_state = 185, .external_lex_state = 2},
  [1029] = {.lex_state = 185, .external_lex_state = 2},
  [1030] = {.lex_state = 185, .external_lex_state = 2},
  [1031] = {.lex_state = 185, .external_lex_state = 2},
  [1032] = {.lex_state = 185, .external_lex_state = 2},
  [1033] = {.lex_state = 185, .external_lex_state = 2},
  [1034] = {.lex_state = 185, .external_lex_state = 2},
  [1035] = {.lex_state = 185, .external_lex_state = 2},
  [1036] = {.lex_state = 185, .external_lex_state = 2},
  [1037] = {.lex_state = 185, .external_lex_state = 2},
  [1038] = {.lex_state = 185, .external_lex_state = 2},
  [1039] = {.lex_state = 185, .external_lex_state = 2},
  [1040] = {.lex_state = 185, .external_lex_state = 2},
  [1041] = {.lex_state = 185, .external_lex_state = 2},
  [1042] = {.lex_state = 185, .external_lex_state = 2},
  [1043] = {.lex_state = 123, .external_lex_state = 19},
  [1044] = {.lex_state = 185, .external_lex_state = 2},
  [1045] = {.lex_state = 320, .external_lex_state = 11},
  [1046] = {.lex_state = 320, .external_lex_state = 11},
  [1047] = {.lex_state = 320, .external_lex_state = 11},
  [1048] = {.lex_state = 320, .external_lex_state = 11},
  [1049] = {.lex_state = 185, .external_lex_state = 2},
  [1050] = {.lex_state = 185, .external_lex_state = 2},
  [1051] = {.lex_state = 185, .external_lex_state = 2},
  [1052] = {.lex_state = 320, .external_lex_state = 29},
  [1053] = {.lex_state = 365, .external_lex_state = 3},
  [1054] = {.lex_state = 320, .external_lex_state = 11},
  [1055] = {.lex_state = 367, .external_lex_state = 3},
  [1056] = {.lex_state = 367, .external_lex_state = 3},
  [1057] = {.lex_state = 206},
  [1058] = {.lex_state = 365, .external_lex_state = 3},
  [1059] = {.lex_state = 365, .external_lex_state = 30},
  [1060] = {.lex_state = 185, .external_lex_state = 38},
  [1061] = {.lex_state = 185, .external_lex_state = 2},
  [1062] = {.lex_state = 249, .external_lex_state = 15},
  [1063] = {.lex_state = 123, .external_lex_state = 2},
  [1064] = {.lex_state = 123, .external_lex_state = 2},
  [1065] = {.lex_state = 237, .external_lex_state = 14},
  [1066] = {.lex_state = 185, .external_lex_state = 2},
  [1067] = {.lex_state = 185, .external_lex_state = 2},
  [1068] = {.lex_state = 185, .external_lex_state = 2},
  [1069] = {.lex_state = 123, .external_lex_state = 19},
  [1070] = {.lex_state = 185, .external_lex_state = 2},
  [1071] = {.lex_state = 318, .external_lex_state = 11},
  [1072] = {.lex_state = 318, .external_lex_state = 11},
  [1073] = {.lex_state = 318, .external_lex_state = 11},
  [1074] = {.lex_state = 318, .external_lex_state = 11},
  [1075] = {.lex_state = 185, .external_lex_state = 2},
  [1076] = {.lex_state = 185, .external_lex_state = 2},
  [1077] = {.lex_state = 185, .external_lex_state = 2},
  [1078] = {.lex_state = 320, .external_lex_state = 29},
  [1079] = {.lex_state = 322, .external_lex_state = 3},
  [1080] = {.lex_state = 320, .external_lex_state = 11},
  [1081] = {.lex_state = 249, .external_lex_state = 3},
  [1082] = {.lex_state = 322, .external_lex_state = 3},
  [1083] = {.lex_state = 206},
  [1084] = {.lex_state = 326, .external_lex_state = 3},
  [1085] = {.lex_state = 322, .external_lex_state = 30},
  [1086] = {.lex_state = 237, .external_lex_state = 14},
  [1087] = {.lex_state = 237, .external_lex_state = 14},
  [1088] = {.lex_state = 185, .external_lex_state = 2},
  [1089] = {.lex_state = 185, .external_lex_state = 2},
  [1090] = {.lex_state = 185, .external_lex_state = 2},
  [1091] = {.lex_state = 185, .external_lex_state = 2},
  [1092] = {.lex_state = 185, .external_lex_state = 2},
  [1093] = {.lex_state = 185, .external_lex_state = 2},
  [1094] = {.lex_state = 185, .external_lex_state = 2},
  [1095] = {.lex_state = 185, .external_lex_state = 2},
  [1096] = {.lex_state = 185, .external_lex_state = 2},
  [1097] = {.lex_state = 185, .external_lex_state = 2},
  [1098] = {.lex_state = 185, .external_lex_state = 2},
  [1099] = {.lex_state = 185, .external_lex_state = 2},
  [1100] = {.lex_state = 123, .external_lex_state = 2},
  [1101] = {.lex_state = 185, .external_lex_state = 2},
  [1102] = {.lex_state = 185, .external_lex_state = 2},
  [1103] = {.lex_state = 185, .external_lex_state = 2},
  [1104] = {.lex_state = 123, .external_lex_state = 19},
  [1105] = {.lex_state = 363, .external_lex_state = 6},
  [1106] = {.lex_state = 185, .external_lex_state = 2},
  [1107] = {.lex_state = 320, .external_lex_state = 11},
  [1108] = {.lex_state = 320, .external_lex_state = 11},
  [1109] = {.lex_state = 320, .external_lex_state = 11},
  [1110] = {.lex_state = 320, .external_lex_state = 11},
  [1111] = {.lex_state = 185, .external_lex_state = 2},
  [1112] = {.lex_state = 185, .external_lex_state = 2},
  [1113] = {.lex_state = 185, .external_lex_state = 2},
  [1114] = {.lex_state = 320, .external_lex_state = 29},
  [1115] = {.lex_state = 365, .external_lex_state = 3},
  [1116] = {.lex_state = 320, .external_lex_state = 11},
  [1117] = {.lex_state = 219, .external_lex_state = 3},
  [1118] = {.lex_state = 367, .external_lex_state = 3},
  [1119] = {.lex_state = 367, .external_lex_state = 3},
  [1120] = {.lex_state = 206},
  [1121] = {.lex_state = 365, .external_lex_state = 3},
  [1122] = {.lex_state = 365, .external_lex_state = 30},
  [1123] = {.lex_state = 185, .external_lex_state = 38},
  [1124] = {.lex_state = 185, .external_lex_state = 2},
  [1125] = {.lex_state = 249, .external_lex_state = 15},
  [1126] = {.lex_state = 123, .external_lex_state = 2},
  [1127] = {.lex_state = 185, .external_lex_state = 2},
  [1128] = {.lex_state = 185, .external_lex_state = 2},
  [1129] = {.lex_state = 185, .external_lex_state = 2},
  [1130] = {.lex_state = 123, .external_lex_state = 19},
  [1131] = {.lex_state = 185, .external_lex_state = 2},
  [1132] = {.lex_state = 397, .external_lex_state = 33},
  [1133] = {.lex_state = 397, .external_lex_state = 33},
  [1134] = {.lex_state = 397, .external_lex_state = 33},
  [1135] = {.lex_state = 397, .external_lex_state = 33},
  [1136] = {.lex_state = 185, .external_lex_state = 2},
  [1137] = {.lex_state = 185, .external_lex_state = 2},
  [1138] = {.lex_state = 185, .external_lex_state = 2},
  [1139] = {.lex_state = 278, .external_lex_state = 34},
  [1140] = {.lex_state = 421, .external_lex_state = 32},
  [1141] = {.lex_state = 278, .external_lex_state = 33},
  [1142] = {.lex_state = 417, .external_lex_state = 42},
  [1143] = {.lex_state = 417, .external_lex_state = 42},
  [1144] = {.lex_state = 206},
  [1145] = {.lex_state = 365, .external_lex_state = 32},
  [1146] = {.lex_state = 423, .external_lex_state = 36},
  [1147] = {.lex_state = 185, .external_lex_state = 2},
  [1148] = {.lex_state = 123, .external_lex_state = 8},
  [1149] = {.lex_state = 215, .external_lex_state = 9},
  [1150] = {.lex_state = 237, .external_lex_state = 14},
  [1151] = {.lex_state = 185, .external_lex_state = 2},
  [1152] = {.lex_state = 185, .external_lex_state = 2},
  [1153] = {.lex_state = 185, .external_lex_state = 2},
  [1154] = {.lex_state = 123, .external_lex_state = 19},
  [1155] = {.lex_state = 185, .external_lex_state = 2},
  [1156] = {.lex_state = 318, .external_lex_state = 11},
  [1157] = {.lex_state = 318, .external_lex_state = 11},
  [1158] = {.lex_state = 318, .external_lex_state = 11},
  [1159] = {.lex_state = 318, .external_lex_state = 11},
  [1160] = {.lex_state = 185, .external_lex_state = 2},
  [1161] = {.lex_state = 185, .external_lex_state = 2},
  [1162] = {.lex_state = 185, .external_lex_state = 2},
  [1163] = {.lex_state = 320, .external_lex_state = 29},
  [1164] = {.lex_state = 322, .external_lex_state = 3},
  [1165] = {.lex_state = 320, .external_lex_state = 11},
  [1166] = {.lex_state = 249, .external_lex_state = 3},
  [1167] = {.lex_state = 322, .external_lex_state = 3},
  [1168] = {.lex_state = 206},
  [1169] = {.lex_state = 326, .external_lex_state = 3},
  [1170] = {.lex_state = 322, .external_lex_state = 30},
  [1171] = {.lex_state = 237, .external_lex_state = 14},
  [1172] = {.lex_state = 237, .external_lex_state = 14},
  [1173] = {.lex_state = 185, .external_lex_state = 2},
  [1174] = {.lex_state = 185, .external_lex_state = 2},
  [1175] = {.lex_state = 185, .external_lex_state = 2},
  [1176] = {.lex_state = 185, .external_lex_state = 2},
  [1177] = {.lex_state = 185, .external_lex_state = 2},
  [1178] = {.lex_state = 185, .external_lex_state = 2},
  [1179] = {.lex_state = 185, .external_lex_state = 2},
  [1180] = {.lex_state = 185, .external_lex_state = 2},
  [1181] = {.lex_state = 185, .external_lex_state = 2},
  [1182] = {.lex_state = 185, .external_lex_state = 2},
  [1183] = {.lex_state = 185, .external_lex_state = 2},
  [1184] = {.lex_state = 185, .external_lex_state = 2},
  [1185] = {.lex_state = 123},
  [1186] = {.lex_state = 185, .external_lex_state = 38},
  [1187] = {.lex_state = 185, .external_lex_state = 2},
  [1188] = {.lex_state = 249, .external_lex_state = 15},
  [1189] = {.lex_state = 185, .external_lex_state = 38},
  [1190] = {.lex_state = 123},
  [1191] = {.lex_state = 123},
  [1192] = {.lex_state = 435, .external_lex_state = 2},
  [1193] = {.lex_state = 170, .external_lex_state = 18},
  [1194] = {.lex_state = 237, .external_lex_state = 14},
  [1195] = {.lex_state = 185, .external_lex_state = 2},
  [1196] = {.lex_state = 185, .external_lex_state = 2},
  [1197] = {.lex_state = 185, .external_lex_state = 2},
  [1198] = {.lex_state = 123, .external_lex_state = 19},
  [1199] = {.lex_state = 185, .external_lex_state = 2},
  [1200] = {.lex_state = 318, .external_lex_state = 11},
  [1201] = {.lex_state = 318, .external_lex_state = 11},
  [1202] = {.lex_state = 318, .external_lex_state = 11},
  [1203] = {.lex_state = 318, .external_lex_state = 11},
  [1204] = {.lex_state = 185, .external_lex_state = 2},
  [1205] = {.lex_state = 185, .external_lex_state = 2},
  [1206] = {.lex_state = 185, .external_lex_state = 2},
  [1207] = {.lex_state = 320, .external_lex_state = 29},
  [1208] = {.lex_state = 322, .external_lex_state = 3},
  [1209] = {.lex_state = 320, .external_lex_state = 11},
  [1210] = {.lex_state = 249, .external_lex_state = 3},
  [1211] = {.lex_state = 322, .external_lex_state = 3},
  [1212] = {.lex_state = 206},
  [1213] = {.lex_state = 326, .external_lex_state = 3},
  [1214] = {.lex_state = 322, .external_lex_state = 30},
  [1215] = {.lex_state = 185, .external_lex_state = 2},
  [1216] = {.lex_state = 185, .external_lex_state = 2},
  [1217] = {.lex_state = 318, .external_lex_state = 11},
  [1218] = {.lex_state = 318, .external_lex_state = 11},
  [1219] = {.lex_state = 318, .external_lex_state = 11},
  [1220] = {.lex_state = 318, .external_lex_state = 11},
  [1221] = {.lex_state = 209, .external_lex_state = 9},
  [1222] = {.lex_state = 185, .external_lex_state = 2},
  [1223] = {.lex_state = 185, .external_lex_state = 2},
  [1224] = {.lex_state = 185, .external_lex_state = 2},
  [1225] = {.lex_state = 123, .external_lex_state = 2},
  [1226] = {.lex_state = 284, .external_lex_state = 8},
  [1227] = {.lex_state = 123, .external_lex_state = 8},
  [1228] = {.lex_state = 437, .external_lex_state = 14},
  [1229] = {.lex_state = 320, .external_lex_state = 11},
  [1230] = {.lex_state = 318, .external_lex_state = 8},
  [1231] = {.lex_state = 206},
  [1232] = {.lex_state = 326, .external_lex_state = 3},
  [1233] = {.lex_state = 322, .external_lex_state = 15},
  [1234] = {.lex_state = 185, .external_lex_state = 2},
  [1235] = {.lex_state = 361, .external_lex_state = 12},
  [1236] = {.lex_state = 211, .external_lex_state = 11},
  [1237] = {.lex_state = 211, .external_lex_state = 11},
  [1238] = {.lex_state = 211, .external_lex_state = 11},
  [1239] = {.lex_state = 211, .external_lex_state = 11},
  [1240] = {.lex_state = 185, .external_lex_state = 2},
  [1241] = {.lex_state = 185, .external_lex_state = 2},
  [1242] = {.lex_state = 185, .external_lex_state = 2},
  [1243] = {.lex_state = 217, .external_lex_state = 7},
  [1244] = {.lex_state = 123},
  [1245] = {.lex_state = 123, .external_lex_state = 8},
  [1246] = {.lex_state = 123, .external_lex_state = 8},
  [1247] = {.lex_state = 237, .external_lex_state = 14},
  [1248] = {.lex_state = 243, .external_lex_state = 11},
  [1249] = {.lex_state = 206},
  [1250] = {.lex_state = 247, .external_lex_state = 3},
  [1251] = {.lex_state = 249, .external_lex_state = 15},
  [1252] = {.lex_state = 123, .external_lex_state = 2},
  [1253] = {.lex_state = 185, .external_lex_state = 2},
  [1254] = {.lex_state = 211, .external_lex_state = 11},
  [1255] = {.lex_state = 211, .external_lex_state = 11},
  [1256] = {.lex_state = 211, .external_lex_state = 11},
  [1257] = {.lex_state = 211, .external_lex_state = 11},
  [1258] = {.lex_state = 185, .external_lex_state = 2},
  [1259] = {.lex_state = 185, .external_lex_state = 2},
  [1260] = {.lex_state = 185, .external_lex_state = 2},
  [1261] = {.lex_state = 217, .external_lex_state = 7},
  [1262] = {.lex_state = 123},
  [1263] = {.lex_state = 123, .external_lex_state = 8},
  [1264] = {.lex_state = 123, .external_lex_state = 8},
  [1265] = {.lex_state = 237, .external_lex_state = 14},
  [1266] = {.lex_state = 243, .external_lex_state = 11},
  [1267] = {.lex_state = 206},
  [1268] = {.lex_state = 247, .external_lex_state = 3},
  [1269] = {.lex_state = 249, .external_lex_state = 15},
  [1270] = {.lex_state = 237, .external_lex_state = 14},
  [1271] = {.lex_state = 237, .external_lex_state = 14},
  [1272] = {.lex_state = 243, .external_lex_state = 8},
  [1273] = {.lex_state = 151, .external_lex_state = 3},
  [1274] = {.lex_state = 123},
  [1275] = {.lex_state = 123},
  [1276] = {.lex_state = 123},
  [1277] = {.lex_state = 123, .external_lex_state = 2},
  [1278] = {.lex_state = 123, .external_lex_state = 8},
  [1279] = {.lex_state = 185, .external_lex_state = 2},
  [1280] = {.lex_state = 185, .external_lex_state = 2},
  [1281] = {.lex_state = 185, .external_lex_state = 2},
  [1282] = {.lex_state = 185, .external_lex_state = 2},
  [1283] = {.lex_state = 185, .external_lex_state = 2},
  [1284] = {.lex_state = 185, .external_lex_state = 2},
  [1285] = {.lex_state = 185, .external_lex_state = 2},
  [1286] = {.lex_state = 185, .external_lex_state = 2},
  [1287] = {.lex_state = 185, .external_lex_state = 2},
  [1288] = {.lex_state = 185, .external_lex_state = 2},
  [1289] = {.lex_state = 185, .external_lex_state = 2},
  [1290] = {.lex_state = 185, .external_lex_state = 2},
  [1291] = {.lex_state = 185, .external_lex_state = 2},
  [1292] = {.lex_state = 185, .external_lex_state = 2},
  [1293] = {.lex_state = 185, .external_lex_state = 2},
  [1294] = {.lex_state = 185, .external_lex_state = 2},
  [1295] = {.lex_state = 185, .external_lex_state = 2},
  [1296] = {.lex_state = 185, .external_lex_state = 2},
  [1297] = {.lex_state = 185, .external_lex_state = 2},
  [1298] = {.lex_state = 185, .external_lex_state = 2},
  [1299] = {.lex_state = 123, .external_lex_state = 19},
  [1300] = {.lex_state = 185, .external_lex_state = 2},
  [1301] = {.lex_state = 320, .external_lex_state = 11},
  [1302] = {.lex_state = 320, .external_lex_state = 11},
  [1303] = {.lex_state = 320, .external_lex_state = 11},
  [1304] = {.lex_state = 320, .external_lex_state = 11},
  [1305] = {.lex_state = 185, .external_lex_state = 2},
  [1306] = {.lex_state = 185, .external_lex_state = 2},
  [1307] = {.lex_state = 185, .external_lex_state = 2},
  [1308] = {.lex_state = 320, .external_lex_state = 29},
  [1309] = {.lex_state = 365, .external_lex_state = 3},
  [1310] = {.lex_state = 320, .external_lex_state = 11},
  [1311] = {.lex_state = 367, .external_lex_state = 3},
  [1312] = {.lex_state = 367, .external_lex_state = 3},
  [1313] = {.lex_state = 206},
  [1314] = {.lex_state = 365, .external_lex_state = 3},
  [1315] = {.lex_state = 365, .external_lex_state = 30},
  [1316] = {.lex_state = 185, .external_lex_state = 38},
  [1317] = {.lex_state = 185, .external_lex_state = 2},
  [1318] = {.lex_state = 249, .external_lex_state = 15},
  [1319] = {.lex_state = 151, .external_lex_state = 3},
  [1320] = {.lex_state = 217, .external_lex_state = 7},
  [1321] = {.lex_state = 339, .external_lex_state = 8},
  [1322] = {.lex_state = 217, .external_lex_state = 7},
  [1323] = {.lex_state = 185, .external_lex_state = 16},
  [1324] = {.lex_state = 217, .external_lex_state = 7},
  [1325] = {.lex_state = 204, .external_lex_state = 8},
  [1326] = {.lex_state = 343, .external_lex_state = 36},
  [1327] = {.lex_state = 185, .external_lex_state = 16},
  [1328] = {.lex_state = 343, .external_lex_state = 32},
  [1329] = {.lex_state = 185, .external_lex_state = 16},
  [1330] = {.lex_state = 343, .external_lex_state = 32},
  [1331] = {.lex_state = 185, .external_lex_state = 16},
  [1332] = {.lex_state = 343, .external_lex_state = 32},
  [1333] = {.lex_state = 185, .external_lex_state = 16},
  [1334] = {.lex_state = 343, .external_lex_state = 32},
  [1335] = {.lex_state = 183, .external_lex_state = 4},
  [1336] = {.lex_state = 251, .external_lex_state = 16},
  [1337] = {.lex_state = 343, .external_lex_state = 32},
  [1338] = {.lex_state = 183, .external_lex_state = 4},
  [1339] = {.lex_state = 251, .external_lex_state = 16},
  [1340] = {.lex_state = 185, .external_lex_state = 2},
  [1341] = {.lex_state = 439, .external_lex_state = 33},
  [1342] = {.lex_state = 439, .external_lex_state = 33},
  [1343] = {.lex_state = 439, .external_lex_state = 33},
  [1344] = {.lex_state = 439, .external_lex_state = 33},
  [1345] = {.lex_state = 185, .external_lex_state = 2},
  [1346] = {.lex_state = 185, .external_lex_state = 2},
  [1347] = {.lex_state = 185, .external_lex_state = 2},
  [1348] = {.lex_state = 351, .external_lex_state = 35},
  [1349] = {.lex_state = 441, .external_lex_state = 33},
  [1350] = {.lex_state = 206},
  [1351] = {.lex_state = 443, .external_lex_state = 32},
  [1352] = {.lex_state = 445, .external_lex_state = 40},
  [1353] = {.lex_state = 351, .external_lex_state = 35},
  [1354] = {.lex_state = 351, .external_lex_state = 35},
  [1355] = {.lex_state = 355, .external_lex_state = 40},
  [1356] = {.lex_state = 185, .external_lex_state = 2},
  [1357] = {.lex_state = 343, .external_lex_state = 32},
  [1358] = {.lex_state = 187},
  [1359] = {.lex_state = 187, .external_lex_state = 23},
  [1360] = {.lex_state = 185, .external_lex_state = 2},
  [1361] = {.lex_state = 343, .external_lex_state = 32},
  [1362] = {.lex_state = 228},
  [1363] = {.lex_state = 288, .external_lex_state = 8},
  [1364] = {.lex_state = 343, .external_lex_state = 32},
  [1365] = {.lex_state = 202},
  [1366] = {.lex_state = 447, .external_lex_state = 33},
  [1367] = {.lex_state = 351, .external_lex_state = 35},
  [1368] = {.lex_state = 185, .external_lex_state = 2},
  [1369] = {.lex_state = 311, .external_lex_state = 28},
  [1370] = {.lex_state = 311, .external_lex_state = 28},
  [1371] = {.lex_state = 314, .external_lex_state = 28},
  [1372] = {.lex_state = 314, .external_lex_state = 28},
  [1373] = {.lex_state = 185, .external_lex_state = 2},
  [1374] = {.lex_state = 185, .external_lex_state = 2},
  [1375] = {.lex_state = 185, .external_lex_state = 2},
  [1376] = {.lex_state = 123, .external_lex_state = 19},
  [1377] = {.lex_state = 185, .external_lex_state = 2},
  [1378] = {.lex_state = 185, .external_lex_state = 2},
  [1379] = {.lex_state = 185, .external_lex_state = 2},
  [1380] = {.lex_state = 185, .external_lex_state = 2},
  [1381] = {.lex_state = 347, .external_lex_state = 34},
  [1382] = {.lex_state = 355, .external_lex_state = 32},
  [1383] = {.lex_state = 343, .external_lex_state = 32},
  [1384] = {.lex_state = 355, .external_lex_state = 32},
  [1385] = {.lex_state = 355, .external_lex_state = 32},
  [1386] = {.lex_state = 206},
  [1387] = {.lex_state = 353, .external_lex_state = 32},
  [1388] = {.lex_state = 355, .external_lex_state = 36},
  [1389] = {.lex_state = 343, .external_lex_state = 32},
  [1390] = {.lex_state = 343, .external_lex_state = 32},
  [1391] = {.lex_state = 343, .external_lex_state = 32},
  [1392] = {.lex_state = 123, .external_lex_state = 8},
  [1393] = {.lex_state = 123, .external_lex_state = 8},
  [1394] = {.lex_state = 237, .external_lex_state = 14},
  [1395] = {.lex_state = 237, .external_lex_state = 14},
  [1396] = {.lex_state = 123},
  [1397] = {.lex_state = 237, .external_lex_state = 14},
  [1398] = {.lex_state = 123},
  [1399] = {.lex_state = 123},
  [1400] = {.lex_state = 123},
  [1401] = {.lex_state = 123},
  [1402] = {.lex_state = 123},
  [1403] = {.lex_state = 343, .external_lex_state = 32},
  [1404] = {.lex_state = 123, .external_lex_state = 2},
  [1405] = {.lex_state = 351, .external_lex_state = 35},
  [1406] = {.lex_state = 351, .external_lex_state = 35},
  [1407] = {.lex_state = 449, .external_lex_state = 35},
  [1408] = {.lex_state = 343, .external_lex_state = 32},
  [1409] = {.lex_state = 343, .external_lex_state = 32},
  [1410] = {.lex_state = 226, .external_lex_state = 23},
  [1411] = {.lex_state = 226},
  [1412] = {.lex_state = 357, .external_lex_state = 2},
  [1413] = {.lex_state = 361, .external_lex_state = 12},
  [1414] = {.lex_state = 123},
  [1415] = {.lex_state = 343, .external_lex_state = 32},
  [1416] = {.lex_state = 185, .external_lex_state = 2},
  [1417] = {.lex_state = 185, .external_lex_state = 2},
  [1418] = {.lex_state = 185, .external_lex_state = 2},
  [1419] = {.lex_state = 185, .external_lex_state = 2},
  [1420] = {.lex_state = 185, .external_lex_state = 2},
  [1421] = {.lex_state = 185, .external_lex_state = 2},
  [1422] = {.lex_state = 185, .external_lex_state = 2},
  [1423] = {.lex_state = 185, .external_lex_state = 2},
  [1424] = {.lex_state = 185, .external_lex_state = 2},
  [1425] = {.lex_state = 185, .external_lex_state = 2},
  [1426] = {.lex_state = 185, .external_lex_state = 2},
  [1427] = {.lex_state = 185, .external_lex_state = 2},
  [1428] = {.lex_state = 185, .external_lex_state = 2},
  [1429] = {.lex_state = 226, .external_lex_state = 13},
  [1430] = {.lex_state = 190},
  [1431] = {.lex_state = 190, .external_lex_state = 37},
  [1432] = {.lex_state = 185, .external_lex_state = 2},
  [1433] = {.lex_state = 185, .external_lex_state = 2},
  [1434] = {.lex_state = 185, .external_lex_state = 2},
  [1435] = {.lex_state = 123, .external_lex_state = 19},
  [1436] = {.lex_state = 363, .external_lex_state = 6},
  [1437] = {.lex_state = 185, .external_lex_state = 2},
  [1438] = {.lex_state = 347, .external_lex_state = 33},
  [1439] = {.lex_state = 347, .external_lex_state = 33},
  [1440] = {.lex_state = 347, .external_lex_state = 33},
  [1441] = {.lex_state = 347, .external_lex_state = 33},
  [1442] = {.lex_state = 361, .external_lex_state = 12},
  [1443] = {.lex_state = 185, .external_lex_state = 2},
  [1444] = {.lex_state = 185, .external_lex_state = 2},
  [1445] = {.lex_state = 185, .external_lex_state = 2},
  [1446] = {.lex_state = 347, .external_lex_state = 34},
  [1447] = {.lex_state = 353, .external_lex_state = 32},
  [1448] = {.lex_state = 347, .external_lex_state = 33},
  [1449] = {.lex_state = 349, .external_lex_state = 32},
  [1450] = {.lex_state = 353, .external_lex_state = 32},
  [1451] = {.lex_state = 353, .external_lex_state = 32},
  [1452] = {.lex_state = 349, .external_lex_state = 32},
  [1453] = {.lex_state = 206},
  [1454] = {.lex_state = 353, .external_lex_state = 32},
  [1455] = {.lex_state = 353, .external_lex_state = 36},
  [1456] = {.lex_state = 151, .external_lex_state = 3},
  [1457] = {.lex_state = 226},
  [1458] = {.lex_state = 226, .external_lex_state = 13},
  [1459] = {.lex_state = 185, .external_lex_state = 38},
  [1460] = {.lex_state = 185, .external_lex_state = 2},
  [1461] = {.lex_state = 185, .external_lex_state = 2},
  [1462] = {.lex_state = 355, .external_lex_state = 40},
  [1463] = {.lex_state = 151, .external_lex_state = 3},
  [1464] = {.lex_state = 228},
  [1465] = {.lex_state = 187},
  [1466] = {.lex_state = 271, .external_lex_state = 2},
  [1467] = {.lex_state = 190},
  [1468] = {.lex_state = 123},
  [1469] = {.lex_state = 290, .external_lex_state = 19},
  [1470] = {.lex_state = 282},
  [1471] = {.lex_state = 302},
  [1472] = {.lex_state = 302},
  [1473] = {.lex_state = 302},
  [1474] = {.lex_state = 228},
  [1475] = {.lex_state = 228},
  [1476] = {.lex_state = 151, .external_lex_state = 3},
  [1477] = {.lex_state = 123},
  [1478] = {.lex_state = 123, .external_lex_state = 12},
  [1479] = {.lex_state = 361, .external_lex_state = 2},
  [1480] = {.lex_state = 451, .external_lex_state = 2},
  [1481] = {.lex_state = 185, .external_lex_state = 2},
  [1482] = {.lex_state = 151, .external_lex_state = 3},
  [1483] = {.lex_state = 190},
  [1484] = {.lex_state = 151},
  [1485] = {.lex_state = 254},
  [1486] = {.lex_state = 204, .external_lex_state = 8},
  [1487] = {.lex_state = 123, .external_lex_state = 2},
  [1488] = {.lex_state = 235, .external_lex_state = 8},
  [1489] = {.lex_state = 237, .external_lex_state = 14},
  [1490] = {.lex_state = 237, .external_lex_state = 14},
  [1491] = {.lex_state = 237, .external_lex_state = 14},
  [1492] = {.lex_state = 237, .external_lex_state = 14},
  [1493] = {.lex_state = 237, .external_lex_state = 14},
  [1494] = {.lex_state = 237, .external_lex_state = 14},
  [1495] = {.lex_state = 237, .external_lex_state = 14},
  [1496] = {.lex_state = 237, .external_lex_state = 14},
  [1497] = {.lex_state = 237, .external_lex_state = 14},
  [1498] = {.lex_state = 237, .external_lex_state = 14},
  [1499] = {.lex_state = 237, .external_lex_state = 14},
  [1500] = {.lex_state = 185, .external_lex_state = 2},
  [1501] = {.lex_state = 453, .external_lex_state = 20},
  [1502] = {.lex_state = 453, .external_lex_state = 20},
  [1503] = {.lex_state = 453, .external_lex_state = 20},
  [1504] = {.lex_state = 453, .external_lex_state = 20},
  [1505] = {.lex_state = 185, .external_lex_state = 2},
  [1506] = {.lex_state = 185, .external_lex_state = 2},
  [1507] = {.lex_state = 185, .external_lex_state = 2},
  [1508] = {.lex_state = 455, .external_lex_state = 22},
  [1509] = {.lex_state = 457, .external_lex_state = 20},
  [1510] = {.lex_state = 206},
  [1511] = {.lex_state = 459, .external_lex_state = 17},
  [1512] = {.lex_state = 461, .external_lex_state = 39},
  [1513] = {.lex_state = 237, .external_lex_state = 14},
  [1514] = {.lex_state = 237, .external_lex_state = 14},
  [1515] = {.lex_state = 237, .external_lex_state = 14},
  [1516] = {.lex_state = 237, .external_lex_state = 14},
  [1517] = {.lex_state = 237, .external_lex_state = 14},
  [1518] = {.lex_state = 219, .external_lex_state = 3},
  [1519] = {.lex_state = 226, .external_lex_state = 23},
  [1520] = {.lex_state = 226},
  [1521] = {.lex_state = 300, .external_lex_state = 11},
  [1522] = {.lex_state = 170, .external_lex_state = 18},
  [1523] = {.lex_state = 316, .external_lex_state = 13},
  [1524] = {.lex_state = 300, .external_lex_state = 11},
  [1525] = {.lex_state = 300, .external_lex_state = 11},
  [1526] = {.lex_state = 300, .external_lex_state = 11},
  [1527] = {.lex_state = 190, .external_lex_state = 37},
  [1528] = {.lex_state = 280, .external_lex_state = 30},
  [1529] = {.lex_state = 185, .external_lex_state = 16},
  [1530] = {.lex_state = 280, .external_lex_state = 3},
  [1531] = {.lex_state = 185, .external_lex_state = 16},
  [1532] = {.lex_state = 280, .external_lex_state = 3},
  [1533] = {.lex_state = 185, .external_lex_state = 16},
  [1534] = {.lex_state = 280, .external_lex_state = 3},
  [1535] = {.lex_state = 185, .external_lex_state = 16},
  [1536] = {.lex_state = 280, .external_lex_state = 3},
  [1537] = {.lex_state = 183, .external_lex_state = 4},
  [1538] = {.lex_state = 251, .external_lex_state = 16},
  [1539] = {.lex_state = 280, .external_lex_state = 3},
  [1540] = {.lex_state = 183, .external_lex_state = 4},
  [1541] = {.lex_state = 251, .external_lex_state = 16},
  [1542] = {.lex_state = 219, .external_lex_state = 3},
  [1543] = {.lex_state = 170, .external_lex_state = 4},
  [1544] = {.lex_state = 170, .external_lex_state = 4},
  [1545] = {.lex_state = 170, .external_lex_state = 4},
  [1546] = {.lex_state = 170, .external_lex_state = 4},
  [1547] = {.lex_state = 183, .external_lex_state = 4},
  [1548] = {.lex_state = 183, .external_lex_state = 4},
  [1549] = {.lex_state = 185, .external_lex_state = 2},
  [1550] = {.lex_state = 187, .external_lex_state = 6},
  [1551] = {.lex_state = 190, .external_lex_state = 7},
  [1552] = {.lex_state = 202, .external_lex_state = 2},
  [1553] = {.lex_state = 209, .external_lex_state = 10},
  [1554] = {.lex_state = 209, .external_lex_state = 9},
  [1555] = {.lex_state = 243, .external_lex_state = 11},
  [1556] = {.lex_state = 243, .external_lex_state = 11},
  [1557] = {.lex_state = 243, .external_lex_state = 11},
  [1558] = {.lex_state = 243, .external_lex_state = 11},
  [1559] = {.lex_state = 213, .external_lex_state = 2},
  [1560] = {.lex_state = 213, .external_lex_state = 2},
  [1561] = {.lex_state = 185, .external_lex_state = 2},
  [1562] = {.lex_state = 185, .external_lex_state = 2},
  [1563] = {.lex_state = 215, .external_lex_state = 9},
  [1564] = {.lex_state = 213, .external_lex_state = 12},
  [1565] = {.lex_state = 123, .external_lex_state = 12},
  [1566] = {.lex_state = 185, .external_lex_state = 2},
  [1567] = {.lex_state = 185, .external_lex_state = 2},
  [1568] = {.lex_state = 185, .external_lex_state = 2},
  [1569] = {.lex_state = 219, .external_lex_state = 3},
  [1570] = {.lex_state = 226, .external_lex_state = 13},
  [1571] = {.lex_state = 228},
  [1572] = {.lex_state = 367, .external_lex_state = 3},
  [1573] = {.lex_state = 219, .external_lex_state = 3},
  [1574] = {.lex_state = 243, .external_lex_state = 11},
  [1575] = {.lex_state = 206},
  [1576] = {.lex_state = 367, .external_lex_state = 3},
  [1577] = {.lex_state = 367, .external_lex_state = 15},
  [1578] = {.lex_state = 367, .external_lex_state = 3},
  [1579] = {.lex_state = 219, .external_lex_state = 3},
  [1580] = {.lex_state = 202, .external_lex_state = 23},
  [1581] = {.lex_state = 202},
  [1582] = {.lex_state = 170, .external_lex_state = 4},
  [1583] = {.lex_state = 187, .external_lex_state = 6},
  [1584] = {.lex_state = 365, .external_lex_state = 3},
  [1585] = {.lex_state = 365, .external_lex_state = 15},
  [1586] = {.lex_state = 185, .external_lex_state = 2},
  [1587] = {.lex_state = 185, .external_lex_state = 2},
  [1588] = {.lex_state = 280, .external_lex_state = 3},
  [1589] = {.lex_state = 463, .external_lex_state = 11},
  [1590] = {.lex_state = 463, .external_lex_state = 11},
  [1591] = {.lex_state = 463, .external_lex_state = 11},
  [1592] = {.lex_state = 463, .external_lex_state = 11},
  [1593] = {.lex_state = 185, .external_lex_state = 2},
  [1594] = {.lex_state = 185, .external_lex_state = 2},
  [1595] = {.lex_state = 185, .external_lex_state = 2},
  [1596] = {.lex_state = 465, .external_lex_state = 29},
  [1597] = {.lex_state = 187},
  [1598] = {.lex_state = 271, .external_lex_state = 2},
  [1599] = {.lex_state = 375, .external_lex_state = 14},
  [1600] = {.lex_state = 465, .external_lex_state = 11},
  [1601] = {.lex_state = 206},
  [1602] = {.lex_state = 467, .external_lex_state = 3},
  [1603] = {.lex_state = 469, .external_lex_state = 30},
  [1604] = {.lex_state = 187},
  [1605] = {.lex_state = 187, .external_lex_state = 23},
  [1606] = {.lex_state = 185, .external_lex_state = 2},
  [1607] = {.lex_state = 280, .external_lex_state = 3},
  [1608] = {.lex_state = 228},
  [1609] = {.lex_state = 288, .external_lex_state = 8},
  [1610] = {.lex_state = 280, .external_lex_state = 3},
  [1611] = {.lex_state = 202},
  [1612] = {.lex_state = 367, .external_lex_state = 3},
  [1613] = {.lex_state = 185, .external_lex_state = 2},
  [1614] = {.lex_state = 311, .external_lex_state = 28},
  [1615] = {.lex_state = 311, .external_lex_state = 28},
  [1616] = {.lex_state = 314, .external_lex_state = 28},
  [1617] = {.lex_state = 314, .external_lex_state = 28},
  [1618] = {.lex_state = 280, .external_lex_state = 3},
  [1619] = {.lex_state = 280, .external_lex_state = 3},
  [1620] = {.lex_state = 280, .external_lex_state = 3},
  [1621] = {.lex_state = 280, .external_lex_state = 3},
  [1622] = {.lex_state = 123, .external_lex_state = 8},
  [1623] = {.lex_state = 123, .external_lex_state = 8},
  [1624] = {.lex_state = 237, .external_lex_state = 14},
  [1625] = {.lex_state = 237, .external_lex_state = 14},
  [1626] = {.lex_state = 123},
  [1627] = {.lex_state = 219, .external_lex_state = 3},
  [1628] = {.lex_state = 123},
  [1629] = {.lex_state = 123, .external_lex_state = 12},
  [1630] = {.lex_state = 361, .external_lex_state = 2},
  [1631] = {.lex_state = 237, .external_lex_state = 14},
  [1632] = {.lex_state = 123},
  [1633] = {.lex_state = 123},
  [1634] = {.lex_state = 123},
  [1635] = {.lex_state = 123},
  [1636] = {.lex_state = 123},
  [1637] = {.lex_state = 280, .external_lex_state = 3},
  [1638] = {.lex_state = 123, .external_lex_state = 2},
  [1639] = {.lex_state = 365, .external_lex_state = 3},
  [1640] = {.lex_state = 365, .external_lex_state = 3},
  [1641] = {.lex_state = 280, .external_lex_state = 3},
  [1642] = {.lex_state = 280, .external_lex_state = 3},
  [1643] = {.lex_state = 280, .external_lex_state = 3},
  [1644] = {.lex_state = 226, .external_lex_state = 23},
  [1645] = {.lex_state = 226},
  [1646] = {.lex_state = 357, .external_lex_state = 2},
  [1647] = {.lex_state = 123},
  [1648] = {.lex_state = 280, .external_lex_state = 3},
  [1649] = {.lex_state = 185, .external_lex_state = 2},
  [1650] = {.lex_state = 185, .external_lex_state = 2},
  [1651] = {.lex_state = 185, .external_lex_state = 2},
  [1652] = {.lex_state = 185, .external_lex_state = 2},
  [1653] = {.lex_state = 185, .external_lex_state = 2},
  [1654] = {.lex_state = 185, .external_lex_state = 2},
  [1655] = {.lex_state = 185, .external_lex_state = 2},
  [1656] = {.lex_state = 185, .external_lex_state = 2},
  [1657] = {.lex_state = 185, .external_lex_state = 2},
  [1658] = {.lex_state = 185, .external_lex_state = 2},
  [1659] = {.lex_state = 185, .external_lex_state = 2},
  [1660] = {.lex_state = 185, .external_lex_state = 2},
  [1661] = {.lex_state = 185, .external_lex_state = 2},
  [1662] = {.lex_state = 363, .external_lex_state = 6},
  [1663] = {.lex_state = 280, .external_lex_state = 3},
  [1664] = {.lex_state = 357, .external_lex_state = 2},
  [1665] = {.lex_state = 219, .external_lex_state = 3},
  [1666] = {.lex_state = 170, .external_lex_state = 18},
  [1667] = {.lex_state = 367, .external_lex_state = 3},
  [1668] = {.lex_state = 433, .external_lex_state = 13},
  [1669] = {.lex_state = 367, .external_lex_state = 3},
  [1670] = {.lex_state = 185, .external_lex_state = 38},
  [1671] = {.lex_state = 185, .external_lex_state = 2},
  [1672] = {.lex_state = 185, .external_lex_state = 2},
  [1673] = {.lex_state = 365, .external_lex_state = 15},
  [1674] = {.lex_state = 185, .external_lex_state = 2},
  [1675] = {.lex_state = 185, .external_lex_state = 2},
  [1676] = {.lex_state = 185, .external_lex_state = 2},
  [1677] = {.lex_state = 185, .external_lex_state = 2},
  [1678] = {.lex_state = 185, .external_lex_state = 2},
  [1679] = {.lex_state = 471, .external_lex_state = 14},
  [1680] = {.lex_state = 335, .external_lex_state = 14},
  [1681] = {.lex_state = 471, .external_lex_state = 14},
  [1682] = {.lex_state = 206},
  [1683] = {.lex_state = 247, .external_lex_state = 3},
  [1684] = {.lex_state = 290},
  [1685] = {.lex_state = 237, .external_lex_state = 14},
  [1686] = {.lex_state = 249, .external_lex_state = 15},
  [1687] = {.lex_state = 273, .external_lex_state = 39},
  [1688] = {.lex_state = 185, .external_lex_state = 16},
  [1689] = {.lex_state = 375, .external_lex_state = 22},
  [1690] = {.lex_state = 473, .external_lex_state = 20},
  [1691] = {.lex_state = 185, .external_lex_state = 2},
  [1692] = {.lex_state = 185, .external_lex_state = 2},
  [1693] = {.lex_state = 185, .external_lex_state = 2},
  [1694] = {.lex_state = 123, .external_lex_state = 19},
  [1695] = {.lex_state = 185, .external_lex_state = 2},
  [1696] = {.lex_state = 475, .external_lex_state = 33},
  [1697] = {.lex_state = 475, .external_lex_state = 33},
  [1698] = {.lex_state = 475, .external_lex_state = 33},
  [1699] = {.lex_state = 475, .external_lex_state = 33},
  [1700] = {.lex_state = 185, .external_lex_state = 2},
  [1701] = {.lex_state = 185, .external_lex_state = 2},
  [1702] = {.lex_state = 185, .external_lex_state = 2},
  [1703] = {.lex_state = 477, .external_lex_state = 34},
  [1704] = {.lex_state = 479, .external_lex_state = 32},
  [1705] = {.lex_state = 477, .external_lex_state = 33},
  [1706] = {.lex_state = 381, .external_lex_state = 32},
  [1707] = {.lex_state = 395, .external_lex_state = 32},
  [1708] = {.lex_state = 206},
  [1709] = {.lex_state = 467, .external_lex_state = 32},
  [1710] = {.lex_state = 479, .external_lex_state = 36},
  [1711] = {.lex_state = 375, .external_lex_state = 22},
  [1712] = {.lex_state = 375, .external_lex_state = 22},
  [1713] = {.lex_state = 228},
  [1714] = {.lex_state = 170, .external_lex_state = 4},
  [1715] = {.lex_state = 228},
  [1716] = {.lex_state = 228},
  [1717] = {.lex_state = 228},
  [1718] = {.lex_state = 228},
  [1719] = {.lex_state = 217, .external_lex_state = 7},
  [1720] = {.lex_state = 170, .external_lex_state = 4},
  [1721] = {.lex_state = 185, .external_lex_state = 2},
  [1722] = {.lex_state = 185, .external_lex_state = 2},
  [1723] = {.lex_state = 185, .external_lex_state = 2},
  [1724] = {.lex_state = 185, .external_lex_state = 2},
  [1725] = {.lex_state = 185, .external_lex_state = 2},
  [1726] = {.lex_state = 185, .external_lex_state = 2},
  [1727] = {.lex_state = 185, .external_lex_state = 2},
  [1728] = {.lex_state = 185, .external_lex_state = 2},
  [1729] = {.lex_state = 185, .external_lex_state = 2},
  [1730] = {.lex_state = 185, .external_lex_state = 2},
  [1731] = {.lex_state = 185, .external_lex_state = 2},
  [1732] = {.lex_state = 185, .external_lex_state = 2},
  [1733] = {.lex_state = 185, .external_lex_state = 2},
  [1734] = {.lex_state = 185, .external_lex_state = 2},
  [1735] = {.lex_state = 185, .external_lex_state = 2},
  [1736] = {.lex_state = 185, .external_lex_state = 2},
  [1737] = {.lex_state = 185, .external_lex_state = 2},
  [1738] = {.lex_state = 226, .external_lex_state = 13},
  [1739] = {.lex_state = 190},
  [1740] = {.lex_state = 190, .external_lex_state = 37},
  [1741] = {.lex_state = 185, .external_lex_state = 2},
  [1742] = {.lex_state = 185, .external_lex_state = 2},
  [1743] = {.lex_state = 316, .external_lex_state = 13},
  [1744] = {.lex_state = 185, .external_lex_state = 2},
  [1745] = {.lex_state = 123, .external_lex_state = 19},
  [1746] = {.lex_state = 363, .external_lex_state = 6},
  [1747] = {.lex_state = 185, .external_lex_state = 2},
  [1748] = {.lex_state = 477, .external_lex_state = 33},
  [1749] = {.lex_state = 477, .external_lex_state = 33},
  [1750] = {.lex_state = 477, .external_lex_state = 33},
  [1751] = {.lex_state = 477, .external_lex_state = 33},
  [1752] = {.lex_state = 361, .external_lex_state = 12},
  [1753] = {.lex_state = 185, .external_lex_state = 2},
  [1754] = {.lex_state = 185, .external_lex_state = 2},
  [1755] = {.lex_state = 185, .external_lex_state = 2},
  [1756] = {.lex_state = 477, .external_lex_state = 34},
  [1757] = {.lex_state = 467, .external_lex_state = 32},
  [1758] = {.lex_state = 477, .external_lex_state = 33},
  [1759] = {.lex_state = 373, .external_lex_state = 17},
  [1760] = {.lex_state = 379, .external_lex_state = 32},
  [1761] = {.lex_state = 379, .external_lex_state = 32},
  [1762] = {.lex_state = 373, .external_lex_state = 17},
  [1763] = {.lex_state = 206},
  [1764] = {.lex_state = 467, .external_lex_state = 32},
  [1765] = {.lex_state = 467, .external_lex_state = 36},
  [1766] = {.lex_state = 185, .external_lex_state = 38},
  [1767] = {.lex_state = 185, .external_lex_state = 2},
  [1768] = {.lex_state = 381, .external_lex_state = 39},
  [1769] = {.lex_state = 183, .external_lex_state = 4},
  [1770] = {.lex_state = 151, .external_lex_state = 3},
  [1771] = {.lex_state = 151, .external_lex_state = 3},
  [1772] = {.lex_state = 170, .external_lex_state = 4},
  [1773] = {.lex_state = 251, .external_lex_state = 16},
  [1774] = {.lex_state = 151, .external_lex_state = 3},
  [1775] = {.lex_state = 251, .external_lex_state = 16},
  [1776] = {.lex_state = 170, .external_lex_state = 4},
  [1777] = {.lex_state = 251, .external_lex_state = 16},
  [1778] = {.lex_state = 151, .external_lex_state = 3},
  [1779] = {.lex_state = 151, .external_lex_state = 3},
  [1780] = {.lex_state = 170, .external_lex_state = 4},
  [1781] = {.lex_state = 251, .external_lex_state = 16},
  [1782] = {.lex_state = 151, .external_lex_state = 3},
  [1783] = {.lex_state = 251, .external_lex_state = 16},
  [1784] = {.lex_state = 170, .external_lex_state = 4},
  [1785] = {.lex_state = 251, .external_lex_state = 16},
  [1786] = {.lex_state = 375, .external_lex_state = 14},
  [1787] = {.lex_state = 185, .external_lex_state = 2},
  [1788] = {.lex_state = 185, .external_lex_state = 2},
  [1789] = {.lex_state = 185, .external_lex_state = 2},
  [1790] = {.lex_state = 123, .external_lex_state = 19},
  [1791] = {.lex_state = 185, .external_lex_state = 2},
  [1792] = {.lex_state = 481, .external_lex_state = 11},
  [1793] = {.lex_state = 481, .external_lex_state = 11},
  [1794] = {.lex_state = 481, .external_lex_state = 11},
  [1795] = {.lex_state = 481, .external_lex_state = 11},
  [1796] = {.lex_state = 185, .external_lex_state = 2},
  [1797] = {.lex_state = 185, .external_lex_state = 2},
  [1798] = {.lex_state = 185, .external_lex_state = 2},
  [1799] = {.lex_state = 465, .external_lex_state = 29},
  [1800] = {.lex_state = 479, .external_lex_state = 3},
  [1801] = {.lex_state = 381, .external_lex_state = 3},
  [1802] = {.lex_state = 395, .external_lex_state = 3},
  [1803] = {.lex_state = 206},
  [1804] = {.lex_state = 467, .external_lex_state = 3},
  [1805] = {.lex_state = 479, .external_lex_state = 30},
  [1806] = {.lex_state = 375, .external_lex_state = 14},
  [1807] = {.lex_state = 375, .external_lex_state = 14},
  [1808] = {.lex_state = 228, .external_lex_state = 8},
  [1809] = {.lex_state = 204, .external_lex_state = 8},
  [1810] = {.lex_state = 271, .external_lex_state = 2},
  [1811] = {.lex_state = 228, .external_lex_state = 8},
  [1812] = {.lex_state = 185, .external_lex_state = 2},
  [1813] = {.lex_state = 185, .external_lex_state = 2},
  [1814] = {.lex_state = 185, .external_lex_state = 2},
  [1815] = {.lex_state = 185, .external_lex_state = 2},
  [1816] = {.lex_state = 185, .external_lex_state = 2},
  [1817] = {.lex_state = 185, .external_lex_state = 2},
  [1818] = {.lex_state = 185, .external_lex_state = 2},
  [1819] = {.lex_state = 185, .external_lex_state = 2},
  [1820] = {.lex_state = 185, .external_lex_state = 2},
  [1821] = {.lex_state = 185, .external_lex_state = 2},
  [1822] = {.lex_state = 185, .external_lex_state = 2},
  [1823] = {.lex_state = 185, .external_lex_state = 2},
  [1824] = {.lex_state = 185, .external_lex_state = 2},
  [1825] = {.lex_state = 185, .external_lex_state = 2},
  [1826] = {.lex_state = 185, .external_lex_state = 2},
  [1827] = {.lex_state = 185, .external_lex_state = 2},
  [1828] = {.lex_state = 185, .external_lex_state = 2},
  [1829] = {.lex_state = 185, .external_lex_state = 2},
  [1830] = {.lex_state = 185, .external_lex_state = 2},
  [1831] = {.lex_state = 185, .external_lex_state = 2},
  [1832] = {.lex_state = 123, .external_lex_state = 19},
  [1833] = {.lex_state = 185, .external_lex_state = 2},
  [1834] = {.lex_state = 465, .external_lex_state = 11},
  [1835] = {.lex_state = 465, .external_lex_state = 11},
  [1836] = {.lex_state = 465, .external_lex_state = 11},
  [1837] = {.lex_state = 465, .external_lex_state = 11},
  [1838] = {.lex_state = 185, .external_lex_state = 2},
  [1839] = {.lex_state = 185, .external_lex_state = 2},
  [1840] = {.lex_state = 185, .external_lex_state = 2},
  [1841] = {.lex_state = 465, .external_lex_state = 29},
  [1842] = {.lex_state = 467, .external_lex_state = 3},
  [1843] = {.lex_state = 465, .external_lex_state = 11},
  [1844] = {.lex_state = 379, .external_lex_state = 3},
  [1845] = {.lex_state = 379, .external_lex_state = 3},
  [1846] = {.lex_state = 206},
  [1847] = {.lex_state = 467, .external_lex_state = 3},
  [1848] = {.lex_state = 467, .external_lex_state = 30},
  [1849] = {.lex_state = 185, .external_lex_state = 38},
  [1850] = {.lex_state = 185, .external_lex_state = 2},
  [1851] = {.lex_state = 381, .external_lex_state = 15},
  [1852] = {.lex_state = 284, .external_lex_state = 24},
  [1853] = {.lex_state = 273, .external_lex_state = 17},
  [1854] = {.lex_state = 273, .external_lex_state = 17},
  [1855] = {.lex_state = 273, .external_lex_state = 17},
  [1856] = {.lex_state = 273, .external_lex_state = 17},
  [1857] = {.lex_state = 185, .external_lex_state = 16},
  [1858] = {.lex_state = 251, .external_lex_state = 16},
  [1859] = {.lex_state = 273, .external_lex_state = 17},
  [1860] = {.lex_state = 170, .external_lex_state = 4},
  [1861] = {.lex_state = 251, .external_lex_state = 16},
  [1862] = {.lex_state = 273, .external_lex_state = 17},
  [1863] = {.lex_state = 185, .external_lex_state = 16},
  [1864] = {.lex_state = 251, .external_lex_state = 16},
  [1865] = {.lex_state = 273, .external_lex_state = 17},
  [1866] = {.lex_state = 170, .external_lex_state = 4},
  [1867] = {.lex_state = 251, .external_lex_state = 16},
  [1868] = {.lex_state = 187},
  [1869] = {.lex_state = 387},
  [1870] = {.lex_state = 170, .external_lex_state = 18},
  [1871] = {.lex_state = 375, .external_lex_state = 35},
  [1872] = {.lex_state = 273, .external_lex_state = 17},
  [1873] = {.lex_state = 187},
  [1874] = {.lex_state = 282, .external_lex_state = 22},
  [1875] = {.lex_state = 217, .external_lex_state = 7},
  [1876] = {.lex_state = 123, .external_lex_state = 2},
  [1877] = {.lex_state = 273, .external_lex_state = 17},
  [1878] = {.lex_state = 343, .external_lex_state = 40},
  [1879] = {.lex_state = 185, .external_lex_state = 16},
  [1880] = {.lex_state = 375, .external_lex_state = 35},
  [1881] = {.lex_state = 483, .external_lex_state = 33},
  [1882] = {.lex_state = 185, .external_lex_state = 2},
  [1883] = {.lex_state = 185, .external_lex_state = 2},
  [1884] = {.lex_state = 185, .external_lex_state = 2},
  [1885] = {.lex_state = 123, .external_lex_state = 19},
  [1886] = {.lex_state = 185, .external_lex_state = 2},
  [1887] = {.lex_state = 475, .external_lex_state = 33},
  [1888] = {.lex_state = 475, .external_lex_state = 33},
  [1889] = {.lex_state = 475, .external_lex_state = 33},
  [1890] = {.lex_state = 475, .external_lex_state = 33},
  [1891] = {.lex_state = 185, .external_lex_state = 2},
  [1892] = {.lex_state = 185, .external_lex_state = 2},
  [1893] = {.lex_state = 185, .external_lex_state = 2},
  [1894] = {.lex_state = 477, .external_lex_state = 34},
  [1895] = {.lex_state = 479, .external_lex_state = 32},
  [1896] = {.lex_state = 477, .external_lex_state = 33},
  [1897] = {.lex_state = 395, .external_lex_state = 32},
  [1898] = {.lex_state = 395, .external_lex_state = 32},
  [1899] = {.lex_state = 206},
  [1900] = {.lex_state = 467, .external_lex_state = 32},
  [1901] = {.lex_state = 479, .external_lex_state = 36},
  [1902] = {.lex_state = 375, .external_lex_state = 35},
  [1903] = {.lex_state = 375, .external_lex_state = 35},
  [1904] = {.lex_state = 185, .external_lex_state = 2},
  [1905] = {.lex_state = 185, .external_lex_state = 2},
  [1906] = {.lex_state = 185, .external_lex_state = 2},
  [1907] = {.lex_state = 185, .external_lex_state = 2},
  [1908] = {.lex_state = 185, .external_lex_state = 2},
  [1909] = {.lex_state = 185, .external_lex_state = 2},
  [1910] = {.lex_state = 185, .external_lex_state = 2},
  [1911] = {.lex_state = 185, .external_lex_state = 2},
  [1912] = {.lex_state = 185, .external_lex_state = 2},
  [1913] = {.lex_state = 185, .external_lex_state = 2},
  [1914] = {.lex_state = 185, .external_lex_state = 2},
  [1915] = {.lex_state = 185, .external_lex_state = 2},
  [1916] = {.lex_state = 226, .external_lex_state = 13},
  [1917] = {.lex_state = 190},
  [1918] = {.lex_state = 190, .external_lex_state = 37},
  [1919] = {.lex_state = 185, .external_lex_state = 2},
  [1920] = {.lex_state = 185, .external_lex_state = 2},
  [1921] = {.lex_state = 185, .external_lex_state = 2},
  [1922] = {.lex_state = 123, .external_lex_state = 19},
  [1923] = {.lex_state = 363, .external_lex_state = 6},
  [1924] = {.lex_state = 185, .external_lex_state = 2},
  [1925] = {.lex_state = 477, .external_lex_state = 33},
  [1926] = {.lex_state = 477, .external_lex_state = 33},
  [1927] = {.lex_state = 477, .external_lex_state = 33},
  [1928] = {.lex_state = 477, .external_lex_state = 33},
  [1929] = {.lex_state = 361, .external_lex_state = 12},
  [1930] = {.lex_state = 185, .external_lex_state = 2},
  [1931] = {.lex_state = 185, .external_lex_state = 2},
  [1932] = {.lex_state = 185, .external_lex_state = 2},
  [1933] = {.lex_state = 477, .external_lex_state = 34},
  [1934] = {.lex_state = 467, .external_lex_state = 32},
  [1935] = {.lex_state = 477, .external_lex_state = 33},
  [1936] = {.lex_state = 391, .external_lex_state = 32},
  [1937] = {.lex_state = 379, .external_lex_state = 32},
  [1938] = {.lex_state = 379, .external_lex_state = 32},
  [1939] = {.lex_state = 391, .external_lex_state = 32},
  [1940] = {.lex_state = 206},
  [1941] = {.lex_state = 467, .external_lex_state = 32},
  [1942] = {.lex_state = 467, .external_lex_state = 36},
  [1943] = {.lex_state = 185, .external_lex_state = 38},
  [1944] = {.lex_state = 185, .external_lex_state = 2},
  [1945] = {.lex_state = 395, .external_lex_state = 40},
  [1946] = {.lex_state = 237, .external_lex_state = 14},
  [1947] = {.lex_state = 123, .external_lex_state = 8},
  [1948] = {.lex_state = 123, .external_lex_state = 2},
  [1949] = {.lex_state = 273, .external_lex_state = 17},
  [1950] = {.lex_state = 123, .external_lex_state = 2},
  [1951] = {.lex_state = 322, .external_lex_state = 32},
  [1952] = {.lex_state = 322, .external_lex_state = 40},
  [1953] = {.lex_state = 322, .external_lex_state = 32},
  [1954] = {.lex_state = 343, .external_lex_state = 32},
  [1955] = {.lex_state = 202, .external_lex_state = 23},
  [1956] = {.lex_state = 202},
  [1957] = {.lex_state = 322, .external_lex_state = 32},
  [1958] = {.lex_state = 185, .external_lex_state = 2},
  [1959] = {.lex_state = 322, .external_lex_state = 32},
  [1960] = {.lex_state = 322, .external_lex_state = 32},
  [1961] = {.lex_state = 322, .external_lex_state = 32},
  [1962] = {.lex_state = 322, .external_lex_state = 32},
  [1963] = {.lex_state = 322, .external_lex_state = 32},
  [1964] = {.lex_state = 343, .external_lex_state = 32},
  [1965] = {.lex_state = 185, .external_lex_state = 2},
  [1966] = {.lex_state = 185, .external_lex_state = 2},
  [1967] = {.lex_state = 185, .external_lex_state = 2},
  [1968] = {.lex_state = 185, .external_lex_state = 2},
  [1969] = {.lex_state = 185, .external_lex_state = 2},
  [1970] = {.lex_state = 185, .external_lex_state = 2},
  [1971] = {.lex_state = 185, .external_lex_state = 2},
  [1972] = {.lex_state = 185, .external_lex_state = 2},
  [1973] = {.lex_state = 185, .external_lex_state = 2},
  [1974] = {.lex_state = 185, .external_lex_state = 2},
  [1975] = {.lex_state = 185, .external_lex_state = 2},
  [1976] = {.lex_state = 185, .external_lex_state = 2},
  [1977] = {.lex_state = 185, .external_lex_state = 2},
  [1978] = {.lex_state = 170, .external_lex_state = 18},
  [1979] = {.lex_state = 284, .external_lex_state = 32},
  [1980] = {.lex_state = 433, .external_lex_state = 13},
  [1981] = {.lex_state = 322, .external_lex_state = 32},
  [1982] = {.lex_state = 185, .external_lex_state = 38},
  [1983] = {.lex_state = 185, .external_lex_state = 2},
  [1984] = {.lex_state = 185, .external_lex_state = 2},
  [1985] = {.lex_state = 322, .external_lex_state = 40},
  [1986] = {.lex_state = 123, .external_lex_state = 12},
  [1987] = {.lex_state = 123, .external_lex_state = 2},
  [1988] = {.lex_state = 123, .external_lex_state = 2},
  [1989] = {.lex_state = 123, .external_lex_state = 2},
  [1990] = {.lex_state = 123, .external_lex_state = 8},
  [1991] = {.lex_state = 123},
  [1992] = {.lex_state = 123},
  [1993] = {.lex_state = 123},
  [1994] = {.lex_state = 273, .external_lex_state = 17},
  [1995] = {.lex_state = 123},
  [1996] = {.lex_state = 123},
  [1997] = {.lex_state = 123},
  [1998] = {.lex_state = 273, .external_lex_state = 17},
  [1999] = {.lex_state = 273, .external_lex_state = 17},
  [2000] = {.lex_state = 226},
  [2001] = {.lex_state = 273, .external_lex_state = 17},
  [2002] = {.lex_state = 187},
  [2003] = {.lex_state = 271, .external_lex_state = 2},
  [2004] = {.lex_state = 273, .external_lex_state = 17},
  [2005] = {.lex_state = 123},
  [2006] = {.lex_state = 123, .external_lex_state = 12},
  [2007] = {.lex_state = 361, .external_lex_state = 2},
  [2008] = {.lex_state = 273, .external_lex_state = 17},
  [2009] = {.lex_state = 282, .external_lex_state = 22},
  [2010] = {.lex_state = 282, .external_lex_state = 22},
  [2011] = {.lex_state = 282, .external_lex_state = 22},
  [2012] = {.lex_state = 282, .external_lex_state = 22},
  [2013] = {.lex_state = 282, .external_lex_state = 22},
  [2014] = {.lex_state = 282, .external_lex_state = 22},
  [2015] = {.lex_state = 375, .external_lex_state = 35},
  [2016] = {.lex_state = 455, .external_lex_state = 22},
  [2017] = {.lex_state = 282, .external_lex_state = 22},
  [2018] = {.lex_state = 282, .external_lex_state = 22},
  [2019] = {.lex_state = 282, .external_lex_state = 22},
  [2020] = {.lex_state = 282, .external_lex_state = 22},
  [2021] = {.lex_state = 282, .external_lex_state = 22},
  [2022] = {.lex_state = 280, .external_lex_state = 17},
  [2023] = {.lex_state = 226, .external_lex_state = 23},
  [2024] = {.lex_state = 226},
  [2025] = {.lex_state = 278, .external_lex_state = 20},
  [2026] = {.lex_state = 316, .external_lex_state = 13},
  [2027] = {.lex_state = 278, .external_lex_state = 20},
  [2028] = {.lex_state = 278, .external_lex_state = 20},
  [2029] = {.lex_state = 278, .external_lex_state = 20},
  [2030] = {.lex_state = 190, .external_lex_state = 37},
  [2031] = {.lex_state = 349, .external_lex_state = 36},
  [2032] = {.lex_state = 185, .external_lex_state = 16},
  [2033] = {.lex_state = 349, .external_lex_state = 32},
  [2034] = {.lex_state = 185, .external_lex_state = 16},
  [2035] = {.lex_state = 349, .external_lex_state = 32},
  [2036] = {.lex_state = 185, .external_lex_state = 16},
  [2037] = {.lex_state = 349, .external_lex_state = 32},
  [2038] = {.lex_state = 185, .external_lex_state = 16},
  [2039] = {.lex_state = 349, .external_lex_state = 32},
  [2040] = {.lex_state = 183, .external_lex_state = 4},
  [2041] = {.lex_state = 251, .external_lex_state = 16},
  [2042] = {.lex_state = 349, .external_lex_state = 32},
  [2043] = {.lex_state = 183, .external_lex_state = 4},
  [2044] = {.lex_state = 251, .external_lex_state = 16},
  [2045] = {.lex_state = 170, .external_lex_state = 4},
  [2046] = {.lex_state = 187, .external_lex_state = 6},
  [2047] = {.lex_state = 365, .external_lex_state = 32},
  [2048] = {.lex_state = 365, .external_lex_state = 40},
  [2049] = {.lex_state = 365, .external_lex_state = 32},
  [2050] = {.lex_state = 349, .external_lex_state = 32},
  [2051] = {.lex_state = 202, .external_lex_state = 23},
  [2052] = {.lex_state = 202},
  [2053] = {.lex_state = 365, .external_lex_state = 32},
  [2054] = {.lex_state = 185, .external_lex_state = 2},
  [2055] = {.lex_state = 365, .external_lex_state = 32},
  [2056] = {.lex_state = 187},
  [2057] = {.lex_state = 271, .external_lex_state = 2},
  [2058] = {.lex_state = 187},
  [2059] = {.lex_state = 187, .external_lex_state = 23},
  [2060] = {.lex_state = 185, .external_lex_state = 2},
  [2061] = {.lex_state = 349, .external_lex_state = 32},
  [2062] = {.lex_state = 228},
  [2063] = {.lex_state = 288, .external_lex_state = 8},
  [2064] = {.lex_state = 349, .external_lex_state = 32},
  [2065] = {.lex_state = 202},
  [2066] = {.lex_state = 365, .external_lex_state = 32},
  [2067] = {.lex_state = 185, .external_lex_state = 2},
  [2068] = {.lex_state = 311, .external_lex_state = 28},
  [2069] = {.lex_state = 311, .external_lex_state = 28},
  [2070] = {.lex_state = 314, .external_lex_state = 28},
  [2071] = {.lex_state = 314, .external_lex_state = 28},
  [2072] = {.lex_state = 349, .external_lex_state = 32},
  [2073] = {.lex_state = 349, .external_lex_state = 32},
  [2074] = {.lex_state = 349, .external_lex_state = 32},
  [2075] = {.lex_state = 349, .external_lex_state = 32},
  [2076] = {.lex_state = 123, .external_lex_state = 8},
  [2077] = {.lex_state = 123, .external_lex_state = 8},
  [2078] = {.lex_state = 237, .external_lex_state = 14},
  [2079] = {.lex_state = 237, .external_lex_state = 14},
  [2080] = {.lex_state = 123},
  [2081] = {.lex_state = 280, .external_lex_state = 17},
  [2082] = {.lex_state = 123},
  [2083] = {.lex_state = 123, .external_lex_state = 12},
  [2084] = {.lex_state = 361, .external_lex_state = 2},
  [2085] = {.lex_state = 237, .external_lex_state = 14},
  [2086] = {.lex_state = 123},
  [2087] = {.lex_state = 123},
  [2088] = {.lex_state = 123},
  [2089] = {.lex_state = 123},
  [2090] = {.lex_state = 123},
  [2091] = {.lex_state = 349, .external_lex_state = 32},
  [2092] = {.lex_state = 123, .external_lex_state = 2},
  [2093] = {.lex_state = 365, .external_lex_state = 32},
  [2094] = {.lex_state = 365, .external_lex_state = 32},
  [2095] = {.lex_state = 349, .external_lex_state = 32},
  [2096] = {.lex_state = 349, .external_lex_state = 32},
  [2097] = {.lex_state = 349, .external_lex_state = 32},
  [2098] = {.lex_state = 226, .external_lex_state = 23},
  [2099] = {.lex_state = 226},
  [2100] = {.lex_state = 357, .external_lex_state = 2},
  [2101] = {.lex_state = 123},
  [2102] = {.lex_state = 349, .external_lex_state = 32},
  [2103] = {.lex_state = 185, .external_lex_state = 2},
  [2104] = {.lex_state = 185, .external_lex_state = 2},
  [2105] = {.lex_state = 185, .external_lex_state = 2},
  [2106] = {.lex_state = 185, .external_lex_state = 2},
  [2107] = {.lex_state = 185, .external_lex_state = 2},
  [2108] = {.lex_state = 185, .external_lex_state = 2},
  [2109] = {.lex_state = 185, .external_lex_state = 2},
  [2110] = {.lex_state = 185, .external_lex_state = 2},
  [2111] = {.lex_state = 185, .external_lex_state = 2},
  [2112] = {.lex_state = 185, .external_lex_state = 2},
  [2113] = {.lex_state = 185, .external_lex_state = 2},
  [2114] = {.lex_state = 185, .external_lex_state = 2},
  [2115] = {.lex_state = 185, .external_lex_state = 2},
  [2116] = {.lex_state = 363, .external_lex_state = 6},
  [2117] = {.lex_state = 349, .external_lex_state = 32},
  [2118] = {.lex_state = 357, .external_lex_state = 2},
  [2119] = {.lex_state = 280, .external_lex_state = 17},
  [2120] = {.lex_state = 170, .external_lex_state = 18},
  [2121] = {.lex_state = 365, .external_lex_state = 32},
  [2122] = {.lex_state = 433, .external_lex_state = 13},
  [2123] = {.lex_state = 365, .external_lex_state = 32},
  [2124] = {.lex_state = 185, .external_lex_state = 38},
  [2125] = {.lex_state = 185, .external_lex_state = 2},
  [2126] = {.lex_state = 185, .external_lex_state = 2},
  [2127] = {.lex_state = 365, .external_lex_state = 40},
  [2128] = {.lex_state = 185, .external_lex_state = 2},
  [2129] = {.lex_state = 185, .external_lex_state = 2},
  [2130] = {.lex_state = 397, .external_lex_state = 20},
  [2131] = {.lex_state = 397, .external_lex_state = 20},
  [2132] = {.lex_state = 397, .external_lex_state = 20},
  [2133] = {.lex_state = 397, .external_lex_state = 20},
  [2134] = {.lex_state = 185, .external_lex_state = 2},
  [2135] = {.lex_state = 185, .external_lex_state = 2},
  [2136] = {.lex_state = 185, .external_lex_state = 2},
  [2137] = {.lex_state = 282, .external_lex_state = 22},
  [2138] = {.lex_state = 399, .external_lex_state = 22},
  [2139] = {.lex_state = 282, .external_lex_state = 22},
  [2140] = {.lex_state = 206},
  [2141] = {.lex_state = 280, .external_lex_state = 17},
  [2142] = {.lex_state = 151, .external_lex_state = 39},
  [2143] = {.lex_state = 282, .external_lex_state = 22},
  [2144] = {.lex_state = 375, .external_lex_state = 35},
  [2145] = {.lex_state = 284, .external_lex_state = 39},
  [2146] = {.lex_state = 151, .external_lex_state = 3},
  [2147] = {.lex_state = 170, .external_lex_state = 18},
  [2148] = {.lex_state = 187, .external_lex_state = 6},
  [2149] = {.lex_state = 187, .external_lex_state = 23},
  [2150] = {.lex_state = 204, .external_lex_state = 8},
  [2151] = {.lex_state = 286, .external_lex_state = 8},
  [2152] = {.lex_state = 282, .external_lex_state = 22},
  [2153] = {.lex_state = 185, .external_lex_state = 2},
  [2154] = {.lex_state = 185, .external_lex_state = 2},
  [2155] = {.lex_state = 185, .external_lex_state = 2},
  [2156] = {.lex_state = 123, .external_lex_state = 19},
  [2157] = {.lex_state = 185, .external_lex_state = 2},
  [2158] = {.lex_state = 185, .external_lex_state = 2},
  [2159] = {.lex_state = 185, .external_lex_state = 2},
  [2160] = {.lex_state = 185, .external_lex_state = 2},
  [2161] = {.lex_state = 429, .external_lex_state = 34},
  [2162] = {.lex_state = 411, .external_lex_state = 32},
  [2163] = {.lex_state = 298, .external_lex_state = 32},
  [2164] = {.lex_state = 411, .external_lex_state = 32},
  [2165] = {.lex_state = 206},
  [2166] = {.lex_state = 413, .external_lex_state = 32},
  [2167] = {.lex_state = 411, .external_lex_state = 36},
  [2168] = {.lex_state = 282, .external_lex_state = 22},
  [2169] = {.lex_state = 282, .external_lex_state = 22},
  [2170] = {.lex_state = 185, .external_lex_state = 2},
  [2171] = {.lex_state = 185, .external_lex_state = 2},
  [2172] = {.lex_state = 228},
  [2173] = {.lex_state = 185, .external_lex_state = 2},
  [2174] = {.lex_state = 185, .external_lex_state = 2},
  [2175] = {.lex_state = 185, .external_lex_state = 2},
  [2176] = {.lex_state = 185, .external_lex_state = 2},
  [2177] = {.lex_state = 185, .external_lex_state = 2},
  [2178] = {.lex_state = 185, .external_lex_state = 2},
  [2179] = {.lex_state = 185, .external_lex_state = 2},
  [2180] = {.lex_state = 185, .external_lex_state = 2},
  [2181] = {.lex_state = 185, .external_lex_state = 2},
  [2182] = {.lex_state = 185, .external_lex_state = 2},
  [2183] = {.lex_state = 185, .external_lex_state = 2},
  [2184] = {.lex_state = 185, .external_lex_state = 2},
  [2185] = {.lex_state = 185, .external_lex_state = 2},
  [2186] = {.lex_state = 123, .external_lex_state = 19},
  [2187] = {.lex_state = 185, .external_lex_state = 2},
  [2188] = {.lex_state = 429, .external_lex_state = 33},
  [2189] = {.lex_state = 429, .external_lex_state = 33},
  [2190] = {.lex_state = 429, .external_lex_state = 33},
  [2191] = {.lex_state = 429, .external_lex_state = 33},
  [2192] = {.lex_state = 185, .external_lex_state = 2},
  [2193] = {.lex_state = 185, .external_lex_state = 2},
  [2194] = {.lex_state = 185, .external_lex_state = 2},
  [2195] = {.lex_state = 429, .external_lex_state = 34},
  [2196] = {.lex_state = 413, .external_lex_state = 32},
  [2197] = {.lex_state = 429, .external_lex_state = 33},
  [2198] = {.lex_state = 296, .external_lex_state = 32},
  [2199] = {.lex_state = 296, .external_lex_state = 32},
  [2200] = {.lex_state = 206},
  [2201] = {.lex_state = 413, .external_lex_state = 32},
  [2202] = {.lex_state = 413, .external_lex_state = 36},
  [2203] = {.lex_state = 185, .external_lex_state = 38},
  [2204] = {.lex_state = 185, .external_lex_state = 2},
  [2205] = {.lex_state = 298, .external_lex_state = 39},
  [2206] = {.lex_state = 151, .external_lex_state = 3},
  [2207] = {.lex_state = 123, .external_lex_state = 12},
  [2208] = {.lex_state = 282},
  [2209] = {.lex_state = 243, .external_lex_state = 8},
  [2210] = {.lex_state = 243, .external_lex_state = 8},
  [2211] = {.lex_state = 243, .external_lex_state = 8},
  [2212] = {.lex_state = 228},
  [2213] = {.lex_state = 485, .external_lex_state = 12},
  [2214] = {.lex_state = 185, .external_lex_state = 2},
  [2215] = {.lex_state = 151, .external_lex_state = 3},
  [2216] = {.lex_state = 190},
  [2217] = {.lex_state = 123, .external_lex_state = 2},
  [2218] = {.lex_state = 185, .external_lex_state = 2},
  [2219] = {.lex_state = 185, .external_lex_state = 2},
  [2220] = {.lex_state = 185, .external_lex_state = 2},
  [2221] = {.lex_state = 123, .external_lex_state = 19},
  [2222] = {.lex_state = 185, .external_lex_state = 2},
  [2223] = {.lex_state = 487, .external_lex_state = 33},
  [2224] = {.lex_state = 487, .external_lex_state = 33},
  [2225] = {.lex_state = 487, .external_lex_state = 33},
  [2226] = {.lex_state = 487, .external_lex_state = 33},
  [2227] = {.lex_state = 185, .external_lex_state = 2},
  [2228] = {.lex_state = 185, .external_lex_state = 2},
  [2229] = {.lex_state = 185, .external_lex_state = 2},
  [2230] = {.lex_state = 429, .external_lex_state = 34},
  [2231] = {.lex_state = 489, .external_lex_state = 32},
  [2232] = {.lex_state = 302, .external_lex_state = 42},
  [2233] = {.lex_state = 302, .external_lex_state = 42},
  [2234] = {.lex_state = 206},
  [2235] = {.lex_state = 413, .external_lex_state = 32},
  [2236] = {.lex_state = 489, .external_lex_state = 36},
  [2237] = {.lex_state = 185, .external_lex_state = 2},
  [2238] = {.lex_state = 491, .external_lex_state = 11},
  [2239] = {.lex_state = 491, .external_lex_state = 11},
  [2240] = {.lex_state = 491, .external_lex_state = 11},
  [2241] = {.lex_state = 491, .external_lex_state = 11},
  [2242] = {.lex_state = 185, .external_lex_state = 2},
  [2243] = {.lex_state = 185, .external_lex_state = 2},
  [2244] = {.lex_state = 185, .external_lex_state = 2},
  [2245] = {.lex_state = 411, .external_lex_state = 3},
  [2246] = {.lex_state = 206},
  [2247] = {.lex_state = 296, .external_lex_state = 3},
  [2248] = {.lex_state = 493, .external_lex_state = 15},
  [2249] = {.lex_state = 411, .external_lex_state = 3},
  [2250] = {.lex_state = 411, .external_lex_state = 3},
  [2251] = {.lex_state = 411, .external_lex_state = 15},
  [2252] = {.lex_state = 185, .external_lex_state = 2},
  [2253] = {.lex_state = 411, .external_lex_state = 3},
  [2254] = {.lex_state = 185, .external_lex_state = 2},
  [2255] = {.lex_state = 185, .external_lex_state = 2},
  [2256] = {.lex_state = 123, .external_lex_state = 19},
  [2257] = {.lex_state = 185, .external_lex_state = 2},
  [2258] = {.lex_state = 409, .external_lex_state = 29},
  [2259] = {.lex_state = 411, .external_lex_state = 3},
  [2260] = {.lex_state = 411, .external_lex_state = 3},
  [2261] = {.lex_state = 411, .external_lex_state = 3},
  [2262] = {.lex_state = 411, .external_lex_state = 30},
  [2263] = {.lex_state = 411, .external_lex_state = 3},
  [2264] = {.lex_state = 411, .external_lex_state = 3},
  [2265] = {.lex_state = 185, .external_lex_state = 2},
  [2266] = {.lex_state = 185, .external_lex_state = 2},
  [2267] = {.lex_state = 185, .external_lex_state = 2},
  [2268] = {.lex_state = 185, .external_lex_state = 2},
  [2269] = {.lex_state = 185, .external_lex_state = 2},
  [2270] = {.lex_state = 185, .external_lex_state = 2},
  [2271] = {.lex_state = 185, .external_lex_state = 2},
  [2272] = {.lex_state = 185, .external_lex_state = 2},
  [2273] = {.lex_state = 185, .external_lex_state = 2},
  [2274] = {.lex_state = 185, .external_lex_state = 2},
  [2275] = {.lex_state = 185, .external_lex_state = 2},
  [2276] = {.lex_state = 185, .external_lex_state = 2},
  [2277] = {.lex_state = 185, .external_lex_state = 2},
  [2278] = {.lex_state = 185, .external_lex_state = 2},
  [2279] = {.lex_state = 185, .external_lex_state = 2},
  [2280] = {.lex_state = 123, .external_lex_state = 19},
  [2281] = {.lex_state = 185, .external_lex_state = 2},
  [2282] = {.lex_state = 409, .external_lex_state = 29},
  [2283] = {.lex_state = 413, .external_lex_state = 3},
  [2284] = {.lex_state = 413, .external_lex_state = 3},
  [2285] = {.lex_state = 413, .external_lex_state = 3},
  [2286] = {.lex_state = 413, .external_lex_state = 30},
  [2287] = {.lex_state = 298, .external_lex_state = 3},
  [2288] = {.lex_state = 433, .external_lex_state = 13},
  [2289] = {.lex_state = 411, .external_lex_state = 3},
  [2290] = {.lex_state = 185, .external_lex_state = 38},
  [2291] = {.lex_state = 185, .external_lex_state = 2},
  [2292] = {.lex_state = 185, .external_lex_state = 2},
  [2293] = {.lex_state = 411, .external_lex_state = 15},
  [2294] = {.lex_state = 282, .external_lex_state = 8},
  [2295] = {.lex_state = 202, .external_lex_state = 2},
  [2296] = {.lex_state = 202, .external_lex_state = 8},
  [2297] = {.lex_state = 282, .external_lex_state = 14},
  [2298] = {.lex_state = 282, .external_lex_state = 14},
  [2299] = {.lex_state = 282, .external_lex_state = 14},
  [2300] = {.lex_state = 282, .external_lex_state = 14},
  [2301] = {.lex_state = 282, .external_lex_state = 14},
  [2302] = {.lex_state = 282, .external_lex_state = 14},
  [2303] = {.lex_state = 282, .external_lex_state = 14},
  [2304] = {.lex_state = 282, .external_lex_state = 14},
  [2305] = {.lex_state = 282, .external_lex_state = 14},
  [2306] = {.lex_state = 282, .external_lex_state = 14},
  [2307] = {.lex_state = 282, .external_lex_state = 14},
  [2308] = {.lex_state = 455, .external_lex_state = 22},
  [2309] = {.lex_state = 282, .external_lex_state = 14},
  [2310] = {.lex_state = 282, .external_lex_state = 14},
  [2311] = {.lex_state = 282, .external_lex_state = 14},
  [2312] = {.lex_state = 282, .external_lex_state = 14},
  [2313] = {.lex_state = 282, .external_lex_state = 14},
  [2314] = {.lex_state = 185, .external_lex_state = 2},
  [2315] = {.lex_state = 294, .external_lex_state = 11},
  [2316] = {.lex_state = 294, .external_lex_state = 11},
  [2317] = {.lex_state = 294, .external_lex_state = 11},
  [2318] = {.lex_state = 294, .external_lex_state = 11},
  [2319] = {.lex_state = 185, .external_lex_state = 2},
  [2320] = {.lex_state = 185, .external_lex_state = 2},
  [2321] = {.lex_state = 185, .external_lex_state = 2},
  [2322] = {.lex_state = 296, .external_lex_state = 3},
  [2323] = {.lex_state = 294, .external_lex_state = 11},
  [2324] = {.lex_state = 206},
  [2325] = {.lex_state = 296, .external_lex_state = 3},
  [2326] = {.lex_state = 296, .external_lex_state = 15},
  [2327] = {.lex_state = 296, .external_lex_state = 3},
  [2328] = {.lex_state = 413, .external_lex_state = 3},
  [2329] = {.lex_state = 413, .external_lex_state = 15},
  [2330] = {.lex_state = 185, .external_lex_state = 2},
  [2331] = {.lex_state = 296, .external_lex_state = 3},
  [2332] = {.lex_state = 413, .external_lex_state = 3},
  [2333] = {.lex_state = 413, .external_lex_state = 3},
  [2334] = {.lex_state = 185, .external_lex_state = 2},
  [2335] = {.lex_state = 185, .external_lex_state = 2},
  [2336] = {.lex_state = 185, .external_lex_state = 2},
  [2337] = {.lex_state = 185, .external_lex_state = 2},
  [2338] = {.lex_state = 185, .external_lex_state = 2},
  [2339] = {.lex_state = 185, .external_lex_state = 2},
  [2340] = {.lex_state = 185, .external_lex_state = 2},
  [2341] = {.lex_state = 185, .external_lex_state = 2},
  [2342] = {.lex_state = 185, .external_lex_state = 2},
  [2343] = {.lex_state = 185, .external_lex_state = 2},
  [2344] = {.lex_state = 185, .external_lex_state = 2},
  [2345] = {.lex_state = 185, .external_lex_state = 2},
  [2346] = {.lex_state = 185, .external_lex_state = 2},
  [2347] = {.lex_state = 296, .external_lex_state = 3},
  [2348] = {.lex_state = 433, .external_lex_state = 13},
  [2349] = {.lex_state = 296, .external_lex_state = 3},
  [2350] = {.lex_state = 185, .external_lex_state = 38},
  [2351] = {.lex_state = 185, .external_lex_state = 2},
  [2352] = {.lex_state = 185, .external_lex_state = 2},
  [2353] = {.lex_state = 413, .external_lex_state = 15},
  [2354] = {.lex_state = 185, .external_lex_state = 2},
  [2355] = {.lex_state = 185, .external_lex_state = 2},
  [2356] = {.lex_state = 185, .external_lex_state = 2},
  [2357] = {.lex_state = 185, .external_lex_state = 2},
  [2358] = {.lex_state = 185, .external_lex_state = 2},
  [2359] = {.lex_state = 282, .external_lex_state = 14},
  [2360] = {.lex_state = 282, .external_lex_state = 14},
  [2361] = {.lex_state = 206},
  [2362] = {.lex_state = 296, .external_lex_state = 3},
  [2363] = {.lex_state = 282, .external_lex_state = 14},
  [2364] = {.lex_state = 298, .external_lex_state = 15},
  [2365] = {.lex_state = 309, .external_lex_state = 27},
  [2366] = {.lex_state = 302, .external_lex_state = 25},
  [2367] = {.lex_state = 302, .external_lex_state = 25},
  [2368] = {.lex_state = 302, .external_lex_state = 25},
  [2369] = {.lex_state = 302, .external_lex_state = 25},
  [2370] = {.lex_state = 185, .external_lex_state = 16},
  [2371] = {.lex_state = 251, .external_lex_state = 16},
  [2372] = {.lex_state = 302, .external_lex_state = 25},
  [2373] = {.lex_state = 170, .external_lex_state = 4},
  [2374] = {.lex_state = 251, .external_lex_state = 16},
  [2375] = {.lex_state = 302, .external_lex_state = 25},
  [2376] = {.lex_state = 185, .external_lex_state = 16},
  [2377] = {.lex_state = 251, .external_lex_state = 16},
  [2378] = {.lex_state = 302, .external_lex_state = 25},
  [2379] = {.lex_state = 170, .external_lex_state = 4},
  [2380] = {.lex_state = 251, .external_lex_state = 16},
  [2381] = {.lex_state = 302, .external_lex_state = 25},
  [2382] = {.lex_state = 187},
  [2383] = {.lex_state = 282, .external_lex_state = 22},
  [2384] = {.lex_state = 217, .external_lex_state = 7},
  [2385] = {.lex_state = 123, .external_lex_state = 2},
  [2386] = {.lex_state = 302, .external_lex_state = 25},
  [2387] = {.lex_state = 237, .external_lex_state = 14},
  [2388] = {.lex_state = 123, .external_lex_state = 8},
  [2389] = {.lex_state = 123, .external_lex_state = 2},
  [2390] = {.lex_state = 302, .external_lex_state = 25},
  [2391] = {.lex_state = 123, .external_lex_state = 2},
  [2392] = {.lex_state = 185, .external_lex_state = 2},
  [2393] = {.lex_state = 495, .external_lex_state = 33},
  [2394] = {.lex_state = 495, .external_lex_state = 33},
  [2395] = {.lex_state = 495, .external_lex_state = 33},
  [2396] = {.lex_state = 495, .external_lex_state = 33},
  [2397] = {.lex_state = 185, .external_lex_state = 2},
  [2398] = {.lex_state = 185, .external_lex_state = 2},
  [2399] = {.lex_state = 185, .external_lex_state = 2},
  [2400] = {.lex_state = 322, .external_lex_state = 32},
  [2401] = {.lex_state = 497, .external_lex_state = 33},
  [2402] = {.lex_state = 206},
  [2403] = {.lex_state = 247, .external_lex_state = 32},
  [2404] = {.lex_state = 324, .external_lex_state = 40},
  [2405] = {.lex_state = 322, .external_lex_state = 32},
  [2406] = {.lex_state = 302, .external_lex_state = 42},
  [2407] = {.lex_state = 202, .external_lex_state = 23},
  [2408] = {.lex_state = 202},
  [2409] = {.lex_state = 185, .external_lex_state = 2},
  [2410] = {.lex_state = 322, .external_lex_state = 32},
  [2411] = {.lex_state = 185, .external_lex_state = 2},
  [2412] = {.lex_state = 170, .external_lex_state = 18},
  [2413] = {.lex_state = 309, .external_lex_state = 42},
  [2414] = {.lex_state = 433, .external_lex_state = 13},
  [2415] = {.lex_state = 417, .external_lex_state = 42},
  [2416] = {.lex_state = 185, .external_lex_state = 2},
  [2417] = {.lex_state = 123, .external_lex_state = 12},
  [2418] = {.lex_state = 123, .external_lex_state = 2},
  [2419] = {.lex_state = 123, .external_lex_state = 2},
  [2420] = {.lex_state = 123, .external_lex_state = 2},
  [2421] = {.lex_state = 123, .external_lex_state = 8},
  [2422] = {.lex_state = 123},
  [2423] = {.lex_state = 123},
  [2424] = {.lex_state = 123},
  [2425] = {.lex_state = 302, .external_lex_state = 25},
  [2426] = {.lex_state = 123},
  [2427] = {.lex_state = 123},
  [2428] = {.lex_state = 123},
  [2429] = {.lex_state = 302, .external_lex_state = 25},
  [2430] = {.lex_state = 302, .external_lex_state = 25},
  [2431] = {.lex_state = 226},
  [2432] = {.lex_state = 302, .external_lex_state = 25},
  [2433] = {.lex_state = 187},
  [2434] = {.lex_state = 271, .external_lex_state = 2},
  [2435] = {.lex_state = 302, .external_lex_state = 25},
  [2436] = {.lex_state = 123},
  [2437] = {.lex_state = 123, .external_lex_state = 12},
  [2438] = {.lex_state = 361, .external_lex_state = 2},
  [2439] = {.lex_state = 302, .external_lex_state = 25},
  [2440] = {.lex_state = 302, .external_lex_state = 25},
  [2441] = {.lex_state = 226, .external_lex_state = 23},
  [2442] = {.lex_state = 226},
  [2443] = {.lex_state = 405, .external_lex_state = 26},
  [2444] = {.lex_state = 316, .external_lex_state = 13},
  [2445] = {.lex_state = 405, .external_lex_state = 26},
  [2446] = {.lex_state = 405, .external_lex_state = 26},
  [2447] = {.lex_state = 405, .external_lex_state = 26},
  [2448] = {.lex_state = 190, .external_lex_state = 37},
  [2449] = {.lex_state = 499, .external_lex_state = 32},
  [2450] = {.lex_state = 170, .external_lex_state = 4},
  [2451] = {.lex_state = 170, .external_lex_state = 4},
  [2452] = {.lex_state = 170, .external_lex_state = 4},
  [2453] = {.lex_state = 170, .external_lex_state = 4},
  [2454] = {.lex_state = 183, .external_lex_state = 4},
  [2455] = {.lex_state = 183, .external_lex_state = 4},
  [2456] = {.lex_state = 185, .external_lex_state = 2},
  [2457] = {.lex_state = 187, .external_lex_state = 6},
  [2458] = {.lex_state = 190, .external_lex_state = 7},
  [2459] = {.lex_state = 202, .external_lex_state = 2},
  [2460] = {.lex_state = 209, .external_lex_state = 10},
  [2461] = {.lex_state = 209, .external_lex_state = 9},
  [2462] = {.lex_state = 501, .external_lex_state = 33},
  [2463] = {.lex_state = 501, .external_lex_state = 33},
  [2464] = {.lex_state = 501, .external_lex_state = 33},
  [2465] = {.lex_state = 501, .external_lex_state = 33},
  [2466] = {.lex_state = 213, .external_lex_state = 2},
  [2467] = {.lex_state = 213, .external_lex_state = 2},
  [2468] = {.lex_state = 185, .external_lex_state = 2},
  [2469] = {.lex_state = 185, .external_lex_state = 2},
  [2470] = {.lex_state = 215, .external_lex_state = 9},
  [2471] = {.lex_state = 213, .external_lex_state = 12},
  [2472] = {.lex_state = 123, .external_lex_state = 12},
  [2473] = {.lex_state = 185, .external_lex_state = 2},
  [2474] = {.lex_state = 185, .external_lex_state = 2},
  [2475] = {.lex_state = 185, .external_lex_state = 2},
  [2476] = {.lex_state = 499, .external_lex_state = 32},
  [2477] = {.lex_state = 226, .external_lex_state = 13},
  [2478] = {.lex_state = 228},
  [2479] = {.lex_state = 503, .external_lex_state = 32},
  [2480] = {.lex_state = 497, .external_lex_state = 33},
  [2481] = {.lex_state = 206},
  [2482] = {.lex_state = 367, .external_lex_state = 32},
  [2483] = {.lex_state = 503, .external_lex_state = 40},
  [2484] = {.lex_state = 503, .external_lex_state = 32},
  [2485] = {.lex_state = 421, .external_lex_state = 32},
  [2486] = {.lex_state = 421, .external_lex_state = 40},
  [2487] = {.lex_state = 185, .external_lex_state = 2},
  [2488] = {.lex_state = 489, .external_lex_state = 32},
  [2489] = {.lex_state = 503, .external_lex_state = 32},
  [2490] = {.lex_state = 185, .external_lex_state = 2},
  [2491] = {.lex_state = 185, .external_lex_state = 2},
  [2492] = {.lex_state = 123, .external_lex_state = 19},
  [2493] = {.lex_state = 185, .external_lex_state = 2},
  [2494] = {.lex_state = 278, .external_lex_state = 34},
  [2495] = {.lex_state = 421, .external_lex_state = 32},
  [2496] = {.lex_state = 421, .external_lex_state = 32},
  [2497] = {.lex_state = 421, .external_lex_state = 32},
  [2498] = {.lex_state = 421, .external_lex_state = 36},
  [2499] = {.lex_state = 421, .external_lex_state = 32},
  [2500] = {.lex_state = 421, .external_lex_state = 32},
  [2501] = {.lex_state = 185, .external_lex_state = 2},
  [2502] = {.lex_state = 185, .external_lex_state = 2},
  [2503] = {.lex_state = 185, .external_lex_state = 2},
  [2504] = {.lex_state = 185, .external_lex_state = 2},
  [2505] = {.lex_state = 185, .external_lex_state = 2},
  [2506] = {.lex_state = 185, .external_lex_state = 2},
  [2507] = {.lex_state = 185, .external_lex_state = 2},
  [2508] = {.lex_state = 185, .external_lex_state = 2},
  [2509] = {.lex_state = 185, .external_lex_state = 2},
  [2510] = {.lex_state = 185, .external_lex_state = 2},
  [2511] = {.lex_state = 185, .external_lex_state = 2},
  [2512] = {.lex_state = 185, .external_lex_state = 2},
  [2513] = {.lex_state = 185, .external_lex_state = 2},
  [2514] = {.lex_state = 302, .external_lex_state = 25},
  [2515] = {.lex_state = 417, .external_lex_state = 42},
  [2516] = {.lex_state = 433, .external_lex_state = 13},
  [2517] = {.lex_state = 417, .external_lex_state = 42},
  [2518] = {.lex_state = 185, .external_lex_state = 38},
  [2519] = {.lex_state = 185, .external_lex_state = 2},
  [2520] = {.lex_state = 185, .external_lex_state = 2},
  [2521] = {.lex_state = 421, .external_lex_state = 40},
  [2522] = {.lex_state = 309, .external_lex_state = 27},
  [2523] = {.lex_state = 123, .external_lex_state = 2},
  [2524] = {.lex_state = 237, .external_lex_state = 14},
  [2525] = {.lex_state = 123, .external_lex_state = 2},
  [2526] = {.lex_state = 151, .external_lex_state = 3},
  [2527] = {.lex_state = 311, .external_lex_state = 28},
  [2528] = {.lex_state = 185, .external_lex_state = 2},
  [2529] = {.lex_state = 495, .external_lex_state = 33},
  [2530] = {.lex_state = 495, .external_lex_state = 33},
  [2531] = {.lex_state = 495, .external_lex_state = 33},
  [2532] = {.lex_state = 495, .external_lex_state = 33},
  [2533] = {.lex_state = 185, .external_lex_state = 2},
  [2534] = {.lex_state = 185, .external_lex_state = 2},
  [2535] = {.lex_state = 185, .external_lex_state = 2},
  [2536] = {.lex_state = 421, .external_lex_state = 32},
  [2537] = {.lex_state = 206},
  [2538] = {.lex_state = 367, .external_lex_state = 32},
  [2539] = {.lex_state = 505, .external_lex_state = 40},
  [2540] = {.lex_state = 421, .external_lex_state = 32},
  [2541] = {.lex_state = 421, .external_lex_state = 32},
  [2542] = {.lex_state = 423, .external_lex_state = 40},
  [2543] = {.lex_state = 185, .external_lex_state = 2},
  [2544] = {.lex_state = 421, .external_lex_state = 32},
  [2545] = {.lex_state = 421, .external_lex_state = 32},
  [2546] = {.lex_state = 185, .external_lex_state = 2},
  [2547] = {.lex_state = 185, .external_lex_state = 2},
  [2548] = {.lex_state = 123, .external_lex_state = 19},
  [2549] = {.lex_state = 185, .external_lex_state = 2},
  [2550] = {.lex_state = 278, .external_lex_state = 34},
  [2551] = {.lex_state = 421, .external_lex_state = 32},
  [2552] = {.lex_state = 421, .external_lex_state = 32},
  [2553] = {.lex_state = 421, .external_lex_state = 32},
  [2554] = {.lex_state = 423, .external_lex_state = 36},
  [2555] = {.lex_state = 421, .external_lex_state = 32},
  [2556] = {.lex_state = 421, .external_lex_state = 32},
  [2557] = {.lex_state = 185, .external_lex_state = 2},
  [2558] = {.lex_state = 185, .external_lex_state = 2},
  [2559] = {.lex_state = 185, .external_lex_state = 2},
  [2560] = {.lex_state = 185, .external_lex_state = 2},
  [2561] = {.lex_state = 185, .external_lex_state = 2},
  [2562] = {.lex_state = 185, .external_lex_state = 2},
  [2563] = {.lex_state = 185, .external_lex_state = 2},
  [2564] = {.lex_state = 185, .external_lex_state = 2},
  [2565] = {.lex_state = 185, .external_lex_state = 2},
  [2566] = {.lex_state = 185, .external_lex_state = 2},
  [2567] = {.lex_state = 185, .external_lex_state = 2},
  [2568] = {.lex_state = 185, .external_lex_state = 2},
  [2569] = {.lex_state = 185, .external_lex_state = 2},
  [2570] = {.lex_state = 309, .external_lex_state = 42},
  [2571] = {.lex_state = 433, .external_lex_state = 13},
  [2572] = {.lex_state = 417, .external_lex_state = 42},
  [2573] = {.lex_state = 185, .external_lex_state = 38},
  [2574] = {.lex_state = 185, .external_lex_state = 2},
  [2575] = {.lex_state = 185, .external_lex_state = 2},
  [2576] = {.lex_state = 423, .external_lex_state = 40},
  [2577] = {.lex_state = 151, .external_lex_state = 3},
  [2578] = {.lex_state = 151, .external_lex_state = 30},
  [2579] = {.lex_state = 324, .external_lex_state = 3},
  [2580] = {.lex_state = 324, .external_lex_state = 3},
  [2581] = {.lex_state = 324, .external_lex_state = 3},
  [2582] = {.lex_state = 324, .external_lex_state = 3},
  [2583] = {.lex_state = 324, .external_lex_state = 3},
  [2584] = {.lex_state = 185, .external_lex_state = 2},
  [2585] = {.lex_state = 185, .external_lex_state = 2},
  [2586] = {.lex_state = 185, .external_lex_state = 2},
  [2587] = {.lex_state = 185, .external_lex_state = 2},
  [2588] = {.lex_state = 185, .external_lex_state = 2},
  [2589] = {.lex_state = 185, .external_lex_state = 2},
  [2590] = {.lex_state = 185, .external_lex_state = 2},
  [2591] = {.lex_state = 185, .external_lex_state = 2},
  [2592] = {.lex_state = 185, .external_lex_state = 2},
  [2593] = {.lex_state = 185, .external_lex_state = 2},
  [2594] = {.lex_state = 185, .external_lex_state = 2},
  [2595] = {.lex_state = 185, .external_lex_state = 2},
  [2596] = {.lex_state = 185, .external_lex_state = 38},
  [2597] = {.lex_state = 185, .external_lex_state = 2},
  [2598] = {.lex_state = 324, .external_lex_state = 15},
  [2599] = {.lex_state = 185, .external_lex_state = 2},
  [2600] = {.lex_state = 507, .external_lex_state = 33},
  [2601] = {.lex_state = 507, .external_lex_state = 33},
  [2602] = {.lex_state = 507, .external_lex_state = 33},
  [2603] = {.lex_state = 507, .external_lex_state = 33},
  [2604] = {.lex_state = 185, .external_lex_state = 2},
  [2605] = {.lex_state = 185, .external_lex_state = 2},
  [2606] = {.lex_state = 185, .external_lex_state = 2},
  [2607] = {.lex_state = 282, .external_lex_state = 35},
  [2608] = {.lex_state = 403, .external_lex_state = 33},
  [2609] = {.lex_state = 206},
  [2610] = {.lex_state = 296, .external_lex_state = 32},
  [2611] = {.lex_state = 493, .external_lex_state = 40},
  [2612] = {.lex_state = 282, .external_lex_state = 35},
  [2613] = {.lex_state = 282, .external_lex_state = 35},
  [2614] = {.lex_state = 411, .external_lex_state = 40},
  [2615] = {.lex_state = 185, .external_lex_state = 2},
  [2616] = {.lex_state = 282, .external_lex_state = 35},
  [2617] = {.lex_state = 185, .external_lex_state = 2},
  [2618] = {.lex_state = 185, .external_lex_state = 2},
  [2619] = {.lex_state = 123, .external_lex_state = 19},
  [2620] = {.lex_state = 185, .external_lex_state = 2},
  [2621] = {.lex_state = 429, .external_lex_state = 34},
  [2622] = {.lex_state = 411, .external_lex_state = 32},
  [2623] = {.lex_state = 411, .external_lex_state = 32},
  [2624] = {.lex_state = 411, .external_lex_state = 32},
  [2625] = {.lex_state = 411, .external_lex_state = 36},
  [2626] = {.lex_state = 282, .external_lex_state = 35},
  [2627] = {.lex_state = 282, .external_lex_state = 35},
  [2628] = {.lex_state = 185, .external_lex_state = 2},
  [2629] = {.lex_state = 185, .external_lex_state = 2},
  [2630] = {.lex_state = 185, .external_lex_state = 2},
  [2631] = {.lex_state = 185, .external_lex_state = 2},
  [2632] = {.lex_state = 185, .external_lex_state = 2},
  [2633] = {.lex_state = 185, .external_lex_state = 2},
  [2634] = {.lex_state = 185, .external_lex_state = 2},
  [2635] = {.lex_state = 185, .external_lex_state = 2},
  [2636] = {.lex_state = 185, .external_lex_state = 2},
  [2637] = {.lex_state = 185, .external_lex_state = 2},
  [2638] = {.lex_state = 185, .external_lex_state = 2},
  [2639] = {.lex_state = 185, .external_lex_state = 2},
  [2640] = {.lex_state = 185, .external_lex_state = 2},
  [2641] = {.lex_state = 185, .external_lex_state = 2},
  [2642] = {.lex_state = 185, .external_lex_state = 2},
  [2643] = {.lex_state = 123, .external_lex_state = 19},
  [2644] = {.lex_state = 185, .external_lex_state = 2},
  [2645] = {.lex_state = 429, .external_lex_state = 34},
  [2646] = {.lex_state = 413, .external_lex_state = 32},
  [2647] = {.lex_state = 413, .external_lex_state = 32},
  [2648] = {.lex_state = 413, .external_lex_state = 32},
  [2649] = {.lex_state = 413, .external_lex_state = 36},
  [2650] = {.lex_state = 151, .external_lex_state = 3},
  [2651] = {.lex_state = 202},
  [2652] = {.lex_state = 316, .external_lex_state = 13},
  [2653] = {.lex_state = 185, .external_lex_state = 38},
  [2654] = {.lex_state = 185, .external_lex_state = 2},
  [2655] = {.lex_state = 185, .external_lex_state = 2},
  [2656] = {.lex_state = 411, .external_lex_state = 40},
  [2657] = {.lex_state = 324, .external_lex_state = 3},
  [2658] = {.lex_state = 322, .external_lex_state = 3},
  [2659] = {.lex_state = 322, .external_lex_state = 3},
  [2660] = {.lex_state = 185, .external_lex_state = 2},
  [2661] = {.lex_state = 322, .external_lex_state = 3},
  [2662] = {.lex_state = 185, .external_lex_state = 2},
  [2663] = {.lex_state = 322, .external_lex_state = 3},
  [2664] = {.lex_state = 433, .external_lex_state = 13},
  [2665] = {.lex_state = 322, .external_lex_state = 3},
  [2666] = {.lex_state = 185, .external_lex_state = 2},
  [2667] = {.lex_state = 322, .external_lex_state = 3},
  [2668] = {.lex_state = 322, .external_lex_state = 3},
  [2669] = {.lex_state = 322, .external_lex_state = 3},
  [2670] = {.lex_state = 322, .external_lex_state = 3},
  [2671] = {.lex_state = 322, .external_lex_state = 3},
  [2672] = {.lex_state = 322, .external_lex_state = 3},
  [2673] = {.lex_state = 324, .external_lex_state = 3},
  [2674] = {.lex_state = 455, .external_lex_state = 22},
  [2675] = {.lex_state = 322, .external_lex_state = 3},
  [2676] = {.lex_state = 322, .external_lex_state = 3},
  [2677] = {.lex_state = 322, .external_lex_state = 3},
  [2678] = {.lex_state = 322, .external_lex_state = 3},
  [2679] = {.lex_state = 322, .external_lex_state = 3},
  [2680] = {.lex_state = 280, .external_lex_state = 3},
  [2681] = {.lex_state = 226, .external_lex_state = 23},
  [2682] = {.lex_state = 226},
  [2683] = {.lex_state = 431, .external_lex_state = 11},
  [2684] = {.lex_state = 316, .external_lex_state = 13},
  [2685] = {.lex_state = 431, .external_lex_state = 11},
  [2686] = {.lex_state = 431, .external_lex_state = 11},
  [2687] = {.lex_state = 431, .external_lex_state = 11},
  [2688] = {.lex_state = 190, .external_lex_state = 37},
  [2689] = {.lex_state = 365, .external_lex_state = 3},
  [2690] = {.lex_state = 365, .external_lex_state = 3},
  [2691] = {.lex_state = 280, .external_lex_state = 3},
  [2692] = {.lex_state = 202, .external_lex_state = 23},
  [2693] = {.lex_state = 202},
  [2694] = {.lex_state = 185, .external_lex_state = 2},
  [2695] = {.lex_state = 280, .external_lex_state = 3},
  [2696] = {.lex_state = 187},
  [2697] = {.lex_state = 271, .external_lex_state = 2},
  [2698] = {.lex_state = 365, .external_lex_state = 3},
  [2699] = {.lex_state = 280, .external_lex_state = 3},
  [2700] = {.lex_state = 123},
  [2701] = {.lex_state = 123, .external_lex_state = 12},
  [2702] = {.lex_state = 361, .external_lex_state = 2},
  [2703] = {.lex_state = 185, .external_lex_state = 2},
  [2704] = {.lex_state = 280, .external_lex_state = 3},
  [2705] = {.lex_state = 170, .external_lex_state = 18},
  [2706] = {.lex_state = 365, .external_lex_state = 3},
  [2707] = {.lex_state = 433, .external_lex_state = 13},
  [2708] = {.lex_state = 365, .external_lex_state = 3},
  [2709] = {.lex_state = 185, .external_lex_state = 2},
  [2710] = {.lex_state = 151, .external_lex_state = 3},
  [2711] = {.lex_state = 170, .external_lex_state = 18},
  [2712] = {.lex_state = 249, .external_lex_state = 3},
  [2713] = {.lex_state = 170, .external_lex_state = 18},
  [2714] = {.lex_state = 151, .external_lex_state = 3},
  [2715] = {.lex_state = 433, .external_lex_state = 43},
  [2716] = {.lex_state = 249, .external_lex_state = 3},
  [2717] = {.lex_state = 324, .external_lex_state = 3},
  [2718] = {.lex_state = 322, .external_lex_state = 3},
  [2719] = {.lex_state = 151, .external_lex_state = 3},
  [2720] = {.lex_state = 322, .external_lex_state = 3},
  [2721] = {.lex_state = 322, .external_lex_state = 3},
  [2722] = {.lex_state = 324, .external_lex_state = 3},
  [2723] = {.lex_state = 322, .external_lex_state = 15},
  [2724] = {.lex_state = 185, .external_lex_state = 2},
  [2725] = {.lex_state = 425, .external_lex_state = 11},
  [2726] = {.lex_state = 425, .external_lex_state = 11},
  [2727] = {.lex_state = 425, .external_lex_state = 11},
  [2728] = {.lex_state = 425, .external_lex_state = 11},
  [2729] = {.lex_state = 185, .external_lex_state = 2},
  [2730] = {.lex_state = 185, .external_lex_state = 2},
  [2731] = {.lex_state = 185, .external_lex_state = 2},
  [2732] = {.lex_state = 322, .external_lex_state = 3},
  [2733] = {.lex_state = 206},
  [2734] = {.lex_state = 247, .external_lex_state = 3},
  [2735] = {.lex_state = 324, .external_lex_state = 15},
  [2736] = {.lex_state = 322, .external_lex_state = 3},
  [2737] = {.lex_state = 322, .external_lex_state = 3},
  [2738] = {.lex_state = 322, .external_lex_state = 15},
  [2739] = {.lex_state = 185, .external_lex_state = 2},
  [2740] = {.lex_state = 322, .external_lex_state = 3},
  [2741] = {.lex_state = 185, .external_lex_state = 2},
  [2742] = {.lex_state = 185, .external_lex_state = 2},
  [2743] = {.lex_state = 123, .external_lex_state = 19},
  [2744] = {.lex_state = 185, .external_lex_state = 2},
  [2745] = {.lex_state = 320, .external_lex_state = 29},
  [2746] = {.lex_state = 322, .external_lex_state = 3},
  [2747] = {.lex_state = 322, .external_lex_state = 3},
  [2748] = {.lex_state = 322, .external_lex_state = 3},
  [2749] = {.lex_state = 322, .external_lex_state = 30},
  [2750] = {.lex_state = 322, .external_lex_state = 3},
  [2751] = {.lex_state = 322, .external_lex_state = 3},
  [2752] = {.lex_state = 185, .external_lex_state = 2},
  [2753] = {.lex_state = 185, .external_lex_state = 2},
  [2754] = {.lex_state = 185, .external_lex_state = 2},
  [2755] = {.lex_state = 185, .external_lex_state = 2},
  [2756] = {.lex_state = 185, .external_lex_state = 2},
  [2757] = {.lex_state = 185, .external_lex_state = 2},
  [2758] = {.lex_state = 185, .external_lex_state = 2},
  [2759] = {.lex_state = 185, .external_lex_state = 2},
  [2760] = {.lex_state = 185, .external_lex_state = 2},
  [2761] = {.lex_state = 185, .external_lex_state = 2},
  [2762] = {.lex_state = 185, .external_lex_state = 2},
  [2763] = {.lex_state = 185, .external_lex_state = 2},
  [2764] = {.lex_state = 185, .external_lex_state = 2},
  [2765] = {.lex_state = 185, .external_lex_state = 2},
  [2766] = {.lex_state = 185, .external_lex_state = 2},
  [2767] = {.lex_state = 123, .external_lex_state = 19},
  [2768] = {.lex_state = 185, .external_lex_state = 2},
  [2769] = {.lex_state = 320, .external_lex_state = 29},
  [2770] = {.lex_state = 365, .external_lex_state = 3},
  [2771] = {.lex_state = 365, .external_lex_state = 3},
  [2772] = {.lex_state = 365, .external_lex_state = 3},
  [2773] = {.lex_state = 365, .external_lex_state = 30},
  [2774] = {.lex_state = 249, .external_lex_state = 3},
  [2775] = {.lex_state = 433, .external_lex_state = 13},
  [2776] = {.lex_state = 322, .external_lex_state = 3},
  [2777] = {.lex_state = 185, .external_lex_state = 38},
  [2778] = {.lex_state = 185, .external_lex_state = 2},
  [2779] = {.lex_state = 185, .external_lex_state = 2},
  [2780] = {.lex_state = 322, .external_lex_state = 15},
  [2781] = {.lex_state = 243, .external_lex_state = 8},
  [2782] = {.lex_state = 123, .external_lex_state = 12},
  [2783] = {.lex_state = 170, .external_lex_state = 18},
  [2784] = {.lex_state = 237, .external_lex_state = 14},
  [2785] = {.lex_state = 237, .external_lex_state = 14},
  [2786] = {.lex_state = 237, .external_lex_state = 14},
  [2787] = {.lex_state = 237, .external_lex_state = 14},
  [2788] = {.lex_state = 237, .external_lex_state = 14},
  [2789] = {.lex_state = 185, .external_lex_state = 2},
  [2790] = {.lex_state = 151, .external_lex_state = 3},
  [2791] = {.lex_state = 211, .external_lex_state = 11},
  [2792] = {.lex_state = 211, .external_lex_state = 11},
  [2793] = {.lex_state = 211, .external_lex_state = 11},
  [2794] = {.lex_state = 211, .external_lex_state = 11},
  [2795] = {.lex_state = 213, .external_lex_state = 2},
  [2796] = {.lex_state = 123, .external_lex_state = 12},
  [2797] = {.lex_state = 185, .external_lex_state = 2},
  [2798] = {.lex_state = 185, .external_lex_state = 2},
  [2799] = {.lex_state = 185, .external_lex_state = 2},
  [2800] = {.lex_state = 217, .external_lex_state = 7},
  [2801] = {.lex_state = 123},
  [2802] = {.lex_state = 123, .external_lex_state = 8},
  [2803] = {.lex_state = 123, .external_lex_state = 8},
  [2804] = {.lex_state = 123},
  [2805] = {.lex_state = 237, .external_lex_state = 14},
  [2806] = {.lex_state = 243, .external_lex_state = 11},
  [2807] = {.lex_state = 206},
  [2808] = {.lex_state = 247, .external_lex_state = 3},
  [2809] = {.lex_state = 249, .external_lex_state = 15},
  [2810] = {.lex_state = 123, .external_lex_state = 2},
  [2811] = {.lex_state = 123, .external_lex_state = 12},
  [2812] = {.lex_state = 237, .external_lex_state = 14},
  [2813] = {.lex_state = 237, .external_lex_state = 14},
  [2814] = {.lex_state = 237, .external_lex_state = 14},
  [2815] = {.lex_state = 237, .external_lex_state = 14},
  [2816] = {.lex_state = 237, .external_lex_state = 14},
  [2817] = {.lex_state = 237, .external_lex_state = 14},
  [2818] = {.lex_state = 455, .external_lex_state = 22},
  [2819] = {.lex_state = 237, .external_lex_state = 14},
  [2820] = {.lex_state = 237, .external_lex_state = 14},
  [2821] = {.lex_state = 237, .external_lex_state = 14},
  [2822] = {.lex_state = 237, .external_lex_state = 14},
  [2823] = {.lex_state = 237, .external_lex_state = 14},
  [2824] = {.lex_state = 185, .external_lex_state = 2},
  [2825] = {.lex_state = 243, .external_lex_state = 11},
  [2826] = {.lex_state = 243, .external_lex_state = 11},
  [2827] = {.lex_state = 243, .external_lex_state = 11},
  [2828] = {.lex_state = 243, .external_lex_state = 11},
  [2829] = {.lex_state = 185, .external_lex_state = 2},
  [2830] = {.lex_state = 185, .external_lex_state = 2},
  [2831] = {.lex_state = 185, .external_lex_state = 2},
  [2832] = {.lex_state = 367, .external_lex_state = 3},
  [2833] = {.lex_state = 243, .external_lex_state = 11},
  [2834] = {.lex_state = 206},
  [2835] = {.lex_state = 367, .external_lex_state = 3},
  [2836] = {.lex_state = 367, .external_lex_state = 15},
  [2837] = {.lex_state = 367, .external_lex_state = 3},
  [2838] = {.lex_state = 365, .external_lex_state = 3},
  [2839] = {.lex_state = 365, .external_lex_state = 15},
  [2840] = {.lex_state = 185, .external_lex_state = 2},
  [2841] = {.lex_state = 367, .external_lex_state = 3},
  [2842] = {.lex_state = 365, .external_lex_state = 3},
  [2843] = {.lex_state = 365, .external_lex_state = 3},
  [2844] = {.lex_state = 185, .external_lex_state = 2},
  [2845] = {.lex_state = 185, .external_lex_state = 2},
  [2846] = {.lex_state = 185, .external_lex_state = 2},
  [2847] = {.lex_state = 185, .external_lex_state = 2},
  [2848] = {.lex_state = 185, .external_lex_state = 2},
  [2849] = {.lex_state = 185, .external_lex_state = 2},
  [2850] = {.lex_state = 185, .external_lex_state = 2},
  [2851] = {.lex_state = 185, .external_lex_state = 2},
  [2852] = {.lex_state = 185, .external_lex_state = 2},
  [2853] = {.lex_state = 185, .external_lex_state = 2},
  [2854] = {.lex_state = 185, .external_lex_state = 2},
  [2855] = {.lex_state = 185, .external_lex_state = 2},
  [2856] = {.lex_state = 185, .external_lex_state = 2},
  [2857] = {.lex_state = 367, .external_lex_state = 3},
  [2858] = {.lex_state = 433, .external_lex_state = 13},
  [2859] = {.lex_state = 367, .external_lex_state = 3},
  [2860] = {.lex_state = 185, .external_lex_state = 38},
  [2861] = {.lex_state = 185, .external_lex_state = 2},
  [2862] = {.lex_state = 185, .external_lex_state = 2},
  [2863] = {.lex_state = 365, .external_lex_state = 15},
  [2864] = {.lex_state = 185, .external_lex_state = 2},
  [2865] = {.lex_state = 185, .external_lex_state = 2},
  [2866] = {.lex_state = 185, .external_lex_state = 2},
  [2867] = {.lex_state = 185, .external_lex_state = 2},
  [2868] = {.lex_state = 185, .external_lex_state = 2},
  [2869] = {.lex_state = 437, .external_lex_state = 14},
  [2870] = {.lex_state = 437, .external_lex_state = 14},
  [2871] = {.lex_state = 206},
  [2872] = {.lex_state = 247, .external_lex_state = 3},
  [2873] = {.lex_state = 237, .external_lex_state = 14},
  [2874] = {.lex_state = 249, .external_lex_state = 15},
  [2875] = {.lex_state = 185, .external_lex_state = 2},
  [2876] = {.lex_state = 151, .external_lex_state = 3},
  [2877] = {.lex_state = 211, .external_lex_state = 11},
  [2878] = {.lex_state = 211, .external_lex_state = 11},
  [2879] = {.lex_state = 211, .external_lex_state = 11},
  [2880] = {.lex_state = 211, .external_lex_state = 11},
  [2881] = {.lex_state = 185, .external_lex_state = 2},
  [2882] = {.lex_state = 185, .external_lex_state = 2},
  [2883] = {.lex_state = 185, .external_lex_state = 2},
  [2884] = {.lex_state = 217, .external_lex_state = 7},
  [2885] = {.lex_state = 123},
  [2886] = {.lex_state = 123, .external_lex_state = 8},
  [2887] = {.lex_state = 123, .external_lex_state = 8},
  [2888] = {.lex_state = 123},
  [2889] = {.lex_state = 237, .external_lex_state = 14},
  [2890] = {.lex_state = 243, .external_lex_state = 11},
  [2891] = {.lex_state = 206},
  [2892] = {.lex_state = 247, .external_lex_state = 3},
  [2893] = {.lex_state = 249, .external_lex_state = 15},
  [2894] = {.lex_state = 123, .external_lex_state = 2},
  [2895] = {.lex_state = 185, .external_lex_state = 2},
  [2896] = {.lex_state = 425, .external_lex_state = 11},
  [2897] = {.lex_state = 425, .external_lex_state = 11},
  [2898] = {.lex_state = 425, .external_lex_state = 11},
  [2899] = {.lex_state = 425, .external_lex_state = 11},
  [2900] = {.lex_state = 185, .external_lex_state = 2},
  [2901] = {.lex_state = 185, .external_lex_state = 2},
  [2902] = {.lex_state = 185, .external_lex_state = 2},
  [2903] = {.lex_state = 322, .external_lex_state = 3},
  [2904] = {.lex_state = 206},
  [2905] = {.lex_state = 247, .external_lex_state = 3},
  [2906] = {.lex_state = 324, .external_lex_state = 15},
  [2907] = {.lex_state = 322, .external_lex_state = 3},
  [2908] = {.lex_state = 322, .external_lex_state = 3},
  [2909] = {.lex_state = 322, .external_lex_state = 15},
  [2910] = {.lex_state = 185, .external_lex_state = 2},
  [2911] = {.lex_state = 322, .external_lex_state = 3},
  [2912] = {.lex_state = 185, .external_lex_state = 2},
  [2913] = {.lex_state = 185, .external_lex_state = 2},
  [2914] = {.lex_state = 123, .external_lex_state = 19},
  [2915] = {.lex_state = 185, .external_lex_state = 2},
  [2916] = {.lex_state = 320, .external_lex_state = 29},
  [2917] = {.lex_state = 322, .external_lex_state = 3},
  [2918] = {.lex_state = 322, .external_lex_state = 3},
  [2919] = {.lex_state = 322, .external_lex_state = 3},
  [2920] = {.lex_state = 322, .external_lex_state = 30},
  [2921] = {.lex_state = 322, .external_lex_state = 3},
  [2922] = {.lex_state = 322, .external_lex_state = 3},
  [2923] = {.lex_state = 185, .external_lex_state = 2},
  [2924] = {.lex_state = 185, .external_lex_state = 2},
  [2925] = {.lex_state = 185, .external_lex_state = 2},
  [2926] = {.lex_state = 185, .external_lex_state = 2},
  [2927] = {.lex_state = 185, .external_lex_state = 2},
  [2928] = {.lex_state = 185, .external_lex_state = 2},
  [2929] = {.lex_state = 185, .external_lex_state = 2},
  [2930] = {.lex_state = 185, .external_lex_state = 2},
  [2931] = {.lex_state = 185, .external_lex_state = 2},
  [2932] = {.lex_state = 185, .external_lex_state = 2},
  [2933] = {.lex_state = 185, .external_lex_state = 2},
  [2934] = {.lex_state = 185, .external_lex_state = 2},
  [2935] = {.lex_state = 185, .external_lex_state = 2},
  [2936] = {.lex_state = 185, .external_lex_state = 2},
  [2937] = {.lex_state = 185, .external_lex_state = 2},
  [2938] = {.lex_state = 123, .external_lex_state = 19},
  [2939] = {.lex_state = 363, .external_lex_state = 6},
  [2940] = {.lex_state = 185, .external_lex_state = 2},
  [2941] = {.lex_state = 320, .external_lex_state = 29},
  [2942] = {.lex_state = 365, .external_lex_state = 3},
  [2943] = {.lex_state = 365, .external_lex_state = 3},
  [2944] = {.lex_state = 365, .external_lex_state = 3},
  [2945] = {.lex_state = 365, .external_lex_state = 30},
  [2946] = {.lex_state = 249, .external_lex_state = 3},
  [2947] = {.lex_state = 433, .external_lex_state = 13},
  [2948] = {.lex_state = 322, .external_lex_state = 3},
  [2949] = {.lex_state = 185, .external_lex_state = 38},
  [2950] = {.lex_state = 185, .external_lex_state = 2},
  [2951] = {.lex_state = 185, .external_lex_state = 2},
  [2952] = {.lex_state = 322, .external_lex_state = 15},
  [2953] = {.lex_state = 237, .external_lex_state = 14},
  [2954] = {.lex_state = 237, .external_lex_state = 14},
  [2955] = {.lex_state = 237, .external_lex_state = 14},
  [2956] = {.lex_state = 237, .external_lex_state = 14},
  [2957] = {.lex_state = 237, .external_lex_state = 14},
  [2958] = {.lex_state = 237, .external_lex_state = 14},
  [2959] = {.lex_state = 455, .external_lex_state = 22},
  [2960] = {.lex_state = 237, .external_lex_state = 14},
  [2961] = {.lex_state = 237, .external_lex_state = 14},
  [2962] = {.lex_state = 237, .external_lex_state = 14},
  [2963] = {.lex_state = 237, .external_lex_state = 14},
  [2964] = {.lex_state = 237, .external_lex_state = 14},
  [2965] = {.lex_state = 151, .external_lex_state = 3},
  [2966] = {.lex_state = 123},
  [2967] = {.lex_state = 185, .external_lex_state = 2},
  [2968] = {.lex_state = 243, .external_lex_state = 11},
  [2969] = {.lex_state = 243, .external_lex_state = 11},
  [2970] = {.lex_state = 243, .external_lex_state = 11},
  [2971] = {.lex_state = 243, .external_lex_state = 11},
  [2972] = {.lex_state = 185, .external_lex_state = 2},
  [2973] = {.lex_state = 185, .external_lex_state = 2},
  [2974] = {.lex_state = 185, .external_lex_state = 2},
  [2975] = {.lex_state = 367, .external_lex_state = 3},
  [2976] = {.lex_state = 243, .external_lex_state = 11},
  [2977] = {.lex_state = 206},
  [2978] = {.lex_state = 367, .external_lex_state = 3},
  [2979] = {.lex_state = 367, .external_lex_state = 15},
  [2980] = {.lex_state = 367, .external_lex_state = 3},
  [2981] = {.lex_state = 365, .external_lex_state = 3},
  [2982] = {.lex_state = 365, .external_lex_state = 15},
  [2983] = {.lex_state = 185, .external_lex_state = 2},
  [2984] = {.lex_state = 365, .external_lex_state = 3},
  [2985] = {.lex_state = 367, .external_lex_state = 3},
  [2986] = {.lex_state = 365, .external_lex_state = 3},
  [2987] = {.lex_state = 365, .external_lex_state = 3},
  [2988] = {.lex_state = 185, .external_lex_state = 2},
  [2989] = {.lex_state = 185, .external_lex_state = 2},
  [2990] = {.lex_state = 185, .external_lex_state = 2},
  [2991] = {.lex_state = 185, .external_lex_state = 2},
  [2992] = {.lex_state = 185, .external_lex_state = 2},
  [2993] = {.lex_state = 185, .external_lex_state = 2},
  [2994] = {.lex_state = 185, .external_lex_state = 2},
  [2995] = {.lex_state = 185, .external_lex_state = 2},
  [2996] = {.lex_state = 185, .external_lex_state = 2},
  [2997] = {.lex_state = 185, .external_lex_state = 2},
  [2998] = {.lex_state = 185, .external_lex_state = 2},
  [2999] = {.lex_state = 185, .external_lex_state = 2},
  [3000] = {.lex_state = 185, .external_lex_state = 2},
  [3001] = {.lex_state = 367, .external_lex_state = 3},
  [3002] = {.lex_state = 433, .external_lex_state = 13},
  [3003] = {.lex_state = 367, .external_lex_state = 3},
  [3004] = {.lex_state = 185, .external_lex_state = 38},
  [3005] = {.lex_state = 185, .external_lex_state = 2},
  [3006] = {.lex_state = 185, .external_lex_state = 2},
  [3007] = {.lex_state = 365, .external_lex_state = 15},
  [3008] = {.lex_state = 185, .external_lex_state = 2},
  [3009] = {.lex_state = 185, .external_lex_state = 2},
  [3010] = {.lex_state = 185, .external_lex_state = 2},
  [3011] = {.lex_state = 185, .external_lex_state = 2},
  [3012] = {.lex_state = 185, .external_lex_state = 2},
  [3013] = {.lex_state = 437, .external_lex_state = 14},
  [3014] = {.lex_state = 437, .external_lex_state = 14},
  [3015] = {.lex_state = 206},
  [3016] = {.lex_state = 247, .external_lex_state = 3},
  [3017] = {.lex_state = 237, .external_lex_state = 14},
  [3018] = {.lex_state = 249, .external_lex_state = 15},
  [3019] = {.lex_state = 151, .external_lex_state = 3},
  [3020] = {.lex_state = 123},
  [3021] = {.lex_state = 185, .external_lex_state = 2},
  [3022] = {.lex_state = 495, .external_lex_state = 33},
  [3023] = {.lex_state = 495, .external_lex_state = 33},
  [3024] = {.lex_state = 495, .external_lex_state = 33},
  [3025] = {.lex_state = 495, .external_lex_state = 33},
  [3026] = {.lex_state = 185, .external_lex_state = 2},
  [3027] = {.lex_state = 185, .external_lex_state = 2},
  [3028] = {.lex_state = 185, .external_lex_state = 2},
  [3029] = {.lex_state = 421, .external_lex_state = 32},
  [3030] = {.lex_state = 497, .external_lex_state = 33},
  [3031] = {.lex_state = 206},
  [3032] = {.lex_state = 367, .external_lex_state = 32},
  [3033] = {.lex_state = 505, .external_lex_state = 40},
  [3034] = {.lex_state = 421, .external_lex_state = 32},
  [3035] = {.lex_state = 421, .external_lex_state = 32},
  [3036] = {.lex_state = 423, .external_lex_state = 40},
  [3037] = {.lex_state = 185, .external_lex_state = 2},
  [3038] = {.lex_state = 421, .external_lex_state = 32},
  [3039] = {.lex_state = 185, .external_lex_state = 2},
  [3040] = {.lex_state = 185, .external_lex_state = 2},
  [3041] = {.lex_state = 123, .external_lex_state = 19},
  [3042] = {.lex_state = 185, .external_lex_state = 2},
  [3043] = {.lex_state = 278, .external_lex_state = 34},
  [3044] = {.lex_state = 421, .external_lex_state = 32},
  [3045] = {.lex_state = 421, .external_lex_state = 32},
  [3046] = {.lex_state = 421, .external_lex_state = 32},
  [3047] = {.lex_state = 423, .external_lex_state = 36},
  [3048] = {.lex_state = 421, .external_lex_state = 32},
  [3049] = {.lex_state = 421, .external_lex_state = 32},
  [3050] = {.lex_state = 185, .external_lex_state = 2},
  [3051] = {.lex_state = 185, .external_lex_state = 2},
  [3052] = {.lex_state = 185, .external_lex_state = 2},
  [3053] = {.lex_state = 185, .external_lex_state = 2},
  [3054] = {.lex_state = 185, .external_lex_state = 2},
  [3055] = {.lex_state = 185, .external_lex_state = 2},
  [3056] = {.lex_state = 185, .external_lex_state = 2},
  [3057] = {.lex_state = 185, .external_lex_state = 2},
  [3058] = {.lex_state = 185, .external_lex_state = 2},
  [3059] = {.lex_state = 185, .external_lex_state = 2},
  [3060] = {.lex_state = 185, .external_lex_state = 2},
  [3061] = {.lex_state = 185, .external_lex_state = 2},
  [3062] = {.lex_state = 185, .external_lex_state = 2},
  [3063] = {.lex_state = 185, .external_lex_state = 2},
  [3064] = {.lex_state = 185, .external_lex_state = 2},
  [3065] = {.lex_state = 185, .external_lex_state = 2},
  [3066] = {.lex_state = 123, .external_lex_state = 19},
  [3067] = {.lex_state = 185, .external_lex_state = 2},
  [3068] = {.lex_state = 278, .external_lex_state = 33},
  [3069] = {.lex_state = 278, .external_lex_state = 33},
  [3070] = {.lex_state = 278, .external_lex_state = 33},
  [3071] = {.lex_state = 278, .external_lex_state = 33},
  [3072] = {.lex_state = 185, .external_lex_state = 2},
  [3073] = {.lex_state = 185, .external_lex_state = 2},
  [3074] = {.lex_state = 185, .external_lex_state = 2},
  [3075] = {.lex_state = 278, .external_lex_state = 34},
  [3076] = {.lex_state = 365, .external_lex_state = 32},
  [3077] = {.lex_state = 365, .external_lex_state = 32},
  [3078] = {.lex_state = 365, .external_lex_state = 32},
  [3079] = {.lex_state = 206},
  [3080] = {.lex_state = 365, .external_lex_state = 32},
  [3081] = {.lex_state = 365, .external_lex_state = 36},
  [3082] = {.lex_state = 417, .external_lex_state = 42},
  [3083] = {.lex_state = 433, .external_lex_state = 13},
  [3084] = {.lex_state = 417, .external_lex_state = 42},
  [3085] = {.lex_state = 185, .external_lex_state = 38},
  [3086] = {.lex_state = 185, .external_lex_state = 2},
  [3087] = {.lex_state = 185, .external_lex_state = 2},
  [3088] = {.lex_state = 423, .external_lex_state = 40},
  [3089] = {.lex_state = 237, .external_lex_state = 14},
  [3090] = {.lex_state = 123, .external_lex_state = 2},
  [3091] = {.lex_state = 185, .external_lex_state = 2},
  [3092] = {.lex_state = 425, .external_lex_state = 11},
  [3093] = {.lex_state = 425, .external_lex_state = 11},
  [3094] = {.lex_state = 425, .external_lex_state = 11},
  [3095] = {.lex_state = 425, .external_lex_state = 11},
  [3096] = {.lex_state = 185, .external_lex_state = 2},
  [3097] = {.lex_state = 185, .external_lex_state = 2},
  [3098] = {.lex_state = 185, .external_lex_state = 2},
  [3099] = {.lex_state = 322, .external_lex_state = 3},
  [3100] = {.lex_state = 206},
  [3101] = {.lex_state = 247, .external_lex_state = 3},
  [3102] = {.lex_state = 324, .external_lex_state = 15},
  [3103] = {.lex_state = 322, .external_lex_state = 3},
  [3104] = {.lex_state = 322, .external_lex_state = 3},
  [3105] = {.lex_state = 322, .external_lex_state = 15},
  [3106] = {.lex_state = 185, .external_lex_state = 2},
  [3107] = {.lex_state = 322, .external_lex_state = 3},
  [3108] = {.lex_state = 185, .external_lex_state = 2},
  [3109] = {.lex_state = 185, .external_lex_state = 2},
  [3110] = {.lex_state = 123, .external_lex_state = 19},
  [3111] = {.lex_state = 185, .external_lex_state = 2},
  [3112] = {.lex_state = 320, .external_lex_state = 29},
  [3113] = {.lex_state = 322, .external_lex_state = 3},
  [3114] = {.lex_state = 322, .external_lex_state = 3},
  [3115] = {.lex_state = 322, .external_lex_state = 3},
  [3116] = {.lex_state = 322, .external_lex_state = 30},
  [3117] = {.lex_state = 322, .external_lex_state = 3},
  [3118] = {.lex_state = 322, .external_lex_state = 3},
  [3119] = {.lex_state = 185, .external_lex_state = 2},
  [3120] = {.lex_state = 185, .external_lex_state = 2},
  [3121] = {.lex_state = 185, .external_lex_state = 2},
  [3122] = {.lex_state = 185, .external_lex_state = 2},
  [3123] = {.lex_state = 185, .external_lex_state = 2},
  [3124] = {.lex_state = 185, .external_lex_state = 2},
  [3125] = {.lex_state = 185, .external_lex_state = 2},
  [3126] = {.lex_state = 185, .external_lex_state = 2},
  [3127] = {.lex_state = 185, .external_lex_state = 2},
  [3128] = {.lex_state = 185, .external_lex_state = 2},
  [3129] = {.lex_state = 185, .external_lex_state = 2},
  [3130] = {.lex_state = 185, .external_lex_state = 2},
  [3131] = {.lex_state = 185, .external_lex_state = 2},
  [3132] = {.lex_state = 249, .external_lex_state = 3},
  [3133] = {.lex_state = 433, .external_lex_state = 13},
  [3134] = {.lex_state = 322, .external_lex_state = 3},
  [3135] = {.lex_state = 185, .external_lex_state = 38},
  [3136] = {.lex_state = 185, .external_lex_state = 2},
  [3137] = {.lex_state = 185, .external_lex_state = 2},
  [3138] = {.lex_state = 322, .external_lex_state = 15},
  [3139] = {.lex_state = 237, .external_lex_state = 14},
  [3140] = {.lex_state = 237, .external_lex_state = 14},
  [3141] = {.lex_state = 237, .external_lex_state = 14},
  [3142] = {.lex_state = 237, .external_lex_state = 14},
  [3143] = {.lex_state = 237, .external_lex_state = 14},
  [3144] = {.lex_state = 237, .external_lex_state = 14},
  [3145] = {.lex_state = 455, .external_lex_state = 22},
  [3146] = {.lex_state = 237, .external_lex_state = 14},
  [3147] = {.lex_state = 237, .external_lex_state = 14},
  [3148] = {.lex_state = 237, .external_lex_state = 14},
  [3149] = {.lex_state = 237, .external_lex_state = 14},
  [3150] = {.lex_state = 237, .external_lex_state = 14},
  [3151] = {.lex_state = 123},
  [3152] = {.lex_state = 123},
  [3153] = {.lex_state = 185, .external_lex_state = 2},
  [3154] = {.lex_state = 185, .external_lex_state = 2},
  [3155] = {.lex_state = 185, .external_lex_state = 2},
  [3156] = {.lex_state = 185, .external_lex_state = 2},
  [3157] = {.lex_state = 185, .external_lex_state = 2},
  [3158] = {.lex_state = 437, .external_lex_state = 14},
  [3159] = {.lex_state = 437, .external_lex_state = 14},
  [3160] = {.lex_state = 206},
  [3161] = {.lex_state = 247, .external_lex_state = 3},
  [3162] = {.lex_state = 237, .external_lex_state = 14},
  [3163] = {.lex_state = 249, .external_lex_state = 15},
  [3164] = {.lex_state = 185, .external_lex_state = 2},
  [3165] = {.lex_state = 185, .external_lex_state = 2},
  [3166] = {.lex_state = 425, .external_lex_state = 11},
  [3167] = {.lex_state = 425, .external_lex_state = 11},
  [3168] = {.lex_state = 425, .external_lex_state = 11},
  [3169] = {.lex_state = 425, .external_lex_state = 11},
  [3170] = {.lex_state = 185, .external_lex_state = 2},
  [3171] = {.lex_state = 185, .external_lex_state = 2},
  [3172] = {.lex_state = 185, .external_lex_state = 2},
  [3173] = {.lex_state = 243, .external_lex_state = 8},
  [3174] = {.lex_state = 437, .external_lex_state = 14},
  [3175] = {.lex_state = 243, .external_lex_state = 11},
  [3176] = {.lex_state = 243, .external_lex_state = 8},
  [3177] = {.lex_state = 206},
  [3178] = {.lex_state = 247, .external_lex_state = 3},
  [3179] = {.lex_state = 324, .external_lex_state = 15},
  [3180] = {.lex_state = 151, .external_lex_state = 3},
  [3181] = {.lex_state = 123},
  [3182] = {.lex_state = 435, .external_lex_state = 2},
  [3183] = {.lex_state = 185, .external_lex_state = 2},
  [3184] = {.lex_state = 425, .external_lex_state = 11},
  [3185] = {.lex_state = 425, .external_lex_state = 11},
  [3186] = {.lex_state = 425, .external_lex_state = 11},
  [3187] = {.lex_state = 425, .external_lex_state = 11},
  [3188] = {.lex_state = 185, .external_lex_state = 2},
  [3189] = {.lex_state = 185, .external_lex_state = 2},
  [3190] = {.lex_state = 185, .external_lex_state = 2},
  [3191] = {.lex_state = 322, .external_lex_state = 3},
  [3192] = {.lex_state = 206},
  [3193] = {.lex_state = 247, .external_lex_state = 3},
  [3194] = {.lex_state = 324, .external_lex_state = 15},
  [3195] = {.lex_state = 322, .external_lex_state = 3},
  [3196] = {.lex_state = 322, .external_lex_state = 3},
  [3197] = {.lex_state = 322, .external_lex_state = 15},
  [3198] = {.lex_state = 185, .external_lex_state = 2},
  [3199] = {.lex_state = 322, .external_lex_state = 3},
  [3200] = {.lex_state = 185, .external_lex_state = 2},
  [3201] = {.lex_state = 185, .external_lex_state = 2},
  [3202] = {.lex_state = 123, .external_lex_state = 19},
  [3203] = {.lex_state = 185, .external_lex_state = 2},
  [3204] = {.lex_state = 320, .external_lex_state = 29},
  [3205] = {.lex_state = 322, .external_lex_state = 3},
  [3206] = {.lex_state = 322, .external_lex_state = 3},
  [3207] = {.lex_state = 322, .external_lex_state = 3},
  [3208] = {.lex_state = 322, .external_lex_state = 30},
  [3209] = {.lex_state = 322, .external_lex_state = 3},
  [3210] = {.lex_state = 322, .external_lex_state = 3},
  [3211] = {.lex_state = 185, .external_lex_state = 2},
  [3212] = {.lex_state = 185, .external_lex_state = 2},
  [3213] = {.lex_state = 185, .external_lex_state = 2},
  [3214] = {.lex_state = 185, .external_lex_state = 2},
  [3215] = {.lex_state = 185, .external_lex_state = 2},
  [3216] = {.lex_state = 185, .external_lex_state = 2},
  [3217] = {.lex_state = 185, .external_lex_state = 2},
  [3218] = {.lex_state = 185, .external_lex_state = 2},
  [3219] = {.lex_state = 185, .external_lex_state = 2},
  [3220] = {.lex_state = 185, .external_lex_state = 2},
  [3221] = {.lex_state = 185, .external_lex_state = 2},
  [3222] = {.lex_state = 185, .external_lex_state = 2},
  [3223] = {.lex_state = 185, .external_lex_state = 2},
  [3224] = {.lex_state = 185, .external_lex_state = 2},
  [3225] = {.lex_state = 185, .external_lex_state = 2},
  [3226] = {.lex_state = 123, .external_lex_state = 19},
  [3227] = {.lex_state = 185, .external_lex_state = 2},
  [3228] = {.lex_state = 320, .external_lex_state = 29},
  [3229] = {.lex_state = 365, .external_lex_state = 3},
  [3230] = {.lex_state = 365, .external_lex_state = 3},
  [3231] = {.lex_state = 365, .external_lex_state = 3},
  [3232] = {.lex_state = 365, .external_lex_state = 30},
  [3233] = {.lex_state = 249, .external_lex_state = 3},
  [3234] = {.lex_state = 433, .external_lex_state = 13},
  [3235] = {.lex_state = 322, .external_lex_state = 3},
  [3236] = {.lex_state = 185, .external_lex_state = 38},
  [3237] = {.lex_state = 185, .external_lex_state = 2},
  [3238] = {.lex_state = 185, .external_lex_state = 2},
  [3239] = {.lex_state = 322, .external_lex_state = 15},
  [3240] = {.lex_state = 437, .external_lex_state = 14},
  [3241] = {.lex_state = 437, .external_lex_state = 14},
  [3242] = {.lex_state = 185, .external_lex_state = 2},
  [3243] = {.lex_state = 185, .external_lex_state = 2},
  [3244] = {.lex_state = 185, .external_lex_state = 2},
  [3245] = {.lex_state = 123, .external_lex_state = 19},
  [3246] = {.lex_state = 185, .external_lex_state = 2},
  [3247] = {.lex_state = 185, .external_lex_state = 2},
  [3248] = {.lex_state = 185, .external_lex_state = 2},
  [3249] = {.lex_state = 185, .external_lex_state = 2},
  [3250] = {.lex_state = 320, .external_lex_state = 29},
  [3251] = {.lex_state = 322, .external_lex_state = 3},
  [3252] = {.lex_state = 322, .external_lex_state = 3},
  [3253] = {.lex_state = 322, .external_lex_state = 3},
  [3254] = {.lex_state = 206},
  [3255] = {.lex_state = 326, .external_lex_state = 3},
  [3256] = {.lex_state = 322, .external_lex_state = 30},
  [3257] = {.lex_state = 309, .external_lex_state = 44},
  [3258] = {.lex_state = 309, .external_lex_state = 44},
  [3259] = {.lex_state = 309, .external_lex_state = 44},
  [3260] = {.lex_state = 302, .external_lex_state = 25},
  [3261] = {.lex_state = 314, .external_lex_state = 28},
  [3262] = {.lex_state = 309, .external_lex_state = 44},
  [3263] = {.lex_state = 437, .external_lex_state = 14},
  [3264] = {.lex_state = 437, .external_lex_state = 14},
  [3265] = {.lex_state = 123},
  [3266] = {.lex_state = 123},
  [3267] = {.lex_state = 123, .external_lex_state = 2},
  [3268] = {.lex_state = 123, .external_lex_state = 8},
  [3269] = {.lex_state = 185, .external_lex_state = 2},
  [3270] = {.lex_state = 185, .external_lex_state = 2},
  [3271] = {.lex_state = 185, .external_lex_state = 2},
  [3272] = {.lex_state = 185, .external_lex_state = 2},
  [3273] = {.lex_state = 185, .external_lex_state = 2},
  [3274] = {.lex_state = 185, .external_lex_state = 2},
  [3275] = {.lex_state = 185, .external_lex_state = 2},
  [3276] = {.lex_state = 185, .external_lex_state = 2},
  [3277] = {.lex_state = 185, .external_lex_state = 2},
  [3278] = {.lex_state = 185, .external_lex_state = 2},
  [3279] = {.lex_state = 185, .external_lex_state = 2},
  [3280] = {.lex_state = 185, .external_lex_state = 2},
  [3281] = {.lex_state = 185, .external_lex_state = 2},
  [3282] = {.lex_state = 185, .external_lex_state = 2},
  [3283] = {.lex_state = 185, .external_lex_state = 2},
  [3284] = {.lex_state = 123, .external_lex_state = 19},
  [3285] = {.lex_state = 185, .external_lex_state = 2},
  [3286] = {.lex_state = 320, .external_lex_state = 11},
  [3287] = {.lex_state = 320, .external_lex_state = 11},
  [3288] = {.lex_state = 320, .external_lex_state = 11},
  [3289] = {.lex_state = 320, .external_lex_state = 11},
  [3290] = {.lex_state = 185, .external_lex_state = 2},
  [3291] = {.lex_state = 185, .external_lex_state = 2},
  [3292] = {.lex_state = 185, .external_lex_state = 2},
  [3293] = {.lex_state = 320, .external_lex_state = 29},
  [3294] = {.lex_state = 365, .external_lex_state = 3},
  [3295] = {.lex_state = 320, .external_lex_state = 11},
  [3296] = {.lex_state = 365, .external_lex_state = 3},
  [3297] = {.lex_state = 365, .external_lex_state = 3},
  [3298] = {.lex_state = 206},
  [3299] = {.lex_state = 365, .external_lex_state = 3},
  [3300] = {.lex_state = 365, .external_lex_state = 30},
  [3301] = {.lex_state = 185, .external_lex_state = 38},
  [3302] = {.lex_state = 318, .external_lex_state = 8},
  [3303] = {.lex_state = 185, .external_lex_state = 38},
  [3304] = {.lex_state = 185, .external_lex_state = 2},
  [3305] = {.lex_state = 322, .external_lex_state = 15},
  [3306] = {.lex_state = 237, .external_lex_state = 14},
  [3307] = {.lex_state = 185, .external_lex_state = 2},
  [3308] = {.lex_state = 185, .external_lex_state = 2},
  [3309] = {.lex_state = 185, .external_lex_state = 2},
  [3310] = {.lex_state = 123, .external_lex_state = 19},
  [3311] = {.lex_state = 185, .external_lex_state = 2},
  [3312] = {.lex_state = 318, .external_lex_state = 11},
  [3313] = {.lex_state = 318, .external_lex_state = 11},
  [3314] = {.lex_state = 318, .external_lex_state = 11},
  [3315] = {.lex_state = 318, .external_lex_state = 11},
  [3316] = {.lex_state = 185, .external_lex_state = 2},
  [3317] = {.lex_state = 185, .external_lex_state = 2},
  [3318] = {.lex_state = 185, .external_lex_state = 2},
  [3319] = {.lex_state = 320, .external_lex_state = 29},
  [3320] = {.lex_state = 322, .external_lex_state = 3},
  [3321] = {.lex_state = 320, .external_lex_state = 11},
  [3322] = {.lex_state = 249, .external_lex_state = 3},
  [3323] = {.lex_state = 322, .external_lex_state = 3},
  [3324] = {.lex_state = 206},
  [3325] = {.lex_state = 326, .external_lex_state = 3},
  [3326] = {.lex_state = 322, .external_lex_state = 30},
  [3327] = {.lex_state = 237, .external_lex_state = 14},
  [3328] = {.lex_state = 237, .external_lex_state = 14},
  [3329] = {.lex_state = 243, .external_lex_state = 8},
  [3330] = {.lex_state = 123, .external_lex_state = 2},
  [3331] = {.lex_state = 123, .external_lex_state = 8},
  [3332] = {.lex_state = 185, .external_lex_state = 2},
  [3333] = {.lex_state = 185, .external_lex_state = 2},
  [3334] = {.lex_state = 185, .external_lex_state = 2},
  [3335] = {.lex_state = 185, .external_lex_state = 2},
  [3336] = {.lex_state = 185, .external_lex_state = 2},
  [3337] = {.lex_state = 185, .external_lex_state = 2},
  [3338] = {.lex_state = 185, .external_lex_state = 2},
  [3339] = {.lex_state = 185, .external_lex_state = 2},
  [3340] = {.lex_state = 185, .external_lex_state = 2},
  [3341] = {.lex_state = 185, .external_lex_state = 2},
  [3342] = {.lex_state = 185, .external_lex_state = 2},
  [3343] = {.lex_state = 185, .external_lex_state = 2},
  [3344] = {.lex_state = 185, .external_lex_state = 2},
  [3345] = {.lex_state = 185, .external_lex_state = 2},
  [3346] = {.lex_state = 185, .external_lex_state = 2},
  [3347] = {.lex_state = 185, .external_lex_state = 2},
  [3348] = {.lex_state = 185, .external_lex_state = 2},
  [3349] = {.lex_state = 185, .external_lex_state = 2},
  [3350] = {.lex_state = 185, .external_lex_state = 2},
  [3351] = {.lex_state = 185, .external_lex_state = 2},
  [3352] = {.lex_state = 123, .external_lex_state = 19},
  [3353] = {.lex_state = 185, .external_lex_state = 2},
  [3354] = {.lex_state = 320, .external_lex_state = 11},
  [3355] = {.lex_state = 320, .external_lex_state = 11},
  [3356] = {.lex_state = 320, .external_lex_state = 11},
  [3357] = {.lex_state = 320, .external_lex_state = 11},
  [3358] = {.lex_state = 185, .external_lex_state = 2},
  [3359] = {.lex_state = 185, .external_lex_state = 2},
  [3360] = {.lex_state = 185, .external_lex_state = 2},
  [3361] = {.lex_state = 320, .external_lex_state = 29},
  [3362] = {.lex_state = 365, .external_lex_state = 3},
  [3363] = {.lex_state = 320, .external_lex_state = 11},
  [3364] = {.lex_state = 367, .external_lex_state = 3},
  [3365] = {.lex_state = 367, .external_lex_state = 3},
  [3366] = {.lex_state = 206},
  [3367] = {.lex_state = 365, .external_lex_state = 3},
  [3368] = {.lex_state = 365, .external_lex_state = 30},
  [3369] = {.lex_state = 185, .external_lex_state = 38},
  [3370] = {.lex_state = 185, .external_lex_state = 2},
  [3371] = {.lex_state = 249, .external_lex_state = 15},
  [3372] = {.lex_state = 123},
  [3373] = {.lex_state = 237, .external_lex_state = 14},
  [3374] = {.lex_state = 185, .external_lex_state = 2},
  [3375] = {.lex_state = 185, .external_lex_state = 2},
  [3376] = {.lex_state = 185, .external_lex_state = 2},
  [3377] = {.lex_state = 123, .external_lex_state = 19},
  [3378] = {.lex_state = 185, .external_lex_state = 2},
  [3379] = {.lex_state = 318, .external_lex_state = 11},
  [3380] = {.lex_state = 318, .external_lex_state = 11},
  [3381] = {.lex_state = 318, .external_lex_state = 11},
  [3382] = {.lex_state = 318, .external_lex_state = 11},
  [3383] = {.lex_state = 185, .external_lex_state = 2},
  [3384] = {.lex_state = 185, .external_lex_state = 2},
  [3385] = {.lex_state = 185, .external_lex_state = 2},
  [3386] = {.lex_state = 320, .external_lex_state = 29},
  [3387] = {.lex_state = 322, .external_lex_state = 3},
  [3388] = {.lex_state = 320, .external_lex_state = 11},
  [3389] = {.lex_state = 249, .external_lex_state = 3},
  [3390] = {.lex_state = 322, .external_lex_state = 3},
  [3391] = {.lex_state = 206},
  [3392] = {.lex_state = 326, .external_lex_state = 3},
  [3393] = {.lex_state = 322, .external_lex_state = 30},
  [3394] = {.lex_state = 237, .external_lex_state = 14},
  [3395] = {.lex_state = 237, .external_lex_state = 14},
  [3396] = {.lex_state = 243, .external_lex_state = 8},
  [3397] = {.lex_state = 123, .external_lex_state = 2},
  [3398] = {.lex_state = 123, .external_lex_state = 8},
  [3399] = {.lex_state = 185, .external_lex_state = 2},
  [3400] = {.lex_state = 185, .external_lex_state = 2},
  [3401] = {.lex_state = 185, .external_lex_state = 2},
  [3402] = {.lex_state = 185, .external_lex_state = 2},
  [3403] = {.lex_state = 185, .external_lex_state = 2},
  [3404] = {.lex_state = 185, .external_lex_state = 2},
  [3405] = {.lex_state = 185, .external_lex_state = 2},
  [3406] = {.lex_state = 185, .external_lex_state = 2},
  [3407] = {.lex_state = 185, .external_lex_state = 2},
  [3408] = {.lex_state = 185, .external_lex_state = 2},
  [3409] = {.lex_state = 185, .external_lex_state = 2},
  [3410] = {.lex_state = 185, .external_lex_state = 2},
  [3411] = {.lex_state = 185, .external_lex_state = 2},
  [3412] = {.lex_state = 185, .external_lex_state = 2},
  [3413] = {.lex_state = 185, .external_lex_state = 2},
  [3414] = {.lex_state = 185, .external_lex_state = 2},
  [3415] = {.lex_state = 185, .external_lex_state = 2},
  [3416] = {.lex_state = 185, .external_lex_state = 2},
  [3417] = {.lex_state = 185, .external_lex_state = 2},
  [3418] = {.lex_state = 185, .external_lex_state = 2},
  [3419] = {.lex_state = 123, .external_lex_state = 19},
  [3420] = {.lex_state = 185, .external_lex_state = 2},
  [3421] = {.lex_state = 320, .external_lex_state = 11},
  [3422] = {.lex_state = 320, .external_lex_state = 11},
  [3423] = {.lex_state = 320, .external_lex_state = 11},
  [3424] = {.lex_state = 320, .external_lex_state = 11},
  [3425] = {.lex_state = 185, .external_lex_state = 2},
  [3426] = {.lex_state = 185, .external_lex_state = 2},
  [3427] = {.lex_state = 185, .external_lex_state = 2},
  [3428] = {.lex_state = 320, .external_lex_state = 29},
  [3429] = {.lex_state = 365, .external_lex_state = 3},
  [3430] = {.lex_state = 320, .external_lex_state = 11},
  [3431] = {.lex_state = 367, .external_lex_state = 3},
  [3432] = {.lex_state = 367, .external_lex_state = 3},
  [3433] = {.lex_state = 206},
  [3434] = {.lex_state = 365, .external_lex_state = 3},
  [3435] = {.lex_state = 365, .external_lex_state = 30},
  [3436] = {.lex_state = 185, .external_lex_state = 38},
  [3437] = {.lex_state = 185, .external_lex_state = 2},
  [3438] = {.lex_state = 249, .external_lex_state = 15},
  [3439] = {.lex_state = 243, .external_lex_state = 8},
  [3440] = {.lex_state = 151, .external_lex_state = 3},
  [3441] = {.lex_state = 123},
  [3442] = {.lex_state = 123},
  [3443] = {.lex_state = 123, .external_lex_state = 2},
  [3444] = {.lex_state = 123, .external_lex_state = 8},
  [3445] = {.lex_state = 237, .external_lex_state = 14},
  [3446] = {.lex_state = 237, .external_lex_state = 14},
  [3447] = {.lex_state = 237, .external_lex_state = 14},
  [3448] = {.lex_state = 237, .external_lex_state = 14},
  [3449] = {.lex_state = 237, .external_lex_state = 14},
  [3450] = {.lex_state = 237, .external_lex_state = 14},
  [3451] = {.lex_state = 237, .external_lex_state = 14},
  [3452] = {.lex_state = 237, .external_lex_state = 14},
  [3453] = {.lex_state = 237, .external_lex_state = 14},
  [3454] = {.lex_state = 237, .external_lex_state = 14},
  [3455] = {.lex_state = 237, .external_lex_state = 14},
  [3456] = {.lex_state = 455, .external_lex_state = 22},
  [3457] = {.lex_state = 237, .external_lex_state = 14},
  [3458] = {.lex_state = 237, .external_lex_state = 14},
  [3459] = {.lex_state = 237, .external_lex_state = 14},
  [3460] = {.lex_state = 237, .external_lex_state = 14},
  [3461] = {.lex_state = 237, .external_lex_state = 14},
  [3462] = {.lex_state = 185, .external_lex_state = 2},
  [3463] = {.lex_state = 243, .external_lex_state = 11},
  [3464] = {.lex_state = 243, .external_lex_state = 11},
  [3465] = {.lex_state = 243, .external_lex_state = 11},
  [3466] = {.lex_state = 243, .external_lex_state = 11},
  [3467] = {.lex_state = 185, .external_lex_state = 2},
  [3468] = {.lex_state = 185, .external_lex_state = 2},
  [3469] = {.lex_state = 185, .external_lex_state = 2},
  [3470] = {.lex_state = 367, .external_lex_state = 3},
  [3471] = {.lex_state = 243, .external_lex_state = 11},
  [3472] = {.lex_state = 206},
  [3473] = {.lex_state = 367, .external_lex_state = 3},
  [3474] = {.lex_state = 367, .external_lex_state = 15},
  [3475] = {.lex_state = 367, .external_lex_state = 3},
  [3476] = {.lex_state = 365, .external_lex_state = 3},
  [3477] = {.lex_state = 365, .external_lex_state = 15},
  [3478] = {.lex_state = 185, .external_lex_state = 2},
  [3479] = {.lex_state = 367, .external_lex_state = 3},
  [3480] = {.lex_state = 365, .external_lex_state = 3},
  [3481] = {.lex_state = 365, .external_lex_state = 3},
  [3482] = {.lex_state = 185, .external_lex_state = 2},
  [3483] = {.lex_state = 185, .external_lex_state = 2},
  [3484] = {.lex_state = 185, .external_lex_state = 2},
  [3485] = {.lex_state = 185, .external_lex_state = 2},
  [3486] = {.lex_state = 185, .external_lex_state = 2},
  [3487] = {.lex_state = 185, .external_lex_state = 2},
  [3488] = {.lex_state = 185, .external_lex_state = 2},
  [3489] = {.lex_state = 185, .external_lex_state = 2},
  [3490] = {.lex_state = 185, .external_lex_state = 2},
  [3491] = {.lex_state = 185, .external_lex_state = 2},
  [3492] = {.lex_state = 185, .external_lex_state = 2},
  [3493] = {.lex_state = 185, .external_lex_state = 2},
  [3494] = {.lex_state = 185, .external_lex_state = 2},
  [3495] = {.lex_state = 367, .external_lex_state = 3},
  [3496] = {.lex_state = 433, .external_lex_state = 13},
  [3497] = {.lex_state = 367, .external_lex_state = 3},
  [3498] = {.lex_state = 185, .external_lex_state = 38},
  [3499] = {.lex_state = 185, .external_lex_state = 2},
  [3500] = {.lex_state = 185, .external_lex_state = 2},
  [3501] = {.lex_state = 365, .external_lex_state = 15},
  [3502] = {.lex_state = 185, .external_lex_state = 2},
  [3503] = {.lex_state = 185, .external_lex_state = 2},
  [3504] = {.lex_state = 185, .external_lex_state = 2},
  [3505] = {.lex_state = 185, .external_lex_state = 2},
  [3506] = {.lex_state = 185, .external_lex_state = 2},
  [3507] = {.lex_state = 437, .external_lex_state = 14},
  [3508] = {.lex_state = 437, .external_lex_state = 14},
  [3509] = {.lex_state = 206},
  [3510] = {.lex_state = 247, .external_lex_state = 3},
  [3511] = {.lex_state = 237, .external_lex_state = 14},
  [3512] = {.lex_state = 249, .external_lex_state = 15},
  [3513] = {.lex_state = 509, .external_lex_state = 8},
  [3514] = {.lex_state = 339, .external_lex_state = 8},
  [3515] = {.lex_state = 217, .external_lex_state = 7},
  [3516] = {.lex_state = 343, .external_lex_state = 36},
  [3517] = {.lex_state = 343, .external_lex_state = 32},
  [3518] = {.lex_state = 343, .external_lex_state = 32},
  [3519] = {.lex_state = 343, .external_lex_state = 32},
  [3520] = {.lex_state = 343, .external_lex_state = 32},
  [3521] = {.lex_state = 185, .external_lex_state = 16},
  [3522] = {.lex_state = 251, .external_lex_state = 16},
  [3523] = {.lex_state = 343, .external_lex_state = 32},
  [3524] = {.lex_state = 170, .external_lex_state = 4},
  [3525] = {.lex_state = 251, .external_lex_state = 16},
  [3526] = {.lex_state = 343, .external_lex_state = 32},
  [3527] = {.lex_state = 185, .external_lex_state = 16},
  [3528] = {.lex_state = 251, .external_lex_state = 16},
  [3529] = {.lex_state = 343, .external_lex_state = 32},
  [3530] = {.lex_state = 170, .external_lex_state = 4},
  [3531] = {.lex_state = 251, .external_lex_state = 16},
  [3532] = {.lex_state = 351, .external_lex_state = 35},
  [3533] = {.lex_state = 185, .external_lex_state = 2},
  [3534] = {.lex_state = 185, .external_lex_state = 2},
  [3535] = {.lex_state = 123, .external_lex_state = 19},
  [3536] = {.lex_state = 185, .external_lex_state = 2},
  [3537] = {.lex_state = 347, .external_lex_state = 34},
  [3538] = {.lex_state = 355, .external_lex_state = 32},
  [3539] = {.lex_state = 355, .external_lex_state = 32},
  [3540] = {.lex_state = 355, .external_lex_state = 32},
  [3541] = {.lex_state = 355, .external_lex_state = 36},
  [3542] = {.lex_state = 351, .external_lex_state = 35},
  [3543] = {.lex_state = 351, .external_lex_state = 35},
  [3544] = {.lex_state = 185, .external_lex_state = 2},
  [3545] = {.lex_state = 185, .external_lex_state = 2},
  [3546] = {.lex_state = 185, .external_lex_state = 2},
  [3547] = {.lex_state = 185, .external_lex_state = 2},
  [3548] = {.lex_state = 185, .external_lex_state = 2},
  [3549] = {.lex_state = 185, .external_lex_state = 2},
  [3550] = {.lex_state = 185, .external_lex_state = 2},
  [3551] = {.lex_state = 185, .external_lex_state = 2},
  [3552] = {.lex_state = 185, .external_lex_state = 2},
  [3553] = {.lex_state = 185, .external_lex_state = 2},
  [3554] = {.lex_state = 185, .external_lex_state = 2},
  [3555] = {.lex_state = 185, .external_lex_state = 2},
  [3556] = {.lex_state = 185, .external_lex_state = 2},
  [3557] = {.lex_state = 185, .external_lex_state = 2},
  [3558] = {.lex_state = 123, .external_lex_state = 19},
  [3559] = {.lex_state = 185, .external_lex_state = 2},
  [3560] = {.lex_state = 347, .external_lex_state = 34},
  [3561] = {.lex_state = 353, .external_lex_state = 32},
  [3562] = {.lex_state = 443, .external_lex_state = 32},
  [3563] = {.lex_state = 443, .external_lex_state = 32},
  [3564] = {.lex_state = 353, .external_lex_state = 36},
  [3565] = {.lex_state = 185, .external_lex_state = 38},
  [3566] = {.lex_state = 185, .external_lex_state = 2},
  [3567] = {.lex_state = 445, .external_lex_state = 40},
  [3568] = {.lex_state = 351, .external_lex_state = 35},
  [3569] = {.lex_state = 343, .external_lex_state = 32},
  [3570] = {.lex_state = 187},
  [3571] = {.lex_state = 282, .external_lex_state = 22},
  [3572] = {.lex_state = 217, .external_lex_state = 7},
  [3573] = {.lex_state = 123, .external_lex_state = 2},
  [3574] = {.lex_state = 343, .external_lex_state = 32},
  [3575] = {.lex_state = 237, .external_lex_state = 14},
  [3576] = {.lex_state = 123, .external_lex_state = 8},
  [3577] = {.lex_state = 123, .external_lex_state = 2},
  [3578] = {.lex_state = 343, .external_lex_state = 32},
  [3579] = {.lex_state = 123, .external_lex_state = 2},
  [3580] = {.lex_state = 355, .external_lex_state = 32},
  [3581] = {.lex_state = 355, .external_lex_state = 32},
  [3582] = {.lex_state = 355, .external_lex_state = 32},
  [3583] = {.lex_state = 185, .external_lex_state = 2},
  [3584] = {.lex_state = 355, .external_lex_state = 32},
  [3585] = {.lex_state = 355, .external_lex_state = 32},
  [3586] = {.lex_state = 355, .external_lex_state = 32},
  [3587] = {.lex_state = 185, .external_lex_state = 2},
  [3588] = {.lex_state = 185, .external_lex_state = 2},
  [3589] = {.lex_state = 185, .external_lex_state = 2},
  [3590] = {.lex_state = 185, .external_lex_state = 2},
  [3591] = {.lex_state = 185, .external_lex_state = 2},
  [3592] = {.lex_state = 185, .external_lex_state = 2},
  [3593] = {.lex_state = 185, .external_lex_state = 2},
  [3594] = {.lex_state = 185, .external_lex_state = 2},
  [3595] = {.lex_state = 185, .external_lex_state = 2},
  [3596] = {.lex_state = 185, .external_lex_state = 2},
  [3597] = {.lex_state = 185, .external_lex_state = 2},
  [3598] = {.lex_state = 185, .external_lex_state = 2},
  [3599] = {.lex_state = 185, .external_lex_state = 2},
  [3600] = {.lex_state = 355, .external_lex_state = 32},
  [3601] = {.lex_state = 433, .external_lex_state = 13},
  [3602] = {.lex_state = 355, .external_lex_state = 32},
  [3603] = {.lex_state = 185, .external_lex_state = 38},
  [3604] = {.lex_state = 185, .external_lex_state = 2},
  [3605] = {.lex_state = 185, .external_lex_state = 2},
  [3606] = {.lex_state = 123, .external_lex_state = 12},
  [3607] = {.lex_state = 123, .external_lex_state = 2},
  [3608] = {.lex_state = 123, .external_lex_state = 2},
  [3609] = {.lex_state = 123, .external_lex_state = 2},
  [3610] = {.lex_state = 123, .external_lex_state = 8},
  [3611] = {.lex_state = 123},
  [3612] = {.lex_state = 123},
  [3613] = {.lex_state = 123},
  [3614] = {.lex_state = 343, .external_lex_state = 32},
  [3615] = {.lex_state = 123},
  [3616] = {.lex_state = 123},
  [3617] = {.lex_state = 123},
  [3618] = {.lex_state = 343, .external_lex_state = 32},
  [3619] = {.lex_state = 343, .external_lex_state = 32},
  [3620] = {.lex_state = 226},
  [3621] = {.lex_state = 343, .external_lex_state = 32},
  [3622] = {.lex_state = 187},
  [3623] = {.lex_state = 271, .external_lex_state = 2},
  [3624] = {.lex_state = 343, .external_lex_state = 32},
  [3625] = {.lex_state = 123},
  [3626] = {.lex_state = 123, .external_lex_state = 12},
  [3627] = {.lex_state = 361, .external_lex_state = 2},
  [3628] = {.lex_state = 343, .external_lex_state = 32},
  [3629] = {.lex_state = 351, .external_lex_state = 35},
  [3630] = {.lex_state = 351, .external_lex_state = 35},
  [3631] = {.lex_state = 351, .external_lex_state = 35},
  [3632] = {.lex_state = 351, .external_lex_state = 35},
  [3633] = {.lex_state = 351, .external_lex_state = 35},
  [3634] = {.lex_state = 351, .external_lex_state = 35},
  [3635] = {.lex_state = 351, .external_lex_state = 35},
  [3636] = {.lex_state = 455, .external_lex_state = 22},
  [3637] = {.lex_state = 351, .external_lex_state = 35},
  [3638] = {.lex_state = 351, .external_lex_state = 35},
  [3639] = {.lex_state = 351, .external_lex_state = 35},
  [3640] = {.lex_state = 351, .external_lex_state = 35},
  [3641] = {.lex_state = 351, .external_lex_state = 35},
  [3642] = {.lex_state = 349, .external_lex_state = 32},
  [3643] = {.lex_state = 226, .external_lex_state = 23},
  [3644] = {.lex_state = 226},
  [3645] = {.lex_state = 447, .external_lex_state = 33},
  [3646] = {.lex_state = 316, .external_lex_state = 13},
  [3647] = {.lex_state = 447, .external_lex_state = 33},
  [3648] = {.lex_state = 447, .external_lex_state = 33},
  [3649] = {.lex_state = 447, .external_lex_state = 33},
  [3650] = {.lex_state = 190, .external_lex_state = 37},
  [3651] = {.lex_state = 353, .external_lex_state = 32},
  [3652] = {.lex_state = 353, .external_lex_state = 40},
  [3653] = {.lex_state = 353, .external_lex_state = 32},
  [3654] = {.lex_state = 353, .external_lex_state = 32},
  [3655] = {.lex_state = 185, .external_lex_state = 2},
  [3656] = {.lex_state = 349, .external_lex_state = 32},
  [3657] = {.lex_state = 187},
  [3658] = {.lex_state = 271, .external_lex_state = 2},
  [3659] = {.lex_state = 353, .external_lex_state = 32},
  [3660] = {.lex_state = 349, .external_lex_state = 32},
  [3661] = {.lex_state = 123},
  [3662] = {.lex_state = 123, .external_lex_state = 12},
  [3663] = {.lex_state = 361, .external_lex_state = 2},
  [3664] = {.lex_state = 353, .external_lex_state = 32},
  [3665] = {.lex_state = 353, .external_lex_state = 32},
  [3666] = {.lex_state = 185, .external_lex_state = 2},
  [3667] = {.lex_state = 185, .external_lex_state = 2},
  [3668] = {.lex_state = 185, .external_lex_state = 2},
  [3669] = {.lex_state = 185, .external_lex_state = 2},
  [3670] = {.lex_state = 185, .external_lex_state = 2},
  [3671] = {.lex_state = 185, .external_lex_state = 2},
  [3672] = {.lex_state = 185, .external_lex_state = 2},
  [3673] = {.lex_state = 185, .external_lex_state = 2},
  [3674] = {.lex_state = 185, .external_lex_state = 2},
  [3675] = {.lex_state = 185, .external_lex_state = 2},
  [3676] = {.lex_state = 185, .external_lex_state = 2},
  [3677] = {.lex_state = 185, .external_lex_state = 2},
  [3678] = {.lex_state = 185, .external_lex_state = 2},
  [3679] = {.lex_state = 349, .external_lex_state = 32},
  [3680] = {.lex_state = 353, .external_lex_state = 32},
  [3681] = {.lex_state = 433, .external_lex_state = 13},
  [3682] = {.lex_state = 353, .external_lex_state = 32},
  [3683] = {.lex_state = 185, .external_lex_state = 38},
  [3684] = {.lex_state = 185, .external_lex_state = 2},
  [3685] = {.lex_state = 185, .external_lex_state = 2},
  [3686] = {.lex_state = 353, .external_lex_state = 40},
  [3687] = {.lex_state = 151, .external_lex_state = 3},
  [3688] = {.lex_state = 170, .external_lex_state = 18},
  [3689] = {.lex_state = 511, .external_lex_state = 23},
  [3690] = {.lex_state = 226, .external_lex_state = 13},
  [3691] = {.lex_state = 185, .external_lex_state = 2},
  [3692] = {.lex_state = 351, .external_lex_state = 35},
  [3693] = {.lex_state = 449, .external_lex_state = 35},
  [3694] = {.lex_state = 351, .external_lex_state = 35},
  [3695] = {.lex_state = 351, .external_lex_state = 35},
  [3696] = {.lex_state = 351, .external_lex_state = 35},
  [3697] = {.lex_state = 355, .external_lex_state = 40},
  [3698] = {.lex_state = 228},
  [3699] = {.lex_state = 271, .external_lex_state = 2},
  [3700] = {.lex_state = 123},
  [3701] = {.lex_state = 228, .external_lex_state = 19},
  [3702] = {.lex_state = 228},
  [3703] = {.lex_state = 151, .external_lex_state = 3},
  [3704] = {.lex_state = 187},
  [3705] = {.lex_state = 282},
  [3706] = {.lex_state = 513, .external_lex_state = 2},
  [3707] = {.lex_state = 185, .external_lex_state = 2},
  [3708] = {.lex_state = 123},
  [3709] = {.lex_state = 190},
  [3710] = {.lex_state = 282},
  [3711] = {.lex_state = 357, .external_lex_state = 2},
  [3712] = {.lex_state = 361, .external_lex_state = 12},
  [3713] = {.lex_state = 123},
  [3714] = {.lex_state = 302},
  [3715] = {.lex_state = 228},
  [3716] = {.lex_state = 123, .external_lex_state = 12},
  [3717] = {.lex_state = 123},
  [3718] = {.lex_state = 228},
  [3719] = {.lex_state = 151, .external_lex_state = 3},
  [3720] = {.lex_state = 123},
  [3721] = {.lex_state = 123, .external_lex_state = 2},
  [3722] = {.lex_state = 123, .external_lex_state = 12},
  [3723] = {.lex_state = 185, .external_lex_state = 2},
  [3724] = {.lex_state = 495, .external_lex_state = 20},
  [3725] = {.lex_state = 495, .external_lex_state = 20},
  [3726] = {.lex_state = 495, .external_lex_state = 20},
  [3727] = {.lex_state = 495, .external_lex_state = 20},
  [3728] = {.lex_state = 185, .external_lex_state = 2},
  [3729] = {.lex_state = 185, .external_lex_state = 2},
  [3730] = {.lex_state = 185, .external_lex_state = 2},
  [3731] = {.lex_state = 282, .external_lex_state = 22},
  [3732] = {.lex_state = 497, .external_lex_state = 20},
  [3733] = {.lex_state = 206},
  [3734] = {.lex_state = 219, .external_lex_state = 17},
  [3735] = {.lex_state = 241, .external_lex_state = 39},
  [3736] = {.lex_state = 282, .external_lex_state = 22},
  [3737] = {.lex_state = 151},
  [3738] = {.lex_state = 151},
  [3739] = {.lex_state = 231},
  [3740] = {.lex_state = 123, .external_lex_state = 2},
  [3741] = {.lex_state = 455, .external_lex_state = 22},
  [3742] = {.lex_state = 185, .external_lex_state = 2},
  [3743] = {.lex_state = 185, .external_lex_state = 2},
  [3744] = {.lex_state = 185, .external_lex_state = 2},
  [3745] = {.lex_state = 123, .external_lex_state = 19},
  [3746] = {.lex_state = 185, .external_lex_state = 2},
  [3747] = {.lex_state = 515, .external_lex_state = 33},
  [3748] = {.lex_state = 515, .external_lex_state = 33},
  [3749] = {.lex_state = 515, .external_lex_state = 33},
  [3750] = {.lex_state = 515, .external_lex_state = 33},
  [3751] = {.lex_state = 185, .external_lex_state = 2},
  [3752] = {.lex_state = 185, .external_lex_state = 2},
  [3753] = {.lex_state = 185, .external_lex_state = 2},
  [3754] = {.lex_state = 517, .external_lex_state = 34},
  [3755] = {.lex_state = 519, .external_lex_state = 32},
  [3756] = {.lex_state = 517, .external_lex_state = 33},
  [3757] = {.lex_state = 461, .external_lex_state = 32},
  [3758] = {.lex_state = 519, .external_lex_state = 32},
  [3759] = {.lex_state = 206},
  [3760] = {.lex_state = 521, .external_lex_state = 32},
  [3761] = {.lex_state = 519, .external_lex_state = 36},
  [3762] = {.lex_state = 455, .external_lex_state = 22},
  [3763] = {.lex_state = 455, .external_lex_state = 22},
  [3764] = {.lex_state = 185, .external_lex_state = 2},
  [3765] = {.lex_state = 185, .external_lex_state = 2},
  [3766] = {.lex_state = 185, .external_lex_state = 2},
  [3767] = {.lex_state = 185, .external_lex_state = 2},
  [3768] = {.lex_state = 185, .external_lex_state = 2},
  [3769] = {.lex_state = 185, .external_lex_state = 2},
  [3770] = {.lex_state = 185, .external_lex_state = 2},
  [3771] = {.lex_state = 185, .external_lex_state = 2},
  [3772] = {.lex_state = 185, .external_lex_state = 2},
  [3773] = {.lex_state = 185, .external_lex_state = 2},
  [3774] = {.lex_state = 185, .external_lex_state = 2},
  [3775] = {.lex_state = 185, .external_lex_state = 2},
  [3776] = {.lex_state = 185, .external_lex_state = 2},
  [3777] = {.lex_state = 185, .external_lex_state = 2},
  [3778] = {.lex_state = 185, .external_lex_state = 2},
  [3779] = {.lex_state = 185, .external_lex_state = 2},
  [3780] = {.lex_state = 123, .external_lex_state = 19},
  [3781] = {.lex_state = 185, .external_lex_state = 2},
  [3782] = {.lex_state = 517, .external_lex_state = 33},
  [3783] = {.lex_state = 517, .external_lex_state = 33},
  [3784] = {.lex_state = 517, .external_lex_state = 33},
  [3785] = {.lex_state = 517, .external_lex_state = 33},
  [3786] = {.lex_state = 185, .external_lex_state = 2},
  [3787] = {.lex_state = 185, .external_lex_state = 2},
  [3788] = {.lex_state = 185, .external_lex_state = 2},
  [3789] = {.lex_state = 517, .external_lex_state = 34},
  [3790] = {.lex_state = 521, .external_lex_state = 32},
  [3791] = {.lex_state = 517, .external_lex_state = 33},
  [3792] = {.lex_state = 459, .external_lex_state = 32},
  [3793] = {.lex_state = 459, .external_lex_state = 32},
  [3794] = {.lex_state = 206},
  [3795] = {.lex_state = 521, .external_lex_state = 32},
  [3796] = {.lex_state = 521, .external_lex_state = 36},
  [3797] = {.lex_state = 185, .external_lex_state = 38},
  [3798] = {.lex_state = 185, .external_lex_state = 2},
  [3799] = {.lex_state = 461, .external_lex_state = 39},
  [3800] = {.lex_state = 219, .external_lex_state = 3},
  [3801] = {.lex_state = 226},
  [3802] = {.lex_state = 190, .external_lex_state = 37},
  [3803] = {.lex_state = 170, .external_lex_state = 18},
  [3804] = {.lex_state = 300, .external_lex_state = 11},
  [3805] = {.lex_state = 202, .external_lex_state = 23},
  [3806] = {.lex_state = 202},
  [3807] = {.lex_state = 300, .external_lex_state = 11},
  [3808] = {.lex_state = 190, .external_lex_state = 37},
  [3809] = {.lex_state = 280, .external_lex_state = 30},
  [3810] = {.lex_state = 280, .external_lex_state = 3},
  [3811] = {.lex_state = 280, .external_lex_state = 3},
  [3812] = {.lex_state = 280, .external_lex_state = 3},
  [3813] = {.lex_state = 280, .external_lex_state = 3},
  [3814] = {.lex_state = 185, .external_lex_state = 16},
  [3815] = {.lex_state = 251, .external_lex_state = 16},
  [3816] = {.lex_state = 280, .external_lex_state = 3},
  [3817] = {.lex_state = 170, .external_lex_state = 4},
  [3818] = {.lex_state = 251, .external_lex_state = 16},
  [3819] = {.lex_state = 280, .external_lex_state = 3},
  [3820] = {.lex_state = 185, .external_lex_state = 16},
  [3821] = {.lex_state = 251, .external_lex_state = 16},
  [3822] = {.lex_state = 280, .external_lex_state = 3},
  [3823] = {.lex_state = 170, .external_lex_state = 4},
  [3824] = {.lex_state = 251, .external_lex_state = 16},
  [3825] = {.lex_state = 219, .external_lex_state = 15},
  [3826] = {.lex_state = 185, .external_lex_state = 16},
  [3827] = {.lex_state = 219, .external_lex_state = 3},
  [3828] = {.lex_state = 185, .external_lex_state = 16},
  [3829] = {.lex_state = 219, .external_lex_state = 3},
  [3830] = {.lex_state = 185, .external_lex_state = 16},
  [3831] = {.lex_state = 219, .external_lex_state = 3},
  [3832] = {.lex_state = 185, .external_lex_state = 16},
  [3833] = {.lex_state = 219, .external_lex_state = 3},
  [3834] = {.lex_state = 183, .external_lex_state = 4},
  [3835] = {.lex_state = 251, .external_lex_state = 16},
  [3836] = {.lex_state = 219, .external_lex_state = 3},
  [3837] = {.lex_state = 183, .external_lex_state = 4},
  [3838] = {.lex_state = 251, .external_lex_state = 16},
  [3839] = {.lex_state = 367, .external_lex_state = 3},
  [3840] = {.lex_state = 219, .external_lex_state = 3},
  [3841] = {.lex_state = 187},
  [3842] = {.lex_state = 187, .external_lex_state = 23},
  [3843] = {.lex_state = 185, .external_lex_state = 2},
  [3844] = {.lex_state = 219, .external_lex_state = 3},
  [3845] = {.lex_state = 228},
  [3846] = {.lex_state = 288, .external_lex_state = 8},
  [3847] = {.lex_state = 219, .external_lex_state = 3},
  [3848] = {.lex_state = 202},
  [3849] = {.lex_state = 185, .external_lex_state = 2},
  [3850] = {.lex_state = 311, .external_lex_state = 28},
  [3851] = {.lex_state = 311, .external_lex_state = 28},
  [3852] = {.lex_state = 314, .external_lex_state = 28},
  [3853] = {.lex_state = 314, .external_lex_state = 28},
  [3854] = {.lex_state = 219, .external_lex_state = 3},
  [3855] = {.lex_state = 219, .external_lex_state = 3},
  [3856] = {.lex_state = 219, .external_lex_state = 3},
  [3857] = {.lex_state = 219, .external_lex_state = 3},
  [3858] = {.lex_state = 123, .external_lex_state = 8},
  [3859] = {.lex_state = 123, .external_lex_state = 8},
  [3860] = {.lex_state = 237, .external_lex_state = 14},
  [3861] = {.lex_state = 237, .external_lex_state = 14},
  [3862] = {.lex_state = 123},
  [3863] = {.lex_state = 237, .external_lex_state = 14},
  [3864] = {.lex_state = 123},
  [3865] = {.lex_state = 123},
  [3866] = {.lex_state = 123},
  [3867] = {.lex_state = 123},
  [3868] = {.lex_state = 123},
  [3869] = {.lex_state = 219, .external_lex_state = 3},
  [3870] = {.lex_state = 123, .external_lex_state = 2},
  [3871] = {.lex_state = 367, .external_lex_state = 3},
  [3872] = {.lex_state = 367, .external_lex_state = 3},
  [3873] = {.lex_state = 219, .external_lex_state = 3},
  [3874] = {.lex_state = 219, .external_lex_state = 3},
  [3875] = {.lex_state = 219, .external_lex_state = 3},
  [3876] = {.lex_state = 226, .external_lex_state = 23},
  [3877] = {.lex_state = 226},
  [3878] = {.lex_state = 123},
  [3879] = {.lex_state = 219, .external_lex_state = 3},
  [3880] = {.lex_state = 185, .external_lex_state = 2},
  [3881] = {.lex_state = 185, .external_lex_state = 2},
  [3882] = {.lex_state = 185, .external_lex_state = 2},
  [3883] = {.lex_state = 185, .external_lex_state = 2},
  [3884] = {.lex_state = 185, .external_lex_state = 2},
  [3885] = {.lex_state = 185, .external_lex_state = 2},
  [3886] = {.lex_state = 185, .external_lex_state = 2},
  [3887] = {.lex_state = 185, .external_lex_state = 2},
  [3888] = {.lex_state = 185, .external_lex_state = 2},
  [3889] = {.lex_state = 185, .external_lex_state = 2},
  [3890] = {.lex_state = 185, .external_lex_state = 2},
  [3891] = {.lex_state = 185, .external_lex_state = 2},
  [3892] = {.lex_state = 363, .external_lex_state = 6},
  [3893] = {.lex_state = 185, .external_lex_state = 38},
  [3894] = {.lex_state = 185, .external_lex_state = 2},
  [3895] = {.lex_state = 367, .external_lex_state = 15},
  [3896] = {.lex_state = 219, .external_lex_state = 3},
  [3897] = {.lex_state = 202},
  [3898] = {.lex_state = 280, .external_lex_state = 15},
  [3899] = {.lex_state = 185, .external_lex_state = 16},
  [3900] = {.lex_state = 280, .external_lex_state = 3},
  [3901] = {.lex_state = 367, .external_lex_state = 3},
  [3902] = {.lex_state = 375, .external_lex_state = 14},
  [3903] = {.lex_state = 469, .external_lex_state = 15},
  [3904] = {.lex_state = 185, .external_lex_state = 2},
  [3905] = {.lex_state = 185, .external_lex_state = 2},
  [3906] = {.lex_state = 123, .external_lex_state = 19},
  [3907] = {.lex_state = 185, .external_lex_state = 2},
  [3908] = {.lex_state = 465, .external_lex_state = 29},
  [3909] = {.lex_state = 479, .external_lex_state = 3},
  [3910] = {.lex_state = 469, .external_lex_state = 3},
  [3911] = {.lex_state = 479, .external_lex_state = 3},
  [3912] = {.lex_state = 479, .external_lex_state = 30},
  [3913] = {.lex_state = 375, .external_lex_state = 14},
  [3914] = {.lex_state = 375, .external_lex_state = 14},
  [3915] = {.lex_state = 219, .external_lex_state = 3},
  [3916] = {.lex_state = 187},
  [3917] = {.lex_state = 185, .external_lex_state = 2},
  [3918] = {.lex_state = 185, .external_lex_state = 2},
  [3919] = {.lex_state = 185, .external_lex_state = 2},
  [3920] = {.lex_state = 185, .external_lex_state = 2},
  [3921] = {.lex_state = 185, .external_lex_state = 2},
  [3922] = {.lex_state = 185, .external_lex_state = 2},
  [3923] = {.lex_state = 185, .external_lex_state = 2},
  [3924] = {.lex_state = 185, .external_lex_state = 2},
  [3925] = {.lex_state = 185, .external_lex_state = 2},
  [3926] = {.lex_state = 185, .external_lex_state = 2},
  [3927] = {.lex_state = 185, .external_lex_state = 2},
  [3928] = {.lex_state = 185, .external_lex_state = 2},
  [3929] = {.lex_state = 185, .external_lex_state = 2},
  [3930] = {.lex_state = 185, .external_lex_state = 2},
  [3931] = {.lex_state = 123, .external_lex_state = 19},
  [3932] = {.lex_state = 185, .external_lex_state = 2},
  [3933] = {.lex_state = 465, .external_lex_state = 29},
  [3934] = {.lex_state = 467, .external_lex_state = 3},
  [3935] = {.lex_state = 467, .external_lex_state = 3},
  [3936] = {.lex_state = 467, .external_lex_state = 3},
  [3937] = {.lex_state = 467, .external_lex_state = 30},
  [3938] = {.lex_state = 185, .external_lex_state = 38},
  [3939] = {.lex_state = 185, .external_lex_state = 2},
  [3940] = {.lex_state = 469, .external_lex_state = 15},
  [3941] = {.lex_state = 280, .external_lex_state = 3},
  [3942] = {.lex_state = 187},
  [3943] = {.lex_state = 282, .external_lex_state = 22},
  [3944] = {.lex_state = 217, .external_lex_state = 7},
  [3945] = {.lex_state = 123, .external_lex_state = 2},
  [3946] = {.lex_state = 280, .external_lex_state = 3},
  [3947] = {.lex_state = 237, .external_lex_state = 14},
  [3948] = {.lex_state = 123, .external_lex_state = 8},
  [3949] = {.lex_state = 123, .external_lex_state = 2},
  [3950] = {.lex_state = 280, .external_lex_state = 3},
  [3951] = {.lex_state = 123, .external_lex_state = 2},
  [3952] = {.lex_state = 123, .external_lex_state = 12},
  [3953] = {.lex_state = 123, .external_lex_state = 2},
  [3954] = {.lex_state = 123, .external_lex_state = 2},
  [3955] = {.lex_state = 123, .external_lex_state = 2},
  [3956] = {.lex_state = 123, .external_lex_state = 8},
  [3957] = {.lex_state = 219, .external_lex_state = 3},
  [3958] = {.lex_state = 123},
  [3959] = {.lex_state = 123, .external_lex_state = 2},
  [3960] = {.lex_state = 123, .external_lex_state = 12},
  [3961] = {.lex_state = 123},
  [3962] = {.lex_state = 123},
  [3963] = {.lex_state = 123},
  [3964] = {.lex_state = 280, .external_lex_state = 3},
  [3965] = {.lex_state = 123},
  [3966] = {.lex_state = 123},
  [3967] = {.lex_state = 123},
  [3968] = {.lex_state = 280, .external_lex_state = 3},
  [3969] = {.lex_state = 280, .external_lex_state = 3},
  [3970] = {.lex_state = 226},
  [3971] = {.lex_state = 280, .external_lex_state = 3},
  [3972] = {.lex_state = 280, .external_lex_state = 3},
  [3973] = {.lex_state = 365, .external_lex_state = 3},
  [3974] = {.lex_state = 365, .external_lex_state = 3},
  [3975] = {.lex_state = 365, .external_lex_state = 3},
  [3976] = {.lex_state = 365, .external_lex_state = 3},
  [3977] = {.lex_state = 365, .external_lex_state = 3},
  [3978] = {.lex_state = 365, .external_lex_state = 3},
  [3979] = {.lex_state = 367, .external_lex_state = 3},
  [3980] = {.lex_state = 455, .external_lex_state = 22},
  [3981] = {.lex_state = 365, .external_lex_state = 3},
  [3982] = {.lex_state = 365, .external_lex_state = 3},
  [3983] = {.lex_state = 365, .external_lex_state = 3},
  [3984] = {.lex_state = 365, .external_lex_state = 3},
  [3985] = {.lex_state = 365, .external_lex_state = 3},
  [3986] = {.lex_state = 219, .external_lex_state = 3},
  [3987] = {.lex_state = 219, .external_lex_state = 3},
  [3988] = {.lex_state = 170, .external_lex_state = 18},
  [3989] = {.lex_state = 367, .external_lex_state = 3},
  [3990] = {.lex_state = 219, .external_lex_state = 3},
  [3991] = {.lex_state = 433, .external_lex_state = 43},
  [3992] = {.lex_state = 367, .external_lex_state = 3},
  [3993] = {.lex_state = 367, .external_lex_state = 3},
  [3994] = {.lex_state = 365, .external_lex_state = 3},
  [3995] = {.lex_state = 280, .external_lex_state = 3},
  [3996] = {.lex_state = 365, .external_lex_state = 3},
  [3997] = {.lex_state = 365, .external_lex_state = 3},
  [3998] = {.lex_state = 367, .external_lex_state = 3},
  [3999] = {.lex_state = 365, .external_lex_state = 15},
  [4000] = {.lex_state = 471, .external_lex_state = 14},
  [4001] = {.lex_state = 471, .external_lex_state = 14},
  [4002] = {.lex_state = 471, .external_lex_state = 14},
  [4003] = {.lex_state = 471, .external_lex_state = 14},
  [4004] = {.lex_state = 185, .external_lex_state = 2},
  [4005] = {.lex_state = 185, .external_lex_state = 2},
  [4006] = {.lex_state = 185, .external_lex_state = 2},
  [4007] = {.lex_state = 185, .external_lex_state = 2},
  [4008] = {.lex_state = 185, .external_lex_state = 2},
  [4009] = {.lex_state = 185, .external_lex_state = 2},
  [4010] = {.lex_state = 185, .external_lex_state = 2},
  [4011] = {.lex_state = 185, .external_lex_state = 2},
  [4012] = {.lex_state = 185, .external_lex_state = 2},
  [4013] = {.lex_state = 185, .external_lex_state = 2},
  [4014] = {.lex_state = 185, .external_lex_state = 2},
  [4015] = {.lex_state = 185, .external_lex_state = 2},
  [4016] = {.lex_state = 185, .external_lex_state = 38},
  [4017] = {.lex_state = 471, .external_lex_state = 14},
  [4018] = {.lex_state = 185, .external_lex_state = 38},
  [4019] = {.lex_state = 185, .external_lex_state = 2},
  [4020] = {.lex_state = 273, .external_lex_state = 39},
  [4021] = {.lex_state = 185, .external_lex_state = 2},
  [4022] = {.lex_state = 389, .external_lex_state = 33},
  [4023] = {.lex_state = 389, .external_lex_state = 33},
  [4024] = {.lex_state = 389, .external_lex_state = 33},
  [4025] = {.lex_state = 389, .external_lex_state = 33},
  [4026] = {.lex_state = 185, .external_lex_state = 2},
  [4027] = {.lex_state = 185, .external_lex_state = 2},
  [4028] = {.lex_state = 185, .external_lex_state = 2},
  [4029] = {.lex_state = 395, .external_lex_state = 32},
  [4030] = {.lex_state = 377, .external_lex_state = 33},
  [4031] = {.lex_state = 206},
  [4032] = {.lex_state = 379, .external_lex_state = 32},
  [4033] = {.lex_state = 395, .external_lex_state = 40},
  [4034] = {.lex_state = 395, .external_lex_state = 32},
  [4035] = {.lex_state = 479, .external_lex_state = 32},
  [4036] = {.lex_state = 479, .external_lex_state = 40},
  [4037] = {.lex_state = 185, .external_lex_state = 2},
  [4038] = {.lex_state = 395, .external_lex_state = 32},
  [4039] = {.lex_state = 185, .external_lex_state = 2},
  [4040] = {.lex_state = 185, .external_lex_state = 2},
  [4041] = {.lex_state = 123, .external_lex_state = 19},
  [4042] = {.lex_state = 185, .external_lex_state = 2},
  [4043] = {.lex_state = 477, .external_lex_state = 34},
  [4044] = {.lex_state = 479, .external_lex_state = 32},
  [4045] = {.lex_state = 479, .external_lex_state = 32},
  [4046] = {.lex_state = 479, .external_lex_state = 32},
  [4047] = {.lex_state = 479, .external_lex_state = 36},
  [4048] = {.lex_state = 479, .external_lex_state = 32},
  [4049] = {.lex_state = 479, .external_lex_state = 32},
  [4050] = {.lex_state = 185, .external_lex_state = 2},
  [4051] = {.lex_state = 185, .external_lex_state = 2},
  [4052] = {.lex_state = 185, .external_lex_state = 2},
  [4053] = {.lex_state = 185, .external_lex_state = 2},
  [4054] = {.lex_state = 185, .external_lex_state = 2},
  [4055] = {.lex_state = 185, .external_lex_state = 2},
  [4056] = {.lex_state = 185, .external_lex_state = 2},
  [4057] = {.lex_state = 185, .external_lex_state = 2},
  [4058] = {.lex_state = 185, .external_lex_state = 2},
  [4059] = {.lex_state = 185, .external_lex_state = 2},
  [4060] = {.lex_state = 185, .external_lex_state = 2},
  [4061] = {.lex_state = 185, .external_lex_state = 2},
  [4062] = {.lex_state = 185, .external_lex_state = 2},
  [4063] = {.lex_state = 185, .external_lex_state = 2},
  [4064] = {.lex_state = 185, .external_lex_state = 2},
  [4065] = {.lex_state = 123, .external_lex_state = 19},
  [4066] = {.lex_state = 185, .external_lex_state = 2},
  [4067] = {.lex_state = 477, .external_lex_state = 34},
  [4068] = {.lex_state = 467, .external_lex_state = 32},
  [4069] = {.lex_state = 467, .external_lex_state = 32},
  [4070] = {.lex_state = 467, .external_lex_state = 32},
  [4071] = {.lex_state = 467, .external_lex_state = 36},
  [4072] = {.lex_state = 381, .external_lex_state = 32},
  [4073] = {.lex_state = 433, .external_lex_state = 13},
  [4074] = {.lex_state = 395, .external_lex_state = 32},
  [4075] = {.lex_state = 185, .external_lex_state = 38},
  [4076] = {.lex_state = 185, .external_lex_state = 2},
  [4077] = {.lex_state = 185, .external_lex_state = 2},
  [4078] = {.lex_state = 479, .external_lex_state = 40},
  [4079] = {.lex_state = 228},
  [4080] = {.lex_state = 185, .external_lex_state = 16},
  [4081] = {.lex_state = 228},
  [4082] = {.lex_state = 217, .external_lex_state = 7},
  [4083] = {.lex_state = 228},
  [4084] = {.lex_state = 187},
  [4085] = {.lex_state = 375, .external_lex_state = 22},
  [4086] = {.lex_state = 375, .external_lex_state = 22},
  [4087] = {.lex_state = 375, .external_lex_state = 22},
  [4088] = {.lex_state = 375, .external_lex_state = 22},
  [4089] = {.lex_state = 375, .external_lex_state = 22},
  [4090] = {.lex_state = 375, .external_lex_state = 22},
  [4091] = {.lex_state = 375, .external_lex_state = 22},
  [4092] = {.lex_state = 375, .external_lex_state = 22},
  [4093] = {.lex_state = 375, .external_lex_state = 22},
  [4094] = {.lex_state = 375, .external_lex_state = 22},
  [4095] = {.lex_state = 375, .external_lex_state = 22},
  [4096] = {.lex_state = 455, .external_lex_state = 22},
  [4097] = {.lex_state = 375, .external_lex_state = 22},
  [4098] = {.lex_state = 375, .external_lex_state = 22},
  [4099] = {.lex_state = 375, .external_lex_state = 22},
  [4100] = {.lex_state = 375, .external_lex_state = 22},
  [4101] = {.lex_state = 375, .external_lex_state = 22},
  [4102] = {.lex_state = 373, .external_lex_state = 17},
  [4103] = {.lex_state = 226, .external_lex_state = 23},
  [4104] = {.lex_state = 226},
  [4105] = {.lex_state = 473, .external_lex_state = 20},
  [4106] = {.lex_state = 316, .external_lex_state = 13},
  [4107] = {.lex_state = 473, .external_lex_state = 20},
  [4108] = {.lex_state = 473, .external_lex_state = 20},
  [4109] = {.lex_state = 473, .external_lex_state = 20},
  [4110] = {.lex_state = 190, .external_lex_state = 37},
  [4111] = {.lex_state = 391, .external_lex_state = 32},
  [4112] = {.lex_state = 170, .external_lex_state = 4},
  [4113] = {.lex_state = 170, .external_lex_state = 4},
  [4114] = {.lex_state = 170, .external_lex_state = 4},
  [4115] = {.lex_state = 170, .external_lex_state = 4},
  [4116] = {.lex_state = 183, .external_lex_state = 4},
  [4117] = {.lex_state = 183, .external_lex_state = 4},
  [4118] = {.lex_state = 185, .external_lex_state = 2},
  [4119] = {.lex_state = 187, .external_lex_state = 6},
  [4120] = {.lex_state = 190, .external_lex_state = 7},
  [4121] = {.lex_state = 202, .external_lex_state = 2},
  [4122] = {.lex_state = 209, .external_lex_state = 10},
  [4123] = {.lex_state = 209, .external_lex_state = 9},
  [4124] = {.lex_state = 377, .external_lex_state = 33},
  [4125] = {.lex_state = 377, .external_lex_state = 33},
  [4126] = {.lex_state = 377, .external_lex_state = 33},
  [4127] = {.lex_state = 377, .external_lex_state = 33},
  [4128] = {.lex_state = 213, .external_lex_state = 2},
  [4129] = {.lex_state = 213, .external_lex_state = 2},
  [4130] = {.lex_state = 185, .external_lex_state = 2},
  [4131] = {.lex_state = 185, .external_lex_state = 2},
  [4132] = {.lex_state = 215, .external_lex_state = 9},
  [4133] = {.lex_state = 213, .external_lex_state = 12},
  [4134] = {.lex_state = 123, .external_lex_state = 12},
  [4135] = {.lex_state = 185, .external_lex_state = 2},
  [4136] = {.lex_state = 185, .external_lex_state = 2},
  [4137] = {.lex_state = 185, .external_lex_state = 2},
  [4138] = {.lex_state = 391, .external_lex_state = 32},
  [4139] = {.lex_state = 226, .external_lex_state = 13},
  [4140] = {.lex_state = 228},
  [4141] = {.lex_state = 379, .external_lex_state = 32},
  [4142] = {.lex_state = 391, .external_lex_state = 32},
  [4143] = {.lex_state = 377, .external_lex_state = 33},
  [4144] = {.lex_state = 206},
  [4145] = {.lex_state = 379, .external_lex_state = 32},
  [4146] = {.lex_state = 379, .external_lex_state = 40},
  [4147] = {.lex_state = 379, .external_lex_state = 32},
  [4148] = {.lex_state = 391, .external_lex_state = 32},
  [4149] = {.lex_state = 202, .external_lex_state = 23},
  [4150] = {.lex_state = 202},
  [4151] = {.lex_state = 467, .external_lex_state = 32},
  [4152] = {.lex_state = 467, .external_lex_state = 40},
  [4153] = {.lex_state = 185, .external_lex_state = 2},
  [4154] = {.lex_state = 523, .external_lex_state = 32},
  [4155] = {.lex_state = 187},
  [4156] = {.lex_state = 271, .external_lex_state = 2},
  [4157] = {.lex_state = 379, .external_lex_state = 32},
  [4158] = {.lex_state = 373, .external_lex_state = 17},
  [4159] = {.lex_state = 123},
  [4160] = {.lex_state = 123, .external_lex_state = 12},
  [4161] = {.lex_state = 361, .external_lex_state = 2},
  [4162] = {.lex_state = 467, .external_lex_state = 32},
  [4163] = {.lex_state = 467, .external_lex_state = 32},
  [4164] = {.lex_state = 185, .external_lex_state = 2},
  [4165] = {.lex_state = 185, .external_lex_state = 2},
  [4166] = {.lex_state = 185, .external_lex_state = 2},
  [4167] = {.lex_state = 185, .external_lex_state = 2},
  [4168] = {.lex_state = 185, .external_lex_state = 2},
  [4169] = {.lex_state = 185, .external_lex_state = 2},
  [4170] = {.lex_state = 185, .external_lex_state = 2},
  [4171] = {.lex_state = 185, .external_lex_state = 2},
  [4172] = {.lex_state = 185, .external_lex_state = 2},
  [4173] = {.lex_state = 185, .external_lex_state = 2},
  [4174] = {.lex_state = 185, .external_lex_state = 2},
  [4175] = {.lex_state = 185, .external_lex_state = 2},
  [4176] = {.lex_state = 185, .external_lex_state = 2},
  [4177] = {.lex_state = 357, .external_lex_state = 2},
  [4178] = {.lex_state = 373, .external_lex_state = 17},
  [4179] = {.lex_state = 170, .external_lex_state = 18},
  [4180] = {.lex_state = 379, .external_lex_state = 32},
  [4181] = {.lex_state = 433, .external_lex_state = 13},
  [4182] = {.lex_state = 379, .external_lex_state = 32},
  [4183] = {.lex_state = 185, .external_lex_state = 38},
  [4184] = {.lex_state = 185, .external_lex_state = 2},
  [4185] = {.lex_state = 185, .external_lex_state = 2},
  [4186] = {.lex_state = 467, .external_lex_state = 40},
  [4187] = {.lex_state = 185, .external_lex_state = 2},
  [4188] = {.lex_state = 185, .external_lex_state = 2},
  [4189] = {.lex_state = 389, .external_lex_state = 20},
  [4190] = {.lex_state = 389, .external_lex_state = 20},
  [4191] = {.lex_state = 389, .external_lex_state = 20},
  [4192] = {.lex_state = 389, .external_lex_state = 20},
  [4193] = {.lex_state = 185, .external_lex_state = 2},
  [4194] = {.lex_state = 185, .external_lex_state = 2},
  [4195] = {.lex_state = 185, .external_lex_state = 2},
  [4196] = {.lex_state = 375, .external_lex_state = 22},
  [4197] = {.lex_state = 375, .external_lex_state = 22},
  [4198] = {.lex_state = 206},
  [4199] = {.lex_state = 379, .external_lex_state = 17},
  [4200] = {.lex_state = 395, .external_lex_state = 39},
  [4201] = {.lex_state = 375, .external_lex_state = 22},
  [4202] = {.lex_state = 381, .external_lex_state = 39},
  [4203] = {.lex_state = 151, .external_lex_state = 3},
  [4204] = {.lex_state = 170, .external_lex_state = 4},
  [4205] = {.lex_state = 151, .external_lex_state = 3},
  [4206] = {.lex_state = 170, .external_lex_state = 45},
  [4207] = {.lex_state = 151, .external_lex_state = 3},
  [4208] = {.lex_state = 170, .external_lex_state = 4},
  [4209] = {.lex_state = 151, .external_lex_state = 3},
  [4210] = {.lex_state = 170, .external_lex_state = 45},
  [4211] = {.lex_state = 185, .external_lex_state = 2},
  [4212] = {.lex_state = 525, .external_lex_state = 11},
  [4213] = {.lex_state = 525, .external_lex_state = 11},
  [4214] = {.lex_state = 525, .external_lex_state = 11},
  [4215] = {.lex_state = 525, .external_lex_state = 11},
  [4216] = {.lex_state = 185, .external_lex_state = 2},
  [4217] = {.lex_state = 185, .external_lex_state = 2},
  [4218] = {.lex_state = 185, .external_lex_state = 2},
  [4219] = {.lex_state = 395, .external_lex_state = 3},
  [4220] = {.lex_state = 206},
  [4221] = {.lex_state = 379, .external_lex_state = 3},
  [4222] = {.lex_state = 395, .external_lex_state = 15},
  [4223] = {.lex_state = 395, .external_lex_state = 3},
  [4224] = {.lex_state = 479, .external_lex_state = 3},
  [4225] = {.lex_state = 479, .external_lex_state = 15},
  [4226] = {.lex_state = 185, .external_lex_state = 2},
  [4227] = {.lex_state = 395, .external_lex_state = 3},
  [4228] = {.lex_state = 479, .external_lex_state = 3},
  [4229] = {.lex_state = 479, .external_lex_state = 3},
  [4230] = {.lex_state = 479, .external_lex_state = 3},
  [4231] = {.lex_state = 479, .external_lex_state = 3},
  [4232] = {.lex_state = 185, .external_lex_state = 2},
  [4233] = {.lex_state = 185, .external_lex_state = 2},
  [4234] = {.lex_state = 185, .external_lex_state = 2},
  [4235] = {.lex_state = 185, .external_lex_state = 2},
  [4236] = {.lex_state = 185, .external_lex_state = 2},
  [4237] = {.lex_state = 185, .external_lex_state = 2},
  [4238] = {.lex_state = 185, .external_lex_state = 2},
  [4239] = {.lex_state = 185, .external_lex_state = 2},
  [4240] = {.lex_state = 185, .external_lex_state = 2},
  [4241] = {.lex_state = 185, .external_lex_state = 2},
  [4242] = {.lex_state = 185, .external_lex_state = 2},
  [4243] = {.lex_state = 185, .external_lex_state = 2},
  [4244] = {.lex_state = 185, .external_lex_state = 2},
  [4245] = {.lex_state = 381, .external_lex_state = 3},
  [4246] = {.lex_state = 433, .external_lex_state = 13},
  [4247] = {.lex_state = 395, .external_lex_state = 3},
  [4248] = {.lex_state = 185, .external_lex_state = 38},
  [4249] = {.lex_state = 185, .external_lex_state = 2},
  [4250] = {.lex_state = 185, .external_lex_state = 2},
  [4251] = {.lex_state = 479, .external_lex_state = 15},
  [4252] = {.lex_state = 228, .external_lex_state = 8},
  [4253] = {.lex_state = 271, .external_lex_state = 2},
  [4254] = {.lex_state = 228, .external_lex_state = 8},
  [4255] = {.lex_state = 375, .external_lex_state = 14},
  [4256] = {.lex_state = 375, .external_lex_state = 14},
  [4257] = {.lex_state = 375, .external_lex_state = 14},
  [4258] = {.lex_state = 375, .external_lex_state = 14},
  [4259] = {.lex_state = 375, .external_lex_state = 14},
  [4260] = {.lex_state = 375, .external_lex_state = 14},
  [4261] = {.lex_state = 375, .external_lex_state = 14},
  [4262] = {.lex_state = 375, .external_lex_state = 14},
  [4263] = {.lex_state = 375, .external_lex_state = 14},
  [4264] = {.lex_state = 375, .external_lex_state = 14},
  [4265] = {.lex_state = 375, .external_lex_state = 14},
  [4266] = {.lex_state = 455, .external_lex_state = 22},
  [4267] = {.lex_state = 375, .external_lex_state = 14},
  [4268] = {.lex_state = 375, .external_lex_state = 14},
  [4269] = {.lex_state = 375, .external_lex_state = 14},
  [4270] = {.lex_state = 375, .external_lex_state = 14},
  [4271] = {.lex_state = 375, .external_lex_state = 14},
  [4272] = {.lex_state = 185, .external_lex_state = 2},
  [4273] = {.lex_state = 385, .external_lex_state = 11},
  [4274] = {.lex_state = 385, .external_lex_state = 11},
  [4275] = {.lex_state = 385, .external_lex_state = 11},
  [4276] = {.lex_state = 385, .external_lex_state = 11},
  [4277] = {.lex_state = 185, .external_lex_state = 2},
  [4278] = {.lex_state = 185, .external_lex_state = 2},
  [4279] = {.lex_state = 185, .external_lex_state = 2},
  [4280] = {.lex_state = 379, .external_lex_state = 3},
  [4281] = {.lex_state = 385, .external_lex_state = 11},
  [4282] = {.lex_state = 206},
  [4283] = {.lex_state = 379, .external_lex_state = 3},
  [4284] = {.lex_state = 379, .external_lex_state = 15},
  [4285] = {.lex_state = 379, .external_lex_state = 3},
  [4286] = {.lex_state = 467, .external_lex_state = 3},
  [4287] = {.lex_state = 467, .external_lex_state = 15},
  [4288] = {.lex_state = 185, .external_lex_state = 2},
  [4289] = {.lex_state = 379, .external_lex_state = 3},
  [4290] = {.lex_state = 467, .external_lex_state = 3},
  [4291] = {.lex_state = 467, .external_lex_state = 3},
  [4292] = {.lex_state = 185, .external_lex_state = 2},
  [4293] = {.lex_state = 185, .external_lex_state = 2},
  [4294] = {.lex_state = 185, .external_lex_state = 2},
  [4295] = {.lex_state = 185, .external_lex_state = 2},
  [4296] = {.lex_state = 185, .external_lex_state = 2},
  [4297] = {.lex_state = 185, .external_lex_state = 2},
  [4298] = {.lex_state = 185, .external_lex_state = 2},
  [4299] = {.lex_state = 185, .external_lex_state = 2},
  [4300] = {.lex_state = 185, .external_lex_state = 2},
  [4301] = {.lex_state = 185, .external_lex_state = 2},
  [4302] = {.lex_state = 185, .external_lex_state = 2},
  [4303] = {.lex_state = 185, .external_lex_state = 2},
  [4304] = {.lex_state = 185, .external_lex_state = 2},
  [4305] = {.lex_state = 379, .external_lex_state = 3},
  [4306] = {.lex_state = 433, .external_lex_state = 13},
  [4307] = {.lex_state = 379, .external_lex_state = 3},
  [4308] = {.lex_state = 185, .external_lex_state = 38},
  [4309] = {.lex_state = 185, .external_lex_state = 2},
  [4310] = {.lex_state = 185, .external_lex_state = 2},
  [4311] = {.lex_state = 467, .external_lex_state = 15},
  [4312] = {.lex_state = 185, .external_lex_state = 2},
  [4313] = {.lex_state = 185, .external_lex_state = 2},
  [4314] = {.lex_state = 185, .external_lex_state = 2},
  [4315] = {.lex_state = 185, .external_lex_state = 2},
  [4316] = {.lex_state = 185, .external_lex_state = 2},
  [4317] = {.lex_state = 375, .external_lex_state = 14},
  [4318] = {.lex_state = 375, .external_lex_state = 14},
  [4319] = {.lex_state = 206},
  [4320] = {.lex_state = 379, .external_lex_state = 3},
  [4321] = {.lex_state = 375, .external_lex_state = 14},
  [4322] = {.lex_state = 381, .external_lex_state = 15},
  [4323] = {.lex_state = 273, .external_lex_state = 17},
  [4324] = {.lex_state = 273, .external_lex_state = 17},
  [4325] = {.lex_state = 170, .external_lex_state = 4},
  [4326] = {.lex_state = 251, .external_lex_state = 16},
  [4327] = {.lex_state = 273, .external_lex_state = 17},
  [4328] = {.lex_state = 170, .external_lex_state = 4},
  [4329] = {.lex_state = 273, .external_lex_state = 17},
  [4330] = {.lex_state = 273, .external_lex_state = 17},
  [4331] = {.lex_state = 170, .external_lex_state = 4},
  [4332] = {.lex_state = 251, .external_lex_state = 16},
  [4333] = {.lex_state = 273, .external_lex_state = 17},
  [4334] = {.lex_state = 170, .external_lex_state = 4},
  [4335] = {.lex_state = 170, .external_lex_state = 18},
  [4336] = {.lex_state = 273, .external_lex_state = 17},
  [4337] = {.lex_state = 228},
  [4338] = {.lex_state = 273, .external_lex_state = 17},
  [4339] = {.lex_state = 273, .external_lex_state = 17},
  [4340] = {.lex_state = 343, .external_lex_state = 40},
  [4341] = {.lex_state = 185, .external_lex_state = 2},
  [4342] = {.lex_state = 185, .external_lex_state = 2},
  [4343] = {.lex_state = 185, .external_lex_state = 2},
  [4344] = {.lex_state = 185, .external_lex_state = 2},
  [4345] = {.lex_state = 395, .external_lex_state = 32},
  [4346] = {.lex_state = 206},
  [4347] = {.lex_state = 379, .external_lex_state = 32},
  [4348] = {.lex_state = 395, .external_lex_state = 32},
  [4349] = {.lex_state = 479, .external_lex_state = 32},
  [4350] = {.lex_state = 479, .external_lex_state = 40},
  [4351] = {.lex_state = 185, .external_lex_state = 2},
  [4352] = {.lex_state = 395, .external_lex_state = 32},
  [4353] = {.lex_state = 185, .external_lex_state = 2},
  [4354] = {.lex_state = 185, .external_lex_state = 2},
  [4355] = {.lex_state = 123, .external_lex_state = 19},
  [4356] = {.lex_state = 185, .external_lex_state = 2},
  [4357] = {.lex_state = 477, .external_lex_state = 34},
  [4358] = {.lex_state = 479, .external_lex_state = 32},
  [4359] = {.lex_state = 479, .external_lex_state = 32},
  [4360] = {.lex_state = 479, .external_lex_state = 32},
  [4361] = {.lex_state = 479, .external_lex_state = 36},
  [4362] = {.lex_state = 479, .external_lex_state = 32},
  [4363] = {.lex_state = 479, .external_lex_state = 32},
  [4364] = {.lex_state = 185, .external_lex_state = 2},
  [4365] = {.lex_state = 185, .external_lex_state = 2},
  [4366] = {.lex_state = 185, .external_lex_state = 2},
  [4367] = {.lex_state = 185, .external_lex_state = 2},
  [4368] = {.lex_state = 185, .external_lex_state = 2},
  [4369] = {.lex_state = 185, .external_lex_state = 2},
  [4370] = {.lex_state = 185, .external_lex_state = 2},
  [4371] = {.lex_state = 185, .external_lex_state = 2},
  [4372] = {.lex_state = 185, .external_lex_state = 2},
  [4373] = {.lex_state = 185, .external_lex_state = 2},
  [4374] = {.lex_state = 185, .external_lex_state = 2},
  [4375] = {.lex_state = 185, .external_lex_state = 2},
  [4376] = {.lex_state = 185, .external_lex_state = 2},
  [4377] = {.lex_state = 185, .external_lex_state = 2},
  [4378] = {.lex_state = 185, .external_lex_state = 2},
  [4379] = {.lex_state = 123, .external_lex_state = 19},
  [4380] = {.lex_state = 185, .external_lex_state = 2},
  [4381] = {.lex_state = 477, .external_lex_state = 34},
  [4382] = {.lex_state = 467, .external_lex_state = 32},
  [4383] = {.lex_state = 467, .external_lex_state = 32},
  [4384] = {.lex_state = 467, .external_lex_state = 32},
  [4385] = {.lex_state = 467, .external_lex_state = 36},
  [4386] = {.lex_state = 395, .external_lex_state = 32},
  [4387] = {.lex_state = 433, .external_lex_state = 13},
  [4388] = {.lex_state = 395, .external_lex_state = 32},
  [4389] = {.lex_state = 185, .external_lex_state = 38},
  [4390] = {.lex_state = 185, .external_lex_state = 2},
  [4391] = {.lex_state = 185, .external_lex_state = 2},
  [4392] = {.lex_state = 479, .external_lex_state = 40},
  [4393] = {.lex_state = 375, .external_lex_state = 35},
  [4394] = {.lex_state = 375, .external_lex_state = 35},
  [4395] = {.lex_state = 375, .external_lex_state = 35},
  [4396] = {.lex_state = 375, .external_lex_state = 35},
  [4397] = {.lex_state = 375, .external_lex_state = 35},
  [4398] = {.lex_state = 375, .external_lex_state = 35},
  [4399] = {.lex_state = 455, .external_lex_state = 22},
  [4400] = {.lex_state = 375, .external_lex_state = 35},
  [4401] = {.lex_state = 375, .external_lex_state = 35},
  [4402] = {.lex_state = 375, .external_lex_state = 35},
  [4403] = {.lex_state = 375, .external_lex_state = 35},
  [4404] = {.lex_state = 375, .external_lex_state = 35},
  [4405] = {.lex_state = 391, .external_lex_state = 32},
  [4406] = {.lex_state = 226, .external_lex_state = 23},
  [4407] = {.lex_state = 226},
  [4408] = {.lex_state = 483, .external_lex_state = 33},
  [4409] = {.lex_state = 316, .external_lex_state = 13},
  [4410] = {.lex_state = 483, .external_lex_state = 33},
  [4411] = {.lex_state = 483, .external_lex_state = 33},
  [4412] = {.lex_state = 483, .external_lex_state = 33},
  [4413] = {.lex_state = 190, .external_lex_state = 37},
  [4414] = {.lex_state = 185, .external_lex_state = 2},
  [4415] = {.lex_state = 377, .external_lex_state = 33},
  [4416] = {.lex_state = 377, .external_lex_state = 33},
  [4417] = {.lex_state = 377, .external_lex_state = 33},
  [4418] = {.lex_state = 377, .external_lex_state = 33},
  [4419] = {.lex_state = 185, .external_lex_state = 2},
  [4420] = {.lex_state = 185, .external_lex_state = 2},
  [4421] = {.lex_state = 185, .external_lex_state = 2},
  [4422] = {.lex_state = 379, .external_lex_state = 32},
  [4423] = {.lex_state = 377, .external_lex_state = 33},
  [4424] = {.lex_state = 206},
  [4425] = {.lex_state = 379, .external_lex_state = 32},
  [4426] = {.lex_state = 379, .external_lex_state = 40},
  [4427] = {.lex_state = 379, .external_lex_state = 32},
  [4428] = {.lex_state = 467, .external_lex_state = 32},
  [4429] = {.lex_state = 467, .external_lex_state = 40},
  [4430] = {.lex_state = 185, .external_lex_state = 2},
  [4431] = {.lex_state = 349, .external_lex_state = 32},
  [4432] = {.lex_state = 187},
  [4433] = {.lex_state = 271, .external_lex_state = 2},
  [4434] = {.lex_state = 379, .external_lex_state = 32},
  [4435] = {.lex_state = 391, .external_lex_state = 32},
  [4436] = {.lex_state = 123},
  [4437] = {.lex_state = 123, .external_lex_state = 12},
  [4438] = {.lex_state = 361, .external_lex_state = 2},
  [4439] = {.lex_state = 467, .external_lex_state = 32},
  [4440] = {.lex_state = 467, .external_lex_state = 32},
  [4441] = {.lex_state = 185, .external_lex_state = 2},
  [4442] = {.lex_state = 185, .external_lex_state = 2},
  [4443] = {.lex_state = 185, .external_lex_state = 2},
  [4444] = {.lex_state = 185, .external_lex_state = 2},
  [4445] = {.lex_state = 185, .external_lex_state = 2},
  [4446] = {.lex_state = 185, .external_lex_state = 2},
  [4447] = {.lex_state = 185, .external_lex_state = 2},
  [4448] = {.lex_state = 185, .external_lex_state = 2},
  [4449] = {.lex_state = 185, .external_lex_state = 2},
  [4450] = {.lex_state = 185, .external_lex_state = 2},
  [4451] = {.lex_state = 185, .external_lex_state = 2},
  [4452] = {.lex_state = 185, .external_lex_state = 2},
  [4453] = {.lex_state = 185, .external_lex_state = 2},
  [4454] = {.lex_state = 357, .external_lex_state = 2},
  [4455] = {.lex_state = 391, .external_lex_state = 32},
  [4456] = {.lex_state = 379, .external_lex_state = 32},
  [4457] = {.lex_state = 433, .external_lex_state = 13},
  [4458] = {.lex_state = 379, .external_lex_state = 32},
  [4459] = {.lex_state = 185, .external_lex_state = 38},
  [4460] = {.lex_state = 185, .external_lex_state = 2},
  [4461] = {.lex_state = 185, .external_lex_state = 2},
  [4462] = {.lex_state = 467, .external_lex_state = 40},
  [4463] = {.lex_state = 185, .external_lex_state = 2},
  [4464] = {.lex_state = 375, .external_lex_state = 35},
  [4465] = {.lex_state = 375, .external_lex_state = 35},
  [4466] = {.lex_state = 375, .external_lex_state = 35},
  [4467] = {.lex_state = 395, .external_lex_state = 40},
  [4468] = {.lex_state = 123, .external_lex_state = 2},
  [4469] = {.lex_state = 123, .external_lex_state = 2},
  [4470] = {.lex_state = 273, .external_lex_state = 17},
  [4471] = {.lex_state = 273, .external_lex_state = 17},
  [4472] = {.lex_state = 343, .external_lex_state = 32},
  [4473] = {.lex_state = 202},
  [4474] = {.lex_state = 322, .external_lex_state = 32},
  [4475] = {.lex_state = 322, .external_lex_state = 32},
  [4476] = {.lex_state = 322, .external_lex_state = 32},
  [4477] = {.lex_state = 322, .external_lex_state = 32},
  [4478] = {.lex_state = 322, .external_lex_state = 32},
  [4479] = {.lex_state = 322, .external_lex_state = 32},
  [4480] = {.lex_state = 322, .external_lex_state = 32},
  [4481] = {.lex_state = 322, .external_lex_state = 32},
  [4482] = {.lex_state = 322, .external_lex_state = 32},
  [4483] = {.lex_state = 322, .external_lex_state = 32},
  [4484] = {.lex_state = 455, .external_lex_state = 22},
  [4485] = {.lex_state = 322, .external_lex_state = 32},
  [4486] = {.lex_state = 322, .external_lex_state = 32},
  [4487] = {.lex_state = 322, .external_lex_state = 32},
  [4488] = {.lex_state = 322, .external_lex_state = 32},
  [4489] = {.lex_state = 322, .external_lex_state = 32},
  [4490] = {.lex_state = 343, .external_lex_state = 32},
  [4491] = {.lex_state = 170, .external_lex_state = 18},
  [4492] = {.lex_state = 284, .external_lex_state = 32},
  [4493] = {.lex_state = 343, .external_lex_state = 32},
  [4494] = {.lex_state = 433, .external_lex_state = 43},
  [4495] = {.lex_state = 284, .external_lex_state = 32},
  [4496] = {.lex_state = 322, .external_lex_state = 32},
  [4497] = {.lex_state = 322, .external_lex_state = 32},
  [4498] = {.lex_state = 343, .external_lex_state = 32},
  [4499] = {.lex_state = 322, .external_lex_state = 32},
  [4500] = {.lex_state = 322, .external_lex_state = 32},
  [4501] = {.lex_state = 322, .external_lex_state = 32},
  [4502] = {.lex_state = 322, .external_lex_state = 40},
  [4503] = {.lex_state = 273, .external_lex_state = 17},
  [4504] = {.lex_state = 123},
  [4505] = {.lex_state = 123},
  [4506] = {.lex_state = 123, .external_lex_state = 2},
  [4507] = {.lex_state = 273, .external_lex_state = 17},
  [4508] = {.lex_state = 123},
  [4509] = {.lex_state = 123},
  [4510] = {.lex_state = 273, .external_lex_state = 17},
  [4511] = {.lex_state = 123},
  [4512] = {.lex_state = 273, .external_lex_state = 17},
  [4513] = {.lex_state = 123},
  [4514] = {.lex_state = 123, .external_lex_state = 2},
  [4515] = {.lex_state = 123},
  [4516] = {.lex_state = 123},
  [4517] = {.lex_state = 273, .external_lex_state = 17},
  [4518] = {.lex_state = 273, .external_lex_state = 17},
  [4519] = {.lex_state = 123},
  [4520] = {.lex_state = 123},
  [4521] = {.lex_state = 273, .external_lex_state = 17},
  [4522] = {.lex_state = 273, .external_lex_state = 17},
  [4523] = {.lex_state = 187},
  [4524] = {.lex_state = 273, .external_lex_state = 17},
  [4525] = {.lex_state = 123},
  [4526] = {.lex_state = 123, .external_lex_state = 2},
  [4527] = {.lex_state = 123, .external_lex_state = 12},
  [4528] = {.lex_state = 185, .external_lex_state = 2},
  [4529] = {.lex_state = 280, .external_lex_state = 17},
  [4530] = {.lex_state = 226},
  [4531] = {.lex_state = 278, .external_lex_state = 20},
  [4532] = {.lex_state = 202, .external_lex_state = 23},
  [4533] = {.lex_state = 202},
  [4534] = {.lex_state = 278, .external_lex_state = 20},
  [4535] = {.lex_state = 349, .external_lex_state = 36},
  [4536] = {.lex_state = 349, .external_lex_state = 32},
  [4537] = {.lex_state = 349, .external_lex_state = 32},
  [4538] = {.lex_state = 349, .external_lex_state = 32},
  [4539] = {.lex_state = 349, .external_lex_state = 32},
  [4540] = {.lex_state = 185, .external_lex_state = 16},
  [4541] = {.lex_state = 251, .external_lex_state = 16},
  [4542] = {.lex_state = 349, .external_lex_state = 32},
  [4543] = {.lex_state = 170, .external_lex_state = 4},
  [4544] = {.lex_state = 251, .external_lex_state = 16},
  [4545] = {.lex_state = 349, .external_lex_state = 32},
  [4546] = {.lex_state = 185, .external_lex_state = 16},
  [4547] = {.lex_state = 251, .external_lex_state = 16},
  [4548] = {.lex_state = 349, .external_lex_state = 32},
  [4549] = {.lex_state = 170, .external_lex_state = 4},
  [4550] = {.lex_state = 251, .external_lex_state = 16},
  [4551] = {.lex_state = 349, .external_lex_state = 40},
  [4552] = {.lex_state = 185, .external_lex_state = 16},
  [4553] = {.lex_state = 349, .external_lex_state = 32},
  [4554] = {.lex_state = 349, .external_lex_state = 32},
  [4555] = {.lex_state = 202},
  [4556] = {.lex_state = 365, .external_lex_state = 32},
  [4557] = {.lex_state = 280, .external_lex_state = 17},
  [4558] = {.lex_state = 187},
  [4559] = {.lex_state = 349, .external_lex_state = 32},
  [4560] = {.lex_state = 187},
  [4561] = {.lex_state = 282, .external_lex_state = 22},
  [4562] = {.lex_state = 217, .external_lex_state = 7},
  [4563] = {.lex_state = 123, .external_lex_state = 2},
  [4564] = {.lex_state = 349, .external_lex_state = 32},
  [4565] = {.lex_state = 237, .external_lex_state = 14},
  [4566] = {.lex_state = 123, .external_lex_state = 8},
  [4567] = {.lex_state = 123, .external_lex_state = 2},
  [4568] = {.lex_state = 349, .external_lex_state = 32},
  [4569] = {.lex_state = 123, .external_lex_state = 2},
  [4570] = {.lex_state = 123, .external_lex_state = 12},
  [4571] = {.lex_state = 123, .external_lex_state = 2},
  [4572] = {.lex_state = 123, .external_lex_state = 2},
  [4573] = {.lex_state = 123, .external_lex_state = 2},
  [4574] = {.lex_state = 123, .external_lex_state = 8},
  [4575] = {.lex_state = 280, .external_lex_state = 17},
  [4576] = {.lex_state = 123},
  [4577] = {.lex_state = 123, .external_lex_state = 2},
  [4578] = {.lex_state = 123, .external_lex_state = 12},
  [4579] = {.lex_state = 123},
  [4580] = {.lex_state = 123},
  [4581] = {.lex_state = 123},
  [4582] = {.lex_state = 349, .external_lex_state = 32},
  [4583] = {.lex_state = 123},
  [4584] = {.lex_state = 123},
  [4585] = {.lex_state = 123},
  [4586] = {.lex_state = 349, .external_lex_state = 32},
  [4587] = {.lex_state = 349, .external_lex_state = 32},
  [4588] = {.lex_state = 226},
  [4589] = {.lex_state = 349, .external_lex_state = 32},
  [4590] = {.lex_state = 349, .external_lex_state = 32},
  [4591] = {.lex_state = 365, .external_lex_state = 32},
  [4592] = {.lex_state = 365, .external_lex_state = 32},
  [4593] = {.lex_state = 365, .external_lex_state = 32},
  [4594] = {.lex_state = 365, .external_lex_state = 32},
  [4595] = {.lex_state = 365, .external_lex_state = 32},
  [4596] = {.lex_state = 365, .external_lex_state = 32},
  [4597] = {.lex_state = 365, .external_lex_state = 32},
  [4598] = {.lex_state = 455, .external_lex_state = 22},
  [4599] = {.lex_state = 365, .external_lex_state = 32},
  [4600] = {.lex_state = 365, .external_lex_state = 32},
  [4601] = {.lex_state = 365, .external_lex_state = 32},
  [4602] = {.lex_state = 365, .external_lex_state = 32},
  [4603] = {.lex_state = 365, .external_lex_state = 32},
  [4604] = {.lex_state = 280, .external_lex_state = 17},
  [4605] = {.lex_state = 349, .external_lex_state = 32},
  [4606] = {.lex_state = 170, .external_lex_state = 18},
  [4607] = {.lex_state = 365, .external_lex_state = 32},
  [4608] = {.lex_state = 349, .external_lex_state = 32},
  [4609] = {.lex_state = 433, .external_lex_state = 43},
  [4610] = {.lex_state = 365, .external_lex_state = 32},
  [4611] = {.lex_state = 365, .external_lex_state = 32},
  [4612] = {.lex_state = 365, .external_lex_state = 32},
  [4613] = {.lex_state = 349, .external_lex_state = 32},
  [4614] = {.lex_state = 365, .external_lex_state = 32},
  [4615] = {.lex_state = 365, .external_lex_state = 32},
  [4616] = {.lex_state = 365, .external_lex_state = 32},
  [4617] = {.lex_state = 365, .external_lex_state = 40},
  [4618] = {.lex_state = 282, .external_lex_state = 22},
  [4619] = {.lex_state = 282, .external_lex_state = 22},
  [4620] = {.lex_state = 282, .external_lex_state = 22},
  [4621] = {.lex_state = 282, .external_lex_state = 22},
  [4622] = {.lex_state = 185, .external_lex_state = 2},
  [4623] = {.lex_state = 185, .external_lex_state = 2},
  [4624] = {.lex_state = 185, .external_lex_state = 2},
  [4625] = {.lex_state = 185, .external_lex_state = 2},
  [4626] = {.lex_state = 185, .external_lex_state = 2},
  [4627] = {.lex_state = 185, .external_lex_state = 2},
  [4628] = {.lex_state = 185, .external_lex_state = 2},
  [4629] = {.lex_state = 185, .external_lex_state = 2},
  [4630] = {.lex_state = 185, .external_lex_state = 2},
  [4631] = {.lex_state = 185, .external_lex_state = 2},
  [4632] = {.lex_state = 185, .external_lex_state = 2},
  [4633] = {.lex_state = 185, .external_lex_state = 2},
  [4634] = {.lex_state = 185, .external_lex_state = 38},
  [4635] = {.lex_state = 282, .external_lex_state = 22},
  [4636] = {.lex_state = 185, .external_lex_state = 38},
  [4637] = {.lex_state = 185, .external_lex_state = 2},
  [4638] = {.lex_state = 151, .external_lex_state = 39},
  [4639] = {.lex_state = 187, .external_lex_state = 6},
  [4640] = {.lex_state = 170, .external_lex_state = 18},
  [4641] = {.lex_state = 187, .external_lex_state = 23},
  [4642] = {.lex_state = 185, .external_lex_state = 2},
  [4643] = {.lex_state = 185, .external_lex_state = 2},
  [4644] = {.lex_state = 185, .external_lex_state = 2},
  [4645] = {.lex_state = 185, .external_lex_state = 2},
  [4646] = {.lex_state = 411, .external_lex_state = 32},
  [4647] = {.lex_state = 206},
  [4648] = {.lex_state = 296, .external_lex_state = 32},
  [4649] = {.lex_state = 411, .external_lex_state = 32},
  [4650] = {.lex_state = 411, .external_lex_state = 32},
  [4651] = {.lex_state = 185, .external_lex_state = 2},
  [4652] = {.lex_state = 411, .external_lex_state = 32},
  [4653] = {.lex_state = 411, .external_lex_state = 32},
  [4654] = {.lex_state = 411, .external_lex_state = 32},
  [4655] = {.lex_state = 185, .external_lex_state = 2},
  [4656] = {.lex_state = 185, .external_lex_state = 2},
  [4657] = {.lex_state = 185, .external_lex_state = 2},
  [4658] = {.lex_state = 185, .external_lex_state = 2},
  [4659] = {.lex_state = 185, .external_lex_state = 2},
  [4660] = {.lex_state = 185, .external_lex_state = 2},
  [4661] = {.lex_state = 185, .external_lex_state = 2},
  [4662] = {.lex_state = 185, .external_lex_state = 2},
  [4663] = {.lex_state = 185, .external_lex_state = 2},
  [4664] = {.lex_state = 185, .external_lex_state = 2},
  [4665] = {.lex_state = 185, .external_lex_state = 2},
  [4666] = {.lex_state = 185, .external_lex_state = 2},
  [4667] = {.lex_state = 185, .external_lex_state = 2},
  [4668] = {.lex_state = 298, .external_lex_state = 32},
  [4669] = {.lex_state = 433, .external_lex_state = 13},
  [4670] = {.lex_state = 411, .external_lex_state = 32},
  [4671] = {.lex_state = 185, .external_lex_state = 38},
  [4672] = {.lex_state = 185, .external_lex_state = 2},
  [4673] = {.lex_state = 185, .external_lex_state = 2},
  [4674] = {.lex_state = 282, .external_lex_state = 22},
  [4675] = {.lex_state = 282, .external_lex_state = 22},
  [4676] = {.lex_state = 217, .external_lex_state = 7},
  [4677] = {.lex_state = 282, .external_lex_state = 22},
  [4678] = {.lex_state = 282, .external_lex_state = 22},
  [4679] = {.lex_state = 282, .external_lex_state = 22},
  [4680] = {.lex_state = 282, .external_lex_state = 22},
  [4681] = {.lex_state = 455, .external_lex_state = 22},
  [4682] = {.lex_state = 282, .external_lex_state = 22},
  [4683] = {.lex_state = 282, .external_lex_state = 22},
  [4684] = {.lex_state = 282, .external_lex_state = 22},
  [4685] = {.lex_state = 282, .external_lex_state = 22},
  [4686] = {.lex_state = 282, .external_lex_state = 22},
  [4687] = {.lex_state = 185, .external_lex_state = 2},
  [4688] = {.lex_state = 403, .external_lex_state = 33},
  [4689] = {.lex_state = 403, .external_lex_state = 33},
  [4690] = {.lex_state = 403, .external_lex_state = 33},
  [4691] = {.lex_state = 403, .external_lex_state = 33},
  [4692] = {.lex_state = 185, .external_lex_state = 2},
  [4693] = {.lex_state = 185, .external_lex_state = 2},
  [4694] = {.lex_state = 185, .external_lex_state = 2},
  [4695] = {.lex_state = 296, .external_lex_state = 32},
  [4696] = {.lex_state = 403, .external_lex_state = 33},
  [4697] = {.lex_state = 206},
  [4698] = {.lex_state = 296, .external_lex_state = 32},
  [4699] = {.lex_state = 296, .external_lex_state = 40},
  [4700] = {.lex_state = 296, .external_lex_state = 32},
  [4701] = {.lex_state = 413, .external_lex_state = 32},
  [4702] = {.lex_state = 413, .external_lex_state = 40},
  [4703] = {.lex_state = 185, .external_lex_state = 2},
  [4704] = {.lex_state = 296, .external_lex_state = 32},
  [4705] = {.lex_state = 413, .external_lex_state = 32},
  [4706] = {.lex_state = 413, .external_lex_state = 32},
  [4707] = {.lex_state = 185, .external_lex_state = 2},
  [4708] = {.lex_state = 185, .external_lex_state = 2},
  [4709] = {.lex_state = 185, .external_lex_state = 2},
  [4710] = {.lex_state = 185, .external_lex_state = 2},
  [4711] = {.lex_state = 185, .external_lex_state = 2},
  [4712] = {.lex_state = 185, .external_lex_state = 2},
  [4713] = {.lex_state = 185, .external_lex_state = 2},
  [4714] = {.lex_state = 185, .external_lex_state = 2},
  [4715] = {.lex_state = 185, .external_lex_state = 2},
  [4716] = {.lex_state = 185, .external_lex_state = 2},
  [4717] = {.lex_state = 185, .external_lex_state = 2},
  [4718] = {.lex_state = 185, .external_lex_state = 2},
  [4719] = {.lex_state = 185, .external_lex_state = 2},
  [4720] = {.lex_state = 296, .external_lex_state = 32},
  [4721] = {.lex_state = 433, .external_lex_state = 13},
  [4722] = {.lex_state = 296, .external_lex_state = 32},
  [4723] = {.lex_state = 185, .external_lex_state = 38},
  [4724] = {.lex_state = 185, .external_lex_state = 2},
  [4725] = {.lex_state = 185, .external_lex_state = 2},
  [4726] = {.lex_state = 413, .external_lex_state = 40},
  [4727] = {.lex_state = 185, .external_lex_state = 2},
  [4728] = {.lex_state = 185, .external_lex_state = 2},
  [4729] = {.lex_state = 507, .external_lex_state = 20},
  [4730] = {.lex_state = 507, .external_lex_state = 20},
  [4731] = {.lex_state = 507, .external_lex_state = 20},
  [4732] = {.lex_state = 507, .external_lex_state = 20},
  [4733] = {.lex_state = 185, .external_lex_state = 2},
  [4734] = {.lex_state = 185, .external_lex_state = 2},
  [4735] = {.lex_state = 185, .external_lex_state = 2},
  [4736] = {.lex_state = 282, .external_lex_state = 22},
  [4737] = {.lex_state = 282, .external_lex_state = 22},
  [4738] = {.lex_state = 206},
  [4739] = {.lex_state = 296, .external_lex_state = 17},
  [4740] = {.lex_state = 493, .external_lex_state = 39},
  [4741] = {.lex_state = 282, .external_lex_state = 22},
  [4742] = {.lex_state = 298, .external_lex_state = 39},
  [4743] = {.lex_state = 123, .external_lex_state = 2},
  [4744] = {.lex_state = 123, .external_lex_state = 12},
  [4745] = {.lex_state = 282},
  [4746] = {.lex_state = 357, .external_lex_state = 2},
  [4747] = {.lex_state = 361, .external_lex_state = 12},
  [4748] = {.lex_state = 123},
  [4749] = {.lex_state = 243, .external_lex_state = 8},
  [4750] = {.lex_state = 437, .external_lex_state = 14},
  [4751] = {.lex_state = 437, .external_lex_state = 14},
  [4752] = {.lex_state = 190},
  [4753] = {.lex_state = 243, .external_lex_state = 8},
  [4754] = {.lex_state = 185, .external_lex_state = 2},
  [4755] = {.lex_state = 527, .external_lex_state = 33},
  [4756] = {.lex_state = 527, .external_lex_state = 33},
  [4757] = {.lex_state = 527, .external_lex_state = 33},
  [4758] = {.lex_state = 527, .external_lex_state = 33},
  [4759] = {.lex_state = 185, .external_lex_state = 2},
  [4760] = {.lex_state = 185, .external_lex_state = 2},
  [4761] = {.lex_state = 185, .external_lex_state = 2},
  [4762] = {.lex_state = 499, .external_lex_state = 32},
  [4763] = {.lex_state = 206},
  [4764] = {.lex_state = 296, .external_lex_state = 32},
  [4765] = {.lex_state = 499, .external_lex_state = 40},
  [4766] = {.lex_state = 499, .external_lex_state = 32},
  [4767] = {.lex_state = 489, .external_lex_state = 32},
  [4768] = {.lex_state = 489, .external_lex_state = 40},
  [4769] = {.lex_state = 185, .external_lex_state = 2},
  [4770] = {.lex_state = 499, .external_lex_state = 32},
  [4771] = {.lex_state = 185, .external_lex_state = 2},
  [4772] = {.lex_state = 185, .external_lex_state = 2},
  [4773] = {.lex_state = 123, .external_lex_state = 19},
  [4774] = {.lex_state = 185, .external_lex_state = 2},
  [4775] = {.lex_state = 429, .external_lex_state = 34},
  [4776] = {.lex_state = 489, .external_lex_state = 32},
  [4777] = {.lex_state = 489, .external_lex_state = 32},
  [4778] = {.lex_state = 489, .external_lex_state = 32},
  [4779] = {.lex_state = 489, .external_lex_state = 36},
  [4780] = {.lex_state = 489, .external_lex_state = 32},
  [4781] = {.lex_state = 489, .external_lex_state = 32},
  [4782] = {.lex_state = 185, .external_lex_state = 2},
  [4783] = {.lex_state = 185, .external_lex_state = 2},
  [4784] = {.lex_state = 185, .external_lex_state = 2},
  [4785] = {.lex_state = 185, .external_lex_state = 2},
  [4786] = {.lex_state = 185, .external_lex_state = 2},
  [4787] = {.lex_state = 185, .external_lex_state = 2},
  [4788] = {.lex_state = 185, .external_lex_state = 2},
  [4789] = {.lex_state = 185, .external_lex_state = 2},
  [4790] = {.lex_state = 185, .external_lex_state = 2},
  [4791] = {.lex_state = 185, .external_lex_state = 2},
  [4792] = {.lex_state = 185, .external_lex_state = 2},
  [4793] = {.lex_state = 185, .external_lex_state = 2},
  [4794] = {.lex_state = 185, .external_lex_state = 2},
  [4795] = {.lex_state = 302, .external_lex_state = 42},
  [4796] = {.lex_state = 433, .external_lex_state = 13},
  [4797] = {.lex_state = 302, .external_lex_state = 42},
  [4798] = {.lex_state = 185, .external_lex_state = 38},
  [4799] = {.lex_state = 185, .external_lex_state = 2},
  [4800] = {.lex_state = 185, .external_lex_state = 2},
  [4801] = {.lex_state = 489, .external_lex_state = 40},
  [4802] = {.lex_state = 411, .external_lex_state = 3},
  [4803] = {.lex_state = 411, .external_lex_state = 3},
  [4804] = {.lex_state = 411, .external_lex_state = 3},
  [4805] = {.lex_state = 411, .external_lex_state = 3},
  [4806] = {.lex_state = 411, .external_lex_state = 3},
  [4807] = {.lex_state = 185, .external_lex_state = 2},
  [4808] = {.lex_state = 185, .external_lex_state = 2},
  [4809] = {.lex_state = 185, .external_lex_state = 2},
  [4810] = {.lex_state = 185, .external_lex_state = 2},
  [4811] = {.lex_state = 185, .external_lex_state = 2},
  [4812] = {.lex_state = 185, .external_lex_state = 2},
  [4813] = {.lex_state = 185, .external_lex_state = 2},
  [4814] = {.lex_state = 185, .external_lex_state = 2},
  [4815] = {.lex_state = 185, .external_lex_state = 2},
  [4816] = {.lex_state = 185, .external_lex_state = 2},
  [4817] = {.lex_state = 185, .external_lex_state = 2},
  [4818] = {.lex_state = 185, .external_lex_state = 2},
  [4819] = {.lex_state = 185, .external_lex_state = 38},
  [4820] = {.lex_state = 185, .external_lex_state = 2},
  [4821] = {.lex_state = 493, .external_lex_state = 15},
  [4822] = {.lex_state = 411, .external_lex_state = 3},
  [4823] = {.lex_state = 411, .external_lex_state = 3},
  [4824] = {.lex_state = 411, .external_lex_state = 3},
  [4825] = {.lex_state = 185, .external_lex_state = 2},
  [4826] = {.lex_state = 411, .external_lex_state = 3},
  [4827] = {.lex_state = 185, .external_lex_state = 2},
  [4828] = {.lex_state = 411, .external_lex_state = 3},
  [4829] = {.lex_state = 433, .external_lex_state = 13},
  [4830] = {.lex_state = 411, .external_lex_state = 3},
  [4831] = {.lex_state = 185, .external_lex_state = 2},
  [4832] = {.lex_state = 411, .external_lex_state = 3},
  [4833] = {.lex_state = 411, .external_lex_state = 3},
  [4834] = {.lex_state = 411, .external_lex_state = 3},
  [4835] = {.lex_state = 411, .external_lex_state = 3},
  [4836] = {.lex_state = 411, .external_lex_state = 3},
  [4837] = {.lex_state = 411, .external_lex_state = 3},
  [4838] = {.lex_state = 411, .external_lex_state = 3},
  [4839] = {.lex_state = 455, .external_lex_state = 22},
  [4840] = {.lex_state = 411, .external_lex_state = 3},
  [4841] = {.lex_state = 411, .external_lex_state = 3},
  [4842] = {.lex_state = 411, .external_lex_state = 3},
  [4843] = {.lex_state = 411, .external_lex_state = 3},
  [4844] = {.lex_state = 411, .external_lex_state = 3},
  [4845] = {.lex_state = 413, .external_lex_state = 3},
  [4846] = {.lex_state = 413, .external_lex_state = 3},
  [4847] = {.lex_state = 185, .external_lex_state = 2},
  [4848] = {.lex_state = 413, .external_lex_state = 3},
  [4849] = {.lex_state = 185, .external_lex_state = 2},
  [4850] = {.lex_state = 413, .external_lex_state = 3},
  [4851] = {.lex_state = 433, .external_lex_state = 13},
  [4852] = {.lex_state = 413, .external_lex_state = 3},
  [4853] = {.lex_state = 185, .external_lex_state = 2},
  [4854] = {.lex_state = 298, .external_lex_state = 3},
  [4855] = {.lex_state = 433, .external_lex_state = 43},
  [4856] = {.lex_state = 298, .external_lex_state = 3},
  [4857] = {.lex_state = 411, .external_lex_state = 3},
  [4858] = {.lex_state = 411, .external_lex_state = 3},
  [4859] = {.lex_state = 411, .external_lex_state = 3},
  [4860] = {.lex_state = 411, .external_lex_state = 3},
  [4861] = {.lex_state = 411, .external_lex_state = 3},
  [4862] = {.lex_state = 411, .external_lex_state = 15},
  [4863] = {.lex_state = 282, .external_lex_state = 8},
  [4864] = {.lex_state = 123, .external_lex_state = 2},
  [4865] = {.lex_state = 185, .external_lex_state = 2},
  [4866] = {.lex_state = 296, .external_lex_state = 3},
  [4867] = {.lex_state = 296, .external_lex_state = 3},
  [4868] = {.lex_state = 296, .external_lex_state = 3},
  [4869] = {.lex_state = 185, .external_lex_state = 2},
  [4870] = {.lex_state = 185, .external_lex_state = 2},
  [4871] = {.lex_state = 185, .external_lex_state = 2},
  [4872] = {.lex_state = 185, .external_lex_state = 2},
  [4873] = {.lex_state = 185, .external_lex_state = 2},
  [4874] = {.lex_state = 185, .external_lex_state = 2},
  [4875] = {.lex_state = 185, .external_lex_state = 2},
  [4876] = {.lex_state = 185, .external_lex_state = 2},
  [4877] = {.lex_state = 185, .external_lex_state = 2},
  [4878] = {.lex_state = 185, .external_lex_state = 2},
  [4879] = {.lex_state = 185, .external_lex_state = 2},
  [4880] = {.lex_state = 185, .external_lex_state = 2},
  [4881] = {.lex_state = 185, .external_lex_state = 38},
  [4882] = {.lex_state = 185, .external_lex_state = 2},
  [4883] = {.lex_state = 296, .external_lex_state = 15},
  [4884] = {.lex_state = 296, .external_lex_state = 3},
  [4885] = {.lex_state = 413, .external_lex_state = 3},
  [4886] = {.lex_state = 413, .external_lex_state = 3},
  [4887] = {.lex_state = 413, .external_lex_state = 3},
  [4888] = {.lex_state = 413, .external_lex_state = 3},
  [4889] = {.lex_state = 413, .external_lex_state = 3},
  [4890] = {.lex_state = 413, .external_lex_state = 3},
  [4891] = {.lex_state = 296, .external_lex_state = 3},
  [4892] = {.lex_state = 455, .external_lex_state = 22},
  [4893] = {.lex_state = 413, .external_lex_state = 3},
  [4894] = {.lex_state = 413, .external_lex_state = 3},
  [4895] = {.lex_state = 413, .external_lex_state = 3},
  [4896] = {.lex_state = 413, .external_lex_state = 3},
  [4897] = {.lex_state = 413, .external_lex_state = 3},
  [4898] = {.lex_state = 296, .external_lex_state = 3},
  [4899] = {.lex_state = 433, .external_lex_state = 43},
  [4900] = {.lex_state = 296, .external_lex_state = 3},
  [4901] = {.lex_state = 296, .external_lex_state = 3},
  [4902] = {.lex_state = 413, .external_lex_state = 3},
  [4903] = {.lex_state = 413, .external_lex_state = 3},
  [4904] = {.lex_state = 413, .external_lex_state = 3},
  [4905] = {.lex_state = 296, .external_lex_state = 3},
  [4906] = {.lex_state = 413, .external_lex_state = 15},
  [4907] = {.lex_state = 282, .external_lex_state = 14},
  [4908] = {.lex_state = 282, .external_lex_state = 14},
  [4909] = {.lex_state = 282, .external_lex_state = 14},
  [4910] = {.lex_state = 282, .external_lex_state = 14},
  [4911] = {.lex_state = 185, .external_lex_state = 2},
  [4912] = {.lex_state = 185, .external_lex_state = 2},
  [4913] = {.lex_state = 185, .external_lex_state = 2},
  [4914] = {.lex_state = 185, .external_lex_state = 2},
  [4915] = {.lex_state = 185, .external_lex_state = 2},
  [4916] = {.lex_state = 185, .external_lex_state = 2},
  [4917] = {.lex_state = 185, .external_lex_state = 2},
  [4918] = {.lex_state = 185, .external_lex_state = 2},
  [4919] = {.lex_state = 185, .external_lex_state = 2},
  [4920] = {.lex_state = 185, .external_lex_state = 2},
  [4921] = {.lex_state = 185, .external_lex_state = 2},
  [4922] = {.lex_state = 185, .external_lex_state = 2},
  [4923] = {.lex_state = 185, .external_lex_state = 38},
  [4924] = {.lex_state = 282, .external_lex_state = 14},
  [4925] = {.lex_state = 185, .external_lex_state = 38},
  [4926] = {.lex_state = 185, .external_lex_state = 2},
  [4927] = {.lex_state = 302, .external_lex_state = 25},
  [4928] = {.lex_state = 302, .external_lex_state = 25},
  [4929] = {.lex_state = 170, .external_lex_state = 4},
  [4930] = {.lex_state = 251, .external_lex_state = 16},
  [4931] = {.lex_state = 302, .external_lex_state = 25},
  [4932] = {.lex_state = 170, .external_lex_state = 4},
  [4933] = {.lex_state = 302, .external_lex_state = 25},
  [4934] = {.lex_state = 302, .external_lex_state = 25},
  [4935] = {.lex_state = 170, .external_lex_state = 4},
  [4936] = {.lex_state = 251, .external_lex_state = 16},
  [4937] = {.lex_state = 302, .external_lex_state = 25},
  [4938] = {.lex_state = 170, .external_lex_state = 4},
  [4939] = {.lex_state = 302, .external_lex_state = 25},
  [4940] = {.lex_state = 228},
  [4941] = {.lex_state = 302, .external_lex_state = 25},
  [4942] = {.lex_state = 302, .external_lex_state = 25},
  [4943] = {.lex_state = 123, .external_lex_state = 2},
  [4944] = {.lex_state = 123, .external_lex_state = 2},
  [4945] = {.lex_state = 302, .external_lex_state = 25},
  [4946] = {.lex_state = 302, .external_lex_state = 25},
  [4947] = {.lex_state = 322, .external_lex_state = 32},
  [4948] = {.lex_state = 185, .external_lex_state = 2},
  [4949] = {.lex_state = 185, .external_lex_state = 2},
  [4950] = {.lex_state = 123, .external_lex_state = 19},
  [4951] = {.lex_state = 185, .external_lex_state = 2},
  [4952] = {.lex_state = 278, .external_lex_state = 34},
  [4953] = {.lex_state = 322, .external_lex_state = 32},
  [4954] = {.lex_state = 322, .external_lex_state = 32},
  [4955] = {.lex_state = 322, .external_lex_state = 32},
  [4956] = {.lex_state = 322, .external_lex_state = 36},
  [4957] = {.lex_state = 322, .external_lex_state = 32},
  [4958] = {.lex_state = 322, .external_lex_state = 32},
  [4959] = {.lex_state = 185, .external_lex_state = 2},
  [4960] = {.lex_state = 185, .external_lex_state = 2},
  [4961] = {.lex_state = 185, .external_lex_state = 2},
  [4962] = {.lex_state = 185, .external_lex_state = 2},
  [4963] = {.lex_state = 185, .external_lex_state = 2},
  [4964] = {.lex_state = 185, .external_lex_state = 2},
  [4965] = {.lex_state = 185, .external_lex_state = 2},
  [4966] = {.lex_state = 185, .external_lex_state = 2},
  [4967] = {.lex_state = 185, .external_lex_state = 2},
  [4968] = {.lex_state = 185, .external_lex_state = 2},
  [4969] = {.lex_state = 185, .external_lex_state = 2},
  [4970] = {.lex_state = 185, .external_lex_state = 2},
  [4971] = {.lex_state = 185, .external_lex_state = 2},
  [4972] = {.lex_state = 185, .external_lex_state = 2},
  [4973] = {.lex_state = 123, .external_lex_state = 19},
  [4974] = {.lex_state = 185, .external_lex_state = 2},
  [4975] = {.lex_state = 278, .external_lex_state = 34},
  [4976] = {.lex_state = 365, .external_lex_state = 32},
  [4977] = {.lex_state = 367, .external_lex_state = 32},
  [4978] = {.lex_state = 367, .external_lex_state = 32},
  [4979] = {.lex_state = 365, .external_lex_state = 36},
  [4980] = {.lex_state = 185, .external_lex_state = 38},
  [4981] = {.lex_state = 185, .external_lex_state = 2},
  [4982] = {.lex_state = 324, .external_lex_state = 40},
  [4983] = {.lex_state = 302, .external_lex_state = 42},
  [4984] = {.lex_state = 202},
  [4985] = {.lex_state = 322, .external_lex_state = 32},
  [4986] = {.lex_state = 322, .external_lex_state = 32},
  [4987] = {.lex_state = 302, .external_lex_state = 42},
  [4988] = {.lex_state = 170, .external_lex_state = 18},
  [4989] = {.lex_state = 309, .external_lex_state = 42},
  [4990] = {.lex_state = 302, .external_lex_state = 42},
  [4991] = {.lex_state = 433, .external_lex_state = 43},
  [4992] = {.lex_state = 309, .external_lex_state = 42},
  [4993] = {.lex_state = 417, .external_lex_state = 42},
  [4994] = {.lex_state = 322, .external_lex_state = 32},
  [4995] = {.lex_state = 302, .external_lex_state = 25},
  [4996] = {.lex_state = 123},
  [4997] = {.lex_state = 123},
  [4998] = {.lex_state = 123, .external_lex_state = 2},
  [4999] = {.lex_state = 302, .external_lex_state = 25},
  [5000] = {.lex_state = 123},
  [5001] = {.lex_state = 123},
  [5002] = {.lex_state = 302, .external_lex_state = 25},
  [5003] = {.lex_state = 123},
  [5004] = {.lex_state = 302, .external_lex_state = 25},
  [5005] = {.lex_state = 123},
  [5006] = {.lex_state = 123, .external_lex_state = 2},
  [5007] = {.lex_state = 123},
  [5008] = {.lex_state = 123},
  [5009] = {.lex_state = 302, .external_lex_state = 25},
  [5010] = {.lex_state = 302, .external_lex_state = 25},
  [5011] = {.lex_state = 123},
  [5012] = {.lex_state = 123},
  [5013] = {.lex_state = 302, .external_lex_state = 25},
  [5014] = {.lex_state = 302, .external_lex_state = 25},
  [5015] = {.lex_state = 187},
  [5016] = {.lex_state = 302, .external_lex_state = 25},
  [5017] = {.lex_state = 123},
  [5018] = {.lex_state = 123, .external_lex_state = 2},
  [5019] = {.lex_state = 123, .external_lex_state = 12},
  [5020] = {.lex_state = 302, .external_lex_state = 25},
  [5021] = {.lex_state = 226},
  [5022] = {.lex_state = 405, .external_lex_state = 26},
  [5023] = {.lex_state = 202, .external_lex_state = 23},
  [5024] = {.lex_state = 202},
  [5025] = {.lex_state = 405, .external_lex_state = 26},
  [5026] = {.lex_state = 499, .external_lex_state = 40},
  [5027] = {.lex_state = 185, .external_lex_state = 16},
  [5028] = {.lex_state = 499, .external_lex_state = 32},
  [5029] = {.lex_state = 185, .external_lex_state = 16},
  [5030] = {.lex_state = 499, .external_lex_state = 32},
  [5031] = {.lex_state = 185, .external_lex_state = 16},
  [5032] = {.lex_state = 499, .external_lex_state = 32},
  [5033] = {.lex_state = 185, .external_lex_state = 16},
  [5034] = {.lex_state = 499, .external_lex_state = 32},
  [5035] = {.lex_state = 183, .external_lex_state = 4},
  [5036] = {.lex_state = 251, .external_lex_state = 16},
  [5037] = {.lex_state = 499, .external_lex_state = 32},
  [5038] = {.lex_state = 183, .external_lex_state = 4},
  [5039] = {.lex_state = 251, .external_lex_state = 16},
  [5040] = {.lex_state = 503, .external_lex_state = 32},
  [5041] = {.lex_state = 499, .external_lex_state = 32},
  [5042] = {.lex_state = 187},
  [5043] = {.lex_state = 187, .external_lex_state = 23},
  [5044] = {.lex_state = 185, .external_lex_state = 2},
  [5045] = {.lex_state = 499, .external_lex_state = 32},
  [5046] = {.lex_state = 228},
  [5047] = {.lex_state = 288, .external_lex_state = 8},
  [5048] = {.lex_state = 499, .external_lex_state = 32},
  [5049] = {.lex_state = 202},
  [5050] = {.lex_state = 185, .external_lex_state = 2},
  [5051] = {.lex_state = 311, .external_lex_state = 28},
  [5052] = {.lex_state = 311, .external_lex_state = 28},
  [5053] = {.lex_state = 314, .external_lex_state = 28},
  [5054] = {.lex_state = 314, .external_lex_state = 28},
  [5055] = {.lex_state = 185, .external_lex_state = 2},
  [5056] = {.lex_state = 185, .external_lex_state = 2},
  [5057] = {.lex_state = 316, .external_lex_state = 13},
  [5058] = {.lex_state = 123, .external_lex_state = 19},
  [5059] = {.lex_state = 185, .external_lex_state = 2},
  [5060] = {.lex_state = 278, .external_lex_state = 34},
  [5061] = {.lex_state = 421, .external_lex_state = 32},
  [5062] = {.lex_state = 499, .external_lex_state = 32},
  [5063] = {.lex_state = 503, .external_lex_state = 32},
  [5064] = {.lex_state = 503, .external_lex_state = 32},
  [5065] = {.lex_state = 421, .external_lex_state = 36},
  [5066] = {.lex_state = 499, .external_lex_state = 32},
  [5067] = {.lex_state = 499, .external_lex_state = 32},
  [5068] = {.lex_state = 499, .external_lex_state = 32},
  [5069] = {.lex_state = 123, .external_lex_state = 8},
  [5070] = {.lex_state = 123, .external_lex_state = 8},
  [5071] = {.lex_state = 237, .external_lex_state = 14},
  [5072] = {.lex_state = 237, .external_lex_state = 14},
  [5073] = {.lex_state = 123},
  [5074] = {.lex_state = 237, .external_lex_state = 14},
  [5075] = {.lex_state = 123},
  [5076] = {.lex_state = 123},
  [5077] = {.lex_state = 123},
  [5078] = {.lex_state = 123},
  [5079] = {.lex_state = 123},
  [5080] = {.lex_state = 499, .external_lex_state = 32},
  [5081] = {.lex_state = 123, .external_lex_state = 2},
  [5082] = {.lex_state = 503, .external_lex_state = 32},
  [5083] = {.lex_state = 503, .external_lex_state = 32},
  [5084] = {.lex_state = 499, .external_lex_state = 32},
  [5085] = {.lex_state = 499, .external_lex_state = 32},
  [5086] = {.lex_state = 499, .external_lex_state = 32},
  [5087] = {.lex_state = 226, .external_lex_state = 23},
  [5088] = {.lex_state = 226},
  [5089] = {.lex_state = 357, .external_lex_state = 2},
  [5090] = {.lex_state = 361, .external_lex_state = 12},
  [5091] = {.lex_state = 123},
  [5092] = {.lex_state = 499, .external_lex_state = 32},
  [5093] = {.lex_state = 185, .external_lex_state = 2},
  [5094] = {.lex_state = 185, .external_lex_state = 2},
  [5095] = {.lex_state = 185, .external_lex_state = 2},
  [5096] = {.lex_state = 185, .external_lex_state = 2},
  [5097] = {.lex_state = 185, .external_lex_state = 2},
  [5098] = {.lex_state = 185, .external_lex_state = 2},
  [5099] = {.lex_state = 185, .external_lex_state = 2},
  [5100] = {.lex_state = 185, .external_lex_state = 2},
  [5101] = {.lex_state = 185, .external_lex_state = 2},
  [5102] = {.lex_state = 185, .external_lex_state = 2},
  [5103] = {.lex_state = 185, .external_lex_state = 2},
  [5104] = {.lex_state = 185, .external_lex_state = 2},
  [5105] = {.lex_state = 363, .external_lex_state = 6},
  [5106] = {.lex_state = 391, .external_lex_state = 32},
  [5107] = {.lex_state = 185, .external_lex_state = 38},
  [5108] = {.lex_state = 185, .external_lex_state = 2},
  [5109] = {.lex_state = 503, .external_lex_state = 40},
  [5110] = {.lex_state = 503, .external_lex_state = 32},
  [5111] = {.lex_state = 421, .external_lex_state = 32},
  [5112] = {.lex_state = 421, .external_lex_state = 32},
  [5113] = {.lex_state = 185, .external_lex_state = 2},
  [5114] = {.lex_state = 421, .external_lex_state = 32},
  [5115] = {.lex_state = 185, .external_lex_state = 2},
  [5116] = {.lex_state = 421, .external_lex_state = 32},
  [5117] = {.lex_state = 433, .external_lex_state = 13},
  [5118] = {.lex_state = 421, .external_lex_state = 32},
  [5119] = {.lex_state = 185, .external_lex_state = 2},
  [5120] = {.lex_state = 421, .external_lex_state = 32},
  [5121] = {.lex_state = 421, .external_lex_state = 32},
  [5122] = {.lex_state = 421, .external_lex_state = 32},
  [5123] = {.lex_state = 421, .external_lex_state = 32},
  [5124] = {.lex_state = 421, .external_lex_state = 32},
  [5125] = {.lex_state = 421, .external_lex_state = 32},
  [5126] = {.lex_state = 503, .external_lex_state = 32},
  [5127] = {.lex_state = 455, .external_lex_state = 22},
  [5128] = {.lex_state = 421, .external_lex_state = 32},
  [5129] = {.lex_state = 421, .external_lex_state = 32},
  [5130] = {.lex_state = 421, .external_lex_state = 32},
  [5131] = {.lex_state = 421, .external_lex_state = 32},
  [5132] = {.lex_state = 421, .external_lex_state = 32},
  [5133] = {.lex_state = 417, .external_lex_state = 42},
  [5134] = {.lex_state = 433, .external_lex_state = 43},
  [5135] = {.lex_state = 417, .external_lex_state = 42},
  [5136] = {.lex_state = 417, .external_lex_state = 42},
  [5137] = {.lex_state = 421, .external_lex_state = 32},
  [5138] = {.lex_state = 421, .external_lex_state = 32},
  [5139] = {.lex_state = 421, .external_lex_state = 32},
  [5140] = {.lex_state = 503, .external_lex_state = 32},
  [5141] = {.lex_state = 421, .external_lex_state = 40},
  [5142] = {.lex_state = 151, .external_lex_state = 3},
  [5143] = {.lex_state = 151, .external_lex_state = 3},
  [5144] = {.lex_state = 421, .external_lex_state = 32},
  [5145] = {.lex_state = 185, .external_lex_state = 2},
  [5146] = {.lex_state = 185, .external_lex_state = 2},
  [5147] = {.lex_state = 123, .external_lex_state = 19},
  [5148] = {.lex_state = 185, .external_lex_state = 2},
  [5149] = {.lex_state = 278, .external_lex_state = 34},
  [5150] = {.lex_state = 421, .external_lex_state = 32},
  [5151] = {.lex_state = 421, .external_lex_state = 32},
  [5152] = {.lex_state = 421, .external_lex_state = 32},
  [5153] = {.lex_state = 423, .external_lex_state = 36},
  [5154] = {.lex_state = 421, .external_lex_state = 32},
  [5155] = {.lex_state = 421, .external_lex_state = 32},
  [5156] = {.lex_state = 185, .external_lex_state = 2},
  [5157] = {.lex_state = 185, .external_lex_state = 2},
  [5158] = {.lex_state = 185, .external_lex_state = 2},
  [5159] = {.lex_state = 185, .external_lex_state = 2},
  [5160] = {.lex_state = 185, .external_lex_state = 2},
  [5161] = {.lex_state = 185, .external_lex_state = 2},
  [5162] = {.lex_state = 185, .external_lex_state = 2},
  [5163] = {.lex_state = 185, .external_lex_state = 2},
  [5164] = {.lex_state = 185, .external_lex_state = 2},
  [5165] = {.lex_state = 185, .external_lex_state = 2},
  [5166] = {.lex_state = 185, .external_lex_state = 2},
  [5167] = {.lex_state = 185, .external_lex_state = 2},
  [5168] = {.lex_state = 185, .external_lex_state = 38},
  [5169] = {.lex_state = 185, .external_lex_state = 2},
  [5170] = {.lex_state = 505, .external_lex_state = 40},
  [5171] = {.lex_state = 421, .external_lex_state = 32},
  [5172] = {.lex_state = 421, .external_lex_state = 32},
  [5173] = {.lex_state = 421, .external_lex_state = 32},
  [5174] = {.lex_state = 185, .external_lex_state = 2},
  [5175] = {.lex_state = 421, .external_lex_state = 32},
  [5176] = {.lex_state = 185, .external_lex_state = 2},
  [5177] = {.lex_state = 421, .external_lex_state = 32},
  [5178] = {.lex_state = 433, .external_lex_state = 13},
  [5179] = {.lex_state = 421, .external_lex_state = 32},
  [5180] = {.lex_state = 185, .external_lex_state = 2},
  [5181] = {.lex_state = 421, .external_lex_state = 32},
  [5182] = {.lex_state = 421, .external_lex_state = 32},
  [5183] = {.lex_state = 421, .external_lex_state = 32},
  [5184] = {.lex_state = 421, .external_lex_state = 32},
  [5185] = {.lex_state = 421, .external_lex_state = 32},
  [5186] = {.lex_state = 421, .external_lex_state = 32},
  [5187] = {.lex_state = 421, .external_lex_state = 32},
  [5188] = {.lex_state = 455, .external_lex_state = 22},
  [5189] = {.lex_state = 421, .external_lex_state = 32},
  [5190] = {.lex_state = 421, .external_lex_state = 32},
  [5191] = {.lex_state = 421, .external_lex_state = 32},
  [5192] = {.lex_state = 421, .external_lex_state = 32},
  [5193] = {.lex_state = 421, .external_lex_state = 32},
  [5194] = {.lex_state = 309, .external_lex_state = 42},
  [5195] = {.lex_state = 433, .external_lex_state = 43},
  [5196] = {.lex_state = 309, .external_lex_state = 42},
  [5197] = {.lex_state = 417, .external_lex_state = 42},
  [5198] = {.lex_state = 421, .external_lex_state = 32},
  [5199] = {.lex_state = 421, .external_lex_state = 32},
  [5200] = {.lex_state = 421, .external_lex_state = 32},
  [5201] = {.lex_state = 421, .external_lex_state = 32},
  [5202] = {.lex_state = 423, .external_lex_state = 40},
  [5203] = {.lex_state = 324, .external_lex_state = 3},
  [5204] = {.lex_state = 324, .external_lex_state = 3},
  [5205] = {.lex_state = 324, .external_lex_state = 3},
  [5206] = {.lex_state = 324, .external_lex_state = 3},
  [5207] = {.lex_state = 324, .external_lex_state = 3},
  [5208] = {.lex_state = 324, .external_lex_state = 3},
  [5209] = {.lex_state = 324, .external_lex_state = 3},
  [5210] = {.lex_state = 324, .external_lex_state = 3},
  [5211] = {.lex_state = 455, .external_lex_state = 22},
  [5212] = {.lex_state = 324, .external_lex_state = 3},
  [5213] = {.lex_state = 324, .external_lex_state = 3},
  [5214] = {.lex_state = 324, .external_lex_state = 3},
  [5215] = {.lex_state = 324, .external_lex_state = 3},
  [5216] = {.lex_state = 324, .external_lex_state = 3},
  [5217] = {.lex_state = 324, .external_lex_state = 3},
  [5218] = {.lex_state = 324, .external_lex_state = 3},
  [5219] = {.lex_state = 324, .external_lex_state = 3},
  [5220] = {.lex_state = 324, .external_lex_state = 15},
  [5221] = {.lex_state = 282, .external_lex_state = 35},
  [5222] = {.lex_state = 411, .external_lex_state = 32},
  [5223] = {.lex_state = 411, .external_lex_state = 32},
  [5224] = {.lex_state = 282, .external_lex_state = 35},
  [5225] = {.lex_state = 282, .external_lex_state = 35},
  [5226] = {.lex_state = 185, .external_lex_state = 2},
  [5227] = {.lex_state = 185, .external_lex_state = 2},
  [5228] = {.lex_state = 185, .external_lex_state = 2},
  [5229] = {.lex_state = 185, .external_lex_state = 2},
  [5230] = {.lex_state = 185, .external_lex_state = 2},
  [5231] = {.lex_state = 185, .external_lex_state = 2},
  [5232] = {.lex_state = 185, .external_lex_state = 2},
  [5233] = {.lex_state = 185, .external_lex_state = 2},
  [5234] = {.lex_state = 185, .external_lex_state = 2},
  [5235] = {.lex_state = 185, .external_lex_state = 2},
  [5236] = {.lex_state = 185, .external_lex_state = 2},
  [5237] = {.lex_state = 185, .external_lex_state = 2},
  [5238] = {.lex_state = 185, .external_lex_state = 38},
  [5239] = {.lex_state = 185, .external_lex_state = 2},
  [5240] = {.lex_state = 493, .external_lex_state = 40},
  [5241] = {.lex_state = 282, .external_lex_state = 35},
  [5242] = {.lex_state = 411, .external_lex_state = 32},
  [5243] = {.lex_state = 411, .external_lex_state = 32},
  [5244] = {.lex_state = 185, .external_lex_state = 2},
  [5245] = {.lex_state = 411, .external_lex_state = 32},
  [5246] = {.lex_state = 185, .external_lex_state = 2},
  [5247] = {.lex_state = 411, .external_lex_state = 32},
  [5248] = {.lex_state = 433, .external_lex_state = 13},
  [5249] = {.lex_state = 411, .external_lex_state = 32},
  [5250] = {.lex_state = 185, .external_lex_state = 2},
  [5251] = {.lex_state = 282, .external_lex_state = 35},
  [5252] = {.lex_state = 282, .external_lex_state = 35},
  [5253] = {.lex_state = 282, .external_lex_state = 35},
  [5254] = {.lex_state = 282, .external_lex_state = 35},
  [5255] = {.lex_state = 282, .external_lex_state = 35},
  [5256] = {.lex_state = 282, .external_lex_state = 35},
  [5257] = {.lex_state = 282, .external_lex_state = 35},
  [5258] = {.lex_state = 455, .external_lex_state = 22},
  [5259] = {.lex_state = 282, .external_lex_state = 35},
  [5260] = {.lex_state = 282, .external_lex_state = 35},
  [5261] = {.lex_state = 282, .external_lex_state = 35},
  [5262] = {.lex_state = 282, .external_lex_state = 35},
  [5263] = {.lex_state = 282, .external_lex_state = 35},
  [5264] = {.lex_state = 413, .external_lex_state = 32},
  [5265] = {.lex_state = 413, .external_lex_state = 32},
  [5266] = {.lex_state = 185, .external_lex_state = 2},
  [5267] = {.lex_state = 413, .external_lex_state = 32},
  [5268] = {.lex_state = 185, .external_lex_state = 2},
  [5269] = {.lex_state = 413, .external_lex_state = 32},
  [5270] = {.lex_state = 433, .external_lex_state = 13},
  [5271] = {.lex_state = 413, .external_lex_state = 32},
  [5272] = {.lex_state = 185, .external_lex_state = 2},
  [5273] = {.lex_state = 151, .external_lex_state = 3},
  [5274] = {.lex_state = 316, .external_lex_state = 13},
  [5275] = {.lex_state = 185, .external_lex_state = 2},
  [5276] = {.lex_state = 282, .external_lex_state = 35},
  [5277] = {.lex_state = 282, .external_lex_state = 35},
  [5278] = {.lex_state = 282, .external_lex_state = 35},
  [5279] = {.lex_state = 282, .external_lex_state = 35},
  [5280] = {.lex_state = 411, .external_lex_state = 40},
  [5281] = {.lex_state = 322, .external_lex_state = 3},
  [5282] = {.lex_state = 322, .external_lex_state = 3},
  [5283] = {.lex_state = 322, .external_lex_state = 3},
  [5284] = {.lex_state = 433, .external_lex_state = 43},
  [5285] = {.lex_state = 322, .external_lex_state = 3},
  [5286] = {.lex_state = 322, .external_lex_state = 3},
  [5287] = {.lex_state = 322, .external_lex_state = 3},
  [5288] = {.lex_state = 185, .external_lex_state = 2},
  [5289] = {.lex_state = 280, .external_lex_state = 3},
  [5290] = {.lex_state = 226},
  [5291] = {.lex_state = 431, .external_lex_state = 11},
  [5292] = {.lex_state = 202, .external_lex_state = 23},
  [5293] = {.lex_state = 202},
  [5294] = {.lex_state = 431, .external_lex_state = 11},
  [5295] = {.lex_state = 280, .external_lex_state = 3},
  [5296] = {.lex_state = 202},
  [5297] = {.lex_state = 365, .external_lex_state = 3},
  [5298] = {.lex_state = 280, .external_lex_state = 3},
  [5299] = {.lex_state = 187},
  [5300] = {.lex_state = 280, .external_lex_state = 3},
  [5301] = {.lex_state = 123},
  [5302] = {.lex_state = 123, .external_lex_state = 2},
  [5303] = {.lex_state = 123, .external_lex_state = 12},
  [5304] = {.lex_state = 365, .external_lex_state = 3},
  [5305] = {.lex_state = 280, .external_lex_state = 3},
  [5306] = {.lex_state = 170, .external_lex_state = 18},
  [5307] = {.lex_state = 365, .external_lex_state = 3},
  [5308] = {.lex_state = 280, .external_lex_state = 3},
  [5309] = {.lex_state = 433, .external_lex_state = 43},
  [5310] = {.lex_state = 365, .external_lex_state = 3},
  [5311] = {.lex_state = 365, .external_lex_state = 3},
  [5312] = {.lex_state = 365, .external_lex_state = 3},
  [5313] = {.lex_state = 151, .external_lex_state = 3},
  [5314] = {.lex_state = 433, .external_lex_state = 43},
  [5315] = {.lex_state = 170, .external_lex_state = 18},
  [5316] = {.lex_state = 151, .external_lex_state = 3},
  [5317] = {.lex_state = 185, .external_lex_state = 38},
  [5318] = {.lex_state = 322, .external_lex_state = 3},
  [5319] = {.lex_state = 322, .external_lex_state = 3},
  [5320] = {.lex_state = 322, .external_lex_state = 3},
  [5321] = {.lex_state = 322, .external_lex_state = 3},
  [5322] = {.lex_state = 322, .external_lex_state = 3},
  [5323] = {.lex_state = 322, .external_lex_state = 3},
  [5324] = {.lex_state = 185, .external_lex_state = 2},
  [5325] = {.lex_state = 185, .external_lex_state = 2},
  [5326] = {.lex_state = 185, .external_lex_state = 2},
  [5327] = {.lex_state = 185, .external_lex_state = 2},
  [5328] = {.lex_state = 185, .external_lex_state = 2},
  [5329] = {.lex_state = 185, .external_lex_state = 2},
  [5330] = {.lex_state = 185, .external_lex_state = 2},
  [5331] = {.lex_state = 185, .external_lex_state = 2},
  [5332] = {.lex_state = 185, .external_lex_state = 2},
  [5333] = {.lex_state = 185, .external_lex_state = 2},
  [5334] = {.lex_state = 185, .external_lex_state = 2},
  [5335] = {.lex_state = 185, .external_lex_state = 2},
  [5336] = {.lex_state = 185, .external_lex_state = 38},
  [5337] = {.lex_state = 185, .external_lex_state = 2},
  [5338] = {.lex_state = 324, .external_lex_state = 15},
  [5339] = {.lex_state = 322, .external_lex_state = 3},
  [5340] = {.lex_state = 322, .external_lex_state = 3},
  [5341] = {.lex_state = 322, .external_lex_state = 3},
  [5342] = {.lex_state = 185, .external_lex_state = 2},
  [5343] = {.lex_state = 322, .external_lex_state = 3},
  [5344] = {.lex_state = 185, .external_lex_state = 2},
  [5345] = {.lex_state = 322, .external_lex_state = 3},
  [5346] = {.lex_state = 433, .external_lex_state = 13},
  [5347] = {.lex_state = 322, .external_lex_state = 3},
  [5348] = {.lex_state = 185, .external_lex_state = 2},
  [5349] = {.lex_state = 322, .external_lex_state = 3},
  [5350] = {.lex_state = 322, .external_lex_state = 3},
  [5351] = {.lex_state = 322, .external_lex_state = 3},
  [5352] = {.lex_state = 322, .external_lex_state = 3},
  [5353] = {.lex_state = 322, .external_lex_state = 3},
  [5354] = {.lex_state = 322, .external_lex_state = 3},
  [5355] = {.lex_state = 322, .external_lex_state = 3},
  [5356] = {.lex_state = 455, .external_lex_state = 22},
  [5357] = {.lex_state = 322, .external_lex_state = 3},
  [5358] = {.lex_state = 322, .external_lex_state = 3},
  [5359] = {.lex_state = 322, .external_lex_state = 3},
  [5360] = {.lex_state = 322, .external_lex_state = 3},
  [5361] = {.lex_state = 322, .external_lex_state = 3},
  [5362] = {.lex_state = 365, .external_lex_state = 3},
  [5363] = {.lex_state = 365, .external_lex_state = 3},
  [5364] = {.lex_state = 185, .external_lex_state = 2},
  [5365] = {.lex_state = 365, .external_lex_state = 3},
  [5366] = {.lex_state = 185, .external_lex_state = 2},
  [5367] = {.lex_state = 365, .external_lex_state = 3},
  [5368] = {.lex_state = 433, .external_lex_state = 13},
  [5369] = {.lex_state = 365, .external_lex_state = 3},
  [5370] = {.lex_state = 185, .external_lex_state = 2},
  [5371] = {.lex_state = 249, .external_lex_state = 3},
  [5372] = {.lex_state = 433, .external_lex_state = 43},
  [5373] = {.lex_state = 249, .external_lex_state = 3},
  [5374] = {.lex_state = 322, .external_lex_state = 3},
  [5375] = {.lex_state = 322, .external_lex_state = 3},
  [5376] = {.lex_state = 322, .external_lex_state = 3},
  [5377] = {.lex_state = 322, .external_lex_state = 3},
  [5378] = {.lex_state = 322, .external_lex_state = 3},
  [5379] = {.lex_state = 322, .external_lex_state = 15},
  [5380] = {.lex_state = 243, .external_lex_state = 8},
  [5381] = {.lex_state = 123, .external_lex_state = 12},
  [5382] = {.lex_state = 237, .external_lex_state = 14},
  [5383] = {.lex_state = 185, .external_lex_state = 2},
  [5384] = {.lex_state = 185, .external_lex_state = 2},
  [5385] = {.lex_state = 185, .external_lex_state = 2},
  [5386] = {.lex_state = 123, .external_lex_state = 19},
  [5387] = {.lex_state = 185, .external_lex_state = 2},
  [5388] = {.lex_state = 318, .external_lex_state = 11},
  [5389] = {.lex_state = 318, .external_lex_state = 11},
  [5390] = {.lex_state = 318, .external_lex_state = 11},
  [5391] = {.lex_state = 318, .external_lex_state = 11},
  [5392] = {.lex_state = 185, .external_lex_state = 2},
  [5393] = {.lex_state = 185, .external_lex_state = 2},
  [5394] = {.lex_state = 185, .external_lex_state = 2},
  [5395] = {.lex_state = 320, .external_lex_state = 29},
  [5396] = {.lex_state = 322, .external_lex_state = 3},
  [5397] = {.lex_state = 320, .external_lex_state = 11},
  [5398] = {.lex_state = 249, .external_lex_state = 3},
  [5399] = {.lex_state = 322, .external_lex_state = 3},
  [5400] = {.lex_state = 206},
  [5401] = {.lex_state = 326, .external_lex_state = 3},
  [5402] = {.lex_state = 322, .external_lex_state = 30},
  [5403] = {.lex_state = 123, .external_lex_state = 8},
  [5404] = {.lex_state = 123, .external_lex_state = 2},
  [5405] = {.lex_state = 237, .external_lex_state = 14},
  [5406] = {.lex_state = 237, .external_lex_state = 14},
  [5407] = {.lex_state = 243, .external_lex_state = 8},
  [5408] = {.lex_state = 151, .external_lex_state = 3},
  [5409] = {.lex_state = 123},
  [5410] = {.lex_state = 123, .external_lex_state = 2},
  [5411] = {.lex_state = 123, .external_lex_state = 8},
  [5412] = {.lex_state = 185, .external_lex_state = 2},
  [5413] = {.lex_state = 185, .external_lex_state = 2},
  [5414] = {.lex_state = 185, .external_lex_state = 2},
  [5415] = {.lex_state = 185, .external_lex_state = 2},
  [5416] = {.lex_state = 185, .external_lex_state = 2},
  [5417] = {.lex_state = 185, .external_lex_state = 2},
  [5418] = {.lex_state = 185, .external_lex_state = 2},
  [5419] = {.lex_state = 185, .external_lex_state = 2},
  [5420] = {.lex_state = 185, .external_lex_state = 2},
  [5421] = {.lex_state = 185, .external_lex_state = 2},
  [5422] = {.lex_state = 185, .external_lex_state = 2},
  [5423] = {.lex_state = 185, .external_lex_state = 2},
  [5424] = {.lex_state = 185, .external_lex_state = 2},
  [5425] = {.lex_state = 185, .external_lex_state = 2},
  [5426] = {.lex_state = 185, .external_lex_state = 2},
  [5427] = {.lex_state = 185, .external_lex_state = 2},
  [5428] = {.lex_state = 185, .external_lex_state = 2},
  [5429] = {.lex_state = 185, .external_lex_state = 2},
  [5430] = {.lex_state = 185, .external_lex_state = 2},
  [5431] = {.lex_state = 185, .external_lex_state = 2},
  [5432] = {.lex_state = 123, .external_lex_state = 19},
  [5433] = {.lex_state = 185, .external_lex_state = 2},
  [5434] = {.lex_state = 320, .external_lex_state = 11},
  [5435] = {.lex_state = 320, .external_lex_state = 11},
  [5436] = {.lex_state = 320, .external_lex_state = 11},
  [5437] = {.lex_state = 320, .external_lex_state = 11},
  [5438] = {.lex_state = 185, .external_lex_state = 2},
  [5439] = {.lex_state = 185, .external_lex_state = 2},
  [5440] = {.lex_state = 185, .external_lex_state = 2},
  [5441] = {.lex_state = 320, .external_lex_state = 29},
  [5442] = {.lex_state = 365, .external_lex_state = 3},
  [5443] = {.lex_state = 320, .external_lex_state = 11},
  [5444] = {.lex_state = 367, .external_lex_state = 3},
  [5445] = {.lex_state = 367, .external_lex_state = 3},
  [5446] = {.lex_state = 206},
  [5447] = {.lex_state = 365, .external_lex_state = 3},
  [5448] = {.lex_state = 365, .external_lex_state = 30},
  [5449] = {.lex_state = 185, .external_lex_state = 38},
  [5450] = {.lex_state = 185, .external_lex_state = 2},
  [5451] = {.lex_state = 249, .external_lex_state = 15},
  [5452] = {.lex_state = 123},
  [5453] = {.lex_state = 185, .external_lex_state = 2},
  [5454] = {.lex_state = 367, .external_lex_state = 3},
  [5455] = {.lex_state = 367, .external_lex_state = 3},
  [5456] = {.lex_state = 367, .external_lex_state = 3},
  [5457] = {.lex_state = 185, .external_lex_state = 2},
  [5458] = {.lex_state = 185, .external_lex_state = 2},
  [5459] = {.lex_state = 185, .external_lex_state = 2},
  [5460] = {.lex_state = 185, .external_lex_state = 2},
  [5461] = {.lex_state = 185, .external_lex_state = 2},
  [5462] = {.lex_state = 185, .external_lex_state = 2},
  [5463] = {.lex_state = 185, .external_lex_state = 2},
  [5464] = {.lex_state = 185, .external_lex_state = 2},
  [5465] = {.lex_state = 185, .external_lex_state = 2},
  [5466] = {.lex_state = 185, .external_lex_state = 2},
  [5467] = {.lex_state = 185, .external_lex_state = 2},
  [5468] = {.lex_state = 185, .external_lex_state = 2},
  [5469] = {.lex_state = 185, .external_lex_state = 38},
  [5470] = {.lex_state = 185, .external_lex_state = 2},
  [5471] = {.lex_state = 367, .external_lex_state = 15},
  [5472] = {.lex_state = 367, .external_lex_state = 3},
  [5473] = {.lex_state = 365, .external_lex_state = 3},
  [5474] = {.lex_state = 365, .external_lex_state = 3},
  [5475] = {.lex_state = 365, .external_lex_state = 3},
  [5476] = {.lex_state = 365, .external_lex_state = 3},
  [5477] = {.lex_state = 365, .external_lex_state = 3},
  [5478] = {.lex_state = 365, .external_lex_state = 3},
  [5479] = {.lex_state = 367, .external_lex_state = 3},
  [5480] = {.lex_state = 455, .external_lex_state = 22},
  [5481] = {.lex_state = 365, .external_lex_state = 3},
  [5482] = {.lex_state = 365, .external_lex_state = 3},
  [5483] = {.lex_state = 365, .external_lex_state = 3},
  [5484] = {.lex_state = 365, .external_lex_state = 3},
  [5485] = {.lex_state = 365, .external_lex_state = 3},
  [5486] = {.lex_state = 367, .external_lex_state = 3},
  [5487] = {.lex_state = 433, .external_lex_state = 43},
  [5488] = {.lex_state = 367, .external_lex_state = 3},
  [5489] = {.lex_state = 367, .external_lex_state = 3},
  [5490] = {.lex_state = 365, .external_lex_state = 3},
  [5491] = {.lex_state = 365, .external_lex_state = 3},
  [5492] = {.lex_state = 365, .external_lex_state = 3},
  [5493] = {.lex_state = 367, .external_lex_state = 3},
  [5494] = {.lex_state = 365, .external_lex_state = 15},
  [5495] = {.lex_state = 437, .external_lex_state = 14},
  [5496] = {.lex_state = 437, .external_lex_state = 14},
  [5497] = {.lex_state = 437, .external_lex_state = 14},
  [5498] = {.lex_state = 437, .external_lex_state = 14},
  [5499] = {.lex_state = 185, .external_lex_state = 2},
  [5500] = {.lex_state = 185, .external_lex_state = 2},
  [5501] = {.lex_state = 185, .external_lex_state = 2},
  [5502] = {.lex_state = 185, .external_lex_state = 2},
  [5503] = {.lex_state = 185, .external_lex_state = 2},
  [5504] = {.lex_state = 185, .external_lex_state = 2},
  [5505] = {.lex_state = 185, .external_lex_state = 2},
  [5506] = {.lex_state = 185, .external_lex_state = 2},
  [5507] = {.lex_state = 185, .external_lex_state = 2},
  [5508] = {.lex_state = 185, .external_lex_state = 2},
  [5509] = {.lex_state = 185, .external_lex_state = 2},
  [5510] = {.lex_state = 185, .external_lex_state = 2},
  [5511] = {.lex_state = 185, .external_lex_state = 38},
  [5512] = {.lex_state = 437, .external_lex_state = 14},
  [5513] = {.lex_state = 185, .external_lex_state = 38},
  [5514] = {.lex_state = 185, .external_lex_state = 2},
  [5515] = {.lex_state = 237, .external_lex_state = 14},
  [5516] = {.lex_state = 185, .external_lex_state = 2},
  [5517] = {.lex_state = 185, .external_lex_state = 2},
  [5518] = {.lex_state = 185, .external_lex_state = 2},
  [5519] = {.lex_state = 123, .external_lex_state = 19},
  [5520] = {.lex_state = 185, .external_lex_state = 2},
  [5521] = {.lex_state = 318, .external_lex_state = 11},
  [5522] = {.lex_state = 318, .external_lex_state = 11},
  [5523] = {.lex_state = 318, .external_lex_state = 11},
  [5524] = {.lex_state = 318, .external_lex_state = 11},
  [5525] = {.lex_state = 185, .external_lex_state = 2},
  [5526] = {.lex_state = 185, .external_lex_state = 2},
  [5527] = {.lex_state = 185, .external_lex_state = 2},
  [5528] = {.lex_state = 320, .external_lex_state = 29},
  [5529] = {.lex_state = 322, .external_lex_state = 3},
  [5530] = {.lex_state = 320, .external_lex_state = 11},
  [5531] = {.lex_state = 249, .external_lex_state = 3},
  [5532] = {.lex_state = 322, .external_lex_state = 3},
  [5533] = {.lex_state = 206},
  [5534] = {.lex_state = 326, .external_lex_state = 3},
  [5535] = {.lex_state = 322, .external_lex_state = 30},
  [5536] = {.lex_state = 237, .external_lex_state = 14},
  [5537] = {.lex_state = 237, .external_lex_state = 14},
  [5538] = {.lex_state = 243, .external_lex_state = 8},
  [5539] = {.lex_state = 151, .external_lex_state = 3},
  [5540] = {.lex_state = 123},
  [5541] = {.lex_state = 123, .external_lex_state = 2},
  [5542] = {.lex_state = 123, .external_lex_state = 8},
  [5543] = {.lex_state = 185, .external_lex_state = 2},
  [5544] = {.lex_state = 185, .external_lex_state = 2},
  [5545] = {.lex_state = 185, .external_lex_state = 2},
  [5546] = {.lex_state = 185, .external_lex_state = 2},
  [5547] = {.lex_state = 185, .external_lex_state = 2},
  [5548] = {.lex_state = 185, .external_lex_state = 2},
  [5549] = {.lex_state = 185, .external_lex_state = 2},
  [5550] = {.lex_state = 185, .external_lex_state = 2},
  [5551] = {.lex_state = 185, .external_lex_state = 2},
  [5552] = {.lex_state = 185, .external_lex_state = 2},
  [5553] = {.lex_state = 185, .external_lex_state = 2},
  [5554] = {.lex_state = 185, .external_lex_state = 2},
  [5555] = {.lex_state = 185, .external_lex_state = 2},
  [5556] = {.lex_state = 185, .external_lex_state = 2},
  [5557] = {.lex_state = 185, .external_lex_state = 2},
  [5558] = {.lex_state = 185, .external_lex_state = 2},
  [5559] = {.lex_state = 185, .external_lex_state = 2},
  [5560] = {.lex_state = 185, .external_lex_state = 2},
  [5561] = {.lex_state = 185, .external_lex_state = 2},
  [5562] = {.lex_state = 185, .external_lex_state = 2},
  [5563] = {.lex_state = 123, .external_lex_state = 19},
  [5564] = {.lex_state = 185, .external_lex_state = 2},
  [5565] = {.lex_state = 320, .external_lex_state = 11},
  [5566] = {.lex_state = 320, .external_lex_state = 11},
  [5567] = {.lex_state = 320, .external_lex_state = 11},
  [5568] = {.lex_state = 320, .external_lex_state = 11},
  [5569] = {.lex_state = 185, .external_lex_state = 2},
  [5570] = {.lex_state = 185, .external_lex_state = 2},
  [5571] = {.lex_state = 185, .external_lex_state = 2},
  [5572] = {.lex_state = 320, .external_lex_state = 29},
  [5573] = {.lex_state = 365, .external_lex_state = 3},
  [5574] = {.lex_state = 320, .external_lex_state = 11},
  [5575] = {.lex_state = 367, .external_lex_state = 3},
  [5576] = {.lex_state = 367, .external_lex_state = 3},
  [5577] = {.lex_state = 206},
  [5578] = {.lex_state = 365, .external_lex_state = 3},
  [5579] = {.lex_state = 365, .external_lex_state = 30},
  [5580] = {.lex_state = 185, .external_lex_state = 38},
  [5581] = {.lex_state = 185, .external_lex_state = 2},
  [5582] = {.lex_state = 249, .external_lex_state = 15},
  [5583] = {.lex_state = 322, .external_lex_state = 3},
  [5584] = {.lex_state = 322, .external_lex_state = 3},
  [5585] = {.lex_state = 322, .external_lex_state = 3},
  [5586] = {.lex_state = 322, .external_lex_state = 3},
  [5587] = {.lex_state = 322, .external_lex_state = 3},
  [5588] = {.lex_state = 185, .external_lex_state = 2},
  [5589] = {.lex_state = 185, .external_lex_state = 2},
  [5590] = {.lex_state = 185, .external_lex_state = 2},
  [5591] = {.lex_state = 185, .external_lex_state = 2},
  [5592] = {.lex_state = 185, .external_lex_state = 2},
  [5593] = {.lex_state = 185, .external_lex_state = 2},
  [5594] = {.lex_state = 185, .external_lex_state = 2},
  [5595] = {.lex_state = 185, .external_lex_state = 2},
  [5596] = {.lex_state = 185, .external_lex_state = 2},
  [5597] = {.lex_state = 185, .external_lex_state = 2},
  [5598] = {.lex_state = 185, .external_lex_state = 2},
  [5599] = {.lex_state = 185, .external_lex_state = 2},
  [5600] = {.lex_state = 185, .external_lex_state = 38},
  [5601] = {.lex_state = 185, .external_lex_state = 2},
  [5602] = {.lex_state = 324, .external_lex_state = 15},
  [5603] = {.lex_state = 322, .external_lex_state = 3},
  [5604] = {.lex_state = 322, .external_lex_state = 3},
  [5605] = {.lex_state = 322, .external_lex_state = 3},
  [5606] = {.lex_state = 185, .external_lex_state = 2},
  [5607] = {.lex_state = 322, .external_lex_state = 3},
  [5608] = {.lex_state = 185, .external_lex_state = 2},
  [5609] = {.lex_state = 322, .external_lex_state = 3},
  [5610] = {.lex_state = 433, .external_lex_state = 13},
  [5611] = {.lex_state = 322, .external_lex_state = 3},
  [5612] = {.lex_state = 185, .external_lex_state = 2},
  [5613] = {.lex_state = 322, .external_lex_state = 3},
  [5614] = {.lex_state = 322, .external_lex_state = 3},
  [5615] = {.lex_state = 322, .external_lex_state = 3},
  [5616] = {.lex_state = 322, .external_lex_state = 3},
  [5617] = {.lex_state = 322, .external_lex_state = 3},
  [5618] = {.lex_state = 322, .external_lex_state = 3},
  [5619] = {.lex_state = 322, .external_lex_state = 3},
  [5620] = {.lex_state = 455, .external_lex_state = 22},
  [5621] = {.lex_state = 322, .external_lex_state = 3},
  [5622] = {.lex_state = 322, .external_lex_state = 3},
  [5623] = {.lex_state = 322, .external_lex_state = 3},
  [5624] = {.lex_state = 322, .external_lex_state = 3},
  [5625] = {.lex_state = 322, .external_lex_state = 3},
  [5626] = {.lex_state = 365, .external_lex_state = 3},
  [5627] = {.lex_state = 365, .external_lex_state = 3},
  [5628] = {.lex_state = 185, .external_lex_state = 2},
  [5629] = {.lex_state = 365, .external_lex_state = 3},
  [5630] = {.lex_state = 365, .external_lex_state = 3},
  [5631] = {.lex_state = 185, .external_lex_state = 2},
  [5632] = {.lex_state = 365, .external_lex_state = 3},
  [5633] = {.lex_state = 433, .external_lex_state = 13},
  [5634] = {.lex_state = 365, .external_lex_state = 3},
  [5635] = {.lex_state = 185, .external_lex_state = 2},
  [5636] = {.lex_state = 249, .external_lex_state = 3},
  [5637] = {.lex_state = 433, .external_lex_state = 43},
  [5638] = {.lex_state = 249, .external_lex_state = 3},
  [5639] = {.lex_state = 322, .external_lex_state = 3},
  [5640] = {.lex_state = 322, .external_lex_state = 3},
  [5641] = {.lex_state = 322, .external_lex_state = 3},
  [5642] = {.lex_state = 322, .external_lex_state = 3},
  [5643] = {.lex_state = 322, .external_lex_state = 3},
  [5644] = {.lex_state = 322, .external_lex_state = 15},
  [5645] = {.lex_state = 185, .external_lex_state = 2},
  [5646] = {.lex_state = 151, .external_lex_state = 3},
  [5647] = {.lex_state = 367, .external_lex_state = 3},
  [5648] = {.lex_state = 367, .external_lex_state = 3},
  [5649] = {.lex_state = 367, .external_lex_state = 3},
  [5650] = {.lex_state = 185, .external_lex_state = 2},
  [5651] = {.lex_state = 185, .external_lex_state = 2},
  [5652] = {.lex_state = 185, .external_lex_state = 2},
  [5653] = {.lex_state = 185, .external_lex_state = 2},
  [5654] = {.lex_state = 185, .external_lex_state = 2},
  [5655] = {.lex_state = 185, .external_lex_state = 2},
  [5656] = {.lex_state = 185, .external_lex_state = 2},
  [5657] = {.lex_state = 185, .external_lex_state = 2},
  [5658] = {.lex_state = 185, .external_lex_state = 2},
  [5659] = {.lex_state = 185, .external_lex_state = 2},
  [5660] = {.lex_state = 185, .external_lex_state = 2},
  [5661] = {.lex_state = 185, .external_lex_state = 2},
  [5662] = {.lex_state = 185, .external_lex_state = 38},
  [5663] = {.lex_state = 185, .external_lex_state = 2},
  [5664] = {.lex_state = 367, .external_lex_state = 15},
  [5665] = {.lex_state = 367, .external_lex_state = 3},
  [5666] = {.lex_state = 365, .external_lex_state = 3},
  [5667] = {.lex_state = 365, .external_lex_state = 3},
  [5668] = {.lex_state = 365, .external_lex_state = 3},
  [5669] = {.lex_state = 365, .external_lex_state = 3},
  [5670] = {.lex_state = 365, .external_lex_state = 3},
  [5671] = {.lex_state = 365, .external_lex_state = 3},
  [5672] = {.lex_state = 367, .external_lex_state = 3},
  [5673] = {.lex_state = 455, .external_lex_state = 22},
  [5674] = {.lex_state = 365, .external_lex_state = 3},
  [5675] = {.lex_state = 365, .external_lex_state = 3},
  [5676] = {.lex_state = 365, .external_lex_state = 3},
  [5677] = {.lex_state = 365, .external_lex_state = 3},
  [5678] = {.lex_state = 365, .external_lex_state = 3},
  [5679] = {.lex_state = 367, .external_lex_state = 3},
  [5680] = {.lex_state = 433, .external_lex_state = 43},
  [5681] = {.lex_state = 367, .external_lex_state = 3},
  [5682] = {.lex_state = 367, .external_lex_state = 3},
  [5683] = {.lex_state = 365, .external_lex_state = 3},
  [5684] = {.lex_state = 365, .external_lex_state = 3},
  [5685] = {.lex_state = 365, .external_lex_state = 3},
  [5686] = {.lex_state = 367, .external_lex_state = 3},
  [5687] = {.lex_state = 365, .external_lex_state = 15},
  [5688] = {.lex_state = 437, .external_lex_state = 14},
  [5689] = {.lex_state = 437, .external_lex_state = 14},
  [5690] = {.lex_state = 437, .external_lex_state = 14},
  [5691] = {.lex_state = 437, .external_lex_state = 14},
  [5692] = {.lex_state = 185, .external_lex_state = 2},
  [5693] = {.lex_state = 185, .external_lex_state = 2},
  [5694] = {.lex_state = 185, .external_lex_state = 2},
  [5695] = {.lex_state = 185, .external_lex_state = 2},
  [5696] = {.lex_state = 185, .external_lex_state = 2},
  [5697] = {.lex_state = 185, .external_lex_state = 2},
  [5698] = {.lex_state = 185, .external_lex_state = 2},
  [5699] = {.lex_state = 185, .external_lex_state = 2},
  [5700] = {.lex_state = 185, .external_lex_state = 2},
  [5701] = {.lex_state = 185, .external_lex_state = 2},
  [5702] = {.lex_state = 185, .external_lex_state = 2},
  [5703] = {.lex_state = 185, .external_lex_state = 2},
  [5704] = {.lex_state = 185, .external_lex_state = 38},
  [5705] = {.lex_state = 437, .external_lex_state = 14},
  [5706] = {.lex_state = 185, .external_lex_state = 38},
  [5707] = {.lex_state = 185, .external_lex_state = 2},
  [5708] = {.lex_state = 151, .external_lex_state = 3},
  [5709] = {.lex_state = 421, .external_lex_state = 32},
  [5710] = {.lex_state = 185, .external_lex_state = 2},
  [5711] = {.lex_state = 185, .external_lex_state = 2},
  [5712] = {.lex_state = 123, .external_lex_state = 19},
  [5713] = {.lex_state = 185, .external_lex_state = 2},
  [5714] = {.lex_state = 278, .external_lex_state = 34},
  [5715] = {.lex_state = 421, .external_lex_state = 32},
  [5716] = {.lex_state = 421, .external_lex_state = 32},
  [5717] = {.lex_state = 421, .external_lex_state = 32},
  [5718] = {.lex_state = 423, .external_lex_state = 36},
  [5719] = {.lex_state = 421, .external_lex_state = 32},
  [5720] = {.lex_state = 421, .external_lex_state = 32},
  [5721] = {.lex_state = 185, .external_lex_state = 2},
  [5722] = {.lex_state = 185, .external_lex_state = 2},
  [5723] = {.lex_state = 185, .external_lex_state = 2},
  [5724] = {.lex_state = 185, .external_lex_state = 2},
  [5725] = {.lex_state = 185, .external_lex_state = 2},
  [5726] = {.lex_state = 185, .external_lex_state = 2},
  [5727] = {.lex_state = 185, .external_lex_state = 2},
  [5728] = {.lex_state = 185, .external_lex_state = 2},
  [5729] = {.lex_state = 185, .external_lex_state = 2},
  [5730] = {.lex_state = 185, .external_lex_state = 2},
  [5731] = {.lex_state = 185, .external_lex_state = 2},
  [5732] = {.lex_state = 185, .external_lex_state = 2},
  [5733] = {.lex_state = 185, .external_lex_state = 2},
  [5734] = {.lex_state = 185, .external_lex_state = 2},
  [5735] = {.lex_state = 123, .external_lex_state = 19},
  [5736] = {.lex_state = 185, .external_lex_state = 2},
  [5737] = {.lex_state = 278, .external_lex_state = 34},
  [5738] = {.lex_state = 365, .external_lex_state = 32},
  [5739] = {.lex_state = 367, .external_lex_state = 32},
  [5740] = {.lex_state = 367, .external_lex_state = 32},
  [5741] = {.lex_state = 365, .external_lex_state = 36},
  [5742] = {.lex_state = 185, .external_lex_state = 38},
  [5743] = {.lex_state = 185, .external_lex_state = 2},
  [5744] = {.lex_state = 505, .external_lex_state = 40},
  [5745] = {.lex_state = 421, .external_lex_state = 32},
  [5746] = {.lex_state = 421, .external_lex_state = 32},
  [5747] = {.lex_state = 421, .external_lex_state = 32},
  [5748] = {.lex_state = 185, .external_lex_state = 2},
  [5749] = {.lex_state = 421, .external_lex_state = 32},
  [5750] = {.lex_state = 185, .external_lex_state = 2},
  [5751] = {.lex_state = 421, .external_lex_state = 32},
  [5752] = {.lex_state = 433, .external_lex_state = 13},
  [5753] = {.lex_state = 421, .external_lex_state = 32},
  [5754] = {.lex_state = 185, .external_lex_state = 2},
  [5755] = {.lex_state = 421, .external_lex_state = 32},
  [5756] = {.lex_state = 421, .external_lex_state = 32},
  [5757] = {.lex_state = 421, .external_lex_state = 32},
  [5758] = {.lex_state = 421, .external_lex_state = 32},
  [5759] = {.lex_state = 421, .external_lex_state = 32},
  [5760] = {.lex_state = 421, .external_lex_state = 32},
  [5761] = {.lex_state = 421, .external_lex_state = 32},
  [5762] = {.lex_state = 455, .external_lex_state = 22},
  [5763] = {.lex_state = 421, .external_lex_state = 32},
  [5764] = {.lex_state = 421, .external_lex_state = 32},
  [5765] = {.lex_state = 421, .external_lex_state = 32},
  [5766] = {.lex_state = 421, .external_lex_state = 32},
  [5767] = {.lex_state = 421, .external_lex_state = 32},
  [5768] = {.lex_state = 365, .external_lex_state = 32},
  [5769] = {.lex_state = 365, .external_lex_state = 40},
  [5770] = {.lex_state = 365, .external_lex_state = 32},
  [5771] = {.lex_state = 365, .external_lex_state = 32},
  [5772] = {.lex_state = 185, .external_lex_state = 2},
  [5773] = {.lex_state = 365, .external_lex_state = 32},
  [5774] = {.lex_state = 365, .external_lex_state = 32},
  [5775] = {.lex_state = 365, .external_lex_state = 32},
  [5776] = {.lex_state = 185, .external_lex_state = 2},
  [5777] = {.lex_state = 185, .external_lex_state = 2},
  [5778] = {.lex_state = 185, .external_lex_state = 2},
  [5779] = {.lex_state = 185, .external_lex_state = 2},
  [5780] = {.lex_state = 185, .external_lex_state = 2},
  [5781] = {.lex_state = 185, .external_lex_state = 2},
  [5782] = {.lex_state = 185, .external_lex_state = 2},
  [5783] = {.lex_state = 185, .external_lex_state = 2},
  [5784] = {.lex_state = 185, .external_lex_state = 2},
  [5785] = {.lex_state = 185, .external_lex_state = 2},
  [5786] = {.lex_state = 185, .external_lex_state = 2},
  [5787] = {.lex_state = 185, .external_lex_state = 2},
  [5788] = {.lex_state = 185, .external_lex_state = 2},
  [5789] = {.lex_state = 365, .external_lex_state = 32},
  [5790] = {.lex_state = 433, .external_lex_state = 13},
  [5791] = {.lex_state = 365, .external_lex_state = 32},
  [5792] = {.lex_state = 185, .external_lex_state = 38},
  [5793] = {.lex_state = 185, .external_lex_state = 2},
  [5794] = {.lex_state = 185, .external_lex_state = 2},
  [5795] = {.lex_state = 365, .external_lex_state = 40},
  [5796] = {.lex_state = 417, .external_lex_state = 42},
  [5797] = {.lex_state = 433, .external_lex_state = 43},
  [5798] = {.lex_state = 417, .external_lex_state = 42},
  [5799] = {.lex_state = 417, .external_lex_state = 42},
  [5800] = {.lex_state = 421, .external_lex_state = 32},
  [5801] = {.lex_state = 421, .external_lex_state = 32},
  [5802] = {.lex_state = 421, .external_lex_state = 32},
  [5803] = {.lex_state = 421, .external_lex_state = 32},
  [5804] = {.lex_state = 423, .external_lex_state = 40},
  [5805] = {.lex_state = 151, .external_lex_state = 3},
  [5806] = {.lex_state = 123},
  [5807] = {.lex_state = 322, .external_lex_state = 3},
  [5808] = {.lex_state = 322, .external_lex_state = 3},
  [5809] = {.lex_state = 322, .external_lex_state = 3},
  [5810] = {.lex_state = 322, .external_lex_state = 3},
  [5811] = {.lex_state = 322, .external_lex_state = 3},
  [5812] = {.lex_state = 185, .external_lex_state = 2},
  [5813] = {.lex_state = 185, .external_lex_state = 2},
  [5814] = {.lex_state = 185, .external_lex_state = 2},
  [5815] = {.lex_state = 185, .external_lex_state = 2},
  [5816] = {.lex_state = 185, .external_lex_state = 2},
  [5817] = {.lex_state = 185, .external_lex_state = 2},
  [5818] = {.lex_state = 185, .external_lex_state = 2},
  [5819] = {.lex_state = 185, .external_lex_state = 2},
  [5820] = {.lex_state = 185, .external_lex_state = 2},
  [5821] = {.lex_state = 185, .external_lex_state = 2},
  [5822] = {.lex_state = 185, .external_lex_state = 2},
  [5823] = {.lex_state = 185, .external_lex_state = 2},
  [5824] = {.lex_state = 185, .external_lex_state = 38},
  [5825] = {.lex_state = 185, .external_lex_state = 2},
  [5826] = {.lex_state = 324, .external_lex_state = 15},
  [5827] = {.lex_state = 322, .external_lex_state = 3},
  [5828] = {.lex_state = 322, .external_lex_state = 3},
  [5829] = {.lex_state = 322, .external_lex_state = 3},
  [5830] = {.lex_state = 185, .external_lex_state = 2},
  [5831] = {.lex_state = 322, .external_lex_state = 3},
  [5832] = {.lex_state = 185, .external_lex_state = 2},
  [5833] = {.lex_state = 322, .external_lex_state = 3},
  [5834] = {.lex_state = 433, .external_lex_state = 13},
  [5835] = {.lex_state = 322, .external_lex_state = 3},
  [5836] = {.lex_state = 185, .external_lex_state = 2},
  [5837] = {.lex_state = 322, .external_lex_state = 3},
  [5838] = {.lex_state = 322, .external_lex_state = 3},
  [5839] = {.lex_state = 322, .external_lex_state = 3},
  [5840] = {.lex_state = 322, .external_lex_state = 3},
  [5841] = {.lex_state = 322, .external_lex_state = 3},
  [5842] = {.lex_state = 322, .external_lex_state = 3},
  [5843] = {.lex_state = 322, .external_lex_state = 3},
  [5844] = {.lex_state = 455, .external_lex_state = 22},
  [5845] = {.lex_state = 322, .external_lex_state = 3},
  [5846] = {.lex_state = 322, .external_lex_state = 3},
  [5847] = {.lex_state = 322, .external_lex_state = 3},
  [5848] = {.lex_state = 322, .external_lex_state = 3},
  [5849] = {.lex_state = 322, .external_lex_state = 3},
  [5850] = {.lex_state = 249, .external_lex_state = 3},
  [5851] = {.lex_state = 433, .external_lex_state = 43},
  [5852] = {.lex_state = 249, .external_lex_state = 3},
  [5853] = {.lex_state = 322, .external_lex_state = 3},
  [5854] = {.lex_state = 322, .external_lex_state = 3},
  [5855] = {.lex_state = 322, .external_lex_state = 3},
  [5856] = {.lex_state = 322, .external_lex_state = 3},
  [5857] = {.lex_state = 322, .external_lex_state = 3},
  [5858] = {.lex_state = 322, .external_lex_state = 15},
  [5859] = {.lex_state = 185, .external_lex_state = 2},
  [5860] = {.lex_state = 151, .external_lex_state = 3},
  [5861] = {.lex_state = 123},
  [5862] = {.lex_state = 437, .external_lex_state = 14},
  [5863] = {.lex_state = 437, .external_lex_state = 14},
  [5864] = {.lex_state = 437, .external_lex_state = 14},
  [5865] = {.lex_state = 437, .external_lex_state = 14},
  [5866] = {.lex_state = 185, .external_lex_state = 2},
  [5867] = {.lex_state = 185, .external_lex_state = 2},
  [5868] = {.lex_state = 185, .external_lex_state = 2},
  [5869] = {.lex_state = 185, .external_lex_state = 2},
  [5870] = {.lex_state = 185, .external_lex_state = 2},
  [5871] = {.lex_state = 185, .external_lex_state = 2},
  [5872] = {.lex_state = 185, .external_lex_state = 2},
  [5873] = {.lex_state = 185, .external_lex_state = 2},
  [5874] = {.lex_state = 185, .external_lex_state = 2},
  [5875] = {.lex_state = 185, .external_lex_state = 2},
  [5876] = {.lex_state = 185, .external_lex_state = 2},
  [5877] = {.lex_state = 185, .external_lex_state = 2},
  [5878] = {.lex_state = 185, .external_lex_state = 38},
  [5879] = {.lex_state = 437, .external_lex_state = 14},
  [5880] = {.lex_state = 185, .external_lex_state = 38},
  [5881] = {.lex_state = 185, .external_lex_state = 2},
  [5882] = {.lex_state = 437, .external_lex_state = 14},
  [5883] = {.lex_state = 437, .external_lex_state = 14},
  [5884] = {.lex_state = 185, .external_lex_state = 2},
  [5885] = {.lex_state = 185, .external_lex_state = 2},
  [5886] = {.lex_state = 123, .external_lex_state = 19},
  [5887] = {.lex_state = 185, .external_lex_state = 2},
  [5888] = {.lex_state = 320, .external_lex_state = 29},
  [5889] = {.lex_state = 322, .external_lex_state = 3},
  [5890] = {.lex_state = 322, .external_lex_state = 3},
  [5891] = {.lex_state = 322, .external_lex_state = 3},
  [5892] = {.lex_state = 322, .external_lex_state = 30},
  [5893] = {.lex_state = 437, .external_lex_state = 14},
  [5894] = {.lex_state = 437, .external_lex_state = 14},
  [5895] = {.lex_state = 185, .external_lex_state = 38},
  [5896] = {.lex_state = 123, .external_lex_state = 2},
  [5897] = {.lex_state = 243, .external_lex_state = 8},
  [5898] = {.lex_state = 185, .external_lex_state = 2},
  [5899] = {.lex_state = 185, .external_lex_state = 2},
  [5900] = {.lex_state = 185, .external_lex_state = 2},
  [5901] = {.lex_state = 185, .external_lex_state = 2},
  [5902] = {.lex_state = 185, .external_lex_state = 2},
  [5903] = {.lex_state = 185, .external_lex_state = 2},
  [5904] = {.lex_state = 185, .external_lex_state = 2},
  [5905] = {.lex_state = 185, .external_lex_state = 2},
  [5906] = {.lex_state = 185, .external_lex_state = 2},
  [5907] = {.lex_state = 185, .external_lex_state = 2},
  [5908] = {.lex_state = 185, .external_lex_state = 2},
  [5909] = {.lex_state = 185, .external_lex_state = 2},
  [5910] = {.lex_state = 185, .external_lex_state = 2},
  [5911] = {.lex_state = 185, .external_lex_state = 2},
  [5912] = {.lex_state = 123, .external_lex_state = 19},
  [5913] = {.lex_state = 185, .external_lex_state = 2},
  [5914] = {.lex_state = 320, .external_lex_state = 29},
  [5915] = {.lex_state = 365, .external_lex_state = 3},
  [5916] = {.lex_state = 367, .external_lex_state = 3},
  [5917] = {.lex_state = 367, .external_lex_state = 3},
  [5918] = {.lex_state = 365, .external_lex_state = 30},
  [5919] = {.lex_state = 185, .external_lex_state = 38},
  [5920] = {.lex_state = 185, .external_lex_state = 2},
  [5921] = {.lex_state = 324, .external_lex_state = 15},
  [5922] = {.lex_state = 322, .external_lex_state = 3},
  [5923] = {.lex_state = 322, .external_lex_state = 3},
  [5924] = {.lex_state = 322, .external_lex_state = 3},
  [5925] = {.lex_state = 322, .external_lex_state = 3},
  [5926] = {.lex_state = 322, .external_lex_state = 3},
  [5927] = {.lex_state = 185, .external_lex_state = 2},
  [5928] = {.lex_state = 185, .external_lex_state = 2},
  [5929] = {.lex_state = 185, .external_lex_state = 2},
  [5930] = {.lex_state = 185, .external_lex_state = 2},
  [5931] = {.lex_state = 185, .external_lex_state = 2},
  [5932] = {.lex_state = 185, .external_lex_state = 2},
  [5933] = {.lex_state = 185, .external_lex_state = 2},
  [5934] = {.lex_state = 185, .external_lex_state = 2},
  [5935] = {.lex_state = 185, .external_lex_state = 2},
  [5936] = {.lex_state = 185, .external_lex_state = 2},
  [5937] = {.lex_state = 185, .external_lex_state = 2},
  [5938] = {.lex_state = 185, .external_lex_state = 2},
  [5939] = {.lex_state = 185, .external_lex_state = 38},
  [5940] = {.lex_state = 185, .external_lex_state = 2},
  [5941] = {.lex_state = 324, .external_lex_state = 15},
  [5942] = {.lex_state = 322, .external_lex_state = 3},
  [5943] = {.lex_state = 322, .external_lex_state = 3},
  [5944] = {.lex_state = 322, .external_lex_state = 3},
  [5945] = {.lex_state = 185, .external_lex_state = 2},
  [5946] = {.lex_state = 322, .external_lex_state = 3},
  [5947] = {.lex_state = 185, .external_lex_state = 2},
  [5948] = {.lex_state = 322, .external_lex_state = 3},
  [5949] = {.lex_state = 433, .external_lex_state = 13},
  [5950] = {.lex_state = 322, .external_lex_state = 3},
  [5951] = {.lex_state = 185, .external_lex_state = 2},
  [5952] = {.lex_state = 322, .external_lex_state = 3},
  [5953] = {.lex_state = 322, .external_lex_state = 3},
  [5954] = {.lex_state = 322, .external_lex_state = 3},
  [5955] = {.lex_state = 322, .external_lex_state = 3},
  [5956] = {.lex_state = 322, .external_lex_state = 3},
  [5957] = {.lex_state = 322, .external_lex_state = 3},
  [5958] = {.lex_state = 322, .external_lex_state = 3},
  [5959] = {.lex_state = 455, .external_lex_state = 22},
  [5960] = {.lex_state = 322, .external_lex_state = 3},
  [5961] = {.lex_state = 322, .external_lex_state = 3},
  [5962] = {.lex_state = 322, .external_lex_state = 3},
  [5963] = {.lex_state = 322, .external_lex_state = 3},
  [5964] = {.lex_state = 322, .external_lex_state = 3},
  [5965] = {.lex_state = 365, .external_lex_state = 3},
  [5966] = {.lex_state = 365, .external_lex_state = 3},
  [5967] = {.lex_state = 185, .external_lex_state = 2},
  [5968] = {.lex_state = 365, .external_lex_state = 3},
  [5969] = {.lex_state = 185, .external_lex_state = 2},
  [5970] = {.lex_state = 365, .external_lex_state = 3},
  [5971] = {.lex_state = 433, .external_lex_state = 13},
  [5972] = {.lex_state = 365, .external_lex_state = 3},
  [5973] = {.lex_state = 185, .external_lex_state = 2},
  [5974] = {.lex_state = 249, .external_lex_state = 3},
  [5975] = {.lex_state = 433, .external_lex_state = 43},
  [5976] = {.lex_state = 249, .external_lex_state = 3},
  [5977] = {.lex_state = 322, .external_lex_state = 3},
  [5978] = {.lex_state = 322, .external_lex_state = 3},
  [5979] = {.lex_state = 322, .external_lex_state = 3},
  [5980] = {.lex_state = 322, .external_lex_state = 3},
  [5981] = {.lex_state = 322, .external_lex_state = 3},
  [5982] = {.lex_state = 322, .external_lex_state = 15},
  [5983] = {.lex_state = 322, .external_lex_state = 3},
  [5984] = {.lex_state = 322, .external_lex_state = 3},
  [5985] = {.lex_state = 322, .external_lex_state = 3},
  [5986] = {.lex_state = 185, .external_lex_state = 2},
  [5987] = {.lex_state = 322, .external_lex_state = 3},
  [5988] = {.lex_state = 322, .external_lex_state = 3},
  [5989] = {.lex_state = 322, .external_lex_state = 3},
  [5990] = {.lex_state = 185, .external_lex_state = 2},
  [5991] = {.lex_state = 185, .external_lex_state = 2},
  [5992] = {.lex_state = 185, .external_lex_state = 2},
  [5993] = {.lex_state = 185, .external_lex_state = 2},
  [5994] = {.lex_state = 185, .external_lex_state = 2},
  [5995] = {.lex_state = 185, .external_lex_state = 2},
  [5996] = {.lex_state = 185, .external_lex_state = 2},
  [5997] = {.lex_state = 185, .external_lex_state = 2},
  [5998] = {.lex_state = 185, .external_lex_state = 2},
  [5999] = {.lex_state = 185, .external_lex_state = 2},
  [6000] = {.lex_state = 185, .external_lex_state = 2},
  [6001] = {.lex_state = 185, .external_lex_state = 2},
  [6002] = {.lex_state = 185, .external_lex_state = 2},
  [6003] = {.lex_state = 322, .external_lex_state = 3},
  [6004] = {.lex_state = 433, .external_lex_state = 13},
  [6005] = {.lex_state = 322, .external_lex_state = 3},
  [6006] = {.lex_state = 185, .external_lex_state = 38},
  [6007] = {.lex_state = 185, .external_lex_state = 2},
  [6008] = {.lex_state = 185, .external_lex_state = 2},
  [6009] = {.lex_state = 226, .external_lex_state = 13},
  [6010] = {.lex_state = 190, .external_lex_state = 37},
  [6011] = {.lex_state = 185, .external_lex_state = 2},
  [6012] = {.lex_state = 185, .external_lex_state = 2},
  [6013] = {.lex_state = 316, .external_lex_state = 13},
  [6014] = {.lex_state = 185, .external_lex_state = 2},
  [6015] = {.lex_state = 123, .external_lex_state = 19},
  [6016] = {.lex_state = 363, .external_lex_state = 6},
  [6017] = {.lex_state = 185, .external_lex_state = 2},
  [6018] = {.lex_state = 318, .external_lex_state = 11},
  [6019] = {.lex_state = 318, .external_lex_state = 11},
  [6020] = {.lex_state = 318, .external_lex_state = 11},
  [6021] = {.lex_state = 318, .external_lex_state = 11},
  [6022] = {.lex_state = 361, .external_lex_state = 12},
  [6023] = {.lex_state = 185, .external_lex_state = 2},
  [6024] = {.lex_state = 185, .external_lex_state = 2},
  [6025] = {.lex_state = 185, .external_lex_state = 2},
  [6026] = {.lex_state = 320, .external_lex_state = 29},
  [6027] = {.lex_state = 421, .external_lex_state = 3},
  [6028] = {.lex_state = 309, .external_lex_state = 44},
  [6029] = {.lex_state = 309, .external_lex_state = 44},
  [6030] = {.lex_state = 417, .external_lex_state = 44},
  [6031] = {.lex_state = 309, .external_lex_state = 44},
  [6032] = {.lex_state = 206},
  [6033] = {.lex_state = 365, .external_lex_state = 3},
  [6034] = {.lex_state = 423, .external_lex_state = 30},
  [6035] = {.lex_state = 123},
  [6036] = {.lex_state = 123},
  [6037] = {.lex_state = 123, .external_lex_state = 2},
  [6038] = {.lex_state = 437, .external_lex_state = 14},
  [6039] = {.lex_state = 437, .external_lex_state = 14},
  [6040] = {.lex_state = 437, .external_lex_state = 14},
  [6041] = {.lex_state = 437, .external_lex_state = 14},
  [6042] = {.lex_state = 437, .external_lex_state = 14},
  [6043] = {.lex_state = 437, .external_lex_state = 14},
  [6044] = {.lex_state = 455, .external_lex_state = 22},
  [6045] = {.lex_state = 437, .external_lex_state = 14},
  [6046] = {.lex_state = 437, .external_lex_state = 14},
  [6047] = {.lex_state = 437, .external_lex_state = 14},
  [6048] = {.lex_state = 437, .external_lex_state = 14},
  [6049] = {.lex_state = 437, .external_lex_state = 14},
  [6050] = {.lex_state = 365, .external_lex_state = 3},
  [6051] = {.lex_state = 365, .external_lex_state = 15},
  [6052] = {.lex_state = 365, .external_lex_state = 3},
  [6053] = {.lex_state = 365, .external_lex_state = 3},
  [6054] = {.lex_state = 185, .external_lex_state = 2},
  [6055] = {.lex_state = 365, .external_lex_state = 3},
  [6056] = {.lex_state = 365, .external_lex_state = 3},
  [6057] = {.lex_state = 365, .external_lex_state = 3},
  [6058] = {.lex_state = 185, .external_lex_state = 2},
  [6059] = {.lex_state = 185, .external_lex_state = 2},
  [6060] = {.lex_state = 185, .external_lex_state = 2},
  [6061] = {.lex_state = 185, .external_lex_state = 2},
  [6062] = {.lex_state = 185, .external_lex_state = 2},
  [6063] = {.lex_state = 185, .external_lex_state = 2},
  [6064] = {.lex_state = 185, .external_lex_state = 2},
  [6065] = {.lex_state = 185, .external_lex_state = 2},
  [6066] = {.lex_state = 185, .external_lex_state = 2},
  [6067] = {.lex_state = 185, .external_lex_state = 2},
  [6068] = {.lex_state = 185, .external_lex_state = 2},
  [6069] = {.lex_state = 185, .external_lex_state = 2},
  [6070] = {.lex_state = 185, .external_lex_state = 2},
  [6071] = {.lex_state = 365, .external_lex_state = 3},
  [6072] = {.lex_state = 433, .external_lex_state = 13},
  [6073] = {.lex_state = 365, .external_lex_state = 3},
  [6074] = {.lex_state = 185, .external_lex_state = 38},
  [6075] = {.lex_state = 185, .external_lex_state = 2},
  [6076] = {.lex_state = 185, .external_lex_state = 2},
  [6077] = {.lex_state = 365, .external_lex_state = 15},
  [6078] = {.lex_state = 318, .external_lex_state = 8},
  [6079] = {.lex_state = 318, .external_lex_state = 8},
  [6080] = {.lex_state = 185, .external_lex_state = 2},
  [6081] = {.lex_state = 437, .external_lex_state = 14},
  [6082] = {.lex_state = 437, .external_lex_state = 14},
  [6083] = {.lex_state = 437, .external_lex_state = 14},
  [6084] = {.lex_state = 322, .external_lex_state = 15},
  [6085] = {.lex_state = 185, .external_lex_state = 2},
  [6086] = {.lex_state = 425, .external_lex_state = 11},
  [6087] = {.lex_state = 425, .external_lex_state = 11},
  [6088] = {.lex_state = 425, .external_lex_state = 11},
  [6089] = {.lex_state = 425, .external_lex_state = 11},
  [6090] = {.lex_state = 185, .external_lex_state = 2},
  [6091] = {.lex_state = 185, .external_lex_state = 2},
  [6092] = {.lex_state = 185, .external_lex_state = 2},
  [6093] = {.lex_state = 322, .external_lex_state = 3},
  [6094] = {.lex_state = 206},
  [6095] = {.lex_state = 247, .external_lex_state = 3},
  [6096] = {.lex_state = 324, .external_lex_state = 15},
  [6097] = {.lex_state = 322, .external_lex_state = 3},
  [6098] = {.lex_state = 322, .external_lex_state = 3},
  [6099] = {.lex_state = 322, .external_lex_state = 15},
  [6100] = {.lex_state = 185, .external_lex_state = 2},
  [6101] = {.lex_state = 322, .external_lex_state = 3},
  [6102] = {.lex_state = 185, .external_lex_state = 2},
  [6103] = {.lex_state = 185, .external_lex_state = 2},
  [6104] = {.lex_state = 123, .external_lex_state = 19},
  [6105] = {.lex_state = 185, .external_lex_state = 2},
  [6106] = {.lex_state = 320, .external_lex_state = 29},
  [6107] = {.lex_state = 322, .external_lex_state = 3},
  [6108] = {.lex_state = 322, .external_lex_state = 3},
  [6109] = {.lex_state = 322, .external_lex_state = 3},
  [6110] = {.lex_state = 322, .external_lex_state = 30},
  [6111] = {.lex_state = 322, .external_lex_state = 3},
  [6112] = {.lex_state = 322, .external_lex_state = 3},
  [6113] = {.lex_state = 185, .external_lex_state = 2},
  [6114] = {.lex_state = 185, .external_lex_state = 2},
  [6115] = {.lex_state = 185, .external_lex_state = 2},
  [6116] = {.lex_state = 185, .external_lex_state = 2},
  [6117] = {.lex_state = 185, .external_lex_state = 2},
  [6118] = {.lex_state = 185, .external_lex_state = 2},
  [6119] = {.lex_state = 185, .external_lex_state = 2},
  [6120] = {.lex_state = 185, .external_lex_state = 2},
  [6121] = {.lex_state = 185, .external_lex_state = 2},
  [6122] = {.lex_state = 185, .external_lex_state = 2},
  [6123] = {.lex_state = 185, .external_lex_state = 2},
  [6124] = {.lex_state = 185, .external_lex_state = 2},
  [6125] = {.lex_state = 185, .external_lex_state = 2},
  [6126] = {.lex_state = 185, .external_lex_state = 2},
  [6127] = {.lex_state = 185, .external_lex_state = 2},
  [6128] = {.lex_state = 123, .external_lex_state = 19},
  [6129] = {.lex_state = 185, .external_lex_state = 2},
  [6130] = {.lex_state = 320, .external_lex_state = 29},
  [6131] = {.lex_state = 365, .external_lex_state = 3},
  [6132] = {.lex_state = 365, .external_lex_state = 3},
  [6133] = {.lex_state = 365, .external_lex_state = 3},
  [6134] = {.lex_state = 365, .external_lex_state = 30},
  [6135] = {.lex_state = 249, .external_lex_state = 3},
  [6136] = {.lex_state = 433, .external_lex_state = 13},
  [6137] = {.lex_state = 322, .external_lex_state = 3},
  [6138] = {.lex_state = 185, .external_lex_state = 38},
  [6139] = {.lex_state = 185, .external_lex_state = 2},
  [6140] = {.lex_state = 185, .external_lex_state = 2},
  [6141] = {.lex_state = 322, .external_lex_state = 15},
  [6142] = {.lex_state = 243, .external_lex_state = 8},
  [6143] = {.lex_state = 123, .external_lex_state = 2},
  [6144] = {.lex_state = 123, .external_lex_state = 8},
  [6145] = {.lex_state = 237, .external_lex_state = 14},
  [6146] = {.lex_state = 237, .external_lex_state = 14},
  [6147] = {.lex_state = 237, .external_lex_state = 14},
  [6148] = {.lex_state = 237, .external_lex_state = 14},
  [6149] = {.lex_state = 237, .external_lex_state = 14},
  [6150] = {.lex_state = 237, .external_lex_state = 14},
  [6151] = {.lex_state = 237, .external_lex_state = 14},
  [6152] = {.lex_state = 237, .external_lex_state = 14},
  [6153] = {.lex_state = 237, .external_lex_state = 14},
  [6154] = {.lex_state = 237, .external_lex_state = 14},
  [6155] = {.lex_state = 237, .external_lex_state = 14},
  [6156] = {.lex_state = 455, .external_lex_state = 22},
  [6157] = {.lex_state = 237, .external_lex_state = 14},
  [6158] = {.lex_state = 237, .external_lex_state = 14},
  [6159] = {.lex_state = 237, .external_lex_state = 14},
  [6160] = {.lex_state = 237, .external_lex_state = 14},
  [6161] = {.lex_state = 237, .external_lex_state = 14},
  [6162] = {.lex_state = 185, .external_lex_state = 2},
  [6163] = {.lex_state = 243, .external_lex_state = 11},
  [6164] = {.lex_state = 243, .external_lex_state = 11},
  [6165] = {.lex_state = 243, .external_lex_state = 11},
  [6166] = {.lex_state = 243, .external_lex_state = 11},
  [6167] = {.lex_state = 185, .external_lex_state = 2},
  [6168] = {.lex_state = 185, .external_lex_state = 2},
  [6169] = {.lex_state = 185, .external_lex_state = 2},
  [6170] = {.lex_state = 367, .external_lex_state = 3},
  [6171] = {.lex_state = 243, .external_lex_state = 11},
  [6172] = {.lex_state = 206},
  [6173] = {.lex_state = 367, .external_lex_state = 3},
  [6174] = {.lex_state = 367, .external_lex_state = 15},
  [6175] = {.lex_state = 367, .external_lex_state = 3},
  [6176] = {.lex_state = 365, .external_lex_state = 3},
  [6177] = {.lex_state = 365, .external_lex_state = 15},
  [6178] = {.lex_state = 185, .external_lex_state = 2},
  [6179] = {.lex_state = 367, .external_lex_state = 3},
  [6180] = {.lex_state = 365, .external_lex_state = 3},
  [6181] = {.lex_state = 365, .external_lex_state = 3},
  [6182] = {.lex_state = 185, .external_lex_state = 2},
  [6183] = {.lex_state = 185, .external_lex_state = 2},
  [6184] = {.lex_state = 185, .external_lex_state = 2},
  [6185] = {.lex_state = 185, .external_lex_state = 2},
  [6186] = {.lex_state = 185, .external_lex_state = 2},
  [6187] = {.lex_state = 185, .external_lex_state = 2},
  [6188] = {.lex_state = 185, .external_lex_state = 2},
  [6189] = {.lex_state = 185, .external_lex_state = 2},
  [6190] = {.lex_state = 185, .external_lex_state = 2},
  [6191] = {.lex_state = 185, .external_lex_state = 2},
  [6192] = {.lex_state = 185, .external_lex_state = 2},
  [6193] = {.lex_state = 185, .external_lex_state = 2},
  [6194] = {.lex_state = 185, .external_lex_state = 2},
  [6195] = {.lex_state = 367, .external_lex_state = 3},
  [6196] = {.lex_state = 433, .external_lex_state = 13},
  [6197] = {.lex_state = 367, .external_lex_state = 3},
  [6198] = {.lex_state = 185, .external_lex_state = 38},
  [6199] = {.lex_state = 185, .external_lex_state = 2},
  [6200] = {.lex_state = 185, .external_lex_state = 2},
  [6201] = {.lex_state = 365, .external_lex_state = 15},
  [6202] = {.lex_state = 185, .external_lex_state = 2},
  [6203] = {.lex_state = 185, .external_lex_state = 2},
  [6204] = {.lex_state = 185, .external_lex_state = 2},
  [6205] = {.lex_state = 185, .external_lex_state = 2},
  [6206] = {.lex_state = 185, .external_lex_state = 2},
  [6207] = {.lex_state = 437, .external_lex_state = 14},
  [6208] = {.lex_state = 437, .external_lex_state = 14},
  [6209] = {.lex_state = 206},
  [6210] = {.lex_state = 247, .external_lex_state = 3},
  [6211] = {.lex_state = 237, .external_lex_state = 14},
  [6212] = {.lex_state = 249, .external_lex_state = 15},
  [6213] = {.lex_state = 185, .external_lex_state = 2},
  [6214] = {.lex_state = 425, .external_lex_state = 11},
  [6215] = {.lex_state = 425, .external_lex_state = 11},
  [6216] = {.lex_state = 425, .external_lex_state = 11},
  [6217] = {.lex_state = 425, .external_lex_state = 11},
  [6218] = {.lex_state = 185, .external_lex_state = 2},
  [6219] = {.lex_state = 185, .external_lex_state = 2},
  [6220] = {.lex_state = 185, .external_lex_state = 2},
  [6221] = {.lex_state = 322, .external_lex_state = 3},
  [6222] = {.lex_state = 206},
  [6223] = {.lex_state = 247, .external_lex_state = 3},
  [6224] = {.lex_state = 324, .external_lex_state = 15},
  [6225] = {.lex_state = 322, .external_lex_state = 3},
  [6226] = {.lex_state = 322, .external_lex_state = 3},
  [6227] = {.lex_state = 322, .external_lex_state = 15},
  [6228] = {.lex_state = 185, .external_lex_state = 2},
  [6229] = {.lex_state = 322, .external_lex_state = 3},
  [6230] = {.lex_state = 185, .external_lex_state = 2},
  [6231] = {.lex_state = 185, .external_lex_state = 2},
  [6232] = {.lex_state = 123, .external_lex_state = 19},
  [6233] = {.lex_state = 185, .external_lex_state = 2},
  [6234] = {.lex_state = 320, .external_lex_state = 29},
  [6235] = {.lex_state = 322, .external_lex_state = 3},
  [6236] = {.lex_state = 322, .external_lex_state = 3},
  [6237] = {.lex_state = 322, .external_lex_state = 3},
  [6238] = {.lex_state = 322, .external_lex_state = 30},
  [6239] = {.lex_state = 322, .external_lex_state = 3},
  [6240] = {.lex_state = 322, .external_lex_state = 3},
  [6241] = {.lex_state = 185, .external_lex_state = 2},
  [6242] = {.lex_state = 185, .external_lex_state = 2},
  [6243] = {.lex_state = 185, .external_lex_state = 2},
  [6244] = {.lex_state = 185, .external_lex_state = 2},
  [6245] = {.lex_state = 185, .external_lex_state = 2},
  [6246] = {.lex_state = 185, .external_lex_state = 2},
  [6247] = {.lex_state = 185, .external_lex_state = 2},
  [6248] = {.lex_state = 185, .external_lex_state = 2},
  [6249] = {.lex_state = 185, .external_lex_state = 2},
  [6250] = {.lex_state = 185, .external_lex_state = 2},
  [6251] = {.lex_state = 185, .external_lex_state = 2},
  [6252] = {.lex_state = 185, .external_lex_state = 2},
  [6253] = {.lex_state = 185, .external_lex_state = 2},
  [6254] = {.lex_state = 185, .external_lex_state = 2},
  [6255] = {.lex_state = 185, .external_lex_state = 2},
  [6256] = {.lex_state = 123, .external_lex_state = 19},
  [6257] = {.lex_state = 185, .external_lex_state = 2},
  [6258] = {.lex_state = 320, .external_lex_state = 29},
  [6259] = {.lex_state = 365, .external_lex_state = 3},
  [6260] = {.lex_state = 365, .external_lex_state = 3},
  [6261] = {.lex_state = 365, .external_lex_state = 3},
  [6262] = {.lex_state = 365, .external_lex_state = 30},
  [6263] = {.lex_state = 249, .external_lex_state = 3},
  [6264] = {.lex_state = 433, .external_lex_state = 13},
  [6265] = {.lex_state = 322, .external_lex_state = 3},
  [6266] = {.lex_state = 185, .external_lex_state = 38},
  [6267] = {.lex_state = 185, .external_lex_state = 2},
  [6268] = {.lex_state = 185, .external_lex_state = 2},
  [6269] = {.lex_state = 322, .external_lex_state = 15},
  [6270] = {.lex_state = 243, .external_lex_state = 8},
  [6271] = {.lex_state = 123, .external_lex_state = 2},
  [6272] = {.lex_state = 123, .external_lex_state = 8},
  [6273] = {.lex_state = 237, .external_lex_state = 14},
  [6274] = {.lex_state = 237, .external_lex_state = 14},
  [6275] = {.lex_state = 237, .external_lex_state = 14},
  [6276] = {.lex_state = 237, .external_lex_state = 14},
  [6277] = {.lex_state = 237, .external_lex_state = 14},
  [6278] = {.lex_state = 237, .external_lex_state = 14},
  [6279] = {.lex_state = 237, .external_lex_state = 14},
  [6280] = {.lex_state = 237, .external_lex_state = 14},
  [6281] = {.lex_state = 237, .external_lex_state = 14},
  [6282] = {.lex_state = 237, .external_lex_state = 14},
  [6283] = {.lex_state = 237, .external_lex_state = 14},
  [6284] = {.lex_state = 455, .external_lex_state = 22},
  [6285] = {.lex_state = 237, .external_lex_state = 14},
  [6286] = {.lex_state = 237, .external_lex_state = 14},
  [6287] = {.lex_state = 237, .external_lex_state = 14},
  [6288] = {.lex_state = 237, .external_lex_state = 14},
  [6289] = {.lex_state = 237, .external_lex_state = 14},
  [6290] = {.lex_state = 185, .external_lex_state = 2},
  [6291] = {.lex_state = 243, .external_lex_state = 11},
  [6292] = {.lex_state = 243, .external_lex_state = 11},
  [6293] = {.lex_state = 243, .external_lex_state = 11},
  [6294] = {.lex_state = 243, .external_lex_state = 11},
  [6295] = {.lex_state = 185, .external_lex_state = 2},
  [6296] = {.lex_state = 185, .external_lex_state = 2},
  [6297] = {.lex_state = 185, .external_lex_state = 2},
  [6298] = {.lex_state = 367, .external_lex_state = 3},
  [6299] = {.lex_state = 243, .external_lex_state = 11},
  [6300] = {.lex_state = 206},
  [6301] = {.lex_state = 367, .external_lex_state = 3},
  [6302] = {.lex_state = 367, .external_lex_state = 15},
  [6303] = {.lex_state = 367, .external_lex_state = 3},
  [6304] = {.lex_state = 365, .external_lex_state = 3},
  [6305] = {.lex_state = 365, .external_lex_state = 15},
  [6306] = {.lex_state = 185, .external_lex_state = 2},
  [6307] = {.lex_state = 367, .external_lex_state = 3},
  [6308] = {.lex_state = 365, .external_lex_state = 3},
  [6309] = {.lex_state = 365, .external_lex_state = 3},
  [6310] = {.lex_state = 185, .external_lex_state = 2},
  [6311] = {.lex_state = 185, .external_lex_state = 2},
  [6312] = {.lex_state = 185, .external_lex_state = 2},
  [6313] = {.lex_state = 185, .external_lex_state = 2},
  [6314] = {.lex_state = 185, .external_lex_state = 2},
  [6315] = {.lex_state = 185, .external_lex_state = 2},
  [6316] = {.lex_state = 185, .external_lex_state = 2},
  [6317] = {.lex_state = 185, .external_lex_state = 2},
  [6318] = {.lex_state = 185, .external_lex_state = 2},
  [6319] = {.lex_state = 185, .external_lex_state = 2},
  [6320] = {.lex_state = 185, .external_lex_state = 2},
  [6321] = {.lex_state = 185, .external_lex_state = 2},
  [6322] = {.lex_state = 185, .external_lex_state = 2},
  [6323] = {.lex_state = 367, .external_lex_state = 3},
  [6324] = {.lex_state = 433, .external_lex_state = 13},
  [6325] = {.lex_state = 367, .external_lex_state = 3},
  [6326] = {.lex_state = 185, .external_lex_state = 38},
  [6327] = {.lex_state = 185, .external_lex_state = 2},
  [6328] = {.lex_state = 185, .external_lex_state = 2},
  [6329] = {.lex_state = 365, .external_lex_state = 15},
  [6330] = {.lex_state = 185, .external_lex_state = 2},
  [6331] = {.lex_state = 185, .external_lex_state = 2},
  [6332] = {.lex_state = 185, .external_lex_state = 2},
  [6333] = {.lex_state = 185, .external_lex_state = 2},
  [6334] = {.lex_state = 185, .external_lex_state = 2},
  [6335] = {.lex_state = 437, .external_lex_state = 14},
  [6336] = {.lex_state = 437, .external_lex_state = 14},
  [6337] = {.lex_state = 206},
  [6338] = {.lex_state = 247, .external_lex_state = 3},
  [6339] = {.lex_state = 237, .external_lex_state = 14},
  [6340] = {.lex_state = 249, .external_lex_state = 15},
  [6341] = {.lex_state = 243, .external_lex_state = 8},
  [6342] = {.lex_state = 151, .external_lex_state = 3},
  [6343] = {.lex_state = 123},
  [6344] = {.lex_state = 123, .external_lex_state = 2},
  [6345] = {.lex_state = 185, .external_lex_state = 2},
  [6346] = {.lex_state = 367, .external_lex_state = 3},
  [6347] = {.lex_state = 367, .external_lex_state = 3},
  [6348] = {.lex_state = 367, .external_lex_state = 3},
  [6349] = {.lex_state = 185, .external_lex_state = 2},
  [6350] = {.lex_state = 185, .external_lex_state = 2},
  [6351] = {.lex_state = 185, .external_lex_state = 2},
  [6352] = {.lex_state = 185, .external_lex_state = 2},
  [6353] = {.lex_state = 185, .external_lex_state = 2},
  [6354] = {.lex_state = 185, .external_lex_state = 2},
  [6355] = {.lex_state = 185, .external_lex_state = 2},
  [6356] = {.lex_state = 185, .external_lex_state = 2},
  [6357] = {.lex_state = 185, .external_lex_state = 2},
  [6358] = {.lex_state = 185, .external_lex_state = 2},
  [6359] = {.lex_state = 185, .external_lex_state = 2},
  [6360] = {.lex_state = 185, .external_lex_state = 2},
  [6361] = {.lex_state = 185, .external_lex_state = 38},
  [6362] = {.lex_state = 185, .external_lex_state = 2},
  [6363] = {.lex_state = 367, .external_lex_state = 15},
  [6364] = {.lex_state = 367, .external_lex_state = 3},
  [6365] = {.lex_state = 365, .external_lex_state = 3},
  [6366] = {.lex_state = 365, .external_lex_state = 3},
  [6367] = {.lex_state = 365, .external_lex_state = 3},
  [6368] = {.lex_state = 365, .external_lex_state = 3},
  [6369] = {.lex_state = 365, .external_lex_state = 3},
  [6370] = {.lex_state = 365, .external_lex_state = 3},
  [6371] = {.lex_state = 367, .external_lex_state = 3},
  [6372] = {.lex_state = 455, .external_lex_state = 22},
  [6373] = {.lex_state = 365, .external_lex_state = 3},
  [6374] = {.lex_state = 365, .external_lex_state = 3},
  [6375] = {.lex_state = 365, .external_lex_state = 3},
  [6376] = {.lex_state = 365, .external_lex_state = 3},
  [6377] = {.lex_state = 365, .external_lex_state = 3},
  [6378] = {.lex_state = 367, .external_lex_state = 3},
  [6379] = {.lex_state = 433, .external_lex_state = 43},
  [6380] = {.lex_state = 367, .external_lex_state = 3},
  [6381] = {.lex_state = 367, .external_lex_state = 3},
  [6382] = {.lex_state = 365, .external_lex_state = 3},
  [6383] = {.lex_state = 365, .external_lex_state = 3},
  [6384] = {.lex_state = 365, .external_lex_state = 3},
  [6385] = {.lex_state = 367, .external_lex_state = 3},
  [6386] = {.lex_state = 365, .external_lex_state = 15},
  [6387] = {.lex_state = 437, .external_lex_state = 14},
  [6388] = {.lex_state = 437, .external_lex_state = 14},
  [6389] = {.lex_state = 437, .external_lex_state = 14},
  [6390] = {.lex_state = 437, .external_lex_state = 14},
  [6391] = {.lex_state = 185, .external_lex_state = 2},
  [6392] = {.lex_state = 185, .external_lex_state = 2},
  [6393] = {.lex_state = 185, .external_lex_state = 2},
  [6394] = {.lex_state = 185, .external_lex_state = 2},
  [6395] = {.lex_state = 185, .external_lex_state = 2},
  [6396] = {.lex_state = 185, .external_lex_state = 2},
  [6397] = {.lex_state = 185, .external_lex_state = 2},
  [6398] = {.lex_state = 185, .external_lex_state = 2},
  [6399] = {.lex_state = 185, .external_lex_state = 2},
  [6400] = {.lex_state = 185, .external_lex_state = 2},
  [6401] = {.lex_state = 185, .external_lex_state = 2},
  [6402] = {.lex_state = 185, .external_lex_state = 2},
  [6403] = {.lex_state = 185, .external_lex_state = 38},
  [6404] = {.lex_state = 437, .external_lex_state = 14},
  [6405] = {.lex_state = 185, .external_lex_state = 38},
  [6406] = {.lex_state = 185, .external_lex_state = 2},
  [6407] = {.lex_state = 343, .external_lex_state = 32},
  [6408] = {.lex_state = 343, .external_lex_state = 32},
  [6409] = {.lex_state = 170, .external_lex_state = 4},
  [6410] = {.lex_state = 251, .external_lex_state = 16},
  [6411] = {.lex_state = 343, .external_lex_state = 32},
  [6412] = {.lex_state = 170, .external_lex_state = 4},
  [6413] = {.lex_state = 343, .external_lex_state = 32},
  [6414] = {.lex_state = 343, .external_lex_state = 32},
  [6415] = {.lex_state = 170, .external_lex_state = 4},
  [6416] = {.lex_state = 251, .external_lex_state = 16},
  [6417] = {.lex_state = 343, .external_lex_state = 32},
  [6418] = {.lex_state = 170, .external_lex_state = 4},
  [6419] = {.lex_state = 185, .external_lex_state = 2},
  [6420] = {.lex_state = 185, .external_lex_state = 2},
  [6421] = {.lex_state = 185, .external_lex_state = 2},
  [6422] = {.lex_state = 185, .external_lex_state = 2},
  [6423] = {.lex_state = 355, .external_lex_state = 32},
  [6424] = {.lex_state = 206},
  [6425] = {.lex_state = 443, .external_lex_state = 32},
  [6426] = {.lex_state = 355, .external_lex_state = 32},
  [6427] = {.lex_state = 185, .external_lex_state = 2},
  [6428] = {.lex_state = 355, .external_lex_state = 32},
  [6429] = {.lex_state = 185, .external_lex_state = 2},
  [6430] = {.lex_state = 355, .external_lex_state = 32},
  [6431] = {.lex_state = 433, .external_lex_state = 13},
  [6432] = {.lex_state = 355, .external_lex_state = 32},
  [6433] = {.lex_state = 185, .external_lex_state = 2},
  [6434] = {.lex_state = 351, .external_lex_state = 35},
  [6435] = {.lex_state = 351, .external_lex_state = 35},
  [6436] = {.lex_state = 351, .external_lex_state = 35},
  [6437] = {.lex_state = 351, .external_lex_state = 35},
  [6438] = {.lex_state = 351, .external_lex_state = 35},
  [6439] = {.lex_state = 351, .external_lex_state = 35},
  [6440] = {.lex_state = 455, .external_lex_state = 22},
  [6441] = {.lex_state = 351, .external_lex_state = 35},
  [6442] = {.lex_state = 351, .external_lex_state = 35},
  [6443] = {.lex_state = 351, .external_lex_state = 35},
  [6444] = {.lex_state = 351, .external_lex_state = 35},
  [6445] = {.lex_state = 351, .external_lex_state = 35},
  [6446] = {.lex_state = 185, .external_lex_state = 2},
  [6447] = {.lex_state = 441, .external_lex_state = 33},
  [6448] = {.lex_state = 441, .external_lex_state = 33},
  [6449] = {.lex_state = 441, .external_lex_state = 33},
  [6450] = {.lex_state = 441, .external_lex_state = 33},
  [6451] = {.lex_state = 185, .external_lex_state = 2},
  [6452] = {.lex_state = 185, .external_lex_state = 2},
  [6453] = {.lex_state = 185, .external_lex_state = 2},
  [6454] = {.lex_state = 443, .external_lex_state = 32},
  [6455] = {.lex_state = 441, .external_lex_state = 33},
  [6456] = {.lex_state = 206},
  [6457] = {.lex_state = 443, .external_lex_state = 32},
  [6458] = {.lex_state = 443, .external_lex_state = 40},
  [6459] = {.lex_state = 443, .external_lex_state = 32},
  [6460] = {.lex_state = 185, .external_lex_state = 2},
  [6461] = {.lex_state = 443, .external_lex_state = 32},
  [6462] = {.lex_state = 185, .external_lex_state = 2},
  [6463] = {.lex_state = 443, .external_lex_state = 32},
  [6464] = {.lex_state = 433, .external_lex_state = 13},
  [6465] = {.lex_state = 443, .external_lex_state = 32},
  [6466] = {.lex_state = 185, .external_lex_state = 2},
  [6467] = {.lex_state = 185, .external_lex_state = 2},
  [6468] = {.lex_state = 351, .external_lex_state = 35},
  [6469] = {.lex_state = 351, .external_lex_state = 35},
  [6470] = {.lex_state = 351, .external_lex_state = 35},
  [6471] = {.lex_state = 445, .external_lex_state = 40},
  [6472] = {.lex_state = 343, .external_lex_state = 32},
  [6473] = {.lex_state = 228},
  [6474] = {.lex_state = 343, .external_lex_state = 32},
  [6475] = {.lex_state = 343, .external_lex_state = 32},
  [6476] = {.lex_state = 123, .external_lex_state = 2},
  [6477] = {.lex_state = 123, .external_lex_state = 2},
  [6478] = {.lex_state = 343, .external_lex_state = 32},
  [6479] = {.lex_state = 343, .external_lex_state = 32},
  [6480] = {.lex_state = 355, .external_lex_state = 32},
  [6481] = {.lex_state = 355, .external_lex_state = 32},
  [6482] = {.lex_state = 355, .external_lex_state = 32},
  [6483] = {.lex_state = 355, .external_lex_state = 32},
  [6484] = {.lex_state = 355, .external_lex_state = 32},
  [6485] = {.lex_state = 355, .external_lex_state = 32},
  [6486] = {.lex_state = 355, .external_lex_state = 32},
  [6487] = {.lex_state = 355, .external_lex_state = 32},
  [6488] = {.lex_state = 455, .external_lex_state = 22},
  [6489] = {.lex_state = 355, .external_lex_state = 32},
  [6490] = {.lex_state = 355, .external_lex_state = 32},
  [6491] = {.lex_state = 355, .external_lex_state = 32},
  [6492] = {.lex_state = 355, .external_lex_state = 32},
  [6493] = {.lex_state = 355, .external_lex_state = 32},
  [6494] = {.lex_state = 355, .external_lex_state = 32},
  [6495] = {.lex_state = 433, .external_lex_state = 43},
  [6496] = {.lex_state = 355, .external_lex_state = 32},
  [6497] = {.lex_state = 355, .external_lex_state = 32},
  [6498] = {.lex_state = 355, .external_lex_state = 32},
  [6499] = {.lex_state = 355, .external_lex_state = 32},
  [6500] = {.lex_state = 355, .external_lex_state = 32},
  [6501] = {.lex_state = 355, .external_lex_state = 32},
  [6502] = {.lex_state = 343, .external_lex_state = 32},
  [6503] = {.lex_state = 123},
  [6504] = {.lex_state = 123},
  [6505] = {.lex_state = 123, .external_lex_state = 2},
  [6506] = {.lex_state = 343, .external_lex_state = 32},
  [6507] = {.lex_state = 123},
  [6508] = {.lex_state = 123},
  [6509] = {.lex_state = 343, .external_lex_state = 32},
  [6510] = {.lex_state = 123},
  [6511] = {.lex_state = 343, .external_lex_state = 32},
  [6512] = {.lex_state = 123},
  [6513] = {.lex_state = 123, .external_lex_state = 2},
  [6514] = {.lex_state = 123},
  [6515] = {.lex_state = 123},
  [6516] = {.lex_state = 343, .external_lex_state = 32},
  [6517] = {.lex_state = 343, .external_lex_state = 32},
  [6518] = {.lex_state = 123},
  [6519] = {.lex_state = 123},
  [6520] = {.lex_state = 343, .external_lex_state = 32},
  [6521] = {.lex_state = 343, .external_lex_state = 32},
  [6522] = {.lex_state = 187},
  [6523] = {.lex_state = 343, .external_lex_state = 32},
  [6524] = {.lex_state = 123},
  [6525] = {.lex_state = 123, .external_lex_state = 2},
  [6526] = {.lex_state = 123, .external_lex_state = 12},
  [6527] = {.lex_state = 185, .external_lex_state = 2},
  [6528] = {.lex_state = 349, .external_lex_state = 32},
  [6529] = {.lex_state = 226},
  [6530] = {.lex_state = 447, .external_lex_state = 33},
  [6531] = {.lex_state = 202, .external_lex_state = 23},
  [6532] = {.lex_state = 202},
  [6533] = {.lex_state = 447, .external_lex_state = 33},
  [6534] = {.lex_state = 353, .external_lex_state = 32},
  [6535] = {.lex_state = 349, .external_lex_state = 32},
  [6536] = {.lex_state = 187},
  [6537] = {.lex_state = 349, .external_lex_state = 32},
  [6538] = {.lex_state = 123},
  [6539] = {.lex_state = 123, .external_lex_state = 2},
  [6540] = {.lex_state = 123, .external_lex_state = 12},
  [6541] = {.lex_state = 353, .external_lex_state = 32},
  [6542] = {.lex_state = 353, .external_lex_state = 32},
  [6543] = {.lex_state = 353, .external_lex_state = 32},
  [6544] = {.lex_state = 353, .external_lex_state = 32},
  [6545] = {.lex_state = 353, .external_lex_state = 32},
  [6546] = {.lex_state = 353, .external_lex_state = 32},
  [6547] = {.lex_state = 353, .external_lex_state = 32},
  [6548] = {.lex_state = 455, .external_lex_state = 22},
  [6549] = {.lex_state = 353, .external_lex_state = 32},
  [6550] = {.lex_state = 353, .external_lex_state = 32},
  [6551] = {.lex_state = 353, .external_lex_state = 32},
  [6552] = {.lex_state = 353, .external_lex_state = 32},
  [6553] = {.lex_state = 353, .external_lex_state = 32},
  [6554] = {.lex_state = 353, .external_lex_state = 32},
  [6555] = {.lex_state = 433, .external_lex_state = 43},
  [6556] = {.lex_state = 353, .external_lex_state = 32},
  [6557] = {.lex_state = 353, .external_lex_state = 32},
  [6558] = {.lex_state = 353, .external_lex_state = 32},
  [6559] = {.lex_state = 353, .external_lex_state = 32},
  [6560] = {.lex_state = 353, .external_lex_state = 32},
  [6561] = {.lex_state = 353, .external_lex_state = 32},
  [6562] = {.lex_state = 353, .external_lex_state = 40},
  [6563] = {.lex_state = 511, .external_lex_state = 13},
  [6564] = {.lex_state = 170, .external_lex_state = 18},
  [6565] = {.lex_state = 511, .external_lex_state = 23},
  [6566] = {.lex_state = 351, .external_lex_state = 35},
  [6567] = {.lex_state = 185, .external_lex_state = 38},
  [6568] = {.lex_state = 351, .external_lex_state = 35},
  [6569] = {.lex_state = 271, .external_lex_state = 2},
  [6570] = {.lex_state = 123},
  [6571] = {.lex_state = 228},
  [6572] = {.lex_state = 529, .external_lex_state = 2},
  [6573] = {.lex_state = 185, .external_lex_state = 2},
  [6574] = {.lex_state = 228},
  [6575] = {.lex_state = 228},
  [6576] = {.lex_state = 151, .external_lex_state = 3},
  [6577] = {.lex_state = 302},
  [6578] = {.lex_state = 282},
  [6579] = {.lex_state = 282, .external_lex_state = 22},
  [6580] = {.lex_state = 282, .external_lex_state = 22},
  [6581] = {.lex_state = 302},
  [6582] = {.lex_state = 123},
  [6583] = {.lex_state = 282},
  [6584] = {.lex_state = 302},
  [6585] = {.lex_state = 187},
  [6586] = {.lex_state = 271, .external_lex_state = 2},
  [6587] = {.lex_state = 302},
  [6588] = {.lex_state = 123},
  [6589] = {.lex_state = 123, .external_lex_state = 12},
  [6590] = {.lex_state = 361, .external_lex_state = 2},
  [6591] = {.lex_state = 302},
  [6592] = {.lex_state = 123, .external_lex_state = 12},
  [6593] = {.lex_state = 123},
  [6594] = {.lex_state = 228},
  [6595] = {.lex_state = 228},
  [6596] = {.lex_state = 228},
  [6597] = {.lex_state = 151, .external_lex_state = 3},
  [6598] = {.lex_state = 123},
  [6599] = {.lex_state = 123, .external_lex_state = 2},
  [6600] = {.lex_state = 282, .external_lex_state = 22},
  [6601] = {.lex_state = 282, .external_lex_state = 22},
  [6602] = {.lex_state = 282, .external_lex_state = 22},
  [6603] = {.lex_state = 185, .external_lex_state = 2},
  [6604] = {.lex_state = 185, .external_lex_state = 2},
  [6605] = {.lex_state = 185, .external_lex_state = 2},
  [6606] = {.lex_state = 185, .external_lex_state = 2},
  [6607] = {.lex_state = 185, .external_lex_state = 2},
  [6608] = {.lex_state = 185, .external_lex_state = 2},
  [6609] = {.lex_state = 185, .external_lex_state = 2},
  [6610] = {.lex_state = 185, .external_lex_state = 2},
  [6611] = {.lex_state = 185, .external_lex_state = 2},
  [6612] = {.lex_state = 185, .external_lex_state = 2},
  [6613] = {.lex_state = 185, .external_lex_state = 2},
  [6614] = {.lex_state = 185, .external_lex_state = 2},
  [6615] = {.lex_state = 363, .external_lex_state = 6},
  [6616] = {.lex_state = 219, .external_lex_state = 17},
  [6617] = {.lex_state = 185, .external_lex_state = 38},
  [6618] = {.lex_state = 185, .external_lex_state = 2},
  [6619] = {.lex_state = 241, .external_lex_state = 39},
  [6620] = {.lex_state = 185, .external_lex_state = 2},
  [6621] = {.lex_state = 531, .external_lex_state = 33},
  [6622] = {.lex_state = 531, .external_lex_state = 33},
  [6623] = {.lex_state = 531, .external_lex_state = 33},
  [6624] = {.lex_state = 531, .external_lex_state = 33},
  [6625] = {.lex_state = 185, .external_lex_state = 2},
  [6626] = {.lex_state = 185, .external_lex_state = 2},
  [6627] = {.lex_state = 185, .external_lex_state = 2},
  [6628] = {.lex_state = 519, .external_lex_state = 32},
  [6629] = {.lex_state = 457, .external_lex_state = 33},
  [6630] = {.lex_state = 206},
  [6631] = {.lex_state = 459, .external_lex_state = 32},
  [6632] = {.lex_state = 533, .external_lex_state = 40},
  [6633] = {.lex_state = 519, .external_lex_state = 32},
  [6634] = {.lex_state = 519, .external_lex_state = 32},
  [6635] = {.lex_state = 519, .external_lex_state = 40},
  [6636] = {.lex_state = 185, .external_lex_state = 2},
  [6637] = {.lex_state = 519, .external_lex_state = 32},
  [6638] = {.lex_state = 185, .external_lex_state = 2},
  [6639] = {.lex_state = 185, .external_lex_state = 2},
  [6640] = {.lex_state = 123, .external_lex_state = 19},
  [6641] = {.lex_state = 185, .external_lex_state = 2},
  [6642] = {.lex_state = 517, .external_lex_state = 34},
  [6643] = {.lex_state = 519, .external_lex_state = 32},
  [6644] = {.lex_state = 519, .external_lex_state = 32},
  [6645] = {.lex_state = 519, .external_lex_state = 32},
  [6646] = {.lex_state = 519, .external_lex_state = 36},
  [6647] = {.lex_state = 519, .external_lex_state = 32},
  [6648] = {.lex_state = 519, .external_lex_state = 32},
  [6649] = {.lex_state = 185, .external_lex_state = 2},
  [6650] = {.lex_state = 185, .external_lex_state = 2},
  [6651] = {.lex_state = 185, .external_lex_state = 2},
  [6652] = {.lex_state = 185, .external_lex_state = 2},
  [6653] = {.lex_state = 185, .external_lex_state = 2},
  [6654] = {.lex_state = 185, .external_lex_state = 2},
  [6655] = {.lex_state = 185, .external_lex_state = 2},
  [6656] = {.lex_state = 185, .external_lex_state = 2},
  [6657] = {.lex_state = 185, .external_lex_state = 2},
  [6658] = {.lex_state = 185, .external_lex_state = 2},
  [6659] = {.lex_state = 185, .external_lex_state = 2},
  [6660] = {.lex_state = 185, .external_lex_state = 2},
  [6661] = {.lex_state = 185, .external_lex_state = 2},
  [6662] = {.lex_state = 185, .external_lex_state = 2},
  [6663] = {.lex_state = 185, .external_lex_state = 2},
  [6664] = {.lex_state = 123, .external_lex_state = 19},
  [6665] = {.lex_state = 185, .external_lex_state = 2},
  [6666] = {.lex_state = 517, .external_lex_state = 34},
  [6667] = {.lex_state = 521, .external_lex_state = 32},
  [6668] = {.lex_state = 521, .external_lex_state = 32},
  [6669] = {.lex_state = 521, .external_lex_state = 32},
  [6670] = {.lex_state = 521, .external_lex_state = 36},
  [6671] = {.lex_state = 461, .external_lex_state = 32},
  [6672] = {.lex_state = 433, .external_lex_state = 13},
  [6673] = {.lex_state = 519, .external_lex_state = 32},
  [6674] = {.lex_state = 185, .external_lex_state = 38},
  [6675] = {.lex_state = 185, .external_lex_state = 2},
  [6676] = {.lex_state = 185, .external_lex_state = 2},
  [6677] = {.lex_state = 519, .external_lex_state = 40},
  [6678] = {.lex_state = 455, .external_lex_state = 22},
  [6679] = {.lex_state = 455, .external_lex_state = 22},
  [6680] = {.lex_state = 455, .external_lex_state = 22},
  [6681] = {.lex_state = 455, .external_lex_state = 22},
  [6682] = {.lex_state = 455, .external_lex_state = 22},
  [6683] = {.lex_state = 455, .external_lex_state = 22},
  [6684] = {.lex_state = 455, .external_lex_state = 22},
  [6685] = {.lex_state = 237, .external_lex_state = 14},
  [6686] = {.lex_state = 455, .external_lex_state = 22},
  [6687] = {.lex_state = 455, .external_lex_state = 22},
  [6688] = {.lex_state = 455, .external_lex_state = 22},
  [6689] = {.lex_state = 455, .external_lex_state = 22},
  [6690] = {.lex_state = 455, .external_lex_state = 22},
  [6691] = {.lex_state = 185, .external_lex_state = 2},
  [6692] = {.lex_state = 457, .external_lex_state = 33},
  [6693] = {.lex_state = 457, .external_lex_state = 33},
  [6694] = {.lex_state = 457, .external_lex_state = 33},
  [6695] = {.lex_state = 457, .external_lex_state = 33},
  [6696] = {.lex_state = 185, .external_lex_state = 2},
  [6697] = {.lex_state = 185, .external_lex_state = 2},
  [6698] = {.lex_state = 185, .external_lex_state = 2},
  [6699] = {.lex_state = 459, .external_lex_state = 32},
  [6700] = {.lex_state = 457, .external_lex_state = 33},
  [6701] = {.lex_state = 206},
  [6702] = {.lex_state = 459, .external_lex_state = 32},
  [6703] = {.lex_state = 459, .external_lex_state = 40},
  [6704] = {.lex_state = 459, .external_lex_state = 32},
  [6705] = {.lex_state = 521, .external_lex_state = 32},
  [6706] = {.lex_state = 521, .external_lex_state = 40},
  [6707] = {.lex_state = 185, .external_lex_state = 2},
  [6708] = {.lex_state = 459, .external_lex_state = 32},
  [6709] = {.lex_state = 521, .external_lex_state = 32},
  [6710] = {.lex_state = 521, .external_lex_state = 32},
  [6711] = {.lex_state = 185, .external_lex_state = 2},
  [6712] = {.lex_state = 185, .external_lex_state = 2},
  [6713] = {.lex_state = 185, .external_lex_state = 2},
  [6714] = {.lex_state = 185, .external_lex_state = 2},
  [6715] = {.lex_state = 185, .external_lex_state = 2},
  [6716] = {.lex_state = 185, .external_lex_state = 2},
  [6717] = {.lex_state = 185, .external_lex_state = 2},
  [6718] = {.lex_state = 185, .external_lex_state = 2},
  [6719] = {.lex_state = 185, .external_lex_state = 2},
  [6720] = {.lex_state = 185, .external_lex_state = 2},
  [6721] = {.lex_state = 185, .external_lex_state = 2},
  [6722] = {.lex_state = 185, .external_lex_state = 2},
  [6723] = {.lex_state = 185, .external_lex_state = 2},
  [6724] = {.lex_state = 459, .external_lex_state = 32},
  [6725] = {.lex_state = 433, .external_lex_state = 13},
  [6726] = {.lex_state = 459, .external_lex_state = 32},
  [6727] = {.lex_state = 185, .external_lex_state = 38},
  [6728] = {.lex_state = 185, .external_lex_state = 2},
  [6729] = {.lex_state = 185, .external_lex_state = 2},
  [6730] = {.lex_state = 521, .external_lex_state = 40},
  [6731] = {.lex_state = 185, .external_lex_state = 2},
  [6732] = {.lex_state = 185, .external_lex_state = 2},
  [6733] = {.lex_state = 531, .external_lex_state = 20},
  [6734] = {.lex_state = 531, .external_lex_state = 20},
  [6735] = {.lex_state = 531, .external_lex_state = 20},
  [6736] = {.lex_state = 531, .external_lex_state = 20},
  [6737] = {.lex_state = 185, .external_lex_state = 2},
  [6738] = {.lex_state = 185, .external_lex_state = 2},
  [6739] = {.lex_state = 185, .external_lex_state = 2},
  [6740] = {.lex_state = 455, .external_lex_state = 22},
  [6741] = {.lex_state = 455, .external_lex_state = 22},
  [6742] = {.lex_state = 206},
  [6743] = {.lex_state = 459, .external_lex_state = 17},
  [6744] = {.lex_state = 533, .external_lex_state = 39},
  [6745] = {.lex_state = 455, .external_lex_state = 22},
  [6746] = {.lex_state = 461, .external_lex_state = 39},
  [6747] = {.lex_state = 219, .external_lex_state = 3},
  [6748] = {.lex_state = 190, .external_lex_state = 37},
  [6749] = {.lex_state = 300, .external_lex_state = 11},
  [6750] = {.lex_state = 202},
  [6751] = {.lex_state = 280, .external_lex_state = 3},
  [6752] = {.lex_state = 280, .external_lex_state = 3},
  [6753] = {.lex_state = 170, .external_lex_state = 4},
  [6754] = {.lex_state = 251, .external_lex_state = 16},
  [6755] = {.lex_state = 280, .external_lex_state = 3},
  [6756] = {.lex_state = 170, .external_lex_state = 4},
  [6757] = {.lex_state = 280, .external_lex_state = 3},
  [6758] = {.lex_state = 280, .external_lex_state = 3},
  [6759] = {.lex_state = 170, .external_lex_state = 4},
  [6760] = {.lex_state = 251, .external_lex_state = 16},
  [6761] = {.lex_state = 280, .external_lex_state = 3},
  [6762] = {.lex_state = 170, .external_lex_state = 4},
  [6763] = {.lex_state = 219, .external_lex_state = 15},
  [6764] = {.lex_state = 219, .external_lex_state = 3},
  [6765] = {.lex_state = 219, .external_lex_state = 3},
  [6766] = {.lex_state = 219, .external_lex_state = 3},
  [6767] = {.lex_state = 219, .external_lex_state = 3},
  [6768] = {.lex_state = 185, .external_lex_state = 16},
  [6769] = {.lex_state = 251, .external_lex_state = 16},
  [6770] = {.lex_state = 219, .external_lex_state = 3},
  [6771] = {.lex_state = 170, .external_lex_state = 4},
  [6772] = {.lex_state = 251, .external_lex_state = 16},
  [6773] = {.lex_state = 219, .external_lex_state = 3},
  [6774] = {.lex_state = 185, .external_lex_state = 16},
  [6775] = {.lex_state = 251, .external_lex_state = 16},
  [6776] = {.lex_state = 219, .external_lex_state = 3},
  [6777] = {.lex_state = 170, .external_lex_state = 4},
  [6778] = {.lex_state = 251, .external_lex_state = 16},
  [6779] = {.lex_state = 219, .external_lex_state = 3},
  [6780] = {.lex_state = 187},
  [6781] = {.lex_state = 282, .external_lex_state = 22},
  [6782] = {.lex_state = 217, .external_lex_state = 7},
  [6783] = {.lex_state = 123, .external_lex_state = 2},
  [6784] = {.lex_state = 219, .external_lex_state = 3},
  [6785] = {.lex_state = 237, .external_lex_state = 14},
  [6786] = {.lex_state = 123, .external_lex_state = 8},
  [6787] = {.lex_state = 123, .external_lex_state = 2},
  [6788] = {.lex_state = 219, .external_lex_state = 3},
  [6789] = {.lex_state = 123, .external_lex_state = 2},
  [6790] = {.lex_state = 123, .external_lex_state = 12},
  [6791] = {.lex_state = 123, .external_lex_state = 2},
  [6792] = {.lex_state = 123, .external_lex_state = 2},
  [6793] = {.lex_state = 123, .external_lex_state = 2},
  [6794] = {.lex_state = 123, .external_lex_state = 8},
  [6795] = {.lex_state = 123},
  [6796] = {.lex_state = 123},
  [6797] = {.lex_state = 123},
  [6798] = {.lex_state = 219, .external_lex_state = 3},
  [6799] = {.lex_state = 123},
  [6800] = {.lex_state = 123},
  [6801] = {.lex_state = 123},
  [6802] = {.lex_state = 219, .external_lex_state = 3},
  [6803] = {.lex_state = 219, .external_lex_state = 3},
  [6804] = {.lex_state = 226},
  [6805] = {.lex_state = 219, .external_lex_state = 3},
  [6806] = {.lex_state = 367, .external_lex_state = 3},
  [6807] = {.lex_state = 367, .external_lex_state = 3},
  [6808] = {.lex_state = 367, .external_lex_state = 3},
  [6809] = {.lex_state = 367, .external_lex_state = 3},
  [6810] = {.lex_state = 367, .external_lex_state = 3},
  [6811] = {.lex_state = 367, .external_lex_state = 3},
  [6812] = {.lex_state = 455, .external_lex_state = 22},
  [6813] = {.lex_state = 367, .external_lex_state = 3},
  [6814] = {.lex_state = 367, .external_lex_state = 3},
  [6815] = {.lex_state = 367, .external_lex_state = 3},
  [6816] = {.lex_state = 367, .external_lex_state = 3},
  [6817] = {.lex_state = 367, .external_lex_state = 3},
  [6818] = {.lex_state = 280, .external_lex_state = 3},
  [6819] = {.lex_state = 367, .external_lex_state = 3},
  [6820] = {.lex_state = 219, .external_lex_state = 3},
  [6821] = {.lex_state = 367, .external_lex_state = 3},
  [6822] = {.lex_state = 367, .external_lex_state = 3},
  [6823] = {.lex_state = 367, .external_lex_state = 15},
  [6824] = {.lex_state = 219, .external_lex_state = 3},
  [6825] = {.lex_state = 280, .external_lex_state = 15},
  [6826] = {.lex_state = 479, .external_lex_state = 3},
  [6827] = {.lex_state = 479, .external_lex_state = 3},
  [6828] = {.lex_state = 185, .external_lex_state = 2},
  [6829] = {.lex_state = 479, .external_lex_state = 3},
  [6830] = {.lex_state = 185, .external_lex_state = 2},
  [6831] = {.lex_state = 469, .external_lex_state = 3},
  [6832] = {.lex_state = 433, .external_lex_state = 13},
  [6833] = {.lex_state = 479, .external_lex_state = 3},
  [6834] = {.lex_state = 185, .external_lex_state = 2},
  [6835] = {.lex_state = 219, .external_lex_state = 3},
  [6836] = {.lex_state = 375, .external_lex_state = 14},
  [6837] = {.lex_state = 375, .external_lex_state = 14},
  [6838] = {.lex_state = 375, .external_lex_state = 14},
  [6839] = {.lex_state = 375, .external_lex_state = 14},
  [6840] = {.lex_state = 375, .external_lex_state = 14},
  [6841] = {.lex_state = 375, .external_lex_state = 14},
  [6842] = {.lex_state = 455, .external_lex_state = 22},
  [6843] = {.lex_state = 375, .external_lex_state = 14},
  [6844] = {.lex_state = 375, .external_lex_state = 14},
  [6845] = {.lex_state = 375, .external_lex_state = 14},
  [6846] = {.lex_state = 375, .external_lex_state = 14},
  [6847] = {.lex_state = 375, .external_lex_state = 14},
  [6848] = {.lex_state = 467, .external_lex_state = 3},
  [6849] = {.lex_state = 467, .external_lex_state = 3},
  [6850] = {.lex_state = 185, .external_lex_state = 2},
  [6851] = {.lex_state = 467, .external_lex_state = 3},
  [6852] = {.lex_state = 185, .external_lex_state = 2},
  [6853] = {.lex_state = 467, .external_lex_state = 3},
  [6854] = {.lex_state = 433, .external_lex_state = 13},
  [6855] = {.lex_state = 467, .external_lex_state = 3},
  [6856] = {.lex_state = 185, .external_lex_state = 2},
  [6857] = {.lex_state = 185, .external_lex_state = 2},
  [6858] = {.lex_state = 185, .external_lex_state = 2},
  [6859] = {.lex_state = 185, .external_lex_state = 2},
  [6860] = {.lex_state = 185, .external_lex_state = 2},
  [6861] = {.lex_state = 185, .external_lex_state = 2},
  [6862] = {.lex_state = 375, .external_lex_state = 14},
  [6863] = {.lex_state = 375, .external_lex_state = 14},
  [6864] = {.lex_state = 206},
  [6865] = {.lex_state = 467, .external_lex_state = 3},
  [6866] = {.lex_state = 375, .external_lex_state = 14},
  [6867] = {.lex_state = 469, .external_lex_state = 15},
  [6868] = {.lex_state = 280, .external_lex_state = 3},
  [6869] = {.lex_state = 228},
  [6870] = {.lex_state = 280, .external_lex_state = 3},
  [6871] = {.lex_state = 280, .external_lex_state = 3},
  [6872] = {.lex_state = 123, .external_lex_state = 2},
  [6873] = {.lex_state = 123, .external_lex_state = 2},
  [6874] = {.lex_state = 280, .external_lex_state = 3},
  [6875] = {.lex_state = 280, .external_lex_state = 3},
  [6876] = {.lex_state = 280, .external_lex_state = 3},
  [6877] = {.lex_state = 123},
  [6878] = {.lex_state = 123},
  [6879] = {.lex_state = 123, .external_lex_state = 2},
  [6880] = {.lex_state = 280, .external_lex_state = 3},
  [6881] = {.lex_state = 123},
  [6882] = {.lex_state = 123},
  [6883] = {.lex_state = 280, .external_lex_state = 3},
  [6884] = {.lex_state = 123},
  [6885] = {.lex_state = 280, .external_lex_state = 3},
  [6886] = {.lex_state = 123},
  [6887] = {.lex_state = 123, .external_lex_state = 2},
  [6888] = {.lex_state = 219, .external_lex_state = 3},
  [6889] = {.lex_state = 123},
  [6890] = {.lex_state = 123, .external_lex_state = 2},
  [6891] = {.lex_state = 123},
  [6892] = {.lex_state = 123},
  [6893] = {.lex_state = 280, .external_lex_state = 3},
  [6894] = {.lex_state = 280, .external_lex_state = 3},
  [6895] = {.lex_state = 123},
  [6896] = {.lex_state = 123},
  [6897] = {.lex_state = 280, .external_lex_state = 3},
  [6898] = {.lex_state = 185, .external_lex_state = 2},
  [6899] = {.lex_state = 219, .external_lex_state = 3},
  [6900] = {.lex_state = 219, .external_lex_state = 3},
  [6901] = {.lex_state = 185, .external_lex_state = 38},
  [6902] = {.lex_state = 365, .external_lex_state = 3},
  [6903] = {.lex_state = 471, .external_lex_state = 14},
  [6904] = {.lex_state = 471, .external_lex_state = 14},
  [6905] = {.lex_state = 471, .external_lex_state = 14},
  [6906] = {.lex_state = 471, .external_lex_state = 14},
  [6907] = {.lex_state = 471, .external_lex_state = 14},
  [6908] = {.lex_state = 471, .external_lex_state = 14},
  [6909] = {.lex_state = 455, .external_lex_state = 22},
  [6910] = {.lex_state = 471, .external_lex_state = 14},
  [6911] = {.lex_state = 471, .external_lex_state = 14},
  [6912] = {.lex_state = 471, .external_lex_state = 14},
  [6913] = {.lex_state = 471, .external_lex_state = 14},
  [6914] = {.lex_state = 471, .external_lex_state = 14},
  [6915] = {.lex_state = 335, .external_lex_state = 14},
  [6916] = {.lex_state = 471, .external_lex_state = 14},
  [6917] = {.lex_state = 471, .external_lex_state = 14},
  [6918] = {.lex_state = 471, .external_lex_state = 14},
  [6919] = {.lex_state = 395, .external_lex_state = 32},
  [6920] = {.lex_state = 395, .external_lex_state = 32},
  [6921] = {.lex_state = 395, .external_lex_state = 32},
  [6922] = {.lex_state = 395, .external_lex_state = 32},
  [6923] = {.lex_state = 395, .external_lex_state = 32},
  [6924] = {.lex_state = 185, .external_lex_state = 2},
  [6925] = {.lex_state = 185, .external_lex_state = 2},
  [6926] = {.lex_state = 185, .external_lex_state = 2},
  [6927] = {.lex_state = 185, .external_lex_state = 2},
  [6928] = {.lex_state = 185, .external_lex_state = 2},
  [6929] = {.lex_state = 185, .external_lex_state = 2},
  [6930] = {.lex_state = 185, .external_lex_state = 2},
  [6931] = {.lex_state = 185, .external_lex_state = 2},
  [6932] = {.lex_state = 185, .external_lex_state = 2},
  [6933] = {.lex_state = 185, .external_lex_state = 2},
  [6934] = {.lex_state = 185, .external_lex_state = 2},
  [6935] = {.lex_state = 185, .external_lex_state = 2},
  [6936] = {.lex_state = 185, .external_lex_state = 38},
  [6937] = {.lex_state = 185, .external_lex_state = 2},
  [6938] = {.lex_state = 395, .external_lex_state = 40},
  [6939] = {.lex_state = 395, .external_lex_state = 32},
  [6940] = {.lex_state = 479, .external_lex_state = 32},
  [6941] = {.lex_state = 479, .external_lex_state = 32},
  [6942] = {.lex_state = 185, .external_lex_state = 2},
  [6943] = {.lex_state = 479, .external_lex_state = 32},
  [6944] = {.lex_state = 185, .external_lex_state = 2},
  [6945] = {.lex_state = 479, .external_lex_state = 32},
  [6946] = {.lex_state = 433, .external_lex_state = 13},
  [6947] = {.lex_state = 479, .external_lex_state = 32},
  [6948] = {.lex_state = 185, .external_lex_state = 2},
  [6949] = {.lex_state = 479, .external_lex_state = 32},
  [6950] = {.lex_state = 479, .external_lex_state = 32},
  [6951] = {.lex_state = 479, .external_lex_state = 32},
  [6952] = {.lex_state = 479, .external_lex_state = 32},
  [6953] = {.lex_state = 479, .external_lex_state = 32},
  [6954] = {.lex_state = 479, .external_lex_state = 32},
  [6955] = {.lex_state = 395, .external_lex_state = 32},
  [6956] = {.lex_state = 455, .external_lex_state = 22},
  [6957] = {.lex_state = 479, .external_lex_state = 32},
  [6958] = {.lex_state = 479, .external_lex_state = 32},
  [6959] = {.lex_state = 479, .external_lex_state = 32},
  [6960] = {.lex_state = 479, .external_lex_state = 32},
  [6961] = {.lex_state = 479, .external_lex_state = 32},
  [6962] = {.lex_state = 467, .external_lex_state = 32},
  [6963] = {.lex_state = 467, .external_lex_state = 32},
  [6964] = {.lex_state = 185, .external_lex_state = 2},
  [6965] = {.lex_state = 467, .external_lex_state = 32},
  [6966] = {.lex_state = 185, .external_lex_state = 2},
  [6967] = {.lex_state = 467, .external_lex_state = 32},
  [6968] = {.lex_state = 433, .external_lex_state = 13},
  [6969] = {.lex_state = 467, .external_lex_state = 32},
  [6970] = {.lex_state = 185, .external_lex_state = 2},
  [6971] = {.lex_state = 381, .external_lex_state = 32},
  [6972] = {.lex_state = 433, .external_lex_state = 43},
  [6973] = {.lex_state = 381, .external_lex_state = 32},
  [6974] = {.lex_state = 395, .external_lex_state = 32},
  [6975] = {.lex_state = 479, .external_lex_state = 32},
  [6976] = {.lex_state = 479, .external_lex_state = 32},
  [6977] = {.lex_state = 479, .external_lex_state = 32},
  [6978] = {.lex_state = 395, .external_lex_state = 32},
  [6979] = {.lex_state = 479, .external_lex_state = 40},
  [6980] = {.lex_state = 228},
  [6981] = {.lex_state = 228},
  [6982] = {.lex_state = 228},
  [6983] = {.lex_state = 185, .external_lex_state = 2},
  [6984] = {.lex_state = 373, .external_lex_state = 17},
  [6985] = {.lex_state = 226},
  [6986] = {.lex_state = 473, .external_lex_state = 20},
  [6987] = {.lex_state = 202, .external_lex_state = 23},
  [6988] = {.lex_state = 202},
  [6989] = {.lex_state = 473, .external_lex_state = 20},
  [6990] = {.lex_state = 391, .external_lex_state = 40},
  [6991] = {.lex_state = 185, .external_lex_state = 16},
  [6992] = {.lex_state = 391, .external_lex_state = 32},
  [6993] = {.lex_state = 185, .external_lex_state = 16},
  [6994] = {.lex_state = 391, .external_lex_state = 32},
  [6995] = {.lex_state = 185, .external_lex_state = 16},
  [6996] = {.lex_state = 391, .external_lex_state = 32},
  [6997] = {.lex_state = 185, .external_lex_state = 16},
  [6998] = {.lex_state = 391, .external_lex_state = 32},
  [6999] = {.lex_state = 183, .external_lex_state = 4},
  [7000] = {.lex_state = 251, .external_lex_state = 16},
  [7001] = {.lex_state = 391, .external_lex_state = 32},
  [7002] = {.lex_state = 183, .external_lex_state = 4},
  [7003] = {.lex_state = 251, .external_lex_state = 16},
  [7004] = {.lex_state = 379, .external_lex_state = 32},
  [7005] = {.lex_state = 391, .external_lex_state = 32},
  [7006] = {.lex_state = 187},
  [7007] = {.lex_state = 187, .external_lex_state = 23},
  [7008] = {.lex_state = 185, .external_lex_state = 2},
  [7009] = {.lex_state = 391, .external_lex_state = 32},
  [7010] = {.lex_state = 228},
  [7011] = {.lex_state = 288, .external_lex_state = 8},
  [7012] = {.lex_state = 391, .external_lex_state = 32},
  [7013] = {.lex_state = 202},
  [7014] = {.lex_state = 185, .external_lex_state = 2},
  [7015] = {.lex_state = 311, .external_lex_state = 28},
  [7016] = {.lex_state = 311, .external_lex_state = 28},
  [7017] = {.lex_state = 314, .external_lex_state = 28},
  [7018] = {.lex_state = 314, .external_lex_state = 28},
  [7019] = {.lex_state = 391, .external_lex_state = 32},
  [7020] = {.lex_state = 391, .external_lex_state = 32},
  [7021] = {.lex_state = 391, .external_lex_state = 32},
  [7022] = {.lex_state = 391, .external_lex_state = 32},
  [7023] = {.lex_state = 123, .external_lex_state = 8},
  [7024] = {.lex_state = 123, .external_lex_state = 8},
  [7025] = {.lex_state = 237, .external_lex_state = 14},
  [7026] = {.lex_state = 237, .external_lex_state = 14},
  [7027] = {.lex_state = 123},
  [7028] = {.lex_state = 237, .external_lex_state = 14},
  [7029] = {.lex_state = 123},
  [7030] = {.lex_state = 123},
  [7031] = {.lex_state = 123},
  [7032] = {.lex_state = 123},
  [7033] = {.lex_state = 123},
  [7034] = {.lex_state = 391, .external_lex_state = 32},
  [7035] = {.lex_state = 123, .external_lex_state = 2},
  [7036] = {.lex_state = 379, .external_lex_state = 32},
  [7037] = {.lex_state = 379, .external_lex_state = 32},
  [7038] = {.lex_state = 391, .external_lex_state = 32},
  [7039] = {.lex_state = 391, .external_lex_state = 32},
  [7040] = {.lex_state = 391, .external_lex_state = 32},
  [7041] = {.lex_state = 226, .external_lex_state = 23},
  [7042] = {.lex_state = 226},
  [7043] = {.lex_state = 123},
  [7044] = {.lex_state = 391, .external_lex_state = 32},
  [7045] = {.lex_state = 185, .external_lex_state = 2},
  [7046] = {.lex_state = 185, .external_lex_state = 2},
  [7047] = {.lex_state = 185, .external_lex_state = 2},
  [7048] = {.lex_state = 185, .external_lex_state = 2},
  [7049] = {.lex_state = 185, .external_lex_state = 2},
  [7050] = {.lex_state = 185, .external_lex_state = 2},
  [7051] = {.lex_state = 185, .external_lex_state = 2},
  [7052] = {.lex_state = 185, .external_lex_state = 2},
  [7053] = {.lex_state = 185, .external_lex_state = 2},
  [7054] = {.lex_state = 185, .external_lex_state = 2},
  [7055] = {.lex_state = 185, .external_lex_state = 2},
  [7056] = {.lex_state = 185, .external_lex_state = 2},
  [7057] = {.lex_state = 185, .external_lex_state = 38},
  [7058] = {.lex_state = 185, .external_lex_state = 2},
  [7059] = {.lex_state = 379, .external_lex_state = 40},
  [7060] = {.lex_state = 391, .external_lex_state = 32},
  [7061] = {.lex_state = 202},
  [7062] = {.lex_state = 379, .external_lex_state = 32},
  [7063] = {.lex_state = 373, .external_lex_state = 17},
  [7064] = {.lex_state = 187},
  [7065] = {.lex_state = 373, .external_lex_state = 17},
  [7066] = {.lex_state = 123},
  [7067] = {.lex_state = 123, .external_lex_state = 2},
  [7068] = {.lex_state = 123, .external_lex_state = 12},
  [7069] = {.lex_state = 467, .external_lex_state = 32},
  [7070] = {.lex_state = 467, .external_lex_state = 32},
  [7071] = {.lex_state = 467, .external_lex_state = 32},
  [7072] = {.lex_state = 467, .external_lex_state = 32},
  [7073] = {.lex_state = 467, .external_lex_state = 32},
  [7074] = {.lex_state = 467, .external_lex_state = 32},
  [7075] = {.lex_state = 379, .external_lex_state = 32},
  [7076] = {.lex_state = 455, .external_lex_state = 22},
  [7077] = {.lex_state = 467, .external_lex_state = 32},
  [7078] = {.lex_state = 467, .external_lex_state = 32},
  [7079] = {.lex_state = 467, .external_lex_state = 32},
  [7080] = {.lex_state = 467, .external_lex_state = 32},
  [7081] = {.lex_state = 467, .external_lex_state = 32},
  [7082] = {.lex_state = 373, .external_lex_state = 17},
  [7083] = {.lex_state = 391, .external_lex_state = 32},
  [7084] = {.lex_state = 170, .external_lex_state = 18},
  [7085] = {.lex_state = 379, .external_lex_state = 32},
  [7086] = {.lex_state = 391, .external_lex_state = 32},
  [7087] = {.lex_state = 433, .external_lex_state = 43},
  [7088] = {.lex_state = 379, .external_lex_state = 32},
  [7089] = {.lex_state = 379, .external_lex_state = 32},
  [7090] = {.lex_state = 467, .external_lex_state = 32},
  [7091] = {.lex_state = 467, .external_lex_state = 32},
  [7092] = {.lex_state = 467, .external_lex_state = 32},
  [7093] = {.lex_state = 379, .external_lex_state = 32},
  [7094] = {.lex_state = 467, .external_lex_state = 40},
  [7095] = {.lex_state = 375, .external_lex_state = 22},
  [7096] = {.lex_state = 375, .external_lex_state = 22},
  [7097] = {.lex_state = 375, .external_lex_state = 22},
  [7098] = {.lex_state = 375, .external_lex_state = 22},
  [7099] = {.lex_state = 185, .external_lex_state = 2},
  [7100] = {.lex_state = 185, .external_lex_state = 2},
  [7101] = {.lex_state = 185, .external_lex_state = 2},
  [7102] = {.lex_state = 185, .external_lex_state = 2},
  [7103] = {.lex_state = 185, .external_lex_state = 2},
  [7104] = {.lex_state = 185, .external_lex_state = 2},
  [7105] = {.lex_state = 185, .external_lex_state = 2},
  [7106] = {.lex_state = 185, .external_lex_state = 2},
  [7107] = {.lex_state = 185, .external_lex_state = 2},
  [7108] = {.lex_state = 185, .external_lex_state = 2},
  [7109] = {.lex_state = 185, .external_lex_state = 2},
  [7110] = {.lex_state = 185, .external_lex_state = 2},
  [7111] = {.lex_state = 185, .external_lex_state = 38},
  [7112] = {.lex_state = 375, .external_lex_state = 22},
  [7113] = {.lex_state = 185, .external_lex_state = 38},
  [7114] = {.lex_state = 185, .external_lex_state = 2},
  [7115] = {.lex_state = 395, .external_lex_state = 39},
  [7116] = {.lex_state = 151, .external_lex_state = 3},
  [7117] = {.lex_state = 151, .external_lex_state = 3},
  [7118] = {.lex_state = 395, .external_lex_state = 3},
  [7119] = {.lex_state = 395, .external_lex_state = 3},
  [7120] = {.lex_state = 395, .external_lex_state = 3},
  [7121] = {.lex_state = 395, .external_lex_state = 3},
  [7122] = {.lex_state = 395, .external_lex_state = 3},
  [7123] = {.lex_state = 185, .external_lex_state = 2},
  [7124] = {.lex_state = 185, .external_lex_state = 2},
  [7125] = {.lex_state = 185, .external_lex_state = 2},
  [7126] = {.lex_state = 185, .external_lex_state = 2},
  [7127] = {.lex_state = 185, .external_lex_state = 2},
  [7128] = {.lex_state = 185, .external_lex_state = 2},
  [7129] = {.lex_state = 185, .external_lex_state = 2},
  [7130] = {.lex_state = 185, .external_lex_state = 2},
  [7131] = {.lex_state = 185, .external_lex_state = 2},
  [7132] = {.lex_state = 185, .external_lex_state = 2},
  [7133] = {.lex_state = 185, .external_lex_state = 2},
  [7134] = {.lex_state = 185, .external_lex_state = 2},
  [7135] = {.lex_state = 185, .external_lex_state = 38},
  [7136] = {.lex_state = 185, .external_lex_state = 2},
  [7137] = {.lex_state = 395, .external_lex_state = 15},
  [7138] = {.lex_state = 395, .external_lex_state = 3},
  [7139] = {.lex_state = 479, .external_lex_state = 3},
  [7140] = {.lex_state = 479, .external_lex_state = 3},
  [7141] = {.lex_state = 479, .external_lex_state = 3},
  [7142] = {.lex_state = 479, .external_lex_state = 3},
  [7143] = {.lex_state = 479, .external_lex_state = 3},
  [7144] = {.lex_state = 479, .external_lex_state = 3},
  [7145] = {.lex_state = 479, .external_lex_state = 3},
  [7146] = {.lex_state = 479, .external_lex_state = 3},
  [7147] = {.lex_state = 395, .external_lex_state = 3},
  [7148] = {.lex_state = 455, .external_lex_state = 22},
  [7149] = {.lex_state = 479, .external_lex_state = 3},
  [7150] = {.lex_state = 479, .external_lex_state = 3},
  [7151] = {.lex_state = 479, .external_lex_state = 3},
  [7152] = {.lex_state = 479, .external_lex_state = 3},
  [7153] = {.lex_state = 479, .external_lex_state = 3},
  [7154] = {.lex_state = 381, .external_lex_state = 3},
  [7155] = {.lex_state = 433, .external_lex_state = 43},
  [7156] = {.lex_state = 381, .external_lex_state = 3},
  [7157] = {.lex_state = 395, .external_lex_state = 3},
  [7158] = {.lex_state = 479, .external_lex_state = 3},
  [7159] = {.lex_state = 479, .external_lex_state = 3},
  [7160] = {.lex_state = 479, .external_lex_state = 3},
  [7161] = {.lex_state = 395, .external_lex_state = 3},
  [7162] = {.lex_state = 479, .external_lex_state = 15},
  [7163] = {.lex_state = 228, .external_lex_state = 8},
  [7164] = {.lex_state = 123, .external_lex_state = 2},
  [7165] = {.lex_state = 185, .external_lex_state = 2},
  [7166] = {.lex_state = 379, .external_lex_state = 3},
  [7167] = {.lex_state = 379, .external_lex_state = 3},
  [7168] = {.lex_state = 379, .external_lex_state = 3},
  [7169] = {.lex_state = 185, .external_lex_state = 2},
  [7170] = {.lex_state = 185, .external_lex_state = 2},
  [7171] = {.lex_state = 185, .external_lex_state = 2},
  [7172] = {.lex_state = 185, .external_lex_state = 2},
  [7173] = {.lex_state = 185, .external_lex_state = 2},
  [7174] = {.lex_state = 185, .external_lex_state = 2},
  [7175] = {.lex_state = 185, .external_lex_state = 2},
  [7176] = {.lex_state = 185, .external_lex_state = 2},
  [7177] = {.lex_state = 185, .external_lex_state = 2},
  [7178] = {.lex_state = 185, .external_lex_state = 2},
  [7179] = {.lex_state = 185, .external_lex_state = 2},
  [7180] = {.lex_state = 185, .external_lex_state = 2},
  [7181] = {.lex_state = 185, .external_lex_state = 38},
  [7182] = {.lex_state = 185, .external_lex_state = 2},
  [7183] = {.lex_state = 379, .external_lex_state = 15},
  [7184] = {.lex_state = 379, .external_lex_state = 3},
  [7185] = {.lex_state = 467, .external_lex_state = 3},
  [7186] = {.lex_state = 467, .external_lex_state = 3},
  [7187] = {.lex_state = 467, .external_lex_state = 3},
  [7188] = {.lex_state = 467, .external_lex_state = 3},
  [7189] = {.lex_state = 467, .external_lex_state = 3},
  [7190] = {.lex_state = 467, .external_lex_state = 3},
  [7191] = {.lex_state = 379, .external_lex_state = 3},
  [7192] = {.lex_state = 455, .external_lex_state = 22},
  [7193] = {.lex_state = 467, .external_lex_state = 3},
  [7194] = {.lex_state = 467, .external_lex_state = 3},
  [7195] = {.lex_state = 467, .external_lex_state = 3},
  [7196] = {.lex_state = 467, .external_lex_state = 3},
  [7197] = {.lex_state = 467, .external_lex_state = 3},
  [7198] = {.lex_state = 379, .external_lex_state = 3},
  [7199] = {.lex_state = 433, .external_lex_state = 43},
  [7200] = {.lex_state = 379, .external_lex_state = 3},
  [7201] = {.lex_state = 379, .external_lex_state = 3},
  [7202] = {.lex_state = 467, .external_lex_state = 3},
  [7203] = {.lex_state = 467, .external_lex_state = 3},
  [7204] = {.lex_state = 467, .external_lex_state = 3},
  [7205] = {.lex_state = 379, .external_lex_state = 3},
  [7206] = {.lex_state = 467, .external_lex_state = 15},
  [7207] = {.lex_state = 375, .external_lex_state = 14},
  [7208] = {.lex_state = 375, .external_lex_state = 14},
  [7209] = {.lex_state = 375, .external_lex_state = 14},
  [7210] = {.lex_state = 375, .external_lex_state = 14},
  [7211] = {.lex_state = 185, .external_lex_state = 2},
  [7212] = {.lex_state = 185, .external_lex_state = 2},
  [7213] = {.lex_state = 185, .external_lex_state = 2},
  [7214] = {.lex_state = 185, .external_lex_state = 2},
  [7215] = {.lex_state = 185, .external_lex_state = 2},
  [7216] = {.lex_state = 185, .external_lex_state = 2},
  [7217] = {.lex_state = 185, .external_lex_state = 2},
  [7218] = {.lex_state = 185, .external_lex_state = 2},
  [7219] = {.lex_state = 185, .external_lex_state = 2},
  [7220] = {.lex_state = 185, .external_lex_state = 2},
  [7221] = {.lex_state = 185, .external_lex_state = 2},
  [7222] = {.lex_state = 185, .external_lex_state = 2},
  [7223] = {.lex_state = 185, .external_lex_state = 38},
  [7224] = {.lex_state = 375, .external_lex_state = 14},
  [7225] = {.lex_state = 185, .external_lex_state = 38},
  [7226] = {.lex_state = 185, .external_lex_state = 2},
  [7227] = {.lex_state = 273, .external_lex_state = 17},
  [7228] = {.lex_state = 170, .external_lex_state = 4},
  [7229] = {.lex_state = 273, .external_lex_state = 17},
  [7230] = {.lex_state = 273, .external_lex_state = 17},
  [7231] = {.lex_state = 170, .external_lex_state = 4},
  [7232] = {.lex_state = 273, .external_lex_state = 17},
  [7233] = {.lex_state = 217, .external_lex_state = 7},
  [7234] = {.lex_state = 395, .external_lex_state = 32},
  [7235] = {.lex_state = 395, .external_lex_state = 32},
  [7236] = {.lex_state = 395, .external_lex_state = 32},
  [7237] = {.lex_state = 185, .external_lex_state = 2},
  [7238] = {.lex_state = 185, .external_lex_state = 2},
  [7239] = {.lex_state = 185, .external_lex_state = 2},
  [7240] = {.lex_state = 185, .external_lex_state = 2},
  [7241] = {.lex_state = 185, .external_lex_state = 2},
  [7242] = {.lex_state = 185, .external_lex_state = 2},
  [7243] = {.lex_state = 185, .external_lex_state = 2},
  [7244] = {.lex_state = 185, .external_lex_state = 2},
  [7245] = {.lex_state = 185, .external_lex_state = 2},
  [7246] = {.lex_state = 185, .external_lex_state = 2},
  [7247] = {.lex_state = 185, .external_lex_state = 2},
  [7248] = {.lex_state = 185, .external_lex_state = 2},
  [7249] = {.lex_state = 185, .external_lex_state = 38},
  [7250] = {.lex_state = 185, .external_lex_state = 2},
  [7251] = {.lex_state = 395, .external_lex_state = 32},
  [7252] = {.lex_state = 479, .external_lex_state = 32},
  [7253] = {.lex_state = 479, .external_lex_state = 32},
  [7254] = {.lex_state = 185, .external_lex_state = 2},
  [7255] = {.lex_state = 479, .external_lex_state = 32},
  [7256] = {.lex_state = 185, .external_lex_state = 2},
  [7257] = {.lex_state = 479, .external_lex_state = 32},
  [7258] = {.lex_state = 433, .external_lex_state = 13},
  [7259] = {.lex_state = 479, .external_lex_state = 32},
  [7260] = {.lex_state = 185, .external_lex_state = 2},
  [7261] = {.lex_state = 479, .external_lex_state = 32},
  [7262] = {.lex_state = 479, .external_lex_state = 32},
  [7263] = {.lex_state = 479, .external_lex_state = 32},
  [7264] = {.lex_state = 479, .external_lex_state = 32},
  [7265] = {.lex_state = 479, .external_lex_state = 32},
  [7266] = {.lex_state = 479, .external_lex_state = 32},
  [7267] = {.lex_state = 395, .external_lex_state = 32},
  [7268] = {.lex_state = 455, .external_lex_state = 22},
  [7269] = {.lex_state = 479, .external_lex_state = 32},
  [7270] = {.lex_state = 479, .external_lex_state = 32},
  [7271] = {.lex_state = 479, .external_lex_state = 32},
  [7272] = {.lex_state = 479, .external_lex_state = 32},
  [7273] = {.lex_state = 479, .external_lex_state = 32},
  [7274] = {.lex_state = 467, .external_lex_state = 32},
  [7275] = {.lex_state = 467, .external_lex_state = 32},
  [7276] = {.lex_state = 185, .external_lex_state = 2},
  [7277] = {.lex_state = 467, .external_lex_state = 32},
  [7278] = {.lex_state = 185, .external_lex_state = 2},
  [7279] = {.lex_state = 467, .external_lex_state = 32},
  [7280] = {.lex_state = 433, .external_lex_state = 13},
  [7281] = {.lex_state = 467, .external_lex_state = 32},
  [7282] = {.lex_state = 185, .external_lex_state = 2},
  [7283] = {.lex_state = 395, .external_lex_state = 32},
  [7284] = {.lex_state = 433, .external_lex_state = 43},
  [7285] = {.lex_state = 395, .external_lex_state = 32},
  [7286] = {.lex_state = 395, .external_lex_state = 32},
  [7287] = {.lex_state = 479, .external_lex_state = 32},
  [7288] = {.lex_state = 479, .external_lex_state = 32},
  [7289] = {.lex_state = 479, .external_lex_state = 32},
  [7290] = {.lex_state = 395, .external_lex_state = 32},
  [7291] = {.lex_state = 479, .external_lex_state = 40},
  [7292] = {.lex_state = 185, .external_lex_state = 2},
  [7293] = {.lex_state = 391, .external_lex_state = 32},
  [7294] = {.lex_state = 226},
  [7295] = {.lex_state = 483, .external_lex_state = 33},
  [7296] = {.lex_state = 202, .external_lex_state = 23},
  [7297] = {.lex_state = 202},
  [7298] = {.lex_state = 483, .external_lex_state = 33},
  [7299] = {.lex_state = 379, .external_lex_state = 32},
  [7300] = {.lex_state = 379, .external_lex_state = 32},
  [7301] = {.lex_state = 379, .external_lex_state = 32},
  [7302] = {.lex_state = 185, .external_lex_state = 2},
  [7303] = {.lex_state = 185, .external_lex_state = 2},
  [7304] = {.lex_state = 185, .external_lex_state = 2},
  [7305] = {.lex_state = 185, .external_lex_state = 2},
  [7306] = {.lex_state = 185, .external_lex_state = 2},
  [7307] = {.lex_state = 185, .external_lex_state = 2},
  [7308] = {.lex_state = 185, .external_lex_state = 2},
  [7309] = {.lex_state = 185, .external_lex_state = 2},
  [7310] = {.lex_state = 185, .external_lex_state = 2},
  [7311] = {.lex_state = 185, .external_lex_state = 2},
  [7312] = {.lex_state = 185, .external_lex_state = 2},
  [7313] = {.lex_state = 185, .external_lex_state = 2},
  [7314] = {.lex_state = 185, .external_lex_state = 38},
  [7315] = {.lex_state = 185, .external_lex_state = 2},
  [7316] = {.lex_state = 379, .external_lex_state = 40},
  [7317] = {.lex_state = 379, .external_lex_state = 32},
  [7318] = {.lex_state = 391, .external_lex_state = 32},
  [7319] = {.lex_state = 187},
  [7320] = {.lex_state = 391, .external_lex_state = 32},
  [7321] = {.lex_state = 123},
  [7322] = {.lex_state = 123, .external_lex_state = 2},
  [7323] = {.lex_state = 123, .external_lex_state = 12},
  [7324] = {.lex_state = 467, .external_lex_state = 32},
  [7325] = {.lex_state = 467, .external_lex_state = 32},
  [7326] = {.lex_state = 467, .external_lex_state = 32},
  [7327] = {.lex_state = 467, .external_lex_state = 32},
  [7328] = {.lex_state = 467, .external_lex_state = 32},
  [7329] = {.lex_state = 467, .external_lex_state = 32},
  [7330] = {.lex_state = 379, .external_lex_state = 32},
  [7331] = {.lex_state = 455, .external_lex_state = 22},
  [7332] = {.lex_state = 467, .external_lex_state = 32},
  [7333] = {.lex_state = 467, .external_lex_state = 32},
  [7334] = {.lex_state = 467, .external_lex_state = 32},
  [7335] = {.lex_state = 467, .external_lex_state = 32},
  [7336] = {.lex_state = 467, .external_lex_state = 32},
  [7337] = {.lex_state = 391, .external_lex_state = 32},
  [7338] = {.lex_state = 379, .external_lex_state = 32},
  [7339] = {.lex_state = 433, .external_lex_state = 43},
  [7340] = {.lex_state = 379, .external_lex_state = 32},
  [7341] = {.lex_state = 379, .external_lex_state = 32},
  [7342] = {.lex_state = 467, .external_lex_state = 32},
  [7343] = {.lex_state = 467, .external_lex_state = 32},
  [7344] = {.lex_state = 467, .external_lex_state = 32},
  [7345] = {.lex_state = 379, .external_lex_state = 32},
  [7346] = {.lex_state = 467, .external_lex_state = 40},
  [7347] = {.lex_state = 375, .external_lex_state = 35},
  [7348] = {.lex_state = 185, .external_lex_state = 38},
  [7349] = {.lex_state = 375, .external_lex_state = 35},
  [7350] = {.lex_state = 273, .external_lex_state = 17},
  [7351] = {.lex_state = 273, .external_lex_state = 17},
  [7352] = {.lex_state = 343, .external_lex_state = 32},
  [7353] = {.lex_state = 322, .external_lex_state = 32},
  [7354] = {.lex_state = 322, .external_lex_state = 32},
  [7355] = {.lex_state = 185, .external_lex_state = 2},
  [7356] = {.lex_state = 343, .external_lex_state = 32},
  [7357] = {.lex_state = 343, .external_lex_state = 32},
  [7358] = {.lex_state = 185, .external_lex_state = 38},
  [7359] = {.lex_state = 322, .external_lex_state = 32},
  [7360] = {.lex_state = 273, .external_lex_state = 17},
  [7361] = {.lex_state = 123},
  [7362] = {.lex_state = 123},
  [7363] = {.lex_state = 273, .external_lex_state = 17},
  [7364] = {.lex_state = 123},
  [7365] = {.lex_state = 273, .external_lex_state = 17},
  [7366] = {.lex_state = 273, .external_lex_state = 17},
  [7367] = {.lex_state = 273, .external_lex_state = 17},
  [7368] = {.lex_state = 123},
  [7369] = {.lex_state = 273, .external_lex_state = 17},
  [7370] = {.lex_state = 123},
  [7371] = {.lex_state = 273, .external_lex_state = 17},
  [7372] = {.lex_state = 123},
  [7373] = {.lex_state = 273, .external_lex_state = 17},
  [7374] = {.lex_state = 273, .external_lex_state = 17},
  [7375] = {.lex_state = 123},
  [7376] = {.lex_state = 123, .external_lex_state = 2},
  [7377] = {.lex_state = 282, .external_lex_state = 22},
  [7378] = {.lex_state = 280, .external_lex_state = 17},
  [7379] = {.lex_state = 278, .external_lex_state = 20},
  [7380] = {.lex_state = 202},
  [7381] = {.lex_state = 349, .external_lex_state = 32},
  [7382] = {.lex_state = 349, .external_lex_state = 32},
  [7383] = {.lex_state = 170, .external_lex_state = 4},
  [7384] = {.lex_state = 251, .external_lex_state = 16},
  [7385] = {.lex_state = 349, .external_lex_state = 32},
  [7386] = {.lex_state = 170, .external_lex_state = 4},
  [7387] = {.lex_state = 349, .external_lex_state = 32},
  [7388] = {.lex_state = 349, .external_lex_state = 32},
  [7389] = {.lex_state = 170, .external_lex_state = 4},
  [7390] = {.lex_state = 251, .external_lex_state = 16},
  [7391] = {.lex_state = 349, .external_lex_state = 32},
  [7392] = {.lex_state = 170, .external_lex_state = 4},
  [7393] = {.lex_state = 349, .external_lex_state = 40},
  [7394] = {.lex_state = 349, .external_lex_state = 32},
  [7395] = {.lex_state = 280, .external_lex_state = 17},
  [7396] = {.lex_state = 349, .external_lex_state = 32},
  [7397] = {.lex_state = 228},
  [7398] = {.lex_state = 349, .external_lex_state = 32},
  [7399] = {.lex_state = 349, .external_lex_state = 32},
  [7400] = {.lex_state = 123, .external_lex_state = 2},
  [7401] = {.lex_state = 123, .external_lex_state = 2},
  [7402] = {.lex_state = 349, .external_lex_state = 32},
  [7403] = {.lex_state = 349, .external_lex_state = 32},
  [7404] = {.lex_state = 349, .external_lex_state = 32},
  [7405] = {.lex_state = 123},
  [7406] = {.lex_state = 123},
  [7407] = {.lex_state = 123, .external_lex_state = 2},
  [7408] = {.lex_state = 349, .external_lex_state = 32},
  [7409] = {.lex_state = 123},
  [7410] = {.lex_state = 123},
  [7411] = {.lex_state = 349, .external_lex_state = 32},
  [7412] = {.lex_state = 123},
  [7413] = {.lex_state = 349, .external_lex_state = 32},
  [7414] = {.lex_state = 123},
  [7415] = {.lex_state = 123, .external_lex_state = 2},
  [7416] = {.lex_state = 280, .external_lex_state = 17},
  [7417] = {.lex_state = 123},
  [7418] = {.lex_state = 123, .external_lex_state = 2},
  [7419] = {.lex_state = 123},
  [7420] = {.lex_state = 123},
  [7421] = {.lex_state = 349, .external_lex_state = 32},
  [7422] = {.lex_state = 349, .external_lex_state = 32},
  [7423] = {.lex_state = 123},
  [7424] = {.lex_state = 123},
  [7425] = {.lex_state = 349, .external_lex_state = 32},
  [7426] = {.lex_state = 185, .external_lex_state = 2},
  [7427] = {.lex_state = 349, .external_lex_state = 32},
  [7428] = {.lex_state = 349, .external_lex_state = 32},
  [7429] = {.lex_state = 185, .external_lex_state = 38},
  [7430] = {.lex_state = 365, .external_lex_state = 32},
  [7431] = {.lex_state = 282, .external_lex_state = 22},
  [7432] = {.lex_state = 282, .external_lex_state = 22},
  [7433] = {.lex_state = 282, .external_lex_state = 22},
  [7434] = {.lex_state = 282, .external_lex_state = 22},
  [7435] = {.lex_state = 282, .external_lex_state = 22},
  [7436] = {.lex_state = 282, .external_lex_state = 22},
  [7437] = {.lex_state = 455, .external_lex_state = 22},
  [7438] = {.lex_state = 282, .external_lex_state = 22},
  [7439] = {.lex_state = 282, .external_lex_state = 22},
  [7440] = {.lex_state = 282, .external_lex_state = 22},
  [7441] = {.lex_state = 282, .external_lex_state = 22},
  [7442] = {.lex_state = 282, .external_lex_state = 22},
  [7443] = {.lex_state = 399, .external_lex_state = 22},
  [7444] = {.lex_state = 282, .external_lex_state = 22},
  [7445] = {.lex_state = 282, .external_lex_state = 22},
  [7446] = {.lex_state = 282, .external_lex_state = 22},
  [7447] = {.lex_state = 151, .external_lex_state = 39},
  [7448] = {.lex_state = 187, .external_lex_state = 6},
  [7449] = {.lex_state = 411, .external_lex_state = 32},
  [7450] = {.lex_state = 411, .external_lex_state = 32},
  [7451] = {.lex_state = 411, .external_lex_state = 32},
  [7452] = {.lex_state = 185, .external_lex_state = 2},
  [7453] = {.lex_state = 185, .external_lex_state = 2},
  [7454] = {.lex_state = 185, .external_lex_state = 2},
  [7455] = {.lex_state = 185, .external_lex_state = 2},
  [7456] = {.lex_state = 185, .external_lex_state = 2},
  [7457] = {.lex_state = 185, .external_lex_state = 2},
  [7458] = {.lex_state = 185, .external_lex_state = 2},
  [7459] = {.lex_state = 185, .external_lex_state = 2},
  [7460] = {.lex_state = 185, .external_lex_state = 2},
  [7461] = {.lex_state = 185, .external_lex_state = 2},
  [7462] = {.lex_state = 185, .external_lex_state = 2},
  [7463] = {.lex_state = 185, .external_lex_state = 2},
  [7464] = {.lex_state = 185, .external_lex_state = 38},
  [7465] = {.lex_state = 185, .external_lex_state = 2},
  [7466] = {.lex_state = 411, .external_lex_state = 32},
  [7467] = {.lex_state = 411, .external_lex_state = 32},
  [7468] = {.lex_state = 411, .external_lex_state = 32},
  [7469] = {.lex_state = 411, .external_lex_state = 32},
  [7470] = {.lex_state = 411, .external_lex_state = 32},
  [7471] = {.lex_state = 411, .external_lex_state = 32},
  [7472] = {.lex_state = 411, .external_lex_state = 32},
  [7473] = {.lex_state = 411, .external_lex_state = 32},
  [7474] = {.lex_state = 455, .external_lex_state = 22},
  [7475] = {.lex_state = 411, .external_lex_state = 32},
  [7476] = {.lex_state = 411, .external_lex_state = 32},
  [7477] = {.lex_state = 411, .external_lex_state = 32},
  [7478] = {.lex_state = 411, .external_lex_state = 32},
  [7479] = {.lex_state = 411, .external_lex_state = 32},
  [7480] = {.lex_state = 298, .external_lex_state = 32},
  [7481] = {.lex_state = 433, .external_lex_state = 43},
  [7482] = {.lex_state = 298, .external_lex_state = 32},
  [7483] = {.lex_state = 411, .external_lex_state = 32},
  [7484] = {.lex_state = 411, .external_lex_state = 32},
  [7485] = {.lex_state = 411, .external_lex_state = 32},
  [7486] = {.lex_state = 411, .external_lex_state = 32},
  [7487] = {.lex_state = 411, .external_lex_state = 32},
  [7488] = {.lex_state = 151, .external_lex_state = 3},
  [7489] = {.lex_state = 185, .external_lex_state = 2},
  [7490] = {.lex_state = 296, .external_lex_state = 32},
  [7491] = {.lex_state = 296, .external_lex_state = 32},
  [7492] = {.lex_state = 296, .external_lex_state = 32},
  [7493] = {.lex_state = 185, .external_lex_state = 2},
  [7494] = {.lex_state = 185, .external_lex_state = 2},
  [7495] = {.lex_state = 185, .external_lex_state = 2},
  [7496] = {.lex_state = 185, .external_lex_state = 2},
  [7497] = {.lex_state = 185, .external_lex_state = 2},
  [7498] = {.lex_state = 185, .external_lex_state = 2},
  [7499] = {.lex_state = 185, .external_lex_state = 2},
  [7500] = {.lex_state = 185, .external_lex_state = 2},
  [7501] = {.lex_state = 185, .external_lex_state = 2},
  [7502] = {.lex_state = 185, .external_lex_state = 2},
  [7503] = {.lex_state = 185, .external_lex_state = 2},
  [7504] = {.lex_state = 185, .external_lex_state = 2},
  [7505] = {.lex_state = 185, .external_lex_state = 38},
  [7506] = {.lex_state = 185, .external_lex_state = 2},
  [7507] = {.lex_state = 296, .external_lex_state = 40},
  [7508] = {.lex_state = 296, .external_lex_state = 32},
  [7509] = {.lex_state = 413, .external_lex_state = 32},
  [7510] = {.lex_state = 413, .external_lex_state = 32},
  [7511] = {.lex_state = 413, .external_lex_state = 32},
  [7512] = {.lex_state = 413, .external_lex_state = 32},
  [7513] = {.lex_state = 413, .external_lex_state = 32},
  [7514] = {.lex_state = 413, .external_lex_state = 32},
  [7515] = {.lex_state = 296, .external_lex_state = 32},
  [7516] = {.lex_state = 455, .external_lex_state = 22},
  [7517] = {.lex_state = 413, .external_lex_state = 32},
  [7518] = {.lex_state = 413, .external_lex_state = 32},
  [7519] = {.lex_state = 413, .external_lex_state = 32},
  [7520] = {.lex_state = 413, .external_lex_state = 32},
  [7521] = {.lex_state = 413, .external_lex_state = 32},
  [7522] = {.lex_state = 296, .external_lex_state = 32},
  [7523] = {.lex_state = 433, .external_lex_state = 43},
  [7524] = {.lex_state = 296, .external_lex_state = 32},
  [7525] = {.lex_state = 296, .external_lex_state = 32},
  [7526] = {.lex_state = 413, .external_lex_state = 32},
  [7527] = {.lex_state = 413, .external_lex_state = 32},
  [7528] = {.lex_state = 413, .external_lex_state = 32},
  [7529] = {.lex_state = 296, .external_lex_state = 32},
  [7530] = {.lex_state = 413, .external_lex_state = 40},
  [7531] = {.lex_state = 282, .external_lex_state = 22},
  [7532] = {.lex_state = 282, .external_lex_state = 22},
  [7533] = {.lex_state = 282, .external_lex_state = 22},
  [7534] = {.lex_state = 282, .external_lex_state = 22},
  [7535] = {.lex_state = 185, .external_lex_state = 2},
  [7536] = {.lex_state = 185, .external_lex_state = 2},
  [7537] = {.lex_state = 185, .external_lex_state = 2},
  [7538] = {.lex_state = 185, .external_lex_state = 2},
  [7539] = {.lex_state = 185, .external_lex_state = 2},
  [7540] = {.lex_state = 185, .external_lex_state = 2},
  [7541] = {.lex_state = 185, .external_lex_state = 2},
  [7542] = {.lex_state = 185, .external_lex_state = 2},
  [7543] = {.lex_state = 185, .external_lex_state = 2},
  [7544] = {.lex_state = 185, .external_lex_state = 2},
  [7545] = {.lex_state = 185, .external_lex_state = 2},
  [7546] = {.lex_state = 185, .external_lex_state = 2},
  [7547] = {.lex_state = 185, .external_lex_state = 38},
  [7548] = {.lex_state = 282, .external_lex_state = 22},
  [7549] = {.lex_state = 185, .external_lex_state = 38},
  [7550] = {.lex_state = 185, .external_lex_state = 2},
  [7551] = {.lex_state = 493, .external_lex_state = 39},
  [7552] = {.lex_state = 123, .external_lex_state = 2},
  [7553] = {.lex_state = 123, .external_lex_state = 12},
  [7554] = {.lex_state = 243, .external_lex_state = 8},
  [7555] = {.lex_state = 187},
  [7556] = {.lex_state = 271, .external_lex_state = 2},
  [7557] = {.lex_state = 243, .external_lex_state = 8},
  [7558] = {.lex_state = 123},
  [7559] = {.lex_state = 123, .external_lex_state = 12},
  [7560] = {.lex_state = 361, .external_lex_state = 2},
  [7561] = {.lex_state = 243, .external_lex_state = 8},
  [7562] = {.lex_state = 282},
  [7563] = {.lex_state = 190},
  [7564] = {.lex_state = 243, .external_lex_state = 8},
  [7565] = {.lex_state = 499, .external_lex_state = 32},
  [7566] = {.lex_state = 185, .external_lex_state = 2},
  [7567] = {.lex_state = 185, .external_lex_state = 2},
  [7568] = {.lex_state = 123, .external_lex_state = 19},
  [7569] = {.lex_state = 185, .external_lex_state = 2},
  [7570] = {.lex_state = 429, .external_lex_state = 34},
  [7571] = {.lex_state = 489, .external_lex_state = 32},
  [7572] = {.lex_state = 499, .external_lex_state = 32},
  [7573] = {.lex_state = 499, .external_lex_state = 32},
  [7574] = {.lex_state = 489, .external_lex_state = 36},
  [7575] = {.lex_state = 499, .external_lex_state = 32},
  [7576] = {.lex_state = 499, .external_lex_state = 32},
  [7577] = {.lex_state = 185, .external_lex_state = 2},
  [7578] = {.lex_state = 185, .external_lex_state = 2},
  [7579] = {.lex_state = 185, .external_lex_state = 2},
  [7580] = {.lex_state = 185, .external_lex_state = 2},
  [7581] = {.lex_state = 185, .external_lex_state = 2},
  [7582] = {.lex_state = 185, .external_lex_state = 2},
  [7583] = {.lex_state = 185, .external_lex_state = 2},
  [7584] = {.lex_state = 185, .external_lex_state = 2},
  [7585] = {.lex_state = 185, .external_lex_state = 2},
  [7586] = {.lex_state = 185, .external_lex_state = 2},
  [7587] = {.lex_state = 185, .external_lex_state = 2},
  [7588] = {.lex_state = 185, .external_lex_state = 2},
  [7589] = {.lex_state = 185, .external_lex_state = 38},
  [7590] = {.lex_state = 185, .external_lex_state = 2},
  [7591] = {.lex_state = 499, .external_lex_state = 40},
  [7592] = {.lex_state = 499, .external_lex_state = 32},
  [7593] = {.lex_state = 489, .external_lex_state = 32},
  [7594] = {.lex_state = 489, .external_lex_state = 32},
  [7595] = {.lex_state = 185, .external_lex_state = 2},
  [7596] = {.lex_state = 489, .external_lex_state = 32},
  [7597] = {.lex_state = 185, .external_lex_state = 2},
  [7598] = {.lex_state = 489, .external_lex_state = 32},
  [7599] = {.lex_state = 433, .external_lex_state = 13},
  [7600] = {.lex_state = 489, .external_lex_state = 32},
  [7601] = {.lex_state = 185, .external_lex_state = 2},
  [7602] = {.lex_state = 489, .external_lex_state = 32},
  [7603] = {.lex_state = 489, .external_lex_state = 32},
  [7604] = {.lex_state = 489, .external_lex_state = 32},
  [7605] = {.lex_state = 489, .external_lex_state = 32},
  [7606] = {.lex_state = 489, .external_lex_state = 32},
  [7607] = {.lex_state = 489, .external_lex_state = 32},
  [7608] = {.lex_state = 499, .external_lex_state = 32},
  [7609] = {.lex_state = 455, .external_lex_state = 22},
  [7610] = {.lex_state = 489, .external_lex_state = 32},
  [7611] = {.lex_state = 489, .external_lex_state = 32},
  [7612] = {.lex_state = 489, .external_lex_state = 32},
  [7613] = {.lex_state = 489, .external_lex_state = 32},
  [7614] = {.lex_state = 489, .external_lex_state = 32},
  [7615] = {.lex_state = 302, .external_lex_state = 42},
  [7616] = {.lex_state = 433, .external_lex_state = 43},
  [7617] = {.lex_state = 302, .external_lex_state = 42},
  [7618] = {.lex_state = 302, .external_lex_state = 42},
  [7619] = {.lex_state = 489, .external_lex_state = 32},
  [7620] = {.lex_state = 489, .external_lex_state = 32},
  [7621] = {.lex_state = 489, .external_lex_state = 32},
  [7622] = {.lex_state = 499, .external_lex_state = 32},
  [7623] = {.lex_state = 489, .external_lex_state = 40},
  [7624] = {.lex_state = 411, .external_lex_state = 3},
  [7625] = {.lex_state = 411, .external_lex_state = 3},
  [7626] = {.lex_state = 411, .external_lex_state = 3},
  [7627] = {.lex_state = 411, .external_lex_state = 3},
  [7628] = {.lex_state = 411, .external_lex_state = 3},
  [7629] = {.lex_state = 411, .external_lex_state = 3},
  [7630] = {.lex_state = 411, .external_lex_state = 3},
  [7631] = {.lex_state = 411, .external_lex_state = 3},
  [7632] = {.lex_state = 455, .external_lex_state = 22},
  [7633] = {.lex_state = 411, .external_lex_state = 3},
  [7634] = {.lex_state = 411, .external_lex_state = 3},
  [7635] = {.lex_state = 411, .external_lex_state = 3},
  [7636] = {.lex_state = 411, .external_lex_state = 3},
  [7637] = {.lex_state = 411, .external_lex_state = 3},
  [7638] = {.lex_state = 411, .external_lex_state = 3},
  [7639] = {.lex_state = 411, .external_lex_state = 3},
  [7640] = {.lex_state = 411, .external_lex_state = 3},
  [7641] = {.lex_state = 493, .external_lex_state = 15},
  [7642] = {.lex_state = 411, .external_lex_state = 3},
  [7643] = {.lex_state = 411, .external_lex_state = 3},
  [7644] = {.lex_state = 411, .external_lex_state = 3},
  [7645] = {.lex_state = 433, .external_lex_state = 43},
  [7646] = {.lex_state = 411, .external_lex_state = 3},
  [7647] = {.lex_state = 411, .external_lex_state = 3},
  [7648] = {.lex_state = 411, .external_lex_state = 3},
  [7649] = {.lex_state = 185, .external_lex_state = 2},
  [7650] = {.lex_state = 413, .external_lex_state = 3},
  [7651] = {.lex_state = 413, .external_lex_state = 3},
  [7652] = {.lex_state = 413, .external_lex_state = 3},
  [7653] = {.lex_state = 433, .external_lex_state = 43},
  [7654] = {.lex_state = 413, .external_lex_state = 3},
  [7655] = {.lex_state = 413, .external_lex_state = 3},
  [7656] = {.lex_state = 413, .external_lex_state = 3},
  [7657] = {.lex_state = 185, .external_lex_state = 38},
  [7658] = {.lex_state = 411, .external_lex_state = 3},
  [7659] = {.lex_state = 282, .external_lex_state = 14},
  [7660] = {.lex_state = 296, .external_lex_state = 3},
  [7661] = {.lex_state = 296, .external_lex_state = 3},
  [7662] = {.lex_state = 296, .external_lex_state = 3},
  [7663] = {.lex_state = 296, .external_lex_state = 3},
  [7664] = {.lex_state = 296, .external_lex_state = 3},
  [7665] = {.lex_state = 296, .external_lex_state = 3},
  [7666] = {.lex_state = 455, .external_lex_state = 22},
  [7667] = {.lex_state = 296, .external_lex_state = 3},
  [7668] = {.lex_state = 296, .external_lex_state = 3},
  [7669] = {.lex_state = 296, .external_lex_state = 3},
  [7670] = {.lex_state = 296, .external_lex_state = 3},
  [7671] = {.lex_state = 296, .external_lex_state = 3},
  [7672] = {.lex_state = 296, .external_lex_state = 3},
  [7673] = {.lex_state = 296, .external_lex_state = 3},
  [7674] = {.lex_state = 296, .external_lex_state = 3},
  [7675] = {.lex_state = 296, .external_lex_state = 15},
  [7676] = {.lex_state = 185, .external_lex_state = 2},
  [7677] = {.lex_state = 185, .external_lex_state = 38},
  [7678] = {.lex_state = 413, .external_lex_state = 3},
  [7679] = {.lex_state = 282, .external_lex_state = 14},
  [7680] = {.lex_state = 282, .external_lex_state = 14},
  [7681] = {.lex_state = 282, .external_lex_state = 14},
  [7682] = {.lex_state = 282, .external_lex_state = 14},
  [7683] = {.lex_state = 282, .external_lex_state = 14},
  [7684] = {.lex_state = 282, .external_lex_state = 14},
  [7685] = {.lex_state = 455, .external_lex_state = 22},
  [7686] = {.lex_state = 282, .external_lex_state = 14},
  [7687] = {.lex_state = 282, .external_lex_state = 14},
  [7688] = {.lex_state = 282, .external_lex_state = 14},
  [7689] = {.lex_state = 282, .external_lex_state = 14},
  [7690] = {.lex_state = 282, .external_lex_state = 14},
  [7691] = {.lex_state = 282, .external_lex_state = 14},
  [7692] = {.lex_state = 282, .external_lex_state = 14},
  [7693] = {.lex_state = 282, .external_lex_state = 14},
  [7694] = {.lex_state = 302, .external_lex_state = 25},
  [7695] = {.lex_state = 170, .external_lex_state = 4},
  [7696] = {.lex_state = 302, .external_lex_state = 25},
  [7697] = {.lex_state = 302, .external_lex_state = 25},
  [7698] = {.lex_state = 170, .external_lex_state = 4},
  [7699] = {.lex_state = 302, .external_lex_state = 25},
  [7700] = {.lex_state = 217, .external_lex_state = 7},
  [7701] = {.lex_state = 302, .external_lex_state = 25},
  [7702] = {.lex_state = 302, .external_lex_state = 25},
  [7703] = {.lex_state = 322, .external_lex_state = 32},
  [7704] = {.lex_state = 322, .external_lex_state = 32},
  [7705] = {.lex_state = 185, .external_lex_state = 2},
  [7706] = {.lex_state = 322, .external_lex_state = 32},
  [7707] = {.lex_state = 185, .external_lex_state = 2},
  [7708] = {.lex_state = 322, .external_lex_state = 32},
  [7709] = {.lex_state = 433, .external_lex_state = 13},
  [7710] = {.lex_state = 322, .external_lex_state = 32},
  [7711] = {.lex_state = 185, .external_lex_state = 2},
  [7712] = {.lex_state = 322, .external_lex_state = 32},
  [7713] = {.lex_state = 322, .external_lex_state = 32},
  [7714] = {.lex_state = 322, .external_lex_state = 32},
  [7715] = {.lex_state = 322, .external_lex_state = 32},
  [7716] = {.lex_state = 322, .external_lex_state = 32},
  [7717] = {.lex_state = 322, .external_lex_state = 32},
  [7718] = {.lex_state = 455, .external_lex_state = 22},
  [7719] = {.lex_state = 322, .external_lex_state = 32},
  [7720] = {.lex_state = 322, .external_lex_state = 32},
  [7721] = {.lex_state = 322, .external_lex_state = 32},
  [7722] = {.lex_state = 322, .external_lex_state = 32},
  [7723] = {.lex_state = 322, .external_lex_state = 32},
  [7724] = {.lex_state = 185, .external_lex_state = 2},
  [7725] = {.lex_state = 497, .external_lex_state = 33},
  [7726] = {.lex_state = 497, .external_lex_state = 33},
  [7727] = {.lex_state = 497, .external_lex_state = 33},
  [7728] = {.lex_state = 497, .external_lex_state = 33},
  [7729] = {.lex_state = 185, .external_lex_state = 2},
  [7730] = {.lex_state = 185, .external_lex_state = 2},
  [7731] = {.lex_state = 185, .external_lex_state = 2},
  [7732] = {.lex_state = 367, .external_lex_state = 32},
  [7733] = {.lex_state = 206},
  [7734] = {.lex_state = 367, .external_lex_state = 32},
  [7735] = {.lex_state = 367, .external_lex_state = 40},
  [7736] = {.lex_state = 367, .external_lex_state = 32},
  [7737] = {.lex_state = 185, .external_lex_state = 2},
  [7738] = {.lex_state = 367, .external_lex_state = 32},
  [7739] = {.lex_state = 185, .external_lex_state = 2},
  [7740] = {.lex_state = 367, .external_lex_state = 32},
  [7741] = {.lex_state = 433, .external_lex_state = 13},
  [7742] = {.lex_state = 367, .external_lex_state = 32},
  [7743] = {.lex_state = 185, .external_lex_state = 2},
  [7744] = {.lex_state = 322, .external_lex_state = 32},
  [7745] = {.lex_state = 322, .external_lex_state = 32},
  [7746] = {.lex_state = 322, .external_lex_state = 32},
  [7747] = {.lex_state = 324, .external_lex_state = 40},
  [7748] = {.lex_state = 302, .external_lex_state = 42},
  [7749] = {.lex_state = 302, .external_lex_state = 42},
  [7750] = {.lex_state = 302, .external_lex_state = 42},
  [7751] = {.lex_state = 302, .external_lex_state = 25},
  [7752] = {.lex_state = 123},
  [7753] = {.lex_state = 123},
  [7754] = {.lex_state = 302, .external_lex_state = 25},
  [7755] = {.lex_state = 123},
  [7756] = {.lex_state = 302, .external_lex_state = 25},
  [7757] = {.lex_state = 302, .external_lex_state = 25},
  [7758] = {.lex_state = 302, .external_lex_state = 25},
  [7759] = {.lex_state = 123},
  [7760] = {.lex_state = 302, .external_lex_state = 25},
  [7761] = {.lex_state = 123},
  [7762] = {.lex_state = 302, .external_lex_state = 25},
  [7763] = {.lex_state = 123},
  [7764] = {.lex_state = 302, .external_lex_state = 25},
  [7765] = {.lex_state = 302, .external_lex_state = 25},
  [7766] = {.lex_state = 123},
  [7767] = {.lex_state = 123, .external_lex_state = 2},
  [7768] = {.lex_state = 302, .external_lex_state = 25},
  [7769] = {.lex_state = 405, .external_lex_state = 26},
  [7770] = {.lex_state = 202},
  [7771] = {.lex_state = 499, .external_lex_state = 40},
  [7772] = {.lex_state = 499, .external_lex_state = 32},
  [7773] = {.lex_state = 499, .external_lex_state = 32},
  [7774] = {.lex_state = 499, .external_lex_state = 32},
  [7775] = {.lex_state = 499, .external_lex_state = 32},
  [7776] = {.lex_state = 185, .external_lex_state = 16},
  [7777] = {.lex_state = 251, .external_lex_state = 16},
  [7778] = {.lex_state = 499, .external_lex_state = 32},
  [7779] = {.lex_state = 170, .external_lex_state = 4},
  [7780] = {.lex_state = 251, .external_lex_state = 16},
  [7781] = {.lex_state = 499, .external_lex_state = 32},
  [7782] = {.lex_state = 185, .external_lex_state = 16},
  [7783] = {.lex_state = 251, .external_lex_state = 16},
  [7784] = {.lex_state = 499, .external_lex_state = 32},
  [7785] = {.lex_state = 170, .external_lex_state = 4},
  [7786] = {.lex_state = 251, .external_lex_state = 16},
  [7787] = {.lex_state = 499, .external_lex_state = 32},
  [7788] = {.lex_state = 187},
  [7789] = {.lex_state = 282, .external_lex_state = 22},
  [7790] = {.lex_state = 217, .external_lex_state = 7},
  [7791] = {.lex_state = 123, .external_lex_state = 2},
  [7792] = {.lex_state = 499, .external_lex_state = 32},
  [7793] = {.lex_state = 237, .external_lex_state = 14},
  [7794] = {.lex_state = 123, .external_lex_state = 8},
  [7795] = {.lex_state = 123, .external_lex_state = 2},
  [7796] = {.lex_state = 499, .external_lex_state = 32},
  [7797] = {.lex_state = 123, .external_lex_state = 2},
  [7798] = {.lex_state = 503, .external_lex_state = 32},
  [7799] = {.lex_state = 503, .external_lex_state = 32},
  [7800] = {.lex_state = 499, .external_lex_state = 32},
  [7801] = {.lex_state = 202, .external_lex_state = 23},
  [7802] = {.lex_state = 202},
  [7803] = {.lex_state = 185, .external_lex_state = 2},
  [7804] = {.lex_state = 503, .external_lex_state = 32},
  [7805] = {.lex_state = 185, .external_lex_state = 2},
  [7806] = {.lex_state = 170, .external_lex_state = 18},
  [7807] = {.lex_state = 503, .external_lex_state = 32},
  [7808] = {.lex_state = 433, .external_lex_state = 13},
  [7809] = {.lex_state = 503, .external_lex_state = 32},
  [7810] = {.lex_state = 185, .external_lex_state = 2},
  [7811] = {.lex_state = 123, .external_lex_state = 12},
  [7812] = {.lex_state = 123, .external_lex_state = 2},
  [7813] = {.lex_state = 123, .external_lex_state = 2},
  [7814] = {.lex_state = 123, .external_lex_state = 2},
  [7815] = {.lex_state = 123, .external_lex_state = 8},
  [7816] = {.lex_state = 123},
  [7817] = {.lex_state = 123},
  [7818] = {.lex_state = 123},
  [7819] = {.lex_state = 499, .external_lex_state = 32},
  [7820] = {.lex_state = 123},
  [7821] = {.lex_state = 123},
  [7822] = {.lex_state = 123},
  [7823] = {.lex_state = 499, .external_lex_state = 32},
  [7824] = {.lex_state = 499, .external_lex_state = 32},
  [7825] = {.lex_state = 226},
  [7826] = {.lex_state = 499, .external_lex_state = 32},
  [7827] = {.lex_state = 187},
  [7828] = {.lex_state = 271, .external_lex_state = 2},
  [7829] = {.lex_state = 499, .external_lex_state = 32},
  [7830] = {.lex_state = 123},
  [7831] = {.lex_state = 123, .external_lex_state = 12},
  [7832] = {.lex_state = 361, .external_lex_state = 2},
  [7833] = {.lex_state = 499, .external_lex_state = 32},
  [7834] = {.lex_state = 503, .external_lex_state = 32},
  [7835] = {.lex_state = 503, .external_lex_state = 32},
  [7836] = {.lex_state = 503, .external_lex_state = 32},
  [7837] = {.lex_state = 503, .external_lex_state = 32},
  [7838] = {.lex_state = 503, .external_lex_state = 32},
  [7839] = {.lex_state = 503, .external_lex_state = 32},
  [7840] = {.lex_state = 455, .external_lex_state = 22},
  [7841] = {.lex_state = 503, .external_lex_state = 32},
  [7842] = {.lex_state = 503, .external_lex_state = 32},
  [7843] = {.lex_state = 503, .external_lex_state = 32},
  [7844] = {.lex_state = 503, .external_lex_state = 32},
  [7845] = {.lex_state = 503, .external_lex_state = 32},
  [7846] = {.lex_state = 349, .external_lex_state = 32},
  [7847] = {.lex_state = 503, .external_lex_state = 32},
  [7848] = {.lex_state = 499, .external_lex_state = 32},
  [7849] = {.lex_state = 503, .external_lex_state = 32},
  [7850] = {.lex_state = 503, .external_lex_state = 32},
  [7851] = {.lex_state = 503, .external_lex_state = 40},
  [7852] = {.lex_state = 421, .external_lex_state = 32},
  [7853] = {.lex_state = 421, .external_lex_state = 32},
  [7854] = {.lex_state = 421, .external_lex_state = 32},
  [7855] = {.lex_state = 433, .external_lex_state = 43},
  [7856] = {.lex_state = 421, .external_lex_state = 32},
  [7857] = {.lex_state = 421, .external_lex_state = 32},
  [7858] = {.lex_state = 421, .external_lex_state = 32},
  [7859] = {.lex_state = 185, .external_lex_state = 2},
  [7860] = {.lex_state = 185, .external_lex_state = 38},
  [7861] = {.lex_state = 421, .external_lex_state = 32},
  [7862] = {.lex_state = 421, .external_lex_state = 32},
  [7863] = {.lex_state = 421, .external_lex_state = 32},
  [7864] = {.lex_state = 185, .external_lex_state = 2},
  [7865] = {.lex_state = 421, .external_lex_state = 32},
  [7866] = {.lex_state = 185, .external_lex_state = 2},
  [7867] = {.lex_state = 421, .external_lex_state = 32},
  [7868] = {.lex_state = 433, .external_lex_state = 13},
  [7869] = {.lex_state = 421, .external_lex_state = 32},
  [7870] = {.lex_state = 185, .external_lex_state = 2},
  [7871] = {.lex_state = 421, .external_lex_state = 32},
  [7872] = {.lex_state = 421, .external_lex_state = 32},
  [7873] = {.lex_state = 421, .external_lex_state = 32},
  [7874] = {.lex_state = 421, .external_lex_state = 32},
  [7875] = {.lex_state = 421, .external_lex_state = 32},
  [7876] = {.lex_state = 421, .external_lex_state = 32},
  [7877] = {.lex_state = 455, .external_lex_state = 22},
  [7878] = {.lex_state = 421, .external_lex_state = 32},
  [7879] = {.lex_state = 421, .external_lex_state = 32},
  [7880] = {.lex_state = 421, .external_lex_state = 32},
  [7881] = {.lex_state = 421, .external_lex_state = 32},
  [7882] = {.lex_state = 421, .external_lex_state = 32},
  [7883] = {.lex_state = 421, .external_lex_state = 32},
  [7884] = {.lex_state = 421, .external_lex_state = 32},
  [7885] = {.lex_state = 421, .external_lex_state = 32},
  [7886] = {.lex_state = 505, .external_lex_state = 40},
  [7887] = {.lex_state = 421, .external_lex_state = 32},
  [7888] = {.lex_state = 421, .external_lex_state = 32},
  [7889] = {.lex_state = 421, .external_lex_state = 32},
  [7890] = {.lex_state = 433, .external_lex_state = 43},
  [7891] = {.lex_state = 421, .external_lex_state = 32},
  [7892] = {.lex_state = 421, .external_lex_state = 32},
  [7893] = {.lex_state = 421, .external_lex_state = 32},
  [7894] = {.lex_state = 185, .external_lex_state = 2},
  [7895] = {.lex_state = 185, .external_lex_state = 38},
  [7896] = {.lex_state = 421, .external_lex_state = 32},
  [7897] = {.lex_state = 324, .external_lex_state = 3},
  [7898] = {.lex_state = 324, .external_lex_state = 3},
  [7899] = {.lex_state = 185, .external_lex_state = 2},
  [7900] = {.lex_state = 185, .external_lex_state = 38},
  [7901] = {.lex_state = 324, .external_lex_state = 3},
  [7902] = {.lex_state = 411, .external_lex_state = 32},
  [7903] = {.lex_state = 411, .external_lex_state = 32},
  [7904] = {.lex_state = 282, .external_lex_state = 35},
  [7905] = {.lex_state = 282, .external_lex_state = 35},
  [7906] = {.lex_state = 282, .external_lex_state = 35},
  [7907] = {.lex_state = 282, .external_lex_state = 35},
  [7908] = {.lex_state = 282, .external_lex_state = 35},
  [7909] = {.lex_state = 282, .external_lex_state = 35},
  [7910] = {.lex_state = 455, .external_lex_state = 22},
  [7911] = {.lex_state = 282, .external_lex_state = 35},
  [7912] = {.lex_state = 282, .external_lex_state = 35},
  [7913] = {.lex_state = 282, .external_lex_state = 35},
  [7914] = {.lex_state = 282, .external_lex_state = 35},
  [7915] = {.lex_state = 282, .external_lex_state = 35},
  [7916] = {.lex_state = 185, .external_lex_state = 2},
  [7917] = {.lex_state = 282, .external_lex_state = 35},
  [7918] = {.lex_state = 282, .external_lex_state = 35},
  [7919] = {.lex_state = 282, .external_lex_state = 35},
  [7920] = {.lex_state = 493, .external_lex_state = 40},
  [7921] = {.lex_state = 411, .external_lex_state = 32},
  [7922] = {.lex_state = 411, .external_lex_state = 32},
  [7923] = {.lex_state = 411, .external_lex_state = 32},
  [7924] = {.lex_state = 433, .external_lex_state = 43},
  [7925] = {.lex_state = 411, .external_lex_state = 32},
  [7926] = {.lex_state = 411, .external_lex_state = 32},
  [7927] = {.lex_state = 411, .external_lex_state = 32},
  [7928] = {.lex_state = 185, .external_lex_state = 2},
  [7929] = {.lex_state = 413, .external_lex_state = 32},
  [7930] = {.lex_state = 413, .external_lex_state = 32},
  [7931] = {.lex_state = 413, .external_lex_state = 32},
  [7932] = {.lex_state = 433, .external_lex_state = 43},
  [7933] = {.lex_state = 413, .external_lex_state = 32},
  [7934] = {.lex_state = 413, .external_lex_state = 32},
  [7935] = {.lex_state = 413, .external_lex_state = 32},
  [7936] = {.lex_state = 282, .external_lex_state = 35},
  [7937] = {.lex_state = 185, .external_lex_state = 38},
  [7938] = {.lex_state = 282, .external_lex_state = 35},
  [7939] = {.lex_state = 322, .external_lex_state = 3},
  [7940] = {.lex_state = 280, .external_lex_state = 3},
  [7941] = {.lex_state = 431, .external_lex_state = 11},
  [7942] = {.lex_state = 202},
  [7943] = {.lex_state = 280, .external_lex_state = 3},
  [7944] = {.lex_state = 280, .external_lex_state = 3},
  [7945] = {.lex_state = 280, .external_lex_state = 3},
  [7946] = {.lex_state = 123},
  [7947] = {.lex_state = 123, .external_lex_state = 2},
  [7948] = {.lex_state = 280, .external_lex_state = 3},
  [7949] = {.lex_state = 280, .external_lex_state = 3},
  [7950] = {.lex_state = 433, .external_lex_state = 43},
  [7951] = {.lex_state = 151, .external_lex_state = 3},
  [7952] = {.lex_state = 322, .external_lex_state = 3},
  [7953] = {.lex_state = 322, .external_lex_state = 3},
  [7954] = {.lex_state = 322, .external_lex_state = 3},
  [7955] = {.lex_state = 322, .external_lex_state = 3},
  [7956] = {.lex_state = 322, .external_lex_state = 3},
  [7957] = {.lex_state = 322, .external_lex_state = 3},
  [7958] = {.lex_state = 322, .external_lex_state = 3},
  [7959] = {.lex_state = 322, .external_lex_state = 3},
  [7960] = {.lex_state = 322, .external_lex_state = 3},
  [7961] = {.lex_state = 455, .external_lex_state = 22},
  [7962] = {.lex_state = 322, .external_lex_state = 3},
  [7963] = {.lex_state = 322, .external_lex_state = 3},
  [7964] = {.lex_state = 322, .external_lex_state = 3},
  [7965] = {.lex_state = 322, .external_lex_state = 3},
  [7966] = {.lex_state = 322, .external_lex_state = 3},
  [7967] = {.lex_state = 322, .external_lex_state = 3},
  [7968] = {.lex_state = 322, .external_lex_state = 3},
  [7969] = {.lex_state = 322, .external_lex_state = 3},
  [7970] = {.lex_state = 324, .external_lex_state = 15},
  [7971] = {.lex_state = 322, .external_lex_state = 3},
  [7972] = {.lex_state = 322, .external_lex_state = 3},
  [7973] = {.lex_state = 322, .external_lex_state = 3},
  [7974] = {.lex_state = 433, .external_lex_state = 43},
  [7975] = {.lex_state = 322, .external_lex_state = 3},
  [7976] = {.lex_state = 322, .external_lex_state = 3},
  [7977] = {.lex_state = 322, .external_lex_state = 3},
  [7978] = {.lex_state = 185, .external_lex_state = 2},
  [7979] = {.lex_state = 365, .external_lex_state = 3},
  [7980] = {.lex_state = 365, .external_lex_state = 3},
  [7981] = {.lex_state = 365, .external_lex_state = 3},
  [7982] = {.lex_state = 433, .external_lex_state = 43},
  [7983] = {.lex_state = 365, .external_lex_state = 3},
  [7984] = {.lex_state = 365, .external_lex_state = 3},
  [7985] = {.lex_state = 365, .external_lex_state = 3},
  [7986] = {.lex_state = 185, .external_lex_state = 38},
  [7987] = {.lex_state = 322, .external_lex_state = 3},
  [7988] = {.lex_state = 185, .external_lex_state = 2},
  [7989] = {.lex_state = 425, .external_lex_state = 11},
  [7990] = {.lex_state = 425, .external_lex_state = 11},
  [7991] = {.lex_state = 425, .external_lex_state = 11},
  [7992] = {.lex_state = 425, .external_lex_state = 11},
  [7993] = {.lex_state = 185, .external_lex_state = 2},
  [7994] = {.lex_state = 185, .external_lex_state = 2},
  [7995] = {.lex_state = 185, .external_lex_state = 2},
  [7996] = {.lex_state = 322, .external_lex_state = 3},
  [7997] = {.lex_state = 206},
  [7998] = {.lex_state = 247, .external_lex_state = 3},
  [7999] = {.lex_state = 324, .external_lex_state = 15},
  [8000] = {.lex_state = 322, .external_lex_state = 3},
  [8001] = {.lex_state = 322, .external_lex_state = 3},
  [8002] = {.lex_state = 322, .external_lex_state = 15},
  [8003] = {.lex_state = 185, .external_lex_state = 2},
  [8004] = {.lex_state = 322, .external_lex_state = 3},
  [8005] = {.lex_state = 185, .external_lex_state = 2},
  [8006] = {.lex_state = 185, .external_lex_state = 2},
  [8007] = {.lex_state = 123, .external_lex_state = 19},
  [8008] = {.lex_state = 185, .external_lex_state = 2},
  [8009] = {.lex_state = 320, .external_lex_state = 29},
  [8010] = {.lex_state = 322, .external_lex_state = 3},
  [8011] = {.lex_state = 322, .external_lex_state = 3},
  [8012] = {.lex_state = 322, .external_lex_state = 3},
  [8013] = {.lex_state = 322, .external_lex_state = 30},
  [8014] = {.lex_state = 322, .external_lex_state = 3},
  [8015] = {.lex_state = 322, .external_lex_state = 3},
  [8016] = {.lex_state = 185, .external_lex_state = 2},
  [8017] = {.lex_state = 185, .external_lex_state = 2},
  [8018] = {.lex_state = 185, .external_lex_state = 2},
  [8019] = {.lex_state = 185, .external_lex_state = 2},
  [8020] = {.lex_state = 185, .external_lex_state = 2},
  [8021] = {.lex_state = 185, .external_lex_state = 2},
  [8022] = {.lex_state = 185, .external_lex_state = 2},
  [8023] = {.lex_state = 185, .external_lex_state = 2},
  [8024] = {.lex_state = 185, .external_lex_state = 2},
  [8025] = {.lex_state = 185, .external_lex_state = 2},
  [8026] = {.lex_state = 185, .external_lex_state = 2},
  [8027] = {.lex_state = 185, .external_lex_state = 2},
  [8028] = {.lex_state = 185, .external_lex_state = 2},
  [8029] = {.lex_state = 185, .external_lex_state = 2},
  [8030] = {.lex_state = 185, .external_lex_state = 2},
  [8031] = {.lex_state = 123, .external_lex_state = 19},
  [8032] = {.lex_state = 185, .external_lex_state = 2},
  [8033] = {.lex_state = 320, .external_lex_state = 29},
  [8034] = {.lex_state = 365, .external_lex_state = 3},
  [8035] = {.lex_state = 365, .external_lex_state = 3},
  [8036] = {.lex_state = 365, .external_lex_state = 3},
  [8037] = {.lex_state = 365, .external_lex_state = 30},
  [8038] = {.lex_state = 249, .external_lex_state = 3},
  [8039] = {.lex_state = 433, .external_lex_state = 13},
  [8040] = {.lex_state = 322, .external_lex_state = 3},
  [8041] = {.lex_state = 185, .external_lex_state = 38},
  [8042] = {.lex_state = 185, .external_lex_state = 2},
  [8043] = {.lex_state = 185, .external_lex_state = 2},
  [8044] = {.lex_state = 322, .external_lex_state = 15},
  [8045] = {.lex_state = 123, .external_lex_state = 2},
  [8046] = {.lex_state = 243, .external_lex_state = 8},
  [8047] = {.lex_state = 151, .external_lex_state = 3},
  [8048] = {.lex_state = 123, .external_lex_state = 2},
  [8049] = {.lex_state = 123, .external_lex_state = 8},
  [8050] = {.lex_state = 237, .external_lex_state = 14},
  [8051] = {.lex_state = 237, .external_lex_state = 14},
  [8052] = {.lex_state = 237, .external_lex_state = 14},
  [8053] = {.lex_state = 237, .external_lex_state = 14},
  [8054] = {.lex_state = 237, .external_lex_state = 14},
  [8055] = {.lex_state = 237, .external_lex_state = 14},
  [8056] = {.lex_state = 237, .external_lex_state = 14},
  [8057] = {.lex_state = 237, .external_lex_state = 14},
  [8058] = {.lex_state = 237, .external_lex_state = 14},
  [8059] = {.lex_state = 237, .external_lex_state = 14},
  [8060] = {.lex_state = 237, .external_lex_state = 14},
  [8061] = {.lex_state = 455, .external_lex_state = 22},
  [8062] = {.lex_state = 237, .external_lex_state = 14},
  [8063] = {.lex_state = 237, .external_lex_state = 14},
  [8064] = {.lex_state = 237, .external_lex_state = 14},
  [8065] = {.lex_state = 237, .external_lex_state = 14},
  [8066] = {.lex_state = 237, .external_lex_state = 14},
  [8067] = {.lex_state = 185, .external_lex_state = 2},
  [8068] = {.lex_state = 243, .external_lex_state = 11},
  [8069] = {.lex_state = 243, .external_lex_state = 11},
  [8070] = {.lex_state = 243, .external_lex_state = 11},
  [8071] = {.lex_state = 243, .external_lex_state = 11},
  [8072] = {.lex_state = 185, .external_lex_state = 2},
  [8073] = {.lex_state = 185, .external_lex_state = 2},
  [8074] = {.lex_state = 185, .external_lex_state = 2},
  [8075] = {.lex_state = 367, .external_lex_state = 3},
  [8076] = {.lex_state = 243, .external_lex_state = 11},
  [8077] = {.lex_state = 206},
  [8078] = {.lex_state = 367, .external_lex_state = 3},
  [8079] = {.lex_state = 367, .external_lex_state = 15},
  [8080] = {.lex_state = 367, .external_lex_state = 3},
  [8081] = {.lex_state = 365, .external_lex_state = 3},
  [8082] = {.lex_state = 365, .external_lex_state = 15},
  [8083] = {.lex_state = 185, .external_lex_state = 2},
  [8084] = {.lex_state = 367, .external_lex_state = 3},
  [8085] = {.lex_state = 365, .external_lex_state = 3},
  [8086] = {.lex_state = 365, .external_lex_state = 3},
  [8087] = {.lex_state = 185, .external_lex_state = 2},
  [8088] = {.lex_state = 185, .external_lex_state = 2},
  [8089] = {.lex_state = 185, .external_lex_state = 2},
  [8090] = {.lex_state = 185, .external_lex_state = 2},
  [8091] = {.lex_state = 185, .external_lex_state = 2},
  [8092] = {.lex_state = 185, .external_lex_state = 2},
  [8093] = {.lex_state = 185, .external_lex_state = 2},
  [8094] = {.lex_state = 185, .external_lex_state = 2},
  [8095] = {.lex_state = 185, .external_lex_state = 2},
  [8096] = {.lex_state = 185, .external_lex_state = 2},
  [8097] = {.lex_state = 185, .external_lex_state = 2},
  [8098] = {.lex_state = 185, .external_lex_state = 2},
  [8099] = {.lex_state = 185, .external_lex_state = 2},
  [8100] = {.lex_state = 367, .external_lex_state = 3},
  [8101] = {.lex_state = 433, .external_lex_state = 13},
  [8102] = {.lex_state = 367, .external_lex_state = 3},
  [8103] = {.lex_state = 185, .external_lex_state = 38},
  [8104] = {.lex_state = 185, .external_lex_state = 2},
  [8105] = {.lex_state = 185, .external_lex_state = 2},
  [8106] = {.lex_state = 365, .external_lex_state = 15},
  [8107] = {.lex_state = 185, .external_lex_state = 2},
  [8108] = {.lex_state = 185, .external_lex_state = 2},
  [8109] = {.lex_state = 185, .external_lex_state = 2},
  [8110] = {.lex_state = 185, .external_lex_state = 2},
  [8111] = {.lex_state = 185, .external_lex_state = 2},
  [8112] = {.lex_state = 437, .external_lex_state = 14},
  [8113] = {.lex_state = 437, .external_lex_state = 14},
  [8114] = {.lex_state = 206},
  [8115] = {.lex_state = 247, .external_lex_state = 3},
  [8116] = {.lex_state = 237, .external_lex_state = 14},
  [8117] = {.lex_state = 249, .external_lex_state = 15},
  [8118] = {.lex_state = 123},
  [8119] = {.lex_state = 237, .external_lex_state = 14},
  [8120] = {.lex_state = 367, .external_lex_state = 3},
  [8121] = {.lex_state = 367, .external_lex_state = 3},
  [8122] = {.lex_state = 367, .external_lex_state = 3},
  [8123] = {.lex_state = 367, .external_lex_state = 3},
  [8124] = {.lex_state = 367, .external_lex_state = 3},
  [8125] = {.lex_state = 367, .external_lex_state = 3},
  [8126] = {.lex_state = 455, .external_lex_state = 22},
  [8127] = {.lex_state = 367, .external_lex_state = 3},
  [8128] = {.lex_state = 367, .external_lex_state = 3},
  [8129] = {.lex_state = 367, .external_lex_state = 3},
  [8130] = {.lex_state = 367, .external_lex_state = 3},
  [8131] = {.lex_state = 367, .external_lex_state = 3},
  [8132] = {.lex_state = 367, .external_lex_state = 3},
  [8133] = {.lex_state = 367, .external_lex_state = 3},
  [8134] = {.lex_state = 367, .external_lex_state = 3},
  [8135] = {.lex_state = 367, .external_lex_state = 15},
  [8136] = {.lex_state = 185, .external_lex_state = 2},
  [8137] = {.lex_state = 185, .external_lex_state = 38},
  [8138] = {.lex_state = 365, .external_lex_state = 3},
  [8139] = {.lex_state = 437, .external_lex_state = 14},
  [8140] = {.lex_state = 437, .external_lex_state = 14},
  [8141] = {.lex_state = 437, .external_lex_state = 14},
  [8142] = {.lex_state = 437, .external_lex_state = 14},
  [8143] = {.lex_state = 437, .external_lex_state = 14},
  [8144] = {.lex_state = 437, .external_lex_state = 14},
  [8145] = {.lex_state = 455, .external_lex_state = 22},
  [8146] = {.lex_state = 437, .external_lex_state = 14},
  [8147] = {.lex_state = 437, .external_lex_state = 14},
  [8148] = {.lex_state = 437, .external_lex_state = 14},
  [8149] = {.lex_state = 437, .external_lex_state = 14},
  [8150] = {.lex_state = 437, .external_lex_state = 14},
  [8151] = {.lex_state = 437, .external_lex_state = 14},
  [8152] = {.lex_state = 437, .external_lex_state = 14},
  [8153] = {.lex_state = 437, .external_lex_state = 14},
  [8154] = {.lex_state = 185, .external_lex_state = 2},
  [8155] = {.lex_state = 425, .external_lex_state = 11},
  [8156] = {.lex_state = 425, .external_lex_state = 11},
  [8157] = {.lex_state = 425, .external_lex_state = 11},
  [8158] = {.lex_state = 425, .external_lex_state = 11},
  [8159] = {.lex_state = 185, .external_lex_state = 2},
  [8160] = {.lex_state = 185, .external_lex_state = 2},
  [8161] = {.lex_state = 185, .external_lex_state = 2},
  [8162] = {.lex_state = 322, .external_lex_state = 3},
  [8163] = {.lex_state = 206},
  [8164] = {.lex_state = 247, .external_lex_state = 3},
  [8165] = {.lex_state = 324, .external_lex_state = 15},
  [8166] = {.lex_state = 322, .external_lex_state = 3},
  [8167] = {.lex_state = 322, .external_lex_state = 3},
  [8168] = {.lex_state = 322, .external_lex_state = 15},
  [8169] = {.lex_state = 185, .external_lex_state = 2},
  [8170] = {.lex_state = 322, .external_lex_state = 3},
  [8171] = {.lex_state = 185, .external_lex_state = 2},
  [8172] = {.lex_state = 185, .external_lex_state = 2},
  [8173] = {.lex_state = 123, .external_lex_state = 19},
  [8174] = {.lex_state = 185, .external_lex_state = 2},
  [8175] = {.lex_state = 320, .external_lex_state = 29},
  [8176] = {.lex_state = 322, .external_lex_state = 3},
  [8177] = {.lex_state = 322, .external_lex_state = 3},
  [8178] = {.lex_state = 322, .external_lex_state = 3},
  [8179] = {.lex_state = 322, .external_lex_state = 30},
  [8180] = {.lex_state = 322, .external_lex_state = 3},
  [8181] = {.lex_state = 322, .external_lex_state = 3},
  [8182] = {.lex_state = 185, .external_lex_state = 2},
  [8183] = {.lex_state = 185, .external_lex_state = 2},
  [8184] = {.lex_state = 185, .external_lex_state = 2},
  [8185] = {.lex_state = 185, .external_lex_state = 2},
  [8186] = {.lex_state = 185, .external_lex_state = 2},
  [8187] = {.lex_state = 185, .external_lex_state = 2},
  [8188] = {.lex_state = 185, .external_lex_state = 2},
  [8189] = {.lex_state = 185, .external_lex_state = 2},
  [8190] = {.lex_state = 185, .external_lex_state = 2},
  [8191] = {.lex_state = 185, .external_lex_state = 2},
  [8192] = {.lex_state = 185, .external_lex_state = 2},
  [8193] = {.lex_state = 185, .external_lex_state = 2},
  [8194] = {.lex_state = 185, .external_lex_state = 2},
  [8195] = {.lex_state = 185, .external_lex_state = 2},
  [8196] = {.lex_state = 185, .external_lex_state = 2},
  [8197] = {.lex_state = 123, .external_lex_state = 19},
  [8198] = {.lex_state = 185, .external_lex_state = 2},
  [8199] = {.lex_state = 320, .external_lex_state = 29},
  [8200] = {.lex_state = 365, .external_lex_state = 3},
  [8201] = {.lex_state = 365, .external_lex_state = 3},
  [8202] = {.lex_state = 365, .external_lex_state = 3},
  [8203] = {.lex_state = 365, .external_lex_state = 30},
  [8204] = {.lex_state = 249, .external_lex_state = 3},
  [8205] = {.lex_state = 433, .external_lex_state = 13},
  [8206] = {.lex_state = 322, .external_lex_state = 3},
  [8207] = {.lex_state = 185, .external_lex_state = 38},
  [8208] = {.lex_state = 185, .external_lex_state = 2},
  [8209] = {.lex_state = 185, .external_lex_state = 2},
  [8210] = {.lex_state = 322, .external_lex_state = 15},
  [8211] = {.lex_state = 243, .external_lex_state = 8},
  [8212] = {.lex_state = 151, .external_lex_state = 3},
  [8213] = {.lex_state = 123, .external_lex_state = 2},
  [8214] = {.lex_state = 123, .external_lex_state = 8},
  [8215] = {.lex_state = 237, .external_lex_state = 14},
  [8216] = {.lex_state = 237, .external_lex_state = 14},
  [8217] = {.lex_state = 237, .external_lex_state = 14},
  [8218] = {.lex_state = 237, .external_lex_state = 14},
  [8219] = {.lex_state = 237, .external_lex_state = 14},
  [8220] = {.lex_state = 237, .external_lex_state = 14},
  [8221] = {.lex_state = 237, .external_lex_state = 14},
  [8222] = {.lex_state = 237, .external_lex_state = 14},
  [8223] = {.lex_state = 237, .external_lex_state = 14},
  [8224] = {.lex_state = 237, .external_lex_state = 14},
  [8225] = {.lex_state = 237, .external_lex_state = 14},
  [8226] = {.lex_state = 455, .external_lex_state = 22},
  [8227] = {.lex_state = 237, .external_lex_state = 14},
  [8228] = {.lex_state = 237, .external_lex_state = 14},
  [8229] = {.lex_state = 237, .external_lex_state = 14},
  [8230] = {.lex_state = 237, .external_lex_state = 14},
  [8231] = {.lex_state = 237, .external_lex_state = 14},
  [8232] = {.lex_state = 185, .external_lex_state = 2},
  [8233] = {.lex_state = 243, .external_lex_state = 11},
  [8234] = {.lex_state = 243, .external_lex_state = 11},
  [8235] = {.lex_state = 243, .external_lex_state = 11},
  [8236] = {.lex_state = 243, .external_lex_state = 11},
  [8237] = {.lex_state = 185, .external_lex_state = 2},
  [8238] = {.lex_state = 185, .external_lex_state = 2},
  [8239] = {.lex_state = 185, .external_lex_state = 2},
  [8240] = {.lex_state = 367, .external_lex_state = 3},
  [8241] = {.lex_state = 243, .external_lex_state = 11},
  [8242] = {.lex_state = 206},
  [8243] = {.lex_state = 367, .external_lex_state = 3},
  [8244] = {.lex_state = 367, .external_lex_state = 15},
  [8245] = {.lex_state = 367, .external_lex_state = 3},
  [8246] = {.lex_state = 365, .external_lex_state = 3},
  [8247] = {.lex_state = 365, .external_lex_state = 15},
  [8248] = {.lex_state = 185, .external_lex_state = 2},
  [8249] = {.lex_state = 367, .external_lex_state = 3},
  [8250] = {.lex_state = 365, .external_lex_state = 3},
  [8251] = {.lex_state = 365, .external_lex_state = 3},
  [8252] = {.lex_state = 185, .external_lex_state = 2},
  [8253] = {.lex_state = 185, .external_lex_state = 2},
  [8254] = {.lex_state = 185, .external_lex_state = 2},
  [8255] = {.lex_state = 185, .external_lex_state = 2},
  [8256] = {.lex_state = 185, .external_lex_state = 2},
  [8257] = {.lex_state = 185, .external_lex_state = 2},
  [8258] = {.lex_state = 185, .external_lex_state = 2},
  [8259] = {.lex_state = 185, .external_lex_state = 2},
  [8260] = {.lex_state = 185, .external_lex_state = 2},
  [8261] = {.lex_state = 185, .external_lex_state = 2},
  [8262] = {.lex_state = 185, .external_lex_state = 2},
  [8263] = {.lex_state = 185, .external_lex_state = 2},
  [8264] = {.lex_state = 185, .external_lex_state = 2},
  [8265] = {.lex_state = 367, .external_lex_state = 3},
  [8266] = {.lex_state = 433, .external_lex_state = 13},
  [8267] = {.lex_state = 367, .external_lex_state = 3},
  [8268] = {.lex_state = 185, .external_lex_state = 38},
  [8269] = {.lex_state = 185, .external_lex_state = 2},
  [8270] = {.lex_state = 185, .external_lex_state = 2},
  [8271] = {.lex_state = 365, .external_lex_state = 15},
  [8272] = {.lex_state = 185, .external_lex_state = 2},
  [8273] = {.lex_state = 185, .external_lex_state = 2},
  [8274] = {.lex_state = 185, .external_lex_state = 2},
  [8275] = {.lex_state = 185, .external_lex_state = 2},
  [8276] = {.lex_state = 185, .external_lex_state = 2},
  [8277] = {.lex_state = 437, .external_lex_state = 14},
  [8278] = {.lex_state = 437, .external_lex_state = 14},
  [8279] = {.lex_state = 206},
  [8280] = {.lex_state = 247, .external_lex_state = 3},
  [8281] = {.lex_state = 237, .external_lex_state = 14},
  [8282] = {.lex_state = 249, .external_lex_state = 15},
  [8283] = {.lex_state = 322, .external_lex_state = 3},
  [8284] = {.lex_state = 322, .external_lex_state = 3},
  [8285] = {.lex_state = 322, .external_lex_state = 3},
  [8286] = {.lex_state = 322, .external_lex_state = 3},
  [8287] = {.lex_state = 322, .external_lex_state = 3},
  [8288] = {.lex_state = 322, .external_lex_state = 3},
  [8289] = {.lex_state = 322, .external_lex_state = 3},
  [8290] = {.lex_state = 322, .external_lex_state = 3},
  [8291] = {.lex_state = 455, .external_lex_state = 22},
  [8292] = {.lex_state = 322, .external_lex_state = 3},
  [8293] = {.lex_state = 322, .external_lex_state = 3},
  [8294] = {.lex_state = 322, .external_lex_state = 3},
  [8295] = {.lex_state = 322, .external_lex_state = 3},
  [8296] = {.lex_state = 322, .external_lex_state = 3},
  [8297] = {.lex_state = 322, .external_lex_state = 3},
  [8298] = {.lex_state = 322, .external_lex_state = 3},
  [8299] = {.lex_state = 322, .external_lex_state = 3},
  [8300] = {.lex_state = 324, .external_lex_state = 15},
  [8301] = {.lex_state = 322, .external_lex_state = 3},
  [8302] = {.lex_state = 322, .external_lex_state = 3},
  [8303] = {.lex_state = 322, .external_lex_state = 3},
  [8304] = {.lex_state = 433, .external_lex_state = 43},
  [8305] = {.lex_state = 322, .external_lex_state = 3},
  [8306] = {.lex_state = 322, .external_lex_state = 3},
  [8307] = {.lex_state = 322, .external_lex_state = 3},
  [8308] = {.lex_state = 185, .external_lex_state = 2},
  [8309] = {.lex_state = 365, .external_lex_state = 3},
  [8310] = {.lex_state = 365, .external_lex_state = 3},
  [8311] = {.lex_state = 365, .external_lex_state = 3},
  [8312] = {.lex_state = 433, .external_lex_state = 43},
  [8313] = {.lex_state = 365, .external_lex_state = 3},
  [8314] = {.lex_state = 365, .external_lex_state = 3},
  [8315] = {.lex_state = 365, .external_lex_state = 3},
  [8316] = {.lex_state = 185, .external_lex_state = 38},
  [8317] = {.lex_state = 322, .external_lex_state = 3},
  [8318] = {.lex_state = 237, .external_lex_state = 14},
  [8319] = {.lex_state = 367, .external_lex_state = 3},
  [8320] = {.lex_state = 367, .external_lex_state = 3},
  [8321] = {.lex_state = 367, .external_lex_state = 3},
  [8322] = {.lex_state = 367, .external_lex_state = 3},
  [8323] = {.lex_state = 367, .external_lex_state = 3},
  [8324] = {.lex_state = 367, .external_lex_state = 3},
  [8325] = {.lex_state = 455, .external_lex_state = 22},
  [8326] = {.lex_state = 367, .external_lex_state = 3},
  [8327] = {.lex_state = 367, .external_lex_state = 3},
  [8328] = {.lex_state = 367, .external_lex_state = 3},
  [8329] = {.lex_state = 367, .external_lex_state = 3},
  [8330] = {.lex_state = 367, .external_lex_state = 3},
  [8331] = {.lex_state = 367, .external_lex_state = 3},
  [8332] = {.lex_state = 367, .external_lex_state = 3},
  [8333] = {.lex_state = 367, .external_lex_state = 3},
  [8334] = {.lex_state = 367, .external_lex_state = 15},
  [8335] = {.lex_state = 185, .external_lex_state = 2},
  [8336] = {.lex_state = 185, .external_lex_state = 38},
  [8337] = {.lex_state = 365, .external_lex_state = 3},
  [8338] = {.lex_state = 437, .external_lex_state = 14},
  [8339] = {.lex_state = 437, .external_lex_state = 14},
  [8340] = {.lex_state = 437, .external_lex_state = 14},
  [8341] = {.lex_state = 437, .external_lex_state = 14},
  [8342] = {.lex_state = 437, .external_lex_state = 14},
  [8343] = {.lex_state = 437, .external_lex_state = 14},
  [8344] = {.lex_state = 455, .external_lex_state = 22},
  [8345] = {.lex_state = 437, .external_lex_state = 14},
  [8346] = {.lex_state = 437, .external_lex_state = 14},
  [8347] = {.lex_state = 437, .external_lex_state = 14},
  [8348] = {.lex_state = 437, .external_lex_state = 14},
  [8349] = {.lex_state = 437, .external_lex_state = 14},
  [8350] = {.lex_state = 437, .external_lex_state = 14},
  [8351] = {.lex_state = 437, .external_lex_state = 14},
  [8352] = {.lex_state = 437, .external_lex_state = 14},
  [8353] = {.lex_state = 421, .external_lex_state = 32},
  [8354] = {.lex_state = 421, .external_lex_state = 32},
  [8355] = {.lex_state = 185, .external_lex_state = 2},
  [8356] = {.lex_state = 421, .external_lex_state = 32},
  [8357] = {.lex_state = 185, .external_lex_state = 2},
  [8358] = {.lex_state = 421, .external_lex_state = 32},
  [8359] = {.lex_state = 433, .external_lex_state = 13},
  [8360] = {.lex_state = 421, .external_lex_state = 32},
  [8361] = {.lex_state = 185, .external_lex_state = 2},
  [8362] = {.lex_state = 421, .external_lex_state = 32},
  [8363] = {.lex_state = 421, .external_lex_state = 32},
  [8364] = {.lex_state = 421, .external_lex_state = 32},
  [8365] = {.lex_state = 421, .external_lex_state = 32},
  [8366] = {.lex_state = 421, .external_lex_state = 32},
  [8367] = {.lex_state = 421, .external_lex_state = 32},
  [8368] = {.lex_state = 455, .external_lex_state = 22},
  [8369] = {.lex_state = 421, .external_lex_state = 32},
  [8370] = {.lex_state = 421, .external_lex_state = 32},
  [8371] = {.lex_state = 421, .external_lex_state = 32},
  [8372] = {.lex_state = 421, .external_lex_state = 32},
  [8373] = {.lex_state = 421, .external_lex_state = 32},
  [8374] = {.lex_state = 185, .external_lex_state = 2},
  [8375] = {.lex_state = 497, .external_lex_state = 33},
  [8376] = {.lex_state = 497, .external_lex_state = 33},
  [8377] = {.lex_state = 497, .external_lex_state = 33},
  [8378] = {.lex_state = 497, .external_lex_state = 33},
  [8379] = {.lex_state = 185, .external_lex_state = 2},
  [8380] = {.lex_state = 185, .external_lex_state = 2},
  [8381] = {.lex_state = 185, .external_lex_state = 2},
  [8382] = {.lex_state = 367, .external_lex_state = 32},
  [8383] = {.lex_state = 206},
  [8384] = {.lex_state = 367, .external_lex_state = 32},
  [8385] = {.lex_state = 367, .external_lex_state = 40},
  [8386] = {.lex_state = 367, .external_lex_state = 32},
  [8387] = {.lex_state = 185, .external_lex_state = 2},
  [8388] = {.lex_state = 367, .external_lex_state = 32},
  [8389] = {.lex_state = 185, .external_lex_state = 2},
  [8390] = {.lex_state = 367, .external_lex_state = 32},
  [8391] = {.lex_state = 433, .external_lex_state = 13},
  [8392] = {.lex_state = 367, .external_lex_state = 32},
  [8393] = {.lex_state = 185, .external_lex_state = 2},
  [8394] = {.lex_state = 421, .external_lex_state = 32},
  [8395] = {.lex_state = 421, .external_lex_state = 32},
  [8396] = {.lex_state = 421, .external_lex_state = 32},
  [8397] = {.lex_state = 505, .external_lex_state = 40},
  [8398] = {.lex_state = 421, .external_lex_state = 32},
  [8399] = {.lex_state = 421, .external_lex_state = 32},
  [8400] = {.lex_state = 421, .external_lex_state = 32},
  [8401] = {.lex_state = 433, .external_lex_state = 43},
  [8402] = {.lex_state = 421, .external_lex_state = 32},
  [8403] = {.lex_state = 421, .external_lex_state = 32},
  [8404] = {.lex_state = 421, .external_lex_state = 32},
  [8405] = {.lex_state = 185, .external_lex_state = 2},
  [8406] = {.lex_state = 365, .external_lex_state = 32},
  [8407] = {.lex_state = 365, .external_lex_state = 32},
  [8408] = {.lex_state = 365, .external_lex_state = 32},
  [8409] = {.lex_state = 365, .external_lex_state = 32},
  [8410] = {.lex_state = 365, .external_lex_state = 32},
  [8411] = {.lex_state = 365, .external_lex_state = 32},
  [8412] = {.lex_state = 365, .external_lex_state = 32},
  [8413] = {.lex_state = 365, .external_lex_state = 32},
  [8414] = {.lex_state = 455, .external_lex_state = 22},
  [8415] = {.lex_state = 365, .external_lex_state = 32},
  [8416] = {.lex_state = 365, .external_lex_state = 32},
  [8417] = {.lex_state = 365, .external_lex_state = 32},
  [8418] = {.lex_state = 365, .external_lex_state = 32},
  [8419] = {.lex_state = 365, .external_lex_state = 32},
  [8420] = {.lex_state = 365, .external_lex_state = 32},
  [8421] = {.lex_state = 433, .external_lex_state = 43},
  [8422] = {.lex_state = 365, .external_lex_state = 32},
  [8423] = {.lex_state = 365, .external_lex_state = 32},
  [8424] = {.lex_state = 365, .external_lex_state = 32},
  [8425] = {.lex_state = 365, .external_lex_state = 32},
  [8426] = {.lex_state = 365, .external_lex_state = 32},
  [8427] = {.lex_state = 365, .external_lex_state = 32},
  [8428] = {.lex_state = 365, .external_lex_state = 40},
  [8429] = {.lex_state = 185, .external_lex_state = 38},
  [8430] = {.lex_state = 421, .external_lex_state = 32},
  [8431] = {.lex_state = 151, .external_lex_state = 3},
  [8432] = {.lex_state = 322, .external_lex_state = 3},
  [8433] = {.lex_state = 322, .external_lex_state = 3},
  [8434] = {.lex_state = 322, .external_lex_state = 3},
  [8435] = {.lex_state = 322, .external_lex_state = 3},
  [8436] = {.lex_state = 322, .external_lex_state = 3},
  [8437] = {.lex_state = 322, .external_lex_state = 3},
  [8438] = {.lex_state = 322, .external_lex_state = 3},
  [8439] = {.lex_state = 322, .external_lex_state = 3},
  [8440] = {.lex_state = 455, .external_lex_state = 22},
  [8441] = {.lex_state = 322, .external_lex_state = 3},
  [8442] = {.lex_state = 322, .external_lex_state = 3},
  [8443] = {.lex_state = 322, .external_lex_state = 3},
  [8444] = {.lex_state = 322, .external_lex_state = 3},
  [8445] = {.lex_state = 322, .external_lex_state = 3},
  [8446] = {.lex_state = 322, .external_lex_state = 3},
  [8447] = {.lex_state = 322, .external_lex_state = 3},
  [8448] = {.lex_state = 322, .external_lex_state = 3},
  [8449] = {.lex_state = 324, .external_lex_state = 15},
  [8450] = {.lex_state = 322, .external_lex_state = 3},
  [8451] = {.lex_state = 322, .external_lex_state = 3},
  [8452] = {.lex_state = 322, .external_lex_state = 3},
  [8453] = {.lex_state = 433, .external_lex_state = 43},
  [8454] = {.lex_state = 322, .external_lex_state = 3},
  [8455] = {.lex_state = 322, .external_lex_state = 3},
  [8456] = {.lex_state = 322, .external_lex_state = 3},
  [8457] = {.lex_state = 185, .external_lex_state = 2},
  [8458] = {.lex_state = 185, .external_lex_state = 38},
  [8459] = {.lex_state = 322, .external_lex_state = 3},
  [8460] = {.lex_state = 237, .external_lex_state = 14},
  [8461] = {.lex_state = 151, .external_lex_state = 3},
  [8462] = {.lex_state = 437, .external_lex_state = 14},
  [8463] = {.lex_state = 437, .external_lex_state = 14},
  [8464] = {.lex_state = 437, .external_lex_state = 14},
  [8465] = {.lex_state = 437, .external_lex_state = 14},
  [8466] = {.lex_state = 437, .external_lex_state = 14},
  [8467] = {.lex_state = 437, .external_lex_state = 14},
  [8468] = {.lex_state = 455, .external_lex_state = 22},
  [8469] = {.lex_state = 437, .external_lex_state = 14},
  [8470] = {.lex_state = 437, .external_lex_state = 14},
  [8471] = {.lex_state = 437, .external_lex_state = 14},
  [8472] = {.lex_state = 437, .external_lex_state = 14},
  [8473] = {.lex_state = 437, .external_lex_state = 14},
  [8474] = {.lex_state = 437, .external_lex_state = 14},
  [8475] = {.lex_state = 437, .external_lex_state = 14},
  [8476] = {.lex_state = 437, .external_lex_state = 14},
  [8477] = {.lex_state = 185, .external_lex_state = 2},
  [8478] = {.lex_state = 185, .external_lex_state = 2},
  [8479] = {.lex_state = 185, .external_lex_state = 2},
  [8480] = {.lex_state = 185, .external_lex_state = 2},
  [8481] = {.lex_state = 322, .external_lex_state = 3},
  [8482] = {.lex_state = 206},
  [8483] = {.lex_state = 247, .external_lex_state = 3},
  [8484] = {.lex_state = 322, .external_lex_state = 3},
  [8485] = {.lex_state = 185, .external_lex_state = 2},
  [8486] = {.lex_state = 322, .external_lex_state = 3},
  [8487] = {.lex_state = 185, .external_lex_state = 2},
  [8488] = {.lex_state = 322, .external_lex_state = 3},
  [8489] = {.lex_state = 433, .external_lex_state = 13},
  [8490] = {.lex_state = 322, .external_lex_state = 3},
  [8491] = {.lex_state = 185, .external_lex_state = 2},
  [8492] = {.lex_state = 243, .external_lex_state = 8},
  [8493] = {.lex_state = 185, .external_lex_state = 2},
  [8494] = {.lex_state = 211, .external_lex_state = 11},
  [8495] = {.lex_state = 211, .external_lex_state = 11},
  [8496] = {.lex_state = 211, .external_lex_state = 11},
  [8497] = {.lex_state = 211, .external_lex_state = 11},
  [8498] = {.lex_state = 185, .external_lex_state = 2},
  [8499] = {.lex_state = 185, .external_lex_state = 2},
  [8500] = {.lex_state = 185, .external_lex_state = 2},
  [8501] = {.lex_state = 217, .external_lex_state = 7},
  [8502] = {.lex_state = 123},
  [8503] = {.lex_state = 123, .external_lex_state = 8},
  [8504] = {.lex_state = 123, .external_lex_state = 8},
  [8505] = {.lex_state = 123},
  [8506] = {.lex_state = 237, .external_lex_state = 14},
  [8507] = {.lex_state = 243, .external_lex_state = 11},
  [8508] = {.lex_state = 206},
  [8509] = {.lex_state = 247, .external_lex_state = 3},
  [8510] = {.lex_state = 249, .external_lex_state = 15},
  [8511] = {.lex_state = 123, .external_lex_state = 2},
  [8512] = {.lex_state = 243, .external_lex_state = 8},
  [8513] = {.lex_state = 437, .external_lex_state = 14},
  [8514] = {.lex_state = 437, .external_lex_state = 14},
  [8515] = {.lex_state = 437, .external_lex_state = 14},
  [8516] = {.lex_state = 437, .external_lex_state = 14},
  [8517] = {.lex_state = 437, .external_lex_state = 14},
  [8518] = {.lex_state = 437, .external_lex_state = 14},
  [8519] = {.lex_state = 455, .external_lex_state = 22},
  [8520] = {.lex_state = 437, .external_lex_state = 14},
  [8521] = {.lex_state = 437, .external_lex_state = 14},
  [8522] = {.lex_state = 437, .external_lex_state = 14},
  [8523] = {.lex_state = 437, .external_lex_state = 14},
  [8524] = {.lex_state = 437, .external_lex_state = 14},
  [8525] = {.lex_state = 185, .external_lex_state = 2},
  [8526] = {.lex_state = 243, .external_lex_state = 11},
  [8527] = {.lex_state = 243, .external_lex_state = 11},
  [8528] = {.lex_state = 243, .external_lex_state = 11},
  [8529] = {.lex_state = 243, .external_lex_state = 11},
  [8530] = {.lex_state = 185, .external_lex_state = 2},
  [8531] = {.lex_state = 185, .external_lex_state = 2},
  [8532] = {.lex_state = 185, .external_lex_state = 2},
  [8533] = {.lex_state = 367, .external_lex_state = 3},
  [8534] = {.lex_state = 243, .external_lex_state = 11},
  [8535] = {.lex_state = 206},
  [8536] = {.lex_state = 367, .external_lex_state = 3},
  [8537] = {.lex_state = 367, .external_lex_state = 15},
  [8538] = {.lex_state = 367, .external_lex_state = 3},
  [8539] = {.lex_state = 185, .external_lex_state = 2},
  [8540] = {.lex_state = 367, .external_lex_state = 3},
  [8541] = {.lex_state = 185, .external_lex_state = 2},
  [8542] = {.lex_state = 367, .external_lex_state = 3},
  [8543] = {.lex_state = 433, .external_lex_state = 13},
  [8544] = {.lex_state = 367, .external_lex_state = 3},
  [8545] = {.lex_state = 185, .external_lex_state = 2},
  [8546] = {.lex_state = 185, .external_lex_state = 2},
  [8547] = {.lex_state = 437, .external_lex_state = 14},
  [8548] = {.lex_state = 437, .external_lex_state = 14},
  [8549] = {.lex_state = 437, .external_lex_state = 14},
  [8550] = {.lex_state = 324, .external_lex_state = 15},
  [8551] = {.lex_state = 322, .external_lex_state = 3},
  [8552] = {.lex_state = 322, .external_lex_state = 3},
  [8553] = {.lex_state = 322, .external_lex_state = 3},
  [8554] = {.lex_state = 322, .external_lex_state = 3},
  [8555] = {.lex_state = 322, .external_lex_state = 3},
  [8556] = {.lex_state = 322, .external_lex_state = 3},
  [8557] = {.lex_state = 322, .external_lex_state = 3},
  [8558] = {.lex_state = 322, .external_lex_state = 3},
  [8559] = {.lex_state = 455, .external_lex_state = 22},
  [8560] = {.lex_state = 322, .external_lex_state = 3},
  [8561] = {.lex_state = 322, .external_lex_state = 3},
  [8562] = {.lex_state = 322, .external_lex_state = 3},
  [8563] = {.lex_state = 322, .external_lex_state = 3},
  [8564] = {.lex_state = 322, .external_lex_state = 3},
  [8565] = {.lex_state = 322, .external_lex_state = 3},
  [8566] = {.lex_state = 322, .external_lex_state = 3},
  [8567] = {.lex_state = 322, .external_lex_state = 3},
  [8568] = {.lex_state = 324, .external_lex_state = 15},
  [8569] = {.lex_state = 322, .external_lex_state = 3},
  [8570] = {.lex_state = 322, .external_lex_state = 3},
  [8571] = {.lex_state = 322, .external_lex_state = 3},
  [8572] = {.lex_state = 433, .external_lex_state = 43},
  [8573] = {.lex_state = 322, .external_lex_state = 3},
  [8574] = {.lex_state = 322, .external_lex_state = 3},
  [8575] = {.lex_state = 322, .external_lex_state = 3},
  [8576] = {.lex_state = 185, .external_lex_state = 2},
  [8577] = {.lex_state = 365, .external_lex_state = 3},
  [8578] = {.lex_state = 365, .external_lex_state = 3},
  [8579] = {.lex_state = 365, .external_lex_state = 3},
  [8580] = {.lex_state = 433, .external_lex_state = 43},
  [8581] = {.lex_state = 365, .external_lex_state = 3},
  [8582] = {.lex_state = 365, .external_lex_state = 3},
  [8583] = {.lex_state = 365, .external_lex_state = 3},
  [8584] = {.lex_state = 185, .external_lex_state = 38},
  [8585] = {.lex_state = 322, .external_lex_state = 3},
  [8586] = {.lex_state = 322, .external_lex_state = 3},
  [8587] = {.lex_state = 322, .external_lex_state = 3},
  [8588] = {.lex_state = 322, .external_lex_state = 3},
  [8589] = {.lex_state = 322, .external_lex_state = 3},
  [8590] = {.lex_state = 322, .external_lex_state = 3},
  [8591] = {.lex_state = 322, .external_lex_state = 3},
  [8592] = {.lex_state = 322, .external_lex_state = 3},
  [8593] = {.lex_state = 322, .external_lex_state = 3},
  [8594] = {.lex_state = 455, .external_lex_state = 22},
  [8595] = {.lex_state = 322, .external_lex_state = 3},
  [8596] = {.lex_state = 322, .external_lex_state = 3},
  [8597] = {.lex_state = 322, .external_lex_state = 3},
  [8598] = {.lex_state = 322, .external_lex_state = 3},
  [8599] = {.lex_state = 322, .external_lex_state = 3},
  [8600] = {.lex_state = 322, .external_lex_state = 3},
  [8601] = {.lex_state = 433, .external_lex_state = 43},
  [8602] = {.lex_state = 322, .external_lex_state = 3},
  [8603] = {.lex_state = 322, .external_lex_state = 3},
  [8604] = {.lex_state = 322, .external_lex_state = 3},
  [8605] = {.lex_state = 322, .external_lex_state = 3},
  [8606] = {.lex_state = 322, .external_lex_state = 3},
  [8607] = {.lex_state = 322, .external_lex_state = 3},
  [8608] = {.lex_state = 309, .external_lex_state = 44},
  [8609] = {.lex_state = 226, .external_lex_state = 23},
  [8610] = {.lex_state = 226},
  [8611] = {.lex_state = 316, .external_lex_state = 13},
  [8612] = {.lex_state = 314, .external_lex_state = 28},
  [8613] = {.lex_state = 314, .external_lex_state = 28},
  [8614] = {.lex_state = 314, .external_lex_state = 28},
  [8615] = {.lex_state = 190, .external_lex_state = 37},
  [8616] = {.lex_state = 185, .external_lex_state = 2},
  [8617] = {.lex_state = 425, .external_lex_state = 11},
  [8618] = {.lex_state = 425, .external_lex_state = 11},
  [8619] = {.lex_state = 425, .external_lex_state = 11},
  [8620] = {.lex_state = 425, .external_lex_state = 11},
  [8621] = {.lex_state = 185, .external_lex_state = 2},
  [8622] = {.lex_state = 185, .external_lex_state = 2},
  [8623] = {.lex_state = 185, .external_lex_state = 2},
  [8624] = {.lex_state = 421, .external_lex_state = 3},
  [8625] = {.lex_state = 206},
  [8626] = {.lex_state = 367, .external_lex_state = 3},
  [8627] = {.lex_state = 505, .external_lex_state = 15},
  [8628] = {.lex_state = 421, .external_lex_state = 3},
  [8629] = {.lex_state = 309, .external_lex_state = 44},
  [8630] = {.lex_state = 202, .external_lex_state = 23},
  [8631] = {.lex_state = 202},
  [8632] = {.lex_state = 421, .external_lex_state = 3},
  [8633] = {.lex_state = 423, .external_lex_state = 15},
  [8634] = {.lex_state = 185, .external_lex_state = 2},
  [8635] = {.lex_state = 421, .external_lex_state = 3},
  [8636] = {.lex_state = 187},
  [8637] = {.lex_state = 271, .external_lex_state = 2},
  [8638] = {.lex_state = 421, .external_lex_state = 3},
  [8639] = {.lex_state = 185, .external_lex_state = 2},
  [8640] = {.lex_state = 185, .external_lex_state = 2},
  [8641] = {.lex_state = 123, .external_lex_state = 19},
  [8642] = {.lex_state = 185, .external_lex_state = 2},
  [8643] = {.lex_state = 320, .external_lex_state = 29},
  [8644] = {.lex_state = 421, .external_lex_state = 3},
  [8645] = {.lex_state = 421, .external_lex_state = 3},
  [8646] = {.lex_state = 421, .external_lex_state = 3},
  [8647] = {.lex_state = 423, .external_lex_state = 30},
  [8648] = {.lex_state = 309, .external_lex_state = 44},
  [8649] = {.lex_state = 123},
  [8650] = {.lex_state = 123, .external_lex_state = 12},
  [8651] = {.lex_state = 361, .external_lex_state = 2},
  [8652] = {.lex_state = 421, .external_lex_state = 3},
  [8653] = {.lex_state = 421, .external_lex_state = 3},
  [8654] = {.lex_state = 185, .external_lex_state = 2},
  [8655] = {.lex_state = 185, .external_lex_state = 2},
  [8656] = {.lex_state = 185, .external_lex_state = 2},
  [8657] = {.lex_state = 185, .external_lex_state = 2},
  [8658] = {.lex_state = 185, .external_lex_state = 2},
  [8659] = {.lex_state = 185, .external_lex_state = 2},
  [8660] = {.lex_state = 185, .external_lex_state = 2},
  [8661] = {.lex_state = 185, .external_lex_state = 2},
  [8662] = {.lex_state = 185, .external_lex_state = 2},
  [8663] = {.lex_state = 185, .external_lex_state = 2},
  [8664] = {.lex_state = 185, .external_lex_state = 2},
  [8665] = {.lex_state = 185, .external_lex_state = 2},
  [8666] = {.lex_state = 185, .external_lex_state = 2},
  [8667] = {.lex_state = 357, .external_lex_state = 2},
  [8668] = {.lex_state = 309, .external_lex_state = 44},
  [8669] = {.lex_state = 170, .external_lex_state = 18},
  [8670] = {.lex_state = 309, .external_lex_state = 44},
  [8671] = {.lex_state = 433, .external_lex_state = 13},
  [8672] = {.lex_state = 417, .external_lex_state = 44},
  [8673] = {.lex_state = 185, .external_lex_state = 38},
  [8674] = {.lex_state = 185, .external_lex_state = 2},
  [8675] = {.lex_state = 185, .external_lex_state = 2},
  [8676] = {.lex_state = 423, .external_lex_state = 15},
  [8677] = {.lex_state = 123},
  [8678] = {.lex_state = 123},
  [8679] = {.lex_state = 185, .external_lex_state = 2},
  [8680] = {.lex_state = 365, .external_lex_state = 3},
  [8681] = {.lex_state = 365, .external_lex_state = 3},
  [8682] = {.lex_state = 365, .external_lex_state = 3},
  [8683] = {.lex_state = 365, .external_lex_state = 3},
  [8684] = {.lex_state = 365, .external_lex_state = 3},
  [8685] = {.lex_state = 365, .external_lex_state = 3},
  [8686] = {.lex_state = 365, .external_lex_state = 3},
  [8687] = {.lex_state = 365, .external_lex_state = 3},
  [8688] = {.lex_state = 455, .external_lex_state = 22},
  [8689] = {.lex_state = 365, .external_lex_state = 3},
  [8690] = {.lex_state = 365, .external_lex_state = 3},
  [8691] = {.lex_state = 365, .external_lex_state = 3},
  [8692] = {.lex_state = 365, .external_lex_state = 3},
  [8693] = {.lex_state = 365, .external_lex_state = 3},
  [8694] = {.lex_state = 365, .external_lex_state = 3},
  [8695] = {.lex_state = 433, .external_lex_state = 43},
  [8696] = {.lex_state = 365, .external_lex_state = 3},
  [8697] = {.lex_state = 365, .external_lex_state = 3},
  [8698] = {.lex_state = 365, .external_lex_state = 3},
  [8699] = {.lex_state = 365, .external_lex_state = 3},
  [8700] = {.lex_state = 365, .external_lex_state = 3},
  [8701] = {.lex_state = 365, .external_lex_state = 3},
  [8702] = {.lex_state = 365, .external_lex_state = 15},
  [8703] = {.lex_state = 437, .external_lex_state = 14},
  [8704] = {.lex_state = 185, .external_lex_state = 38},
  [8705] = {.lex_state = 437, .external_lex_state = 14},
  [8706] = {.lex_state = 322, .external_lex_state = 3},
  [8707] = {.lex_state = 322, .external_lex_state = 3},
  [8708] = {.lex_state = 322, .external_lex_state = 3},
  [8709] = {.lex_state = 322, .external_lex_state = 3},
  [8710] = {.lex_state = 322, .external_lex_state = 3},
  [8711] = {.lex_state = 185, .external_lex_state = 2},
  [8712] = {.lex_state = 185, .external_lex_state = 2},
  [8713] = {.lex_state = 185, .external_lex_state = 2},
  [8714] = {.lex_state = 185, .external_lex_state = 2},
  [8715] = {.lex_state = 185, .external_lex_state = 2},
  [8716] = {.lex_state = 185, .external_lex_state = 2},
  [8717] = {.lex_state = 185, .external_lex_state = 2},
  [8718] = {.lex_state = 185, .external_lex_state = 2},
  [8719] = {.lex_state = 185, .external_lex_state = 2},
  [8720] = {.lex_state = 185, .external_lex_state = 2},
  [8721] = {.lex_state = 185, .external_lex_state = 2},
  [8722] = {.lex_state = 185, .external_lex_state = 2},
  [8723] = {.lex_state = 185, .external_lex_state = 38},
  [8724] = {.lex_state = 185, .external_lex_state = 2},
  [8725] = {.lex_state = 324, .external_lex_state = 15},
  [8726] = {.lex_state = 322, .external_lex_state = 3},
  [8727] = {.lex_state = 322, .external_lex_state = 3},
  [8728] = {.lex_state = 322, .external_lex_state = 3},
  [8729] = {.lex_state = 185, .external_lex_state = 2},
  [8730] = {.lex_state = 322, .external_lex_state = 3},
  [8731] = {.lex_state = 185, .external_lex_state = 2},
  [8732] = {.lex_state = 322, .external_lex_state = 3},
  [8733] = {.lex_state = 433, .external_lex_state = 13},
  [8734] = {.lex_state = 322, .external_lex_state = 3},
  [8735] = {.lex_state = 185, .external_lex_state = 2},
  [8736] = {.lex_state = 322, .external_lex_state = 3},
  [8737] = {.lex_state = 322, .external_lex_state = 3},
  [8738] = {.lex_state = 322, .external_lex_state = 3},
  [8739] = {.lex_state = 322, .external_lex_state = 3},
  [8740] = {.lex_state = 322, .external_lex_state = 3},
  [8741] = {.lex_state = 322, .external_lex_state = 3},
  [8742] = {.lex_state = 322, .external_lex_state = 3},
  [8743] = {.lex_state = 455, .external_lex_state = 22},
  [8744] = {.lex_state = 322, .external_lex_state = 3},
  [8745] = {.lex_state = 322, .external_lex_state = 3},
  [8746] = {.lex_state = 322, .external_lex_state = 3},
  [8747] = {.lex_state = 322, .external_lex_state = 3},
  [8748] = {.lex_state = 322, .external_lex_state = 3},
  [8749] = {.lex_state = 365, .external_lex_state = 3},
  [8750] = {.lex_state = 365, .external_lex_state = 3},
  [8751] = {.lex_state = 185, .external_lex_state = 2},
  [8752] = {.lex_state = 365, .external_lex_state = 3},
  [8753] = {.lex_state = 185, .external_lex_state = 2},
  [8754] = {.lex_state = 365, .external_lex_state = 3},
  [8755] = {.lex_state = 433, .external_lex_state = 13},
  [8756] = {.lex_state = 365, .external_lex_state = 3},
  [8757] = {.lex_state = 185, .external_lex_state = 2},
  [8758] = {.lex_state = 249, .external_lex_state = 3},
  [8759] = {.lex_state = 433, .external_lex_state = 43},
  [8760] = {.lex_state = 249, .external_lex_state = 3},
  [8761] = {.lex_state = 322, .external_lex_state = 3},
  [8762] = {.lex_state = 322, .external_lex_state = 3},
  [8763] = {.lex_state = 322, .external_lex_state = 3},
  [8764] = {.lex_state = 322, .external_lex_state = 3},
  [8765] = {.lex_state = 322, .external_lex_state = 3},
  [8766] = {.lex_state = 322, .external_lex_state = 15},
  [8767] = {.lex_state = 243, .external_lex_state = 8},
  [8768] = {.lex_state = 123, .external_lex_state = 2},
  [8769] = {.lex_state = 185, .external_lex_state = 2},
  [8770] = {.lex_state = 367, .external_lex_state = 3},
  [8771] = {.lex_state = 367, .external_lex_state = 3},
  [8772] = {.lex_state = 367, .external_lex_state = 3},
  [8773] = {.lex_state = 185, .external_lex_state = 2},
  [8774] = {.lex_state = 185, .external_lex_state = 2},
  [8775] = {.lex_state = 185, .external_lex_state = 2},
  [8776] = {.lex_state = 185, .external_lex_state = 2},
  [8777] = {.lex_state = 185, .external_lex_state = 2},
  [8778] = {.lex_state = 185, .external_lex_state = 2},
  [8779] = {.lex_state = 185, .external_lex_state = 2},
  [8780] = {.lex_state = 185, .external_lex_state = 2},
  [8781] = {.lex_state = 185, .external_lex_state = 2},
  [8782] = {.lex_state = 185, .external_lex_state = 2},
  [8783] = {.lex_state = 185, .external_lex_state = 2},
  [8784] = {.lex_state = 185, .external_lex_state = 2},
  [8785] = {.lex_state = 185, .external_lex_state = 38},
  [8786] = {.lex_state = 185, .external_lex_state = 2},
  [8787] = {.lex_state = 367, .external_lex_state = 15},
  [8788] = {.lex_state = 367, .external_lex_state = 3},
  [8789] = {.lex_state = 365, .external_lex_state = 3},
  [8790] = {.lex_state = 365, .external_lex_state = 3},
  [8791] = {.lex_state = 365, .external_lex_state = 3},
  [8792] = {.lex_state = 365, .external_lex_state = 3},
  [8793] = {.lex_state = 365, .external_lex_state = 3},
  [8794] = {.lex_state = 365, .external_lex_state = 3},
  [8795] = {.lex_state = 367, .external_lex_state = 3},
  [8796] = {.lex_state = 455, .external_lex_state = 22},
  [8797] = {.lex_state = 365, .external_lex_state = 3},
  [8798] = {.lex_state = 365, .external_lex_state = 3},
  [8799] = {.lex_state = 365, .external_lex_state = 3},
  [8800] = {.lex_state = 365, .external_lex_state = 3},
  [8801] = {.lex_state = 365, .external_lex_state = 3},
  [8802] = {.lex_state = 367, .external_lex_state = 3},
  [8803] = {.lex_state = 433, .external_lex_state = 43},
  [8804] = {.lex_state = 367, .external_lex_state = 3},
  [8805] = {.lex_state = 367, .external_lex_state = 3},
  [8806] = {.lex_state = 365, .external_lex_state = 3},
  [8807] = {.lex_state = 365, .external_lex_state = 3},
  [8808] = {.lex_state = 365, .external_lex_state = 3},
  [8809] = {.lex_state = 367, .external_lex_state = 3},
  [8810] = {.lex_state = 365, .external_lex_state = 15},
  [8811] = {.lex_state = 437, .external_lex_state = 14},
  [8812] = {.lex_state = 437, .external_lex_state = 14},
  [8813] = {.lex_state = 437, .external_lex_state = 14},
  [8814] = {.lex_state = 437, .external_lex_state = 14},
  [8815] = {.lex_state = 185, .external_lex_state = 2},
  [8816] = {.lex_state = 185, .external_lex_state = 2},
  [8817] = {.lex_state = 185, .external_lex_state = 2},
  [8818] = {.lex_state = 185, .external_lex_state = 2},
  [8819] = {.lex_state = 185, .external_lex_state = 2},
  [8820] = {.lex_state = 185, .external_lex_state = 2},
  [8821] = {.lex_state = 185, .external_lex_state = 2},
  [8822] = {.lex_state = 185, .external_lex_state = 2},
  [8823] = {.lex_state = 185, .external_lex_state = 2},
  [8824] = {.lex_state = 185, .external_lex_state = 2},
  [8825] = {.lex_state = 185, .external_lex_state = 2},
  [8826] = {.lex_state = 185, .external_lex_state = 2},
  [8827] = {.lex_state = 185, .external_lex_state = 38},
  [8828] = {.lex_state = 437, .external_lex_state = 14},
  [8829] = {.lex_state = 185, .external_lex_state = 38},
  [8830] = {.lex_state = 185, .external_lex_state = 2},
  [8831] = {.lex_state = 322, .external_lex_state = 3},
  [8832] = {.lex_state = 322, .external_lex_state = 3},
  [8833] = {.lex_state = 322, .external_lex_state = 3},
  [8834] = {.lex_state = 322, .external_lex_state = 3},
  [8835] = {.lex_state = 322, .external_lex_state = 3},
  [8836] = {.lex_state = 185, .external_lex_state = 2},
  [8837] = {.lex_state = 185, .external_lex_state = 2},
  [8838] = {.lex_state = 185, .external_lex_state = 2},
  [8839] = {.lex_state = 185, .external_lex_state = 2},
  [8840] = {.lex_state = 185, .external_lex_state = 2},
  [8841] = {.lex_state = 185, .external_lex_state = 2},
  [8842] = {.lex_state = 185, .external_lex_state = 2},
  [8843] = {.lex_state = 185, .external_lex_state = 2},
  [8844] = {.lex_state = 185, .external_lex_state = 2},
  [8845] = {.lex_state = 185, .external_lex_state = 2},
  [8846] = {.lex_state = 185, .external_lex_state = 2},
  [8847] = {.lex_state = 185, .external_lex_state = 2},
  [8848] = {.lex_state = 185, .external_lex_state = 38},
  [8849] = {.lex_state = 185, .external_lex_state = 2},
  [8850] = {.lex_state = 324, .external_lex_state = 15},
  [8851] = {.lex_state = 322, .external_lex_state = 3},
  [8852] = {.lex_state = 322, .external_lex_state = 3},
  [8853] = {.lex_state = 322, .external_lex_state = 3},
  [8854] = {.lex_state = 185, .external_lex_state = 2},
  [8855] = {.lex_state = 322, .external_lex_state = 3},
  [8856] = {.lex_state = 185, .external_lex_state = 2},
  [8857] = {.lex_state = 322, .external_lex_state = 3},
  [8858] = {.lex_state = 433, .external_lex_state = 13},
  [8859] = {.lex_state = 322, .external_lex_state = 3},
  [8860] = {.lex_state = 185, .external_lex_state = 2},
  [8861] = {.lex_state = 322, .external_lex_state = 3},
  [8862] = {.lex_state = 322, .external_lex_state = 3},
  [8863] = {.lex_state = 322, .external_lex_state = 3},
  [8864] = {.lex_state = 322, .external_lex_state = 3},
  [8865] = {.lex_state = 322, .external_lex_state = 3},
  [8866] = {.lex_state = 322, .external_lex_state = 3},
  [8867] = {.lex_state = 322, .external_lex_state = 3},
  [8868] = {.lex_state = 455, .external_lex_state = 22},
  [8869] = {.lex_state = 322, .external_lex_state = 3},
  [8870] = {.lex_state = 322, .external_lex_state = 3},
  [8871] = {.lex_state = 322, .external_lex_state = 3},
  [8872] = {.lex_state = 322, .external_lex_state = 3},
  [8873] = {.lex_state = 322, .external_lex_state = 3},
  [8874] = {.lex_state = 365, .external_lex_state = 3},
  [8875] = {.lex_state = 365, .external_lex_state = 3},
  [8876] = {.lex_state = 185, .external_lex_state = 2},
  [8877] = {.lex_state = 365, .external_lex_state = 3},
  [8878] = {.lex_state = 185, .external_lex_state = 2},
  [8879] = {.lex_state = 365, .external_lex_state = 3},
  [8880] = {.lex_state = 433, .external_lex_state = 13},
  [8881] = {.lex_state = 365, .external_lex_state = 3},
  [8882] = {.lex_state = 185, .external_lex_state = 2},
  [8883] = {.lex_state = 249, .external_lex_state = 3},
  [8884] = {.lex_state = 433, .external_lex_state = 43},
  [8885] = {.lex_state = 249, .external_lex_state = 3},
  [8886] = {.lex_state = 322, .external_lex_state = 3},
  [8887] = {.lex_state = 322, .external_lex_state = 3},
  [8888] = {.lex_state = 322, .external_lex_state = 3},
  [8889] = {.lex_state = 322, .external_lex_state = 3},
  [8890] = {.lex_state = 322, .external_lex_state = 3},
  [8891] = {.lex_state = 322, .external_lex_state = 15},
  [8892] = {.lex_state = 243, .external_lex_state = 8},
  [8893] = {.lex_state = 123, .external_lex_state = 2},
  [8894] = {.lex_state = 185, .external_lex_state = 2},
  [8895] = {.lex_state = 367, .external_lex_state = 3},
  [8896] = {.lex_state = 367, .external_lex_state = 3},
  [8897] = {.lex_state = 367, .external_lex_state = 3},
  [8898] = {.lex_state = 185, .external_lex_state = 2},
  [8899] = {.lex_state = 185, .external_lex_state = 2},
  [8900] = {.lex_state = 185, .external_lex_state = 2},
  [8901] = {.lex_state = 185, .external_lex_state = 2},
  [8902] = {.lex_state = 185, .external_lex_state = 2},
  [8903] = {.lex_state = 185, .external_lex_state = 2},
  [8904] = {.lex_state = 185, .external_lex_state = 2},
  [8905] = {.lex_state = 185, .external_lex_state = 2},
  [8906] = {.lex_state = 185, .external_lex_state = 2},
  [8907] = {.lex_state = 185, .external_lex_state = 2},
  [8908] = {.lex_state = 185, .external_lex_state = 2},
  [8909] = {.lex_state = 185, .external_lex_state = 2},
  [8910] = {.lex_state = 185, .external_lex_state = 38},
  [8911] = {.lex_state = 185, .external_lex_state = 2},
  [8912] = {.lex_state = 367, .external_lex_state = 15},
  [8913] = {.lex_state = 367, .external_lex_state = 3},
  [8914] = {.lex_state = 365, .external_lex_state = 3},
  [8915] = {.lex_state = 365, .external_lex_state = 3},
  [8916] = {.lex_state = 365, .external_lex_state = 3},
  [8917] = {.lex_state = 365, .external_lex_state = 3},
  [8918] = {.lex_state = 365, .external_lex_state = 3},
  [8919] = {.lex_state = 365, .external_lex_state = 3},
  [8920] = {.lex_state = 367, .external_lex_state = 3},
  [8921] = {.lex_state = 455, .external_lex_state = 22},
  [8922] = {.lex_state = 365, .external_lex_state = 3},
  [8923] = {.lex_state = 365, .external_lex_state = 3},
  [8924] = {.lex_state = 365, .external_lex_state = 3},
  [8925] = {.lex_state = 365, .external_lex_state = 3},
  [8926] = {.lex_state = 365, .external_lex_state = 3},
  [8927] = {.lex_state = 367, .external_lex_state = 3},
  [8928] = {.lex_state = 433, .external_lex_state = 43},
  [8929] = {.lex_state = 367, .external_lex_state = 3},
  [8930] = {.lex_state = 367, .external_lex_state = 3},
  [8931] = {.lex_state = 365, .external_lex_state = 3},
  [8932] = {.lex_state = 365, .external_lex_state = 3},
  [8933] = {.lex_state = 365, .external_lex_state = 3},
  [8934] = {.lex_state = 367, .external_lex_state = 3},
  [8935] = {.lex_state = 365, .external_lex_state = 15},
  [8936] = {.lex_state = 437, .external_lex_state = 14},
  [8937] = {.lex_state = 437, .external_lex_state = 14},
  [8938] = {.lex_state = 437, .external_lex_state = 14},
  [8939] = {.lex_state = 437, .external_lex_state = 14},
  [8940] = {.lex_state = 185, .external_lex_state = 2},
  [8941] = {.lex_state = 185, .external_lex_state = 2},
  [8942] = {.lex_state = 185, .external_lex_state = 2},
  [8943] = {.lex_state = 185, .external_lex_state = 2},
  [8944] = {.lex_state = 185, .external_lex_state = 2},
  [8945] = {.lex_state = 185, .external_lex_state = 2},
  [8946] = {.lex_state = 185, .external_lex_state = 2},
  [8947] = {.lex_state = 185, .external_lex_state = 2},
  [8948] = {.lex_state = 185, .external_lex_state = 2},
  [8949] = {.lex_state = 185, .external_lex_state = 2},
  [8950] = {.lex_state = 185, .external_lex_state = 2},
  [8951] = {.lex_state = 185, .external_lex_state = 2},
  [8952] = {.lex_state = 185, .external_lex_state = 38},
  [8953] = {.lex_state = 437, .external_lex_state = 14},
  [8954] = {.lex_state = 185, .external_lex_state = 38},
  [8955] = {.lex_state = 185, .external_lex_state = 2},
  [8956] = {.lex_state = 151, .external_lex_state = 3},
  [8957] = {.lex_state = 237, .external_lex_state = 14},
  [8958] = {.lex_state = 367, .external_lex_state = 3},
  [8959] = {.lex_state = 367, .external_lex_state = 3},
  [8960] = {.lex_state = 367, .external_lex_state = 3},
  [8961] = {.lex_state = 367, .external_lex_state = 3},
  [8962] = {.lex_state = 367, .external_lex_state = 3},
  [8963] = {.lex_state = 367, .external_lex_state = 3},
  [8964] = {.lex_state = 455, .external_lex_state = 22},
  [8965] = {.lex_state = 367, .external_lex_state = 3},
  [8966] = {.lex_state = 367, .external_lex_state = 3},
  [8967] = {.lex_state = 367, .external_lex_state = 3},
  [8968] = {.lex_state = 367, .external_lex_state = 3},
  [8969] = {.lex_state = 367, .external_lex_state = 3},
  [8970] = {.lex_state = 367, .external_lex_state = 3},
  [8971] = {.lex_state = 367, .external_lex_state = 3},
  [8972] = {.lex_state = 367, .external_lex_state = 3},
  [8973] = {.lex_state = 367, .external_lex_state = 15},
  [8974] = {.lex_state = 185, .external_lex_state = 2},
  [8975] = {.lex_state = 185, .external_lex_state = 38},
  [8976] = {.lex_state = 365, .external_lex_state = 3},
  [8977] = {.lex_state = 437, .external_lex_state = 14},
  [8978] = {.lex_state = 437, .external_lex_state = 14},
  [8979] = {.lex_state = 437, .external_lex_state = 14},
  [8980] = {.lex_state = 437, .external_lex_state = 14},
  [8981] = {.lex_state = 437, .external_lex_state = 14},
  [8982] = {.lex_state = 437, .external_lex_state = 14},
  [8983] = {.lex_state = 455, .external_lex_state = 22},
  [8984] = {.lex_state = 437, .external_lex_state = 14},
  [8985] = {.lex_state = 437, .external_lex_state = 14},
  [8986] = {.lex_state = 437, .external_lex_state = 14},
  [8987] = {.lex_state = 437, .external_lex_state = 14},
  [8988] = {.lex_state = 437, .external_lex_state = 14},
  [8989] = {.lex_state = 437, .external_lex_state = 14},
  [8990] = {.lex_state = 437, .external_lex_state = 14},
  [8991] = {.lex_state = 437, .external_lex_state = 14},
  [8992] = {.lex_state = 343, .external_lex_state = 32},
  [8993] = {.lex_state = 170, .external_lex_state = 4},
  [8994] = {.lex_state = 343, .external_lex_state = 32},
  [8995] = {.lex_state = 343, .external_lex_state = 32},
  [8996] = {.lex_state = 170, .external_lex_state = 4},
  [8997] = {.lex_state = 343, .external_lex_state = 32},
  [8998] = {.lex_state = 355, .external_lex_state = 32},
  [8999] = {.lex_state = 355, .external_lex_state = 32},
  [9000] = {.lex_state = 355, .external_lex_state = 32},
  [9001] = {.lex_state = 185, .external_lex_state = 2},
  [9002] = {.lex_state = 185, .external_lex_state = 2},
  [9003] = {.lex_state = 185, .external_lex_state = 2},
  [9004] = {.lex_state = 185, .external_lex_state = 2},
  [9005] = {.lex_state = 185, .external_lex_state = 2},
  [9006] = {.lex_state = 185, .external_lex_state = 2},
  [9007] = {.lex_state = 185, .external_lex_state = 2},
  [9008] = {.lex_state = 185, .external_lex_state = 2},
  [9009] = {.lex_state = 185, .external_lex_state = 2},
  [9010] = {.lex_state = 185, .external_lex_state = 2},
  [9011] = {.lex_state = 185, .external_lex_state = 2},
  [9012] = {.lex_state = 185, .external_lex_state = 2},
  [9013] = {.lex_state = 185, .external_lex_state = 38},
  [9014] = {.lex_state = 185, .external_lex_state = 2},
  [9015] = {.lex_state = 355, .external_lex_state = 32},
  [9016] = {.lex_state = 355, .external_lex_state = 32},
  [9017] = {.lex_state = 355, .external_lex_state = 32},
  [9018] = {.lex_state = 433, .external_lex_state = 43},
  [9019] = {.lex_state = 355, .external_lex_state = 32},
  [9020] = {.lex_state = 355, .external_lex_state = 32},
  [9021] = {.lex_state = 355, .external_lex_state = 32},
  [9022] = {.lex_state = 185, .external_lex_state = 2},
  [9023] = {.lex_state = 443, .external_lex_state = 32},
  [9024] = {.lex_state = 443, .external_lex_state = 32},
  [9025] = {.lex_state = 443, .external_lex_state = 32},
  [9026] = {.lex_state = 185, .external_lex_state = 2},
  [9027] = {.lex_state = 185, .external_lex_state = 2},
  [9028] = {.lex_state = 185, .external_lex_state = 2},
  [9029] = {.lex_state = 185, .external_lex_state = 2},
  [9030] = {.lex_state = 185, .external_lex_state = 2},
  [9031] = {.lex_state = 185, .external_lex_state = 2},
  [9032] = {.lex_state = 185, .external_lex_state = 2},
  [9033] = {.lex_state = 185, .external_lex_state = 2},
  [9034] = {.lex_state = 185, .external_lex_state = 2},
  [9035] = {.lex_state = 185, .external_lex_state = 2},
  [9036] = {.lex_state = 185, .external_lex_state = 2},
  [9037] = {.lex_state = 185, .external_lex_state = 2},
  [9038] = {.lex_state = 185, .external_lex_state = 38},
  [9039] = {.lex_state = 185, .external_lex_state = 2},
  [9040] = {.lex_state = 443, .external_lex_state = 40},
  [9041] = {.lex_state = 443, .external_lex_state = 32},
  [9042] = {.lex_state = 443, .external_lex_state = 32},
  [9043] = {.lex_state = 443, .external_lex_state = 32},
  [9044] = {.lex_state = 433, .external_lex_state = 43},
  [9045] = {.lex_state = 443, .external_lex_state = 32},
  [9046] = {.lex_state = 443, .external_lex_state = 32},
  [9047] = {.lex_state = 443, .external_lex_state = 32},
  [9048] = {.lex_state = 351, .external_lex_state = 35},
  [9049] = {.lex_state = 185, .external_lex_state = 38},
  [9050] = {.lex_state = 351, .external_lex_state = 35},
  [9051] = {.lex_state = 217, .external_lex_state = 7},
  [9052] = {.lex_state = 343, .external_lex_state = 32},
  [9053] = {.lex_state = 343, .external_lex_state = 32},
  [9054] = {.lex_state = 185, .external_lex_state = 2},
  [9055] = {.lex_state = 185, .external_lex_state = 38},
  [9056] = {.lex_state = 355, .external_lex_state = 32},
  [9057] = {.lex_state = 343, .external_lex_state = 32},
  [9058] = {.lex_state = 123},
  [9059] = {.lex_state = 123},
  [9060] = {.lex_state = 343, .external_lex_state = 32},
  [9061] = {.lex_state = 123},
  [9062] = {.lex_state = 343, .external_lex_state = 32},
  [9063] = {.lex_state = 343, .external_lex_state = 32},
  [9064] = {.lex_state = 343, .external_lex_state = 32},
  [9065] = {.lex_state = 123},
  [9066] = {.lex_state = 343, .external_lex_state = 32},
  [9067] = {.lex_state = 123},
  [9068] = {.lex_state = 343, .external_lex_state = 32},
  [9069] = {.lex_state = 123},
  [9070] = {.lex_state = 343, .external_lex_state = 32},
  [9071] = {.lex_state = 343, .external_lex_state = 32},
  [9072] = {.lex_state = 123},
  [9073] = {.lex_state = 123, .external_lex_state = 2},
  [9074] = {.lex_state = 351, .external_lex_state = 35},
  [9075] = {.lex_state = 349, .external_lex_state = 32},
  [9076] = {.lex_state = 447, .external_lex_state = 33},
  [9077] = {.lex_state = 202},
  [9078] = {.lex_state = 349, .external_lex_state = 32},
  [9079] = {.lex_state = 349, .external_lex_state = 32},
  [9080] = {.lex_state = 123},
  [9081] = {.lex_state = 123, .external_lex_state = 2},
  [9082] = {.lex_state = 185, .external_lex_state = 2},
  [9083] = {.lex_state = 185, .external_lex_state = 38},
  [9084] = {.lex_state = 353, .external_lex_state = 32},
  [9085] = {.lex_state = 511, .external_lex_state = 13},
  [9086] = {.lex_state = 449, .external_lex_state = 35},
  [9087] = {.lex_state = 351, .external_lex_state = 35},
  [9088] = {.lex_state = 228},
  [9089] = {.lex_state = 123},
  [9090] = {.lex_state = 271, .external_lex_state = 2},
  [9091] = {.lex_state = 228},
  [9092] = {.lex_state = 185, .external_lex_state = 2},
  [9093] = {.lex_state = 425, .external_lex_state = 20},
  [9094] = {.lex_state = 425, .external_lex_state = 20},
  [9095] = {.lex_state = 425, .external_lex_state = 20},
  [9096] = {.lex_state = 425, .external_lex_state = 20},
  [9097] = {.lex_state = 185, .external_lex_state = 2},
  [9098] = {.lex_state = 185, .external_lex_state = 2},
  [9099] = {.lex_state = 185, .external_lex_state = 2},
  [9100] = {.lex_state = 282, .external_lex_state = 22},
  [9101] = {.lex_state = 243, .external_lex_state = 20},
  [9102] = {.lex_state = 206},
  [9103] = {.lex_state = 219, .external_lex_state = 17},
  [9104] = {.lex_state = 241, .external_lex_state = 39},
  [9105] = {.lex_state = 282, .external_lex_state = 22},
  [9106] = {.lex_state = 123},
  [9107] = {.lex_state = 228},
  [9108] = {.lex_state = 228},
  [9109] = {.lex_state = 302},
  [9110] = {.lex_state = 302},
  [9111] = {.lex_state = 187},
  [9112] = {.lex_state = 302},
  [9113] = {.lex_state = 123},
  [9114] = {.lex_state = 123, .external_lex_state = 2},
  [9115] = {.lex_state = 123, .external_lex_state = 12},
  [9116] = {.lex_state = 228},
  [9117] = {.lex_state = 123, .external_lex_state = 12},
  [9118] = {.lex_state = 228},
  [9119] = {.lex_state = 123},
  [9120] = {.lex_state = 228},
  [9121] = {.lex_state = 151, .external_lex_state = 3},
  [9122] = {.lex_state = 123},
  [9123] = {.lex_state = 282, .external_lex_state = 22},
  [9124] = {.lex_state = 282, .external_lex_state = 22},
  [9125] = {.lex_state = 282, .external_lex_state = 22},
  [9126] = {.lex_state = 282, .external_lex_state = 22},
  [9127] = {.lex_state = 282, .external_lex_state = 22},
  [9128] = {.lex_state = 282, .external_lex_state = 22},
  [9129] = {.lex_state = 455, .external_lex_state = 22},
  [9130] = {.lex_state = 282, .external_lex_state = 22},
  [9131] = {.lex_state = 282, .external_lex_state = 22},
  [9132] = {.lex_state = 282, .external_lex_state = 22},
  [9133] = {.lex_state = 282, .external_lex_state = 22},
  [9134] = {.lex_state = 282, .external_lex_state = 22},
  [9135] = {.lex_state = 365, .external_lex_state = 32},
  [9136] = {.lex_state = 185, .external_lex_state = 2},
  [9137] = {.lex_state = 282, .external_lex_state = 22},
  [9138] = {.lex_state = 282, .external_lex_state = 22},
  [9139] = {.lex_state = 282, .external_lex_state = 22},
  [9140] = {.lex_state = 241, .external_lex_state = 39},
  [9141] = {.lex_state = 519, .external_lex_state = 32},
  [9142] = {.lex_state = 519, .external_lex_state = 32},
  [9143] = {.lex_state = 519, .external_lex_state = 32},
  [9144] = {.lex_state = 519, .external_lex_state = 32},
  [9145] = {.lex_state = 519, .external_lex_state = 32},
  [9146] = {.lex_state = 185, .external_lex_state = 2},
  [9147] = {.lex_state = 185, .external_lex_state = 2},
  [9148] = {.lex_state = 185, .external_lex_state = 2},
  [9149] = {.lex_state = 185, .external_lex_state = 2},
  [9150] = {.lex_state = 185, .external_lex_state = 2},
  [9151] = {.lex_state = 185, .external_lex_state = 2},
  [9152] = {.lex_state = 185, .external_lex_state = 2},
  [9153] = {.lex_state = 185, .external_lex_state = 2},
  [9154] = {.lex_state = 185, .external_lex_state = 2},
  [9155] = {.lex_state = 185, .external_lex_state = 2},
  [9156] = {.lex_state = 185, .external_lex_state = 2},
  [9157] = {.lex_state = 185, .external_lex_state = 2},
  [9158] = {.lex_state = 185, .external_lex_state = 38},
  [9159] = {.lex_state = 185, .external_lex_state = 2},
  [9160] = {.lex_state = 533, .external_lex_state = 40},
  [9161] = {.lex_state = 519, .external_lex_state = 32},
  [9162] = {.lex_state = 519, .external_lex_state = 32},
  [9163] = {.lex_state = 519, .external_lex_state = 32},
  [9164] = {.lex_state = 185, .external_lex_state = 2},
  [9165] = {.lex_state = 519, .external_lex_state = 32},
  [9166] = {.lex_state = 185, .external_lex_state = 2},
  [9167] = {.lex_state = 519, .external_lex_state = 32},
  [9168] = {.lex_state = 433, .external_lex_state = 13},
  [9169] = {.lex_state = 519, .external_lex_state = 32},
  [9170] = {.lex_state = 185, .external_lex_state = 2},
  [9171] = {.lex_state = 519, .external_lex_state = 32},
  [9172] = {.lex_state = 519, .external_lex_state = 32},
  [9173] = {.lex_state = 519, .external_lex_state = 32},
  [9174] = {.lex_state = 519, .external_lex_state = 32},
  [9175] = {.lex_state = 519, .external_lex_state = 32},
  [9176] = {.lex_state = 519, .external_lex_state = 32},
  [9177] = {.lex_state = 519, .external_lex_state = 32},
  [9178] = {.lex_state = 455, .external_lex_state = 22},
  [9179] = {.lex_state = 519, .external_lex_state = 32},
  [9180] = {.lex_state = 519, .external_lex_state = 32},
  [9181] = {.lex_state = 519, .external_lex_state = 32},
  [9182] = {.lex_state = 519, .external_lex_state = 32},
  [9183] = {.lex_state = 519, .external_lex_state = 32},
  [9184] = {.lex_state = 521, .external_lex_state = 32},
  [9185] = {.lex_state = 521, .external_lex_state = 32},
  [9186] = {.lex_state = 185, .external_lex_state = 2},
  [9187] = {.lex_state = 521, .external_lex_state = 32},
  [9188] = {.lex_state = 185, .external_lex_state = 2},
  [9189] = {.lex_state = 521, .external_lex_state = 32},
  [9190] = {.lex_state = 433, .external_lex_state = 13},
  [9191] = {.lex_state = 521, .external_lex_state = 32},
  [9192] = {.lex_state = 185, .external_lex_state = 2},
  [9193] = {.lex_state = 461, .external_lex_state = 32},
  [9194] = {.lex_state = 433, .external_lex_state = 43},
  [9195] = {.lex_state = 461, .external_lex_state = 32},
  [9196] = {.lex_state = 519, .external_lex_state = 32},
  [9197] = {.lex_state = 519, .external_lex_state = 32},
  [9198] = {.lex_state = 519, .external_lex_state = 32},
  [9199] = {.lex_state = 519, .external_lex_state = 32},
  [9200] = {.lex_state = 519, .external_lex_state = 32},
  [9201] = {.lex_state = 519, .external_lex_state = 40},
  [9202] = {.lex_state = 185, .external_lex_state = 2},
  [9203] = {.lex_state = 459, .external_lex_state = 32},
  [9204] = {.lex_state = 459, .external_lex_state = 32},
  [9205] = {.lex_state = 459, .external_lex_state = 32},
  [9206] = {.lex_state = 185, .external_lex_state = 2},
  [9207] = {.lex_state = 185, .external_lex_state = 2},
  [9208] = {.lex_state = 185, .external_lex_state = 2},
  [9209] = {.lex_state = 185, .external_lex_state = 2},
  [9210] = {.lex_state = 185, .external_lex_state = 2},
  [9211] = {.lex_state = 185, .external_lex_state = 2},
  [9212] = {.lex_state = 185, .external_lex_state = 2},
  [9213] = {.lex_state = 185, .external_lex_state = 2},
  [9214] = {.lex_state = 185, .external_lex_state = 2},
  [9215] = {.lex_state = 185, .external_lex_state = 2},
  [9216] = {.lex_state = 185, .external_lex_state = 2},
  [9217] = {.lex_state = 185, .external_lex_state = 2},
  [9218] = {.lex_state = 185, .external_lex_state = 38},
  [9219] = {.lex_state = 185, .external_lex_state = 2},
  [9220] = {.lex_state = 459, .external_lex_state = 40},
  [9221] = {.lex_state = 459, .external_lex_state = 32},
  [9222] = {.lex_state = 521, .external_lex_state = 32},
  [9223] = {.lex_state = 521, .external_lex_state = 32},
  [9224] = {.lex_state = 521, .external_lex_state = 32},
  [9225] = {.lex_state = 521, .external_lex_state = 32},
  [9226] = {.lex_state = 521, .external_lex_state = 32},
  [9227] = {.lex_state = 521, .external_lex_state = 32},
  [9228] = {.lex_state = 459, .external_lex_state = 32},
  [9229] = {.lex_state = 455, .external_lex_state = 22},
  [9230] = {.lex_state = 521, .external_lex_state = 32},
  [9231] = {.lex_state = 521, .external_lex_state = 32},
  [9232] = {.lex_state = 521, .external_lex_state = 32},
  [9233] = {.lex_state = 521, .external_lex_state = 32},
  [9234] = {.lex_state = 521, .external_lex_state = 32},
  [9235] = {.lex_state = 459, .external_lex_state = 32},
  [9236] = {.lex_state = 433, .external_lex_state = 43},
  [9237] = {.lex_state = 459, .external_lex_state = 32},
  [9238] = {.lex_state = 459, .external_lex_state = 32},
  [9239] = {.lex_state = 521, .external_lex_state = 32},
  [9240] = {.lex_state = 521, .external_lex_state = 32},
  [9241] = {.lex_state = 521, .external_lex_state = 32},
  [9242] = {.lex_state = 459, .external_lex_state = 32},
  [9243] = {.lex_state = 521, .external_lex_state = 40},
  [9244] = {.lex_state = 455, .external_lex_state = 22},
  [9245] = {.lex_state = 455, .external_lex_state = 22},
  [9246] = {.lex_state = 455, .external_lex_state = 22},
  [9247] = {.lex_state = 455, .external_lex_state = 22},
  [9248] = {.lex_state = 185, .external_lex_state = 2},
  [9249] = {.lex_state = 185, .external_lex_state = 2},
  [9250] = {.lex_state = 185, .external_lex_state = 2},
  [9251] = {.lex_state = 185, .external_lex_state = 2},
  [9252] = {.lex_state = 185, .external_lex_state = 2},
  [9253] = {.lex_state = 185, .external_lex_state = 2},
  [9254] = {.lex_state = 185, .external_lex_state = 2},
  [9255] = {.lex_state = 185, .external_lex_state = 2},
  [9256] = {.lex_state = 185, .external_lex_state = 2},
  [9257] = {.lex_state = 185, .external_lex_state = 2},
  [9258] = {.lex_state = 185, .external_lex_state = 2},
  [9259] = {.lex_state = 185, .external_lex_state = 2},
  [9260] = {.lex_state = 185, .external_lex_state = 38},
  [9261] = {.lex_state = 455, .external_lex_state = 22},
  [9262] = {.lex_state = 185, .external_lex_state = 38},
  [9263] = {.lex_state = 185, .external_lex_state = 2},
  [9264] = {.lex_state = 533, .external_lex_state = 39},
  [9265] = {.lex_state = 300, .external_lex_state = 11},
  [9266] = {.lex_state = 280, .external_lex_state = 3},
  [9267] = {.lex_state = 170, .external_lex_state = 4},
  [9268] = {.lex_state = 280, .external_lex_state = 3},
  [9269] = {.lex_state = 280, .external_lex_state = 3},
  [9270] = {.lex_state = 170, .external_lex_state = 4},
  [9271] = {.lex_state = 280, .external_lex_state = 3},
  [9272] = {.lex_state = 219, .external_lex_state = 3},
  [9273] = {.lex_state = 219, .external_lex_state = 3},
  [9274] = {.lex_state = 170, .external_lex_state = 4},
  [9275] = {.lex_state = 251, .external_lex_state = 16},
  [9276] = {.lex_state = 219, .external_lex_state = 3},
  [9277] = {.lex_state = 170, .external_lex_state = 4},
  [9278] = {.lex_state = 219, .external_lex_state = 3},
  [9279] = {.lex_state = 219, .external_lex_state = 3},
  [9280] = {.lex_state = 170, .external_lex_state = 4},
  [9281] = {.lex_state = 251, .external_lex_state = 16},
  [9282] = {.lex_state = 219, .external_lex_state = 3},
  [9283] = {.lex_state = 170, .external_lex_state = 4},
  [9284] = {.lex_state = 219, .external_lex_state = 3},
  [9285] = {.lex_state = 228},
  [9286] = {.lex_state = 219, .external_lex_state = 3},
  [9287] = {.lex_state = 219, .external_lex_state = 3},
  [9288] = {.lex_state = 123, .external_lex_state = 2},
  [9289] = {.lex_state = 123, .external_lex_state = 2},
  [9290] = {.lex_state = 219, .external_lex_state = 3},
  [9291] = {.lex_state = 219, .external_lex_state = 3},
  [9292] = {.lex_state = 219, .external_lex_state = 3},
  [9293] = {.lex_state = 123},
  [9294] = {.lex_state = 123},
  [9295] = {.lex_state = 123, .external_lex_state = 2},
  [9296] = {.lex_state = 219, .external_lex_state = 3},
  [9297] = {.lex_state = 123},
  [9298] = {.lex_state = 123},
  [9299] = {.lex_state = 219, .external_lex_state = 3},
  [9300] = {.lex_state = 123},
  [9301] = {.lex_state = 219, .external_lex_state = 3},
  [9302] = {.lex_state = 123},
  [9303] = {.lex_state = 123, .external_lex_state = 2},
  [9304] = {.lex_state = 123},
  [9305] = {.lex_state = 123},
  [9306] = {.lex_state = 219, .external_lex_state = 3},
  [9307] = {.lex_state = 219, .external_lex_state = 3},
  [9308] = {.lex_state = 123},
  [9309] = {.lex_state = 123},
  [9310] = {.lex_state = 219, .external_lex_state = 3},
  [9311] = {.lex_state = 185, .external_lex_state = 2},
  [9312] = {.lex_state = 185, .external_lex_state = 38},
  [9313] = {.lex_state = 367, .external_lex_state = 3},
  [9314] = {.lex_state = 479, .external_lex_state = 3},
  [9315] = {.lex_state = 479, .external_lex_state = 3},
  [9316] = {.lex_state = 469, .external_lex_state = 3},
  [9317] = {.lex_state = 433, .external_lex_state = 43},
  [9318] = {.lex_state = 469, .external_lex_state = 3},
  [9319] = {.lex_state = 479, .external_lex_state = 3},
  [9320] = {.lex_state = 479, .external_lex_state = 3},
  [9321] = {.lex_state = 185, .external_lex_state = 2},
  [9322] = {.lex_state = 467, .external_lex_state = 3},
  [9323] = {.lex_state = 467, .external_lex_state = 3},
  [9324] = {.lex_state = 467, .external_lex_state = 3},
  [9325] = {.lex_state = 433, .external_lex_state = 43},
  [9326] = {.lex_state = 467, .external_lex_state = 3},
  [9327] = {.lex_state = 467, .external_lex_state = 3},
  [9328] = {.lex_state = 467, .external_lex_state = 3},
  [9329] = {.lex_state = 375, .external_lex_state = 14},
  [9330] = {.lex_state = 375, .external_lex_state = 14},
  [9331] = {.lex_state = 375, .external_lex_state = 14},
  [9332] = {.lex_state = 375, .external_lex_state = 14},
  [9333] = {.lex_state = 185, .external_lex_state = 2},
  [9334] = {.lex_state = 185, .external_lex_state = 2},
  [9335] = {.lex_state = 185, .external_lex_state = 2},
  [9336] = {.lex_state = 185, .external_lex_state = 2},
  [9337] = {.lex_state = 185, .external_lex_state = 2},
  [9338] = {.lex_state = 185, .external_lex_state = 2},
  [9339] = {.lex_state = 185, .external_lex_state = 2},
  [9340] = {.lex_state = 185, .external_lex_state = 2},
  [9341] = {.lex_state = 185, .external_lex_state = 2},
  [9342] = {.lex_state = 185, .external_lex_state = 2},
  [9343] = {.lex_state = 185, .external_lex_state = 2},
  [9344] = {.lex_state = 185, .external_lex_state = 2},
  [9345] = {.lex_state = 185, .external_lex_state = 38},
  [9346] = {.lex_state = 375, .external_lex_state = 14},
  [9347] = {.lex_state = 185, .external_lex_state = 38},
  [9348] = {.lex_state = 185, .external_lex_state = 2},
  [9349] = {.lex_state = 217, .external_lex_state = 7},
  [9350] = {.lex_state = 280, .external_lex_state = 3},
  [9351] = {.lex_state = 280, .external_lex_state = 3},
  [9352] = {.lex_state = 280, .external_lex_state = 3},
  [9353] = {.lex_state = 123},
  [9354] = {.lex_state = 123},
  [9355] = {.lex_state = 280, .external_lex_state = 3},
  [9356] = {.lex_state = 123},
  [9357] = {.lex_state = 280, .external_lex_state = 3},
  [9358] = {.lex_state = 280, .external_lex_state = 3},
  [9359] = {.lex_state = 280, .external_lex_state = 3},
  [9360] = {.lex_state = 123},
  [9361] = {.lex_state = 219, .external_lex_state = 3},
  [9362] = {.lex_state = 123},
  [9363] = {.lex_state = 280, .external_lex_state = 3},
  [9364] = {.lex_state = 123},
  [9365] = {.lex_state = 280, .external_lex_state = 3},
  [9366] = {.lex_state = 123},
  [9367] = {.lex_state = 365, .external_lex_state = 3},
  [9368] = {.lex_state = 280, .external_lex_state = 3},
  [9369] = {.lex_state = 365, .external_lex_state = 3},
  [9370] = {.lex_state = 185, .external_lex_state = 2},
  [9371] = {.lex_state = 395, .external_lex_state = 32},
  [9372] = {.lex_state = 395, .external_lex_state = 32},
  [9373] = {.lex_state = 395, .external_lex_state = 32},
  [9374] = {.lex_state = 395, .external_lex_state = 32},
  [9375] = {.lex_state = 395, .external_lex_state = 32},
  [9376] = {.lex_state = 395, .external_lex_state = 32},
  [9377] = {.lex_state = 395, .external_lex_state = 32},
  [9378] = {.lex_state = 395, .external_lex_state = 32},
  [9379] = {.lex_state = 455, .external_lex_state = 22},
  [9380] = {.lex_state = 395, .external_lex_state = 32},
  [9381] = {.lex_state = 395, .external_lex_state = 32},
  [9382] = {.lex_state = 395, .external_lex_state = 32},
  [9383] = {.lex_state = 395, .external_lex_state = 32},
  [9384] = {.lex_state = 395, .external_lex_state = 32},
  [9385] = {.lex_state = 395, .external_lex_state = 32},
  [9386] = {.lex_state = 395, .external_lex_state = 32},
  [9387] = {.lex_state = 395, .external_lex_state = 32},
  [9388] = {.lex_state = 395, .external_lex_state = 40},
  [9389] = {.lex_state = 479, .external_lex_state = 32},
  [9390] = {.lex_state = 479, .external_lex_state = 32},
  [9391] = {.lex_state = 479, .external_lex_state = 32},
  [9392] = {.lex_state = 433, .external_lex_state = 43},
  [9393] = {.lex_state = 479, .external_lex_state = 32},
  [9394] = {.lex_state = 479, .external_lex_state = 32},
  [9395] = {.lex_state = 479, .external_lex_state = 32},
  [9396] = {.lex_state = 185, .external_lex_state = 2},
  [9397] = {.lex_state = 467, .external_lex_state = 32},
  [9398] = {.lex_state = 467, .external_lex_state = 32},
  [9399] = {.lex_state = 467, .external_lex_state = 32},
  [9400] = {.lex_state = 433, .external_lex_state = 43},
  [9401] = {.lex_state = 467, .external_lex_state = 32},
  [9402] = {.lex_state = 467, .external_lex_state = 32},
  [9403] = {.lex_state = 467, .external_lex_state = 32},
  [9404] = {.lex_state = 185, .external_lex_state = 38},
  [9405] = {.lex_state = 479, .external_lex_state = 32},
  [9406] = {.lex_state = 375, .external_lex_state = 22},
  [9407] = {.lex_state = 373, .external_lex_state = 17},
  [9408] = {.lex_state = 473, .external_lex_state = 20},
  [9409] = {.lex_state = 202},
  [9410] = {.lex_state = 391, .external_lex_state = 40},
  [9411] = {.lex_state = 391, .external_lex_state = 32},
  [9412] = {.lex_state = 391, .external_lex_state = 32},
  [9413] = {.lex_state = 391, .external_lex_state = 32},
  [9414] = {.lex_state = 391, .external_lex_state = 32},
  [9415] = {.lex_state = 185, .external_lex_state = 16},
  [9416] = {.lex_state = 251, .external_lex_state = 16},
  [9417] = {.lex_state = 391, .external_lex_state = 32},
  [9418] = {.lex_state = 170, .external_lex_state = 4},
  [9419] = {.lex_state = 251, .external_lex_state = 16},
  [9420] = {.lex_state = 391, .external_lex_state = 32},
  [9421] = {.lex_state = 185, .external_lex_state = 16},
  [9422] = {.lex_state = 251, .external_lex_state = 16},
  [9423] = {.lex_state = 391, .external_lex_state = 32},
  [9424] = {.lex_state = 170, .external_lex_state = 4},
  [9425] = {.lex_state = 251, .external_lex_state = 16},
  [9426] = {.lex_state = 391, .external_lex_state = 32},
  [9427] = {.lex_state = 187},
  [9428] = {.lex_state = 282, .external_lex_state = 22},
  [9429] = {.lex_state = 217, .external_lex_state = 7},
  [9430] = {.lex_state = 123, .external_lex_state = 2},
  [9431] = {.lex_state = 391, .external_lex_state = 32},
  [9432] = {.lex_state = 237, .external_lex_state = 14},
  [9433] = {.lex_state = 123, .external_lex_state = 8},
  [9434] = {.lex_state = 123, .external_lex_state = 2},
  [9435] = {.lex_state = 391, .external_lex_state = 32},
  [9436] = {.lex_state = 123, .external_lex_state = 2},
  [9437] = {.lex_state = 123, .external_lex_state = 12},
  [9438] = {.lex_state = 123, .external_lex_state = 2},
  [9439] = {.lex_state = 123, .external_lex_state = 2},
  [9440] = {.lex_state = 123, .external_lex_state = 2},
  [9441] = {.lex_state = 123, .external_lex_state = 8},
  [9442] = {.lex_state = 123},
  [9443] = {.lex_state = 123},
  [9444] = {.lex_state = 123},
  [9445] = {.lex_state = 391, .external_lex_state = 32},
  [9446] = {.lex_state = 123},
  [9447] = {.lex_state = 123},
  [9448] = {.lex_state = 123},
  [9449] = {.lex_state = 391, .external_lex_state = 32},
  [9450] = {.lex_state = 391, .external_lex_state = 32},
  [9451] = {.lex_state = 226},
  [9452] = {.lex_state = 391, .external_lex_state = 32},
  [9453] = {.lex_state = 379, .external_lex_state = 32},
  [9454] = {.lex_state = 379, .external_lex_state = 32},
  [9455] = {.lex_state = 379, .external_lex_state = 32},
  [9456] = {.lex_state = 379, .external_lex_state = 32},
  [9457] = {.lex_state = 379, .external_lex_state = 32},
  [9458] = {.lex_state = 379, .external_lex_state = 32},
  [9459] = {.lex_state = 455, .external_lex_state = 22},
  [9460] = {.lex_state = 379, .external_lex_state = 32},
  [9461] = {.lex_state = 379, .external_lex_state = 32},
  [9462] = {.lex_state = 379, .external_lex_state = 32},
  [9463] = {.lex_state = 379, .external_lex_state = 32},
  [9464] = {.lex_state = 379, .external_lex_state = 32},
  [9465] = {.lex_state = 379, .external_lex_state = 32},
  [9466] = {.lex_state = 391, .external_lex_state = 32},
  [9467] = {.lex_state = 379, .external_lex_state = 32},
  [9468] = {.lex_state = 379, .external_lex_state = 32},
  [9469] = {.lex_state = 379, .external_lex_state = 40},
  [9470] = {.lex_state = 391, .external_lex_state = 32},
  [9471] = {.lex_state = 373, .external_lex_state = 17},
  [9472] = {.lex_state = 373, .external_lex_state = 17},
  [9473] = {.lex_state = 123},
  [9474] = {.lex_state = 123, .external_lex_state = 2},
  [9475] = {.lex_state = 185, .external_lex_state = 2},
  [9476] = {.lex_state = 391, .external_lex_state = 32},
  [9477] = {.lex_state = 391, .external_lex_state = 32},
  [9478] = {.lex_state = 185, .external_lex_state = 38},
  [9479] = {.lex_state = 467, .external_lex_state = 32},
  [9480] = {.lex_state = 375, .external_lex_state = 22},
  [9481] = {.lex_state = 375, .external_lex_state = 22},
  [9482] = {.lex_state = 375, .external_lex_state = 22},
  [9483] = {.lex_state = 375, .external_lex_state = 22},
  [9484] = {.lex_state = 375, .external_lex_state = 22},
  [9485] = {.lex_state = 375, .external_lex_state = 22},
  [9486] = {.lex_state = 455, .external_lex_state = 22},
  [9487] = {.lex_state = 375, .external_lex_state = 22},
  [9488] = {.lex_state = 375, .external_lex_state = 22},
  [9489] = {.lex_state = 375, .external_lex_state = 22},
  [9490] = {.lex_state = 375, .external_lex_state = 22},
  [9491] = {.lex_state = 375, .external_lex_state = 22},
  [9492] = {.lex_state = 375, .external_lex_state = 22},
  [9493] = {.lex_state = 375, .external_lex_state = 22},
  [9494] = {.lex_state = 375, .external_lex_state = 22},
  [9495] = {.lex_state = 395, .external_lex_state = 39},
  [9496] = {.lex_state = 395, .external_lex_state = 3},
  [9497] = {.lex_state = 395, .external_lex_state = 3},
  [9498] = {.lex_state = 395, .external_lex_state = 3},
  [9499] = {.lex_state = 395, .external_lex_state = 3},
  [9500] = {.lex_state = 395, .external_lex_state = 3},
  [9501] = {.lex_state = 395, .external_lex_state = 3},
  [9502] = {.lex_state = 395, .external_lex_state = 3},
  [9503] = {.lex_state = 395, .external_lex_state = 3},
  [9504] = {.lex_state = 455, .external_lex_state = 22},
  [9505] = {.lex_state = 395, .external_lex_state = 3},
  [9506] = {.lex_state = 395, .external_lex_state = 3},
  [9507] = {.lex_state = 395, .external_lex_state = 3},
  [9508] = {.lex_state = 395, .external_lex_state = 3},
  [9509] = {.lex_state = 395, .external_lex_state = 3},
  [9510] = {.lex_state = 395, .external_lex_state = 3},
  [9511] = {.lex_state = 395, .external_lex_state = 3},
  [9512] = {.lex_state = 395, .external_lex_state = 3},
  [9513] = {.lex_state = 395, .external_lex_state = 15},
  [9514] = {.lex_state = 479, .external_lex_state = 3},
  [9515] = {.lex_state = 479, .external_lex_state = 3},
  [9516] = {.lex_state = 185, .external_lex_state = 2},
  [9517] = {.lex_state = 185, .external_lex_state = 38},
  [9518] = {.lex_state = 479, .external_lex_state = 3},
  [9519] = {.lex_state = 375, .external_lex_state = 14},
  [9520] = {.lex_state = 379, .external_lex_state = 3},
  [9521] = {.lex_state = 379, .external_lex_state = 3},
  [9522] = {.lex_state = 379, .external_lex_state = 3},
  [9523] = {.lex_state = 379, .external_lex_state = 3},
  [9524] = {.lex_state = 379, .external_lex_state = 3},
  [9525] = {.lex_state = 379, .external_lex_state = 3},
  [9526] = {.lex_state = 455, .external_lex_state = 22},
  [9527] = {.lex_state = 379, .external_lex_state = 3},
  [9528] = {.lex_state = 379, .external_lex_state = 3},
  [9529] = {.lex_state = 379, .external_lex_state = 3},
  [9530] = {.lex_state = 379, .external_lex_state = 3},
  [9531] = {.lex_state = 379, .external_lex_state = 3},
  [9532] = {.lex_state = 379, .external_lex_state = 3},
  [9533] = {.lex_state = 379, .external_lex_state = 3},
  [9534] = {.lex_state = 379, .external_lex_state = 3},
  [9535] = {.lex_state = 379, .external_lex_state = 15},
  [9536] = {.lex_state = 185, .external_lex_state = 2},
  [9537] = {.lex_state = 185, .external_lex_state = 38},
  [9538] = {.lex_state = 467, .external_lex_state = 3},
  [9539] = {.lex_state = 375, .external_lex_state = 14},
  [9540] = {.lex_state = 375, .external_lex_state = 14},
  [9541] = {.lex_state = 375, .external_lex_state = 14},
  [9542] = {.lex_state = 375, .external_lex_state = 14},
  [9543] = {.lex_state = 375, .external_lex_state = 14},
  [9544] = {.lex_state = 375, .external_lex_state = 14},
  [9545] = {.lex_state = 455, .external_lex_state = 22},
  [9546] = {.lex_state = 375, .external_lex_state = 14},
  [9547] = {.lex_state = 375, .external_lex_state = 14},
  [9548] = {.lex_state = 375, .external_lex_state = 14},
  [9549] = {.lex_state = 375, .external_lex_state = 14},
  [9550] = {.lex_state = 375, .external_lex_state = 14},
  [9551] = {.lex_state = 375, .external_lex_state = 14},
  [9552] = {.lex_state = 375, .external_lex_state = 14},
  [9553] = {.lex_state = 375, .external_lex_state = 14},
  [9554] = {.lex_state = 273, .external_lex_state = 17},
  [9555] = {.lex_state = 273, .external_lex_state = 17},
  [9556] = {.lex_state = 273, .external_lex_state = 17},
  [9557] = {.lex_state = 395, .external_lex_state = 32},
  [9558] = {.lex_state = 395, .external_lex_state = 32},
  [9559] = {.lex_state = 395, .external_lex_state = 32},
  [9560] = {.lex_state = 395, .external_lex_state = 32},
  [9561] = {.lex_state = 395, .external_lex_state = 32},
  [9562] = {.lex_state = 395, .external_lex_state = 32},
  [9563] = {.lex_state = 455, .external_lex_state = 22},
  [9564] = {.lex_state = 395, .external_lex_state = 32},
  [9565] = {.lex_state = 395, .external_lex_state = 32},
  [9566] = {.lex_state = 395, .external_lex_state = 32},
  [9567] = {.lex_state = 395, .external_lex_state = 32},
  [9568] = {.lex_state = 395, .external_lex_state = 32},
  [9569] = {.lex_state = 395, .external_lex_state = 32},
  [9570] = {.lex_state = 395, .external_lex_state = 32},
  [9571] = {.lex_state = 395, .external_lex_state = 32},
  [9572] = {.lex_state = 479, .external_lex_state = 32},
  [9573] = {.lex_state = 479, .external_lex_state = 32},
  [9574] = {.lex_state = 479, .external_lex_state = 32},
  [9575] = {.lex_state = 433, .external_lex_state = 43},
  [9576] = {.lex_state = 479, .external_lex_state = 32},
  [9577] = {.lex_state = 479, .external_lex_state = 32},
  [9578] = {.lex_state = 479, .external_lex_state = 32},
  [9579] = {.lex_state = 185, .external_lex_state = 2},
  [9580] = {.lex_state = 467, .external_lex_state = 32},
  [9581] = {.lex_state = 467, .external_lex_state = 32},
  [9582] = {.lex_state = 467, .external_lex_state = 32},
  [9583] = {.lex_state = 433, .external_lex_state = 43},
  [9584] = {.lex_state = 467, .external_lex_state = 32},
  [9585] = {.lex_state = 467, .external_lex_state = 32},
  [9586] = {.lex_state = 467, .external_lex_state = 32},
  [9587] = {.lex_state = 185, .external_lex_state = 38},
  [9588] = {.lex_state = 479, .external_lex_state = 32},
  [9589] = {.lex_state = 375, .external_lex_state = 35},
  [9590] = {.lex_state = 391, .external_lex_state = 32},
  [9591] = {.lex_state = 483, .external_lex_state = 33},
  [9592] = {.lex_state = 202},
  [9593] = {.lex_state = 379, .external_lex_state = 32},
  [9594] = {.lex_state = 379, .external_lex_state = 32},
  [9595] = {.lex_state = 379, .external_lex_state = 32},
  [9596] = {.lex_state = 379, .external_lex_state = 32},
  [9597] = {.lex_state = 379, .external_lex_state = 32},
  [9598] = {.lex_state = 379, .external_lex_state = 32},
  [9599] = {.lex_state = 455, .external_lex_state = 22},
  [9600] = {.lex_state = 379, .external_lex_state = 32},
  [9601] = {.lex_state = 379, .external_lex_state = 32},
  [9602] = {.lex_state = 379, .external_lex_state = 32},
  [9603] = {.lex_state = 379, .external_lex_state = 32},
  [9604] = {.lex_state = 379, .external_lex_state = 32},
  [9605] = {.lex_state = 379, .external_lex_state = 32},
  [9606] = {.lex_state = 379, .external_lex_state = 32},
  [9607] = {.lex_state = 379, .external_lex_state = 32},
  [9608] = {.lex_state = 379, .external_lex_state = 40},
  [9609] = {.lex_state = 391, .external_lex_state = 32},
  [9610] = {.lex_state = 391, .external_lex_state = 32},
  [9611] = {.lex_state = 123},
  [9612] = {.lex_state = 123, .external_lex_state = 2},
  [9613] = {.lex_state = 185, .external_lex_state = 2},
  [9614] = {.lex_state = 185, .external_lex_state = 38},
  [9615] = {.lex_state = 467, .external_lex_state = 32},
  [9616] = {.lex_state = 375, .external_lex_state = 35},
  [9617] = {.lex_state = 322, .external_lex_state = 32},
  [9618] = {.lex_state = 343, .external_lex_state = 32},
  [9619] = {.lex_state = 322, .external_lex_state = 32},
  [9620] = {.lex_state = 273, .external_lex_state = 17},
  [9621] = {.lex_state = 123},
  [9622] = {.lex_state = 273, .external_lex_state = 17},
  [9623] = {.lex_state = 273, .external_lex_state = 17},
  [9624] = {.lex_state = 273, .external_lex_state = 17},
  [9625] = {.lex_state = 273, .external_lex_state = 17},
  [9626] = {.lex_state = 273, .external_lex_state = 17},
  [9627] = {.lex_state = 123},
  [9628] = {.lex_state = 278, .external_lex_state = 20},
  [9629] = {.lex_state = 349, .external_lex_state = 32},
  [9630] = {.lex_state = 170, .external_lex_state = 4},
  [9631] = {.lex_state = 349, .external_lex_state = 32},
  [9632] = {.lex_state = 349, .external_lex_state = 32},
  [9633] = {.lex_state = 170, .external_lex_state = 4},
  [9634] = {.lex_state = 349, .external_lex_state = 32},
  [9635] = {.lex_state = 217, .external_lex_state = 7},
  [9636] = {.lex_state = 349, .external_lex_state = 32},
  [9637] = {.lex_state = 349, .external_lex_state = 32},
  [9638] = {.lex_state = 349, .external_lex_state = 32},
  [9639] = {.lex_state = 123},
  [9640] = {.lex_state = 123},
  [9641] = {.lex_state = 349, .external_lex_state = 32},
  [9642] = {.lex_state = 123},
  [9643] = {.lex_state = 349, .external_lex_state = 32},
  [9644] = {.lex_state = 349, .external_lex_state = 32},
  [9645] = {.lex_state = 349, .external_lex_state = 32},
  [9646] = {.lex_state = 123},
  [9647] = {.lex_state = 280, .external_lex_state = 17},
  [9648] = {.lex_state = 123},
  [9649] = {.lex_state = 349, .external_lex_state = 32},
  [9650] = {.lex_state = 123},
  [9651] = {.lex_state = 349, .external_lex_state = 32},
  [9652] = {.lex_state = 123},
  [9653] = {.lex_state = 365, .external_lex_state = 32},
  [9654] = {.lex_state = 349, .external_lex_state = 32},
  [9655] = {.lex_state = 365, .external_lex_state = 32},
  [9656] = {.lex_state = 185, .external_lex_state = 2},
  [9657] = {.lex_state = 411, .external_lex_state = 32},
  [9658] = {.lex_state = 411, .external_lex_state = 32},
  [9659] = {.lex_state = 411, .external_lex_state = 32},
  [9660] = {.lex_state = 411, .external_lex_state = 32},
  [9661] = {.lex_state = 411, .external_lex_state = 32},
  [9662] = {.lex_state = 411, .external_lex_state = 32},
  [9663] = {.lex_state = 455, .external_lex_state = 22},
  [9664] = {.lex_state = 411, .external_lex_state = 32},
  [9665] = {.lex_state = 411, .external_lex_state = 32},
  [9666] = {.lex_state = 411, .external_lex_state = 32},
  [9667] = {.lex_state = 411, .external_lex_state = 32},
  [9668] = {.lex_state = 411, .external_lex_state = 32},
  [9669] = {.lex_state = 411, .external_lex_state = 32},
  [9670] = {.lex_state = 411, .external_lex_state = 32},
  [9671] = {.lex_state = 411, .external_lex_state = 32},
  [9672] = {.lex_state = 185, .external_lex_state = 2},
  [9673] = {.lex_state = 185, .external_lex_state = 38},
  [9674] = {.lex_state = 411, .external_lex_state = 32},
  [9675] = {.lex_state = 282, .external_lex_state = 22},
  [9676] = {.lex_state = 296, .external_lex_state = 32},
  [9677] = {.lex_state = 296, .external_lex_state = 32},
  [9678] = {.lex_state = 296, .external_lex_state = 32},
  [9679] = {.lex_state = 296, .external_lex_state = 32},
  [9680] = {.lex_state = 296, .external_lex_state = 32},
  [9681] = {.lex_state = 296, .external_lex_state = 32},
  [9682] = {.lex_state = 455, .external_lex_state = 22},
  [9683] = {.lex_state = 296, .external_lex_state = 32},
  [9684] = {.lex_state = 296, .external_lex_state = 32},
  [9685] = {.lex_state = 296, .external_lex_state = 32},
  [9686] = {.lex_state = 296, .external_lex_state = 32},
  [9687] = {.lex_state = 296, .external_lex_state = 32},
  [9688] = {.lex_state = 296, .external_lex_state = 32},
  [9689] = {.lex_state = 296, .external_lex_state = 32},
  [9690] = {.lex_state = 296, .external_lex_state = 32},
  [9691] = {.lex_state = 296, .external_lex_state = 40},
  [9692] = {.lex_state = 185, .external_lex_state = 2},
  [9693] = {.lex_state = 185, .external_lex_state = 38},
  [9694] = {.lex_state = 413, .external_lex_state = 32},
  [9695] = {.lex_state = 282, .external_lex_state = 22},
  [9696] = {.lex_state = 282, .external_lex_state = 22},
  [9697] = {.lex_state = 282, .external_lex_state = 22},
  [9698] = {.lex_state = 282, .external_lex_state = 22},
  [9699] = {.lex_state = 282, .external_lex_state = 22},
  [9700] = {.lex_state = 282, .external_lex_state = 22},
  [9701] = {.lex_state = 455, .external_lex_state = 22},
  [9702] = {.lex_state = 282, .external_lex_state = 22},
  [9703] = {.lex_state = 282, .external_lex_state = 22},
  [9704] = {.lex_state = 282, .external_lex_state = 22},
  [9705] = {.lex_state = 282, .external_lex_state = 22},
  [9706] = {.lex_state = 282, .external_lex_state = 22},
  [9707] = {.lex_state = 282, .external_lex_state = 22},
  [9708] = {.lex_state = 282, .external_lex_state = 22},
  [9709] = {.lex_state = 282, .external_lex_state = 22},
  [9710] = {.lex_state = 493, .external_lex_state = 39},
  [9711] = {.lex_state = 123, .external_lex_state = 2},
  [9712] = {.lex_state = 243, .external_lex_state = 8},
  [9713] = {.lex_state = 187},
  [9714] = {.lex_state = 243, .external_lex_state = 8},
  [9715] = {.lex_state = 123},
  [9716] = {.lex_state = 123, .external_lex_state = 2},
  [9717] = {.lex_state = 123, .external_lex_state = 12},
  [9718] = {.lex_state = 243, .external_lex_state = 8},
  [9719] = {.lex_state = 282},
  [9720] = {.lex_state = 243, .external_lex_state = 8},
  [9721] = {.lex_state = 243, .external_lex_state = 8},
  [9722] = {.lex_state = 499, .external_lex_state = 32},
  [9723] = {.lex_state = 499, .external_lex_state = 32},
  [9724] = {.lex_state = 185, .external_lex_state = 2},
  [9725] = {.lex_state = 499, .external_lex_state = 32},
  [9726] = {.lex_state = 185, .external_lex_state = 2},
  [9727] = {.lex_state = 499, .external_lex_state = 32},
  [9728] = {.lex_state = 433, .external_lex_state = 13},
  [9729] = {.lex_state = 499, .external_lex_state = 32},
  [9730] = {.lex_state = 185, .external_lex_state = 2},
  [9731] = {.lex_state = 499, .external_lex_state = 32},
  [9732] = {.lex_state = 499, .external_lex_state = 32},
  [9733] = {.lex_state = 499, .external_lex_state = 32},
  [9734] = {.lex_state = 499, .external_lex_state = 32},
  [9735] = {.lex_state = 499, .external_lex_state = 32},
  [9736] = {.lex_state = 499, .external_lex_state = 32},
  [9737] = {.lex_state = 455, .external_lex_state = 22},
  [9738] = {.lex_state = 499, .external_lex_state = 32},
  [9739] = {.lex_state = 499, .external_lex_state = 32},
  [9740] = {.lex_state = 499, .external_lex_state = 32},
  [9741] = {.lex_state = 499, .external_lex_state = 32},
  [9742] = {.lex_state = 499, .external_lex_state = 32},
  [9743] = {.lex_state = 499, .external_lex_state = 32},
  [9744] = {.lex_state = 499, .external_lex_state = 32},
  [9745] = {.lex_state = 499, .external_lex_state = 32},
  [9746] = {.lex_state = 499, .external_lex_state = 40},
  [9747] = {.lex_state = 489, .external_lex_state = 32},
  [9748] = {.lex_state = 489, .external_lex_state = 32},
  [9749] = {.lex_state = 489, .external_lex_state = 32},
  [9750] = {.lex_state = 433, .external_lex_state = 43},
  [9751] = {.lex_state = 489, .external_lex_state = 32},
  [9752] = {.lex_state = 489, .external_lex_state = 32},
  [9753] = {.lex_state = 489, .external_lex_state = 32},
  [9754] = {.lex_state = 185, .external_lex_state = 2},
  [9755] = {.lex_state = 185, .external_lex_state = 38},
  [9756] = {.lex_state = 489, .external_lex_state = 32},
  [9757] = {.lex_state = 411, .external_lex_state = 3},
  [9758] = {.lex_state = 411, .external_lex_state = 3},
  [9759] = {.lex_state = 185, .external_lex_state = 2},
  [9760] = {.lex_state = 185, .external_lex_state = 38},
  [9761] = {.lex_state = 411, .external_lex_state = 3},
  [9762] = {.lex_state = 411, .external_lex_state = 3},
  [9763] = {.lex_state = 411, .external_lex_state = 3},
  [9764] = {.lex_state = 185, .external_lex_state = 2},
  [9765] = {.lex_state = 185, .external_lex_state = 38},
  [9766] = {.lex_state = 296, .external_lex_state = 3},
  [9767] = {.lex_state = 413, .external_lex_state = 3},
  [9768] = {.lex_state = 413, .external_lex_state = 3},
  [9769] = {.lex_state = 185, .external_lex_state = 2},
  [9770] = {.lex_state = 302, .external_lex_state = 25},
  [9771] = {.lex_state = 302, .external_lex_state = 25},
  [9772] = {.lex_state = 302, .external_lex_state = 25},
  [9773] = {.lex_state = 322, .external_lex_state = 32},
  [9774] = {.lex_state = 322, .external_lex_state = 32},
  [9775] = {.lex_state = 322, .external_lex_state = 32},
  [9776] = {.lex_state = 433, .external_lex_state = 43},
  [9777] = {.lex_state = 322, .external_lex_state = 32},
  [9778] = {.lex_state = 322, .external_lex_state = 32},
  [9779] = {.lex_state = 322, .external_lex_state = 32},
  [9780] = {.lex_state = 185, .external_lex_state = 2},
  [9781] = {.lex_state = 367, .external_lex_state = 32},
  [9782] = {.lex_state = 367, .external_lex_state = 32},
  [9783] = {.lex_state = 367, .external_lex_state = 32},
  [9784] = {.lex_state = 185, .external_lex_state = 2},
  [9785] = {.lex_state = 185, .external_lex_state = 2},
  [9786] = {.lex_state = 185, .external_lex_state = 2},
  [9787] = {.lex_state = 185, .external_lex_state = 2},
  [9788] = {.lex_state = 185, .external_lex_state = 2},
  [9789] = {.lex_state = 185, .external_lex_state = 2},
  [9790] = {.lex_state = 185, .external_lex_state = 2},
  [9791] = {.lex_state = 185, .external_lex_state = 2},
  [9792] = {.lex_state = 185, .external_lex_state = 2},
  [9793] = {.lex_state = 185, .external_lex_state = 2},
  [9794] = {.lex_state = 185, .external_lex_state = 2},
  [9795] = {.lex_state = 185, .external_lex_state = 2},
  [9796] = {.lex_state = 185, .external_lex_state = 38},
  [9797] = {.lex_state = 185, .external_lex_state = 2},
  [9798] = {.lex_state = 367, .external_lex_state = 40},
  [9799] = {.lex_state = 367, .external_lex_state = 32},
  [9800] = {.lex_state = 367, .external_lex_state = 32},
  [9801] = {.lex_state = 367, .external_lex_state = 32},
  [9802] = {.lex_state = 433, .external_lex_state = 43},
  [9803] = {.lex_state = 367, .external_lex_state = 32},
  [9804] = {.lex_state = 367, .external_lex_state = 32},
  [9805] = {.lex_state = 367, .external_lex_state = 32},
  [9806] = {.lex_state = 185, .external_lex_state = 38},
  [9807] = {.lex_state = 322, .external_lex_state = 32},
  [9808] = {.lex_state = 302, .external_lex_state = 25},
  [9809] = {.lex_state = 123},
  [9810] = {.lex_state = 302, .external_lex_state = 25},
  [9811] = {.lex_state = 302, .external_lex_state = 25},
  [9812] = {.lex_state = 302, .external_lex_state = 25},
  [9813] = {.lex_state = 302, .external_lex_state = 25},
  [9814] = {.lex_state = 302, .external_lex_state = 25},
  [9815] = {.lex_state = 123},
  [9816] = {.lex_state = 405, .external_lex_state = 26},
  [9817] = {.lex_state = 499, .external_lex_state = 32},
  [9818] = {.lex_state = 499, .external_lex_state = 32},
  [9819] = {.lex_state = 170, .external_lex_state = 4},
  [9820] = {.lex_state = 251, .external_lex_state = 16},
  [9821] = {.lex_state = 499, .external_lex_state = 32},
  [9822] = {.lex_state = 170, .external_lex_state = 4},
  [9823] = {.lex_state = 499, .external_lex_state = 32},
  [9824] = {.lex_state = 499, .external_lex_state = 32},
  [9825] = {.lex_state = 170, .external_lex_state = 4},
  [9826] = {.lex_state = 251, .external_lex_state = 16},
  [9827] = {.lex_state = 499, .external_lex_state = 32},
  [9828] = {.lex_state = 170, .external_lex_state = 4},
  [9829] = {.lex_state = 499, .external_lex_state = 32},
  [9830] = {.lex_state = 228},
  [9831] = {.lex_state = 499, .external_lex_state = 32},
  [9832] = {.lex_state = 499, .external_lex_state = 32},
  [9833] = {.lex_state = 123, .external_lex_state = 2},
  [9834] = {.lex_state = 123, .external_lex_state = 2},
  [9835] = {.lex_state = 499, .external_lex_state = 32},
  [9836] = {.lex_state = 499, .external_lex_state = 32},
  [9837] = {.lex_state = 499, .external_lex_state = 32},
  [9838] = {.lex_state = 202},
  [9839] = {.lex_state = 503, .external_lex_state = 32},
  [9840] = {.lex_state = 503, .external_lex_state = 32},
  [9841] = {.lex_state = 499, .external_lex_state = 32},
  [9842] = {.lex_state = 170, .external_lex_state = 18},
  [9843] = {.lex_state = 503, .external_lex_state = 32},
  [9844] = {.lex_state = 499, .external_lex_state = 32},
  [9845] = {.lex_state = 433, .external_lex_state = 43},
  [9846] = {.lex_state = 503, .external_lex_state = 32},
  [9847] = {.lex_state = 503, .external_lex_state = 32},
  [9848] = {.lex_state = 503, .external_lex_state = 32},
  [9849] = {.lex_state = 499, .external_lex_state = 32},
  [9850] = {.lex_state = 123},
  [9851] = {.lex_state = 123},
  [9852] = {.lex_state = 123, .external_lex_state = 2},
  [9853] = {.lex_state = 499, .external_lex_state = 32},
  [9854] = {.lex_state = 123},
  [9855] = {.lex_state = 123},
  [9856] = {.lex_state = 499, .external_lex_state = 32},
  [9857] = {.lex_state = 123},
  [9858] = {.lex_state = 499, .external_lex_state = 32},
  [9859] = {.lex_state = 123},
  [9860] = {.lex_state = 123, .external_lex_state = 2},
  [9861] = {.lex_state = 123},
  [9862] = {.lex_state = 123},
  [9863] = {.lex_state = 499, .external_lex_state = 32},
  [9864] = {.lex_state = 499, .external_lex_state = 32},
  [9865] = {.lex_state = 123},
  [9866] = {.lex_state = 123},
  [9867] = {.lex_state = 499, .external_lex_state = 32},
  [9868] = {.lex_state = 499, .external_lex_state = 32},
  [9869] = {.lex_state = 187},
  [9870] = {.lex_state = 499, .external_lex_state = 32},
  [9871] = {.lex_state = 123},
  [9872] = {.lex_state = 123, .external_lex_state = 2},
  [9873] = {.lex_state = 123, .external_lex_state = 12},
  [9874] = {.lex_state = 185, .external_lex_state = 2},
  [9875] = {.lex_state = 185, .external_lex_state = 38},
  [9876] = {.lex_state = 503, .external_lex_state = 32},
  [9877] = {.lex_state = 421, .external_lex_state = 32},
  [9878] = {.lex_state = 421, .external_lex_state = 32},
  [9879] = {.lex_state = 421, .external_lex_state = 32},
  [9880] = {.lex_state = 421, .external_lex_state = 32},
  [9881] = {.lex_state = 421, .external_lex_state = 32},
  [9882] = {.lex_state = 433, .external_lex_state = 43},
  [9883] = {.lex_state = 421, .external_lex_state = 32},
  [9884] = {.lex_state = 421, .external_lex_state = 32},
  [9885] = {.lex_state = 421, .external_lex_state = 32},
  [9886] = {.lex_state = 185, .external_lex_state = 2},
  [9887] = {.lex_state = 185, .external_lex_state = 38},
  [9888] = {.lex_state = 421, .external_lex_state = 32},
  [9889] = {.lex_state = 421, .external_lex_state = 32},
  [9890] = {.lex_state = 421, .external_lex_state = 32},
  [9891] = {.lex_state = 324, .external_lex_state = 3},
  [9892] = {.lex_state = 324, .external_lex_state = 3},
  [9893] = {.lex_state = 411, .external_lex_state = 32},
  [9894] = {.lex_state = 411, .external_lex_state = 32},
  [9895] = {.lex_state = 185, .external_lex_state = 2},
  [9896] = {.lex_state = 282, .external_lex_state = 35},
  [9897] = {.lex_state = 185, .external_lex_state = 38},
  [9898] = {.lex_state = 282, .external_lex_state = 35},
  [9899] = {.lex_state = 282, .external_lex_state = 35},
  [9900] = {.lex_state = 282, .external_lex_state = 35},
  [9901] = {.lex_state = 431, .external_lex_state = 11},
  [9902] = {.lex_state = 280, .external_lex_state = 3},
  [9903] = {.lex_state = 123},
  [9904] = {.lex_state = 322, .external_lex_state = 3},
  [9905] = {.lex_state = 322, .external_lex_state = 3},
  [9906] = {.lex_state = 185, .external_lex_state = 2},
  [9907] = {.lex_state = 185, .external_lex_state = 38},
  [9908] = {.lex_state = 322, .external_lex_state = 3},
  [9909] = {.lex_state = 322, .external_lex_state = 3},
  [9910] = {.lex_state = 322, .external_lex_state = 3},
  [9911] = {.lex_state = 322, .external_lex_state = 3},
  [9912] = {.lex_state = 322, .external_lex_state = 3},
  [9913] = {.lex_state = 322, .external_lex_state = 3},
  [9914] = {.lex_state = 322, .external_lex_state = 3},
  [9915] = {.lex_state = 322, .external_lex_state = 3},
  [9916] = {.lex_state = 185, .external_lex_state = 2},
  [9917] = {.lex_state = 185, .external_lex_state = 2},
  [9918] = {.lex_state = 185, .external_lex_state = 2},
  [9919] = {.lex_state = 185, .external_lex_state = 2},
  [9920] = {.lex_state = 185, .external_lex_state = 2},
  [9921] = {.lex_state = 185, .external_lex_state = 2},
  [9922] = {.lex_state = 185, .external_lex_state = 2},
  [9923] = {.lex_state = 185, .external_lex_state = 2},
  [9924] = {.lex_state = 185, .external_lex_state = 2},
  [9925] = {.lex_state = 185, .external_lex_state = 2},
  [9926] = {.lex_state = 185, .external_lex_state = 2},
  [9927] = {.lex_state = 185, .external_lex_state = 2},
  [9928] = {.lex_state = 185, .external_lex_state = 38},
  [9929] = {.lex_state = 185, .external_lex_state = 2},
  [9930] = {.lex_state = 324, .external_lex_state = 15},
  [9931] = {.lex_state = 322, .external_lex_state = 3},
  [9932] = {.lex_state = 322, .external_lex_state = 3},
  [9933] = {.lex_state = 322, .external_lex_state = 3},
  [9934] = {.lex_state = 185, .external_lex_state = 2},
  [9935] = {.lex_state = 322, .external_lex_state = 3},
  [9936] = {.lex_state = 185, .external_lex_state = 2},
  [9937] = {.lex_state = 322, .external_lex_state = 3},
  [9938] = {.lex_state = 433, .external_lex_state = 13},
  [9939] = {.lex_state = 322, .external_lex_state = 3},
  [9940] = {.lex_state = 185, .external_lex_state = 2},
  [9941] = {.lex_state = 322, .external_lex_state = 3},
  [9942] = {.lex_state = 322, .external_lex_state = 3},
  [9943] = {.lex_state = 322, .external_lex_state = 3},
  [9944] = {.lex_state = 322, .external_lex_state = 3},
  [9945] = {.lex_state = 322, .external_lex_state = 3},
  [9946] = {.lex_state = 322, .external_lex_state = 3},
  [9947] = {.lex_state = 322, .external_lex_state = 3},
  [9948] = {.lex_state = 455, .external_lex_state = 22},
  [9949] = {.lex_state = 322, .external_lex_state = 3},
  [9950] = {.lex_state = 322, .external_lex_state = 3},
  [9951] = {.lex_state = 322, .external_lex_state = 3},
  [9952] = {.lex_state = 322, .external_lex_state = 3},
  [9953] = {.lex_state = 322, .external_lex_state = 3},
  [9954] = {.lex_state = 365, .external_lex_state = 3},
  [9955] = {.lex_state = 365, .external_lex_state = 3},
  [9956] = {.lex_state = 185, .external_lex_state = 2},
  [9957] = {.lex_state = 365, .external_lex_state = 3},
  [9958] = {.lex_state = 185, .external_lex_state = 2},
  [9959] = {.lex_state = 365, .external_lex_state = 3},
  [9960] = {.lex_state = 433, .external_lex_state = 13},
  [9961] = {.lex_state = 365, .external_lex_state = 3},
  [9962] = {.lex_state = 185, .external_lex_state = 2},
  [9963] = {.lex_state = 249, .external_lex_state = 3},
  [9964] = {.lex_state = 433, .external_lex_state = 43},
  [9965] = {.lex_state = 249, .external_lex_state = 3},
  [9966] = {.lex_state = 322, .external_lex_state = 3},
  [9967] = {.lex_state = 322, .external_lex_state = 3},
  [9968] = {.lex_state = 322, .external_lex_state = 3},
  [9969] = {.lex_state = 322, .external_lex_state = 3},
  [9970] = {.lex_state = 322, .external_lex_state = 3},
  [9971] = {.lex_state = 322, .external_lex_state = 15},
  [9972] = {.lex_state = 123},
  [9973] = {.lex_state = 123},
  [9974] = {.lex_state = 243, .external_lex_state = 8},
  [9975] = {.lex_state = 123, .external_lex_state = 2},
  [9976] = {.lex_state = 185, .external_lex_state = 2},
  [9977] = {.lex_state = 367, .external_lex_state = 3},
  [9978] = {.lex_state = 367, .external_lex_state = 3},
  [9979] = {.lex_state = 367, .external_lex_state = 3},
  [9980] = {.lex_state = 185, .external_lex_state = 2},
  [9981] = {.lex_state = 185, .external_lex_state = 2},
  [9982] = {.lex_state = 185, .external_lex_state = 2},
  [9983] = {.lex_state = 185, .external_lex_state = 2},
  [9984] = {.lex_state = 185, .external_lex_state = 2},
  [9985] = {.lex_state = 185, .external_lex_state = 2},
  [9986] = {.lex_state = 185, .external_lex_state = 2},
  [9987] = {.lex_state = 185, .external_lex_state = 2},
  [9988] = {.lex_state = 185, .external_lex_state = 2},
  [9989] = {.lex_state = 185, .external_lex_state = 2},
  [9990] = {.lex_state = 185, .external_lex_state = 2},
  [9991] = {.lex_state = 185, .external_lex_state = 2},
  [9992] = {.lex_state = 185, .external_lex_state = 38},
  [9993] = {.lex_state = 185, .external_lex_state = 2},
  [9994] = {.lex_state = 367, .external_lex_state = 15},
  [9995] = {.lex_state = 367, .external_lex_state = 3},
  [9996] = {.lex_state = 365, .external_lex_state = 3},
  [9997] = {.lex_state = 365, .external_lex_state = 3},
  [9998] = {.lex_state = 365, .external_lex_state = 3},
  [9999] = {.lex_state = 365, .external_lex_state = 3},
  [10000] = {.lex_state = 365, .external_lex_state = 3},
  [10001] = {.lex_state = 365, .external_lex_state = 3},
  [10002] = {.lex_state = 367, .external_lex_state = 3},
  [10003] = {.lex_state = 455, .external_lex_state = 22},
  [10004] = {.lex_state = 365, .external_lex_state = 3},
  [10005] = {.lex_state = 365, .external_lex_state = 3},
  [10006] = {.lex_state = 365, .external_lex_state = 3},
  [10007] = {.lex_state = 365, .external_lex_state = 3},
  [10008] = {.lex_state = 365, .external_lex_state = 3},
  [10009] = {.lex_state = 367, .external_lex_state = 3},
  [10010] = {.lex_state = 433, .external_lex_state = 43},
  [10011] = {.lex_state = 367, .external_lex_state = 3},
  [10012] = {.lex_state = 367, .external_lex_state = 3},
  [10013] = {.lex_state = 365, .external_lex_state = 3},
  [10014] = {.lex_state = 365, .external_lex_state = 3},
  [10015] = {.lex_state = 365, .external_lex_state = 3},
  [10016] = {.lex_state = 367, .external_lex_state = 3},
  [10017] = {.lex_state = 365, .external_lex_state = 15},
  [10018] = {.lex_state = 437, .external_lex_state = 14},
  [10019] = {.lex_state = 437, .external_lex_state = 14},
  [10020] = {.lex_state = 437, .external_lex_state = 14},
  [10021] = {.lex_state = 437, .external_lex_state = 14},
  [10022] = {.lex_state = 185, .external_lex_state = 2},
  [10023] = {.lex_state = 185, .external_lex_state = 2},
  [10024] = {.lex_state = 185, .external_lex_state = 2},
  [10025] = {.lex_state = 185, .external_lex_state = 2},
  [10026] = {.lex_state = 185, .external_lex_state = 2},
  [10027] = {.lex_state = 185, .external_lex_state = 2},
  [10028] = {.lex_state = 185, .external_lex_state = 2},
  [10029] = {.lex_state = 185, .external_lex_state = 2},
  [10030] = {.lex_state = 185, .external_lex_state = 2},
  [10031] = {.lex_state = 185, .external_lex_state = 2},
  [10032] = {.lex_state = 185, .external_lex_state = 2},
  [10033] = {.lex_state = 185, .external_lex_state = 2},
  [10034] = {.lex_state = 185, .external_lex_state = 38},
  [10035] = {.lex_state = 437, .external_lex_state = 14},
  [10036] = {.lex_state = 185, .external_lex_state = 38},
  [10037] = {.lex_state = 185, .external_lex_state = 2},
  [10038] = {.lex_state = 151, .external_lex_state = 3},
  [10039] = {.lex_state = 185, .external_lex_state = 2},
  [10040] = {.lex_state = 185, .external_lex_state = 38},
  [10041] = {.lex_state = 367, .external_lex_state = 3},
  [10042] = {.lex_state = 365, .external_lex_state = 3},
  [10043] = {.lex_state = 365, .external_lex_state = 3},
  [10044] = {.lex_state = 185, .external_lex_state = 2},
  [10045] = {.lex_state = 322, .external_lex_state = 3},
  [10046] = {.lex_state = 322, .external_lex_state = 3},
  [10047] = {.lex_state = 322, .external_lex_state = 3},
  [10048] = {.lex_state = 322, .external_lex_state = 3},
  [10049] = {.lex_state = 322, .external_lex_state = 3},
  [10050] = {.lex_state = 185, .external_lex_state = 2},
  [10051] = {.lex_state = 185, .external_lex_state = 2},
  [10052] = {.lex_state = 185, .external_lex_state = 2},
  [10053] = {.lex_state = 185, .external_lex_state = 2},
  [10054] = {.lex_state = 185, .external_lex_state = 2},
  [10055] = {.lex_state = 185, .external_lex_state = 2},
  [10056] = {.lex_state = 185, .external_lex_state = 2},
  [10057] = {.lex_state = 185, .external_lex_state = 2},
  [10058] = {.lex_state = 185, .external_lex_state = 2},
  [10059] = {.lex_state = 185, .external_lex_state = 2},
  [10060] = {.lex_state = 185, .external_lex_state = 2},
  [10061] = {.lex_state = 185, .external_lex_state = 2},
  [10062] = {.lex_state = 185, .external_lex_state = 38},
  [10063] = {.lex_state = 185, .external_lex_state = 2},
  [10064] = {.lex_state = 324, .external_lex_state = 15},
  [10065] = {.lex_state = 322, .external_lex_state = 3},
  [10066] = {.lex_state = 322, .external_lex_state = 3},
  [10067] = {.lex_state = 322, .external_lex_state = 3},
  [10068] = {.lex_state = 185, .external_lex_state = 2},
  [10069] = {.lex_state = 322, .external_lex_state = 3},
  [10070] = {.lex_state = 185, .external_lex_state = 2},
  [10071] = {.lex_state = 322, .external_lex_state = 3},
  [10072] = {.lex_state = 433, .external_lex_state = 13},
  [10073] = {.lex_state = 322, .external_lex_state = 3},
  [10074] = {.lex_state = 185, .external_lex_state = 2},
  [10075] = {.lex_state = 322, .external_lex_state = 3},
  [10076] = {.lex_state = 322, .external_lex_state = 3},
  [10077] = {.lex_state = 322, .external_lex_state = 3},
  [10078] = {.lex_state = 322, .external_lex_state = 3},
  [10079] = {.lex_state = 322, .external_lex_state = 3},
  [10080] = {.lex_state = 322, .external_lex_state = 3},
  [10081] = {.lex_state = 322, .external_lex_state = 3},
  [10082] = {.lex_state = 455, .external_lex_state = 22},
  [10083] = {.lex_state = 322, .external_lex_state = 3},
  [10084] = {.lex_state = 322, .external_lex_state = 3},
  [10085] = {.lex_state = 322, .external_lex_state = 3},
  [10086] = {.lex_state = 322, .external_lex_state = 3},
  [10087] = {.lex_state = 322, .external_lex_state = 3},
  [10088] = {.lex_state = 365, .external_lex_state = 3},
  [10089] = {.lex_state = 365, .external_lex_state = 3},
  [10090] = {.lex_state = 185, .external_lex_state = 2},
  [10091] = {.lex_state = 365, .external_lex_state = 3},
  [10092] = {.lex_state = 185, .external_lex_state = 2},
  [10093] = {.lex_state = 365, .external_lex_state = 3},
  [10094] = {.lex_state = 433, .external_lex_state = 13},
  [10095] = {.lex_state = 365, .external_lex_state = 3},
  [10096] = {.lex_state = 185, .external_lex_state = 2},
  [10097] = {.lex_state = 249, .external_lex_state = 3},
  [10098] = {.lex_state = 433, .external_lex_state = 43},
  [10099] = {.lex_state = 249, .external_lex_state = 3},
  [10100] = {.lex_state = 322, .external_lex_state = 3},
  [10101] = {.lex_state = 322, .external_lex_state = 3},
  [10102] = {.lex_state = 322, .external_lex_state = 3},
  [10103] = {.lex_state = 322, .external_lex_state = 3},
  [10104] = {.lex_state = 322, .external_lex_state = 3},
  [10105] = {.lex_state = 322, .external_lex_state = 15},
  [10106] = {.lex_state = 243, .external_lex_state = 8},
  [10107] = {.lex_state = 123, .external_lex_state = 2},
  [10108] = {.lex_state = 185, .external_lex_state = 2},
  [10109] = {.lex_state = 367, .external_lex_state = 3},
  [10110] = {.lex_state = 367, .external_lex_state = 3},
  [10111] = {.lex_state = 367, .external_lex_state = 3},
  [10112] = {.lex_state = 185, .external_lex_state = 2},
  [10113] = {.lex_state = 185, .external_lex_state = 2},
  [10114] = {.lex_state = 185, .external_lex_state = 2},
  [10115] = {.lex_state = 185, .external_lex_state = 2},
  [10116] = {.lex_state = 185, .external_lex_state = 2},
  [10117] = {.lex_state = 185, .external_lex_state = 2},
  [10118] = {.lex_state = 185, .external_lex_state = 2},
  [10119] = {.lex_state = 185, .external_lex_state = 2},
  [10120] = {.lex_state = 185, .external_lex_state = 2},
  [10121] = {.lex_state = 185, .external_lex_state = 2},
  [10122] = {.lex_state = 185, .external_lex_state = 2},
  [10123] = {.lex_state = 185, .external_lex_state = 2},
  [10124] = {.lex_state = 185, .external_lex_state = 38},
  [10125] = {.lex_state = 185, .external_lex_state = 2},
  [10126] = {.lex_state = 367, .external_lex_state = 15},
  [10127] = {.lex_state = 367, .external_lex_state = 3},
  [10128] = {.lex_state = 365, .external_lex_state = 3},
  [10129] = {.lex_state = 365, .external_lex_state = 3},
  [10130] = {.lex_state = 365, .external_lex_state = 3},
  [10131] = {.lex_state = 365, .external_lex_state = 3},
  [10132] = {.lex_state = 365, .external_lex_state = 3},
  [10133] = {.lex_state = 365, .external_lex_state = 3},
  [10134] = {.lex_state = 367, .external_lex_state = 3},
  [10135] = {.lex_state = 455, .external_lex_state = 22},
  [10136] = {.lex_state = 365, .external_lex_state = 3},
  [10137] = {.lex_state = 365, .external_lex_state = 3},
  [10138] = {.lex_state = 365, .external_lex_state = 3},
  [10139] = {.lex_state = 365, .external_lex_state = 3},
  [10140] = {.lex_state = 365, .external_lex_state = 3},
  [10141] = {.lex_state = 367, .external_lex_state = 3},
  [10142] = {.lex_state = 433, .external_lex_state = 43},
  [10143] = {.lex_state = 367, .external_lex_state = 3},
  [10144] = {.lex_state = 367, .external_lex_state = 3},
  [10145] = {.lex_state = 365, .external_lex_state = 3},
  [10146] = {.lex_state = 365, .external_lex_state = 3},
  [10147] = {.lex_state = 365, .external_lex_state = 3},
  [10148] = {.lex_state = 367, .external_lex_state = 3},
  [10149] = {.lex_state = 365, .external_lex_state = 15},
  [10150] = {.lex_state = 437, .external_lex_state = 14},
  [10151] = {.lex_state = 437, .external_lex_state = 14},
  [10152] = {.lex_state = 437, .external_lex_state = 14},
  [10153] = {.lex_state = 437, .external_lex_state = 14},
  [10154] = {.lex_state = 185, .external_lex_state = 2},
  [10155] = {.lex_state = 185, .external_lex_state = 2},
  [10156] = {.lex_state = 185, .external_lex_state = 2},
  [10157] = {.lex_state = 185, .external_lex_state = 2},
  [10158] = {.lex_state = 185, .external_lex_state = 2},
  [10159] = {.lex_state = 185, .external_lex_state = 2},
  [10160] = {.lex_state = 185, .external_lex_state = 2},
  [10161] = {.lex_state = 185, .external_lex_state = 2},
  [10162] = {.lex_state = 185, .external_lex_state = 2},
  [10163] = {.lex_state = 185, .external_lex_state = 2},
  [10164] = {.lex_state = 185, .external_lex_state = 2},
  [10165] = {.lex_state = 185, .external_lex_state = 2},
  [10166] = {.lex_state = 185, .external_lex_state = 38},
  [10167] = {.lex_state = 437, .external_lex_state = 14},
  [10168] = {.lex_state = 185, .external_lex_state = 38},
  [10169] = {.lex_state = 185, .external_lex_state = 2},
  [10170] = {.lex_state = 322, .external_lex_state = 3},
  [10171] = {.lex_state = 322, .external_lex_state = 3},
  [10172] = {.lex_state = 185, .external_lex_state = 2},
  [10173] = {.lex_state = 185, .external_lex_state = 38},
  [10174] = {.lex_state = 322, .external_lex_state = 3},
  [10175] = {.lex_state = 322, .external_lex_state = 3},
  [10176] = {.lex_state = 322, .external_lex_state = 3},
  [10177] = {.lex_state = 185, .external_lex_state = 2},
  [10178] = {.lex_state = 185, .external_lex_state = 38},
  [10179] = {.lex_state = 367, .external_lex_state = 3},
  [10180] = {.lex_state = 365, .external_lex_state = 3},
  [10181] = {.lex_state = 365, .external_lex_state = 3},
  [10182] = {.lex_state = 185, .external_lex_state = 2},
  [10183] = {.lex_state = 421, .external_lex_state = 32},
  [10184] = {.lex_state = 421, .external_lex_state = 32},
  [10185] = {.lex_state = 421, .external_lex_state = 32},
  [10186] = {.lex_state = 433, .external_lex_state = 43},
  [10187] = {.lex_state = 421, .external_lex_state = 32},
  [10188] = {.lex_state = 421, .external_lex_state = 32},
  [10189] = {.lex_state = 421, .external_lex_state = 32},
  [10190] = {.lex_state = 185, .external_lex_state = 2},
  [10191] = {.lex_state = 367, .external_lex_state = 32},
  [10192] = {.lex_state = 367, .external_lex_state = 32},
  [10193] = {.lex_state = 367, .external_lex_state = 32},
  [10194] = {.lex_state = 185, .external_lex_state = 2},
  [10195] = {.lex_state = 185, .external_lex_state = 2},
  [10196] = {.lex_state = 185, .external_lex_state = 2},
  [10197] = {.lex_state = 185, .external_lex_state = 2},
  [10198] = {.lex_state = 185, .external_lex_state = 2},
  [10199] = {.lex_state = 185, .external_lex_state = 2},
  [10200] = {.lex_state = 185, .external_lex_state = 2},
  [10201] = {.lex_state = 185, .external_lex_state = 2},
  [10202] = {.lex_state = 185, .external_lex_state = 2},
  [10203] = {.lex_state = 185, .external_lex_state = 2},
  [10204] = {.lex_state = 185, .external_lex_state = 2},
  [10205] = {.lex_state = 185, .external_lex_state = 2},
  [10206] = {.lex_state = 185, .external_lex_state = 38},
  [10207] = {.lex_state = 185, .external_lex_state = 2},
  [10208] = {.lex_state = 367, .external_lex_state = 40},
  [10209] = {.lex_state = 367, .external_lex_state = 32},
  [10210] = {.lex_state = 367, .external_lex_state = 32},
  [10211] = {.lex_state = 367, .external_lex_state = 32},
  [10212] = {.lex_state = 433, .external_lex_state = 43},
  [10213] = {.lex_state = 367, .external_lex_state = 32},
  [10214] = {.lex_state = 367, .external_lex_state = 32},
  [10215] = {.lex_state = 367, .external_lex_state = 32},
  [10216] = {.lex_state = 185, .external_lex_state = 38},
  [10217] = {.lex_state = 421, .external_lex_state = 32},
  [10218] = {.lex_state = 421, .external_lex_state = 32},
  [10219] = {.lex_state = 185, .external_lex_state = 2},
  [10220] = {.lex_state = 185, .external_lex_state = 38},
  [10221] = {.lex_state = 365, .external_lex_state = 32},
  [10222] = {.lex_state = 421, .external_lex_state = 32},
  [10223] = {.lex_state = 322, .external_lex_state = 3},
  [10224] = {.lex_state = 322, .external_lex_state = 3},
  [10225] = {.lex_state = 185, .external_lex_state = 2},
  [10226] = {.lex_state = 185, .external_lex_state = 38},
  [10227] = {.lex_state = 322, .external_lex_state = 3},
  [10228] = {.lex_state = 322, .external_lex_state = 3},
  [10229] = {.lex_state = 322, .external_lex_state = 3},
  [10230] = {.lex_state = 185, .external_lex_state = 2},
  [10231] = {.lex_state = 322, .external_lex_state = 3},
  [10232] = {.lex_state = 322, .external_lex_state = 3},
  [10233] = {.lex_state = 322, .external_lex_state = 3},
  [10234] = {.lex_state = 185, .external_lex_state = 2},
  [10235] = {.lex_state = 185, .external_lex_state = 2},
  [10236] = {.lex_state = 185, .external_lex_state = 2},
  [10237] = {.lex_state = 185, .external_lex_state = 2},
  [10238] = {.lex_state = 185, .external_lex_state = 2},
  [10239] = {.lex_state = 185, .external_lex_state = 2},
  [10240] = {.lex_state = 185, .external_lex_state = 2},
  [10241] = {.lex_state = 185, .external_lex_state = 2},
  [10242] = {.lex_state = 185, .external_lex_state = 2},
  [10243] = {.lex_state = 185, .external_lex_state = 2},
  [10244] = {.lex_state = 185, .external_lex_state = 2},
  [10245] = {.lex_state = 185, .external_lex_state = 2},
  [10246] = {.lex_state = 185, .external_lex_state = 38},
  [10247] = {.lex_state = 185, .external_lex_state = 2},
  [10248] = {.lex_state = 322, .external_lex_state = 3},
  [10249] = {.lex_state = 322, .external_lex_state = 3},
  [10250] = {.lex_state = 322, .external_lex_state = 3},
  [10251] = {.lex_state = 433, .external_lex_state = 43},
  [10252] = {.lex_state = 322, .external_lex_state = 3},
  [10253] = {.lex_state = 322, .external_lex_state = 3},
  [10254] = {.lex_state = 322, .external_lex_state = 3},
  [10255] = {.lex_state = 237, .external_lex_state = 14},
  [10256] = {.lex_state = 185, .external_lex_state = 2},
  [10257] = {.lex_state = 185, .external_lex_state = 2},
  [10258] = {.lex_state = 185, .external_lex_state = 2},
  [10259] = {.lex_state = 123, .external_lex_state = 19},
  [10260] = {.lex_state = 185, .external_lex_state = 2},
  [10261] = {.lex_state = 318, .external_lex_state = 11},
  [10262] = {.lex_state = 318, .external_lex_state = 11},
  [10263] = {.lex_state = 318, .external_lex_state = 11},
  [10264] = {.lex_state = 318, .external_lex_state = 11},
  [10265] = {.lex_state = 185, .external_lex_state = 2},
  [10266] = {.lex_state = 185, .external_lex_state = 2},
  [10267] = {.lex_state = 185, .external_lex_state = 2},
  [10268] = {.lex_state = 320, .external_lex_state = 29},
  [10269] = {.lex_state = 322, .external_lex_state = 3},
  [10270] = {.lex_state = 320, .external_lex_state = 11},
  [10271] = {.lex_state = 249, .external_lex_state = 3},
  [10272] = {.lex_state = 322, .external_lex_state = 3},
  [10273] = {.lex_state = 206},
  [10274] = {.lex_state = 326, .external_lex_state = 3},
  [10275] = {.lex_state = 322, .external_lex_state = 30},
  [10276] = {.lex_state = 237, .external_lex_state = 14},
  [10277] = {.lex_state = 237, .external_lex_state = 14},
  [10278] = {.lex_state = 243, .external_lex_state = 8},
  [10279] = {.lex_state = 123},
  [10280] = {.lex_state = 123, .external_lex_state = 2},
  [10281] = {.lex_state = 123, .external_lex_state = 8},
  [10282] = {.lex_state = 185, .external_lex_state = 2},
  [10283] = {.lex_state = 185, .external_lex_state = 2},
  [10284] = {.lex_state = 185, .external_lex_state = 2},
  [10285] = {.lex_state = 185, .external_lex_state = 2},
  [10286] = {.lex_state = 185, .external_lex_state = 2},
  [10287] = {.lex_state = 185, .external_lex_state = 2},
  [10288] = {.lex_state = 185, .external_lex_state = 2},
  [10289] = {.lex_state = 185, .external_lex_state = 2},
  [10290] = {.lex_state = 185, .external_lex_state = 2},
  [10291] = {.lex_state = 185, .external_lex_state = 2},
  [10292] = {.lex_state = 185, .external_lex_state = 2},
  [10293] = {.lex_state = 185, .external_lex_state = 2},
  [10294] = {.lex_state = 185, .external_lex_state = 2},
  [10295] = {.lex_state = 185, .external_lex_state = 2},
  [10296] = {.lex_state = 185, .external_lex_state = 2},
  [10297] = {.lex_state = 185, .external_lex_state = 2},
  [10298] = {.lex_state = 185, .external_lex_state = 2},
  [10299] = {.lex_state = 185, .external_lex_state = 2},
  [10300] = {.lex_state = 185, .external_lex_state = 2},
  [10301] = {.lex_state = 185, .external_lex_state = 2},
  [10302] = {.lex_state = 123, .external_lex_state = 19},
  [10303] = {.lex_state = 185, .external_lex_state = 2},
  [10304] = {.lex_state = 320, .external_lex_state = 11},
  [10305] = {.lex_state = 320, .external_lex_state = 11},
  [10306] = {.lex_state = 320, .external_lex_state = 11},
  [10307] = {.lex_state = 320, .external_lex_state = 11},
  [10308] = {.lex_state = 185, .external_lex_state = 2},
  [10309] = {.lex_state = 185, .external_lex_state = 2},
  [10310] = {.lex_state = 185, .external_lex_state = 2},
  [10311] = {.lex_state = 320, .external_lex_state = 29},
  [10312] = {.lex_state = 365, .external_lex_state = 3},
  [10313] = {.lex_state = 320, .external_lex_state = 11},
  [10314] = {.lex_state = 367, .external_lex_state = 3},
  [10315] = {.lex_state = 367, .external_lex_state = 3},
  [10316] = {.lex_state = 206},
  [10317] = {.lex_state = 365, .external_lex_state = 3},
  [10318] = {.lex_state = 365, .external_lex_state = 30},
  [10319] = {.lex_state = 185, .external_lex_state = 38},
  [10320] = {.lex_state = 185, .external_lex_state = 2},
  [10321] = {.lex_state = 249, .external_lex_state = 15},
  [10322] = {.lex_state = 123},
  [10323] = {.lex_state = 185, .external_lex_state = 2},
  [10324] = {.lex_state = 367, .external_lex_state = 3},
  [10325] = {.lex_state = 367, .external_lex_state = 3},
  [10326] = {.lex_state = 367, .external_lex_state = 3},
  [10327] = {.lex_state = 185, .external_lex_state = 2},
  [10328] = {.lex_state = 185, .external_lex_state = 2},
  [10329] = {.lex_state = 185, .external_lex_state = 2},
  [10330] = {.lex_state = 185, .external_lex_state = 2},
  [10331] = {.lex_state = 185, .external_lex_state = 2},
  [10332] = {.lex_state = 185, .external_lex_state = 2},
  [10333] = {.lex_state = 185, .external_lex_state = 2},
  [10334] = {.lex_state = 185, .external_lex_state = 2},
  [10335] = {.lex_state = 185, .external_lex_state = 2},
  [10336] = {.lex_state = 185, .external_lex_state = 2},
  [10337] = {.lex_state = 185, .external_lex_state = 2},
  [10338] = {.lex_state = 185, .external_lex_state = 2},
  [10339] = {.lex_state = 185, .external_lex_state = 38},
  [10340] = {.lex_state = 185, .external_lex_state = 2},
  [10341] = {.lex_state = 367, .external_lex_state = 15},
  [10342] = {.lex_state = 367, .external_lex_state = 3},
  [10343] = {.lex_state = 367, .external_lex_state = 3},
  [10344] = {.lex_state = 367, .external_lex_state = 3},
  [10345] = {.lex_state = 433, .external_lex_state = 43},
  [10346] = {.lex_state = 367, .external_lex_state = 3},
  [10347] = {.lex_state = 367, .external_lex_state = 3},
  [10348] = {.lex_state = 367, .external_lex_state = 3},
  [10349] = {.lex_state = 437, .external_lex_state = 14},
  [10350] = {.lex_state = 185, .external_lex_state = 38},
  [10351] = {.lex_state = 437, .external_lex_state = 14},
  [10352] = {.lex_state = 322, .external_lex_state = 3},
  [10353] = {.lex_state = 322, .external_lex_state = 3},
  [10354] = {.lex_state = 185, .external_lex_state = 2},
  [10355] = {.lex_state = 185, .external_lex_state = 38},
  [10356] = {.lex_state = 322, .external_lex_state = 3},
  [10357] = {.lex_state = 322, .external_lex_state = 3},
  [10358] = {.lex_state = 322, .external_lex_state = 3},
  [10359] = {.lex_state = 185, .external_lex_state = 2},
  [10360] = {.lex_state = 185, .external_lex_state = 38},
  [10361] = {.lex_state = 322, .external_lex_state = 3},
  [10362] = {.lex_state = 309, .external_lex_state = 44},
  [10363] = {.lex_state = 226},
  [10364] = {.lex_state = 314, .external_lex_state = 28},
  [10365] = {.lex_state = 202, .external_lex_state = 23},
  [10366] = {.lex_state = 202},
  [10367] = {.lex_state = 314, .external_lex_state = 28},
  [10368] = {.lex_state = 421, .external_lex_state = 3},
  [10369] = {.lex_state = 185, .external_lex_state = 2},
  [10370] = {.lex_state = 185, .external_lex_state = 2},
  [10371] = {.lex_state = 123, .external_lex_state = 19},
  [10372] = {.lex_state = 185, .external_lex_state = 2},
  [10373] = {.lex_state = 320, .external_lex_state = 29},
  [10374] = {.lex_state = 421, .external_lex_state = 3},
  [10375] = {.lex_state = 421, .external_lex_state = 3},
  [10376] = {.lex_state = 421, .external_lex_state = 3},
  [10377] = {.lex_state = 423, .external_lex_state = 30},
  [10378] = {.lex_state = 421, .external_lex_state = 3},
  [10379] = {.lex_state = 421, .external_lex_state = 3},
  [10380] = {.lex_state = 185, .external_lex_state = 2},
  [10381] = {.lex_state = 185, .external_lex_state = 2},
  [10382] = {.lex_state = 185, .external_lex_state = 2},
  [10383] = {.lex_state = 185, .external_lex_state = 2},
  [10384] = {.lex_state = 185, .external_lex_state = 2},
  [10385] = {.lex_state = 185, .external_lex_state = 2},
  [10386] = {.lex_state = 185, .external_lex_state = 2},
  [10387] = {.lex_state = 185, .external_lex_state = 2},
  [10388] = {.lex_state = 185, .external_lex_state = 2},
  [10389] = {.lex_state = 185, .external_lex_state = 2},
  [10390] = {.lex_state = 185, .external_lex_state = 2},
  [10391] = {.lex_state = 185, .external_lex_state = 2},
  [10392] = {.lex_state = 185, .external_lex_state = 38},
  [10393] = {.lex_state = 185, .external_lex_state = 2},
  [10394] = {.lex_state = 505, .external_lex_state = 15},
  [10395] = {.lex_state = 309, .external_lex_state = 44},
  [10396] = {.lex_state = 202},
  [10397] = {.lex_state = 421, .external_lex_state = 3},
  [10398] = {.lex_state = 309, .external_lex_state = 44},
  [10399] = {.lex_state = 187},
  [10400] = {.lex_state = 421, .external_lex_state = 3},
  [10401] = {.lex_state = 421, .external_lex_state = 3},
  [10402] = {.lex_state = 185, .external_lex_state = 2},
  [10403] = {.lex_state = 421, .external_lex_state = 3},
  [10404] = {.lex_state = 185, .external_lex_state = 2},
  [10405] = {.lex_state = 421, .external_lex_state = 3},
  [10406] = {.lex_state = 433, .external_lex_state = 13},
  [10407] = {.lex_state = 421, .external_lex_state = 3},
  [10408] = {.lex_state = 185, .external_lex_state = 2},
  [10409] = {.lex_state = 309, .external_lex_state = 44},
  [10410] = {.lex_state = 123},
  [10411] = {.lex_state = 123, .external_lex_state = 2},
  [10412] = {.lex_state = 123, .external_lex_state = 12},
  [10413] = {.lex_state = 421, .external_lex_state = 3},
  [10414] = {.lex_state = 421, .external_lex_state = 3},
  [10415] = {.lex_state = 421, .external_lex_state = 3},
  [10416] = {.lex_state = 421, .external_lex_state = 3},
  [10417] = {.lex_state = 421, .external_lex_state = 3},
  [10418] = {.lex_state = 421, .external_lex_state = 3},
  [10419] = {.lex_state = 421, .external_lex_state = 3},
  [10420] = {.lex_state = 455, .external_lex_state = 22},
  [10421] = {.lex_state = 421, .external_lex_state = 3},
  [10422] = {.lex_state = 421, .external_lex_state = 3},
  [10423] = {.lex_state = 421, .external_lex_state = 3},
  [10424] = {.lex_state = 421, .external_lex_state = 3},
  [10425] = {.lex_state = 421, .external_lex_state = 3},
  [10426] = {.lex_state = 309, .external_lex_state = 44},
  [10427] = {.lex_state = 309, .external_lex_state = 44},
  [10428] = {.lex_state = 170, .external_lex_state = 18},
  [10429] = {.lex_state = 309, .external_lex_state = 44},
  [10430] = {.lex_state = 417, .external_lex_state = 44},
  [10431] = {.lex_state = 433, .external_lex_state = 43},
  [10432] = {.lex_state = 309, .external_lex_state = 44},
  [10433] = {.lex_state = 417, .external_lex_state = 44},
  [10434] = {.lex_state = 421, .external_lex_state = 3},
  [10435] = {.lex_state = 421, .external_lex_state = 3},
  [10436] = {.lex_state = 421, .external_lex_state = 3},
  [10437] = {.lex_state = 421, .external_lex_state = 3},
  [10438] = {.lex_state = 423, .external_lex_state = 15},
  [10439] = {.lex_state = 123},
  [10440] = {.lex_state = 437, .external_lex_state = 14},
  [10441] = {.lex_state = 185, .external_lex_state = 2},
  [10442] = {.lex_state = 185, .external_lex_state = 38},
  [10443] = {.lex_state = 365, .external_lex_state = 3},
  [10444] = {.lex_state = 437, .external_lex_state = 14},
  [10445] = {.lex_state = 322, .external_lex_state = 3},
  [10446] = {.lex_state = 322, .external_lex_state = 3},
  [10447] = {.lex_state = 322, .external_lex_state = 3},
  [10448] = {.lex_state = 322, .external_lex_state = 3},
  [10449] = {.lex_state = 322, .external_lex_state = 3},
  [10450] = {.lex_state = 322, .external_lex_state = 3},
  [10451] = {.lex_state = 322, .external_lex_state = 3},
  [10452] = {.lex_state = 322, .external_lex_state = 3},
  [10453] = {.lex_state = 455, .external_lex_state = 22},
  [10454] = {.lex_state = 322, .external_lex_state = 3},
  [10455] = {.lex_state = 322, .external_lex_state = 3},
  [10456] = {.lex_state = 322, .external_lex_state = 3},
  [10457] = {.lex_state = 322, .external_lex_state = 3},
  [10458] = {.lex_state = 322, .external_lex_state = 3},
  [10459] = {.lex_state = 322, .external_lex_state = 3},
  [10460] = {.lex_state = 322, .external_lex_state = 3},
  [10461] = {.lex_state = 322, .external_lex_state = 3},
  [10462] = {.lex_state = 324, .external_lex_state = 15},
  [10463] = {.lex_state = 322, .external_lex_state = 3},
  [10464] = {.lex_state = 322, .external_lex_state = 3},
  [10465] = {.lex_state = 322, .external_lex_state = 3},
  [10466] = {.lex_state = 433, .external_lex_state = 43},
  [10467] = {.lex_state = 322, .external_lex_state = 3},
  [10468] = {.lex_state = 322, .external_lex_state = 3},
  [10469] = {.lex_state = 322, .external_lex_state = 3},
  [10470] = {.lex_state = 185, .external_lex_state = 2},
  [10471] = {.lex_state = 365, .external_lex_state = 3},
  [10472] = {.lex_state = 365, .external_lex_state = 3},
  [10473] = {.lex_state = 365, .external_lex_state = 3},
  [10474] = {.lex_state = 433, .external_lex_state = 43},
  [10475] = {.lex_state = 365, .external_lex_state = 3},
  [10476] = {.lex_state = 365, .external_lex_state = 3},
  [10477] = {.lex_state = 365, .external_lex_state = 3},
  [10478] = {.lex_state = 185, .external_lex_state = 38},
  [10479] = {.lex_state = 322, .external_lex_state = 3},
  [10480] = {.lex_state = 237, .external_lex_state = 14},
  [10481] = {.lex_state = 367, .external_lex_state = 3},
  [10482] = {.lex_state = 367, .external_lex_state = 3},
  [10483] = {.lex_state = 367, .external_lex_state = 3},
  [10484] = {.lex_state = 367, .external_lex_state = 3},
  [10485] = {.lex_state = 367, .external_lex_state = 3},
  [10486] = {.lex_state = 367, .external_lex_state = 3},
  [10487] = {.lex_state = 455, .external_lex_state = 22},
  [10488] = {.lex_state = 367, .external_lex_state = 3},
  [10489] = {.lex_state = 367, .external_lex_state = 3},
  [10490] = {.lex_state = 367, .external_lex_state = 3},
  [10491] = {.lex_state = 367, .external_lex_state = 3},
  [10492] = {.lex_state = 367, .external_lex_state = 3},
  [10493] = {.lex_state = 367, .external_lex_state = 3},
  [10494] = {.lex_state = 367, .external_lex_state = 3},
  [10495] = {.lex_state = 367, .external_lex_state = 3},
  [10496] = {.lex_state = 367, .external_lex_state = 15},
  [10497] = {.lex_state = 185, .external_lex_state = 2},
  [10498] = {.lex_state = 185, .external_lex_state = 38},
  [10499] = {.lex_state = 365, .external_lex_state = 3},
  [10500] = {.lex_state = 437, .external_lex_state = 14},
  [10501] = {.lex_state = 437, .external_lex_state = 14},
  [10502] = {.lex_state = 437, .external_lex_state = 14},
  [10503] = {.lex_state = 437, .external_lex_state = 14},
  [10504] = {.lex_state = 437, .external_lex_state = 14},
  [10505] = {.lex_state = 437, .external_lex_state = 14},
  [10506] = {.lex_state = 455, .external_lex_state = 22},
  [10507] = {.lex_state = 437, .external_lex_state = 14},
  [10508] = {.lex_state = 437, .external_lex_state = 14},
  [10509] = {.lex_state = 437, .external_lex_state = 14},
  [10510] = {.lex_state = 437, .external_lex_state = 14},
  [10511] = {.lex_state = 437, .external_lex_state = 14},
  [10512] = {.lex_state = 437, .external_lex_state = 14},
  [10513] = {.lex_state = 437, .external_lex_state = 14},
  [10514] = {.lex_state = 437, .external_lex_state = 14},
  [10515] = {.lex_state = 322, .external_lex_state = 3},
  [10516] = {.lex_state = 322, .external_lex_state = 3},
  [10517] = {.lex_state = 322, .external_lex_state = 3},
  [10518] = {.lex_state = 322, .external_lex_state = 3},
  [10519] = {.lex_state = 322, .external_lex_state = 3},
  [10520] = {.lex_state = 322, .external_lex_state = 3},
  [10521] = {.lex_state = 322, .external_lex_state = 3},
  [10522] = {.lex_state = 322, .external_lex_state = 3},
  [10523] = {.lex_state = 455, .external_lex_state = 22},
  [10524] = {.lex_state = 322, .external_lex_state = 3},
  [10525] = {.lex_state = 322, .external_lex_state = 3},
  [10526] = {.lex_state = 322, .external_lex_state = 3},
  [10527] = {.lex_state = 322, .external_lex_state = 3},
  [10528] = {.lex_state = 322, .external_lex_state = 3},
  [10529] = {.lex_state = 322, .external_lex_state = 3},
  [10530] = {.lex_state = 322, .external_lex_state = 3},
  [10531] = {.lex_state = 322, .external_lex_state = 3},
  [10532] = {.lex_state = 324, .external_lex_state = 15},
  [10533] = {.lex_state = 322, .external_lex_state = 3},
  [10534] = {.lex_state = 322, .external_lex_state = 3},
  [10535] = {.lex_state = 322, .external_lex_state = 3},
  [10536] = {.lex_state = 433, .external_lex_state = 43},
  [10537] = {.lex_state = 322, .external_lex_state = 3},
  [10538] = {.lex_state = 322, .external_lex_state = 3},
  [10539] = {.lex_state = 322, .external_lex_state = 3},
  [10540] = {.lex_state = 185, .external_lex_state = 2},
  [10541] = {.lex_state = 365, .external_lex_state = 3},
  [10542] = {.lex_state = 365, .external_lex_state = 3},
  [10543] = {.lex_state = 365, .external_lex_state = 3},
  [10544] = {.lex_state = 433, .external_lex_state = 43},
  [10545] = {.lex_state = 365, .external_lex_state = 3},
  [10546] = {.lex_state = 365, .external_lex_state = 3},
  [10547] = {.lex_state = 365, .external_lex_state = 3},
  [10548] = {.lex_state = 185, .external_lex_state = 38},
  [10549] = {.lex_state = 322, .external_lex_state = 3},
  [10550] = {.lex_state = 237, .external_lex_state = 14},
  [10551] = {.lex_state = 367, .external_lex_state = 3},
  [10552] = {.lex_state = 367, .external_lex_state = 3},
  [10553] = {.lex_state = 367, .external_lex_state = 3},
  [10554] = {.lex_state = 367, .external_lex_state = 3},
  [10555] = {.lex_state = 367, .external_lex_state = 3},
  [10556] = {.lex_state = 367, .external_lex_state = 3},
  [10557] = {.lex_state = 455, .external_lex_state = 22},
  [10558] = {.lex_state = 367, .external_lex_state = 3},
  [10559] = {.lex_state = 367, .external_lex_state = 3},
  [10560] = {.lex_state = 367, .external_lex_state = 3},
  [10561] = {.lex_state = 367, .external_lex_state = 3},
  [10562] = {.lex_state = 367, .external_lex_state = 3},
  [10563] = {.lex_state = 367, .external_lex_state = 3},
  [10564] = {.lex_state = 367, .external_lex_state = 3},
  [10565] = {.lex_state = 367, .external_lex_state = 3},
  [10566] = {.lex_state = 367, .external_lex_state = 15},
  [10567] = {.lex_state = 185, .external_lex_state = 2},
  [10568] = {.lex_state = 185, .external_lex_state = 38},
  [10569] = {.lex_state = 365, .external_lex_state = 3},
  [10570] = {.lex_state = 437, .external_lex_state = 14},
  [10571] = {.lex_state = 437, .external_lex_state = 14},
  [10572] = {.lex_state = 437, .external_lex_state = 14},
  [10573] = {.lex_state = 437, .external_lex_state = 14},
  [10574] = {.lex_state = 437, .external_lex_state = 14},
  [10575] = {.lex_state = 437, .external_lex_state = 14},
  [10576] = {.lex_state = 455, .external_lex_state = 22},
  [10577] = {.lex_state = 437, .external_lex_state = 14},
  [10578] = {.lex_state = 437, .external_lex_state = 14},
  [10579] = {.lex_state = 437, .external_lex_state = 14},
  [10580] = {.lex_state = 437, .external_lex_state = 14},
  [10581] = {.lex_state = 437, .external_lex_state = 14},
  [10582] = {.lex_state = 437, .external_lex_state = 14},
  [10583] = {.lex_state = 437, .external_lex_state = 14},
  [10584] = {.lex_state = 437, .external_lex_state = 14},
  [10585] = {.lex_state = 185, .external_lex_state = 2},
  [10586] = {.lex_state = 185, .external_lex_state = 38},
  [10587] = {.lex_state = 367, .external_lex_state = 3},
  [10588] = {.lex_state = 365, .external_lex_state = 3},
  [10589] = {.lex_state = 365, .external_lex_state = 3},
  [10590] = {.lex_state = 185, .external_lex_state = 2},
  [10591] = {.lex_state = 343, .external_lex_state = 32},
  [10592] = {.lex_state = 343, .external_lex_state = 32},
  [10593] = {.lex_state = 355, .external_lex_state = 32},
  [10594] = {.lex_state = 355, .external_lex_state = 32},
  [10595] = {.lex_state = 355, .external_lex_state = 32},
  [10596] = {.lex_state = 355, .external_lex_state = 32},
  [10597] = {.lex_state = 355, .external_lex_state = 32},
  [10598] = {.lex_state = 355, .external_lex_state = 32},
  [10599] = {.lex_state = 455, .external_lex_state = 22},
  [10600] = {.lex_state = 355, .external_lex_state = 32},
  [10601] = {.lex_state = 355, .external_lex_state = 32},
  [10602] = {.lex_state = 355, .external_lex_state = 32},
  [10603] = {.lex_state = 355, .external_lex_state = 32},
  [10604] = {.lex_state = 355, .external_lex_state = 32},
  [10605] = {.lex_state = 355, .external_lex_state = 32},
  [10606] = {.lex_state = 355, .external_lex_state = 32},
  [10607] = {.lex_state = 355, .external_lex_state = 32},
  [10608] = {.lex_state = 351, .external_lex_state = 35},
  [10609] = {.lex_state = 443, .external_lex_state = 32},
  [10610] = {.lex_state = 443, .external_lex_state = 32},
  [10611] = {.lex_state = 443, .external_lex_state = 32},
  [10612] = {.lex_state = 443, .external_lex_state = 32},
  [10613] = {.lex_state = 443, .external_lex_state = 32},
  [10614] = {.lex_state = 443, .external_lex_state = 32},
  [10615] = {.lex_state = 455, .external_lex_state = 22},
  [10616] = {.lex_state = 443, .external_lex_state = 32},
  [10617] = {.lex_state = 443, .external_lex_state = 32},
  [10618] = {.lex_state = 443, .external_lex_state = 32},
  [10619] = {.lex_state = 443, .external_lex_state = 32},
  [10620] = {.lex_state = 443, .external_lex_state = 32},
  [10621] = {.lex_state = 443, .external_lex_state = 32},
  [10622] = {.lex_state = 443, .external_lex_state = 32},
  [10623] = {.lex_state = 443, .external_lex_state = 32},
  [10624] = {.lex_state = 443, .external_lex_state = 40},
  [10625] = {.lex_state = 351, .external_lex_state = 35},
  [10626] = {.lex_state = 343, .external_lex_state = 32},
  [10627] = {.lex_state = 355, .external_lex_state = 32},
  [10628] = {.lex_state = 355, .external_lex_state = 32},
  [10629] = {.lex_state = 343, .external_lex_state = 32},
  [10630] = {.lex_state = 123},
  [10631] = {.lex_state = 343, .external_lex_state = 32},
  [10632] = {.lex_state = 343, .external_lex_state = 32},
  [10633] = {.lex_state = 343, .external_lex_state = 32},
  [10634] = {.lex_state = 343, .external_lex_state = 32},
  [10635] = {.lex_state = 343, .external_lex_state = 32},
  [10636] = {.lex_state = 123},
  [10637] = {.lex_state = 447, .external_lex_state = 33},
  [10638] = {.lex_state = 349, .external_lex_state = 32},
  [10639] = {.lex_state = 123},
  [10640] = {.lex_state = 353, .external_lex_state = 32},
  [10641] = {.lex_state = 353, .external_lex_state = 32},
  [10642] = {.lex_state = 271, .external_lex_state = 2},
  [10643] = {.lex_state = 228},
  [10644] = {.lex_state = 228},
  [10645] = {.lex_state = 228},
  [10646] = {.lex_state = 282, .external_lex_state = 22},
  [10647] = {.lex_state = 185, .external_lex_state = 2},
  [10648] = {.lex_state = 185, .external_lex_state = 2},
  [10649] = {.lex_state = 185, .external_lex_state = 2},
  [10650] = {.lex_state = 123, .external_lex_state = 19},
  [10651] = {.lex_state = 185, .external_lex_state = 2},
  [10652] = {.lex_state = 318, .external_lex_state = 33},
  [10653] = {.lex_state = 318, .external_lex_state = 33},
  [10654] = {.lex_state = 318, .external_lex_state = 33},
  [10655] = {.lex_state = 318, .external_lex_state = 33},
  [10656] = {.lex_state = 185, .external_lex_state = 2},
  [10657] = {.lex_state = 185, .external_lex_state = 2},
  [10658] = {.lex_state = 185, .external_lex_state = 2},
  [10659] = {.lex_state = 320, .external_lex_state = 34},
  [10660] = {.lex_state = 322, .external_lex_state = 32},
  [10661] = {.lex_state = 320, .external_lex_state = 33},
  [10662] = {.lex_state = 322, .external_lex_state = 32},
  [10663] = {.lex_state = 322, .external_lex_state = 32},
  [10664] = {.lex_state = 206},
  [10665] = {.lex_state = 326, .external_lex_state = 32},
  [10666] = {.lex_state = 322, .external_lex_state = 36},
  [10667] = {.lex_state = 282, .external_lex_state = 22},
  [10668] = {.lex_state = 282, .external_lex_state = 22},
  [10669] = {.lex_state = 185, .external_lex_state = 2},
  [10670] = {.lex_state = 185, .external_lex_state = 2},
  [10671] = {.lex_state = 185, .external_lex_state = 2},
  [10672] = {.lex_state = 185, .external_lex_state = 2},
  [10673] = {.lex_state = 185, .external_lex_state = 2},
  [10674] = {.lex_state = 185, .external_lex_state = 2},
  [10675] = {.lex_state = 185, .external_lex_state = 2},
  [10676] = {.lex_state = 185, .external_lex_state = 2},
  [10677] = {.lex_state = 185, .external_lex_state = 2},
  [10678] = {.lex_state = 185, .external_lex_state = 2},
  [10679] = {.lex_state = 185, .external_lex_state = 2},
  [10680] = {.lex_state = 185, .external_lex_state = 2},
  [10681] = {.lex_state = 185, .external_lex_state = 2},
  [10682] = {.lex_state = 185, .external_lex_state = 2},
  [10683] = {.lex_state = 185, .external_lex_state = 2},
  [10684] = {.lex_state = 123, .external_lex_state = 19},
  [10685] = {.lex_state = 185, .external_lex_state = 2},
  [10686] = {.lex_state = 320, .external_lex_state = 33},
  [10687] = {.lex_state = 320, .external_lex_state = 33},
  [10688] = {.lex_state = 320, .external_lex_state = 33},
  [10689] = {.lex_state = 320, .external_lex_state = 33},
  [10690] = {.lex_state = 185, .external_lex_state = 2},
  [10691] = {.lex_state = 185, .external_lex_state = 2},
  [10692] = {.lex_state = 185, .external_lex_state = 2},
  [10693] = {.lex_state = 320, .external_lex_state = 34},
  [10694] = {.lex_state = 365, .external_lex_state = 32},
  [10695] = {.lex_state = 320, .external_lex_state = 33},
  [10696] = {.lex_state = 367, .external_lex_state = 32},
  [10697] = {.lex_state = 367, .external_lex_state = 32},
  [10698] = {.lex_state = 206},
  [10699] = {.lex_state = 365, .external_lex_state = 32},
  [10700] = {.lex_state = 365, .external_lex_state = 36},
  [10701] = {.lex_state = 185, .external_lex_state = 38},
  [10702] = {.lex_state = 185, .external_lex_state = 2},
  [10703] = {.lex_state = 241, .external_lex_state = 39},
  [10704] = {.lex_state = 228},
  [10705] = {.lex_state = 123},
  [10706] = {.lex_state = 190},
  [10707] = {.lex_state = 302},
  [10708] = {.lex_state = 302},
  [10709] = {.lex_state = 123},
  [10710] = {.lex_state = 123, .external_lex_state = 2},
  [10711] = {.lex_state = 123, .external_lex_state = 12},
  [10712] = {.lex_state = 228},
  [10713] = {.lex_state = 228},
  [10714] = {.lex_state = 123},
  [10715] = {.lex_state = 151, .external_lex_state = 3},
  [10716] = {.lex_state = 185, .external_lex_state = 2},
  [10717] = {.lex_state = 282, .external_lex_state = 22},
  [10718] = {.lex_state = 185, .external_lex_state = 38},
  [10719] = {.lex_state = 282, .external_lex_state = 22},
  [10720] = {.lex_state = 519, .external_lex_state = 32},
  [10721] = {.lex_state = 519, .external_lex_state = 32},
  [10722] = {.lex_state = 519, .external_lex_state = 32},
  [10723] = {.lex_state = 519, .external_lex_state = 32},
  [10724] = {.lex_state = 519, .external_lex_state = 32},
  [10725] = {.lex_state = 519, .external_lex_state = 32},
  [10726] = {.lex_state = 519, .external_lex_state = 32},
  [10727] = {.lex_state = 519, .external_lex_state = 32},
  [10728] = {.lex_state = 455, .external_lex_state = 22},
  [10729] = {.lex_state = 519, .external_lex_state = 32},
  [10730] = {.lex_state = 519, .external_lex_state = 32},
  [10731] = {.lex_state = 519, .external_lex_state = 32},
  [10732] = {.lex_state = 519, .external_lex_state = 32},
  [10733] = {.lex_state = 519, .external_lex_state = 32},
  [10734] = {.lex_state = 519, .external_lex_state = 32},
  [10735] = {.lex_state = 519, .external_lex_state = 32},
  [10736] = {.lex_state = 519, .external_lex_state = 32},
  [10737] = {.lex_state = 533, .external_lex_state = 40},
  [10738] = {.lex_state = 519, .external_lex_state = 32},
  [10739] = {.lex_state = 519, .external_lex_state = 32},
  [10740] = {.lex_state = 519, .external_lex_state = 32},
  [10741] = {.lex_state = 433, .external_lex_state = 43},
  [10742] = {.lex_state = 519, .external_lex_state = 32},
  [10743] = {.lex_state = 519, .external_lex_state = 32},
  [10744] = {.lex_state = 519, .external_lex_state = 32},
  [10745] = {.lex_state = 185, .external_lex_state = 2},
  [10746] = {.lex_state = 521, .external_lex_state = 32},
  [10747] = {.lex_state = 521, .external_lex_state = 32},
  [10748] = {.lex_state = 521, .external_lex_state = 32},
  [10749] = {.lex_state = 433, .external_lex_state = 43},
  [10750] = {.lex_state = 521, .external_lex_state = 32},
  [10751] = {.lex_state = 521, .external_lex_state = 32},
  [10752] = {.lex_state = 521, .external_lex_state = 32},
  [10753] = {.lex_state = 185, .external_lex_state = 38},
  [10754] = {.lex_state = 519, .external_lex_state = 32},
  [10755] = {.lex_state = 455, .external_lex_state = 22},
  [10756] = {.lex_state = 459, .external_lex_state = 32},
  [10757] = {.lex_state = 459, .external_lex_state = 32},
  [10758] = {.lex_state = 459, .external_lex_state = 32},
  [10759] = {.lex_state = 459, .external_lex_state = 32},
  [10760] = {.lex_state = 459, .external_lex_state = 32},
  [10761] = {.lex_state = 459, .external_lex_state = 32},
  [10762] = {.lex_state = 455, .external_lex_state = 22},
  [10763] = {.lex_state = 459, .external_lex_state = 32},
  [10764] = {.lex_state = 459, .external_lex_state = 32},
  [10765] = {.lex_state = 459, .external_lex_state = 32},
  [10766] = {.lex_state = 459, .external_lex_state = 32},
  [10767] = {.lex_state = 459, .external_lex_state = 32},
  [10768] = {.lex_state = 459, .external_lex_state = 32},
  [10769] = {.lex_state = 459, .external_lex_state = 32},
  [10770] = {.lex_state = 459, .external_lex_state = 32},
  [10771] = {.lex_state = 459, .external_lex_state = 40},
  [10772] = {.lex_state = 185, .external_lex_state = 2},
  [10773] = {.lex_state = 185, .external_lex_state = 38},
  [10774] = {.lex_state = 521, .external_lex_state = 32},
  [10775] = {.lex_state = 455, .external_lex_state = 22},
  [10776] = {.lex_state = 455, .external_lex_state = 22},
  [10777] = {.lex_state = 455, .external_lex_state = 22},
  [10778] = {.lex_state = 455, .external_lex_state = 22},
  [10779] = {.lex_state = 455, .external_lex_state = 22},
  [10780] = {.lex_state = 455, .external_lex_state = 22},
  [10781] = {.lex_state = 455, .external_lex_state = 22},
  [10782] = {.lex_state = 455, .external_lex_state = 22},
  [10783] = {.lex_state = 455, .external_lex_state = 22},
  [10784] = {.lex_state = 455, .external_lex_state = 22},
  [10785] = {.lex_state = 455, .external_lex_state = 22},
  [10786] = {.lex_state = 455, .external_lex_state = 22},
  [10787] = {.lex_state = 455, .external_lex_state = 22},
  [10788] = {.lex_state = 455, .external_lex_state = 22},
  [10789] = {.lex_state = 455, .external_lex_state = 22},
  [10790] = {.lex_state = 533, .external_lex_state = 39},
  [10791] = {.lex_state = 280, .external_lex_state = 3},
  [10792] = {.lex_state = 280, .external_lex_state = 3},
  [10793] = {.lex_state = 219, .external_lex_state = 3},
  [10794] = {.lex_state = 170, .external_lex_state = 4},
  [10795] = {.lex_state = 219, .external_lex_state = 3},
  [10796] = {.lex_state = 219, .external_lex_state = 3},
  [10797] = {.lex_state = 170, .external_lex_state = 4},
  [10798] = {.lex_state = 219, .external_lex_state = 3},
  [10799] = {.lex_state = 217, .external_lex_state = 7},
  [10800] = {.lex_state = 219, .external_lex_state = 3},
  [10801] = {.lex_state = 219, .external_lex_state = 3},
  [10802] = {.lex_state = 219, .external_lex_state = 3},
  [10803] = {.lex_state = 123},
  [10804] = {.lex_state = 123},
  [10805] = {.lex_state = 219, .external_lex_state = 3},
  [10806] = {.lex_state = 123},
  [10807] = {.lex_state = 219, .external_lex_state = 3},
  [10808] = {.lex_state = 219, .external_lex_state = 3},
  [10809] = {.lex_state = 219, .external_lex_state = 3},
  [10810] = {.lex_state = 123},
  [10811] = {.lex_state = 219, .external_lex_state = 3},
  [10812] = {.lex_state = 123},
  [10813] = {.lex_state = 219, .external_lex_state = 3},
  [10814] = {.lex_state = 123},
  [10815] = {.lex_state = 367, .external_lex_state = 3},
  [10816] = {.lex_state = 219, .external_lex_state = 3},
  [10817] = {.lex_state = 367, .external_lex_state = 3},
  [10818] = {.lex_state = 375, .external_lex_state = 14},
  [10819] = {.lex_state = 375, .external_lex_state = 14},
  [10820] = {.lex_state = 375, .external_lex_state = 14},
  [10821] = {.lex_state = 375, .external_lex_state = 14},
  [10822] = {.lex_state = 375, .external_lex_state = 14},
  [10823] = {.lex_state = 375, .external_lex_state = 14},
  [10824] = {.lex_state = 375, .external_lex_state = 14},
  [10825] = {.lex_state = 455, .external_lex_state = 22},
  [10826] = {.lex_state = 375, .external_lex_state = 14},
  [10827] = {.lex_state = 375, .external_lex_state = 14},
  [10828] = {.lex_state = 375, .external_lex_state = 14},
  [10829] = {.lex_state = 375, .external_lex_state = 14},
  [10830] = {.lex_state = 375, .external_lex_state = 14},
  [10831] = {.lex_state = 375, .external_lex_state = 14},
  [10832] = {.lex_state = 375, .external_lex_state = 14},
  [10833] = {.lex_state = 375, .external_lex_state = 14},
  [10834] = {.lex_state = 280, .external_lex_state = 3},
  [10835] = {.lex_state = 280, .external_lex_state = 3},
  [10836] = {.lex_state = 123},
  [10837] = {.lex_state = 280, .external_lex_state = 3},
  [10838] = {.lex_state = 280, .external_lex_state = 3},
  [10839] = {.lex_state = 219, .external_lex_state = 3},
  [10840] = {.lex_state = 280, .external_lex_state = 3},
  [10841] = {.lex_state = 280, .external_lex_state = 3},
  [10842] = {.lex_state = 471, .external_lex_state = 14},
  [10843] = {.lex_state = 395, .external_lex_state = 32},
  [10844] = {.lex_state = 395, .external_lex_state = 32},
  [10845] = {.lex_state = 185, .external_lex_state = 2},
  [10846] = {.lex_state = 185, .external_lex_state = 38},
  [10847] = {.lex_state = 395, .external_lex_state = 32},
  [10848] = {.lex_state = 479, .external_lex_state = 32},
  [10849] = {.lex_state = 479, .external_lex_state = 32},
  [10850] = {.lex_state = 473, .external_lex_state = 20},
  [10851] = {.lex_state = 391, .external_lex_state = 32},
  [10852] = {.lex_state = 391, .external_lex_state = 32},
  [10853] = {.lex_state = 170, .external_lex_state = 4},
  [10854] = {.lex_state = 251, .external_lex_state = 16},
  [10855] = {.lex_state = 391, .external_lex_state = 32},
  [10856] = {.lex_state = 170, .external_lex_state = 4},
  [10857] = {.lex_state = 391, .external_lex_state = 32},
  [10858] = {.lex_state = 391, .external_lex_state = 32},
  [10859] = {.lex_state = 170, .external_lex_state = 4},
  [10860] = {.lex_state = 251, .external_lex_state = 16},
  [10861] = {.lex_state = 391, .external_lex_state = 32},
  [10862] = {.lex_state = 170, .external_lex_state = 4},
  [10863] = {.lex_state = 391, .external_lex_state = 32},
  [10864] = {.lex_state = 228},
  [10865] = {.lex_state = 391, .external_lex_state = 32},
  [10866] = {.lex_state = 391, .external_lex_state = 32},
  [10867] = {.lex_state = 123, .external_lex_state = 2},
  [10868] = {.lex_state = 123, .external_lex_state = 2},
  [10869] = {.lex_state = 391, .external_lex_state = 32},
  [10870] = {.lex_state = 391, .external_lex_state = 32},
  [10871] = {.lex_state = 391, .external_lex_state = 32},
  [10872] = {.lex_state = 123},
  [10873] = {.lex_state = 123},
  [10874] = {.lex_state = 123, .external_lex_state = 2},
  [10875] = {.lex_state = 391, .external_lex_state = 32},
  [10876] = {.lex_state = 123},
  [10877] = {.lex_state = 123},
  [10878] = {.lex_state = 391, .external_lex_state = 32},
  [10879] = {.lex_state = 123},
  [10880] = {.lex_state = 391, .external_lex_state = 32},
  [10881] = {.lex_state = 123},
  [10882] = {.lex_state = 123, .external_lex_state = 2},
  [10883] = {.lex_state = 123},
  [10884] = {.lex_state = 123},
  [10885] = {.lex_state = 391, .external_lex_state = 32},
  [10886] = {.lex_state = 391, .external_lex_state = 32},
  [10887] = {.lex_state = 123},
  [10888] = {.lex_state = 123},
  [10889] = {.lex_state = 391, .external_lex_state = 32},
  [10890] = {.lex_state = 185, .external_lex_state = 2},
  [10891] = {.lex_state = 185, .external_lex_state = 38},
  [10892] = {.lex_state = 379, .external_lex_state = 32},
  [10893] = {.lex_state = 373, .external_lex_state = 17},
  [10894] = {.lex_state = 123},
  [10895] = {.lex_state = 467, .external_lex_state = 32},
  [10896] = {.lex_state = 467, .external_lex_state = 32},
  [10897] = {.lex_state = 185, .external_lex_state = 2},
  [10898] = {.lex_state = 395, .external_lex_state = 3},
  [10899] = {.lex_state = 395, .external_lex_state = 3},
  [10900] = {.lex_state = 185, .external_lex_state = 2},
  [10901] = {.lex_state = 185, .external_lex_state = 38},
  [10902] = {.lex_state = 395, .external_lex_state = 3},
  [10903] = {.lex_state = 479, .external_lex_state = 3},
  [10904] = {.lex_state = 479, .external_lex_state = 3},
  [10905] = {.lex_state = 185, .external_lex_state = 2},
  [10906] = {.lex_state = 185, .external_lex_state = 38},
  [10907] = {.lex_state = 379, .external_lex_state = 3},
  [10908] = {.lex_state = 467, .external_lex_state = 3},
  [10909] = {.lex_state = 467, .external_lex_state = 3},
  [10910] = {.lex_state = 185, .external_lex_state = 2},
  [10911] = {.lex_state = 185, .external_lex_state = 2},
  [10912] = {.lex_state = 185, .external_lex_state = 38},
  [10913] = {.lex_state = 395, .external_lex_state = 32},
  [10914] = {.lex_state = 479, .external_lex_state = 32},
  [10915] = {.lex_state = 479, .external_lex_state = 32},
  [10916] = {.lex_state = 483, .external_lex_state = 33},
  [10917] = {.lex_state = 185, .external_lex_state = 2},
  [10918] = {.lex_state = 185, .external_lex_state = 38},
  [10919] = {.lex_state = 379, .external_lex_state = 32},
  [10920] = {.lex_state = 391, .external_lex_state = 32},
  [10921] = {.lex_state = 123},
  [10922] = {.lex_state = 467, .external_lex_state = 32},
  [10923] = {.lex_state = 467, .external_lex_state = 32},
  [10924] = {.lex_state = 273, .external_lex_state = 17},
  [10925] = {.lex_state = 273, .external_lex_state = 17},
  [10926] = {.lex_state = 349, .external_lex_state = 32},
  [10927] = {.lex_state = 349, .external_lex_state = 32},
  [10928] = {.lex_state = 349, .external_lex_state = 32},
  [10929] = {.lex_state = 349, .external_lex_state = 32},
  [10930] = {.lex_state = 123},
  [10931] = {.lex_state = 349, .external_lex_state = 32},
  [10932] = {.lex_state = 349, .external_lex_state = 32},
  [10933] = {.lex_state = 280, .external_lex_state = 17},
  [10934] = {.lex_state = 349, .external_lex_state = 32},
  [10935] = {.lex_state = 349, .external_lex_state = 32},
  [10936] = {.lex_state = 282, .external_lex_state = 22},
  [10937] = {.lex_state = 185, .external_lex_state = 2},
  [10938] = {.lex_state = 185, .external_lex_state = 38},
  [10939] = {.lex_state = 411, .external_lex_state = 32},
  [10940] = {.lex_state = 411, .external_lex_state = 32},
  [10941] = {.lex_state = 411, .external_lex_state = 32},
  [10942] = {.lex_state = 185, .external_lex_state = 2},
  [10943] = {.lex_state = 185, .external_lex_state = 38},
  [10944] = {.lex_state = 296, .external_lex_state = 32},
  [10945] = {.lex_state = 413, .external_lex_state = 32},
  [10946] = {.lex_state = 413, .external_lex_state = 32},
  [10947] = {.lex_state = 185, .external_lex_state = 2},
  [10948] = {.lex_state = 243, .external_lex_state = 8},
  [10949] = {.lex_state = 243, .external_lex_state = 8},
  [10950] = {.lex_state = 123},
  [10951] = {.lex_state = 123, .external_lex_state = 2},
  [10952] = {.lex_state = 243, .external_lex_state = 8},
  [10953] = {.lex_state = 499, .external_lex_state = 32},
  [10954] = {.lex_state = 499, .external_lex_state = 32},
  [10955] = {.lex_state = 499, .external_lex_state = 32},
  [10956] = {.lex_state = 433, .external_lex_state = 43},
  [10957] = {.lex_state = 499, .external_lex_state = 32},
  [10958] = {.lex_state = 499, .external_lex_state = 32},
  [10959] = {.lex_state = 499, .external_lex_state = 32},
  [10960] = {.lex_state = 185, .external_lex_state = 2},
  [10961] = {.lex_state = 185, .external_lex_state = 38},
  [10962] = {.lex_state = 499, .external_lex_state = 32},
  [10963] = {.lex_state = 489, .external_lex_state = 32},
  [10964] = {.lex_state = 489, .external_lex_state = 32},
  [10965] = {.lex_state = 411, .external_lex_state = 3},
  [10966] = {.lex_state = 411, .external_lex_state = 3},
  [10967] = {.lex_state = 296, .external_lex_state = 3},
  [10968] = {.lex_state = 296, .external_lex_state = 3},
  [10969] = {.lex_state = 282, .external_lex_state = 14},
  [10970] = {.lex_state = 322, .external_lex_state = 32},
  [10971] = {.lex_state = 367, .external_lex_state = 32},
  [10972] = {.lex_state = 367, .external_lex_state = 32},
  [10973] = {.lex_state = 367, .external_lex_state = 32},
  [10974] = {.lex_state = 367, .external_lex_state = 32},
  [10975] = {.lex_state = 367, .external_lex_state = 32},
  [10976] = {.lex_state = 367, .external_lex_state = 32},
  [10977] = {.lex_state = 455, .external_lex_state = 22},
  [10978] = {.lex_state = 367, .external_lex_state = 32},
  [10979] = {.lex_state = 367, .external_lex_state = 32},
  [10980] = {.lex_state = 367, .external_lex_state = 32},
  [10981] = {.lex_state = 367, .external_lex_state = 32},
  [10982] = {.lex_state = 367, .external_lex_state = 32},
  [10983] = {.lex_state = 367, .external_lex_state = 32},
  [10984] = {.lex_state = 367, .external_lex_state = 32},
  [10985] = {.lex_state = 367, .external_lex_state = 32},
  [10986] = {.lex_state = 367, .external_lex_state = 40},
  [10987] = {.lex_state = 322, .external_lex_state = 32},
  [10988] = {.lex_state = 302, .external_lex_state = 25},
  [10989] = {.lex_state = 302, .external_lex_state = 25},
  [10990] = {.lex_state = 499, .external_lex_state = 32},
  [10991] = {.lex_state = 170, .external_lex_state = 4},
  [10992] = {.lex_state = 499, .external_lex_state = 32},
  [10993] = {.lex_state = 499, .external_lex_state = 32},
  [10994] = {.lex_state = 170, .external_lex_state = 4},
  [10995] = {.lex_state = 499, .external_lex_state = 32},
  [10996] = {.lex_state = 217, .external_lex_state = 7},
  [10997] = {.lex_state = 499, .external_lex_state = 32},
  [10998] = {.lex_state = 499, .external_lex_state = 32},
  [10999] = {.lex_state = 499, .external_lex_state = 32},
  [11000] = {.lex_state = 499, .external_lex_state = 32},
  [11001] = {.lex_state = 499, .external_lex_state = 32},
  [11002] = {.lex_state = 499, .external_lex_state = 32},
  [11003] = {.lex_state = 123},
  [11004] = {.lex_state = 123},
  [11005] = {.lex_state = 499, .external_lex_state = 32},
  [11006] = {.lex_state = 123},
  [11007] = {.lex_state = 499, .external_lex_state = 32},
  [11008] = {.lex_state = 499, .external_lex_state = 32},
  [11009] = {.lex_state = 499, .external_lex_state = 32},
  [11010] = {.lex_state = 123},
  [11011] = {.lex_state = 499, .external_lex_state = 32},
  [11012] = {.lex_state = 123},
  [11013] = {.lex_state = 499, .external_lex_state = 32},
  [11014] = {.lex_state = 123},
  [11015] = {.lex_state = 499, .external_lex_state = 32},
  [11016] = {.lex_state = 499, .external_lex_state = 32},
  [11017] = {.lex_state = 123},
  [11018] = {.lex_state = 123, .external_lex_state = 2},
  [11019] = {.lex_state = 503, .external_lex_state = 32},
  [11020] = {.lex_state = 499, .external_lex_state = 32},
  [11021] = {.lex_state = 503, .external_lex_state = 32},
  [11022] = {.lex_state = 421, .external_lex_state = 32},
  [11023] = {.lex_state = 421, .external_lex_state = 32},
  [11024] = {.lex_state = 282, .external_lex_state = 35},
  [11025] = {.lex_state = 282, .external_lex_state = 35},
  [11026] = {.lex_state = 280, .external_lex_state = 3},
  [11027] = {.lex_state = 322, .external_lex_state = 3},
  [11028] = {.lex_state = 322, .external_lex_state = 3},
  [11029] = {.lex_state = 322, .external_lex_state = 3},
  [11030] = {.lex_state = 322, .external_lex_state = 3},
  [11031] = {.lex_state = 322, .external_lex_state = 3},
  [11032] = {.lex_state = 322, .external_lex_state = 3},
  [11033] = {.lex_state = 322, .external_lex_state = 3},
  [11034] = {.lex_state = 322, .external_lex_state = 3},
  [11035] = {.lex_state = 322, .external_lex_state = 3},
  [11036] = {.lex_state = 322, .external_lex_state = 3},
  [11037] = {.lex_state = 455, .external_lex_state = 22},
  [11038] = {.lex_state = 322, .external_lex_state = 3},
  [11039] = {.lex_state = 322, .external_lex_state = 3},
  [11040] = {.lex_state = 322, .external_lex_state = 3},
  [11041] = {.lex_state = 322, .external_lex_state = 3},
  [11042] = {.lex_state = 322, .external_lex_state = 3},
  [11043] = {.lex_state = 322, .external_lex_state = 3},
  [11044] = {.lex_state = 322, .external_lex_state = 3},
  [11045] = {.lex_state = 322, .external_lex_state = 3},
  [11046] = {.lex_state = 324, .external_lex_state = 15},
  [11047] = {.lex_state = 322, .external_lex_state = 3},
  [11048] = {.lex_state = 322, .external_lex_state = 3},
  [11049] = {.lex_state = 322, .external_lex_state = 3},
  [11050] = {.lex_state = 433, .external_lex_state = 43},
  [11051] = {.lex_state = 322, .external_lex_state = 3},
  [11052] = {.lex_state = 322, .external_lex_state = 3},
  [11053] = {.lex_state = 322, .external_lex_state = 3},
  [11054] = {.lex_state = 185, .external_lex_state = 2},
  [11055] = {.lex_state = 365, .external_lex_state = 3},
  [11056] = {.lex_state = 365, .external_lex_state = 3},
  [11057] = {.lex_state = 365, .external_lex_state = 3},
  [11058] = {.lex_state = 433, .external_lex_state = 43},
  [11059] = {.lex_state = 365, .external_lex_state = 3},
  [11060] = {.lex_state = 365, .external_lex_state = 3},
  [11061] = {.lex_state = 365, .external_lex_state = 3},
  [11062] = {.lex_state = 185, .external_lex_state = 38},
  [11063] = {.lex_state = 322, .external_lex_state = 3},
  [11064] = {.lex_state = 123},
  [11065] = {.lex_state = 237, .external_lex_state = 14},
  [11066] = {.lex_state = 367, .external_lex_state = 3},
  [11067] = {.lex_state = 367, .external_lex_state = 3},
  [11068] = {.lex_state = 367, .external_lex_state = 3},
  [11069] = {.lex_state = 367, .external_lex_state = 3},
  [11070] = {.lex_state = 367, .external_lex_state = 3},
  [11071] = {.lex_state = 367, .external_lex_state = 3},
  [11072] = {.lex_state = 455, .external_lex_state = 22},
  [11073] = {.lex_state = 367, .external_lex_state = 3},
  [11074] = {.lex_state = 367, .external_lex_state = 3},
  [11075] = {.lex_state = 367, .external_lex_state = 3},
  [11076] = {.lex_state = 367, .external_lex_state = 3},
  [11077] = {.lex_state = 367, .external_lex_state = 3},
  [11078] = {.lex_state = 367, .external_lex_state = 3},
  [11079] = {.lex_state = 367, .external_lex_state = 3},
  [11080] = {.lex_state = 367, .external_lex_state = 3},
  [11081] = {.lex_state = 367, .external_lex_state = 15},
  [11082] = {.lex_state = 185, .external_lex_state = 2},
  [11083] = {.lex_state = 185, .external_lex_state = 38},
  [11084] = {.lex_state = 365, .external_lex_state = 3},
  [11085] = {.lex_state = 437, .external_lex_state = 14},
  [11086] = {.lex_state = 437, .external_lex_state = 14},
  [11087] = {.lex_state = 437, .external_lex_state = 14},
  [11088] = {.lex_state = 437, .external_lex_state = 14},
  [11089] = {.lex_state = 437, .external_lex_state = 14},
  [11090] = {.lex_state = 437, .external_lex_state = 14},
  [11091] = {.lex_state = 455, .external_lex_state = 22},
  [11092] = {.lex_state = 437, .external_lex_state = 14},
  [11093] = {.lex_state = 437, .external_lex_state = 14},
  [11094] = {.lex_state = 437, .external_lex_state = 14},
  [11095] = {.lex_state = 437, .external_lex_state = 14},
  [11096] = {.lex_state = 437, .external_lex_state = 14},
  [11097] = {.lex_state = 437, .external_lex_state = 14},
  [11098] = {.lex_state = 437, .external_lex_state = 14},
  [11099] = {.lex_state = 437, .external_lex_state = 14},
  [11100] = {.lex_state = 367, .external_lex_state = 3},
  [11101] = {.lex_state = 367, .external_lex_state = 3},
  [11102] = {.lex_state = 437, .external_lex_state = 14},
  [11103] = {.lex_state = 322, .external_lex_state = 3},
  [11104] = {.lex_state = 322, .external_lex_state = 3},
  [11105] = {.lex_state = 322, .external_lex_state = 3},
  [11106] = {.lex_state = 322, .external_lex_state = 3},
  [11107] = {.lex_state = 322, .external_lex_state = 3},
  [11108] = {.lex_state = 322, .external_lex_state = 3},
  [11109] = {.lex_state = 322, .external_lex_state = 3},
  [11110] = {.lex_state = 322, .external_lex_state = 3},
  [11111] = {.lex_state = 455, .external_lex_state = 22},
  [11112] = {.lex_state = 322, .external_lex_state = 3},
  [11113] = {.lex_state = 322, .external_lex_state = 3},
  [11114] = {.lex_state = 322, .external_lex_state = 3},
  [11115] = {.lex_state = 322, .external_lex_state = 3},
  [11116] = {.lex_state = 322, .external_lex_state = 3},
  [11117] = {.lex_state = 322, .external_lex_state = 3},
  [11118] = {.lex_state = 322, .external_lex_state = 3},
  [11119] = {.lex_state = 322, .external_lex_state = 3},
  [11120] = {.lex_state = 324, .external_lex_state = 15},
  [11121] = {.lex_state = 322, .external_lex_state = 3},
  [11122] = {.lex_state = 322, .external_lex_state = 3},
  [11123] = {.lex_state = 322, .external_lex_state = 3},
  [11124] = {.lex_state = 433, .external_lex_state = 43},
  [11125] = {.lex_state = 322, .external_lex_state = 3},
  [11126] = {.lex_state = 322, .external_lex_state = 3},
  [11127] = {.lex_state = 322, .external_lex_state = 3},
  [11128] = {.lex_state = 185, .external_lex_state = 2},
  [11129] = {.lex_state = 365, .external_lex_state = 3},
  [11130] = {.lex_state = 365, .external_lex_state = 3},
  [11131] = {.lex_state = 365, .external_lex_state = 3},
  [11132] = {.lex_state = 433, .external_lex_state = 43},
  [11133] = {.lex_state = 365, .external_lex_state = 3},
  [11134] = {.lex_state = 365, .external_lex_state = 3},
  [11135] = {.lex_state = 365, .external_lex_state = 3},
  [11136] = {.lex_state = 185, .external_lex_state = 38},
  [11137] = {.lex_state = 322, .external_lex_state = 3},
  [11138] = {.lex_state = 237, .external_lex_state = 14},
  [11139] = {.lex_state = 367, .external_lex_state = 3},
  [11140] = {.lex_state = 367, .external_lex_state = 3},
  [11141] = {.lex_state = 367, .external_lex_state = 3},
  [11142] = {.lex_state = 367, .external_lex_state = 3},
  [11143] = {.lex_state = 367, .external_lex_state = 3},
  [11144] = {.lex_state = 367, .external_lex_state = 3},
  [11145] = {.lex_state = 455, .external_lex_state = 22},
  [11146] = {.lex_state = 367, .external_lex_state = 3},
  [11147] = {.lex_state = 367, .external_lex_state = 3},
  [11148] = {.lex_state = 367, .external_lex_state = 3},
  [11149] = {.lex_state = 367, .external_lex_state = 3},
  [11150] = {.lex_state = 367, .external_lex_state = 3},
  [11151] = {.lex_state = 367, .external_lex_state = 3},
  [11152] = {.lex_state = 367, .external_lex_state = 3},
  [11153] = {.lex_state = 367, .external_lex_state = 3},
  [11154] = {.lex_state = 367, .external_lex_state = 15},
  [11155] = {.lex_state = 185, .external_lex_state = 2},
  [11156] = {.lex_state = 185, .external_lex_state = 38},
  [11157] = {.lex_state = 365, .external_lex_state = 3},
  [11158] = {.lex_state = 437, .external_lex_state = 14},
  [11159] = {.lex_state = 437, .external_lex_state = 14},
  [11160] = {.lex_state = 437, .external_lex_state = 14},
  [11161] = {.lex_state = 437, .external_lex_state = 14},
  [11162] = {.lex_state = 437, .external_lex_state = 14},
  [11163] = {.lex_state = 437, .external_lex_state = 14},
  [11164] = {.lex_state = 455, .external_lex_state = 22},
  [11165] = {.lex_state = 437, .external_lex_state = 14},
  [11166] = {.lex_state = 437, .external_lex_state = 14},
  [11167] = {.lex_state = 437, .external_lex_state = 14},
  [11168] = {.lex_state = 437, .external_lex_state = 14},
  [11169] = {.lex_state = 437, .external_lex_state = 14},
  [11170] = {.lex_state = 437, .external_lex_state = 14},
  [11171] = {.lex_state = 437, .external_lex_state = 14},
  [11172] = {.lex_state = 437, .external_lex_state = 14},
  [11173] = {.lex_state = 322, .external_lex_state = 3},
  [11174] = {.lex_state = 322, .external_lex_state = 3},
  [11175] = {.lex_state = 367, .external_lex_state = 3},
  [11176] = {.lex_state = 367, .external_lex_state = 3},
  [11177] = {.lex_state = 437, .external_lex_state = 14},
  [11178] = {.lex_state = 421, .external_lex_state = 32},
  [11179] = {.lex_state = 367, .external_lex_state = 32},
  [11180] = {.lex_state = 367, .external_lex_state = 32},
  [11181] = {.lex_state = 367, .external_lex_state = 32},
  [11182] = {.lex_state = 367, .external_lex_state = 32},
  [11183] = {.lex_state = 367, .external_lex_state = 32},
  [11184] = {.lex_state = 367, .external_lex_state = 32},
  [11185] = {.lex_state = 455, .external_lex_state = 22},
  [11186] = {.lex_state = 367, .external_lex_state = 32},
  [11187] = {.lex_state = 367, .external_lex_state = 32},
  [11188] = {.lex_state = 367, .external_lex_state = 32},
  [11189] = {.lex_state = 367, .external_lex_state = 32},
  [11190] = {.lex_state = 367, .external_lex_state = 32},
  [11191] = {.lex_state = 367, .external_lex_state = 32},
  [11192] = {.lex_state = 367, .external_lex_state = 32},
  [11193] = {.lex_state = 367, .external_lex_state = 32},
  [11194] = {.lex_state = 367, .external_lex_state = 40},
  [11195] = {.lex_state = 421, .external_lex_state = 32},
  [11196] = {.lex_state = 365, .external_lex_state = 32},
  [11197] = {.lex_state = 365, .external_lex_state = 32},
  [11198] = {.lex_state = 322, .external_lex_state = 3},
  [11199] = {.lex_state = 322, .external_lex_state = 3},
  [11200] = {.lex_state = 437, .external_lex_state = 14},
  [11201] = {.lex_state = 322, .external_lex_state = 3},
  [11202] = {.lex_state = 322, .external_lex_state = 3},
  [11203] = {.lex_state = 322, .external_lex_state = 3},
  [11204] = {.lex_state = 322, .external_lex_state = 3},
  [11205] = {.lex_state = 322, .external_lex_state = 3},
  [11206] = {.lex_state = 322, .external_lex_state = 3},
  [11207] = {.lex_state = 455, .external_lex_state = 22},
  [11208] = {.lex_state = 322, .external_lex_state = 3},
  [11209] = {.lex_state = 322, .external_lex_state = 3},
  [11210] = {.lex_state = 322, .external_lex_state = 3},
  [11211] = {.lex_state = 322, .external_lex_state = 3},
  [11212] = {.lex_state = 322, .external_lex_state = 3},
  [11213] = {.lex_state = 322, .external_lex_state = 3},
  [11214] = {.lex_state = 322, .external_lex_state = 3},
  [11215] = {.lex_state = 322, .external_lex_state = 3},
  [11216] = {.lex_state = 185, .external_lex_state = 2},
  [11217] = {.lex_state = 425, .external_lex_state = 11},
  [11218] = {.lex_state = 425, .external_lex_state = 11},
  [11219] = {.lex_state = 425, .external_lex_state = 11},
  [11220] = {.lex_state = 425, .external_lex_state = 11},
  [11221] = {.lex_state = 185, .external_lex_state = 2},
  [11222] = {.lex_state = 185, .external_lex_state = 2},
  [11223] = {.lex_state = 185, .external_lex_state = 2},
  [11224] = {.lex_state = 322, .external_lex_state = 3},
  [11225] = {.lex_state = 206},
  [11226] = {.lex_state = 247, .external_lex_state = 3},
  [11227] = {.lex_state = 324, .external_lex_state = 15},
  [11228] = {.lex_state = 322, .external_lex_state = 3},
  [11229] = {.lex_state = 322, .external_lex_state = 3},
  [11230] = {.lex_state = 322, .external_lex_state = 15},
  [11231] = {.lex_state = 185, .external_lex_state = 2},
  [11232] = {.lex_state = 322, .external_lex_state = 3},
  [11233] = {.lex_state = 185, .external_lex_state = 2},
  [11234] = {.lex_state = 185, .external_lex_state = 2},
  [11235] = {.lex_state = 123, .external_lex_state = 19},
  [11236] = {.lex_state = 185, .external_lex_state = 2},
  [11237] = {.lex_state = 320, .external_lex_state = 29},
  [11238] = {.lex_state = 322, .external_lex_state = 3},
  [11239] = {.lex_state = 322, .external_lex_state = 3},
  [11240] = {.lex_state = 322, .external_lex_state = 3},
  [11241] = {.lex_state = 322, .external_lex_state = 30},
  [11242] = {.lex_state = 322, .external_lex_state = 3},
  [11243] = {.lex_state = 322, .external_lex_state = 3},
  [11244] = {.lex_state = 185, .external_lex_state = 2},
  [11245] = {.lex_state = 185, .external_lex_state = 2},
  [11246] = {.lex_state = 185, .external_lex_state = 2},
  [11247] = {.lex_state = 185, .external_lex_state = 2},
  [11248] = {.lex_state = 185, .external_lex_state = 2},
  [11249] = {.lex_state = 185, .external_lex_state = 2},
  [11250] = {.lex_state = 185, .external_lex_state = 2},
  [11251] = {.lex_state = 185, .external_lex_state = 2},
  [11252] = {.lex_state = 185, .external_lex_state = 2},
  [11253] = {.lex_state = 185, .external_lex_state = 2},
  [11254] = {.lex_state = 185, .external_lex_state = 2},
  [11255] = {.lex_state = 185, .external_lex_state = 2},
  [11256] = {.lex_state = 185, .external_lex_state = 2},
  [11257] = {.lex_state = 185, .external_lex_state = 2},
  [11258] = {.lex_state = 185, .external_lex_state = 2},
  [11259] = {.lex_state = 123, .external_lex_state = 19},
  [11260] = {.lex_state = 185, .external_lex_state = 2},
  [11261] = {.lex_state = 320, .external_lex_state = 29},
  [11262] = {.lex_state = 365, .external_lex_state = 3},
  [11263] = {.lex_state = 365, .external_lex_state = 3},
  [11264] = {.lex_state = 365, .external_lex_state = 3},
  [11265] = {.lex_state = 365, .external_lex_state = 30},
  [11266] = {.lex_state = 249, .external_lex_state = 3},
  [11267] = {.lex_state = 433, .external_lex_state = 13},
  [11268] = {.lex_state = 322, .external_lex_state = 3},
  [11269] = {.lex_state = 185, .external_lex_state = 38},
  [11270] = {.lex_state = 185, .external_lex_state = 2},
  [11271] = {.lex_state = 185, .external_lex_state = 2},
  [11272] = {.lex_state = 322, .external_lex_state = 15},
  [11273] = {.lex_state = 243, .external_lex_state = 8},
  [11274] = {.lex_state = 123, .external_lex_state = 2},
  [11275] = {.lex_state = 123, .external_lex_state = 8},
  [11276] = {.lex_state = 237, .external_lex_state = 14},
  [11277] = {.lex_state = 237, .external_lex_state = 14},
  [11278] = {.lex_state = 237, .external_lex_state = 14},
  [11279] = {.lex_state = 237, .external_lex_state = 14},
  [11280] = {.lex_state = 237, .external_lex_state = 14},
  [11281] = {.lex_state = 237, .external_lex_state = 14},
  [11282] = {.lex_state = 237, .external_lex_state = 14},
  [11283] = {.lex_state = 237, .external_lex_state = 14},
  [11284] = {.lex_state = 237, .external_lex_state = 14},
  [11285] = {.lex_state = 237, .external_lex_state = 14},
  [11286] = {.lex_state = 237, .external_lex_state = 14},
  [11287] = {.lex_state = 455, .external_lex_state = 22},
  [11288] = {.lex_state = 237, .external_lex_state = 14},
  [11289] = {.lex_state = 237, .external_lex_state = 14},
  [11290] = {.lex_state = 237, .external_lex_state = 14},
  [11291] = {.lex_state = 237, .external_lex_state = 14},
  [11292] = {.lex_state = 237, .external_lex_state = 14},
  [11293] = {.lex_state = 185, .external_lex_state = 2},
  [11294] = {.lex_state = 243, .external_lex_state = 11},
  [11295] = {.lex_state = 243, .external_lex_state = 11},
  [11296] = {.lex_state = 243, .external_lex_state = 11},
  [11297] = {.lex_state = 243, .external_lex_state = 11},
  [11298] = {.lex_state = 185, .external_lex_state = 2},
  [11299] = {.lex_state = 185, .external_lex_state = 2},
  [11300] = {.lex_state = 185, .external_lex_state = 2},
  [11301] = {.lex_state = 367, .external_lex_state = 3},
  [11302] = {.lex_state = 243, .external_lex_state = 11},
  [11303] = {.lex_state = 206},
  [11304] = {.lex_state = 367, .external_lex_state = 3},
  [11305] = {.lex_state = 367, .external_lex_state = 15},
  [11306] = {.lex_state = 367, .external_lex_state = 3},
  [11307] = {.lex_state = 365, .external_lex_state = 3},
  [11308] = {.lex_state = 365, .external_lex_state = 15},
  [11309] = {.lex_state = 185, .external_lex_state = 2},
  [11310] = {.lex_state = 367, .external_lex_state = 3},
  [11311] = {.lex_state = 365, .external_lex_state = 3},
  [11312] = {.lex_state = 365, .external_lex_state = 3},
  [11313] = {.lex_state = 185, .external_lex_state = 2},
  [11314] = {.lex_state = 185, .external_lex_state = 2},
  [11315] = {.lex_state = 185, .external_lex_state = 2},
  [11316] = {.lex_state = 185, .external_lex_state = 2},
  [11317] = {.lex_state = 185, .external_lex_state = 2},
  [11318] = {.lex_state = 185, .external_lex_state = 2},
  [11319] = {.lex_state = 185, .external_lex_state = 2},
  [11320] = {.lex_state = 185, .external_lex_state = 2},
  [11321] = {.lex_state = 185, .external_lex_state = 2},
  [11322] = {.lex_state = 185, .external_lex_state = 2},
  [11323] = {.lex_state = 185, .external_lex_state = 2},
  [11324] = {.lex_state = 185, .external_lex_state = 2},
  [11325] = {.lex_state = 185, .external_lex_state = 2},
  [11326] = {.lex_state = 367, .external_lex_state = 3},
  [11327] = {.lex_state = 433, .external_lex_state = 13},
  [11328] = {.lex_state = 367, .external_lex_state = 3},
  [11329] = {.lex_state = 185, .external_lex_state = 38},
  [11330] = {.lex_state = 185, .external_lex_state = 2},
  [11331] = {.lex_state = 185, .external_lex_state = 2},
  [11332] = {.lex_state = 365, .external_lex_state = 15},
  [11333] = {.lex_state = 185, .external_lex_state = 2},
  [11334] = {.lex_state = 185, .external_lex_state = 2},
  [11335] = {.lex_state = 185, .external_lex_state = 2},
  [11336] = {.lex_state = 185, .external_lex_state = 2},
  [11337] = {.lex_state = 185, .external_lex_state = 2},
  [11338] = {.lex_state = 437, .external_lex_state = 14},
  [11339] = {.lex_state = 437, .external_lex_state = 14},
  [11340] = {.lex_state = 206},
  [11341] = {.lex_state = 247, .external_lex_state = 3},
  [11342] = {.lex_state = 237, .external_lex_state = 14},
  [11343] = {.lex_state = 249, .external_lex_state = 15},
  [11344] = {.lex_state = 123},
  [11345] = {.lex_state = 437, .external_lex_state = 14},
  [11346] = {.lex_state = 367, .external_lex_state = 3},
  [11347] = {.lex_state = 367, .external_lex_state = 3},
  [11348] = {.lex_state = 367, .external_lex_state = 3},
  [11349] = {.lex_state = 367, .external_lex_state = 3},
  [11350] = {.lex_state = 367, .external_lex_state = 3},
  [11351] = {.lex_state = 367, .external_lex_state = 3},
  [11352] = {.lex_state = 455, .external_lex_state = 22},
  [11353] = {.lex_state = 367, .external_lex_state = 3},
  [11354] = {.lex_state = 367, .external_lex_state = 3},
  [11355] = {.lex_state = 367, .external_lex_state = 3},
  [11356] = {.lex_state = 367, .external_lex_state = 3},
  [11357] = {.lex_state = 367, .external_lex_state = 3},
  [11358] = {.lex_state = 367, .external_lex_state = 3},
  [11359] = {.lex_state = 367, .external_lex_state = 3},
  [11360] = {.lex_state = 367, .external_lex_state = 3},
  [11361] = {.lex_state = 367, .external_lex_state = 15},
  [11362] = {.lex_state = 437, .external_lex_state = 14},
  [11363] = {.lex_state = 322, .external_lex_state = 3},
  [11364] = {.lex_state = 322, .external_lex_state = 3},
  [11365] = {.lex_state = 322, .external_lex_state = 3},
  [11366] = {.lex_state = 322, .external_lex_state = 3},
  [11367] = {.lex_state = 309, .external_lex_state = 44},
  [11368] = {.lex_state = 314, .external_lex_state = 28},
  [11369] = {.lex_state = 202},
  [11370] = {.lex_state = 421, .external_lex_state = 3},
  [11371] = {.lex_state = 421, .external_lex_state = 3},
  [11372] = {.lex_state = 185, .external_lex_state = 2},
  [11373] = {.lex_state = 421, .external_lex_state = 3},
  [11374] = {.lex_state = 185, .external_lex_state = 2},
  [11375] = {.lex_state = 421, .external_lex_state = 3},
  [11376] = {.lex_state = 433, .external_lex_state = 13},
  [11377] = {.lex_state = 421, .external_lex_state = 3},
  [11378] = {.lex_state = 185, .external_lex_state = 2},
  [11379] = {.lex_state = 421, .external_lex_state = 3},
  [11380] = {.lex_state = 421, .external_lex_state = 3},
  [11381] = {.lex_state = 421, .external_lex_state = 3},
  [11382] = {.lex_state = 421, .external_lex_state = 3},
  [11383] = {.lex_state = 421, .external_lex_state = 3},
  [11384] = {.lex_state = 421, .external_lex_state = 3},
  [11385] = {.lex_state = 455, .external_lex_state = 22},
  [11386] = {.lex_state = 421, .external_lex_state = 3},
  [11387] = {.lex_state = 421, .external_lex_state = 3},
  [11388] = {.lex_state = 421, .external_lex_state = 3},
  [11389] = {.lex_state = 421, .external_lex_state = 3},
  [11390] = {.lex_state = 421, .external_lex_state = 3},
  [11391] = {.lex_state = 421, .external_lex_state = 3},
  [11392] = {.lex_state = 421, .external_lex_state = 3},
  [11393] = {.lex_state = 421, .external_lex_state = 3},
  [11394] = {.lex_state = 505, .external_lex_state = 15},
  [11395] = {.lex_state = 309, .external_lex_state = 44},
  [11396] = {.lex_state = 309, .external_lex_state = 44},
  [11397] = {.lex_state = 421, .external_lex_state = 3},
  [11398] = {.lex_state = 421, .external_lex_state = 3},
  [11399] = {.lex_state = 421, .external_lex_state = 3},
  [11400] = {.lex_state = 433, .external_lex_state = 43},
  [11401] = {.lex_state = 421, .external_lex_state = 3},
  [11402] = {.lex_state = 421, .external_lex_state = 3},
  [11403] = {.lex_state = 421, .external_lex_state = 3},
  [11404] = {.lex_state = 309, .external_lex_state = 44},
  [11405] = {.lex_state = 123},
  [11406] = {.lex_state = 123, .external_lex_state = 2},
  [11407] = {.lex_state = 185, .external_lex_state = 2},
  [11408] = {.lex_state = 309, .external_lex_state = 44},
  [11409] = {.lex_state = 417, .external_lex_state = 44},
  [11410] = {.lex_state = 185, .external_lex_state = 38},
  [11411] = {.lex_state = 421, .external_lex_state = 3},
  [11412] = {.lex_state = 365, .external_lex_state = 3},
  [11413] = {.lex_state = 365, .external_lex_state = 3},
  [11414] = {.lex_state = 322, .external_lex_state = 3},
  [11415] = {.lex_state = 322, .external_lex_state = 3},
  [11416] = {.lex_state = 185, .external_lex_state = 2},
  [11417] = {.lex_state = 185, .external_lex_state = 38},
  [11418] = {.lex_state = 322, .external_lex_state = 3},
  [11419] = {.lex_state = 322, .external_lex_state = 3},
  [11420] = {.lex_state = 322, .external_lex_state = 3},
  [11421] = {.lex_state = 185, .external_lex_state = 2},
  [11422] = {.lex_state = 185, .external_lex_state = 38},
  [11423] = {.lex_state = 367, .external_lex_state = 3},
  [11424] = {.lex_state = 365, .external_lex_state = 3},
  [11425] = {.lex_state = 365, .external_lex_state = 3},
  [11426] = {.lex_state = 185, .external_lex_state = 2},
  [11427] = {.lex_state = 322, .external_lex_state = 3},
  [11428] = {.lex_state = 322, .external_lex_state = 3},
  [11429] = {.lex_state = 185, .external_lex_state = 2},
  [11430] = {.lex_state = 185, .external_lex_state = 38},
  [11431] = {.lex_state = 322, .external_lex_state = 3},
  [11432] = {.lex_state = 322, .external_lex_state = 3},
  [11433] = {.lex_state = 322, .external_lex_state = 3},
  [11434] = {.lex_state = 185, .external_lex_state = 2},
  [11435] = {.lex_state = 185, .external_lex_state = 38},
  [11436] = {.lex_state = 367, .external_lex_state = 3},
  [11437] = {.lex_state = 365, .external_lex_state = 3},
  [11438] = {.lex_state = 365, .external_lex_state = 3},
  [11439] = {.lex_state = 185, .external_lex_state = 2},
  [11440] = {.lex_state = 367, .external_lex_state = 3},
  [11441] = {.lex_state = 367, .external_lex_state = 3},
  [11442] = {.lex_state = 437, .external_lex_state = 14},
  [11443] = {.lex_state = 185, .external_lex_state = 2},
  [11444] = {.lex_state = 185, .external_lex_state = 38},
  [11445] = {.lex_state = 355, .external_lex_state = 32},
  [11446] = {.lex_state = 185, .external_lex_state = 2},
  [11447] = {.lex_state = 185, .external_lex_state = 38},
  [11448] = {.lex_state = 443, .external_lex_state = 32},
  [11449] = {.lex_state = 343, .external_lex_state = 32},
  [11450] = {.lex_state = 343, .external_lex_state = 32},
  [11451] = {.lex_state = 349, .external_lex_state = 32},
  [11452] = {.lex_state = 271, .external_lex_state = 2},
  [11453] = {.lex_state = 185, .external_lex_state = 2},
  [11454] = {.lex_state = 425, .external_lex_state = 33},
  [11455] = {.lex_state = 425, .external_lex_state = 33},
  [11456] = {.lex_state = 425, .external_lex_state = 33},
  [11457] = {.lex_state = 425, .external_lex_state = 33},
  [11458] = {.lex_state = 185, .external_lex_state = 2},
  [11459] = {.lex_state = 185, .external_lex_state = 2},
  [11460] = {.lex_state = 185, .external_lex_state = 2},
  [11461] = {.lex_state = 322, .external_lex_state = 32},
  [11462] = {.lex_state = 243, .external_lex_state = 33},
  [11463] = {.lex_state = 206},
  [11464] = {.lex_state = 247, .external_lex_state = 32},
  [11465] = {.lex_state = 324, .external_lex_state = 40},
  [11466] = {.lex_state = 322, .external_lex_state = 32},
  [11467] = {.lex_state = 322, .external_lex_state = 32},
  [11468] = {.lex_state = 322, .external_lex_state = 40},
  [11469] = {.lex_state = 185, .external_lex_state = 2},
  [11470] = {.lex_state = 322, .external_lex_state = 32},
  [11471] = {.lex_state = 185, .external_lex_state = 2},
  [11472] = {.lex_state = 185, .external_lex_state = 2},
  [11473] = {.lex_state = 123, .external_lex_state = 19},
  [11474] = {.lex_state = 185, .external_lex_state = 2},
  [11475] = {.lex_state = 320, .external_lex_state = 34},
  [11476] = {.lex_state = 322, .external_lex_state = 32},
  [11477] = {.lex_state = 322, .external_lex_state = 32},
  [11478] = {.lex_state = 322, .external_lex_state = 32},
  [11479] = {.lex_state = 322, .external_lex_state = 36},
  [11480] = {.lex_state = 322, .external_lex_state = 32},
  [11481] = {.lex_state = 322, .external_lex_state = 32},
  [11482] = {.lex_state = 185, .external_lex_state = 2},
  [11483] = {.lex_state = 185, .external_lex_state = 2},
  [11484] = {.lex_state = 185, .external_lex_state = 2},
  [11485] = {.lex_state = 185, .external_lex_state = 2},
  [11486] = {.lex_state = 185, .external_lex_state = 2},
  [11487] = {.lex_state = 185, .external_lex_state = 2},
  [11488] = {.lex_state = 185, .external_lex_state = 2},
  [11489] = {.lex_state = 185, .external_lex_state = 2},
  [11490] = {.lex_state = 185, .external_lex_state = 2},
  [11491] = {.lex_state = 185, .external_lex_state = 2},
  [11492] = {.lex_state = 185, .external_lex_state = 2},
  [11493] = {.lex_state = 185, .external_lex_state = 2},
  [11494] = {.lex_state = 185, .external_lex_state = 2},
  [11495] = {.lex_state = 185, .external_lex_state = 2},
  [11496] = {.lex_state = 185, .external_lex_state = 2},
  [11497] = {.lex_state = 123, .external_lex_state = 19},
  [11498] = {.lex_state = 185, .external_lex_state = 2},
  [11499] = {.lex_state = 320, .external_lex_state = 34},
  [11500] = {.lex_state = 365, .external_lex_state = 32},
  [11501] = {.lex_state = 365, .external_lex_state = 32},
  [11502] = {.lex_state = 365, .external_lex_state = 32},
  [11503] = {.lex_state = 365, .external_lex_state = 36},
  [11504] = {.lex_state = 322, .external_lex_state = 32},
  [11505] = {.lex_state = 433, .external_lex_state = 13},
  [11506] = {.lex_state = 322, .external_lex_state = 32},
  [11507] = {.lex_state = 185, .external_lex_state = 38},
  [11508] = {.lex_state = 185, .external_lex_state = 2},
  [11509] = {.lex_state = 185, .external_lex_state = 2},
  [11510] = {.lex_state = 322, .external_lex_state = 40},
  [11511] = {.lex_state = 282, .external_lex_state = 22},
  [11512] = {.lex_state = 282, .external_lex_state = 22},
  [11513] = {.lex_state = 282, .external_lex_state = 22},
  [11514] = {.lex_state = 282, .external_lex_state = 22},
  [11515] = {.lex_state = 282, .external_lex_state = 22},
  [11516] = {.lex_state = 282, .external_lex_state = 22},
  [11517] = {.lex_state = 455, .external_lex_state = 22},
  [11518] = {.lex_state = 282, .external_lex_state = 22},
  [11519] = {.lex_state = 282, .external_lex_state = 22},
  [11520] = {.lex_state = 282, .external_lex_state = 22},
  [11521] = {.lex_state = 282, .external_lex_state = 22},
  [11522] = {.lex_state = 282, .external_lex_state = 22},
  [11523] = {.lex_state = 185, .external_lex_state = 2},
  [11524] = {.lex_state = 243, .external_lex_state = 33},
  [11525] = {.lex_state = 243, .external_lex_state = 33},
  [11526] = {.lex_state = 243, .external_lex_state = 33},
  [11527] = {.lex_state = 243, .external_lex_state = 33},
  [11528] = {.lex_state = 185, .external_lex_state = 2},
  [11529] = {.lex_state = 185, .external_lex_state = 2},
  [11530] = {.lex_state = 185, .external_lex_state = 2},
  [11531] = {.lex_state = 367, .external_lex_state = 32},
  [11532] = {.lex_state = 243, .external_lex_state = 33},
  [11533] = {.lex_state = 206},
  [11534] = {.lex_state = 367, .external_lex_state = 32},
  [11535] = {.lex_state = 367, .external_lex_state = 40},
  [11536] = {.lex_state = 367, .external_lex_state = 32},
  [11537] = {.lex_state = 365, .external_lex_state = 32},
  [11538] = {.lex_state = 365, .external_lex_state = 40},
  [11539] = {.lex_state = 185, .external_lex_state = 2},
  [11540] = {.lex_state = 367, .external_lex_state = 32},
  [11541] = {.lex_state = 365, .external_lex_state = 32},
  [11542] = {.lex_state = 365, .external_lex_state = 32},
  [11543] = {.lex_state = 185, .external_lex_state = 2},
  [11544] = {.lex_state = 185, .external_lex_state = 2},
  [11545] = {.lex_state = 185, .external_lex_state = 2},
  [11546] = {.lex_state = 185, .external_lex_state = 2},
  [11547] = {.lex_state = 185, .external_lex_state = 2},
  [11548] = {.lex_state = 185, .external_lex_state = 2},
  [11549] = {.lex_state = 185, .external_lex_state = 2},
  [11550] = {.lex_state = 185, .external_lex_state = 2},
  [11551] = {.lex_state = 185, .external_lex_state = 2},
  [11552] = {.lex_state = 185, .external_lex_state = 2},
  [11553] = {.lex_state = 185, .external_lex_state = 2},
  [11554] = {.lex_state = 185, .external_lex_state = 2},
  [11555] = {.lex_state = 185, .external_lex_state = 2},
  [11556] = {.lex_state = 367, .external_lex_state = 32},
  [11557] = {.lex_state = 433, .external_lex_state = 13},
  [11558] = {.lex_state = 367, .external_lex_state = 32},
  [11559] = {.lex_state = 185, .external_lex_state = 38},
  [11560] = {.lex_state = 185, .external_lex_state = 2},
  [11561] = {.lex_state = 185, .external_lex_state = 2},
  [11562] = {.lex_state = 365, .external_lex_state = 40},
  [11563] = {.lex_state = 185, .external_lex_state = 2},
  [11564] = {.lex_state = 282, .external_lex_state = 22},
  [11565] = {.lex_state = 282, .external_lex_state = 22},
  [11566] = {.lex_state = 282, .external_lex_state = 22},
  [11567] = {.lex_state = 241, .external_lex_state = 39},
  [11568] = {.lex_state = 228},
  [11569] = {.lex_state = 228},
  [11570] = {.lex_state = 302},
  [11571] = {.lex_state = 123},
  [11572] = {.lex_state = 123, .external_lex_state = 12},
  [11573] = {.lex_state = 228},
  [11574] = {.lex_state = 228},
  [11575] = {.lex_state = 282, .external_lex_state = 22},
  [11576] = {.lex_state = 282, .external_lex_state = 22},
  [11577] = {.lex_state = 519, .external_lex_state = 32},
  [11578] = {.lex_state = 519, .external_lex_state = 32},
  [11579] = {.lex_state = 185, .external_lex_state = 2},
  [11580] = {.lex_state = 185, .external_lex_state = 38},
  [11581] = {.lex_state = 519, .external_lex_state = 32},
  [11582] = {.lex_state = 519, .external_lex_state = 32},
  [11583] = {.lex_state = 519, .external_lex_state = 32},
  [11584] = {.lex_state = 185, .external_lex_state = 2},
  [11585] = {.lex_state = 185, .external_lex_state = 38},
  [11586] = {.lex_state = 459, .external_lex_state = 32},
  [11587] = {.lex_state = 521, .external_lex_state = 32},
  [11588] = {.lex_state = 521, .external_lex_state = 32},
  [11589] = {.lex_state = 185, .external_lex_state = 2},
  [11590] = {.lex_state = 219, .external_lex_state = 3},
  [11591] = {.lex_state = 219, .external_lex_state = 3},
  [11592] = {.lex_state = 219, .external_lex_state = 3},
  [11593] = {.lex_state = 219, .external_lex_state = 3},
  [11594] = {.lex_state = 123},
  [11595] = {.lex_state = 219, .external_lex_state = 3},
  [11596] = {.lex_state = 219, .external_lex_state = 3},
  [11597] = {.lex_state = 219, .external_lex_state = 3},
  [11598] = {.lex_state = 219, .external_lex_state = 3},
  [11599] = {.lex_state = 185, .external_lex_state = 2},
  [11600] = {.lex_state = 280, .external_lex_state = 3},
  [11601] = {.lex_state = 395, .external_lex_state = 32},
  [11602] = {.lex_state = 395, .external_lex_state = 32},
  [11603] = {.lex_state = 391, .external_lex_state = 32},
  [11604] = {.lex_state = 170, .external_lex_state = 4},
  [11605] = {.lex_state = 391, .external_lex_state = 32},
  [11606] = {.lex_state = 391, .external_lex_state = 32},
  [11607] = {.lex_state = 170, .external_lex_state = 4},
  [11608] = {.lex_state = 391, .external_lex_state = 32},
  [11609] = {.lex_state = 217, .external_lex_state = 7},
  [11610] = {.lex_state = 391, .external_lex_state = 32},
  [11611] = {.lex_state = 391, .external_lex_state = 32},
  [11612] = {.lex_state = 391, .external_lex_state = 32},
  [11613] = {.lex_state = 123},
  [11614] = {.lex_state = 123},
  [11615] = {.lex_state = 391, .external_lex_state = 32},
  [11616] = {.lex_state = 123},
  [11617] = {.lex_state = 391, .external_lex_state = 32},
  [11618] = {.lex_state = 391, .external_lex_state = 32},
  [11619] = {.lex_state = 391, .external_lex_state = 32},
  [11620] = {.lex_state = 123},
  [11621] = {.lex_state = 391, .external_lex_state = 32},
  [11622] = {.lex_state = 123},
  [11623] = {.lex_state = 391, .external_lex_state = 32},
  [11624] = {.lex_state = 123},
  [11625] = {.lex_state = 379, .external_lex_state = 32},
  [11626] = {.lex_state = 391, .external_lex_state = 32},
  [11627] = {.lex_state = 379, .external_lex_state = 32},
  [11628] = {.lex_state = 373, .external_lex_state = 17},
  [11629] = {.lex_state = 375, .external_lex_state = 22},
  [11630] = {.lex_state = 395, .external_lex_state = 3},
  [11631] = {.lex_state = 395, .external_lex_state = 3},
  [11632] = {.lex_state = 379, .external_lex_state = 3},
  [11633] = {.lex_state = 379, .external_lex_state = 3},
  [11634] = {.lex_state = 375, .external_lex_state = 14},
  [11635] = {.lex_state = 395, .external_lex_state = 32},
  [11636] = {.lex_state = 395, .external_lex_state = 32},
  [11637] = {.lex_state = 379, .external_lex_state = 32},
  [11638] = {.lex_state = 379, .external_lex_state = 32},
  [11639] = {.lex_state = 391, .external_lex_state = 32},
  [11640] = {.lex_state = 349, .external_lex_state = 32},
  [11641] = {.lex_state = 411, .external_lex_state = 32},
  [11642] = {.lex_state = 411, .external_lex_state = 32},
  [11643] = {.lex_state = 296, .external_lex_state = 32},
  [11644] = {.lex_state = 296, .external_lex_state = 32},
  [11645] = {.lex_state = 282, .external_lex_state = 22},
  [11646] = {.lex_state = 243, .external_lex_state = 8},
  [11647] = {.lex_state = 123},
  [11648] = {.lex_state = 499, .external_lex_state = 32},
  [11649] = {.lex_state = 499, .external_lex_state = 32},
  [11650] = {.lex_state = 185, .external_lex_state = 2},
  [11651] = {.lex_state = 185, .external_lex_state = 38},
  [11652] = {.lex_state = 367, .external_lex_state = 32},
  [11653] = {.lex_state = 499, .external_lex_state = 32},
  [11654] = {.lex_state = 499, .external_lex_state = 32},
  [11655] = {.lex_state = 499, .external_lex_state = 32},
  [11656] = {.lex_state = 499, .external_lex_state = 32},
  [11657] = {.lex_state = 123},
  [11658] = {.lex_state = 499, .external_lex_state = 32},
  [11659] = {.lex_state = 499, .external_lex_state = 32},
  [11660] = {.lex_state = 499, .external_lex_state = 32},
  [11661] = {.lex_state = 499, .external_lex_state = 32},
  [11662] = {.lex_state = 499, .external_lex_state = 32},
  [11663] = {.lex_state = 123},
  [11664] = {.lex_state = 322, .external_lex_state = 3},
  [11665] = {.lex_state = 322, .external_lex_state = 3},
  [11666] = {.lex_state = 185, .external_lex_state = 2},
  [11667] = {.lex_state = 185, .external_lex_state = 38},
  [11668] = {.lex_state = 322, .external_lex_state = 3},
  [11669] = {.lex_state = 322, .external_lex_state = 3},
  [11670] = {.lex_state = 322, .external_lex_state = 3},
  [11671] = {.lex_state = 185, .external_lex_state = 2},
  [11672] = {.lex_state = 185, .external_lex_state = 38},
  [11673] = {.lex_state = 367, .external_lex_state = 3},
  [11674] = {.lex_state = 365, .external_lex_state = 3},
  [11675] = {.lex_state = 365, .external_lex_state = 3},
  [11676] = {.lex_state = 185, .external_lex_state = 2},
  [11677] = {.lex_state = 322, .external_lex_state = 3},
  [11678] = {.lex_state = 322, .external_lex_state = 3},
  [11679] = {.lex_state = 185, .external_lex_state = 2},
  [11680] = {.lex_state = 185, .external_lex_state = 38},
  [11681] = {.lex_state = 322, .external_lex_state = 3},
  [11682] = {.lex_state = 322, .external_lex_state = 3},
  [11683] = {.lex_state = 322, .external_lex_state = 3},
  [11684] = {.lex_state = 185, .external_lex_state = 2},
  [11685] = {.lex_state = 185, .external_lex_state = 38},
  [11686] = {.lex_state = 367, .external_lex_state = 3},
  [11687] = {.lex_state = 365, .external_lex_state = 3},
  [11688] = {.lex_state = 365, .external_lex_state = 3},
  [11689] = {.lex_state = 185, .external_lex_state = 2},
  [11690] = {.lex_state = 185, .external_lex_state = 2},
  [11691] = {.lex_state = 185, .external_lex_state = 38},
  [11692] = {.lex_state = 367, .external_lex_state = 32},
  [11693] = {.lex_state = 185, .external_lex_state = 2},
  [11694] = {.lex_state = 185, .external_lex_state = 38},
  [11695] = {.lex_state = 322, .external_lex_state = 3},
  [11696] = {.lex_state = 322, .external_lex_state = 3},
  [11697] = {.lex_state = 322, .external_lex_state = 3},
  [11698] = {.lex_state = 322, .external_lex_state = 3},
  [11699] = {.lex_state = 322, .external_lex_state = 3},
  [11700] = {.lex_state = 322, .external_lex_state = 3},
  [11701] = {.lex_state = 185, .external_lex_state = 2},
  [11702] = {.lex_state = 185, .external_lex_state = 2},
  [11703] = {.lex_state = 185, .external_lex_state = 2},
  [11704] = {.lex_state = 185, .external_lex_state = 2},
  [11705] = {.lex_state = 185, .external_lex_state = 2},
  [11706] = {.lex_state = 185, .external_lex_state = 2},
  [11707] = {.lex_state = 185, .external_lex_state = 2},
  [11708] = {.lex_state = 185, .external_lex_state = 2},
  [11709] = {.lex_state = 185, .external_lex_state = 2},
  [11710] = {.lex_state = 185, .external_lex_state = 2},
  [11711] = {.lex_state = 185, .external_lex_state = 2},
  [11712] = {.lex_state = 185, .external_lex_state = 2},
  [11713] = {.lex_state = 185, .external_lex_state = 38},
  [11714] = {.lex_state = 185, .external_lex_state = 2},
  [11715] = {.lex_state = 324, .external_lex_state = 15},
  [11716] = {.lex_state = 322, .external_lex_state = 3},
  [11717] = {.lex_state = 322, .external_lex_state = 3},
  [11718] = {.lex_state = 322, .external_lex_state = 3},
  [11719] = {.lex_state = 185, .external_lex_state = 2},
  [11720] = {.lex_state = 322, .external_lex_state = 3},
  [11721] = {.lex_state = 185, .external_lex_state = 2},
  [11722] = {.lex_state = 322, .external_lex_state = 3},
  [11723] = {.lex_state = 433, .external_lex_state = 13},
  [11724] = {.lex_state = 322, .external_lex_state = 3},
  [11725] = {.lex_state = 185, .external_lex_state = 2},
  [11726] = {.lex_state = 322, .external_lex_state = 3},
  [11727] = {.lex_state = 322, .external_lex_state = 3},
  [11728] = {.lex_state = 322, .external_lex_state = 3},
  [11729] = {.lex_state = 322, .external_lex_state = 3},
  [11730] = {.lex_state = 322, .external_lex_state = 3},
  [11731] = {.lex_state = 322, .external_lex_state = 3},
  [11732] = {.lex_state = 322, .external_lex_state = 3},
  [11733] = {.lex_state = 455, .external_lex_state = 22},
  [11734] = {.lex_state = 322, .external_lex_state = 3},
  [11735] = {.lex_state = 322, .external_lex_state = 3},
  [11736] = {.lex_state = 322, .external_lex_state = 3},
  [11737] = {.lex_state = 322, .external_lex_state = 3},
  [11738] = {.lex_state = 322, .external_lex_state = 3},
  [11739] = {.lex_state = 365, .external_lex_state = 3},
  [11740] = {.lex_state = 365, .external_lex_state = 3},
  [11741] = {.lex_state = 185, .external_lex_state = 2},
  [11742] = {.lex_state = 365, .external_lex_state = 3},
  [11743] = {.lex_state = 185, .external_lex_state = 2},
  [11744] = {.lex_state = 365, .external_lex_state = 3},
  [11745] = {.lex_state = 433, .external_lex_state = 13},
  [11746] = {.lex_state = 365, .external_lex_state = 3},
  [11747] = {.lex_state = 185, .external_lex_state = 2},
  [11748] = {.lex_state = 249, .external_lex_state = 3},
  [11749] = {.lex_state = 433, .external_lex_state = 43},
  [11750] = {.lex_state = 249, .external_lex_state = 3},
  [11751] = {.lex_state = 322, .external_lex_state = 3},
  [11752] = {.lex_state = 322, .external_lex_state = 3},
  [11753] = {.lex_state = 322, .external_lex_state = 3},
  [11754] = {.lex_state = 322, .external_lex_state = 3},
  [11755] = {.lex_state = 322, .external_lex_state = 3},
  [11756] = {.lex_state = 322, .external_lex_state = 15},
  [11757] = {.lex_state = 243, .external_lex_state = 8},
  [11758] = {.lex_state = 123, .external_lex_state = 2},
  [11759] = {.lex_state = 185, .external_lex_state = 2},
  [11760] = {.lex_state = 367, .external_lex_state = 3},
  [11761] = {.lex_state = 367, .external_lex_state = 3},
  [11762] = {.lex_state = 367, .external_lex_state = 3},
  [11763] = {.lex_state = 185, .external_lex_state = 2},
  [11764] = {.lex_state = 185, .external_lex_state = 2},
  [11765] = {.lex_state = 185, .external_lex_state = 2},
  [11766] = {.lex_state = 185, .external_lex_state = 2},
  [11767] = {.lex_state = 185, .external_lex_state = 2},
  [11768] = {.lex_state = 185, .external_lex_state = 2},
  [11769] = {.lex_state = 185, .external_lex_state = 2},
  [11770] = {.lex_state = 185, .external_lex_state = 2},
  [11771] = {.lex_state = 185, .external_lex_state = 2},
  [11772] = {.lex_state = 185, .external_lex_state = 2},
  [11773] = {.lex_state = 185, .external_lex_state = 2},
  [11774] = {.lex_state = 185, .external_lex_state = 2},
  [11775] = {.lex_state = 185, .external_lex_state = 38},
  [11776] = {.lex_state = 185, .external_lex_state = 2},
  [11777] = {.lex_state = 367, .external_lex_state = 15},
  [11778] = {.lex_state = 367, .external_lex_state = 3},
  [11779] = {.lex_state = 365, .external_lex_state = 3},
  [11780] = {.lex_state = 365, .external_lex_state = 3},
  [11781] = {.lex_state = 365, .external_lex_state = 3},
  [11782] = {.lex_state = 365, .external_lex_state = 3},
  [11783] = {.lex_state = 365, .external_lex_state = 3},
  [11784] = {.lex_state = 365, .external_lex_state = 3},
  [11785] = {.lex_state = 367, .external_lex_state = 3},
  [11786] = {.lex_state = 455, .external_lex_state = 22},
  [11787] = {.lex_state = 365, .external_lex_state = 3},
  [11788] = {.lex_state = 365, .external_lex_state = 3},
  [11789] = {.lex_state = 365, .external_lex_state = 3},
  [11790] = {.lex_state = 365, .external_lex_state = 3},
  [11791] = {.lex_state = 365, .external_lex_state = 3},
  [11792] = {.lex_state = 367, .external_lex_state = 3},
  [11793] = {.lex_state = 433, .external_lex_state = 43},
  [11794] = {.lex_state = 367, .external_lex_state = 3},
  [11795] = {.lex_state = 367, .external_lex_state = 3},
  [11796] = {.lex_state = 365, .external_lex_state = 3},
  [11797] = {.lex_state = 365, .external_lex_state = 3},
  [11798] = {.lex_state = 365, .external_lex_state = 3},
  [11799] = {.lex_state = 367, .external_lex_state = 3},
  [11800] = {.lex_state = 365, .external_lex_state = 15},
  [11801] = {.lex_state = 437, .external_lex_state = 14},
  [11802] = {.lex_state = 437, .external_lex_state = 14},
  [11803] = {.lex_state = 437, .external_lex_state = 14},
  [11804] = {.lex_state = 437, .external_lex_state = 14},
  [11805] = {.lex_state = 185, .external_lex_state = 2},
  [11806] = {.lex_state = 185, .external_lex_state = 2},
  [11807] = {.lex_state = 185, .external_lex_state = 2},
  [11808] = {.lex_state = 185, .external_lex_state = 2},
  [11809] = {.lex_state = 185, .external_lex_state = 2},
  [11810] = {.lex_state = 185, .external_lex_state = 2},
  [11811] = {.lex_state = 185, .external_lex_state = 2},
  [11812] = {.lex_state = 185, .external_lex_state = 2},
  [11813] = {.lex_state = 185, .external_lex_state = 2},
  [11814] = {.lex_state = 185, .external_lex_state = 2},
  [11815] = {.lex_state = 185, .external_lex_state = 2},
  [11816] = {.lex_state = 185, .external_lex_state = 2},
  [11817] = {.lex_state = 185, .external_lex_state = 38},
  [11818] = {.lex_state = 437, .external_lex_state = 14},
  [11819] = {.lex_state = 185, .external_lex_state = 38},
  [11820] = {.lex_state = 185, .external_lex_state = 2},
  [11821] = {.lex_state = 185, .external_lex_state = 2},
  [11822] = {.lex_state = 185, .external_lex_state = 38},
  [11823] = {.lex_state = 367, .external_lex_state = 3},
  [11824] = {.lex_state = 314, .external_lex_state = 28},
  [11825] = {.lex_state = 421, .external_lex_state = 3},
  [11826] = {.lex_state = 421, .external_lex_state = 3},
  [11827] = {.lex_state = 421, .external_lex_state = 3},
  [11828] = {.lex_state = 433, .external_lex_state = 43},
  [11829] = {.lex_state = 421, .external_lex_state = 3},
  [11830] = {.lex_state = 421, .external_lex_state = 3},
  [11831] = {.lex_state = 421, .external_lex_state = 3},
  [11832] = {.lex_state = 185, .external_lex_state = 2},
  [11833] = {.lex_state = 185, .external_lex_state = 38},
  [11834] = {.lex_state = 421, .external_lex_state = 3},
  [11835] = {.lex_state = 309, .external_lex_state = 44},
  [11836] = {.lex_state = 123},
  [11837] = {.lex_state = 421, .external_lex_state = 3},
  [11838] = {.lex_state = 421, .external_lex_state = 3},
  [11839] = {.lex_state = 322, .external_lex_state = 3},
  [11840] = {.lex_state = 322, .external_lex_state = 3},
  [11841] = {.lex_state = 367, .external_lex_state = 3},
  [11842] = {.lex_state = 367, .external_lex_state = 3},
  [11843] = {.lex_state = 437, .external_lex_state = 14},
  [11844] = {.lex_state = 322, .external_lex_state = 3},
  [11845] = {.lex_state = 322, .external_lex_state = 3},
  [11846] = {.lex_state = 367, .external_lex_state = 3},
  [11847] = {.lex_state = 367, .external_lex_state = 3},
  [11848] = {.lex_state = 437, .external_lex_state = 14},
  [11849] = {.lex_state = 355, .external_lex_state = 32},
  [11850] = {.lex_state = 355, .external_lex_state = 32},
  [11851] = {.lex_state = 443, .external_lex_state = 32},
  [11852] = {.lex_state = 443, .external_lex_state = 32},
  [11853] = {.lex_state = 322, .external_lex_state = 32},
  [11854] = {.lex_state = 322, .external_lex_state = 32},
  [11855] = {.lex_state = 322, .external_lex_state = 32},
  [11856] = {.lex_state = 185, .external_lex_state = 2},
  [11857] = {.lex_state = 185, .external_lex_state = 2},
  [11858] = {.lex_state = 185, .external_lex_state = 2},
  [11859] = {.lex_state = 185, .external_lex_state = 2},
  [11860] = {.lex_state = 185, .external_lex_state = 2},
  [11861] = {.lex_state = 185, .external_lex_state = 2},
  [11862] = {.lex_state = 185, .external_lex_state = 2},
  [11863] = {.lex_state = 185, .external_lex_state = 2},
  [11864] = {.lex_state = 185, .external_lex_state = 2},
  [11865] = {.lex_state = 185, .external_lex_state = 2},
  [11866] = {.lex_state = 185, .external_lex_state = 2},
  [11867] = {.lex_state = 185, .external_lex_state = 2},
  [11868] = {.lex_state = 185, .external_lex_state = 38},
  [11869] = {.lex_state = 185, .external_lex_state = 2},
  [11870] = {.lex_state = 324, .external_lex_state = 40},
  [11871] = {.lex_state = 322, .external_lex_state = 32},
  [11872] = {.lex_state = 322, .external_lex_state = 32},
  [11873] = {.lex_state = 322, .external_lex_state = 32},
  [11874] = {.lex_state = 185, .external_lex_state = 2},
  [11875] = {.lex_state = 322, .external_lex_state = 32},
  [11876] = {.lex_state = 185, .external_lex_state = 2},
  [11877] = {.lex_state = 322, .external_lex_state = 32},
  [11878] = {.lex_state = 433, .external_lex_state = 13},
  [11879] = {.lex_state = 322, .external_lex_state = 32},
  [11880] = {.lex_state = 185, .external_lex_state = 2},
  [11881] = {.lex_state = 322, .external_lex_state = 32},
  [11882] = {.lex_state = 322, .external_lex_state = 32},
  [11883] = {.lex_state = 322, .external_lex_state = 32},
  [11884] = {.lex_state = 322, .external_lex_state = 32},
  [11885] = {.lex_state = 322, .external_lex_state = 32},
  [11886] = {.lex_state = 322, .external_lex_state = 32},
  [11887] = {.lex_state = 322, .external_lex_state = 32},
  [11888] = {.lex_state = 455, .external_lex_state = 22},
  [11889] = {.lex_state = 322, .external_lex_state = 32},
  [11890] = {.lex_state = 322, .external_lex_state = 32},
  [11891] = {.lex_state = 322, .external_lex_state = 32},
  [11892] = {.lex_state = 322, .external_lex_state = 32},
  [11893] = {.lex_state = 322, .external_lex_state = 32},
  [11894] = {.lex_state = 365, .external_lex_state = 32},
  [11895] = {.lex_state = 365, .external_lex_state = 32},
  [11896] = {.lex_state = 185, .external_lex_state = 2},
  [11897] = {.lex_state = 365, .external_lex_state = 32},
  [11898] = {.lex_state = 185, .external_lex_state = 2},
  [11899] = {.lex_state = 365, .external_lex_state = 32},
  [11900] = {.lex_state = 433, .external_lex_state = 13},
  [11901] = {.lex_state = 365, .external_lex_state = 32},
  [11902] = {.lex_state = 185, .external_lex_state = 2},
  [11903] = {.lex_state = 322, .external_lex_state = 32},
  [11904] = {.lex_state = 433, .external_lex_state = 43},
  [11905] = {.lex_state = 322, .external_lex_state = 32},
  [11906] = {.lex_state = 322, .external_lex_state = 32},
  [11907] = {.lex_state = 322, .external_lex_state = 32},
  [11908] = {.lex_state = 322, .external_lex_state = 32},
  [11909] = {.lex_state = 322, .external_lex_state = 32},
  [11910] = {.lex_state = 322, .external_lex_state = 32},
  [11911] = {.lex_state = 322, .external_lex_state = 40},
  [11912] = {.lex_state = 185, .external_lex_state = 2},
  [11913] = {.lex_state = 367, .external_lex_state = 32},
  [11914] = {.lex_state = 367, .external_lex_state = 32},
  [11915] = {.lex_state = 367, .external_lex_state = 32},
  [11916] = {.lex_state = 185, .external_lex_state = 2},
  [11917] = {.lex_state = 185, .external_lex_state = 2},
  [11918] = {.lex_state = 185, .external_lex_state = 2},
  [11919] = {.lex_state = 185, .external_lex_state = 2},
  [11920] = {.lex_state = 185, .external_lex_state = 2},
  [11921] = {.lex_state = 185, .external_lex_state = 2},
  [11922] = {.lex_state = 185, .external_lex_state = 2},
  [11923] = {.lex_state = 185, .external_lex_state = 2},
  [11924] = {.lex_state = 185, .external_lex_state = 2},
  [11925] = {.lex_state = 185, .external_lex_state = 2},
  [11926] = {.lex_state = 185, .external_lex_state = 2},
  [11927] = {.lex_state = 185, .external_lex_state = 2},
  [11928] = {.lex_state = 185, .external_lex_state = 38},
  [11929] = {.lex_state = 185, .external_lex_state = 2},
  [11930] = {.lex_state = 367, .external_lex_state = 40},
  [11931] = {.lex_state = 367, .external_lex_state = 32},
  [11932] = {.lex_state = 365, .external_lex_state = 32},
  [11933] = {.lex_state = 365, .external_lex_state = 32},
  [11934] = {.lex_state = 365, .external_lex_state = 32},
  [11935] = {.lex_state = 365, .external_lex_state = 32},
  [11936] = {.lex_state = 365, .external_lex_state = 32},
  [11937] = {.lex_state = 365, .external_lex_state = 32},
  [11938] = {.lex_state = 367, .external_lex_state = 32},
  [11939] = {.lex_state = 455, .external_lex_state = 22},
  [11940] = {.lex_state = 365, .external_lex_state = 32},
  [11941] = {.lex_state = 365, .external_lex_state = 32},
  [11942] = {.lex_state = 365, .external_lex_state = 32},
  [11943] = {.lex_state = 365, .external_lex_state = 32},
  [11944] = {.lex_state = 365, .external_lex_state = 32},
  [11945] = {.lex_state = 367, .external_lex_state = 32},
  [11946] = {.lex_state = 433, .external_lex_state = 43},
  [11947] = {.lex_state = 367, .external_lex_state = 32},
  [11948] = {.lex_state = 367, .external_lex_state = 32},
  [11949] = {.lex_state = 365, .external_lex_state = 32},
  [11950] = {.lex_state = 365, .external_lex_state = 32},
  [11951] = {.lex_state = 365, .external_lex_state = 32},
  [11952] = {.lex_state = 367, .external_lex_state = 32},
  [11953] = {.lex_state = 365, .external_lex_state = 40},
  [11954] = {.lex_state = 282, .external_lex_state = 22},
  [11955] = {.lex_state = 185, .external_lex_state = 38},
  [11956] = {.lex_state = 282, .external_lex_state = 22},
  [11957] = {.lex_state = 271, .external_lex_state = 2},
  [11958] = {.lex_state = 228},
  [11959] = {.lex_state = 302},
  [11960] = {.lex_state = 123, .external_lex_state = 12},
  [11961] = {.lex_state = 228},
  [11962] = {.lex_state = 519, .external_lex_state = 32},
  [11963] = {.lex_state = 519, .external_lex_state = 32},
  [11964] = {.lex_state = 459, .external_lex_state = 32},
  [11965] = {.lex_state = 459, .external_lex_state = 32},
  [11966] = {.lex_state = 455, .external_lex_state = 22},
  [11967] = {.lex_state = 219, .external_lex_state = 3},
  [11968] = {.lex_state = 375, .external_lex_state = 14},
  [11969] = {.lex_state = 391, .external_lex_state = 32},
  [11970] = {.lex_state = 391, .external_lex_state = 32},
  [11971] = {.lex_state = 391, .external_lex_state = 32},
  [11972] = {.lex_state = 391, .external_lex_state = 32},
  [11973] = {.lex_state = 123},
  [11974] = {.lex_state = 391, .external_lex_state = 32},
  [11975] = {.lex_state = 391, .external_lex_state = 32},
  [11976] = {.lex_state = 391, .external_lex_state = 32},
  [11977] = {.lex_state = 391, .external_lex_state = 32},
  [11978] = {.lex_state = 243, .external_lex_state = 8},
  [11979] = {.lex_state = 367, .external_lex_state = 32},
  [11980] = {.lex_state = 367, .external_lex_state = 32},
  [11981] = {.lex_state = 499, .external_lex_state = 32},
  [11982] = {.lex_state = 499, .external_lex_state = 32},
  [11983] = {.lex_state = 322, .external_lex_state = 3},
  [11984] = {.lex_state = 322, .external_lex_state = 3},
  [11985] = {.lex_state = 367, .external_lex_state = 3},
  [11986] = {.lex_state = 367, .external_lex_state = 3},
  [11987] = {.lex_state = 437, .external_lex_state = 14},
  [11988] = {.lex_state = 322, .external_lex_state = 3},
  [11989] = {.lex_state = 322, .external_lex_state = 3},
  [11990] = {.lex_state = 367, .external_lex_state = 3},
  [11991] = {.lex_state = 367, .external_lex_state = 3},
  [11992] = {.lex_state = 437, .external_lex_state = 14},
  [11993] = {.lex_state = 367, .external_lex_state = 32},
  [11994] = {.lex_state = 367, .external_lex_state = 32},
  [11995] = {.lex_state = 322, .external_lex_state = 3},
  [11996] = {.lex_state = 322, .external_lex_state = 3},
  [11997] = {.lex_state = 322, .external_lex_state = 3},
  [11998] = {.lex_state = 322, .external_lex_state = 3},
  [11999] = {.lex_state = 322, .external_lex_state = 3},
  [12000] = {.lex_state = 322, .external_lex_state = 3},
  [12001] = {.lex_state = 322, .external_lex_state = 3},
  [12002] = {.lex_state = 322, .external_lex_state = 3},
  [12003] = {.lex_state = 322, .external_lex_state = 3},
  [12004] = {.lex_state = 322, .external_lex_state = 3},
  [12005] = {.lex_state = 455, .external_lex_state = 22},
  [12006] = {.lex_state = 322, .external_lex_state = 3},
  [12007] = {.lex_state = 322, .external_lex_state = 3},
  [12008] = {.lex_state = 322, .external_lex_state = 3},
  [12009] = {.lex_state = 322, .external_lex_state = 3},
  [12010] = {.lex_state = 322, .external_lex_state = 3},
  [12011] = {.lex_state = 322, .external_lex_state = 3},
  [12012] = {.lex_state = 322, .external_lex_state = 3},
  [12013] = {.lex_state = 322, .external_lex_state = 3},
  [12014] = {.lex_state = 324, .external_lex_state = 15},
  [12015] = {.lex_state = 322, .external_lex_state = 3},
  [12016] = {.lex_state = 322, .external_lex_state = 3},
  [12017] = {.lex_state = 322, .external_lex_state = 3},
  [12018] = {.lex_state = 433, .external_lex_state = 43},
  [12019] = {.lex_state = 322, .external_lex_state = 3},
  [12020] = {.lex_state = 322, .external_lex_state = 3},
  [12021] = {.lex_state = 322, .external_lex_state = 3},
  [12022] = {.lex_state = 185, .external_lex_state = 2},
  [12023] = {.lex_state = 365, .external_lex_state = 3},
  [12024] = {.lex_state = 365, .external_lex_state = 3},
  [12025] = {.lex_state = 365, .external_lex_state = 3},
  [12026] = {.lex_state = 433, .external_lex_state = 43},
  [12027] = {.lex_state = 365, .external_lex_state = 3},
  [12028] = {.lex_state = 365, .external_lex_state = 3},
  [12029] = {.lex_state = 365, .external_lex_state = 3},
  [12030] = {.lex_state = 185, .external_lex_state = 38},
  [12031] = {.lex_state = 322, .external_lex_state = 3},
  [12032] = {.lex_state = 237, .external_lex_state = 14},
  [12033] = {.lex_state = 367, .external_lex_state = 3},
  [12034] = {.lex_state = 367, .external_lex_state = 3},
  [12035] = {.lex_state = 367, .external_lex_state = 3},
  [12036] = {.lex_state = 367, .external_lex_state = 3},
  [12037] = {.lex_state = 367, .external_lex_state = 3},
  [12038] = {.lex_state = 367, .external_lex_state = 3},
  [12039] = {.lex_state = 455, .external_lex_state = 22},
  [12040] = {.lex_state = 367, .external_lex_state = 3},
  [12041] = {.lex_state = 367, .external_lex_state = 3},
  [12042] = {.lex_state = 367, .external_lex_state = 3},
  [12043] = {.lex_state = 367, .external_lex_state = 3},
  [12044] = {.lex_state = 367, .external_lex_state = 3},
  [12045] = {.lex_state = 367, .external_lex_state = 3},
  [12046] = {.lex_state = 367, .external_lex_state = 3},
  [12047] = {.lex_state = 367, .external_lex_state = 3},
  [12048] = {.lex_state = 367, .external_lex_state = 15},
  [12049] = {.lex_state = 185, .external_lex_state = 2},
  [12050] = {.lex_state = 185, .external_lex_state = 38},
  [12051] = {.lex_state = 365, .external_lex_state = 3},
  [12052] = {.lex_state = 437, .external_lex_state = 14},
  [12053] = {.lex_state = 437, .external_lex_state = 14},
  [12054] = {.lex_state = 437, .external_lex_state = 14},
  [12055] = {.lex_state = 437, .external_lex_state = 14},
  [12056] = {.lex_state = 437, .external_lex_state = 14},
  [12057] = {.lex_state = 437, .external_lex_state = 14},
  [12058] = {.lex_state = 455, .external_lex_state = 22},
  [12059] = {.lex_state = 437, .external_lex_state = 14},
  [12060] = {.lex_state = 437, .external_lex_state = 14},
  [12061] = {.lex_state = 437, .external_lex_state = 14},
  [12062] = {.lex_state = 437, .external_lex_state = 14},
  [12063] = {.lex_state = 437, .external_lex_state = 14},
  [12064] = {.lex_state = 437, .external_lex_state = 14},
  [12065] = {.lex_state = 437, .external_lex_state = 14},
  [12066] = {.lex_state = 437, .external_lex_state = 14},
  [12067] = {.lex_state = 367, .external_lex_state = 3},
  [12068] = {.lex_state = 367, .external_lex_state = 3},
  [12069] = {.lex_state = 421, .external_lex_state = 3},
  [12070] = {.lex_state = 421, .external_lex_state = 3},
  [12071] = {.lex_state = 309, .external_lex_state = 44},
  [12072] = {.lex_state = 322, .external_lex_state = 32},
  [12073] = {.lex_state = 322, .external_lex_state = 32},
  [12074] = {.lex_state = 322, .external_lex_state = 32},
  [12075] = {.lex_state = 322, .external_lex_state = 32},
  [12076] = {.lex_state = 322, .external_lex_state = 32},
  [12077] = {.lex_state = 322, .external_lex_state = 32},
  [12078] = {.lex_state = 455, .external_lex_state = 22},
  [12079] = {.lex_state = 322, .external_lex_state = 32},
  [12080] = {.lex_state = 322, .external_lex_state = 32},
  [12081] = {.lex_state = 322, .external_lex_state = 32},
  [12082] = {.lex_state = 322, .external_lex_state = 32},
  [12083] = {.lex_state = 322, .external_lex_state = 32},
  [12084] = {.lex_state = 322, .external_lex_state = 32},
  [12085] = {.lex_state = 322, .external_lex_state = 32},
  [12086] = {.lex_state = 322, .external_lex_state = 32},
  [12087] = {.lex_state = 324, .external_lex_state = 40},
  [12088] = {.lex_state = 322, .external_lex_state = 32},
  [12089] = {.lex_state = 322, .external_lex_state = 32},
  [12090] = {.lex_state = 322, .external_lex_state = 32},
  [12091] = {.lex_state = 433, .external_lex_state = 43},
  [12092] = {.lex_state = 322, .external_lex_state = 32},
  [12093] = {.lex_state = 322, .external_lex_state = 32},
  [12094] = {.lex_state = 322, .external_lex_state = 32},
  [12095] = {.lex_state = 185, .external_lex_state = 2},
  [12096] = {.lex_state = 365, .external_lex_state = 32},
  [12097] = {.lex_state = 365, .external_lex_state = 32},
  [12098] = {.lex_state = 365, .external_lex_state = 32},
  [12099] = {.lex_state = 433, .external_lex_state = 43},
  [12100] = {.lex_state = 365, .external_lex_state = 32},
  [12101] = {.lex_state = 365, .external_lex_state = 32},
  [12102] = {.lex_state = 365, .external_lex_state = 32},
  [12103] = {.lex_state = 185, .external_lex_state = 38},
  [12104] = {.lex_state = 322, .external_lex_state = 32},
  [12105] = {.lex_state = 282, .external_lex_state = 22},
  [12106] = {.lex_state = 367, .external_lex_state = 32},
  [12107] = {.lex_state = 367, .external_lex_state = 32},
  [12108] = {.lex_state = 367, .external_lex_state = 32},
  [12109] = {.lex_state = 367, .external_lex_state = 32},
  [12110] = {.lex_state = 367, .external_lex_state = 32},
  [12111] = {.lex_state = 367, .external_lex_state = 32},
  [12112] = {.lex_state = 455, .external_lex_state = 22},
  [12113] = {.lex_state = 367, .external_lex_state = 32},
  [12114] = {.lex_state = 367, .external_lex_state = 32},
  [12115] = {.lex_state = 367, .external_lex_state = 32},
  [12116] = {.lex_state = 367, .external_lex_state = 32},
  [12117] = {.lex_state = 367, .external_lex_state = 32},
  [12118] = {.lex_state = 367, .external_lex_state = 32},
  [12119] = {.lex_state = 367, .external_lex_state = 32},
  [12120] = {.lex_state = 367, .external_lex_state = 32},
  [12121] = {.lex_state = 367, .external_lex_state = 40},
  [12122] = {.lex_state = 185, .external_lex_state = 2},
  [12123] = {.lex_state = 185, .external_lex_state = 38},
  [12124] = {.lex_state = 365, .external_lex_state = 32},
  [12125] = {.lex_state = 282, .external_lex_state = 22},
  [12126] = {.lex_state = 271, .external_lex_state = 2},
  [12127] = {.lex_state = 123, .external_lex_state = 12},
  [12128] = {.lex_state = 391, .external_lex_state = 32},
  [12129] = {.lex_state = 322, .external_lex_state = 3},
  [12130] = {.lex_state = 322, .external_lex_state = 3},
  [12131] = {.lex_state = 185, .external_lex_state = 2},
  [12132] = {.lex_state = 185, .external_lex_state = 38},
  [12133] = {.lex_state = 322, .external_lex_state = 3},
  [12134] = {.lex_state = 322, .external_lex_state = 3},
  [12135] = {.lex_state = 322, .external_lex_state = 3},
  [12136] = {.lex_state = 185, .external_lex_state = 2},
  [12137] = {.lex_state = 185, .external_lex_state = 38},
  [12138] = {.lex_state = 367, .external_lex_state = 3},
  [12139] = {.lex_state = 365, .external_lex_state = 3},
  [12140] = {.lex_state = 365, .external_lex_state = 3},
  [12141] = {.lex_state = 185, .external_lex_state = 2},
  [12142] = {.lex_state = 185, .external_lex_state = 2},
  [12143] = {.lex_state = 185, .external_lex_state = 38},
  [12144] = {.lex_state = 322, .external_lex_state = 32},
  [12145] = {.lex_state = 322, .external_lex_state = 32},
  [12146] = {.lex_state = 322, .external_lex_state = 32},
  [12147] = {.lex_state = 185, .external_lex_state = 2},
  [12148] = {.lex_state = 185, .external_lex_state = 38},
  [12149] = {.lex_state = 367, .external_lex_state = 32},
  [12150] = {.lex_state = 365, .external_lex_state = 32},
  [12151] = {.lex_state = 365, .external_lex_state = 32},
  [12152] = {.lex_state = 322, .external_lex_state = 3},
  [12153] = {.lex_state = 322, .external_lex_state = 3},
  [12154] = {.lex_state = 367, .external_lex_state = 3},
  [12155] = {.lex_state = 367, .external_lex_state = 3},
  [12156] = {.lex_state = 437, .external_lex_state = 14},
  [12157] = {.lex_state = 322, .external_lex_state = 32},
  [12158] = {.lex_state = 322, .external_lex_state = 32},
  [12159] = {.lex_state = 367, .external_lex_state = 32},
  [12160] = {.lex_state = 367, .external_lex_state = 32},
};

enum {
  ts_external_token__line_break,
  ts_external_token__simple_symbol,
  ts_external_token__string_start,
  ts_external_token__symbol_start,
  ts_external_token__subshell_start,
  ts_external_token__regex_start,
  ts_external_token__string_array_start,
  ts_external_token__symbol_array_start,
  ts_external_token__heredoc_body_start,
  ts_external_token__string_content,
  ts_external_token__heredoc_content,
  ts_external_token__string_end,
  ts_external_token_heredoc_end,
  ts_external_token_heredoc_beginning,
  ts_external_token_SLASH,
  ts_external_token__element_reference_left_bracket,
  ts_external_token__block_ampersand,
  ts_external_token__splat_star,
  ts_external_token__argument_list_left_paren,
  ts_external_token__infix_scope_colons,
  ts_external_token__keyword_colon,
  ts_external_token__unary_minus,
  ts_external_token__binary_minus,
  ts_external_token__binary_star,
  ts_external_token__singleton_class_left_angle_left_langle,
  ts_external_token__identifier_hash_key,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__line_break] = sym__line_break,
  [ts_external_token__simple_symbol] = sym__simple_symbol,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__symbol_start] = sym__symbol_start,
  [ts_external_token__subshell_start] = sym__subshell_start,
  [ts_external_token__regex_start] = sym__regex_start,
  [ts_external_token__string_array_start] = sym__string_array_start,
  [ts_external_token__symbol_array_start] = sym__symbol_array_start,
  [ts_external_token__heredoc_body_start] = sym__heredoc_body_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__heredoc_content] = sym__heredoc_content,
  [ts_external_token__string_end] = sym__string_end,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_heredoc_beginning] = sym_heredoc_beginning,
  [ts_external_token_SLASH] = anon_sym_SLASH,
  [ts_external_token__element_reference_left_bracket] = sym__element_reference_left_bracket,
  [ts_external_token__block_ampersand] = sym__block_ampersand,
  [ts_external_token__splat_star] = sym__splat_star,
  [ts_external_token__argument_list_left_paren] = sym__argument_list_left_paren,
  [ts_external_token__infix_scope_colons] = sym__infix_scope_colons,
  [ts_external_token__keyword_colon] = sym__keyword_colon,
  [ts_external_token__unary_minus] = sym__unary_minus,
  [ts_external_token__binary_minus] = sym__binary_minus,
  [ts_external_token__binary_star] = sym__binary_star,
  [ts_external_token__singleton_class_left_angle_left_langle] = sym__singleton_class_left_angle_left_langle,
  [ts_external_token__identifier_hash_key] = sym__identifier_hash_key,
};

static bool ts_external_scanner_states[46][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__heredoc_content] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__argument_list_left_paren] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__keyword_colon] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__singleton_class_left_angle_left_langle] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [2] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus] = true,
  },
  [3] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [4] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [5] = {
    [ts_external_token__line_break] = true,
  },
  [6] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [7] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token_SLASH] = true,
  },
  [8] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__heredoc_body_start] = true,
  },
  [9] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token_heredoc_beginning] = true,
  },
  [10] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__singleton_class_left_angle_left_langle] = true,
  },
  [11] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__argument_list_left_paren] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [12] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus] = true,
  },
  [13] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [14] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [15] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [16] = {
    [ts_external_token__string_end] = true,
  },
  [17] = {
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [18] = {
    [ts_external_token__heredoc_content] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [19] = {
    [ts_external_token__keyword_colon] = true,
  },
  [20] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__argument_list_left_paren] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [21] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__argument_list_left_paren] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__keyword_colon] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [22] = {
    [ts_external_token_SLASH] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [23] = {
    [ts_external_token__heredoc_body_start] = true,
  },
  [24] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__keyword_colon] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [25] = {
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
  },
  [26] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__argument_list_left_paren] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [27] = {
    [ts_external_token__string_start] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
  },
  [28] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__argument_list_left_paren] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [29] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__argument_list_left_paren] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__keyword_colon] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [30] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__keyword_colon] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [31] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__unary_minus] = true,
  },
  [32] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [33] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__argument_list_left_paren] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [34] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__argument_list_left_paren] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__keyword_colon] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [35] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [36] = {
    [ts_external_token__string_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__keyword_colon] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [37] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__argument_list_left_paren] = true,
  },
  [38] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__unary_minus] = true,
  },
  [39] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [40] = {
    [ts_external_token__string_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
  },
  [41] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token__keyword_colon] = true,
  },
  [42] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
  },
  [43] = {
    [ts_external_token__simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__identifier_hash_key] = true,
  },
  [44] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token__element_reference_left_bracket] = true,
    [ts_external_token__infix_scope_colons] = true,
  },
  [45] = {
    [ts_external_token__string_content] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym__line_break] = ACTIONS(1),
    [sym__simple_symbol] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__symbol_start] = ACTIONS(1),
    [sym__subshell_start] = ACTIONS(1),
    [sym__regex_start] = ACTIONS(1),
    [sym__string_array_start] = ACTIONS(1),
    [sym__symbol_array_start] = ACTIONS(1),
    [sym__heredoc_body_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__heredoc_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_heredoc_beginning] = ACTIONS(1),
    [sym__element_reference_left_bracket] = ACTIONS(1),
    [sym__block_ampersand] = ACTIONS(1),
    [sym__splat_star] = ACTIONS(1),
    [sym__argument_list_left_paren] = ACTIONS(1),
    [sym__infix_scope_colons] = ACTIONS(1),
    [sym__keyword_colon] = ACTIONS(1),
    [sym__unary_minus] = ACTIONS(1),
    [sym__binary_minus] = ACTIONS(1),
    [sym__binary_star] = ACTIONS(1),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(1),
    [sym__identifier_hash_key] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym___END__] = ACTIONS(3),
    [anon_sym_BEGIN] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_END] = ACTIONS(3),
    [anon_sym_def] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(3),
    [anon_sym_STAR_STAR] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3),
    [anon_sym_LT] = ACTIONS(3),
    [anon_sym_module] = ACTIONS(3),
    [anon_sym_end] = ACTIONS(3),
    [anon_sym_return] = ACTIONS(3),
    [anon_sym_yield] = ACTIONS(3),
    [anon_sym_break] = ACTIONS(3),
    [anon_sym_next] = ACTIONS(3),
    [sym_redo] = ACTIONS(3),
    [sym_retry] = ACTIONS(3),
    [anon_sym_if] = ACTIONS(3),
    [anon_sym_unless] = ACTIONS(3),
    [anon_sym_while] = ACTIONS(3),
    [anon_sym_until] = ACTIONS(3),
    [anon_sym_rescue] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3),
    [anon_sym_in] = ACTIONS(3),
    [anon_sym_do] = ACTIONS(3),
    [anon_sym_case] = ACTIONS(3),
    [anon_sym_when] = ACTIONS(3),
    [anon_sym_elsif] = ACTIONS(3),
    [anon_sym_else] = ACTIONS(3),
    [anon_sym_then] = ACTIONS(3),
    [anon_sym_begin] = ACTIONS(3),
    [anon_sym_ensure] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_AMP_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(3),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3),
    [anon_sym_PIPE_PIPE] = ACTIONS(3),
    [anon_sym_AMP_AMP] = ACTIONS(3),
    [anon_sym_LT_LT] = ACTIONS(3),
    [anon_sym_GT_GT] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_BANG_TILDE] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(3),
    [anon_sym_GT] = ACTIONS(3),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(3),
    [anon_sym_PLUS] = ACTIONS(3),
    [anon_sym_SLASH] = ACTIONS(3),
    [anon_sym_PERCENT] = ACTIONS(3),
    [anon_sym_defined_QMARK] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(3),
    [anon_sym_BANG] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1),
    [sym_constant] = ACTIONS(3),
    [sym_identifier] = ACTIONS(3),
    [sym_instance_variable] = ACTIONS(1),
    [sym_class_variable] = ACTIONS(1),
    [sym_global_variable] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(3),
    [anon_sym_PLUS_AT] = ACTIONS(1),
    [anon_sym_DASH_AT] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_undef] = ACTIONS(3),
    [anon_sym_alias] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(3),
    [sym_float] = ACTIONS(3),
    [anon_sym_r] = ACTIONS(3),
    [sym_super] = ACTIONS(3),
    [anon_sym_true] = ACTIONS(3),
    [anon_sym_TRUE] = ACTIONS(3),
    [anon_sym_false] = ACTIONS(3),
    [anon_sym_FALSE] = ACTIONS(3),
    [sym_self] = ACTIONS(3),
    [anon_sym_nil] = ACTIONS(3),
    [anon_sym_NIL] = ACTIONS(3),
    [sym_character] = ACTIONS(1),
    [anon_sym_POUND_LBRACE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(43),
    [sym__statements] = STATE(44),
    [sym__top_level_statement] = STATE(45),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(47),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(49),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(49),
    [sym_operator_assignment] = STATE(49),
    [sym_conditional] = STATE(49),
    [sym_range] = STATE(49),
    [sym_binary] = STATE(49),
    [sym_unary] = STATE(49),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [ts_builtin_sym_end] = ACTIONS(23),
    [anon_sym___END__] = ACTIONS(25),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2] = {
    [sym__line_break] = ACTIONS(101),
    [sym__heredoc_body_start] = ACTIONS(101),
    [sym__element_reference_left_bracket] = ACTIONS(101),
    [sym__infix_scope_colons] = ACTIONS(101),
    [sym__binary_minus] = ACTIONS(101),
    [sym__binary_star] = ACTIONS(101),
    [ts_builtin_sym_end] = ACTIONS(101),
    [anon_sym___END__] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_RPAREN] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(103),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_STAR_STAR] = ACTIONS(101),
    [anon_sym_AMP] = ACTIONS(103),
    [anon_sym_LT] = ACTIONS(103),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_unless] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_until] = ACTIONS(101),
    [anon_sym_rescue] = ACTIONS(101),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_when] = ACTIONS(101),
    [anon_sym_elsif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_then] = ACTIONS(101),
    [anon_sym_ensure] = ACTIONS(101),
    [anon_sym_EQ_GT] = ACTIONS(101),
    [anon_sym_AMP_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_and] = ACTIONS(101),
    [anon_sym_or] = ACTIONS(101),
    [anon_sym_PIPE_PIPE] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_LT_LT] = ACTIONS(101),
    [anon_sym_GT_GT] = ACTIONS(101),
    [anon_sym_EQ_EQ] = ACTIONS(103),
    [anon_sym_BANG_EQ] = ACTIONS(101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(101),
    [anon_sym_LT_EQ_GT] = ACTIONS(101),
    [anon_sym_EQ_TILDE] = ACTIONS(101),
    [anon_sym_BANG_TILDE] = ACTIONS(101),
    [anon_sym_LT_EQ] = ACTIONS(103),
    [anon_sym_GT] = ACTIONS(103),
    [anon_sym_GT_EQ] = ACTIONS(101),
    [anon_sym_CARET] = ACTIONS(101),
    [anon_sym_PLUS] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [sym_comment] = ACTIONS(87),
  },
  [3] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(59),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(107),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [4] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(62),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(113),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [5] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(64),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(115),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [6] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(66),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(117),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [7] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(70),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(121),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(125),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [8] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(74),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(129),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(131),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [9] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(75),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(75),
    [sym_operator_assignment] = STATE(75),
    [sym_conditional] = STATE(75),
    [sym_range] = STATE(75),
    [sym_binary] = STATE(75),
    [sym_unary] = STATE(75),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10] = {
    [sym__line_break] = ACTIONS(133),
    [sym_comment] = ACTIONS(87),
  },
  [11] = {
    [anon_sym_LBRACE] = ACTIONS(135),
    [sym_comment] = ACTIONS(87),
  },
  [12] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(117),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(117),
    [sym_operator_assignment] = STATE(117),
    [sym_conditional] = STATE(117),
    [sym_range] = STATE(117),
    [sym_binary] = STATE(117),
    [sym_unary] = STATE(117),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(123),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_heredoc_body] = STATE(124),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym__hash_items] = STATE(125),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(139),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(209),
    [sym_identifier] = ACTIONS(209),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [13] = {
    [anon_sym_LBRACE] = ACTIONS(227),
    [sym_comment] = ACTIONS(87),
  },
  [14] = {
    [sym__method_rest] = STATE(134),
    [sym__variable] = STATE(135),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(137),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(233),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(239),
    [sym_identifier] = ACTIONS(241),
    [sym_instance_variable] = ACTIONS(239),
    [sym_class_variable] = ACTIONS(239),
    [sym_global_variable] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
    [sym_super] = ACTIONS(243),
    [sym_self] = ACTIONS(243),
  },
  [15] = {
    [sym__statements] = STATE(149),
    [sym__top_level_statement] = STATE(150),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(155),
    [sym__simple_mlhs] = STATE(156),
    [sym_destructured_left_assignment] = STATE(156),
    [sym_rest_assignment] = STATE(156),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(247),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [16] = {
    [sym_constant] = ACTIONS(273),
    [sym_identifier] = ACTIONS(273),
    [sym_comment] = ACTIONS(87),
  },
  [17] = {
    [sym__line_break] = ACTIONS(275),
    [sym__heredoc_body_start] = ACTIONS(275),
    [ts_builtin_sym_end] = ACTIONS(275),
    [anon_sym___END__] = ACTIONS(275),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(275),
    [anon_sym_SEMI] = ACTIONS(275),
    [anon_sym_end] = ACTIONS(275),
    [anon_sym_if] = ACTIONS(275),
    [anon_sym_unless] = ACTIONS(275),
    [anon_sym_while] = ACTIONS(275),
    [anon_sym_until] = ACTIONS(275),
    [anon_sym_rescue] = ACTIONS(275),
    [anon_sym_when] = ACTIONS(275),
    [anon_sym_elsif] = ACTIONS(275),
    [anon_sym_else] = ACTIONS(275),
    [anon_sym_then] = ACTIONS(275),
    [anon_sym_ensure] = ACTIONS(275),
    [sym_comment] = ACTIONS(87),
  },
  [18] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(192),
    [sym_scope_resolution] = STATE(191),
    [sym_call] = STATE(191),
    [sym_method_call] = STATE(192),
    [sym__lhs] = STATE(192),
    [sym__variable] = STATE(191),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(192),
    [sym_false] = STATE(192),
    [sym_nil] = STATE(192),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_EQ] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(331),
    [sym_identifier] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(331),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [19] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(198),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(355),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [20] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(201),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(361),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [21] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(221),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(225),
    [sym__argument] = STATE(226),
    [sym_splat_argument] = STATE(226),
    [sym_hash_splat_argument] = STATE(226),
    [sym_block_argument] = STATE(226),
    [sym_assignment] = STATE(221),
    [sym_operator_assignment] = STATE(221),
    [sym_conditional] = STATE(221),
    [sym_range] = STATE(221),
    [sym_binary] = STATE(221),
    [sym_unary] = STATE(221),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(229),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(226),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(369),
    [sym__splat_star] = ACTIONS(371),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(377),
    [ts_builtin_sym_end] = ACTIONS(363),
    [anon_sym___END__] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(401),
    [sym_identifier] = ACTIONS(401),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [22] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(221),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(225),
    [sym__argument] = STATE(226),
    [sym_splat_argument] = STATE(226),
    [sym_hash_splat_argument] = STATE(226),
    [sym_block_argument] = STATE(226),
    [sym_assignment] = STATE(221),
    [sym_operator_assignment] = STATE(221),
    [sym_conditional] = STATE(221),
    [sym_range] = STATE(221),
    [sym_binary] = STATE(221),
    [sym_unary] = STATE(221),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(229),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(226),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(369),
    [sym__splat_star] = ACTIONS(371),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(377),
    [ts_builtin_sym_end] = ACTIONS(413),
    [anon_sym___END__] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(401),
    [sym_identifier] = ACTIONS(401),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [23] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(221),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(225),
    [sym__argument] = STATE(226),
    [sym_splat_argument] = STATE(226),
    [sym_hash_splat_argument] = STATE(226),
    [sym_block_argument] = STATE(226),
    [sym_assignment] = STATE(221),
    [sym_operator_assignment] = STATE(221),
    [sym_conditional] = STATE(221),
    [sym_range] = STATE(221),
    [sym_binary] = STATE(221),
    [sym_unary] = STATE(221),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(229),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(226),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(369),
    [sym__splat_star] = ACTIONS(371),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(377),
    [ts_builtin_sym_end] = ACTIONS(417),
    [anon_sym___END__] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(401),
    [sym_identifier] = ACTIONS(401),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [24] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(221),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(225),
    [sym__argument] = STATE(226),
    [sym_splat_argument] = STATE(226),
    [sym_hash_splat_argument] = STATE(226),
    [sym_block_argument] = STATE(226),
    [sym_assignment] = STATE(221),
    [sym_operator_assignment] = STATE(221),
    [sym_conditional] = STATE(221),
    [sym_range] = STATE(221),
    [sym_binary] = STATE(221),
    [sym_unary] = STATE(221),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(229),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(226),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(369),
    [sym__splat_star] = ACTIONS(371),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(377),
    [ts_builtin_sym_end] = ACTIONS(421),
    [anon_sym___END__] = ACTIONS(423),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(401),
    [sym_identifier] = ACTIONS(401),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [25] = {
    [sym__statement] = STATE(242),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [26] = {
    [sym__statement] = STATE(248),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [27] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(257),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(257),
    [sym_operator_assignment] = STATE(257),
    [sym_conditional] = STATE(257),
    [sym_range] = STATE(257),
    [sym_binary] = STATE(257),
    [sym_unary] = STATE(257),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [28] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(262),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(262),
    [sym_operator_assignment] = STATE(262),
    [sym_conditional] = STATE(262),
    [sym_range] = STATE(262),
    [sym_binary] = STATE(262),
    [sym_unary] = STATE(262),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [29] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(265),
    [sym_call] = STATE(265),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(266),
    [sym__simple_mlhs] = STATE(267),
    [sym_destructured_left_assignment] = STATE(267),
    [sym_rest_assignment] = STATE(267),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(265),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(475),
    [sym_identifier] = ACTIONS(475),
    [sym_instance_variable] = ACTIONS(477),
    [sym_class_variable] = ACTIONS(477),
    [sym_global_variable] = ACTIONS(477),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(475),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [30] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(277),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(277),
    [sym_operator_assignment] = STATE(277),
    [sym_conditional] = STATE(277),
    [sym_range] = STATE(277),
    [sym_binary] = STATE(277),
    [sym_unary] = STATE(277),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(282),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__terminator] = STATE(282),
    [sym__line_break] = ACTIONS(479),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [31] = {
    [sym__statements] = STATE(297),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(300),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(301),
    [sym_rescue] = STATE(302),
    [sym__body_statement] = STATE(303),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(309),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(309),
    [sym__line_break] = ACTIONS(503),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [32] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(310),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(310),
    [sym_operator_assignment] = STATE(310),
    [sym_conditional] = STATE(310),
    [sym_range] = STATE(310),
    [sym_binary] = STATE(310),
    [sym_unary] = STATE(310),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [33] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(311),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(311),
    [sym_operator_assignment] = STATE(311),
    [sym_conditional] = STATE(311),
    [sym_range] = STATE(311),
    [sym_binary] = STATE(311),
    [sym_unary] = STATE(311),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [34] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [35] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(314),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [36] = {
    [sym_operator] = STATE(318),
    [sym__method_name] = STATE(320),
    [sym_setter] = STATE(318),
    [sym_symbol] = STATE(318),
    [sym__simple_symbol] = ACTIONS(545),
    [sym__symbol_start] = ACTIONS(547),
    [anon_sym_PIPE] = ACTIONS(549),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(551),
    [anon_sym_DOT_DOT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(549),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(551),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_EQ_TILDE] = ACTIONS(549),
    [anon_sym_BANG_TILDE] = ACTIONS(549),
    [anon_sym_LT_EQ] = ACTIONS(551),
    [anon_sym_GT] = ACTIONS(551),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_PLUS] = ACTIONS(551),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(549),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_TILDE] = ACTIONS(549),
    [sym_constant] = ACTIONS(553),
    [sym_identifier] = ACTIONS(555),
    [sym_instance_variable] = ACTIONS(553),
    [sym_class_variable] = ACTIONS(553),
    [sym_global_variable] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(551),
    [anon_sym_PLUS_AT] = ACTIONS(549),
    [anon_sym_DASH_AT] = ACTIONS(549),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(551),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(549),
    [anon_sym_BQUOTE] = ACTIONS(549),
    [sym_comment] = ACTIONS(87),
  },
  [37] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
    [anon_sym_r] = ACTIONS(561),
  },
  [38] = {
    [sym__line_break] = ACTIONS(563),
    [sym__heredoc_body_start] = ACTIONS(563),
    [sym__element_reference_left_bracket] = ACTIONS(563),
    [sym__infix_scope_colons] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(563),
    [sym__binary_star] = ACTIONS(563),
    [ts_builtin_sym_end] = ACTIONS(563),
    [anon_sym___END__] = ACTIONS(563),
    [anon_sym_LBRACE] = ACTIONS(563),
    [anon_sym_RBRACE] = ACTIONS(563),
    [anon_sym_RPAREN] = ACTIONS(563),
    [anon_sym_DOT] = ACTIONS(565),
    [anon_sym_COMMA] = ACTIONS(563),
    [anon_sym_PIPE] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_STAR_STAR] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(565),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(565),
    [anon_sym_end] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_unless] = ACTIONS(563),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_until] = ACTIONS(563),
    [anon_sym_rescue] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(563),
    [anon_sym_elsif] = ACTIONS(563),
    [anon_sym_else] = ACTIONS(563),
    [anon_sym_then] = ACTIONS(563),
    [anon_sym_ensure] = ACTIONS(563),
    [anon_sym_AMP_DOT] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(563),
    [anon_sym_DASH_EQ] = ACTIONS(563),
    [anon_sym_STAR_EQ] = ACTIONS(563),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(563),
    [anon_sym_SLASH_EQ] = ACTIONS(563),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(563),
    [anon_sym_PIPE_EQ] = ACTIONS(563),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(563),
    [anon_sym_AMP_EQ] = ACTIONS(563),
    [anon_sym_PERCENT_EQ] = ACTIONS(563),
    [anon_sym_GT_GT_EQ] = ACTIONS(563),
    [anon_sym_LT_LT_EQ] = ACTIONS(563),
    [anon_sym_CARET_EQ] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(563),
    [anon_sym_DOT_DOT] = ACTIONS(565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(563),
    [anon_sym_and] = ACTIONS(563),
    [anon_sym_or] = ACTIONS(563),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [anon_sym_AMP_AMP] = ACTIONS(565),
    [anon_sym_LT_LT] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(565),
    [anon_sym_EQ_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ] = ACTIONS(563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(563),
    [anon_sym_LT_EQ_GT] = ACTIONS(563),
    [anon_sym_EQ_TILDE] = ACTIONS(563),
    [anon_sym_BANG_TILDE] = ACTIONS(563),
    [anon_sym_LT_EQ] = ACTIONS(565),
    [anon_sym_GT] = ACTIONS(565),
    [anon_sym_GT_EQ] = ACTIONS(563),
    [anon_sym_CARET] = ACTIONS(565),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_SLASH] = ACTIONS(565),
    [anon_sym_PERCENT] = ACTIONS(565),
    [sym_comment] = ACTIONS(87),
  },
  [39] = {
    [sym__line_break] = ACTIONS(567),
    [sym__heredoc_body_start] = ACTIONS(567),
    [sym__element_reference_left_bracket] = ACTIONS(567),
    [sym__infix_scope_colons] = ACTIONS(567),
    [sym__binary_minus] = ACTIONS(567),
    [sym__binary_star] = ACTIONS(567),
    [ts_builtin_sym_end] = ACTIONS(567),
    [anon_sym___END__] = ACTIONS(567),
    [anon_sym_LBRACE] = ACTIONS(567),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(569),
    [anon_sym_COMMA] = ACTIONS(567),
    [anon_sym_PIPE] = ACTIONS(569),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(569),
    [anon_sym_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(567),
    [anon_sym_if] = ACTIONS(567),
    [anon_sym_unless] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(567),
    [anon_sym_until] = ACTIONS(567),
    [anon_sym_rescue] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(567),
    [anon_sym_when] = ACTIONS(567),
    [anon_sym_elsif] = ACTIONS(567),
    [anon_sym_else] = ACTIONS(567),
    [anon_sym_then] = ACTIONS(567),
    [anon_sym_ensure] = ACTIONS(567),
    [anon_sym_AMP_DOT] = ACTIONS(567),
    [anon_sym_PLUS_EQ] = ACTIONS(567),
    [anon_sym_DASH_EQ] = ACTIONS(567),
    [anon_sym_STAR_EQ] = ACTIONS(567),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(567),
    [anon_sym_SLASH_EQ] = ACTIONS(567),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(567),
    [anon_sym_PIPE_EQ] = ACTIONS(567),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(567),
    [anon_sym_AMP_EQ] = ACTIONS(567),
    [anon_sym_PERCENT_EQ] = ACTIONS(567),
    [anon_sym_GT_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_LT_EQ] = ACTIONS(567),
    [anon_sym_CARET_EQ] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_and] = ACTIONS(567),
    [anon_sym_or] = ACTIONS(567),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(569),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_EQ_TILDE] = ACTIONS(567),
    [anon_sym_BANG_TILDE] = ACTIONS(567),
    [anon_sym_LT_EQ] = ACTIONS(569),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_SLASH] = ACTIONS(569),
    [anon_sym_PERCENT] = ACTIONS(569),
    [sym_comment] = ACTIONS(87),
  },
  [40] = {
    [sym__line_break] = ACTIONS(571),
    [sym__heredoc_body_start] = ACTIONS(571),
    [sym__element_reference_left_bracket] = ACTIONS(571),
    [sym__infix_scope_colons] = ACTIONS(571),
    [sym__binary_minus] = ACTIONS(571),
    [sym__binary_star] = ACTIONS(571),
    [ts_builtin_sym_end] = ACTIONS(571),
    [anon_sym___END__] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(571),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_DOT] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(571),
    [anon_sym_PIPE] = ACTIONS(573),
    [anon_sym_SEMI] = ACTIONS(571),
    [anon_sym_STAR_STAR] = ACTIONS(573),
    [anon_sym_AMP] = ACTIONS(573),
    [anon_sym_EQ] = ACTIONS(573),
    [anon_sym_LT] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(571),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_unless] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_until] = ACTIONS(571),
    [anon_sym_rescue] = ACTIONS(571),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_when] = ACTIONS(571),
    [anon_sym_elsif] = ACTIONS(571),
    [anon_sym_else] = ACTIONS(571),
    [anon_sym_then] = ACTIONS(571),
    [anon_sym_ensure] = ACTIONS(571),
    [anon_sym_AMP_DOT] = ACTIONS(571),
    [anon_sym_PLUS_EQ] = ACTIONS(571),
    [anon_sym_DASH_EQ] = ACTIONS(571),
    [anon_sym_STAR_EQ] = ACTIONS(571),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(571),
    [anon_sym_SLASH_EQ] = ACTIONS(571),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(571),
    [anon_sym_PIPE_EQ] = ACTIONS(571),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(571),
    [anon_sym_AMP_EQ] = ACTIONS(571),
    [anon_sym_PERCENT_EQ] = ACTIONS(571),
    [anon_sym_GT_GT_EQ] = ACTIONS(571),
    [anon_sym_LT_LT_EQ] = ACTIONS(571),
    [anon_sym_CARET_EQ] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(571),
    [anon_sym_DOT_DOT] = ACTIONS(573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(571),
    [anon_sym_and] = ACTIONS(571),
    [anon_sym_or] = ACTIONS(571),
    [anon_sym_PIPE_PIPE] = ACTIONS(573),
    [anon_sym_AMP_AMP] = ACTIONS(573),
    [anon_sym_LT_LT] = ACTIONS(573),
    [anon_sym_GT_GT] = ACTIONS(573),
    [anon_sym_EQ_EQ] = ACTIONS(573),
    [anon_sym_BANG_EQ] = ACTIONS(571),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(571),
    [anon_sym_LT_EQ_GT] = ACTIONS(571),
    [anon_sym_EQ_TILDE] = ACTIONS(571),
    [anon_sym_BANG_TILDE] = ACTIONS(571),
    [anon_sym_LT_EQ] = ACTIONS(573),
    [anon_sym_GT] = ACTIONS(573),
    [anon_sym_GT_EQ] = ACTIONS(571),
    [anon_sym_CARET] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_PERCENT] = ACTIONS(573),
    [sym_comment] = ACTIONS(87),
  },
  [41] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(365),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(370),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [42] = {
    [sym_lambda_parameters] = STATE(378),
    [sym__simple_formal_parameter] = STATE(379),
    [sym_splat_parameter] = STATE(379),
    [sym_hash_splat_parameter] = STATE(379),
    [sym_block_parameter] = STATE(379),
    [sym_keyword_parameter] = STATE(379),
    [sym_optional_parameter] = STATE(379),
    [sym_do_block] = STATE(380),
    [sym_block] = STATE(380),
    [anon_sym_LBRACE] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(675),
    [sym_identifier] = ACTIONS(677),
    [sym_comment] = ACTIONS(87),
  },
  [43] = {
    [ts_builtin_sym_end] = ACTIONS(679),
    [sym_comment] = ACTIONS(87),
  },
  [44] = {
    [ts_builtin_sym_end] = ACTIONS(681),
    [anon_sym___END__] = ACTIONS(683),
    [sym_comment] = ACTIONS(87),
  },
  [45] = {
    [sym_heredoc_body] = STATE(382),
    [sym__terminator] = STATE(382),
    [aux_sym__statements_repeat1] = STATE(383),
    [sym__line_break] = ACTIONS(685),
    [sym__heredoc_body_start] = ACTIONS(505),
    [ts_builtin_sym_end] = ACTIONS(687),
    [anon_sym___END__] = ACTIONS(687),
    [anon_sym_SEMI] = ACTIONS(685),
    [sym_comment] = ACTIONS(87),
  },
  [46] = {
    [sym__line_break] = ACTIONS(689),
    [sym__heredoc_body_start] = ACTIONS(689),
    [ts_builtin_sym_end] = ACTIONS(689),
    [anon_sym___END__] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(689),
    [anon_sym_RPAREN] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_end] = ACTIONS(689),
    [anon_sym_rescue] = ACTIONS(689),
    [anon_sym_when] = ACTIONS(689),
    [anon_sym_elsif] = ACTIONS(689),
    [anon_sym_else] = ACTIONS(689),
    [anon_sym_ensure] = ACTIONS(689),
    [sym_comment] = ACTIONS(87),
  },
  [47] = {
    [sym__line_break] = ACTIONS(689),
    [sym__heredoc_body_start] = ACTIONS(689),
    [ts_builtin_sym_end] = ACTIONS(689),
    [anon_sym___END__] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_if] = ACTIONS(691),
    [anon_sym_unless] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_until] = ACTIONS(697),
    [anon_sym_rescue] = ACTIONS(699),
    [sym_comment] = ACTIONS(87),
  },
  [48] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [ts_builtin_sym_end] = ACTIONS(701),
    [anon_sym___END__] = ACTIONS(701),
    [anon_sym_RBRACE] = ACTIONS(701),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_end] = ACTIONS(701),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_when] = ACTIONS(701),
    [anon_sym_elsif] = ACTIONS(701),
    [anon_sym_else] = ACTIONS(701),
    [anon_sym_then] = ACTIONS(701),
    [anon_sym_ensure] = ACTIONS(701),
    [sym_comment] = ACTIONS(87),
  },
  [49] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(701),
    [anon_sym___END__] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(719),
    [anon_sym_and] = ACTIONS(721),
    [anon_sym_or] = ACTIONS(721),
    [anon_sym_PIPE_PIPE] = ACTIONS(723),
    [anon_sym_AMP_AMP] = ACTIONS(723),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [50] = {
    [sym__line_break] = ACTIONS(735),
    [sym__heredoc_body_start] = ACTIONS(735),
    [sym__element_reference_left_bracket] = ACTIONS(737),
    [sym__infix_scope_colons] = ACTIONS(739),
    [sym__binary_minus] = ACTIONS(735),
    [sym__binary_star] = ACTIONS(735),
    [ts_builtin_sym_end] = ACTIONS(735),
    [anon_sym___END__] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(741),
    [anon_sym_COMMA] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_AMP] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_end] = ACTIONS(735),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_unless] = ACTIONS(735),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_until] = ACTIONS(735),
    [anon_sym_rescue] = ACTIONS(735),
    [anon_sym_do] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(735),
    [anon_sym_elsif] = ACTIONS(735),
    [anon_sym_else] = ACTIONS(735),
    [anon_sym_then] = ACTIONS(735),
    [anon_sym_ensure] = ACTIONS(735),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(735),
    [anon_sym_or] = ACTIONS(735),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT_LT] = ACTIONS(735),
    [anon_sym_GT_GT] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(735),
    [anon_sym_LT_EQ_GT] = ACTIONS(735),
    [anon_sym_EQ_TILDE] = ACTIONS(735),
    [anon_sym_BANG_TILDE] = ACTIONS(735),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(743),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(735),
    [sym_comment] = ACTIONS(87),
  },
  [51] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(441),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(445),
    [sym__argument] = STATE(446),
    [sym_splat_argument] = STATE(446),
    [sym_hash_splat_argument] = STATE(446),
    [sym_block_argument] = STATE(446),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(441),
    [sym_operator_assignment] = STATE(441),
    [sym_conditional] = STATE(441),
    [sym_range] = STATE(441),
    [sym_binary] = STATE(441),
    [sym_unary] = STATE(441),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(450),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(446),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(765),
    [sym__splat_star] = ACTIONS(767),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(773),
    [ts_builtin_sym_end] = ACTIONS(747),
    [anon_sym___END__] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(813),
    [sym_identifier] = ACTIONS(813),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [52] = {
    [anon_sym_EQ] = ACTIONS(825),
    [sym_comment] = ACTIONS(87),
  },
  [53] = {
    [anon_sym_EQ] = ACTIONS(827),
    [sym_comment] = ACTIONS(87),
  },
  [54] = {
    [anon_sym_COMMA] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(831),
    [sym_comment] = ACTIONS(87),
  },
  [55] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(837),
    [anon_sym_DASH_EQ] = ACTIONS(837),
    [anon_sym_STAR_EQ] = ACTIONS(837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(837),
    [anon_sym_SLASH_EQ] = ACTIONS(837),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(837),
    [anon_sym_PIPE_EQ] = ACTIONS(837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(837),
    [anon_sym_AMP_EQ] = ACTIONS(837),
    [anon_sym_PERCENT_EQ] = ACTIONS(837),
    [anon_sym_GT_GT_EQ] = ACTIONS(837),
    [anon_sym_LT_LT_EQ] = ACTIONS(837),
    [anon_sym_CARET_EQ] = ACTIONS(837),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [56] = {
    [sym_string] = STATE(454),
    [aux_sym_chained_string_repeat1] = STATE(454),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [57] = {
    [sym__line_break] = ACTIONS(839),
    [sym__string_start] = ACTIONS(839),
    [sym__heredoc_body_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [ts_builtin_sym_end] = ACTIONS(839),
    [anon_sym___END__] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(839),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_end] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_unless] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(839),
    [anon_sym_until] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(839),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_when] = ACTIONS(839),
    [anon_sym_elsif] = ACTIONS(839),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_then] = ACTIONS(839),
    [anon_sym_ensure] = ACTIONS(839),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(839),
    [anon_sym_AMP_AMP] = ACTIONS(839),
    [anon_sym_LT_LT] = ACTIONS(839),
    [anon_sym_GT_GT] = ACTIONS(839),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_SLASH] = ACTIONS(839),
    [anon_sym_PERCENT] = ACTIONS(839),
    [sym_comment] = ACTIONS(87),
  },
  [58] = {
    [sym__statement] = STATE(471),
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_if_modifier] = STATE(472),
    [sym_unless_modifier] = STATE(472),
    [sym_while_modifier] = STATE(472),
    [sym_until_modifier] = STATE(472),
    [sym_rescue_modifier] = STATE(472),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(473),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(473),
    [sym_operator_assignment] = STATE(473),
    [sym_conditional] = STATE(473),
    [sym_range] = STATE(473),
    [sym_binary] = STATE(473),
    [sym_unary] = STATE(473),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_undef] = STATE(472),
    [sym_alias] = STATE(472),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym_empty_statement] = STATE(472),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_SEMI] = ACTIONS(851),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [anon_sym_undef] = ACTIONS(875),
    [anon_sym_alias] = ACTIONS(877),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [59] = {
    [sym__string_end] = ACTIONS(885),
    [sym_comment] = ACTIONS(87),
  },
  [60] = {
    [sym_interpolation] = STATE(480),
    [aux_sym__literal_contents_repeat1] = STATE(480),
    [sym__string_content] = ACTIONS(887),
    [sym__string_end] = ACTIONS(889),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(887),
  },
  [61] = {
    [sym__line_break] = ACTIONS(891),
    [sym__heredoc_body_start] = ACTIONS(891),
    [sym__element_reference_left_bracket] = ACTIONS(891),
    [sym__infix_scope_colons] = ACTIONS(891),
    [sym__binary_minus] = ACTIONS(891),
    [sym__binary_star] = ACTIONS(891),
    [ts_builtin_sym_end] = ACTIONS(891),
    [anon_sym___END__] = ACTIONS(891),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_STAR_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_end] = ACTIONS(891),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_unless] = ACTIONS(891),
    [anon_sym_while] = ACTIONS(891),
    [anon_sym_until] = ACTIONS(891),
    [anon_sym_rescue] = ACTIONS(891),
    [anon_sym_do] = ACTIONS(891),
    [anon_sym_when] = ACTIONS(891),
    [anon_sym_elsif] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(891),
    [anon_sym_then] = ACTIONS(891),
    [anon_sym_ensure] = ACTIONS(891),
    [anon_sym_EQ_GT] = ACTIONS(891),
    [anon_sym_AMP_DOT] = ACTIONS(891),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(891),
    [anon_sym_and] = ACTIONS(891),
    [anon_sym_or] = ACTIONS(891),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ_GT] = ACTIONS(891),
    [anon_sym_EQ_TILDE] = ACTIONS(891),
    [anon_sym_BANG_TILDE] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(891),
    [anon_sym_PERCENT] = ACTIONS(891),
    [sym_comment] = ACTIONS(87),
  },
  [62] = {
    [sym__string_end] = ACTIONS(895),
    [sym_comment] = ACTIONS(87),
  },
  [63] = {
    [sym__line_break] = ACTIONS(897),
    [sym__heredoc_body_start] = ACTIONS(897),
    [sym__element_reference_left_bracket] = ACTIONS(897),
    [sym__infix_scope_colons] = ACTIONS(897),
    [sym__binary_minus] = ACTIONS(897),
    [sym__binary_star] = ACTIONS(897),
    [ts_builtin_sym_end] = ACTIONS(897),
    [anon_sym___END__] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(899),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_STAR_STAR] = ACTIONS(897),
    [anon_sym_AMP] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_end] = ACTIONS(897),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_unless] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_until] = ACTIONS(897),
    [anon_sym_rescue] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(897),
    [anon_sym_elsif] = ACTIONS(897),
    [anon_sym_else] = ACTIONS(897),
    [anon_sym_then] = ACTIONS(897),
    [anon_sym_ensure] = ACTIONS(897),
    [anon_sym_EQ_GT] = ACTIONS(897),
    [anon_sym_AMP_DOT] = ACTIONS(897),
    [anon_sym_QMARK] = ACTIONS(897),
    [anon_sym_DOT_DOT] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(897),
    [anon_sym_and] = ACTIONS(897),
    [anon_sym_or] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(897),
    [anon_sym_AMP_AMP] = ACTIONS(897),
    [anon_sym_LT_LT] = ACTIONS(897),
    [anon_sym_GT_GT] = ACTIONS(897),
    [anon_sym_EQ_EQ] = ACTIONS(899),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_EQ_TILDE] = ACTIONS(897),
    [anon_sym_BANG_TILDE] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(897),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_SLASH] = ACTIONS(897),
    [anon_sym_PERCENT] = ACTIONS(897),
    [sym_comment] = ACTIONS(87),
  },
  [64] = {
    [sym__string_end] = ACTIONS(901),
    [sym_comment] = ACTIONS(87),
  },
  [65] = {
    [sym__line_break] = ACTIONS(903),
    [sym__heredoc_body_start] = ACTIONS(903),
    [sym__element_reference_left_bracket] = ACTIONS(903),
    [sym__infix_scope_colons] = ACTIONS(903),
    [sym__binary_minus] = ACTIONS(903),
    [sym__binary_star] = ACTIONS(903),
    [ts_builtin_sym_end] = ACTIONS(903),
    [anon_sym___END__] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(903),
    [anon_sym_PIPE] = ACTIONS(905),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_STAR_STAR] = ACTIONS(903),
    [anon_sym_AMP] = ACTIONS(905),
    [anon_sym_LT] = ACTIONS(905),
    [anon_sym_end] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(903),
    [anon_sym_unless] = ACTIONS(903),
    [anon_sym_while] = ACTIONS(903),
    [anon_sym_until] = ACTIONS(903),
    [anon_sym_rescue] = ACTIONS(903),
    [anon_sym_do] = ACTIONS(903),
    [anon_sym_when] = ACTIONS(903),
    [anon_sym_elsif] = ACTIONS(903),
    [anon_sym_else] = ACTIONS(903),
    [anon_sym_then] = ACTIONS(903),
    [anon_sym_ensure] = ACTIONS(903),
    [anon_sym_EQ_GT] = ACTIONS(903),
    [anon_sym_AMP_DOT] = ACTIONS(903),
    [anon_sym_QMARK] = ACTIONS(903),
    [anon_sym_DOT_DOT] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(903),
    [anon_sym_and] = ACTIONS(903),
    [anon_sym_or] = ACTIONS(903),
    [anon_sym_PIPE_PIPE] = ACTIONS(903),
    [anon_sym_AMP_AMP] = ACTIONS(903),
    [anon_sym_LT_LT] = ACTIONS(903),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_EQ_EQ] = ACTIONS(905),
    [anon_sym_BANG_EQ] = ACTIONS(903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(903),
    [anon_sym_LT_EQ_GT] = ACTIONS(903),
    [anon_sym_EQ_TILDE] = ACTIONS(903),
    [anon_sym_BANG_TILDE] = ACTIONS(903),
    [anon_sym_LT_EQ] = ACTIONS(905),
    [anon_sym_GT] = ACTIONS(905),
    [anon_sym_GT_EQ] = ACTIONS(903),
    [anon_sym_CARET] = ACTIONS(903),
    [anon_sym_PLUS] = ACTIONS(903),
    [anon_sym_SLASH] = ACTIONS(903),
    [anon_sym_PERCENT] = ACTIONS(903),
    [sym_comment] = ACTIONS(87),
  },
  [66] = {
    [sym__string_end] = ACTIONS(907),
    [sym_comment] = ACTIONS(87),
  },
  [67] = {
    [sym__line_break] = ACTIONS(909),
    [sym__heredoc_body_start] = ACTIONS(909),
    [sym__element_reference_left_bracket] = ACTIONS(909),
    [sym__infix_scope_colons] = ACTIONS(909),
    [sym__binary_minus] = ACTIONS(909),
    [sym__binary_star] = ACTIONS(909),
    [ts_builtin_sym_end] = ACTIONS(909),
    [anon_sym___END__] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_end] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_unless] = ACTIONS(909),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_until] = ACTIONS(909),
    [anon_sym_rescue] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_elsif] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_then] = ACTIONS(909),
    [anon_sym_ensure] = ACTIONS(909),
    [anon_sym_EQ_GT] = ACTIONS(909),
    [anon_sym_AMP_DOT] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_and] = ACTIONS(909),
    [anon_sym_or] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(911),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ_GT] = ACTIONS(909),
    [anon_sym_EQ_TILDE] = ACTIONS(909),
    [anon_sym_BANG_TILDE] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [sym_comment] = ACTIONS(87),
  },
  [68] = {
    [sym__statement] = STATE(484),
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_if_modifier] = STATE(472),
    [sym_unless_modifier] = STATE(472),
    [sym_while_modifier] = STATE(472),
    [sym_until_modifier] = STATE(472),
    [sym_rescue_modifier] = STATE(472),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(473),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(473),
    [sym_operator_assignment] = STATE(473),
    [sym_conditional] = STATE(473),
    [sym_range] = STATE(473),
    [sym_binary] = STATE(473),
    [sym_unary] = STATE(473),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_undef] = STATE(472),
    [sym_alias] = STATE(472),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym_empty_statement] = STATE(472),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_SEMI] = ACTIONS(851),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [anon_sym_undef] = ACTIONS(875),
    [anon_sym_alias] = ACTIONS(877),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [69] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(487),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(913),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(915),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [70] = {
    [aux_sym_string_array_repeat1] = STATE(490),
    [sym__string_end] = ACTIONS(917),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(919),
  },
  [71] = {
    [sym_interpolation] = STATE(491),
    [aux_sym__literal_contents_repeat1] = STATE(491),
    [sym__string_content] = ACTIONS(921),
    [sym__string_end] = ACTIONS(889),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(923),
    [sym_escape_sequence] = ACTIONS(925),
  },
  [72] = {
    [sym__line_break] = ACTIONS(927),
    [sym__heredoc_body_start] = ACTIONS(927),
    [sym__element_reference_left_bracket] = ACTIONS(927),
    [sym__infix_scope_colons] = ACTIONS(927),
    [sym__binary_minus] = ACTIONS(927),
    [sym__binary_star] = ACTIONS(927),
    [ts_builtin_sym_end] = ACTIONS(927),
    [anon_sym___END__] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_RPAREN] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym_STAR_STAR] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_end] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_unless] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(927),
    [anon_sym_until] = ACTIONS(927),
    [anon_sym_rescue] = ACTIONS(927),
    [anon_sym_do] = ACTIONS(927),
    [anon_sym_when] = ACTIONS(927),
    [anon_sym_elsif] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(927),
    [anon_sym_then] = ACTIONS(927),
    [anon_sym_ensure] = ACTIONS(927),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_AMP_DOT] = ACTIONS(927),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_DOT_DOT] = ACTIONS(929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(927),
    [anon_sym_and] = ACTIONS(927),
    [anon_sym_or] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(927),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(927),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(927),
    [anon_sym_LT_EQ_GT] = ACTIONS(927),
    [anon_sym_EQ_TILDE] = ACTIONS(927),
    [anon_sym_BANG_TILDE] = ACTIONS(927),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(927),
    [anon_sym_CARET] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [sym_comment] = ACTIONS(87),
  },
  [73] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(494),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(931),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(933),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [74] = {
    [aux_sym_symbol_array_repeat1] = STATE(497),
    [sym__string_end] = ACTIONS(935),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(937),
  },
  [75] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [ts_builtin_sym_end] = ACTIONS(939),
    [anon_sym___END__] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [76] = {
    [sym_uninterpreted] = ACTIONS(943),
    [sym_comment] = ACTIONS(109),
  },
  [77] = {
    [sym__statements] = STATE(509),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(947),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [78] = {
    [sym__element_reference_left_bracket] = ACTIONS(101),
    [sym__infix_scope_colons] = ACTIONS(101),
    [sym__binary_minus] = ACTIONS(101),
    [sym__binary_star] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_RPAREN] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(103),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_STAR_STAR] = ACTIONS(101),
    [anon_sym_AMP] = ACTIONS(103),
    [anon_sym_LT] = ACTIONS(103),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_unless] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_until] = ACTIONS(101),
    [anon_sym_rescue] = ACTIONS(101),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_EQ_GT] = ACTIONS(101),
    [anon_sym_AMP_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_and] = ACTIONS(101),
    [anon_sym_or] = ACTIONS(101),
    [anon_sym_PIPE_PIPE] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_LT_LT] = ACTIONS(101),
    [anon_sym_GT_GT] = ACTIONS(101),
    [anon_sym_EQ_EQ] = ACTIONS(103),
    [anon_sym_BANG_EQ] = ACTIONS(101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(101),
    [anon_sym_LT_EQ_GT] = ACTIONS(101),
    [anon_sym_EQ_TILDE] = ACTIONS(101),
    [anon_sym_BANG_TILDE] = ACTIONS(101),
    [anon_sym_LT_EQ] = ACTIONS(103),
    [anon_sym_GT] = ACTIONS(103),
    [anon_sym_GT_EQ] = ACTIONS(101),
    [anon_sym_CARET] = ACTIONS(101),
    [anon_sym_PLUS] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [sym_comment] = ACTIONS(87),
  },
  [79] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(518),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(971),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [80] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(520),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(973),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [81] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(522),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(975),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [82] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(524),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(977),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [83] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(527),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(979),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(981),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [84] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(530),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(983),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(985),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [85] = {
    [sym_interpolation] = STATE(533),
    [aux_sym_heredoc_body_repeat1] = STATE(533),
    [sym__heredoc_content] = ACTIONS(987),
    [sym_heredoc_end] = ACTIONS(989),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(987),
  },
  [86] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(534),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(534),
    [sym_operator_assignment] = STATE(534),
    [sym_conditional] = STATE(534),
    [sym_range] = STATE(534),
    [sym_binary] = STATE(534),
    [sym_unary] = STATE(534),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [87] = {
    [sym__keyword_colon] = ACTIONS(993),
    [sym_comment] = ACTIONS(87),
  },
  [88] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(117),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(117),
    [sym_operator_assignment] = STATE(117),
    [sym_conditional] = STATE(117),
    [sym_range] = STATE(117),
    [sym_binary] = STATE(117),
    [sym_unary] = STATE(117),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(123),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_heredoc_body] = STATE(538),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym__hash_items] = STATE(539),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(139),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(995),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(209),
    [sym_identifier] = ACTIONS(209),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [89] = {
    [sym__line_break] = ACTIONS(997),
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(997),
    [sym__infix_scope_colons] = ACTIONS(997),
    [sym__binary_minus] = ACTIONS(997),
    [sym__binary_star] = ACTIONS(997),
    [ts_builtin_sym_end] = ACTIONS(997),
    [anon_sym___END__] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_RPAREN] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(997),
    [anon_sym_STAR_STAR] = ACTIONS(997),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_end] = ACTIONS(997),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_unless] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(997),
    [anon_sym_until] = ACTIONS(997),
    [anon_sym_rescue] = ACTIONS(997),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_when] = ACTIONS(997),
    [anon_sym_elsif] = ACTIONS(997),
    [anon_sym_else] = ACTIONS(997),
    [anon_sym_then] = ACTIONS(997),
    [anon_sym_ensure] = ACTIONS(997),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(997),
    [anon_sym_QMARK] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(997),
    [anon_sym_and] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(997),
    [anon_sym_PIPE_PIPE] = ACTIONS(997),
    [anon_sym_AMP_AMP] = ACTIONS(997),
    [anon_sym_LT_LT] = ACTIONS(997),
    [anon_sym_GT_GT] = ACTIONS(997),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(997),
    [anon_sym_LT_EQ_GT] = ACTIONS(997),
    [anon_sym_EQ_TILDE] = ACTIONS(997),
    [anon_sym_BANG_TILDE] = ACTIONS(997),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(999),
    [anon_sym_GT_EQ] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_SLASH] = ACTIONS(997),
    [anon_sym_PERCENT] = ACTIONS(997),
    [sym_comment] = ACTIONS(87),
  },
  [90] = {
    [sym__method_rest] = STATE(541),
    [sym__variable] = STATE(542),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(543),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(239),
    [sym_identifier] = ACTIONS(241),
    [sym_instance_variable] = ACTIONS(239),
    [sym_class_variable] = ACTIONS(239),
    [sym_global_variable] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
    [sym_super] = ACTIONS(1003),
    [sym_self] = ACTIONS(1003),
  },
  [91] = {
    [sym__statements] = STATE(545),
    [sym__top_level_statement] = STATE(150),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(155),
    [sym__simple_mlhs] = STATE(156),
    [sym_destructured_left_assignment] = STATE(156),
    [sym_rest_assignment] = STATE(156),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(1005),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [92] = {
    [sym_constant] = ACTIONS(1007),
    [sym_identifier] = ACTIONS(1007),
    [sym_comment] = ACTIONS(87),
  },
  [93] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(560),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(560),
    [sym_operator_assignment] = STATE(560),
    [sym_conditional] = STATE(560),
    [sym_range] = STATE(560),
    [sym_binary] = STATE(560),
    [sym_unary] = STATE(560),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [94] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(568),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(1047),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [95] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(570),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(1049),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [96] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(587),
    [sym__argument_list_with_parens] = STATE(588),
    [sym__argument] = STATE(589),
    [sym_splat_argument] = STATE(589),
    [sym_hash_splat_argument] = STATE(589),
    [sym_block_argument] = STATE(589),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(589),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [97] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(593),
    [sym__argument_list_with_parens] = STATE(588),
    [sym__argument] = STATE(589),
    [sym_splat_argument] = STATE(589),
    [sym_hash_splat_argument] = STATE(589),
    [sym_block_argument] = STATE(589),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(589),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [98] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(594),
    [sym__argument_list_with_parens] = STATE(588),
    [sym__argument] = STATE(589),
    [sym_splat_argument] = STATE(589),
    [sym_hash_splat_argument] = STATE(589),
    [sym_block_argument] = STATE(589),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(589),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [99] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(595),
    [sym__argument_list_with_parens] = STATE(588),
    [sym__argument] = STATE(589),
    [sym_splat_argument] = STATE(589),
    [sym_hash_splat_argument] = STATE(589),
    [sym_block_argument] = STATE(589),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(589),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [100] = {
    [sym__statement] = STATE(596),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [101] = {
    [sym__statement] = STATE(597),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [102] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(598),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(598),
    [sym_operator_assignment] = STATE(598),
    [sym_conditional] = STATE(598),
    [sym_range] = STATE(598),
    [sym_binary] = STATE(598),
    [sym_unary] = STATE(598),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [103] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(599),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(599),
    [sym_operator_assignment] = STATE(599),
    [sym_conditional] = STATE(599),
    [sym_range] = STATE(599),
    [sym_binary] = STATE(599),
    [sym_unary] = STATE(599),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [104] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(265),
    [sym_call] = STATE(265),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(600),
    [sym__simple_mlhs] = STATE(267),
    [sym_destructured_left_assignment] = STATE(267),
    [sym_rest_assignment] = STATE(267),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(265),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(475),
    [sym_identifier] = ACTIONS(475),
    [sym_instance_variable] = ACTIONS(477),
    [sym_class_variable] = ACTIONS(477),
    [sym_global_variable] = ACTIONS(477),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(475),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [105] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(601),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(601),
    [sym_operator_assignment] = STATE(601),
    [sym_conditional] = STATE(601),
    [sym_range] = STATE(601),
    [sym_binary] = STATE(601),
    [sym_unary] = STATE(601),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(602),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__terminator] = STATE(602),
    [sym__line_break] = ACTIONS(1083),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [106] = {
    [sym__statements] = STATE(603),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(604),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(605),
    [sym_rescue] = STATE(606),
    [sym__body_statement] = STATE(607),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(608),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(608),
    [sym__line_break] = ACTIONS(1085),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(1087),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [107] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(609),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(609),
    [sym_operator_assignment] = STATE(609),
    [sym_conditional] = STATE(609),
    [sym_range] = STATE(609),
    [sym_binary] = STATE(609),
    [sym_unary] = STATE(609),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [108] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(610),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(610),
    [sym_operator_assignment] = STATE(610),
    [sym_conditional] = STATE(610),
    [sym_range] = STATE(610),
    [sym_binary] = STATE(610),
    [sym_unary] = STATE(610),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [109] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(611),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(611),
    [sym_operator_assignment] = STATE(611),
    [sym_conditional] = STATE(611),
    [sym_range] = STATE(611),
    [sym_binary] = STATE(611),
    [sym_unary] = STATE(611),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [110] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(993),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [111] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
    [anon_sym_r] = ACTIONS(1093),
  },
  [112] = {
    [sym__element_reference_left_bracket] = ACTIONS(563),
    [sym__infix_scope_colons] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(563),
    [sym__binary_star] = ACTIONS(563),
    [anon_sym_DOT] = ACTIONS(565),
    [anon_sym_COMMA] = ACTIONS(563),
    [anon_sym_PIPE] = ACTIONS(565),
    [anon_sym_STAR_STAR] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(565),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(565),
    [anon_sym_EQ_GT] = ACTIONS(563),
    [anon_sym_AMP_DOT] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(563),
    [anon_sym_DASH_EQ] = ACTIONS(563),
    [anon_sym_STAR_EQ] = ACTIONS(563),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(563),
    [anon_sym_SLASH_EQ] = ACTIONS(563),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(563),
    [anon_sym_PIPE_EQ] = ACTIONS(563),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(563),
    [anon_sym_AMP_EQ] = ACTIONS(563),
    [anon_sym_PERCENT_EQ] = ACTIONS(563),
    [anon_sym_GT_GT_EQ] = ACTIONS(563),
    [anon_sym_LT_LT_EQ] = ACTIONS(563),
    [anon_sym_CARET_EQ] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(563),
    [anon_sym_DOT_DOT] = ACTIONS(565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(563),
    [anon_sym_and] = ACTIONS(563),
    [anon_sym_or] = ACTIONS(563),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [anon_sym_AMP_AMP] = ACTIONS(565),
    [anon_sym_LT_LT] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(565),
    [anon_sym_EQ_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ] = ACTIONS(563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(563),
    [anon_sym_LT_EQ_GT] = ACTIONS(563),
    [anon_sym_EQ_TILDE] = ACTIONS(563),
    [anon_sym_BANG_TILDE] = ACTIONS(563),
    [anon_sym_LT_EQ] = ACTIONS(565),
    [anon_sym_GT] = ACTIONS(565),
    [anon_sym_GT_EQ] = ACTIONS(563),
    [anon_sym_CARET] = ACTIONS(565),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_SLASH] = ACTIONS(565),
    [anon_sym_PERCENT] = ACTIONS(565),
    [sym_comment] = ACTIONS(87),
  },
  [113] = {
    [sym__element_reference_left_bracket] = ACTIONS(567),
    [sym__infix_scope_colons] = ACTIONS(567),
    [sym__binary_minus] = ACTIONS(567),
    [sym__binary_star] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(569),
    [anon_sym_COMMA] = ACTIONS(567),
    [anon_sym_PIPE] = ACTIONS(569),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(569),
    [anon_sym_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_EQ_GT] = ACTIONS(567),
    [anon_sym_AMP_DOT] = ACTIONS(567),
    [anon_sym_PLUS_EQ] = ACTIONS(567),
    [anon_sym_DASH_EQ] = ACTIONS(567),
    [anon_sym_STAR_EQ] = ACTIONS(567),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(567),
    [anon_sym_SLASH_EQ] = ACTIONS(567),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(567),
    [anon_sym_PIPE_EQ] = ACTIONS(567),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(567),
    [anon_sym_AMP_EQ] = ACTIONS(567),
    [anon_sym_PERCENT_EQ] = ACTIONS(567),
    [anon_sym_GT_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_LT_EQ] = ACTIONS(567),
    [anon_sym_CARET_EQ] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_and] = ACTIONS(567),
    [anon_sym_or] = ACTIONS(567),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(569),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_EQ_TILDE] = ACTIONS(567),
    [anon_sym_BANG_TILDE] = ACTIONS(567),
    [anon_sym_LT_EQ] = ACTIONS(569),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_SLASH] = ACTIONS(569),
    [anon_sym_PERCENT] = ACTIONS(569),
    [sym_comment] = ACTIONS(87),
  },
  [114] = {
    [sym__element_reference_left_bracket] = ACTIONS(571),
    [sym__infix_scope_colons] = ACTIONS(571),
    [sym__binary_minus] = ACTIONS(571),
    [sym__binary_star] = ACTIONS(571),
    [anon_sym_DOT] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(571),
    [anon_sym_PIPE] = ACTIONS(573),
    [anon_sym_STAR_STAR] = ACTIONS(573),
    [anon_sym_AMP] = ACTIONS(573),
    [anon_sym_EQ] = ACTIONS(573),
    [anon_sym_LT] = ACTIONS(573),
    [anon_sym_EQ_GT] = ACTIONS(571),
    [anon_sym_AMP_DOT] = ACTIONS(571),
    [anon_sym_PLUS_EQ] = ACTIONS(571),
    [anon_sym_DASH_EQ] = ACTIONS(571),
    [anon_sym_STAR_EQ] = ACTIONS(571),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(571),
    [anon_sym_SLASH_EQ] = ACTIONS(571),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(571),
    [anon_sym_PIPE_EQ] = ACTIONS(571),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(571),
    [anon_sym_AMP_EQ] = ACTIONS(571),
    [anon_sym_PERCENT_EQ] = ACTIONS(571),
    [anon_sym_GT_GT_EQ] = ACTIONS(571),
    [anon_sym_LT_LT_EQ] = ACTIONS(571),
    [anon_sym_CARET_EQ] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(571),
    [anon_sym_DOT_DOT] = ACTIONS(573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(571),
    [anon_sym_and] = ACTIONS(571),
    [anon_sym_or] = ACTIONS(571),
    [anon_sym_PIPE_PIPE] = ACTIONS(573),
    [anon_sym_AMP_AMP] = ACTIONS(573),
    [anon_sym_LT_LT] = ACTIONS(573),
    [anon_sym_GT_GT] = ACTIONS(573),
    [anon_sym_EQ_EQ] = ACTIONS(573),
    [anon_sym_BANG_EQ] = ACTIONS(571),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(571),
    [anon_sym_LT_EQ_GT] = ACTIONS(571),
    [anon_sym_EQ_TILDE] = ACTIONS(571),
    [anon_sym_BANG_TILDE] = ACTIONS(571),
    [anon_sym_LT_EQ] = ACTIONS(573),
    [anon_sym_GT] = ACTIONS(573),
    [anon_sym_GT_EQ] = ACTIONS(571),
    [anon_sym_CARET] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_PERCENT] = ACTIONS(573),
    [sym_comment] = ACTIONS(87),
  },
  [115] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(614),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(615),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [116] = {
    [sym_lambda_parameters] = STATE(618),
    [sym__simple_formal_parameter] = STATE(379),
    [sym_splat_parameter] = STATE(379),
    [sym_hash_splat_parameter] = STATE(379),
    [sym_block_parameter] = STATE(379),
    [sym_keyword_parameter] = STATE(379),
    [sym_optional_parameter] = STATE(379),
    [sym_do_block] = STATE(619),
    [sym_block] = STATE(619),
    [anon_sym_LBRACE] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(1099),
    [sym_identifier] = ACTIONS(677),
    [sym_comment] = ACTIONS(87),
  },
  [117] = {
    [sym__binary_minus] = ACTIONS(1101),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1109),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_EQ_GT] = ACTIONS(1113),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_DOT_DOT] = ACTIONS(1117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1119),
    [anon_sym_and] = ACTIONS(1121),
    [anon_sym_or] = ACTIONS(1121),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_EQ_TILDE] = ACTIONS(1123),
    [anon_sym_BANG_TILDE] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_GT] = ACTIONS(1111),
    [anon_sym_GT_EQ] = ACTIONS(1129),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [118] = {
    [sym__element_reference_left_bracket] = ACTIONS(1135),
    [sym__infix_scope_colons] = ACTIONS(1137),
    [sym__binary_minus] = ACTIONS(735),
    [sym__binary_star] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(1139),
    [anon_sym_COMMA] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(743),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_AMP] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_EQ_GT] = ACTIONS(735),
    [anon_sym_AMP_DOT] = ACTIONS(1141),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(735),
    [anon_sym_or] = ACTIONS(735),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT_LT] = ACTIONS(735),
    [anon_sym_GT_GT] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(735),
    [anon_sym_LT_EQ_GT] = ACTIONS(735),
    [anon_sym_EQ_TILDE] = ACTIONS(735),
    [anon_sym_BANG_TILDE] = ACTIONS(735),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(743),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(735),
    [sym_comment] = ACTIONS(87),
  },
  [119] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(673),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(676),
    [sym__argument_list_with_parens] = STATE(677),
    [sym__argument] = STATE(678),
    [sym_splat_argument] = STATE(678),
    [sym_hash_splat_argument] = STATE(678),
    [sym_block_argument] = STATE(678),
    [sym_do_block] = STATE(679),
    [sym_block] = STATE(679),
    [sym_assignment] = STATE(673),
    [sym_operator_assignment] = STATE(673),
    [sym_conditional] = STATE(673),
    [sym_range] = STATE(673),
    [sym_binary] = STATE(673),
    [sym_unary] = STATE(673),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(682),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(678),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1159),
    [sym__splat_star] = ACTIONS(1161),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1213),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [120] = {
    [sym__heredoc_body_start] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [sym_comment] = ACTIONS(87),
  },
  [121] = {
    [anon_sym_EQ] = ACTIONS(1227),
    [sym_comment] = ACTIONS(87),
  },
  [122] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(1231),
    [anon_sym_DASH_EQ] = ACTIONS(1231),
    [anon_sym_STAR_EQ] = ACTIONS(1231),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1231),
    [anon_sym_SLASH_EQ] = ACTIONS(1231),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1231),
    [anon_sym_PIPE_EQ] = ACTIONS(1231),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1231),
    [anon_sym_AMP_EQ] = ACTIONS(1231),
    [anon_sym_PERCENT_EQ] = ACTIONS(1231),
    [anon_sym_GT_GT_EQ] = ACTIONS(1231),
    [anon_sym_LT_LT_EQ] = ACTIONS(1231),
    [anon_sym_CARET_EQ] = ACTIONS(1231),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [123] = {
    [sym_string] = STATE(686),
    [aux_sym_chained_string_repeat1] = STATE(686),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(1233),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [124] = {
    [anon_sym_RBRACE] = ACTIONS(1235),
    [sym_comment] = ACTIONS(87),
  },
  [125] = {
    [sym_heredoc_body] = STATE(688),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACE] = ACTIONS(1235),
    [sym_comment] = ACTIONS(87),
  },
  [126] = {
    [sym__heredoc_body_start] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(1237),
    [anon_sym_COMMA] = ACTIONS(1239),
    [sym_comment] = ACTIONS(87),
  },
  [127] = {
    [sym__statements] = STATE(691),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(1241),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [128] = {
    [sym__line_break] = ACTIONS(101),
    [sym__heredoc_body_start] = ACTIONS(101),
    [ts_builtin_sym_end] = ACTIONS(101),
    [anon_sym___END__] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_RPAREN] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_STAR] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(101),
    [anon_sym_AMP] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(103),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_unless] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_until] = ACTIONS(103),
    [anon_sym_rescue] = ACTIONS(103),
    [anon_sym_when] = ACTIONS(103),
    [anon_sym_elsif] = ACTIONS(103),
    [anon_sym_else] = ACTIONS(103),
    [anon_sym_then] = ACTIONS(103),
    [anon_sym_ensure] = ACTIONS(103),
    [sym_identifier] = ACTIONS(103),
    [sym_comment] = ACTIONS(87),
  },
  [129] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(693),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(1243),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [130] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(702),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(702),
    [sym_operator_assignment] = STATE(702),
    [sym_conditional] = STATE(702),
    [sym_range] = STATE(702),
    [sym_binary] = STATE(702),
    [sym_unary] = STATE(702),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [131] = {
    [sym__line_break] = ACTIONS(1267),
    [sym__heredoc_body_start] = ACTIONS(1267),
    [ts_builtin_sym_end] = ACTIONS(1267),
    [anon_sym___END__] = ACTIONS(1269),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1267),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_SEMI] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1267),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_end] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1269),
    [anon_sym_unless] = ACTIONS(1269),
    [anon_sym_while] = ACTIONS(1269),
    [anon_sym_until] = ACTIONS(1269),
    [anon_sym_rescue] = ACTIONS(1269),
    [anon_sym_when] = ACTIONS(1269),
    [anon_sym_elsif] = ACTIONS(1269),
    [anon_sym_else] = ACTIONS(1269),
    [anon_sym_then] = ACTIONS(1269),
    [anon_sym_ensure] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1269),
    [sym_comment] = ACTIONS(87),
  },
  [132] = {
    [sym__line_break] = ACTIONS(1271),
    [sym__heredoc_body_start] = ACTIONS(1271),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1271),
    [anon_sym_AMP] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1271),
    [sym_comment] = ACTIONS(87),
  },
  [133] = {
    [sym__line_break] = ACTIONS(1271),
    [sym__heredoc_body_start] = ACTIONS(1271),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1271),
    [anon_sym_AMP] = ACTIONS(1271),
    [anon_sym_EQ] = ACTIONS(1275),
    [sym_identifier] = ACTIONS(1271),
    [sym_comment] = ACTIONS(87),
  },
  [134] = {
    [sym__line_break] = ACTIONS(1277),
    [sym__heredoc_body_start] = ACTIONS(1277),
    [sym__element_reference_left_bracket] = ACTIONS(1277),
    [sym__infix_scope_colons] = ACTIONS(1277),
    [sym__binary_minus] = ACTIONS(1277),
    [sym__binary_star] = ACTIONS(1277),
    [ts_builtin_sym_end] = ACTIONS(1277),
    [anon_sym___END__] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_RPAREN] = ACTIONS(1277),
    [anon_sym_DOT] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(1277),
    [anon_sym_PIPE] = ACTIONS(1279),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym_STAR_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1279),
    [anon_sym_LT] = ACTIONS(1279),
    [anon_sym_end] = ACTIONS(1277),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_unless] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_until] = ACTIONS(1277),
    [anon_sym_rescue] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_when] = ACTIONS(1277),
    [anon_sym_elsif] = ACTIONS(1277),
    [anon_sym_else] = ACTIONS(1277),
    [anon_sym_then] = ACTIONS(1277),
    [anon_sym_ensure] = ACTIONS(1277),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_AMP_DOT] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(1277),
    [anon_sym_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1277),
    [anon_sym_and] = ACTIONS(1277),
    [anon_sym_or] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE] = ACTIONS(1277),
    [anon_sym_AMP_AMP] = ACTIONS(1277),
    [anon_sym_LT_LT] = ACTIONS(1277),
    [anon_sym_GT_GT] = ACTIONS(1277),
    [anon_sym_EQ_EQ] = ACTIONS(1279),
    [anon_sym_BANG_EQ] = ACTIONS(1277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1277),
    [anon_sym_LT_EQ_GT] = ACTIONS(1277),
    [anon_sym_EQ_TILDE] = ACTIONS(1277),
    [anon_sym_BANG_TILDE] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(1279),
    [anon_sym_GT] = ACTIONS(1279),
    [anon_sym_GT_EQ] = ACTIONS(1277),
    [anon_sym_CARET] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(1277),
    [anon_sym_SLASH] = ACTIONS(1277),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [sym_comment] = ACTIONS(87),
  },
  [135] = {
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_COLON_COLON] = ACTIONS(1281),
    [sym_comment] = ACTIONS(87),
  },
  [136] = {
    [sym__line_break] = ACTIONS(1271),
    [sym__heredoc_body_start] = ACTIONS(1271),
    [ts_builtin_sym_end] = ACTIONS(1271),
    [anon_sym___END__] = ACTIONS(1273),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_RPAREN] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(1271),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1271),
    [anon_sym_AMP] = ACTIONS(1271),
    [anon_sym_end] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_unless] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_until] = ACTIONS(1273),
    [anon_sym_rescue] = ACTIONS(1273),
    [anon_sym_when] = ACTIONS(1273),
    [anon_sym_elsif] = ACTIONS(1273),
    [anon_sym_else] = ACTIONS(1273),
    [anon_sym_then] = ACTIONS(1273),
    [anon_sym_ensure] = ACTIONS(1273),
    [sym_identifier] = ACTIONS(1273),
    [sym_comment] = ACTIONS(87),
  },
  [137] = {
    [sym_method_parameters] = STATE(714),
    [sym__simple_formal_parameter] = STATE(715),
    [sym_splat_parameter] = STATE(715),
    [sym_hash_splat_parameter] = STATE(715),
    [sym_block_parameter] = STATE(715),
    [sym_keyword_parameter] = STATE(715),
    [sym_optional_parameter] = STATE(715),
    [sym_heredoc_body] = STATE(714),
    [sym__terminator] = STATE(714),
    [sym__line_break] = ACTIONS(1283),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_comment] = ACTIONS(87),
  },
  [138] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(716),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(716),
    [sym_operator_assignment] = STATE(716),
    [sym_conditional] = STATE(716),
    [sym_range] = STATE(716),
    [sym_binary] = STATE(716),
    [sym_unary] = STATE(716),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [139] = {
    [sym__line_break] = ACTIONS(1295),
    [sym__heredoc_body_start] = ACTIONS(1295),
    [sym__element_reference_left_bracket] = ACTIONS(1295),
    [sym__infix_scope_colons] = ACTIONS(1295),
    [sym__binary_minus] = ACTIONS(1295),
    [sym__binary_star] = ACTIONS(1295),
    [ts_builtin_sym_end] = ACTIONS(1295),
    [anon_sym___END__] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_RPAREN] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1295),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_STAR_STAR] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_end] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_unless] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_until] = ACTIONS(1295),
    [anon_sym_rescue] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_when] = ACTIONS(1295),
    [anon_sym_elsif] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(1295),
    [anon_sym_then] = ACTIONS(1295),
    [anon_sym_ensure] = ACTIONS(1295),
    [anon_sym_EQ_GT] = ACTIONS(1295),
    [anon_sym_AMP_DOT] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1295),
    [anon_sym_DOT_DOT] = ACTIONS(1297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1295),
    [anon_sym_and] = ACTIONS(1295),
    [anon_sym_or] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1295),
    [anon_sym_AMP_AMP] = ACTIONS(1295),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_EQ_EQ] = ACTIONS(1297),
    [anon_sym_BANG_EQ] = ACTIONS(1295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ_GT] = ACTIONS(1295),
    [anon_sym_EQ_TILDE] = ACTIONS(1295),
    [anon_sym_BANG_TILDE] = ACTIONS(1295),
    [anon_sym_LT_EQ] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_CARET] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_PERCENT] = ACTIONS(1295),
    [sym_comment] = ACTIONS(87),
  },
  [140] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(192),
    [sym_scope_resolution] = STATE(717),
    [sym_call] = STATE(717),
    [sym_method_call] = STATE(192),
    [sym__lhs] = STATE(192),
    [sym__variable] = STATE(717),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(192),
    [sym_false] = STATE(192),
    [sym_nil] = STATE(192),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_RPAREN] = ACTIONS(301),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_EQ] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(1299),
    [sym_identifier] = ACTIONS(1299),
    [sym_instance_variable] = ACTIONS(1301),
    [sym_class_variable] = ACTIONS(1301),
    [sym_global_variable] = ACTIONS(1301),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(1299),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(1299),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [141] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(731),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(733),
    [sym__argument] = STATE(734),
    [sym_splat_argument] = STATE(734),
    [sym_hash_splat_argument] = STATE(734),
    [sym_block_argument] = STATE(734),
    [sym_assignment] = STATE(731),
    [sym_operator_assignment] = STATE(731),
    [sym_conditional] = STATE(731),
    [sym_range] = STATE(731),
    [sym_binary] = STATE(731),
    [sym_unary] = STATE(731),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(737),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(734),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1303),
    [sym__splat_star] = ACTIONS(1305),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1327),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [142] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(731),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(733),
    [sym__argument] = STATE(734),
    [sym_splat_argument] = STATE(734),
    [sym_hash_splat_argument] = STATE(734),
    [sym_block_argument] = STATE(734),
    [sym_assignment] = STATE(731),
    [sym_operator_assignment] = STATE(731),
    [sym_conditional] = STATE(731),
    [sym_range] = STATE(731),
    [sym_binary] = STATE(731),
    [sym_unary] = STATE(731),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(737),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(734),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1303),
    [sym__splat_star] = ACTIONS(1305),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1327),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [143] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(731),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(733),
    [sym__argument] = STATE(734),
    [sym_splat_argument] = STATE(734),
    [sym_hash_splat_argument] = STATE(734),
    [sym_block_argument] = STATE(734),
    [sym_assignment] = STATE(731),
    [sym_operator_assignment] = STATE(731),
    [sym_conditional] = STATE(731),
    [sym_range] = STATE(731),
    [sym_binary] = STATE(731),
    [sym_unary] = STATE(731),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(737),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(734),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1303),
    [sym__splat_star] = ACTIONS(1305),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1327),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [144] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(731),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(733),
    [sym__argument] = STATE(734),
    [sym_splat_argument] = STATE(734),
    [sym_hash_splat_argument] = STATE(734),
    [sym_block_argument] = STATE(734),
    [sym_assignment] = STATE(731),
    [sym_operator_assignment] = STATE(731),
    [sym_conditional] = STATE(731),
    [sym_range] = STATE(731),
    [sym_binary] = STATE(731),
    [sym_unary] = STATE(731),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(737),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(734),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1303),
    [sym__splat_star] = ACTIONS(1305),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1327),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [145] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(738),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(738),
    [sym_operator_assignment] = STATE(738),
    [sym_conditional] = STATE(738),
    [sym_range] = STATE(738),
    [sym_binary] = STATE(738),
    [sym_unary] = STATE(738),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [146] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(739),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(739),
    [sym_operator_assignment] = STATE(739),
    [sym_conditional] = STATE(739),
    [sym_range] = STATE(739),
    [sym_binary] = STATE(739),
    [sym_unary] = STATE(739),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [147] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [148] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(740),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [149] = {
    [anon_sym_RPAREN] = ACTIONS(1333),
    [sym_comment] = ACTIONS(87),
  },
  [150] = {
    [sym_heredoc_body] = STATE(742),
    [sym__terminator] = STATE(742),
    [aux_sym__statements_repeat1] = STATE(743),
    [sym__line_break] = ACTIONS(1335),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_RPAREN] = ACTIONS(687),
    [anon_sym_SEMI] = ACTIONS(1335),
    [sym_comment] = ACTIONS(87),
  },
  [151] = {
    [sym__line_break] = ACTIONS(689),
    [sym__heredoc_body_start] = ACTIONS(689),
    [anon_sym_RPAREN] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_if] = ACTIONS(1337),
    [anon_sym_unless] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_until] = ACTIONS(1343),
    [anon_sym_rescue] = ACTIONS(1345),
    [sym_comment] = ACTIONS(87),
  },
  [152] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(1365),
    [anon_sym_or] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [153] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(774),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(776),
    [sym__argument] = STATE(777),
    [sym_splat_argument] = STATE(777),
    [sym_hash_splat_argument] = STATE(777),
    [sym_block_argument] = STATE(777),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(774),
    [sym_operator_assignment] = STATE(774),
    [sym_conditional] = STATE(774),
    [sym_range] = STATE(774),
    [sym_binary] = STATE(774),
    [sym_unary] = STATE(774),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(780),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(777),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1379),
    [sym__splat_star] = ACTIONS(1381),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1403),
    [sym_identifier] = ACTIONS(1403),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [154] = {
    [anon_sym_EQ] = ACTIONS(1409),
    [sym_comment] = ACTIONS(87),
  },
  [155] = {
    [anon_sym_RPAREN] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(827),
    [sym_comment] = ACTIONS(87),
  },
  [156] = {
    [anon_sym_RPAREN] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(831),
    [sym_comment] = ACTIONS(87),
  },
  [157] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(1417),
    [anon_sym_DASH_EQ] = ACTIONS(1417),
    [anon_sym_STAR_EQ] = ACTIONS(1417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1417),
    [anon_sym_SLASH_EQ] = ACTIONS(1417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1417),
    [anon_sym_PIPE_EQ] = ACTIONS(1417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1417),
    [anon_sym_AMP_EQ] = ACTIONS(1417),
    [anon_sym_PERCENT_EQ] = ACTIONS(1417),
    [anon_sym_GT_GT_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT_EQ] = ACTIONS(1417),
    [anon_sym_CARET_EQ] = ACTIONS(1417),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [158] = {
    [sym_string] = STATE(785),
    [aux_sym_chained_string_repeat1] = STATE(785),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [159] = {
    [sym__line_break] = ACTIONS(1419),
    [sym__simple_symbol] = ACTIONS(1419),
    [sym__string_start] = ACTIONS(1419),
    [sym__symbol_start] = ACTIONS(1419),
    [sym__subshell_start] = ACTIONS(1419),
    [sym__regex_start] = ACTIONS(1419),
    [sym__string_array_start] = ACTIONS(1419),
    [sym__symbol_array_start] = ACTIONS(1419),
    [sym__heredoc_body_start] = ACTIONS(1419),
    [sym_heredoc_beginning] = ACTIONS(1419),
    [sym__element_reference_left_bracket] = ACTIONS(1419),
    [sym__block_ampersand] = ACTIONS(1419),
    [sym__splat_star] = ACTIONS(1419),
    [sym__argument_list_left_paren] = ACTIONS(1419),
    [sym__infix_scope_colons] = ACTIONS(1419),
    [sym__unary_minus] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1419),
    [sym__binary_star] = ACTIONS(1419),
    [sym__identifier_hash_key] = ACTIONS(1419),
    [ts_builtin_sym_end] = ACTIONS(1419),
    [anon_sym___END__] = ACTIONS(1421),
    [anon_sym_LBRACE] = ACTIONS(1419),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_def] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1419),
    [anon_sym_RPAREN] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_COLON_COLON] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1419),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [anon_sym_class] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1421),
    [anon_sym_module] = ACTIONS(1421),
    [anon_sym_end] = ACTIONS(1421),
    [anon_sym_return] = ACTIONS(1421),
    [anon_sym_yield] = ACTIONS(1421),
    [anon_sym_break] = ACTIONS(1421),
    [anon_sym_next] = ACTIONS(1421),
    [sym_redo] = ACTIONS(1421),
    [sym_retry] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_unless] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1421),
    [anon_sym_until] = ACTIONS(1421),
    [anon_sym_rescue] = ACTIONS(1421),
    [anon_sym_for] = ACTIONS(1421),
    [anon_sym_do] = ACTIONS(1421),
    [anon_sym_case] = ACTIONS(1421),
    [anon_sym_when] = ACTIONS(1421),
    [anon_sym_elsif] = ACTIONS(1421),
    [anon_sym_else] = ACTIONS(1421),
    [anon_sym_then] = ACTIONS(1421),
    [anon_sym_begin] = ACTIONS(1421),
    [anon_sym_ensure] = ACTIONS(1421),
    [anon_sym_AMP_DOT] = ACTIONS(1419),
    [anon_sym_PLUS_EQ] = ACTIONS(1419),
    [anon_sym_DASH_EQ] = ACTIONS(1419),
    [anon_sym_STAR_EQ] = ACTIONS(1419),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1419),
    [anon_sym_SLASH_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1419),
    [anon_sym_AMP_EQ] = ACTIONS(1419),
    [anon_sym_PERCENT_EQ] = ACTIONS(1419),
    [anon_sym_GT_GT_EQ] = ACTIONS(1419),
    [anon_sym_LT_LT_EQ] = ACTIONS(1419),
    [anon_sym_CARET_EQ] = ACTIONS(1419),
    [anon_sym_QMARK] = ACTIONS(1421),
    [anon_sym_DOT_DOT] = ACTIONS(1421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1419),
    [anon_sym_and] = ACTIONS(1421),
    [anon_sym_or] = ACTIONS(1421),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_AMP_AMP] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1419),
    [anon_sym_LT_EQ_GT] = ACTIONS(1419),
    [anon_sym_EQ_TILDE] = ACTIONS(1419),
    [anon_sym_BANG_TILDE] = ACTIONS(1419),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1419),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_defined_QMARK] = ACTIONS(1419),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_BANG] = ACTIONS(1421),
    [anon_sym_TILDE] = ACTIONS(1419),
    [sym_constant] = ACTIONS(1421),
    [sym_identifier] = ACTIONS(1421),
    [sym_instance_variable] = ACTIONS(1419),
    [sym_class_variable] = ACTIONS(1419),
    [sym_global_variable] = ACTIONS(1419),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1421),
    [sym_complex] = ACTIONS(1419),
    [sym_super] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_TRUE] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_FALSE] = ACTIONS(1421),
    [sym_self] = ACTIONS(1421),
    [anon_sym_nil] = ACTIONS(1421),
    [anon_sym_NIL] = ACTIONS(1421),
    [sym_character] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_DASH_GT] = ACTIONS(1419),
  },
  [160] = {
    [sym__element_reference_left_bracket] = ACTIONS(101),
    [sym__infix_scope_colons] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_AMP_DOT] = ACTIONS(101),
    [sym_comment] = ACTIONS(87),
  },
  [161] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(787),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(1423),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [162] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(789),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(1425),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [163] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(791),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(1427),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [164] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(793),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(1429),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [165] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(796),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(1431),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(1433),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [166] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(799),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(1435),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(1437),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [167] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(117),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(117),
    [sym_operator_assignment] = STATE(117),
    [sym_conditional] = STATE(117),
    [sym_range] = STATE(117),
    [sym_binary] = STATE(117),
    [sym_unary] = STATE(117),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(123),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_heredoc_body] = STATE(801),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym__hash_items] = STATE(802),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(139),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(1439),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(209),
    [sym_identifier] = ACTIONS(209),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [168] = {
    [sym__method_rest] = STATE(804),
    [sym__variable] = STATE(805),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(806),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(239),
    [sym_identifier] = ACTIONS(241),
    [sym_instance_variable] = ACTIONS(239),
    [sym_class_variable] = ACTIONS(239),
    [sym_global_variable] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
    [sym_super] = ACTIONS(1443),
    [sym_self] = ACTIONS(1443),
  },
  [169] = {
    [sym__statements] = STATE(808),
    [sym__top_level_statement] = STATE(150),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(1445),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [170] = {
    [sym_constant] = ACTIONS(1447),
    [sym_identifier] = ACTIONS(1447),
    [sym_comment] = ACTIONS(87),
  },
  [171] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(812),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(1451),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [172] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(814),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(1453),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [173] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(821),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(822),
    [sym__argument_list_with_parens] = STATE(823),
    [sym__argument] = STATE(824),
    [sym_splat_argument] = STATE(824),
    [sym_hash_splat_argument] = STATE(824),
    [sym_block_argument] = STATE(824),
    [sym_assignment] = STATE(821),
    [sym_operator_assignment] = STATE(821),
    [sym_conditional] = STATE(821),
    [sym_range] = STATE(821),
    [sym_binary] = STATE(821),
    [sym_unary] = STATE(821),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(825),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(824),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1455),
    [sym__splat_star] = ACTIONS(1457),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__identifier_hash_key] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1463),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1467),
    [sym_identifier] = ACTIONS(1467),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [174] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(821),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(826),
    [sym__argument_list_with_parens] = STATE(823),
    [sym__argument] = STATE(824),
    [sym_splat_argument] = STATE(824),
    [sym_hash_splat_argument] = STATE(824),
    [sym_block_argument] = STATE(824),
    [sym_assignment] = STATE(821),
    [sym_operator_assignment] = STATE(821),
    [sym_conditional] = STATE(821),
    [sym_range] = STATE(821),
    [sym_binary] = STATE(821),
    [sym_unary] = STATE(821),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(825),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(824),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1455),
    [sym__splat_star] = ACTIONS(1457),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__identifier_hash_key] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1463),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1467),
    [sym_identifier] = ACTIONS(1467),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [175] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(821),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(827),
    [sym__argument_list_with_parens] = STATE(823),
    [sym__argument] = STATE(824),
    [sym_splat_argument] = STATE(824),
    [sym_hash_splat_argument] = STATE(824),
    [sym_block_argument] = STATE(824),
    [sym_assignment] = STATE(821),
    [sym_operator_assignment] = STATE(821),
    [sym_conditional] = STATE(821),
    [sym_range] = STATE(821),
    [sym_binary] = STATE(821),
    [sym_unary] = STATE(821),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(825),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(824),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1455),
    [sym__splat_star] = ACTIONS(1457),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__identifier_hash_key] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1463),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1467),
    [sym_identifier] = ACTIONS(1467),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [176] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(821),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(828),
    [sym__argument_list_with_parens] = STATE(823),
    [sym__argument] = STATE(824),
    [sym_splat_argument] = STATE(824),
    [sym_hash_splat_argument] = STATE(824),
    [sym_block_argument] = STATE(824),
    [sym_assignment] = STATE(821),
    [sym_operator_assignment] = STATE(821),
    [sym_conditional] = STATE(821),
    [sym_range] = STATE(821),
    [sym_binary] = STATE(821),
    [sym_unary] = STATE(821),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(825),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(824),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1455),
    [sym__splat_star] = ACTIONS(1457),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__identifier_hash_key] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1463),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1467),
    [sym_identifier] = ACTIONS(1467),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [177] = {
    [sym__statement] = STATE(829),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [178] = {
    [sym__statement] = STATE(830),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [179] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(831),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(831),
    [sym_operator_assignment] = STATE(831),
    [sym_conditional] = STATE(831),
    [sym_range] = STATE(831),
    [sym_binary] = STATE(831),
    [sym_unary] = STATE(831),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [180] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(832),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(832),
    [sym_operator_assignment] = STATE(832),
    [sym_conditional] = STATE(832),
    [sym_range] = STATE(832),
    [sym_binary] = STATE(832),
    [sym_unary] = STATE(832),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [181] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(265),
    [sym_call] = STATE(265),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(833),
    [sym__simple_mlhs] = STATE(267),
    [sym_destructured_left_assignment] = STATE(267),
    [sym_rest_assignment] = STATE(267),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(265),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(475),
    [sym_identifier] = ACTIONS(475),
    [sym_instance_variable] = ACTIONS(477),
    [sym_class_variable] = ACTIONS(477),
    [sym_global_variable] = ACTIONS(477),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(475),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [182] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(834),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(834),
    [sym_operator_assignment] = STATE(834),
    [sym_conditional] = STATE(834),
    [sym_range] = STATE(834),
    [sym_binary] = STATE(834),
    [sym_unary] = STATE(834),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(835),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__terminator] = STATE(835),
    [sym__line_break] = ACTIONS(1469),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [183] = {
    [sym__statements] = STATE(836),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(837),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(838),
    [sym_rescue] = STATE(839),
    [sym__body_statement] = STATE(840),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(841),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(841),
    [sym__line_break] = ACTIONS(1471),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(1473),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [184] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
    [anon_sym_r] = ACTIONS(1475),
  },
  [185] = {
    [sym__element_reference_left_bracket] = ACTIONS(563),
    [sym__infix_scope_colons] = ACTIONS(563),
    [anon_sym_RPAREN] = ACTIONS(563),
    [anon_sym_DOT] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(563),
    [anon_sym_EQ] = ACTIONS(563),
    [anon_sym_in] = ACTIONS(563),
    [anon_sym_AMP_DOT] = ACTIONS(563),
    [sym_comment] = ACTIONS(87),
  },
  [186] = {
    [sym__element_reference_left_bracket] = ACTIONS(567),
    [sym__infix_scope_colons] = ACTIONS(567),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(567),
    [anon_sym_COMMA] = ACTIONS(567),
    [anon_sym_EQ] = ACTIONS(567),
    [anon_sym_in] = ACTIONS(567),
    [anon_sym_AMP_DOT] = ACTIONS(567),
    [sym_comment] = ACTIONS(87),
  },
  [187] = {
    [sym__element_reference_left_bracket] = ACTIONS(571),
    [sym__infix_scope_colons] = ACTIONS(571),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_DOT] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(571),
    [anon_sym_EQ] = ACTIONS(571),
    [anon_sym_in] = ACTIONS(571),
    [anon_sym_AMP_DOT] = ACTIONS(571),
    [sym_comment] = ACTIONS(87),
  },
  [188] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(844),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(845),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [189] = {
    [sym_lambda_parameters] = STATE(848),
    [sym__simple_formal_parameter] = STATE(379),
    [sym_splat_parameter] = STATE(379),
    [sym_hash_splat_parameter] = STATE(379),
    [sym_block_parameter] = STATE(379),
    [sym_keyword_parameter] = STATE(379),
    [sym_optional_parameter] = STATE(379),
    [sym_do_block] = STATE(849),
    [sym_block] = STATE(849),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(1481),
    [sym_identifier] = ACTIONS(677),
    [sym_comment] = ACTIONS(87),
  },
  [190] = {
    [sym__element_reference_left_bracket] = ACTIONS(1483),
    [sym__infix_scope_colons] = ACTIONS(1485),
    [anon_sym_DOT] = ACTIONS(1487),
    [anon_sym_AMP_DOT] = ACTIONS(1487),
    [sym_comment] = ACTIONS(87),
  },
  [191] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(867),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(869),
    [sym__argument] = STATE(870),
    [sym_splat_argument] = STATE(870),
    [sym_hash_splat_argument] = STATE(870),
    [sym_block_argument] = STATE(870),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(867),
    [sym_operator_assignment] = STATE(867),
    [sym_conditional] = STATE(867),
    [sym_range] = STATE(867),
    [sym_binary] = STATE(867),
    [sym_unary] = STATE(867),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(874),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(870),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1489),
    [sym__splat_star] = ACTIONS(1491),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__identifier_hash_key] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1497),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(747),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1517),
    [sym_identifier] = ACTIONS(1517),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [192] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(1519),
    [anon_sym_DOT] = ACTIONS(557),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_in] = ACTIONS(1519),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [193] = {
    [sym_string] = STATE(875),
    [aux_sym_chained_string_repeat1] = STATE(875),
    [sym__string_start] = ACTIONS(279),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [194] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(876),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(876),
    [sym_operator_assignment] = STATE(876),
    [sym_conditional] = STATE(876),
    [sym_range] = STATE(876),
    [sym_binary] = STATE(876),
    [sym_unary] = STATE(876),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [195] = {
    [sym_constant] = ACTIONS(1521),
    [sym_identifier] = ACTIONS(1521),
    [sym_comment] = ACTIONS(87),
  },
  [196] = {
    [sym_superclass] = STATE(879),
    [sym_heredoc_body] = STATE(880),
    [sym__terminator] = STATE(880),
    [sym__line_break] = ACTIONS(1523),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(1523),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [197] = {
    [sym__element_reference_left_bracket] = ACTIONS(1483),
    [sym__infix_scope_colons] = ACTIONS(1527),
    [anon_sym_DOT] = ACTIONS(1487),
    [anon_sym_AMP_DOT] = ACTIONS(1487),
    [sym_comment] = ACTIONS(87),
  },
  [198] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_superclass] = STATE(879),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(880),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(880),
    [sym__line_break] = ACTIONS(1523),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(1523),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [199] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [200] = {
    [sym_heredoc_body] = STATE(903),
    [sym__terminator] = STATE(903),
    [sym__line_break] = ACTIONS(1559),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [201] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(903),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(903),
    [sym__line_break] = ACTIONS(1559),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_end] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [202] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(905),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(1563),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [203] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(914),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(914),
    [sym_operator_assignment] = STATE(914),
    [sym_conditional] = STATE(914),
    [sym_range] = STATE(914),
    [sym_binary] = STATE(914),
    [sym_unary] = STATE(914),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [204] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(918),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(918),
    [sym_operator_assignment] = STATE(918),
    [sym_conditional] = STATE(918),
    [sym_range] = STATE(918),
    [sym_binary] = STATE(918),
    [sym_unary] = STATE(918),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [205] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(935),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(940),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(1591),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [206] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(941),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(941),
    [sym_operator_assignment] = STATE(941),
    [sym_conditional] = STATE(941),
    [sym_range] = STATE(941),
    [sym_binary] = STATE(941),
    [sym_unary] = STATE(941),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [207] = {
    [sym__keyword_colon] = ACTIONS(1619),
    [sym_comment] = ACTIONS(87),
  },
  [208] = {
    [sym_constant] = ACTIONS(1621),
    [sym_identifier] = ACTIONS(1621),
    [sym_comment] = ACTIONS(87),
  },
  [209] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(945),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(945),
    [sym_operator_assignment] = STATE(945),
    [sym_conditional] = STATE(945),
    [sym_range] = STATE(945),
    [sym_binary] = STATE(945),
    [sym_unary] = STATE(945),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [210] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(951),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(952),
    [sym__argument] = STATE(953),
    [sym_splat_argument] = STATE(953),
    [sym_hash_splat_argument] = STATE(953),
    [sym_block_argument] = STATE(953),
    [sym_assignment] = STATE(951),
    [sym_operator_assignment] = STATE(951),
    [sym_conditional] = STATE(951),
    [sym_range] = STATE(951),
    [sym_binary] = STATE(951),
    [sym_unary] = STATE(951),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(954),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(953),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1623),
    [sym__splat_star] = ACTIONS(1625),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1627),
    [ts_builtin_sym_end] = ACTIONS(363),
    [anon_sym___END__] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(1629),
    [sym_identifier] = ACTIONS(1629),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [211] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(951),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(952),
    [sym__argument] = STATE(953),
    [sym_splat_argument] = STATE(953),
    [sym_hash_splat_argument] = STATE(953),
    [sym_block_argument] = STATE(953),
    [sym_assignment] = STATE(951),
    [sym_operator_assignment] = STATE(951),
    [sym_conditional] = STATE(951),
    [sym_range] = STATE(951),
    [sym_binary] = STATE(951),
    [sym_unary] = STATE(951),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(954),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(953),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1623),
    [sym__splat_star] = ACTIONS(1625),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1627),
    [ts_builtin_sym_end] = ACTIONS(413),
    [anon_sym___END__] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(1629),
    [sym_identifier] = ACTIONS(1629),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [212] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(951),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(952),
    [sym__argument] = STATE(953),
    [sym_splat_argument] = STATE(953),
    [sym_hash_splat_argument] = STATE(953),
    [sym_block_argument] = STATE(953),
    [sym_assignment] = STATE(951),
    [sym_operator_assignment] = STATE(951),
    [sym_conditional] = STATE(951),
    [sym_range] = STATE(951),
    [sym_binary] = STATE(951),
    [sym_unary] = STATE(951),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(954),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(953),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1623),
    [sym__splat_star] = ACTIONS(1625),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1627),
    [ts_builtin_sym_end] = ACTIONS(417),
    [anon_sym___END__] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(1629),
    [sym_identifier] = ACTIONS(1629),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [213] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(951),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(952),
    [sym__argument] = STATE(953),
    [sym_splat_argument] = STATE(953),
    [sym_hash_splat_argument] = STATE(953),
    [sym_block_argument] = STATE(953),
    [sym_assignment] = STATE(951),
    [sym_operator_assignment] = STATE(951),
    [sym_conditional] = STATE(951),
    [sym_range] = STATE(951),
    [sym_binary] = STATE(951),
    [sym_unary] = STATE(951),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(954),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(953),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1623),
    [sym__splat_star] = ACTIONS(1625),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1627),
    [ts_builtin_sym_end] = ACTIONS(421),
    [anon_sym___END__] = ACTIONS(423),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(1629),
    [sym_identifier] = ACTIONS(1629),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [214] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(955),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(955),
    [sym_operator_assignment] = STATE(955),
    [sym_conditional] = STATE(955),
    [sym_range] = STATE(955),
    [sym_binary] = STATE(955),
    [sym_unary] = STATE(955),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [215] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(956),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(956),
    [sym_operator_assignment] = STATE(956),
    [sym_conditional] = STATE(956),
    [sym_range] = STATE(956),
    [sym_binary] = STATE(956),
    [sym_unary] = STATE(956),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [216] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [217] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(1619),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [anon_sym___END__] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [218] = {
    [sym__line_break] = ACTIONS(563),
    [sym__heredoc_body_start] = ACTIONS(563),
    [sym__element_reference_left_bracket] = ACTIONS(563),
    [sym__infix_scope_colons] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(563),
    [sym__binary_star] = ACTIONS(563),
    [ts_builtin_sym_end] = ACTIONS(563),
    [anon_sym___END__] = ACTIONS(563),
    [anon_sym_LBRACE] = ACTIONS(563),
    [anon_sym_RBRACE] = ACTIONS(563),
    [anon_sym_RPAREN] = ACTIONS(563),
    [anon_sym_DOT] = ACTIONS(565),
    [anon_sym_COMMA] = ACTIONS(563),
    [anon_sym_PIPE] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_STAR_STAR] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(565),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(565),
    [anon_sym_end] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_unless] = ACTIONS(563),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_until] = ACTIONS(563),
    [anon_sym_rescue] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(563),
    [anon_sym_elsif] = ACTIONS(563),
    [anon_sym_else] = ACTIONS(563),
    [anon_sym_then] = ACTIONS(563),
    [anon_sym_ensure] = ACTIONS(563),
    [anon_sym_EQ_GT] = ACTIONS(563),
    [anon_sym_AMP_DOT] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(563),
    [anon_sym_DASH_EQ] = ACTIONS(563),
    [anon_sym_STAR_EQ] = ACTIONS(563),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(563),
    [anon_sym_SLASH_EQ] = ACTIONS(563),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(563),
    [anon_sym_PIPE_EQ] = ACTIONS(563),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(563),
    [anon_sym_AMP_EQ] = ACTIONS(563),
    [anon_sym_PERCENT_EQ] = ACTIONS(563),
    [anon_sym_GT_GT_EQ] = ACTIONS(563),
    [anon_sym_LT_LT_EQ] = ACTIONS(563),
    [anon_sym_CARET_EQ] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(563),
    [anon_sym_DOT_DOT] = ACTIONS(565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(563),
    [anon_sym_and] = ACTIONS(563),
    [anon_sym_or] = ACTIONS(563),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [anon_sym_AMP_AMP] = ACTIONS(565),
    [anon_sym_LT_LT] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(565),
    [anon_sym_EQ_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ] = ACTIONS(563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(563),
    [anon_sym_LT_EQ_GT] = ACTIONS(563),
    [anon_sym_EQ_TILDE] = ACTIONS(563),
    [anon_sym_BANG_TILDE] = ACTIONS(563),
    [anon_sym_LT_EQ] = ACTIONS(565),
    [anon_sym_GT] = ACTIONS(565),
    [anon_sym_GT_EQ] = ACTIONS(563),
    [anon_sym_CARET] = ACTIONS(565),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_SLASH] = ACTIONS(565),
    [anon_sym_PERCENT] = ACTIONS(565),
    [sym_comment] = ACTIONS(87),
  },
  [219] = {
    [sym__line_break] = ACTIONS(567),
    [sym__heredoc_body_start] = ACTIONS(567),
    [sym__element_reference_left_bracket] = ACTIONS(567),
    [sym__infix_scope_colons] = ACTIONS(567),
    [sym__binary_minus] = ACTIONS(567),
    [sym__binary_star] = ACTIONS(567),
    [ts_builtin_sym_end] = ACTIONS(567),
    [anon_sym___END__] = ACTIONS(567),
    [anon_sym_LBRACE] = ACTIONS(567),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(569),
    [anon_sym_COMMA] = ACTIONS(567),
    [anon_sym_PIPE] = ACTIONS(569),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(569),
    [anon_sym_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(567),
    [anon_sym_if] = ACTIONS(567),
    [anon_sym_unless] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(567),
    [anon_sym_until] = ACTIONS(567),
    [anon_sym_rescue] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(567),
    [anon_sym_when] = ACTIONS(567),
    [anon_sym_elsif] = ACTIONS(567),
    [anon_sym_else] = ACTIONS(567),
    [anon_sym_then] = ACTIONS(567),
    [anon_sym_ensure] = ACTIONS(567),
    [anon_sym_EQ_GT] = ACTIONS(567),
    [anon_sym_AMP_DOT] = ACTIONS(567),
    [anon_sym_PLUS_EQ] = ACTIONS(567),
    [anon_sym_DASH_EQ] = ACTIONS(567),
    [anon_sym_STAR_EQ] = ACTIONS(567),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(567),
    [anon_sym_SLASH_EQ] = ACTIONS(567),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(567),
    [anon_sym_PIPE_EQ] = ACTIONS(567),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(567),
    [anon_sym_AMP_EQ] = ACTIONS(567),
    [anon_sym_PERCENT_EQ] = ACTIONS(567),
    [anon_sym_GT_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_LT_EQ] = ACTIONS(567),
    [anon_sym_CARET_EQ] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_and] = ACTIONS(567),
    [anon_sym_or] = ACTIONS(567),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(569),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_EQ_TILDE] = ACTIONS(567),
    [anon_sym_BANG_TILDE] = ACTIONS(567),
    [anon_sym_LT_EQ] = ACTIONS(569),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_SLASH] = ACTIONS(569),
    [anon_sym_PERCENT] = ACTIONS(569),
    [sym_comment] = ACTIONS(87),
  },
  [220] = {
    [sym__line_break] = ACTIONS(571),
    [sym__heredoc_body_start] = ACTIONS(571),
    [sym__element_reference_left_bracket] = ACTIONS(571),
    [sym__infix_scope_colons] = ACTIONS(571),
    [sym__binary_minus] = ACTIONS(571),
    [sym__binary_star] = ACTIONS(571),
    [ts_builtin_sym_end] = ACTIONS(571),
    [anon_sym___END__] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(571),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_DOT] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(571),
    [anon_sym_PIPE] = ACTIONS(573),
    [anon_sym_SEMI] = ACTIONS(571),
    [anon_sym_STAR_STAR] = ACTIONS(573),
    [anon_sym_AMP] = ACTIONS(573),
    [anon_sym_EQ] = ACTIONS(573),
    [anon_sym_LT] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(571),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_unless] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_until] = ACTIONS(571),
    [anon_sym_rescue] = ACTIONS(571),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_when] = ACTIONS(571),
    [anon_sym_elsif] = ACTIONS(571),
    [anon_sym_else] = ACTIONS(571),
    [anon_sym_then] = ACTIONS(571),
    [anon_sym_ensure] = ACTIONS(571),
    [anon_sym_EQ_GT] = ACTIONS(571),
    [anon_sym_AMP_DOT] = ACTIONS(571),
    [anon_sym_PLUS_EQ] = ACTIONS(571),
    [anon_sym_DASH_EQ] = ACTIONS(571),
    [anon_sym_STAR_EQ] = ACTIONS(571),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(571),
    [anon_sym_SLASH_EQ] = ACTIONS(571),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(571),
    [anon_sym_PIPE_EQ] = ACTIONS(571),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(571),
    [anon_sym_AMP_EQ] = ACTIONS(571),
    [anon_sym_PERCENT_EQ] = ACTIONS(571),
    [anon_sym_GT_GT_EQ] = ACTIONS(571),
    [anon_sym_LT_LT_EQ] = ACTIONS(571),
    [anon_sym_CARET_EQ] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(571),
    [anon_sym_DOT_DOT] = ACTIONS(573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(571),
    [anon_sym_and] = ACTIONS(571),
    [anon_sym_or] = ACTIONS(571),
    [anon_sym_PIPE_PIPE] = ACTIONS(573),
    [anon_sym_AMP_AMP] = ACTIONS(573),
    [anon_sym_LT_LT] = ACTIONS(573),
    [anon_sym_GT_GT] = ACTIONS(573),
    [anon_sym_EQ_EQ] = ACTIONS(573),
    [anon_sym_BANG_EQ] = ACTIONS(571),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(571),
    [anon_sym_LT_EQ_GT] = ACTIONS(571),
    [anon_sym_EQ_TILDE] = ACTIONS(571),
    [anon_sym_BANG_TILDE] = ACTIONS(571),
    [anon_sym_LT_EQ] = ACTIONS(573),
    [anon_sym_GT] = ACTIONS(573),
    [anon_sym_GT_EQ] = ACTIONS(571),
    [anon_sym_CARET] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_PERCENT] = ACTIONS(573),
    [sym_comment] = ACTIONS(87),
  },
  [221] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(1631),
    [anon_sym___END__] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1647),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [222] = {
    [sym__line_break] = ACTIONS(735),
    [sym__heredoc_body_start] = ACTIONS(735),
    [sym__element_reference_left_bracket] = ACTIONS(1667),
    [sym__infix_scope_colons] = ACTIONS(1669),
    [sym__binary_minus] = ACTIONS(735),
    [sym__binary_star] = ACTIONS(735),
    [ts_builtin_sym_end] = ACTIONS(735),
    [anon_sym___END__] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(1671),
    [anon_sym_COMMA] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_AMP] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_end] = ACTIONS(735),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_unless] = ACTIONS(735),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_until] = ACTIONS(735),
    [anon_sym_rescue] = ACTIONS(735),
    [anon_sym_do] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(735),
    [anon_sym_elsif] = ACTIONS(735),
    [anon_sym_else] = ACTIONS(735),
    [anon_sym_then] = ACTIONS(735),
    [anon_sym_ensure] = ACTIONS(735),
    [anon_sym_EQ_GT] = ACTIONS(735),
    [anon_sym_AMP_DOT] = ACTIONS(1673),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(735),
    [anon_sym_or] = ACTIONS(735),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT_LT] = ACTIONS(735),
    [anon_sym_GT_GT] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(735),
    [anon_sym_LT_EQ_GT] = ACTIONS(735),
    [anon_sym_EQ_TILDE] = ACTIONS(735),
    [anon_sym_BANG_TILDE] = ACTIONS(735),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(743),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(735),
    [sym_comment] = ACTIONS(87),
  },
  [223] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(982),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(984),
    [sym__argument] = STATE(985),
    [sym_splat_argument] = STATE(985),
    [sym_hash_splat_argument] = STATE(985),
    [sym_block_argument] = STATE(985),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(982),
    [sym_operator_assignment] = STATE(982),
    [sym_conditional] = STATE(982),
    [sym_range] = STATE(982),
    [sym_binary] = STATE(982),
    [sym_unary] = STATE(982),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(987),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(985),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1675),
    [sym__splat_star] = ACTIONS(1677),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1681),
    [ts_builtin_sym_end] = ACTIONS(747),
    [anon_sym___END__] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1687),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [224] = {
    [sym__line_break] = ACTIONS(1689),
    [sym__heredoc_body_start] = ACTIONS(1689),
    [sym__element_reference_left_bracket] = ACTIONS(1689),
    [sym__infix_scope_colons] = ACTIONS(1689),
    [sym__binary_minus] = ACTIONS(1689),
    [sym__binary_star] = ACTIONS(1689),
    [ts_builtin_sym_end] = ACTIONS(1689),
    [anon_sym___END__] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_end] = ACTIONS(1689),
    [anon_sym_if] = ACTIONS(1689),
    [anon_sym_unless] = ACTIONS(1689),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_until] = ACTIONS(1689),
    [anon_sym_rescue] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(1689),
    [anon_sym_when] = ACTIONS(1689),
    [anon_sym_elsif] = ACTIONS(1689),
    [anon_sym_else] = ACTIONS(1689),
    [anon_sym_then] = ACTIONS(1689),
    [anon_sym_ensure] = ACTIONS(1689),
    [anon_sym_EQ_GT] = ACTIONS(1689),
    [anon_sym_AMP_DOT] = ACTIONS(1689),
    [anon_sym_QMARK] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1689),
    [anon_sym_and] = ACTIONS(1689),
    [anon_sym_or] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_AMP_AMP] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_EQ_EQ] = ACTIONS(1691),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1689),
    [anon_sym_LT_EQ_GT] = ACTIONS(1689),
    [anon_sym_EQ_TILDE] = ACTIONS(1689),
    [anon_sym_BANG_TILDE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1689),
    [anon_sym_PERCENT] = ACTIONS(1689),
    [sym_comment] = ACTIONS(87),
  },
  [225] = {
    [sym_heredoc_body] = STATE(989),
    [aux_sym_call_repeat1] = STATE(989),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [ts_builtin_sym_end] = ACTIONS(1693),
    [anon_sym___END__] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [226] = {
    [sym_heredoc_body] = STATE(989),
    [aux_sym_call_repeat1] = STATE(989),
    [aux_sym_argument_list_repeat1] = STATE(991),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [ts_builtin_sym_end] = ACTIONS(1693),
    [anon_sym___END__] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [227] = {
    [anon_sym_EQ] = ACTIONS(1701),
    [sym_comment] = ACTIONS(87),
  },
  [228] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [229] = {
    [sym_string] = STATE(995),
    [aux_sym_chained_string_repeat1] = STATE(995),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(1707),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [230] = {
    [sym__line_break] = ACTIONS(1709),
    [sym__heredoc_body_start] = ACTIONS(1709),
    [sym__element_reference_left_bracket] = ACTIONS(1709),
    [sym__infix_scope_colons] = ACTIONS(1709),
    [sym__binary_minus] = ACTIONS(1709),
    [sym__binary_star] = ACTIONS(1709),
    [ts_builtin_sym_end] = ACTIONS(1709),
    [anon_sym___END__] = ACTIONS(1709),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_end] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_unless] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_until] = ACTIONS(1709),
    [anon_sym_rescue] = ACTIONS(1709),
    [anon_sym_do] = ACTIONS(1709),
    [anon_sym_when] = ACTIONS(1709),
    [anon_sym_elsif] = ACTIONS(1709),
    [anon_sym_else] = ACTIONS(1709),
    [anon_sym_then] = ACTIONS(1709),
    [anon_sym_ensure] = ACTIONS(1709),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_AMP_DOT] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [sym_comment] = ACTIONS(87),
  },
  [231] = {
    [sym__line_break] = ACTIONS(1713),
    [sym__heredoc_body_start] = ACTIONS(1713),
    [sym__element_reference_left_bracket] = ACTIONS(1713),
    [sym__infix_scope_colons] = ACTIONS(1713),
    [sym__binary_minus] = ACTIONS(1713),
    [sym__binary_star] = ACTIONS(1713),
    [ts_builtin_sym_end] = ACTIONS(1713),
    [anon_sym___END__] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_RBRACE] = ACTIONS(1713),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_STAR_STAR] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_end] = ACTIONS(1713),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_unless] = ACTIONS(1713),
    [anon_sym_while] = ACTIONS(1713),
    [anon_sym_until] = ACTIONS(1713),
    [anon_sym_rescue] = ACTIONS(1713),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_when] = ACTIONS(1713),
    [anon_sym_elsif] = ACTIONS(1713),
    [anon_sym_else] = ACTIONS(1713),
    [anon_sym_then] = ACTIONS(1713),
    [anon_sym_ensure] = ACTIONS(1713),
    [anon_sym_EQ_GT] = ACTIONS(1713),
    [anon_sym_AMP_DOT] = ACTIONS(1713),
    [anon_sym_QMARK] = ACTIONS(1713),
    [anon_sym_DOT_DOT] = ACTIONS(1715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1713),
    [anon_sym_and] = ACTIONS(1713),
    [anon_sym_or] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_AMP_AMP] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_EQ_EQ] = ACTIONS(1715),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1713),
    [anon_sym_LT_EQ_GT] = ACTIONS(1713),
    [anon_sym_EQ_TILDE] = ACTIONS(1713),
    [anon_sym_BANG_TILDE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_PERCENT] = ACTIONS(1713),
    [sym_comment] = ACTIONS(87),
  },
  [232] = {
    [sym__line_break] = ACTIONS(1717),
    [sym__heredoc_body_start] = ACTIONS(1717),
    [sym__element_reference_left_bracket] = ACTIONS(1717),
    [sym__infix_scope_colons] = ACTIONS(1717),
    [sym__binary_minus] = ACTIONS(1717),
    [sym__binary_star] = ACTIONS(1717),
    [ts_builtin_sym_end] = ACTIONS(1717),
    [anon_sym___END__] = ACTIONS(1717),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_end] = ACTIONS(1717),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_unless] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_until] = ACTIONS(1717),
    [anon_sym_rescue] = ACTIONS(1717),
    [anon_sym_do] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(1717),
    [anon_sym_elsif] = ACTIONS(1717),
    [anon_sym_else] = ACTIONS(1717),
    [anon_sym_then] = ACTIONS(1717),
    [anon_sym_ensure] = ACTIONS(1717),
    [anon_sym_EQ_GT] = ACTIONS(1717),
    [anon_sym_AMP_DOT] = ACTIONS(1717),
    [anon_sym_QMARK] = ACTIONS(1717),
    [anon_sym_DOT_DOT] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(1717),
    [anon_sym_or] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE] = ACTIONS(1717),
    [anon_sym_AMP_AMP] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1717),
    [anon_sym_GT_GT] = ACTIONS(1717),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1717),
    [anon_sym_LT_EQ_GT] = ACTIONS(1717),
    [anon_sym_EQ_TILDE] = ACTIONS(1717),
    [anon_sym_BANG_TILDE] = ACTIONS(1717),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1717),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_PLUS] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [sym_comment] = ACTIONS(87),
  },
  [233] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(996),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(996),
    [sym_operator_assignment] = STATE(996),
    [sym_conditional] = STATE(996),
    [sym_range] = STATE(996),
    [sym_binary] = STATE(996),
    [sym_unary] = STATE(996),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [234] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(1012),
    [sym__argument] = STATE(1013),
    [sym_splat_argument] = STATE(1013),
    [sym_hash_splat_argument] = STATE(1013),
    [sym_block_argument] = STATE(1013),
    [sym_assignment] = STATE(1010),
    [sym_operator_assignment] = STATE(1010),
    [sym_conditional] = STATE(1010),
    [sym_range] = STATE(1010),
    [sym_binary] = STATE(1010),
    [sym_unary] = STATE(1010),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1016),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1013),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1721),
    [sym__splat_star] = ACTIONS(1723),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [235] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(1012),
    [sym__argument] = STATE(1013),
    [sym_splat_argument] = STATE(1013),
    [sym_hash_splat_argument] = STATE(1013),
    [sym_block_argument] = STATE(1013),
    [sym_assignment] = STATE(1010),
    [sym_operator_assignment] = STATE(1010),
    [sym_conditional] = STATE(1010),
    [sym_range] = STATE(1010),
    [sym_binary] = STATE(1010),
    [sym_unary] = STATE(1010),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1016),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1013),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1721),
    [sym__splat_star] = ACTIONS(1723),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [236] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(1012),
    [sym__argument] = STATE(1013),
    [sym_splat_argument] = STATE(1013),
    [sym_hash_splat_argument] = STATE(1013),
    [sym_block_argument] = STATE(1013),
    [sym_assignment] = STATE(1010),
    [sym_operator_assignment] = STATE(1010),
    [sym_conditional] = STATE(1010),
    [sym_range] = STATE(1010),
    [sym_binary] = STATE(1010),
    [sym_unary] = STATE(1010),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1016),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1013),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1721),
    [sym__splat_star] = ACTIONS(1723),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [237] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(1012),
    [sym__argument] = STATE(1013),
    [sym_splat_argument] = STATE(1013),
    [sym_hash_splat_argument] = STATE(1013),
    [sym_block_argument] = STATE(1013),
    [sym_assignment] = STATE(1010),
    [sym_operator_assignment] = STATE(1010),
    [sym_conditional] = STATE(1010),
    [sym_range] = STATE(1010),
    [sym_binary] = STATE(1010),
    [sym_unary] = STATE(1010),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1016),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1013),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1721),
    [sym__splat_star] = ACTIONS(1723),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [238] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1017),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(1017),
    [sym_operator_assignment] = STATE(1017),
    [sym_conditional] = STATE(1017),
    [sym_range] = STATE(1017),
    [sym_binary] = STATE(1017),
    [sym_unary] = STATE(1017),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [239] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1018),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(1018),
    [sym_operator_assignment] = STATE(1018),
    [sym_conditional] = STATE(1018),
    [sym_range] = STATE(1018),
    [sym_binary] = STATE(1018),
    [sym_unary] = STATE(1018),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [240] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [241] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(1019),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [242] = {
    [sym__then] = STATE(1026),
    [sym_heredoc_body] = STATE(1027),
    [sym__terminator] = STATE(1027),
    [sym__line_break] = ACTIONS(1751),
    [sym__heredoc_body_start] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(1765),
    [sym_comment] = ACTIONS(87),
  },
  [243] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_then] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(1785),
    [anon_sym_or] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [244] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1053),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(1055),
    [sym__argument] = STATE(1056),
    [sym_splat_argument] = STATE(1056),
    [sym_hash_splat_argument] = STATE(1056),
    [sym_block_argument] = STATE(1056),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(1053),
    [sym_operator_assignment] = STATE(1053),
    [sym_conditional] = STATE(1053),
    [sym_range] = STATE(1053),
    [sym_binary] = STATE(1053),
    [sym_unary] = STATE(1053),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1059),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1056),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1799),
    [sym__splat_star] = ACTIONS(1801),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1805),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1823),
    [sym_identifier] = ACTIONS(1823),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [245] = {
    [anon_sym_EQ] = ACTIONS(1829),
    [sym_comment] = ACTIONS(87),
  },
  [246] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(1833),
    [anon_sym_DASH_EQ] = ACTIONS(1833),
    [anon_sym_STAR_EQ] = ACTIONS(1833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1833),
    [anon_sym_SLASH_EQ] = ACTIONS(1833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1833),
    [anon_sym_PIPE_EQ] = ACTIONS(1833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1833),
    [anon_sym_AMP_EQ] = ACTIONS(1833),
    [anon_sym_PERCENT_EQ] = ACTIONS(1833),
    [anon_sym_GT_GT_EQ] = ACTIONS(1833),
    [anon_sym_LT_LT_EQ] = ACTIONS(1833),
    [anon_sym_CARET_EQ] = ACTIONS(1833),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [247] = {
    [sym_string] = STATE(1062),
    [aux_sym_chained_string_repeat1] = STATE(1062),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [248] = {
    [sym__then] = STATE(1063),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(1837),
    [sym_comment] = ACTIONS(87),
  },
  [249] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1065),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(1065),
    [sym_operator_assignment] = STATE(1065),
    [sym_conditional] = STATE(1065),
    [sym_range] = STATE(1065),
    [sym_binary] = STATE(1065),
    [sym_unary] = STATE(1065),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [250] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1079),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(1081),
    [sym__argument] = STATE(1082),
    [sym_splat_argument] = STATE(1082),
    [sym_hash_splat_argument] = STATE(1082),
    [sym_block_argument] = STATE(1082),
    [sym_assignment] = STATE(1079),
    [sym_operator_assignment] = STATE(1079),
    [sym_conditional] = STATE(1079),
    [sym_range] = STATE(1079),
    [sym_binary] = STATE(1079),
    [sym_unary] = STATE(1079),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1085),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1082),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1839),
    [sym__splat_star] = ACTIONS(1841),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1863),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [251] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1079),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(1081),
    [sym__argument] = STATE(1082),
    [sym_splat_argument] = STATE(1082),
    [sym_hash_splat_argument] = STATE(1082),
    [sym_block_argument] = STATE(1082),
    [sym_assignment] = STATE(1079),
    [sym_operator_assignment] = STATE(1079),
    [sym_conditional] = STATE(1079),
    [sym_range] = STATE(1079),
    [sym_binary] = STATE(1079),
    [sym_unary] = STATE(1079),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1085),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1082),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1839),
    [sym__splat_star] = ACTIONS(1841),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1863),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [252] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1079),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(1081),
    [sym__argument] = STATE(1082),
    [sym_splat_argument] = STATE(1082),
    [sym_hash_splat_argument] = STATE(1082),
    [sym_block_argument] = STATE(1082),
    [sym_assignment] = STATE(1079),
    [sym_operator_assignment] = STATE(1079),
    [sym_conditional] = STATE(1079),
    [sym_range] = STATE(1079),
    [sym_binary] = STATE(1079),
    [sym_unary] = STATE(1079),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1085),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1082),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1839),
    [sym__splat_star] = ACTIONS(1841),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1863),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [253] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1079),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(1081),
    [sym__argument] = STATE(1082),
    [sym_splat_argument] = STATE(1082),
    [sym_hash_splat_argument] = STATE(1082),
    [sym_block_argument] = STATE(1082),
    [sym_assignment] = STATE(1079),
    [sym_operator_assignment] = STATE(1079),
    [sym_conditional] = STATE(1079),
    [sym_range] = STATE(1079),
    [sym_binary] = STATE(1079),
    [sym_unary] = STATE(1079),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1085),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1082),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1839),
    [sym__splat_star] = ACTIONS(1841),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1863),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [254] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1086),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(1086),
    [sym_operator_assignment] = STATE(1086),
    [sym_conditional] = STATE(1086),
    [sym_range] = STATE(1086),
    [sym_binary] = STATE(1086),
    [sym_unary] = STATE(1086),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [255] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1087),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(1087),
    [sym_operator_assignment] = STATE(1087),
    [sym_conditional] = STATE(1087),
    [sym_range] = STATE(1087),
    [sym_binary] = STATE(1087),
    [sym_unary] = STATE(1087),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [256] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [257] = {
    [sym__do] = STATE(1100),
    [sym_heredoc_body] = STATE(1100),
    [sym__terminator] = STATE(1100),
    [sym__line_break] = ACTIONS(1869),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [258] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1115),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(1118),
    [sym__argument] = STATE(1119),
    [sym_splat_argument] = STATE(1119),
    [sym_hash_splat_argument] = STATE(1119),
    [sym_block_argument] = STATE(1119),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(1115),
    [sym_operator_assignment] = STATE(1115),
    [sym_conditional] = STATE(1115),
    [sym_range] = STATE(1115),
    [sym_binary] = STATE(1115),
    [sym_unary] = STATE(1115),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1122),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1119),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1903),
    [sym__splat_star] = ACTIONS(1905),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1937),
    [sym_identifier] = ACTIONS(1937),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [259] = {
    [anon_sym_EQ] = ACTIONS(1943),
    [sym_comment] = ACTIONS(87),
  },
  [260] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(1945),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(1947),
    [anon_sym_DASH_EQ] = ACTIONS(1947),
    [anon_sym_STAR_EQ] = ACTIONS(1947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1947),
    [anon_sym_SLASH_EQ] = ACTIONS(1947),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1947),
    [anon_sym_PIPE_EQ] = ACTIONS(1947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1947),
    [anon_sym_AMP_EQ] = ACTIONS(1947),
    [anon_sym_PERCENT_EQ] = ACTIONS(1947),
    [anon_sym_GT_GT_EQ] = ACTIONS(1947),
    [anon_sym_LT_LT_EQ] = ACTIONS(1947),
    [anon_sym_CARET_EQ] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [261] = {
    [sym_string] = STATE(1125),
    [aux_sym_chained_string_repeat1] = STATE(1125),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [262] = {
    [sym__do] = STATE(1126),
    [sym_heredoc_body] = STATE(1126),
    [sym__terminator] = STATE(1126),
    [sym__line_break] = ACTIONS(1949),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(1949),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(1949),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [263] = {
    [sym__statements] = STATE(808),
    [sym__top_level_statement] = STATE(150),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(155),
    [sym__simple_mlhs] = STATE(156),
    [sym_destructured_left_assignment] = STATE(156),
    [sym_rest_assignment] = STATE(156),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(1445),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [264] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(192),
    [sym_scope_resolution] = STATE(265),
    [sym_call] = STATE(265),
    [sym_method_call] = STATE(192),
    [sym__lhs] = STATE(192),
    [sym__variable] = STATE(265),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(192),
    [sym_false] = STATE(192),
    [sym_nil] = STATE(192),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(475),
    [sym_identifier] = ACTIONS(475),
    [sym_instance_variable] = ACTIONS(477),
    [sym_class_variable] = ACTIONS(477),
    [sym_global_variable] = ACTIONS(477),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(475),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [265] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1140),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(1142),
    [sym__argument] = STATE(1143),
    [sym_splat_argument] = STATE(1143),
    [sym_hash_splat_argument] = STATE(1143),
    [sym_block_argument] = STATE(1143),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(1140),
    [sym_operator_assignment] = STATE(1140),
    [sym_conditional] = STATE(1140),
    [sym_range] = STATE(1140),
    [sym_binary] = STATE(1140),
    [sym_unary] = STATE(1140),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1146),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1143),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1953),
    [sym__splat_star] = ACTIONS(1955),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__identifier_hash_key] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1497),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1961),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1979),
    [sym_identifier] = ACTIONS(1979),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [266] = {
    [sym_in] = STATE(1148),
    [anon_sym_in] = ACTIONS(1985),
    [sym_comment] = ACTIONS(87),
  },
  [267] = {
    [anon_sym_COMMA] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(831),
    [sym_comment] = ACTIONS(87),
  },
  [268] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(557),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_EQ] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(833),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [269] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1150),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(1150),
    [sym_operator_assignment] = STATE(1150),
    [sym_conditional] = STATE(1150),
    [sym_range] = STATE(1150),
    [sym_binary] = STATE(1150),
    [sym_unary] = STATE(1150),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [270] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1164),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(1166),
    [sym__argument] = STATE(1167),
    [sym_splat_argument] = STATE(1167),
    [sym_hash_splat_argument] = STATE(1167),
    [sym_block_argument] = STATE(1167),
    [sym_assignment] = STATE(1164),
    [sym_operator_assignment] = STATE(1164),
    [sym_conditional] = STATE(1164),
    [sym_range] = STATE(1164),
    [sym_binary] = STATE(1164),
    [sym_unary] = STATE(1164),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1170),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1167),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1989),
    [sym__splat_star] = ACTIONS(1991),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2013),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [271] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1164),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(1166),
    [sym__argument] = STATE(1167),
    [sym_splat_argument] = STATE(1167),
    [sym_hash_splat_argument] = STATE(1167),
    [sym_block_argument] = STATE(1167),
    [sym_assignment] = STATE(1164),
    [sym_operator_assignment] = STATE(1164),
    [sym_conditional] = STATE(1164),
    [sym_range] = STATE(1164),
    [sym_binary] = STATE(1164),
    [sym_unary] = STATE(1164),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1170),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1167),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1989),
    [sym__splat_star] = ACTIONS(1991),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2013),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [272] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1164),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(1166),
    [sym__argument] = STATE(1167),
    [sym_splat_argument] = STATE(1167),
    [sym_hash_splat_argument] = STATE(1167),
    [sym_block_argument] = STATE(1167),
    [sym_assignment] = STATE(1164),
    [sym_operator_assignment] = STATE(1164),
    [sym_conditional] = STATE(1164),
    [sym_range] = STATE(1164),
    [sym_binary] = STATE(1164),
    [sym_unary] = STATE(1164),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1170),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1167),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1989),
    [sym__splat_star] = ACTIONS(1991),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2013),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [273] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1164),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(1166),
    [sym__argument] = STATE(1167),
    [sym_splat_argument] = STATE(1167),
    [sym_hash_splat_argument] = STATE(1167),
    [sym_block_argument] = STATE(1167),
    [sym_assignment] = STATE(1164),
    [sym_operator_assignment] = STATE(1164),
    [sym_conditional] = STATE(1164),
    [sym_range] = STATE(1164),
    [sym_binary] = STATE(1164),
    [sym_unary] = STATE(1164),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1170),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1167),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1989),
    [sym__splat_star] = ACTIONS(1991),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2013),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [274] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1171),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(1171),
    [sym_operator_assignment] = STATE(1171),
    [sym_conditional] = STATE(1171),
    [sym_range] = STATE(1171),
    [sym_binary] = STATE(1171),
    [sym_unary] = STATE(1171),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [275] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1172),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(1172),
    [sym_operator_assignment] = STATE(1172),
    [sym_conditional] = STATE(1172),
    [sym_range] = STATE(1172),
    [sym_binary] = STATE(1172),
    [sym_unary] = STATE(1172),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [276] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [277] = {
    [sym_heredoc_body] = STATE(1185),
    [sym__terminator] = STATE(1185),
    [sym__line_break] = ACTIONS(2019),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [278] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1115),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(1118),
    [sym__argument] = STATE(1119),
    [sym_splat_argument] = STATE(1119),
    [sym_hash_splat_argument] = STATE(1119),
    [sym_block_argument] = STATE(1119),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(1115),
    [sym_operator_assignment] = STATE(1115),
    [sym_conditional] = STATE(1115),
    [sym_range] = STATE(1115),
    [sym_binary] = STATE(1115),
    [sym_unary] = STATE(1115),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1122),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1119),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1903),
    [sym__splat_star] = ACTIONS(1905),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1937),
    [sym_identifier] = ACTIONS(1937),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [279] = {
    [anon_sym_EQ] = ACTIONS(2053),
    [sym_comment] = ACTIONS(87),
  },
  [280] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(2057),
    [anon_sym_DASH_EQ] = ACTIONS(2057),
    [anon_sym_STAR_EQ] = ACTIONS(2057),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2057),
    [anon_sym_SLASH_EQ] = ACTIONS(2057),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2057),
    [anon_sym_PIPE_EQ] = ACTIONS(2057),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2057),
    [anon_sym_AMP_EQ] = ACTIONS(2057),
    [anon_sym_PERCENT_EQ] = ACTIONS(2057),
    [anon_sym_GT_GT_EQ] = ACTIONS(2057),
    [anon_sym_LT_LT_EQ] = ACTIONS(2057),
    [anon_sym_CARET_EQ] = ACTIONS(2057),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [281] = {
    [sym_string] = STATE(1188),
    [aux_sym_chained_string_repeat1] = STATE(1188),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [282] = {
    [sym_when] = STATE(1190),
    [aux_sym_case_repeat1] = STATE(1191),
    [anon_sym_SEMI] = ACTIONS(2059),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [283] = {
    [sym_interpolation] = STATE(1193),
    [aux_sym_heredoc_body_repeat1] = STATE(1193),
    [sym__heredoc_content] = ACTIONS(2063),
    [sym_heredoc_end] = ACTIONS(2065),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(2063),
  },
  [284] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1194),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(1194),
    [sym_operator_assignment] = STATE(1194),
    [sym_conditional] = STATE(1194),
    [sym_range] = STATE(1194),
    [sym_binary] = STATE(1194),
    [sym_unary] = STATE(1194),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [285] = {
    [sym__line_break] = ACTIONS(275),
    [sym__simple_symbol] = ACTIONS(2067),
    [sym__string_start] = ACTIONS(2067),
    [sym__symbol_start] = ACTIONS(2067),
    [sym__subshell_start] = ACTIONS(2067),
    [sym__regex_start] = ACTIONS(2067),
    [sym__string_array_start] = ACTIONS(2067),
    [sym__symbol_array_start] = ACTIONS(2067),
    [sym__heredoc_body_start] = ACTIONS(275),
    [sym_heredoc_beginning] = ACTIONS(2067),
    [sym__unary_minus] = ACTIONS(2067),
    [anon_sym_BEGIN] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_END] = ACTIONS(2069),
    [anon_sym_def] = ACTIONS(2069),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_COLON_COLON] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2069),
    [anon_sym_module] = ACTIONS(2069),
    [anon_sym_end] = ACTIONS(2069),
    [anon_sym_return] = ACTIONS(2069),
    [anon_sym_yield] = ACTIONS(2069),
    [anon_sym_break] = ACTIONS(2069),
    [anon_sym_next] = ACTIONS(2069),
    [sym_redo] = ACTIONS(2069),
    [sym_retry] = ACTIONS(2069),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_unless] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2069),
    [anon_sym_until] = ACTIONS(2069),
    [anon_sym_rescue] = ACTIONS(2069),
    [anon_sym_for] = ACTIONS(2069),
    [anon_sym_case] = ACTIONS(2069),
    [anon_sym_else] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2069),
    [anon_sym_ensure] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2069),
    [anon_sym_defined_QMARK] = ACTIONS(2067),
    [anon_sym_not] = ACTIONS(2069),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [sym_constant] = ACTIONS(2069),
    [sym_identifier] = ACTIONS(2069),
    [sym_instance_variable] = ACTIONS(2067),
    [sym_class_variable] = ACTIONS(2067),
    [sym_global_variable] = ACTIONS(2067),
    [anon_sym_undef] = ACTIONS(2069),
    [anon_sym_alias] = ACTIONS(2069),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2069),
    [sym_float] = ACTIONS(2069),
    [sym_complex] = ACTIONS(2067),
    [sym_super] = ACTIONS(2069),
    [anon_sym_true] = ACTIONS(2069),
    [anon_sym_TRUE] = ACTIONS(2069),
    [anon_sym_false] = ACTIONS(2069),
    [anon_sym_FALSE] = ACTIONS(2069),
    [sym_self] = ACTIONS(2069),
    [anon_sym_nil] = ACTIONS(2069),
    [anon_sym_NIL] = ACTIONS(2069),
    [sym_character] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_DASH_GT] = ACTIONS(2067),
  },
  [286] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1208),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(1210),
    [sym__argument] = STATE(1211),
    [sym_splat_argument] = STATE(1211),
    [sym_hash_splat_argument] = STATE(1211),
    [sym_block_argument] = STATE(1211),
    [sym_assignment] = STATE(1208),
    [sym_operator_assignment] = STATE(1208),
    [sym_conditional] = STATE(1208),
    [sym_range] = STATE(1208),
    [sym_binary] = STATE(1208),
    [sym_unary] = STATE(1208),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1214),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1211),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(2071),
    [sym__splat_star] = ACTIONS(2073),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(379),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [287] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1208),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(1210),
    [sym__argument] = STATE(1211),
    [sym_splat_argument] = STATE(1211),
    [sym_hash_splat_argument] = STATE(1211),
    [sym_block_argument] = STATE(1211),
    [sym_assignment] = STATE(1208),
    [sym_operator_assignment] = STATE(1208),
    [sym_conditional] = STATE(1208),
    [sym_range] = STATE(1208),
    [sym_binary] = STATE(1208),
    [sym_unary] = STATE(1208),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1214),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1211),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(2071),
    [sym__splat_star] = ACTIONS(2073),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [288] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1208),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(1210),
    [sym__argument] = STATE(1211),
    [sym_splat_argument] = STATE(1211),
    [sym_hash_splat_argument] = STATE(1211),
    [sym_block_argument] = STATE(1211),
    [sym_assignment] = STATE(1208),
    [sym_operator_assignment] = STATE(1208),
    [sym_conditional] = STATE(1208),
    [sym_range] = STATE(1208),
    [sym_binary] = STATE(1208),
    [sym_unary] = STATE(1208),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1214),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1211),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(2071),
    [sym__splat_star] = ACTIONS(2073),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [289] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1208),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(1210),
    [sym__argument] = STATE(1211),
    [sym_splat_argument] = STATE(1211),
    [sym_hash_splat_argument] = STATE(1211),
    [sym_block_argument] = STATE(1211),
    [sym_assignment] = STATE(1208),
    [sym_operator_assignment] = STATE(1208),
    [sym_conditional] = STATE(1208),
    [sym_range] = STATE(1208),
    [sym_binary] = STATE(1208),
    [sym_unary] = STATE(1208),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1214),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1211),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(2071),
    [sym__splat_star] = ACTIONS(2073),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [290] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym__then] = STATE(1225),
    [sym_begin] = STATE(222),
    [sym_exceptions] = STATE(1226),
    [sym_exception_variable] = STATE(1227),
    [sym__arg] = STATE(1228),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_splat_argument] = STATE(1230),
    [sym_assignment] = STATE(1228),
    [sym_operator_assignment] = STATE(1228),
    [sym_conditional] = STATE(1228),
    [sym_range] = STATE(1228),
    [sym_binary] = STATE(1228),
    [sym_unary] = STATE(1228),
    [sym__arg_or_splat_arg] = STATE(1230),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(1064),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(2101),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(2113),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(2115),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [291] = {
    [sym__statements] = STATE(1244),
    [sym__top_level_statement] = STATE(1245),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1246),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1247),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(1247),
    [sym_operator_assignment] = STATE(1247),
    [sym_conditional] = STATE(1247),
    [sym_range] = STATE(1247),
    [sym_binary] = STATE(1247),
    [sym_unary] = STATE(1247),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(1252),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(1252),
    [sym__line_break] = ACTIONS(2129),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [anon_sym_undef] = ACTIONS(2157),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [292] = {
    [sym__statements] = STATE(1262),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2161),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [293] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1270),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(1270),
    [sym_operator_assignment] = STATE(1270),
    [sym_conditional] = STATE(1270),
    [sym_range] = STATE(1270),
    [sym_binary] = STATE(1270),
    [sym_unary] = STATE(1270),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [294] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1271),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(1271),
    [sym_operator_assignment] = STATE(1271),
    [sym_conditional] = STATE(1271),
    [sym_range] = STATE(1271),
    [sym_binary] = STATE(1271),
    [sym_unary] = STATE(1271),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [295] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [296] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(1272),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [297] = {
    [sym_else] = STATE(1274),
    [sym_ensure] = STATE(1275),
    [sym_rescue] = STATE(1276),
    [anon_sym_end] = ACTIONS(2185),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [298] = {
    [sym_heredoc_body] = STATE(1277),
    [sym__terminator] = STATE(1277),
    [aux_sym__statements_repeat1] = STATE(1278),
    [sym__line_break] = ACTIONS(2193),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_end] = ACTIONS(687),
    [anon_sym_rescue] = ACTIONS(687),
    [anon_sym_else] = ACTIONS(687),
    [anon_sym_ensure] = ACTIONS(687),
    [sym_comment] = ACTIONS(87),
  },
  [299] = {
    [sym__line_break] = ACTIONS(689),
    [sym__heredoc_body_start] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_end] = ACTIONS(689),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_unless] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2199),
    [anon_sym_until] = ACTIONS(2201),
    [anon_sym_rescue] = ACTIONS(2203),
    [anon_sym_else] = ACTIONS(689),
    [anon_sym_ensure] = ACTIONS(689),
    [sym_comment] = ACTIONS(87),
  },
  [300] = {
    [sym_ensure] = STATE(1275),
    [anon_sym_end] = ACTIONS(2185),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [301] = {
    [anon_sym_end] = ACTIONS(2185),
    [sym_comment] = ACTIONS(87),
  },
  [302] = {
    [sym_else] = STATE(1274),
    [sym_ensure] = STATE(1275),
    [anon_sym_end] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [303] = {
    [sym__line_break] = ACTIONS(2205),
    [sym__heredoc_body_start] = ACTIONS(2205),
    [sym__element_reference_left_bracket] = ACTIONS(2205),
    [sym__infix_scope_colons] = ACTIONS(2205),
    [sym__binary_minus] = ACTIONS(2205),
    [sym__binary_star] = ACTIONS(2205),
    [ts_builtin_sym_end] = ACTIONS(2205),
    [anon_sym___END__] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_STAR_STAR] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_end] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_unless] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_until] = ACTIONS(2205),
    [anon_sym_rescue] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_when] = ACTIONS(2205),
    [anon_sym_elsif] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_then] = ACTIONS(2205),
    [anon_sym_ensure] = ACTIONS(2205),
    [anon_sym_EQ_GT] = ACTIONS(2205),
    [anon_sym_AMP_DOT] = ACTIONS(2205),
    [anon_sym_QMARK] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_and] = ACTIONS(2205),
    [anon_sym_or] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_GT_GT] = ACTIONS(2205),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_LT_EQ_GT] = ACTIONS(2205),
    [anon_sym_EQ_TILDE] = ACTIONS(2205),
    [anon_sym_BANG_TILDE] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2205),
    [sym_comment] = ACTIONS(87),
  },
  [304] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(701),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_else] = ACTIONS(701),
    [anon_sym_ensure] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(2221),
    [anon_sym_DOT_DOT] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_and] = ACTIONS(2227),
    [anon_sym_or] = ACTIONS(2227),
    [anon_sym_PIPE_PIPE] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [305] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1309),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(1311),
    [sym__argument] = STATE(1312),
    [sym_splat_argument] = STATE(1312),
    [sym_hash_splat_argument] = STATE(1312),
    [sym_block_argument] = STATE(1312),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(1309),
    [sym_operator_assignment] = STATE(1309),
    [sym_conditional] = STATE(1309),
    [sym_range] = STATE(1309),
    [sym_binary] = STATE(1309),
    [sym_unary] = STATE(1309),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1315),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1312),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(2241),
    [sym__splat_star] = ACTIONS(2243),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(775),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2265),
    [sym_identifier] = ACTIONS(2265),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [306] = {
    [anon_sym_EQ] = ACTIONS(2271),
    [sym_comment] = ACTIONS(87),
  },
  [307] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(2275),
    [anon_sym_DASH_EQ] = ACTIONS(2275),
    [anon_sym_STAR_EQ] = ACTIONS(2275),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2275),
    [anon_sym_SLASH_EQ] = ACTIONS(2275),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2275),
    [anon_sym_PIPE_EQ] = ACTIONS(2275),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2275),
    [anon_sym_AMP_EQ] = ACTIONS(2275),
    [anon_sym_PERCENT_EQ] = ACTIONS(2275),
    [anon_sym_GT_GT_EQ] = ACTIONS(2275),
    [anon_sym_LT_LT_EQ] = ACTIONS(2275),
    [anon_sym_CARET_EQ] = ACTIONS(2275),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [308] = {
    [sym_string] = STATE(1318),
    [aux_sym_chained_string_repeat1] = STATE(1318),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [309] = {
    [sym__statements] = STATE(297),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(300),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(301),
    [sym_rescue] = STATE(302),
    [sym__body_statement] = STATE(1319),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2277),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [310] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [311] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(719),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(723),
    [anon_sym_AMP_AMP] = ACTIONS(723),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [312] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2279),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [313] = {
    [sym__line_break] = ACTIONS(1271),
    [sym__heredoc_body_start] = ACTIONS(1271),
    [ts_builtin_sym_end] = ACTIONS(1271),
    [anon_sym___END__] = ACTIONS(1273),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_RPAREN] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(1271),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1271),
    [anon_sym_AMP] = ACTIONS(1271),
    [anon_sym_EQ] = ACTIONS(1275),
    [anon_sym_end] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_unless] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_until] = ACTIONS(1273),
    [anon_sym_rescue] = ACTIONS(1273),
    [anon_sym_when] = ACTIONS(1273),
    [anon_sym_elsif] = ACTIONS(1273),
    [anon_sym_else] = ACTIONS(1273),
    [anon_sym_then] = ACTIONS(1273),
    [anon_sym_ensure] = ACTIONS(1273),
    [sym_identifier] = ACTIONS(1273),
    [sym_comment] = ACTIONS(87),
  },
  [314] = {
    [aux_sym_undef_repeat1] = STATE(1321),
    [sym__line_break] = ACTIONS(2283),
    [sym__heredoc_body_start] = ACTIONS(2283),
    [ts_builtin_sym_end] = ACTIONS(2283),
    [anon_sym___END__] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_unless] = ACTIONS(2283),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_until] = ACTIONS(2283),
    [anon_sym_rescue] = ACTIONS(2283),
    [sym_comment] = ACTIONS(87),
  },
  [315] = {
    [sym__simple_symbol] = ACTIONS(101),
    [sym__symbol_start] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(101),
    [anon_sym_STAR] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(101),
    [anon_sym_AMP] = ACTIONS(101),
    [anon_sym_LT] = ACTIONS(103),
    [anon_sym_DOT_DOT] = ACTIONS(101),
    [anon_sym_LT_LT] = ACTIONS(101),
    [anon_sym_GT_GT] = ACTIONS(101),
    [anon_sym_EQ_EQ] = ACTIONS(103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(101),
    [anon_sym_LT_EQ_GT] = ACTIONS(101),
    [anon_sym_EQ_TILDE] = ACTIONS(101),
    [anon_sym_BANG_TILDE] = ACTIONS(101),
    [anon_sym_LT_EQ] = ACTIONS(103),
    [anon_sym_GT] = ACTIONS(103),
    [anon_sym_GT_EQ] = ACTIONS(101),
    [anon_sym_CARET] = ACTIONS(101),
    [anon_sym_PLUS] = ACTIONS(103),
    [anon_sym_SLASH] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_TILDE] = ACTIONS(101),
    [sym_constant] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_instance_variable] = ACTIONS(101),
    [sym_class_variable] = ACTIONS(101),
    [sym_global_variable] = ACTIONS(101),
    [anon_sym_DASH] = ACTIONS(103),
    [anon_sym_PLUS_AT] = ACTIONS(101),
    [anon_sym_DASH_AT] = ACTIONS(101),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(103),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(87),
  },
  [316] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(1323),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(2287),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [317] = {
    [sym__simple_symbol] = ACTIONS(1267),
    [sym__symbol_start] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1267),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_LT] = ACTIONS(1269),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_LT_LT] = ACTIONS(1267),
    [anon_sym_GT_GT] = ACTIONS(1267),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1267),
    [anon_sym_LT_EQ_GT] = ACTIONS(1267),
    [anon_sym_EQ_TILDE] = ACTIONS(1267),
    [anon_sym_BANG_TILDE] = ACTIONS(1267),
    [anon_sym_LT_EQ] = ACTIONS(1269),
    [anon_sym_GT] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1267),
    [anon_sym_PERCENT] = ACTIONS(1267),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1267),
    [sym_constant] = ACTIONS(1267),
    [sym_identifier] = ACTIONS(1267),
    [sym_instance_variable] = ACTIONS(1267),
    [sym_class_variable] = ACTIONS(1267),
    [sym_global_variable] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1269),
    [anon_sym_PLUS_AT] = ACTIONS(1267),
    [anon_sym_DASH_AT] = ACTIONS(1267),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1269),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(1267),
    [anon_sym_BQUOTE] = ACTIONS(1267),
    [sym_comment] = ACTIONS(87),
  },
  [318] = {
    [sym__simple_symbol] = ACTIONS(1271),
    [sym__symbol_start] = ACTIONS(1271),
    [anon_sym_PIPE] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1271),
    [anon_sym_AMP] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_DOT_DOT] = ACTIONS(1271),
    [anon_sym_LT_LT] = ACTIONS(1271),
    [anon_sym_GT_GT] = ACTIONS(1271),
    [anon_sym_EQ_EQ] = ACTIONS(1273),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1271),
    [anon_sym_LT_EQ_GT] = ACTIONS(1271),
    [anon_sym_EQ_TILDE] = ACTIONS(1271),
    [anon_sym_BANG_TILDE] = ACTIONS(1271),
    [anon_sym_LT_EQ] = ACTIONS(1273),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_GT_EQ] = ACTIONS(1271),
    [anon_sym_CARET] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1271),
    [anon_sym_PERCENT] = ACTIONS(1271),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1271),
    [sym_constant] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1271),
    [sym_instance_variable] = ACTIONS(1271),
    [sym_class_variable] = ACTIONS(1271),
    [sym_global_variable] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_PLUS_AT] = ACTIONS(1271),
    [anon_sym_DASH_AT] = ACTIONS(1271),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1273),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(1271),
    [anon_sym_BQUOTE] = ACTIONS(1271),
    [sym_comment] = ACTIONS(87),
  },
  [319] = {
    [sym__simple_symbol] = ACTIONS(1271),
    [sym__symbol_start] = ACTIONS(1271),
    [anon_sym_PIPE] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1271),
    [anon_sym_AMP] = ACTIONS(1271),
    [anon_sym_EQ] = ACTIONS(2289),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_DOT_DOT] = ACTIONS(1271),
    [anon_sym_LT_LT] = ACTIONS(1271),
    [anon_sym_GT_GT] = ACTIONS(1271),
    [anon_sym_EQ_EQ] = ACTIONS(1273),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1271),
    [anon_sym_LT_EQ_GT] = ACTIONS(1271),
    [anon_sym_EQ_TILDE] = ACTIONS(1271),
    [anon_sym_BANG_TILDE] = ACTIONS(1271),
    [anon_sym_LT_EQ] = ACTIONS(1273),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_GT_EQ] = ACTIONS(1271),
    [anon_sym_CARET] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1271),
    [anon_sym_PERCENT] = ACTIONS(1271),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1271),
    [sym_constant] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1271),
    [sym_instance_variable] = ACTIONS(1271),
    [sym_class_variable] = ACTIONS(1271),
    [sym_global_variable] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_PLUS_AT] = ACTIONS(1271),
    [anon_sym_DASH_AT] = ACTIONS(1271),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1273),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(1271),
    [anon_sym_BQUOTE] = ACTIONS(1271),
    [sym_comment] = ACTIONS(87),
  },
  [320] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(1325),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [321] = {
    [sym__line_break] = ACTIONS(2291),
    [sym__heredoc_body_start] = ACTIONS(2291),
    [sym__element_reference_left_bracket] = ACTIONS(2291),
    [sym__infix_scope_colons] = ACTIONS(2291),
    [sym__binary_minus] = ACTIONS(2291),
    [sym__binary_star] = ACTIONS(2291),
    [ts_builtin_sym_end] = ACTIONS(2291),
    [anon_sym___END__] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2291),
    [anon_sym_RBRACE] = ACTIONS(2291),
    [anon_sym_RPAREN] = ACTIONS(2291),
    [anon_sym_DOT] = ACTIONS(2293),
    [anon_sym_COMMA] = ACTIONS(2291),
    [anon_sym_PIPE] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2291),
    [anon_sym_STAR_STAR] = ACTIONS(2291),
    [anon_sym_AMP] = ACTIONS(2293),
    [anon_sym_LT] = ACTIONS(2293),
    [anon_sym_end] = ACTIONS(2291),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_unless] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_until] = ACTIONS(2291),
    [anon_sym_rescue] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_when] = ACTIONS(2291),
    [anon_sym_elsif] = ACTIONS(2291),
    [anon_sym_else] = ACTIONS(2291),
    [anon_sym_then] = ACTIONS(2291),
    [anon_sym_ensure] = ACTIONS(2291),
    [anon_sym_EQ_GT] = ACTIONS(2291),
    [anon_sym_AMP_DOT] = ACTIONS(2291),
    [anon_sym_QMARK] = ACTIONS(2291),
    [anon_sym_DOT_DOT] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2291),
    [anon_sym_and] = ACTIONS(2291),
    [anon_sym_or] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE] = ACTIONS(2291),
    [anon_sym_AMP_AMP] = ACTIONS(2291),
    [anon_sym_LT_LT] = ACTIONS(2291),
    [anon_sym_GT_GT] = ACTIONS(2291),
    [anon_sym_EQ_EQ] = ACTIONS(2293),
    [anon_sym_BANG_EQ] = ACTIONS(2291),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2291),
    [anon_sym_LT_EQ_GT] = ACTIONS(2291),
    [anon_sym_EQ_TILDE] = ACTIONS(2291),
    [anon_sym_BANG_TILDE] = ACTIONS(2291),
    [anon_sym_LT_EQ] = ACTIONS(2293),
    [anon_sym_GT] = ACTIONS(2293),
    [anon_sym_GT_EQ] = ACTIONS(2291),
    [anon_sym_CARET] = ACTIONS(2291),
    [anon_sym_PLUS] = ACTIONS(2291),
    [anon_sym_SLASH] = ACTIONS(2291),
    [anon_sym_PERCENT] = ACTIONS(2291),
    [sym_comment] = ACTIONS(87),
  },
  [322] = {
    [sym__heredoc_body_start] = ACTIONS(101),
    [sym__element_reference_left_bracket] = ACTIONS(101),
    [sym__infix_scope_colons] = ACTIONS(101),
    [sym__binary_minus] = ACTIONS(101),
    [sym__binary_star] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_RPAREN] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(103),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_STAR_STAR] = ACTIONS(101),
    [anon_sym_AMP] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(103),
    [anon_sym_LT] = ACTIONS(103),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_unless] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_until] = ACTIONS(101),
    [anon_sym_rescue] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_EQ_GT] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_AMP_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_and] = ACTIONS(101),
    [anon_sym_or] = ACTIONS(101),
    [anon_sym_PIPE_PIPE] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_LT_LT] = ACTIONS(101),
    [anon_sym_GT_GT] = ACTIONS(101),
    [anon_sym_EQ_EQ] = ACTIONS(103),
    [anon_sym_BANG_EQ] = ACTIONS(101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(101),
    [anon_sym_LT_EQ_GT] = ACTIONS(101),
    [anon_sym_EQ_TILDE] = ACTIONS(101),
    [anon_sym_BANG_TILDE] = ACTIONS(101),
    [anon_sym_LT_EQ] = ACTIONS(103),
    [anon_sym_GT] = ACTIONS(103),
    [anon_sym_GT_EQ] = ACTIONS(101),
    [anon_sym_CARET] = ACTIONS(101),
    [anon_sym_PLUS] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [sym_comment] = ACTIONS(87),
  },
  [323] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(1327),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(2295),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [324] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(1329),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(2297),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [325] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(1331),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(2299),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [326] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(1333),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(2301),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [327] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1336),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(2303),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(2305),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [328] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1339),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(2307),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(2309),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [329] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1348),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(1348),
    [sym_operator_assignment] = STATE(1348),
    [sym_conditional] = STATE(1348),
    [sym_range] = STATE(1348),
    [sym_binary] = STATE(1348),
    [sym_unary] = STATE(1348),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [330] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1353),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(1353),
    [sym_operator_assignment] = STATE(1353),
    [sym_conditional] = STATE(1353),
    [sym_range] = STATE(1353),
    [sym_binary] = STATE(1353),
    [sym_unary] = STATE(1353),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [331] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1354),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(1354),
    [sym_operator_assignment] = STATE(1354),
    [sym_conditional] = STATE(1354),
    [sym_range] = STATE(1354),
    [sym_binary] = STATE(1354),
    [sym_unary] = STATE(1354),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [332] = {
    [sym__keyword_colon] = ACTIONS(2333),
    [sym_comment] = ACTIONS(87),
  },
  [333] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(117),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(117),
    [sym_operator_assignment] = STATE(117),
    [sym_conditional] = STATE(117),
    [sym_range] = STATE(117),
    [sym_binary] = STATE(117),
    [sym_unary] = STATE(117),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(123),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_heredoc_body] = STATE(1358),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym__hash_items] = STATE(1359),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(139),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(209),
    [sym_identifier] = ACTIONS(209),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [334] = {
    [sym__method_rest] = STATE(1361),
    [sym__variable] = STATE(1362),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(1363),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(239),
    [sym_identifier] = ACTIONS(241),
    [sym_instance_variable] = ACTIONS(239),
    [sym_class_variable] = ACTIONS(239),
    [sym_global_variable] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
    [sym_super] = ACTIONS(2339),
    [sym_self] = ACTIONS(2339),
  },
  [335] = {
    [sym__statements] = STATE(1365),
    [sym__top_level_statement] = STATE(150),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(155),
    [sym__simple_mlhs] = STATE(156),
    [sym_destructured_left_assignment] = STATE(156),
    [sym_rest_assignment] = STATE(156),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(2341),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [336] = {
    [sym_constant] = ACTIONS(2343),
    [sym_identifier] = ACTIONS(2343),
    [sym_comment] = ACTIONS(87),
  },
  [337] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1367),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(1367),
    [sym_operator_assignment] = STATE(1367),
    [sym_conditional] = STATE(1367),
    [sym_range] = STATE(1367),
    [sym_binary] = STATE(1367),
    [sym_unary] = STATE(1367),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [338] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(1370),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(2347),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [339] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(1372),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [340] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1382),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(1384),
    [sym__argument] = STATE(1385),
    [sym_splat_argument] = STATE(1385),
    [sym_hash_splat_argument] = STATE(1385),
    [sym_block_argument] = STATE(1385),
    [sym_assignment] = STATE(1382),
    [sym_operator_assignment] = STATE(1382),
    [sym_conditional] = STATE(1382),
    [sym_range] = STATE(1382),
    [sym_binary] = STATE(1382),
    [sym_unary] = STATE(1382),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1388),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1385),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(2351),
    [sym__splat_star] = ACTIONS(2353),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(2357),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_RBRACK] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2367),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [341] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1382),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(1384),
    [sym__argument] = STATE(1385),
    [sym_splat_argument] = STATE(1385),
    [sym_hash_splat_argument] = STATE(1385),
    [sym_block_argument] = STATE(1385),
    [sym_assignment] = STATE(1382),
    [sym_operator_assignment] = STATE(1382),
    [sym_conditional] = STATE(1382),
    [sym_range] = STATE(1382),
    [sym_binary] = STATE(1382),
    [sym_unary] = STATE(1382),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1388),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1385),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(2351),
    [sym__splat_star] = ACTIONS(2353),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(2357),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_RBRACK] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2367),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [342] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1382),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(1384),
    [sym__argument] = STATE(1385),
    [sym_splat_argument] = STATE(1385),
    [sym_hash_splat_argument] = STATE(1385),
    [sym_block_argument] = STATE(1385),
    [sym_assignment] = STATE(1382),
    [sym_operator_assignment] = STATE(1382),
    [sym_conditional] = STATE(1382),
    [sym_range] = STATE(1382),
    [sym_binary] = STATE(1382),
    [sym_unary] = STATE(1382),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1388),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1385),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(2351),
    [sym__splat_star] = ACTIONS(2353),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(2357),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_RBRACK] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2367),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [343] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1382),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(1384),
    [sym__argument] = STATE(1385),
    [sym_splat_argument] = STATE(1385),
    [sym_hash_splat_argument] = STATE(1385),
    [sym_block_argument] = STATE(1385),
    [sym_assignment] = STATE(1382),
    [sym_operator_assignment] = STATE(1382),
    [sym_conditional] = STATE(1382),
    [sym_range] = STATE(1382),
    [sym_binary] = STATE(1382),
    [sym_unary] = STATE(1382),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1388),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1385),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(2351),
    [sym__splat_star] = ACTIONS(2353),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(2357),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_RBRACK] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2367),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [344] = {
    [sym__statement] = STATE(1392),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [345] = {
    [sym__statement] = STATE(1393),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [346] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1394),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(1394),
    [sym_operator_assignment] = STATE(1394),
    [sym_conditional] = STATE(1394),
    [sym_range] = STATE(1394),
    [sym_binary] = STATE(1394),
    [sym_unary] = STATE(1394),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [347] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1395),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(1395),
    [sym_operator_assignment] = STATE(1395),
    [sym_conditional] = STATE(1395),
    [sym_range] = STATE(1395),
    [sym_binary] = STATE(1395),
    [sym_unary] = STATE(1395),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [348] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(265),
    [sym_call] = STATE(265),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(1396),
    [sym__simple_mlhs] = STATE(267),
    [sym_destructured_left_assignment] = STATE(267),
    [sym_rest_assignment] = STATE(267),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(265),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(475),
    [sym_identifier] = ACTIONS(475),
    [sym_instance_variable] = ACTIONS(477),
    [sym_class_variable] = ACTIONS(477),
    [sym_global_variable] = ACTIONS(477),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(475),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [349] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1397),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(1397),
    [sym_operator_assignment] = STATE(1397),
    [sym_conditional] = STATE(1397),
    [sym_range] = STATE(1397),
    [sym_binary] = STATE(1397),
    [sym_unary] = STATE(1397),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(1398),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__terminator] = STATE(1398),
    [sym__line_break] = ACTIONS(2369),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2369),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [350] = {
    [sym__statements] = STATE(1399),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1400),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1401),
    [sym_rescue] = STATE(1402),
    [sym__body_statement] = STATE(1403),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(1404),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(1404),
    [sym__line_break] = ACTIONS(2371),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2373),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [351] = {
    [sym__line_break] = ACTIONS(2375),
    [sym__heredoc_body_start] = ACTIONS(2375),
    [sym__element_reference_left_bracket] = ACTIONS(2375),
    [sym__infix_scope_colons] = ACTIONS(2375),
    [sym__binary_minus] = ACTIONS(2375),
    [sym__binary_star] = ACTIONS(2375),
    [ts_builtin_sym_end] = ACTIONS(2375),
    [anon_sym___END__] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_RBRACE] = ACTIONS(2375),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_COMMA] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2375),
    [anon_sym_STAR_STAR] = ACTIONS(2375),
    [anon_sym_AMP] = ACTIONS(2377),
    [anon_sym_LT] = ACTIONS(2377),
    [anon_sym_end] = ACTIONS(2375),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_unless] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(2375),
    [anon_sym_until] = ACTIONS(2375),
    [anon_sym_rescue] = ACTIONS(2375),
    [anon_sym_do] = ACTIONS(2375),
    [anon_sym_when] = ACTIONS(2375),
    [anon_sym_elsif] = ACTIONS(2375),
    [anon_sym_else] = ACTIONS(2375),
    [anon_sym_then] = ACTIONS(2375),
    [anon_sym_ensure] = ACTIONS(2375),
    [anon_sym_EQ_GT] = ACTIONS(2375),
    [anon_sym_AMP_DOT] = ACTIONS(2375),
    [anon_sym_QMARK] = ACTIONS(2375),
    [anon_sym_DOT_DOT] = ACTIONS(2377),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2375),
    [anon_sym_and] = ACTIONS(2375),
    [anon_sym_or] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE] = ACTIONS(2375),
    [anon_sym_AMP_AMP] = ACTIONS(2375),
    [anon_sym_LT_LT] = ACTIONS(2375),
    [anon_sym_GT_GT] = ACTIONS(2375),
    [anon_sym_EQ_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2375),
    [anon_sym_LT_EQ_GT] = ACTIONS(2375),
    [anon_sym_EQ_TILDE] = ACTIONS(2375),
    [anon_sym_BANG_TILDE] = ACTIONS(2375),
    [anon_sym_LT_EQ] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2375),
    [anon_sym_CARET] = ACTIONS(2375),
    [anon_sym_PLUS] = ACTIONS(2375),
    [anon_sym_SLASH] = ACTIONS(2375),
    [anon_sym_PERCENT] = ACTIONS(2375),
    [sym_comment] = ACTIONS(87),
  },
  [352] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1405),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(1405),
    [sym_operator_assignment] = STATE(1405),
    [sym_conditional] = STATE(1405),
    [sym_range] = STATE(1405),
    [sym_binary] = STATE(1405),
    [sym_unary] = STATE(1405),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [353] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1406),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(1406),
    [sym_operator_assignment] = STATE(1406),
    [sym_conditional] = STATE(1406),
    [sym_range] = STATE(1406),
    [sym_binary] = STATE(1406),
    [sym_unary] = STATE(1406),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [354] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1407),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(1407),
    [sym_operator_assignment] = STATE(1407),
    [sym_conditional] = STATE(1407),
    [sym_range] = STATE(1407),
    [sym_binary] = STATE(1407),
    [sym_unary] = STATE(1407),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [355] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(2333),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_RBRACK] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [356] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
    [anon_sym_r] = ACTIONS(2379),
  },
  [357] = {
    [sym__heredoc_body_start] = ACTIONS(563),
    [sym__element_reference_left_bracket] = ACTIONS(563),
    [sym__infix_scope_colons] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(563),
    [sym__binary_star] = ACTIONS(563),
    [anon_sym_LBRACE] = ACTIONS(563),
    [anon_sym_RBRACE] = ACTIONS(563),
    [anon_sym_RPAREN] = ACTIONS(563),
    [anon_sym_DOT] = ACTIONS(565),
    [anon_sym_COMMA] = ACTIONS(563),
    [anon_sym_PIPE] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_STAR_STAR] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(565),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(565),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_unless] = ACTIONS(563),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_until] = ACTIONS(563),
    [anon_sym_rescue] = ACTIONS(563),
    [anon_sym_in] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_EQ_GT] = ACTIONS(563),
    [anon_sym_RBRACK] = ACTIONS(563),
    [anon_sym_AMP_DOT] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(563),
    [anon_sym_DASH_EQ] = ACTIONS(563),
    [anon_sym_STAR_EQ] = ACTIONS(563),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(563),
    [anon_sym_SLASH_EQ] = ACTIONS(563),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(563),
    [anon_sym_PIPE_EQ] = ACTIONS(563),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(563),
    [anon_sym_AMP_EQ] = ACTIONS(563),
    [anon_sym_PERCENT_EQ] = ACTIONS(563),
    [anon_sym_GT_GT_EQ] = ACTIONS(563),
    [anon_sym_LT_LT_EQ] = ACTIONS(563),
    [anon_sym_CARET_EQ] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(563),
    [anon_sym_COLON] = ACTIONS(563),
    [anon_sym_DOT_DOT] = ACTIONS(565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(563),
    [anon_sym_and] = ACTIONS(563),
    [anon_sym_or] = ACTIONS(563),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [anon_sym_AMP_AMP] = ACTIONS(565),
    [anon_sym_LT_LT] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(565),
    [anon_sym_EQ_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ] = ACTIONS(563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(563),
    [anon_sym_LT_EQ_GT] = ACTIONS(563),
    [anon_sym_EQ_TILDE] = ACTIONS(563),
    [anon_sym_BANG_TILDE] = ACTIONS(563),
    [anon_sym_LT_EQ] = ACTIONS(565),
    [anon_sym_GT] = ACTIONS(565),
    [anon_sym_GT_EQ] = ACTIONS(563),
    [anon_sym_CARET] = ACTIONS(565),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_SLASH] = ACTIONS(565),
    [anon_sym_PERCENT] = ACTIONS(565),
    [sym_comment] = ACTIONS(87),
  },
  [358] = {
    [sym__heredoc_body_start] = ACTIONS(567),
    [sym__element_reference_left_bracket] = ACTIONS(567),
    [sym__infix_scope_colons] = ACTIONS(567),
    [sym__binary_minus] = ACTIONS(567),
    [sym__binary_star] = ACTIONS(567),
    [anon_sym_LBRACE] = ACTIONS(567),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(569),
    [anon_sym_COMMA] = ACTIONS(567),
    [anon_sym_PIPE] = ACTIONS(569),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(569),
    [anon_sym_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_if] = ACTIONS(567),
    [anon_sym_unless] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(567),
    [anon_sym_until] = ACTIONS(567),
    [anon_sym_rescue] = ACTIONS(567),
    [anon_sym_in] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(567),
    [anon_sym_EQ_GT] = ACTIONS(567),
    [anon_sym_RBRACK] = ACTIONS(567),
    [anon_sym_AMP_DOT] = ACTIONS(567),
    [anon_sym_PLUS_EQ] = ACTIONS(567),
    [anon_sym_DASH_EQ] = ACTIONS(567),
    [anon_sym_STAR_EQ] = ACTIONS(567),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(567),
    [anon_sym_SLASH_EQ] = ACTIONS(567),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(567),
    [anon_sym_PIPE_EQ] = ACTIONS(567),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(567),
    [anon_sym_AMP_EQ] = ACTIONS(567),
    [anon_sym_PERCENT_EQ] = ACTIONS(567),
    [anon_sym_GT_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_LT_EQ] = ACTIONS(567),
    [anon_sym_CARET_EQ] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(567),
    [anon_sym_COLON] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_and] = ACTIONS(567),
    [anon_sym_or] = ACTIONS(567),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(569),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_EQ_TILDE] = ACTIONS(567),
    [anon_sym_BANG_TILDE] = ACTIONS(567),
    [anon_sym_LT_EQ] = ACTIONS(569),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_SLASH] = ACTIONS(569),
    [anon_sym_PERCENT] = ACTIONS(569),
    [sym_comment] = ACTIONS(87),
  },
  [359] = {
    [sym__heredoc_body_start] = ACTIONS(571),
    [sym__element_reference_left_bracket] = ACTIONS(571),
    [sym__infix_scope_colons] = ACTIONS(571),
    [sym__binary_minus] = ACTIONS(571),
    [sym__binary_star] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(571),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_DOT] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(571),
    [anon_sym_PIPE] = ACTIONS(573),
    [anon_sym_SEMI] = ACTIONS(571),
    [anon_sym_STAR_STAR] = ACTIONS(573),
    [anon_sym_AMP] = ACTIONS(573),
    [anon_sym_EQ] = ACTIONS(573),
    [anon_sym_LT] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_unless] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_until] = ACTIONS(571),
    [anon_sym_rescue] = ACTIONS(571),
    [anon_sym_in] = ACTIONS(571),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_EQ_GT] = ACTIONS(571),
    [anon_sym_RBRACK] = ACTIONS(571),
    [anon_sym_AMP_DOT] = ACTIONS(571),
    [anon_sym_PLUS_EQ] = ACTIONS(571),
    [anon_sym_DASH_EQ] = ACTIONS(571),
    [anon_sym_STAR_EQ] = ACTIONS(571),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(571),
    [anon_sym_SLASH_EQ] = ACTIONS(571),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(571),
    [anon_sym_PIPE_EQ] = ACTIONS(571),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(571),
    [anon_sym_AMP_EQ] = ACTIONS(571),
    [anon_sym_PERCENT_EQ] = ACTIONS(571),
    [anon_sym_GT_GT_EQ] = ACTIONS(571),
    [anon_sym_LT_LT_EQ] = ACTIONS(571),
    [anon_sym_CARET_EQ] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(571),
    [anon_sym_COLON] = ACTIONS(571),
    [anon_sym_DOT_DOT] = ACTIONS(573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(571),
    [anon_sym_and] = ACTIONS(571),
    [anon_sym_or] = ACTIONS(571),
    [anon_sym_PIPE_PIPE] = ACTIONS(573),
    [anon_sym_AMP_AMP] = ACTIONS(573),
    [anon_sym_LT_LT] = ACTIONS(573),
    [anon_sym_GT_GT] = ACTIONS(573),
    [anon_sym_EQ_EQ] = ACTIONS(573),
    [anon_sym_BANG_EQ] = ACTIONS(571),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(571),
    [anon_sym_LT_EQ_GT] = ACTIONS(571),
    [anon_sym_EQ_TILDE] = ACTIONS(571),
    [anon_sym_BANG_TILDE] = ACTIONS(571),
    [anon_sym_LT_EQ] = ACTIONS(573),
    [anon_sym_GT] = ACTIONS(573),
    [anon_sym_GT_EQ] = ACTIONS(571),
    [anon_sym_CARET] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_PERCENT] = ACTIONS(573),
    [sym_comment] = ACTIONS(87),
  },
  [360] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(1410),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(1411),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(2381),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [361] = {
    [sym_lambda_parameters] = STATE(1414),
    [sym__simple_formal_parameter] = STATE(379),
    [sym_splat_parameter] = STATE(379),
    [sym_hash_splat_parameter] = STATE(379),
    [sym_block_parameter] = STATE(379),
    [sym_keyword_parameter] = STATE(379),
    [sym_optional_parameter] = STATE(379),
    [sym_do_block] = STATE(1415),
    [sym_block] = STATE(1415),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(2385),
    [sym_identifier] = ACTIONS(677),
    [sym_comment] = ACTIONS(87),
  },
  [362] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_EQ_GT] = ACTIONS(2399),
    [anon_sym_RBRACK] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2405),
    [anon_sym_and] = ACTIONS(2407),
    [anon_sym_or] = ACTIONS(2407),
    [anon_sym_PIPE_PIPE] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ_GT] = ACTIONS(2409),
    [anon_sym_EQ_TILDE] = ACTIONS(2409),
    [anon_sym_BANG_TILDE] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_GT_EQ] = ACTIONS(2415),
    [anon_sym_CARET] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [363] = {
    [sym__heredoc_body_start] = ACTIONS(735),
    [sym__element_reference_left_bracket] = ACTIONS(2421),
    [sym__infix_scope_colons] = ACTIONS(2423),
    [sym__binary_minus] = ACTIONS(735),
    [sym__binary_star] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(2425),
    [anon_sym_COMMA] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_AMP] = ACTIONS(743),
    [anon_sym_EQ] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_unless] = ACTIONS(735),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_until] = ACTIONS(735),
    [anon_sym_rescue] = ACTIONS(735),
    [anon_sym_in] = ACTIONS(735),
    [anon_sym_do] = ACTIONS(735),
    [anon_sym_EQ_GT] = ACTIONS(735),
    [anon_sym_RBRACK] = ACTIONS(735),
    [anon_sym_AMP_DOT] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(735),
    [anon_sym_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(735),
    [anon_sym_or] = ACTIONS(735),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT_LT] = ACTIONS(735),
    [anon_sym_GT_GT] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(735),
    [anon_sym_LT_EQ_GT] = ACTIONS(735),
    [anon_sym_EQ_TILDE] = ACTIONS(735),
    [anon_sym_BANG_TILDE] = ACTIONS(735),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(743),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(735),
    [sym_comment] = ACTIONS(87),
  },
  [364] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1447),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(1449),
    [sym__argument_list_with_parens] = STATE(1450),
    [sym__argument] = STATE(1451),
    [sym_splat_argument] = STATE(1451),
    [sym_hash_splat_argument] = STATE(1451),
    [sym_block_argument] = STATE(1451),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(1447),
    [sym_operator_assignment] = STATE(1447),
    [sym_conditional] = STATE(1447),
    [sym_range] = STATE(1447),
    [sym_binary] = STATE(1447),
    [sym_unary] = STATE(1447),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1455),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1451),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(2429),
    [sym__splat_star] = ACTIONS(2431),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(2447),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2457),
    [sym_identifier] = ACTIONS(2457),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [365] = {
    [sym_heredoc_body] = STATE(1457),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(2463),
    [sym_comment] = ACTIONS(87),
  },
  [366] = {
    [sym__heredoc_body_start] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2467),
    [anon_sym_RBRACK] = ACTIONS(2465),
    [sym_comment] = ACTIONS(87),
  },
  [367] = {
    [anon_sym_EQ] = ACTIONS(2469),
    [sym_comment] = ACTIONS(87),
  },
  [368] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(2473),
    [anon_sym_DASH_EQ] = ACTIONS(2473),
    [anon_sym_STAR_EQ] = ACTIONS(2473),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2473),
    [anon_sym_SLASH_EQ] = ACTIONS(2473),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2473),
    [anon_sym_PIPE_EQ] = ACTIONS(2473),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2473),
    [anon_sym_AMP_EQ] = ACTIONS(2473),
    [anon_sym_PERCENT_EQ] = ACTIONS(2473),
    [anon_sym_GT_GT_EQ] = ACTIONS(2473),
    [anon_sym_LT_LT_EQ] = ACTIONS(2473),
    [anon_sym_CARET_EQ] = ACTIONS(2473),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [369] = {
    [sym_string] = STATE(1462),
    [aux_sym_chained_string_repeat1] = STATE(1462),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(2475),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [370] = {
    [anon_sym_RBRACK] = ACTIONS(2463),
    [sym_comment] = ACTIONS(87),
  },
  [371] = {
    [sym__statements] = STATE(1465),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(1466),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(2477),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [372] = {
    [sym__formal_parameter] = STATE(1470),
    [sym__simple_formal_parameter] = STATE(1470),
    [sym_destructured_parameter] = STATE(1470),
    [sym_splat_parameter] = STATE(1470),
    [sym_hash_splat_parameter] = STATE(1470),
    [sym_block_parameter] = STATE(1470),
    [sym_keyword_parameter] = STATE(1470),
    [sym_optional_parameter] = STATE(1470),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_RPAREN] = ACTIONS(2483),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(2485),
    [sym_comment] = ACTIONS(87),
  },
  [373] = {
    [anon_sym_LBRACE] = ACTIONS(2487),
    [anon_sym_RPAREN] = ACTIONS(2487),
    [anon_sym_COMMA] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2487),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_do] = ACTIONS(2489),
    [sym_identifier] = ACTIONS(2491),
    [sym_comment] = ACTIONS(87),
  },
  [374] = {
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_RPAREN] = ACTIONS(2493),
    [anon_sym_COMMA] = ACTIONS(2493),
    [anon_sym_PIPE] = ACTIONS(2493),
    [anon_sym_SEMI] = ACTIONS(2493),
    [anon_sym_do] = ACTIONS(2495),
    [sym_identifier] = ACTIONS(2497),
    [sym_comment] = ACTIONS(87),
  },
  [375] = {
    [sym_lambda] = STATE(1473),
    [sym_identifier] = ACTIONS(2499),
    [sym_comment] = ACTIONS(87),
    [anon_sym_DASH_GT] = ACTIONS(2501),
  },
  [376] = {
    [sym__statements] = STATE(1477),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(1478),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(1479),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(1479),
    [sym__line_break] = ACTIONS(2503),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2507),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [377] = {
    [sym__keyword_colon] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_COMMA] = ACTIONS(2511),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_do] = ACTIONS(2511),
    [sym_comment] = ACTIONS(87),
  },
  [378] = {
    [sym_do_block] = STATE(1482),
    [sym_block] = STATE(1482),
    [anon_sym_LBRACE] = ACTIONS(665),
    [anon_sym_do] = ACTIONS(2515),
    [sym_comment] = ACTIONS(87),
  },
  [379] = {
    [aux_sym_lambda_parameters_repeat1] = STATE(1484),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_COMMA] = ACTIONS(2519),
    [anon_sym_do] = ACTIONS(2517),
    [sym_comment] = ACTIONS(87),
  },
  [380] = {
    [sym__line_break] = ACTIONS(2521),
    [sym__heredoc_body_start] = ACTIONS(2521),
    [sym__element_reference_left_bracket] = ACTIONS(2521),
    [sym__infix_scope_colons] = ACTIONS(2521),
    [sym__binary_minus] = ACTIONS(2521),
    [sym__binary_star] = ACTIONS(2521),
    [ts_builtin_sym_end] = ACTIONS(2521),
    [anon_sym___END__] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_STAR_STAR] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_end] = ACTIONS(2521),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_unless] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_until] = ACTIONS(2521),
    [anon_sym_rescue] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_when] = ACTIONS(2521),
    [anon_sym_elsif] = ACTIONS(2521),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_then] = ACTIONS(2521),
    [anon_sym_ensure] = ACTIONS(2521),
    [anon_sym_EQ_GT] = ACTIONS(2521),
    [anon_sym_AMP_DOT] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_DOT_DOT] = ACTIONS(2523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2521),
    [anon_sym_and] = ACTIONS(2521),
    [anon_sym_or] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2521),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_LT_LT] = ACTIONS(2521),
    [anon_sym_GT_GT] = ACTIONS(2521),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2521),
    [anon_sym_LT_EQ_GT] = ACTIONS(2521),
    [anon_sym_EQ_TILDE] = ACTIONS(2521),
    [anon_sym_BANG_TILDE] = ACTIONS(2521),
    [anon_sym_LT_EQ] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_GT_EQ] = ACTIONS(2521),
    [anon_sym_CARET] = ACTIONS(2521),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [sym_comment] = ACTIONS(87),
  },
  [381] = {
    [sym__line_break] = ACTIONS(2525),
    [sym_comment] = ACTIONS(87),
  },
  [382] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(47),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(49),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(49),
    [sym_operator_assignment] = STATE(49),
    [sym_conditional] = STATE(49),
    [sym_range] = STATE(49),
    [sym_binary] = STATE(49),
    [sym_unary] = STATE(49),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [ts_builtin_sym_end] = ACTIONS(2527),
    [anon_sym___END__] = ACTIONS(2529),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [383] = {
    [sym_heredoc_body] = STATE(1487),
    [sym__terminator] = STATE(1487),
    [aux_sym__statements_repeat1] = STATE(1488),
    [sym__line_break] = ACTIONS(2531),
    [sym__heredoc_body_start] = ACTIONS(505),
    [ts_builtin_sym_end] = ACTIONS(2527),
    [anon_sym___END__] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2531),
    [sym_comment] = ACTIONS(87),
  },
  [384] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1489),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1489),
    [sym_operator_assignment] = STATE(1489),
    [sym_conditional] = STATE(1489),
    [sym_range] = STATE(1489),
    [sym_binary] = STATE(1489),
    [sym_unary] = STATE(1489),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [385] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1490),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1490),
    [sym_operator_assignment] = STATE(1490),
    [sym_conditional] = STATE(1490),
    [sym_range] = STATE(1490),
    [sym_binary] = STATE(1490),
    [sym_unary] = STATE(1490),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [386] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1491),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1491),
    [sym_operator_assignment] = STATE(1491),
    [sym_conditional] = STATE(1491),
    [sym_range] = STATE(1491),
    [sym_binary] = STATE(1491),
    [sym_unary] = STATE(1491),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [387] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1492),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1492),
    [sym_operator_assignment] = STATE(1492),
    [sym_conditional] = STATE(1492),
    [sym_range] = STATE(1492),
    [sym_binary] = STATE(1492),
    [sym_unary] = STATE(1492),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [388] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1493),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1493),
    [sym_operator_assignment] = STATE(1493),
    [sym_conditional] = STATE(1493),
    [sym_range] = STATE(1493),
    [sym_binary] = STATE(1493),
    [sym_unary] = STATE(1493),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [389] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1494),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1494),
    [sym_operator_assignment] = STATE(1494),
    [sym_conditional] = STATE(1494),
    [sym_range] = STATE(1494),
    [sym_binary] = STATE(1494),
    [sym_unary] = STATE(1494),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [390] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1495),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1495),
    [sym_operator_assignment] = STATE(1495),
    [sym_conditional] = STATE(1495),
    [sym_range] = STATE(1495),
    [sym_binary] = STATE(1495),
    [sym_unary] = STATE(1495),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [391] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1496),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1496),
    [sym_operator_assignment] = STATE(1496),
    [sym_conditional] = STATE(1496),
    [sym_range] = STATE(1496),
    [sym_binary] = STATE(1496),
    [sym_unary] = STATE(1496),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [392] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1497),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1497),
    [sym_operator_assignment] = STATE(1497),
    [sym_conditional] = STATE(1497),
    [sym_range] = STATE(1497),
    [sym_binary] = STATE(1497),
    [sym_unary] = STATE(1497),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [393] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1498),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1498),
    [sym_operator_assignment] = STATE(1498),
    [sym_conditional] = STATE(1498),
    [sym_range] = STATE(1498),
    [sym_binary] = STATE(1498),
    [sym_unary] = STATE(1498),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [394] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1499),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1499),
    [sym_operator_assignment] = STATE(1499),
    [sym_conditional] = STATE(1499),
    [sym_range] = STATE(1499),
    [sym_binary] = STATE(1499),
    [sym_unary] = STATE(1499),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [395] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(1508),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(1508),
    [sym_operator_assignment] = STATE(1508),
    [sym_conditional] = STATE(1508),
    [sym_range] = STATE(1508),
    [sym_binary] = STATE(1508),
    [sym_unary] = STATE(1508),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [396] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1513),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1513),
    [sym_operator_assignment] = STATE(1513),
    [sym_conditional] = STATE(1513),
    [sym_range] = STATE(1513),
    [sym_binary] = STATE(1513),
    [sym_unary] = STATE(1513),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [397] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1514),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1514),
    [sym_operator_assignment] = STATE(1514),
    [sym_conditional] = STATE(1514),
    [sym_range] = STATE(1514),
    [sym_binary] = STATE(1514),
    [sym_unary] = STATE(1514),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [398] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1515),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1515),
    [sym_operator_assignment] = STATE(1515),
    [sym_conditional] = STATE(1515),
    [sym_range] = STATE(1515),
    [sym_binary] = STATE(1515),
    [sym_unary] = STATE(1515),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [399] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1516),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1516),
    [sym_operator_assignment] = STATE(1516),
    [sym_conditional] = STATE(1516),
    [sym_range] = STATE(1516),
    [sym_binary] = STATE(1516),
    [sym_unary] = STATE(1516),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [400] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1517),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1517),
    [sym_operator_assignment] = STATE(1517),
    [sym_conditional] = STATE(1517),
    [sym_range] = STATE(1517),
    [sym_binary] = STATE(1517),
    [sym_unary] = STATE(1517),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [401] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(1519),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(1520),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [402] = {
    [sym_constant] = ACTIONS(2557),
    [sym_identifier] = ACTIONS(2557),
    [sym_comment] = ACTIONS(87),
  },
  [403] = {
    [sym_argument_list_with_parens] = STATE(1525),
    [sym__argument_list_with_parens] = STATE(1526),
    [sym_operator] = STATE(1525),
    [sym_heredoc_body] = STATE(1527),
    [aux_sym_call_repeat1] = STATE(1527),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(2561),
    [anon_sym_PIPE] = ACTIONS(2563),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_STAR_STAR] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(2563),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_DOT_DOT] = ACTIONS(2563),
    [anon_sym_LT_LT] = ACTIONS(2563),
    [anon_sym_GT_GT] = ACTIONS(2563),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2563),
    [anon_sym_LT_EQ_GT] = ACTIONS(2563),
    [anon_sym_EQ_TILDE] = ACTIONS(2563),
    [anon_sym_BANG_TILDE] = ACTIONS(2563),
    [anon_sym_LT_EQ] = ACTIONS(2565),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_GT_EQ] = ACTIONS(2563),
    [anon_sym_CARET] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_SLASH] = ACTIONS(2563),
    [anon_sym_PERCENT] = ACTIONS(2563),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_constant] = ACTIONS(2567),
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS_AT] = ACTIONS(2563),
    [anon_sym_DASH_AT] = ACTIONS(2563),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2565),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(2563),
    [anon_sym_BQUOTE] = ACTIONS(2563),
    [sym_comment] = ACTIONS(87),
  },
  [404] = {
    [sym__line_break] = ACTIONS(101),
    [sym__heredoc_body_start] = ACTIONS(101),
    [sym__element_reference_left_bracket] = ACTIONS(101),
    [sym__infix_scope_colons] = ACTIONS(101),
    [sym__binary_minus] = ACTIONS(101),
    [sym__binary_star] = ACTIONS(101),
    [ts_builtin_sym_end] = ACTIONS(101),
    [anon_sym___END__] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_RPAREN] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(103),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_STAR_STAR] = ACTIONS(103),
    [anon_sym_AMP] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(103),
    [anon_sym_LT] = ACTIONS(103),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_unless] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_until] = ACTIONS(101),
    [anon_sym_rescue] = ACTIONS(101),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_when] = ACTIONS(101),
    [anon_sym_elsif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_then] = ACTIONS(101),
    [anon_sym_ensure] = ACTIONS(101),
    [anon_sym_EQ_GT] = ACTIONS(101),
    [anon_sym_AMP_DOT] = ACTIONS(101),
    [anon_sym_PLUS_EQ] = ACTIONS(101),
    [anon_sym_DASH_EQ] = ACTIONS(101),
    [anon_sym_STAR_EQ] = ACTIONS(101),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(101),
    [anon_sym_SLASH_EQ] = ACTIONS(101),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(101),
    [anon_sym_PIPE_EQ] = ACTIONS(101),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(101),
    [anon_sym_AMP_EQ] = ACTIONS(101),
    [anon_sym_PERCENT_EQ] = ACTIONS(101),
    [anon_sym_GT_GT_EQ] = ACTIONS(101),
    [anon_sym_LT_LT_EQ] = ACTIONS(101),
    [anon_sym_CARET_EQ] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_and] = ACTIONS(101),
    [anon_sym_or] = ACTIONS(101),
    [anon_sym_PIPE_PIPE] = ACTIONS(103),
    [anon_sym_AMP_AMP] = ACTIONS(103),
    [anon_sym_LT_LT] = ACTIONS(103),
    [anon_sym_GT_GT] = ACTIONS(103),
    [anon_sym_EQ_EQ] = ACTIONS(103),
    [anon_sym_BANG_EQ] = ACTIONS(101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(101),
    [anon_sym_LT_EQ_GT] = ACTIONS(101),
    [anon_sym_EQ_TILDE] = ACTIONS(101),
    [anon_sym_BANG_TILDE] = ACTIONS(101),
    [anon_sym_LT_EQ] = ACTIONS(103),
    [anon_sym_GT] = ACTIONS(103),
    [anon_sym_GT_EQ] = ACTIONS(101),
    [anon_sym_CARET] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(103),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_PERCENT] = ACTIONS(103),
    [sym_comment] = ACTIONS(87),
  },
  [405] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(1529),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(2569),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [406] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(1531),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(2571),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [407] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(1533),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(2573),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [408] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(1535),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(2575),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [409] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1538),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(2577),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(2579),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [410] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1541),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(2581),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(2583),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [411] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(1572),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(1572),
    [sym_operator_assignment] = STATE(1572),
    [sym_conditional] = STATE(1572),
    [sym_range] = STATE(1572),
    [sym_binary] = STATE(1572),
    [sym_unary] = STATE(1572),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [412] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(1578),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(1578),
    [sym_operator_assignment] = STATE(1578),
    [sym_conditional] = STATE(1578),
    [sym_range] = STATE(1578),
    [sym_binary] = STATE(1578),
    [sym_unary] = STATE(1578),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [413] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(1580),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(1581),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(2655),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [414] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1584),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(1584),
    [sym_operator_assignment] = STATE(1584),
    [sym_conditional] = STATE(1584),
    [sym_range] = STATE(1584),
    [sym_binary] = STATE(1584),
    [sym_unary] = STATE(1584),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [415] = {
    [sym__keyword_colon] = ACTIONS(2663),
    [sym_comment] = ACTIONS(87),
  },
  [416] = {
    [sym__statements] = STATE(1597),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(1598),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(1604),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(1605),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [417] = {
    [sym__method_rest] = STATE(1607),
    [sym__variable] = STATE(1608),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(1609),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(239),
    [sym_identifier] = ACTIONS(241),
    [sym_instance_variable] = ACTIONS(239),
    [sym_class_variable] = ACTIONS(239),
    [sym_global_variable] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
    [sym_super] = ACTIONS(2693),
    [sym_self] = ACTIONS(2693),
  },
  [418] = {
    [sym__statements] = STATE(1611),
    [sym__top_level_statement] = STATE(150),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(155),
    [sym__simple_mlhs] = STATE(156),
    [sym_destructured_left_assignment] = STATE(156),
    [sym_rest_assignment] = STATE(156),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(2695),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [419] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(1612),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(1612),
    [sym_operator_assignment] = STATE(1612),
    [sym_conditional] = STATE(1612),
    [sym_range] = STATE(1612),
    [sym_binary] = STATE(1612),
    [sym_unary] = STATE(1612),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [420] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(1615),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(2699),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [421] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(1617),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [422] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(982),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(984),
    [sym__argument] = STATE(985),
    [sym_splat_argument] = STATE(985),
    [sym_hash_splat_argument] = STATE(985),
    [sym_block_argument] = STATE(985),
    [sym_assignment] = STATE(982),
    [sym_operator_assignment] = STATE(982),
    [sym_conditional] = STATE(982),
    [sym_range] = STATE(982),
    [sym_binary] = STATE(982),
    [sym_unary] = STATE(982),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(987),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(985),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1675),
    [sym__splat_star] = ACTIONS(1677),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1681),
    [ts_builtin_sym_end] = ACTIONS(363),
    [anon_sym___END__] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1687),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [423] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(982),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(984),
    [sym__argument] = STATE(985),
    [sym_splat_argument] = STATE(985),
    [sym_hash_splat_argument] = STATE(985),
    [sym_block_argument] = STATE(985),
    [sym_assignment] = STATE(982),
    [sym_operator_assignment] = STATE(982),
    [sym_conditional] = STATE(982),
    [sym_range] = STATE(982),
    [sym_binary] = STATE(982),
    [sym_unary] = STATE(982),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(987),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(985),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1675),
    [sym__splat_star] = ACTIONS(1677),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1681),
    [ts_builtin_sym_end] = ACTIONS(413),
    [anon_sym___END__] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1687),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [424] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(982),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(984),
    [sym__argument] = STATE(985),
    [sym_splat_argument] = STATE(985),
    [sym_hash_splat_argument] = STATE(985),
    [sym_block_argument] = STATE(985),
    [sym_assignment] = STATE(982),
    [sym_operator_assignment] = STATE(982),
    [sym_conditional] = STATE(982),
    [sym_range] = STATE(982),
    [sym_binary] = STATE(982),
    [sym_unary] = STATE(982),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(987),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(985),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1675),
    [sym__splat_star] = ACTIONS(1677),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1681),
    [ts_builtin_sym_end] = ACTIONS(417),
    [anon_sym___END__] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1687),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [425] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(982),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(984),
    [sym__argument] = STATE(985),
    [sym_splat_argument] = STATE(985),
    [sym_hash_splat_argument] = STATE(985),
    [sym_block_argument] = STATE(985),
    [sym_assignment] = STATE(982),
    [sym_operator_assignment] = STATE(982),
    [sym_conditional] = STATE(982),
    [sym_range] = STATE(982),
    [sym_binary] = STATE(982),
    [sym_unary] = STATE(982),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(987),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(985),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1675),
    [sym__splat_star] = ACTIONS(1677),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1681),
    [ts_builtin_sym_end] = ACTIONS(421),
    [anon_sym___END__] = ACTIONS(423),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1687),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [426] = {
    [sym__statement] = STATE(1622),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [427] = {
    [sym__statement] = STATE(1623),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [428] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1624),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(1624),
    [sym_operator_assignment] = STATE(1624),
    [sym_conditional] = STATE(1624),
    [sym_range] = STATE(1624),
    [sym_binary] = STATE(1624),
    [sym_unary] = STATE(1624),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [429] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1625),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(1625),
    [sym_operator_assignment] = STATE(1625),
    [sym_conditional] = STATE(1625),
    [sym_range] = STATE(1625),
    [sym_binary] = STATE(1625),
    [sym_unary] = STATE(1625),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [430] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(265),
    [sym_call] = STATE(265),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(1626),
    [sym__simple_mlhs] = STATE(267),
    [sym_destructured_left_assignment] = STATE(267),
    [sym_rest_assignment] = STATE(267),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(265),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(475),
    [sym_identifier] = ACTIONS(475),
    [sym_instance_variable] = ACTIONS(477),
    [sym_class_variable] = ACTIONS(477),
    [sym_global_variable] = ACTIONS(477),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(475),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [431] = {
    [sym__statements] = STATE(1628),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(1629),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(1630),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(1630),
    [sym__line_break] = ACTIONS(2703),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2705),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [432] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1631),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(1631),
    [sym_operator_assignment] = STATE(1631),
    [sym_conditional] = STATE(1631),
    [sym_range] = STATE(1631),
    [sym_binary] = STATE(1631),
    [sym_unary] = STATE(1631),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(1632),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__terminator] = STATE(1632),
    [sym__line_break] = ACTIONS(2707),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2707),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [433] = {
    [sym__statements] = STATE(1633),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1634),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1635),
    [sym_rescue] = STATE(1636),
    [sym__body_statement] = STATE(1637),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(1638),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(1638),
    [sym__line_break] = ACTIONS(2709),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2711),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [434] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1639),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(1639),
    [sym_operator_assignment] = STATE(1639),
    [sym_conditional] = STATE(1639),
    [sym_range] = STATE(1639),
    [sym_binary] = STATE(1639),
    [sym_unary] = STATE(1639),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [435] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1640),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(1640),
    [sym_operator_assignment] = STATE(1640),
    [sym_conditional] = STATE(1640),
    [sym_range] = STATE(1640),
    [sym_binary] = STATE(1640),
    [sym_unary] = STATE(1640),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [436] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [437] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(2663),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [anon_sym___END__] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [438] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
    [anon_sym_r] = ACTIONS(2713),
  },
  [439] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(1644),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(1645),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [440] = {
    [sym_lambda_parameters] = STATE(1647),
    [sym__simple_formal_parameter] = STATE(379),
    [sym_splat_parameter] = STATE(379),
    [sym_hash_splat_parameter] = STATE(379),
    [sym_block_parameter] = STATE(379),
    [sym_keyword_parameter] = STATE(379),
    [sym_optional_parameter] = STATE(379),
    [sym_do_block] = STATE(1648),
    [sym_block] = STATE(1648),
    [anon_sym_LBRACE] = ACTIONS(2717),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(1685),
    [sym_identifier] = ACTIONS(677),
    [sym_comment] = ACTIONS(87),
  },
  [441] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(1631),
    [anon_sym___END__] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(2731),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [442] = {
    [sym__line_break] = ACTIONS(735),
    [sym__heredoc_body_start] = ACTIONS(735),
    [sym__element_reference_left_bracket] = ACTIONS(1667),
    [sym__infix_scope_colons] = ACTIONS(1669),
    [sym__binary_minus] = ACTIONS(735),
    [sym__binary_star] = ACTIONS(735),
    [ts_builtin_sym_end] = ACTIONS(735),
    [anon_sym___END__] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(1671),
    [anon_sym_COMMA] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(743),
    [anon_sym_AMP] = ACTIONS(743),
    [anon_sym_EQ] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_end] = ACTIONS(735),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_unless] = ACTIONS(735),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_until] = ACTIONS(735),
    [anon_sym_rescue] = ACTIONS(735),
    [anon_sym_do] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(735),
    [anon_sym_elsif] = ACTIONS(735),
    [anon_sym_else] = ACTIONS(735),
    [anon_sym_then] = ACTIONS(735),
    [anon_sym_ensure] = ACTIONS(735),
    [anon_sym_EQ_GT] = ACTIONS(735),
    [anon_sym_AMP_DOT] = ACTIONS(1673),
    [anon_sym_PLUS_EQ] = ACTIONS(735),
    [anon_sym_DASH_EQ] = ACTIONS(735),
    [anon_sym_STAR_EQ] = ACTIONS(735),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(735),
    [anon_sym_SLASH_EQ] = ACTIONS(735),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(735),
    [anon_sym_PIPE_EQ] = ACTIONS(735),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(735),
    [anon_sym_AMP_EQ] = ACTIONS(735),
    [anon_sym_PERCENT_EQ] = ACTIONS(735),
    [anon_sym_GT_GT_EQ] = ACTIONS(735),
    [anon_sym_LT_LT_EQ] = ACTIONS(735),
    [anon_sym_CARET_EQ] = ACTIONS(735),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(735),
    [anon_sym_or] = ACTIONS(735),
    [anon_sym_PIPE_PIPE] = ACTIONS(743),
    [anon_sym_AMP_AMP] = ACTIONS(743),
    [anon_sym_LT_LT] = ACTIONS(743),
    [anon_sym_GT_GT] = ACTIONS(743),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(735),
    [anon_sym_LT_EQ_GT] = ACTIONS(735),
    [anon_sym_EQ_TILDE] = ACTIONS(735),
    [anon_sym_BANG_TILDE] = ACTIONS(735),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(743),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(743),
    [anon_sym_PLUS] = ACTIONS(743),
    [anon_sym_SLASH] = ACTIONS(743),
    [anon_sym_PERCENT] = ACTIONS(743),
    [sym_comment] = ACTIONS(87),
  },
  [443] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(982),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(984),
    [sym__argument] = STATE(985),
    [sym_splat_argument] = STATE(985),
    [sym_hash_splat_argument] = STATE(985),
    [sym_block_argument] = STATE(985),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(982),
    [sym_operator_assignment] = STATE(982),
    [sym_conditional] = STATE(982),
    [sym_range] = STATE(982),
    [sym_binary] = STATE(982),
    [sym_unary] = STATE(982),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(987),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(985),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1675),
    [sym__splat_star] = ACTIONS(1677),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1681),
    [ts_builtin_sym_end] = ACTIONS(747),
    [anon_sym___END__] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1687),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [444] = {
    [sym_do_block] = STATE(1665),
    [sym_block] = STATE(1665),
    [sym__line_break] = ACTIONS(2751),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [ts_builtin_sym_end] = ACTIONS(2751),
    [anon_sym___END__] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_end] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_when] = ACTIONS(2751),
    [anon_sym_elsif] = ACTIONS(2751),
    [anon_sym_else] = ACTIONS(2751),
    [anon_sym_then] = ACTIONS(2751),
    [anon_sym_ensure] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [445] = {
    [sym_heredoc_body] = STATE(1667),
    [aux_sym_call_repeat1] = STATE(1667),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [ts_builtin_sym_end] = ACTIONS(1693),
    [anon_sym___END__] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [446] = {
    [sym_heredoc_body] = STATE(1667),
    [aux_sym_call_repeat1] = STATE(1667),
    [aux_sym_argument_list_repeat1] = STATE(1669),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [ts_builtin_sym_end] = ACTIONS(1693),
    [anon_sym___END__] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(2761),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [447] = {
    [sym__line_break] = ACTIONS(2751),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [ts_builtin_sym_end] = ACTIONS(2751),
    [anon_sym___END__] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_end] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_when] = ACTIONS(2751),
    [anon_sym_elsif] = ACTIONS(2751),
    [anon_sym_else] = ACTIONS(2751),
    [anon_sym_then] = ACTIONS(2751),
    [anon_sym_ensure] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [448] = {
    [anon_sym_EQ] = ACTIONS(2763),
    [sym_comment] = ACTIONS(87),
  },
  [449] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(2765),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(2767),
    [anon_sym_DASH_EQ] = ACTIONS(2767),
    [anon_sym_STAR_EQ] = ACTIONS(2767),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2767),
    [anon_sym_SLASH_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_EQ] = ACTIONS(2767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2767),
    [anon_sym_AMP_EQ] = ACTIONS(2767),
    [anon_sym_PERCENT_EQ] = ACTIONS(2767),
    [anon_sym_GT_GT_EQ] = ACTIONS(2767),
    [anon_sym_LT_LT_EQ] = ACTIONS(2767),
    [anon_sym_CARET_EQ] = ACTIONS(2767),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [450] = {
    [sym_string] = STATE(1673),
    [aux_sym_chained_string_repeat1] = STATE(1673),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(2769),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [451] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1679),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_splat_argument] = STATE(1681),
    [sym_assignment] = STATE(1679),
    [sym_operator_assignment] = STATE(1679),
    [sym_conditional] = STATE(1679),
    [sym_range] = STATE(1679),
    [sym_binary] = STATE(1679),
    [sym_unary] = STATE(1679),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(1681),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(2771),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [452] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(191),
    [sym_call] = STATE(191),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(1684),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(191),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(331),
    [sym_identifier] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(331),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [453] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1685),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(1685),
    [sym_operator_assignment] = STATE(1685),
    [sym_conditional] = STATE(1685),
    [sym_range] = STATE(1685),
    [sym_binary] = STATE(1685),
    [sym_unary] = STATE(1685),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [454] = {
    [sym_string] = STATE(1686),
    [aux_sym_chained_string_repeat1] = STATE(1686),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [ts_builtin_sym_end] = ACTIONS(2785),
    [anon_sym___END__] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [455] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(1688),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(2789),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [456] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(1689),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(1689),
    [sym_operator_assignment] = STATE(1689),
    [sym_conditional] = STATE(1689),
    [sym_range] = STATE(1689),
    [sym_binary] = STATE(1689),
    [sym_unary] = STATE(1689),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [457] = {
    [sym_constant] = ACTIONS(2791),
    [sym_identifier] = ACTIONS(2791),
    [sym_comment] = ACTIONS(87),
  },
  [458] = {
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_if] = ACTIONS(275),
    [anon_sym_unless] = ACTIONS(275),
    [anon_sym_while] = ACTIONS(275),
    [anon_sym_until] = ACTIONS(275),
    [anon_sym_rescue] = ACTIONS(275),
    [sym_comment] = ACTIONS(87),
  },
  [459] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(587),
    [sym__argument_list_with_parens] = STATE(1706),
    [sym__argument] = STATE(1707),
    [sym_splat_argument] = STATE(1707),
    [sym_hash_splat_argument] = STATE(1707),
    [sym_block_argument] = STATE(1707),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1707),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [460] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(593),
    [sym__argument_list_with_parens] = STATE(1706),
    [sym__argument] = STATE(1707),
    [sym_splat_argument] = STATE(1707),
    [sym_hash_splat_argument] = STATE(1707),
    [sym_block_argument] = STATE(1707),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1707),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [461] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(594),
    [sym__argument_list_with_parens] = STATE(1706),
    [sym__argument] = STATE(1707),
    [sym_splat_argument] = STATE(1707),
    [sym_hash_splat_argument] = STATE(1707),
    [sym_block_argument] = STATE(1707),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1707),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [462] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(595),
    [sym__argument_list_with_parens] = STATE(1706),
    [sym__argument] = STATE(1707),
    [sym_splat_argument] = STATE(1707),
    [sym_hash_splat_argument] = STATE(1707),
    [sym_block_argument] = STATE(1707),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1707),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [463] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(1711),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(1711),
    [sym_operator_assignment] = STATE(1711),
    [sym_conditional] = STATE(1711),
    [sym_range] = STATE(1711),
    [sym_binary] = STATE(1711),
    [sym_unary] = STATE(1711),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [464] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(1712),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(1712),
    [sym_operator_assignment] = STATE(1712),
    [sym_conditional] = STATE(1712),
    [sym_range] = STATE(1712),
    [sym_binary] = STATE(1712),
    [sym_unary] = STATE(1712),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [465] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(611),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(611),
    [sym_operator_assignment] = STATE(611),
    [sym_conditional] = STATE(611),
    [sym_range] = STATE(611),
    [sym_binary] = STATE(611),
    [sym_unary] = STATE(611),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [466] = {
    [sym_operator] = STATE(1716),
    [sym__method_name] = STATE(1718),
    [sym_setter] = STATE(1716),
    [sym_symbol] = STATE(1716),
    [sym__simple_symbol] = ACTIONS(2823),
    [sym__symbol_start] = ACTIONS(2825),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2829),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_GT_GT] = ACTIONS(2827),
    [anon_sym_EQ_EQ] = ACTIONS(2829),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2827),
    [anon_sym_LT_EQ_GT] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2827),
    [anon_sym_BANG_TILDE] = ACTIONS(2827),
    [anon_sym_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT] = ACTIONS(2829),
    [anon_sym_GT_EQ] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2827),
    [sym_constant] = ACTIONS(2831),
    [sym_identifier] = ACTIONS(2833),
    [sym_instance_variable] = ACTIONS(2831),
    [sym_class_variable] = ACTIONS(2831),
    [sym_global_variable] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_AT] = ACTIONS(2827),
    [anon_sym_DASH_AT] = ACTIONS(2827),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(2827),
    [anon_sym_BQUOTE] = ACTIONS(2827),
    [sym_comment] = ACTIONS(87),
  },
  [467] = {
    [sym_operator] = STATE(318),
    [sym__method_name] = STATE(1719),
    [sym_setter] = STATE(318),
    [sym_symbol] = STATE(318),
    [sym__simple_symbol] = ACTIONS(545),
    [sym__symbol_start] = ACTIONS(547),
    [anon_sym_PIPE] = ACTIONS(549),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(551),
    [anon_sym_DOT_DOT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(549),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(551),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_EQ_TILDE] = ACTIONS(549),
    [anon_sym_BANG_TILDE] = ACTIONS(549),
    [anon_sym_LT_EQ] = ACTIONS(551),
    [anon_sym_GT] = ACTIONS(551),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_PLUS] = ACTIONS(551),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(549),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_TILDE] = ACTIONS(549),
    [sym_constant] = ACTIONS(553),
    [sym_identifier] = ACTIONS(555),
    [sym_instance_variable] = ACTIONS(553),
    [sym_class_variable] = ACTIONS(553),
    [sym_global_variable] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(551),
    [anon_sym_PLUS_AT] = ACTIONS(549),
    [anon_sym_DASH_AT] = ACTIONS(549),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(551),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(549),
    [anon_sym_BQUOTE] = ACTIONS(549),
    [sym_comment] = ACTIONS(87),
  },
  [468] = {
    [sym__element_reference_left_bracket] = ACTIONS(563),
    [sym__infix_scope_colons] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(563),
    [sym__binary_star] = ACTIONS(563),
    [anon_sym_LBRACE] = ACTIONS(563),
    [anon_sym_RBRACE] = ACTIONS(563),
    [anon_sym_RPAREN] = ACTIONS(563),
    [anon_sym_DOT] = ACTIONS(565),
    [anon_sym_COMMA] = ACTIONS(563),
    [anon_sym_PIPE] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_STAR_STAR] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(565),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(565),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_unless] = ACTIONS(563),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_until] = ACTIONS(563),
    [anon_sym_rescue] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_AMP_DOT] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(563),
    [anon_sym_DASH_EQ] = ACTIONS(563),
    [anon_sym_STAR_EQ] = ACTIONS(563),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(563),
    [anon_sym_SLASH_EQ] = ACTIONS(563),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(563),
    [anon_sym_PIPE_EQ] = ACTIONS(563),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(563),
    [anon_sym_AMP_EQ] = ACTIONS(563),
    [anon_sym_PERCENT_EQ] = ACTIONS(563),
    [anon_sym_GT_GT_EQ] = ACTIONS(563),
    [anon_sym_LT_LT_EQ] = ACTIONS(563),
    [anon_sym_CARET_EQ] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(563),
    [anon_sym_COLON] = ACTIONS(563),
    [anon_sym_DOT_DOT] = ACTIONS(565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(563),
    [anon_sym_and] = ACTIONS(563),
    [anon_sym_or] = ACTIONS(563),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [anon_sym_AMP_AMP] = ACTIONS(565),
    [anon_sym_LT_LT] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(565),
    [anon_sym_EQ_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ] = ACTIONS(563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(563),
    [anon_sym_LT_EQ_GT] = ACTIONS(563),
    [anon_sym_EQ_TILDE] = ACTIONS(563),
    [anon_sym_BANG_TILDE] = ACTIONS(563),
    [anon_sym_LT_EQ] = ACTIONS(565),
    [anon_sym_GT] = ACTIONS(565),
    [anon_sym_GT_EQ] = ACTIONS(563),
    [anon_sym_CARET] = ACTIONS(565),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_SLASH] = ACTIONS(565),
    [anon_sym_PERCENT] = ACTIONS(565),
    [sym_comment] = ACTIONS(87),
  },
  [469] = {
    [sym__element_reference_left_bracket] = ACTIONS(567),
    [sym__infix_scope_colons] = ACTIONS(567),
    [sym__binary_minus] = ACTIONS(567),
    [sym__binary_star] = ACTIONS(567),
    [anon_sym_LBRACE] = ACTIONS(567),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(569),
    [anon_sym_COMMA] = ACTIONS(567),
    [anon_sym_PIPE] = ACTIONS(569),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(569),
    [anon_sym_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_if] = ACTIONS(567),
    [anon_sym_unless] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(567),
    [anon_sym_until] = ACTIONS(567),
    [anon_sym_rescue] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(567),
    [anon_sym_AMP_DOT] = ACTIONS(567),
    [anon_sym_PLUS_EQ] = ACTIONS(567),
    [anon_sym_DASH_EQ] = ACTIONS(567),
    [anon_sym_STAR_EQ] = ACTIONS(567),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(567),
    [anon_sym_SLASH_EQ] = ACTIONS(567),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(567),
    [anon_sym_PIPE_EQ] = ACTIONS(567),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(567),
    [anon_sym_AMP_EQ] = ACTIONS(567),
    [anon_sym_PERCENT_EQ] = ACTIONS(567),
    [anon_sym_GT_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_LT_EQ] = ACTIONS(567),
    [anon_sym_CARET_EQ] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(567),
    [anon_sym_COLON] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_and] = ACTIONS(567),
    [anon_sym_or] = ACTIONS(567),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(569),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_EQ_TILDE] = ACTIONS(567),
    [anon_sym_BANG_TILDE] = ACTIONS(567),
    [anon_sym_LT_EQ] = ACTIONS(569),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_SLASH] = ACTIONS(569),
    [anon_sym_PERCENT] = ACTIONS(569),
    [sym_comment] = ACTIONS(87),
  },
  [470] = {
    [sym__element_reference_left_bracket] = ACTIONS(571),
    [sym__infix_scope_colons] = ACTIONS(571),
    [sym__binary_minus] = ACTIONS(571),
    [sym__binary_star] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(571),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_DOT] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(571),
    [anon_sym_PIPE] = ACTIONS(573),
    [anon_sym_SEMI] = ACTIONS(571),
    [anon_sym_STAR_STAR] = ACTIONS(573),
    [anon_sym_AMP] = ACTIONS(573),
    [anon_sym_EQ] = ACTIONS(573),
    [anon_sym_LT] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_unless] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_until] = ACTIONS(571),
    [anon_sym_rescue] = ACTIONS(571),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_AMP_DOT] = ACTIONS(571),
    [anon_sym_PLUS_EQ] = ACTIONS(571),
    [anon_sym_DASH_EQ] = ACTIONS(571),
    [anon_sym_STAR_EQ] = ACTIONS(571),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(571),
    [anon_sym_SLASH_EQ] = ACTIONS(571),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(571),
    [anon_sym_PIPE_EQ] = ACTIONS(571),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(571),
    [anon_sym_AMP_EQ] = ACTIONS(571),
    [anon_sym_PERCENT_EQ] = ACTIONS(571),
    [anon_sym_GT_GT_EQ] = ACTIONS(571),
    [anon_sym_LT_LT_EQ] = ACTIONS(571),
    [anon_sym_CARET_EQ] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(571),
    [anon_sym_COLON] = ACTIONS(571),
    [anon_sym_DOT_DOT] = ACTIONS(573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(571),
    [anon_sym_and] = ACTIONS(571),
    [anon_sym_or] = ACTIONS(571),
    [anon_sym_PIPE_PIPE] = ACTIONS(573),
    [anon_sym_AMP_AMP] = ACTIONS(573),
    [anon_sym_LT_LT] = ACTIONS(573),
    [anon_sym_GT_GT] = ACTIONS(573),
    [anon_sym_EQ_EQ] = ACTIONS(573),
    [anon_sym_BANG_EQ] = ACTIONS(571),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(571),
    [anon_sym_LT_EQ_GT] = ACTIONS(571),
    [anon_sym_EQ_TILDE] = ACTIONS(571),
    [anon_sym_BANG_TILDE] = ACTIONS(571),
    [anon_sym_LT_EQ] = ACTIONS(573),
    [anon_sym_GT] = ACTIONS(573),
    [anon_sym_GT_EQ] = ACTIONS(571),
    [anon_sym_CARET] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_PERCENT] = ACTIONS(573),
    [sym_comment] = ACTIONS(87),
  },
  [471] = {
    [anon_sym_RBRACE] = ACTIONS(2835),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_unless] = ACTIONS(2839),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_until] = ACTIONS(2843),
    [anon_sym_rescue] = ACTIONS(2845),
    [sym_comment] = ACTIONS(87),
  },
  [472] = {
    [anon_sym_RBRACE] = ACTIONS(701),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [sym_comment] = ACTIONS(87),
  },
  [473] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(2859),
    [anon_sym_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [474] = {
    [sym__element_reference_left_bracket] = ACTIONS(2879),
    [sym__infix_scope_colons] = ACTIONS(2881),
    [sym__binary_minus] = ACTIONS(735),
    [sym__binary_star] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_COMMA] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_AMP] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_unless] = ACTIONS(735),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_until] = ACTIONS(735),
    [anon_sym_rescue] = ACTIONS(735),
    [anon_sym_do] = ACTIONS(735),
    [anon_sym_AMP_DOT] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(735),
    [anon_sym_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(735),
    [anon_sym_or] = ACTIONS(735),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT_LT] = ACTIONS(735),
    [anon_sym_GT_GT] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(735),
    [anon_sym_LT_EQ_GT] = ACTIONS(735),
    [anon_sym_EQ_TILDE] = ACTIONS(735),
    [anon_sym_BANG_TILDE] = ACTIONS(735),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(743),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(735),
    [sym_comment] = ACTIONS(87),
  },
  [475] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1757),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(1759),
    [sym__argument_list_with_parens] = STATE(1760),
    [sym__argument] = STATE(1761),
    [sym_splat_argument] = STATE(1761),
    [sym_hash_splat_argument] = STATE(1761),
    [sym_block_argument] = STATE(1761),
    [sym_do_block] = STATE(1762),
    [sym_block] = STATE(1762),
    [sym_assignment] = STATE(1757),
    [sym_operator_assignment] = STATE(1757),
    [sym_conditional] = STATE(1757),
    [sym_range] = STATE(1757),
    [sym_binary] = STATE(1757),
    [sym_unary] = STATE(1757),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1765),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1761),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(2887),
    [sym__splat_star] = ACTIONS(2889),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [476] = {
    [anon_sym_EQ] = ACTIONS(2923),
    [sym_comment] = ACTIONS(87),
  },
  [477] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(2927),
    [anon_sym_DASH_EQ] = ACTIONS(2927),
    [anon_sym_STAR_EQ] = ACTIONS(2927),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2927),
    [anon_sym_AMP_EQ] = ACTIONS(2927),
    [anon_sym_PERCENT_EQ] = ACTIONS(2927),
    [anon_sym_GT_GT_EQ] = ACTIONS(2927),
    [anon_sym_LT_LT_EQ] = ACTIONS(2927),
    [anon_sym_CARET_EQ] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [478] = {
    [sym_string] = STATE(1768),
    [aux_sym_chained_string_repeat1] = STATE(1768),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [479] = {
    [sym__line_break] = ACTIONS(2929),
    [sym__string_start] = ACTIONS(2929),
    [sym__heredoc_body_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [ts_builtin_sym_end] = ACTIONS(2929),
    [anon_sym___END__] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_end] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [anon_sym_rescue] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_when] = ACTIONS(2929),
    [anon_sym_elsif] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_then] = ACTIONS(2929),
    [anon_sym_ensure] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_GT_GT] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(87),
  },
  [480] = {
    [sym_interpolation] = STATE(480),
    [aux_sym__literal_contents_repeat1] = STATE(480),
    [sym__string_content] = ACTIONS(2933),
    [sym__string_end] = ACTIONS(2936),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(2938),
    [sym_escape_sequence] = ACTIONS(2933),
  },
  [481] = {
    [sym__line_break] = ACTIONS(2941),
    [sym__heredoc_body_start] = ACTIONS(2941),
    [sym__element_reference_left_bracket] = ACTIONS(2941),
    [sym__infix_scope_colons] = ACTIONS(2941),
    [sym__binary_minus] = ACTIONS(2941),
    [sym__binary_star] = ACTIONS(2941),
    [ts_builtin_sym_end] = ACTIONS(2941),
    [anon_sym___END__] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_end] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_unless] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_until] = ACTIONS(2941),
    [anon_sym_rescue] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_when] = ACTIONS(2941),
    [anon_sym_elsif] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_then] = ACTIONS(2941),
    [anon_sym_ensure] = ACTIONS(2941),
    [anon_sym_EQ_GT] = ACTIONS(2941),
    [anon_sym_AMP_DOT] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(2941),
    [anon_sym_or] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_GT_GT] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [sym_comment] = ACTIONS(87),
  },
  [482] = {
    [sym__line_break] = ACTIONS(2945),
    [sym__heredoc_body_start] = ACTIONS(2945),
    [sym__element_reference_left_bracket] = ACTIONS(2945),
    [sym__infix_scope_colons] = ACTIONS(2945),
    [sym__binary_minus] = ACTIONS(2945),
    [sym__binary_star] = ACTIONS(2945),
    [ts_builtin_sym_end] = ACTIONS(2945),
    [anon_sym___END__] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_end] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_unless] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_until] = ACTIONS(2945),
    [anon_sym_rescue] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_when] = ACTIONS(2945),
    [anon_sym_elsif] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_then] = ACTIONS(2945),
    [anon_sym_ensure] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [anon_sym_AMP_DOT] = ACTIONS(2945),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2945),
    [anon_sym_or] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_GT_GT] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(87),
  },
  [483] = {
    [sym__line_break] = ACTIONS(2949),
    [sym__heredoc_body_start] = ACTIONS(2949),
    [sym__element_reference_left_bracket] = ACTIONS(2949),
    [sym__infix_scope_colons] = ACTIONS(2949),
    [sym__binary_minus] = ACTIONS(2949),
    [sym__binary_star] = ACTIONS(2949),
    [ts_builtin_sym_end] = ACTIONS(2949),
    [anon_sym___END__] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_end] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_unless] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_until] = ACTIONS(2949),
    [anon_sym_rescue] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_when] = ACTIONS(2949),
    [anon_sym_elsif] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_then] = ACTIONS(2949),
    [anon_sym_ensure] = ACTIONS(2949),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [anon_sym_AMP_DOT] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_and] = ACTIONS(2949),
    [anon_sym_or] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(87),
  },
  [484] = {
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_unless] = ACTIONS(2839),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_until] = ACTIONS(2843),
    [anon_sym_rescue] = ACTIONS(2845),
    [sym_comment] = ACTIONS(87),
  },
  [485] = {
    [sym__line_break] = ACTIONS(2955),
    [sym__heredoc_body_start] = ACTIONS(2955),
    [sym__element_reference_left_bracket] = ACTIONS(2955),
    [sym__infix_scope_colons] = ACTIONS(2955),
    [sym__binary_minus] = ACTIONS(2955),
    [sym__binary_star] = ACTIONS(2955),
    [ts_builtin_sym_end] = ACTIONS(2955),
    [anon_sym___END__] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_end] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_unless] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_until] = ACTIONS(2955),
    [anon_sym_rescue] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_when] = ACTIONS(2955),
    [anon_sym_elsif] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_then] = ACTIONS(2955),
    [anon_sym_ensure] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [anon_sym_AMP_DOT] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_GT_GT] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(87),
  },
  [486] = {
    [sym__string_end] = ACTIONS(2959),
    [sym_comment] = ACTIONS(87),
  },
  [487] = {
    [aux_sym_string_array_repeat1] = STATE(1773),
    [sym__string_end] = ACTIONS(2961),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(2963),
  },
  [488] = {
    [sym__line_break] = ACTIONS(2965),
    [sym__heredoc_body_start] = ACTIONS(2965),
    [sym__element_reference_left_bracket] = ACTIONS(2965),
    [sym__infix_scope_colons] = ACTIONS(2965),
    [sym__binary_minus] = ACTIONS(2965),
    [sym__binary_star] = ACTIONS(2965),
    [ts_builtin_sym_end] = ACTIONS(2965),
    [anon_sym___END__] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_end] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_unless] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_until] = ACTIONS(2965),
    [anon_sym_rescue] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_when] = ACTIONS(2965),
    [anon_sym_elsif] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_then] = ACTIONS(2965),
    [anon_sym_ensure] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [anon_sym_AMP_DOT] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2965),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(87),
  },
  [489] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(2969),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [490] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(2969),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(2971),
  },
  [491] = {
    [sym_interpolation] = STATE(491),
    [aux_sym__literal_contents_repeat1] = STATE(491),
    [sym__string_content] = ACTIONS(2973),
    [sym__string_end] = ACTIONS(2936),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(2976),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(2979),
    [sym_escape_sequence] = ACTIONS(2981),
  },
  [492] = {
    [sym__line_break] = ACTIONS(2984),
    [sym__heredoc_body_start] = ACTIONS(2984),
    [sym__element_reference_left_bracket] = ACTIONS(2984),
    [sym__infix_scope_colons] = ACTIONS(2984),
    [sym__binary_minus] = ACTIONS(2984),
    [sym__binary_star] = ACTIONS(2984),
    [ts_builtin_sym_end] = ACTIONS(2984),
    [anon_sym___END__] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2984),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_STAR_STAR] = ACTIONS(2984),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_end] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_unless] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_until] = ACTIONS(2984),
    [anon_sym_rescue] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_when] = ACTIONS(2984),
    [anon_sym_elsif] = ACTIONS(2984),
    [anon_sym_else] = ACTIONS(2984),
    [anon_sym_then] = ACTIONS(2984),
    [anon_sym_ensure] = ACTIONS(2984),
    [anon_sym_EQ_GT] = ACTIONS(2984),
    [anon_sym_AMP_DOT] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_and] = ACTIONS(2984),
    [anon_sym_or] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE] = ACTIONS(2984),
    [anon_sym_AMP_AMP] = ACTIONS(2984),
    [anon_sym_LT_LT] = ACTIONS(2984),
    [anon_sym_GT_GT] = ACTIONS(2984),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_CARET] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_SLASH] = ACTIONS(2984),
    [anon_sym_PERCENT] = ACTIONS(2984),
    [sym_comment] = ACTIONS(87),
  },
  [493] = {
    [sym__string_end] = ACTIONS(2988),
    [sym_comment] = ACTIONS(87),
  },
  [494] = {
    [aux_sym_symbol_array_repeat1] = STATE(1781),
    [sym__string_end] = ACTIONS(2990),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(2992),
  },
  [495] = {
    [sym__line_break] = ACTIONS(2994),
    [sym__heredoc_body_start] = ACTIONS(2994),
    [sym__element_reference_left_bracket] = ACTIONS(2994),
    [sym__infix_scope_colons] = ACTIONS(2994),
    [sym__binary_minus] = ACTIONS(2994),
    [sym__binary_star] = ACTIONS(2994),
    [ts_builtin_sym_end] = ACTIONS(2994),
    [anon_sym___END__] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_RPAREN] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2996),
    [anon_sym_end] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_unless] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_until] = ACTIONS(2994),
    [anon_sym_rescue] = ACTIONS(2994),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_when] = ACTIONS(2994),
    [anon_sym_elsif] = ACTIONS(2994),
    [anon_sym_else] = ACTIONS(2994),
    [anon_sym_then] = ACTIONS(2994),
    [anon_sym_ensure] = ACTIONS(2994),
    [anon_sym_EQ_GT] = ACTIONS(2994),
    [anon_sym_AMP_DOT] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2994),
    [anon_sym_DOT_DOT] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2994),
    [anon_sym_and] = ACTIONS(2994),
    [anon_sym_or] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_LT_LT] = ACTIONS(2994),
    [anon_sym_GT_GT] = ACTIONS(2994),
    [anon_sym_EQ_EQ] = ACTIONS(2996),
    [anon_sym_BANG_EQ] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2994),
    [anon_sym_LT_EQ_GT] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2994),
    [anon_sym_BANG_TILDE] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT] = ACTIONS(2996),
    [anon_sym_GT_EQ] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_SLASH] = ACTIONS(2994),
    [anon_sym_PERCENT] = ACTIONS(2994),
    [sym_comment] = ACTIONS(87),
  },
  [496] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(2998),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [497] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(2998),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(3000),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(3002),
    [sym_comment] = ACTIONS(87),
  },
  [499] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1786),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(1786),
    [sym_operator_assignment] = STATE(1786),
    [sym_conditional] = STATE(1786),
    [sym_range] = STATE(1786),
    [sym_binary] = STATE(1786),
    [sym_unary] = STATE(1786),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [500] = {
    [sym__line_break] = ACTIONS(3004),
    [sym__heredoc_body_start] = ACTIONS(3004),
    [ts_builtin_sym_end] = ACTIONS(3004),
    [anon_sym___END__] = ACTIONS(3004),
    [anon_sym_RBRACE] = ACTIONS(3004),
    [anon_sym_RPAREN] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_end] = ACTIONS(3004),
    [anon_sym_rescue] = ACTIONS(3004),
    [anon_sym_when] = ACTIONS(3004),
    [anon_sym_elsif] = ACTIONS(3004),
    [anon_sym_else] = ACTIONS(3004),
    [anon_sym_ensure] = ACTIONS(3004),
    [sym_comment] = ACTIONS(87),
  },
  [501] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1800),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(1801),
    [sym__argument] = STATE(1802),
    [sym_splat_argument] = STATE(1802),
    [sym_hash_splat_argument] = STATE(1802),
    [sym_block_argument] = STATE(1802),
    [sym_assignment] = STATE(1800),
    [sym_operator_assignment] = STATE(1800),
    [sym_conditional] = STATE(1800),
    [sym_range] = STATE(1800),
    [sym_binary] = STATE(1800),
    [sym_unary] = STATE(1800),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1805),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1802),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3006),
    [sym__splat_star] = ACTIONS(3008),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3030),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [502] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1800),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(1801),
    [sym__argument] = STATE(1802),
    [sym_splat_argument] = STATE(1802),
    [sym_hash_splat_argument] = STATE(1802),
    [sym_block_argument] = STATE(1802),
    [sym_assignment] = STATE(1800),
    [sym_operator_assignment] = STATE(1800),
    [sym_conditional] = STATE(1800),
    [sym_range] = STATE(1800),
    [sym_binary] = STATE(1800),
    [sym_unary] = STATE(1800),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1805),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1802),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3006),
    [sym__splat_star] = ACTIONS(3008),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3030),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [503] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1800),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(1801),
    [sym__argument] = STATE(1802),
    [sym_splat_argument] = STATE(1802),
    [sym_hash_splat_argument] = STATE(1802),
    [sym_block_argument] = STATE(1802),
    [sym_assignment] = STATE(1800),
    [sym_operator_assignment] = STATE(1800),
    [sym_conditional] = STATE(1800),
    [sym_range] = STATE(1800),
    [sym_binary] = STATE(1800),
    [sym_unary] = STATE(1800),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1805),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1802),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3006),
    [sym__splat_star] = ACTIONS(3008),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3030),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [504] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1800),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(1801),
    [sym__argument] = STATE(1802),
    [sym_splat_argument] = STATE(1802),
    [sym_hash_splat_argument] = STATE(1802),
    [sym_block_argument] = STATE(1802),
    [sym_assignment] = STATE(1800),
    [sym_operator_assignment] = STATE(1800),
    [sym_conditional] = STATE(1800),
    [sym_range] = STATE(1800),
    [sym_binary] = STATE(1800),
    [sym_unary] = STATE(1800),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1805),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(1802),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3006),
    [sym__splat_star] = ACTIONS(3008),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3030),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [505] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1806),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(1806),
    [sym_operator_assignment] = STATE(1806),
    [sym_conditional] = STATE(1806),
    [sym_range] = STATE(1806),
    [sym_binary] = STATE(1806),
    [sym_unary] = STATE(1806),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [506] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1807),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(1807),
    [sym_operator_assignment] = STATE(1807),
    [sym_conditional] = STATE(1807),
    [sym_range] = STATE(1807),
    [sym_binary] = STATE(1807),
    [sym_unary] = STATE(1807),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [507] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [508] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(1808),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [509] = {
    [anon_sym_RBRACE] = ACTIONS(3032),
    [sym_comment] = ACTIONS(87),
  },
  [510] = {
    [sym_heredoc_body] = STATE(1810),
    [sym__terminator] = STATE(1810),
    [aux_sym__statements_repeat1] = STATE(1811),
    [sym__line_break] = ACTIONS(3034),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_RBRACE] = ACTIONS(687),
    [anon_sym_SEMI] = ACTIONS(3034),
    [sym_comment] = ACTIONS(87),
  },
  [511] = {
    [sym__line_break] = ACTIONS(689),
    [sym__heredoc_body_start] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_unless] = ACTIONS(3038),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_until] = ACTIONS(3042),
    [anon_sym_rescue] = ACTIONS(3044),
    [sym_comment] = ACTIONS(87),
  },
  [512] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3064),
    [anon_sym_or] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [513] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1842),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(1844),
    [sym__argument] = STATE(1845),
    [sym_splat_argument] = STATE(1845),
    [sym_hash_splat_argument] = STATE(1845),
    [sym_block_argument] = STATE(1845),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(1842),
    [sym_operator_assignment] = STATE(1842),
    [sym_conditional] = STATE(1842),
    [sym_range] = STATE(1842),
    [sym_binary] = STATE(1842),
    [sym_unary] = STATE(1842),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1848),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1845),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(3078),
    [sym__splat_star] = ACTIONS(3080),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(3102),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [514] = {
    [anon_sym_EQ] = ACTIONS(3108),
    [sym_comment] = ACTIONS(87),
  },
  [515] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_EQ] = ACTIONS(3112),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3112),
    [anon_sym_AMP_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_GT_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_LT_EQ] = ACTIONS(3112),
    [anon_sym_CARET_EQ] = ACTIONS(3112),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [516] = {
    [sym_string] = STATE(1851),
    [aux_sym_chained_string_repeat1] = STATE(1851),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [517] = {
    [sym__string_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__keyword_colon] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_STAR_STAR] = ACTIONS(839),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(839),
    [anon_sym_AMP_AMP] = ACTIONS(839),
    [anon_sym_LT_LT] = ACTIONS(839),
    [anon_sym_GT_GT] = ACTIONS(839),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_SLASH] = ACTIONS(839),
    [anon_sym_PERCENT] = ACTIONS(839),
    [sym_comment] = ACTIONS(87),
  },
  [518] = {
    [sym__string_end] = ACTIONS(3114),
    [sym_comment] = ACTIONS(87),
  },
  [519] = {
    [sym__element_reference_left_bracket] = ACTIONS(891),
    [sym__infix_scope_colons] = ACTIONS(891),
    [sym__binary_minus] = ACTIONS(891),
    [sym__binary_star] = ACTIONS(891),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_STAR_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_unless] = ACTIONS(891),
    [anon_sym_while] = ACTIONS(891),
    [anon_sym_until] = ACTIONS(891),
    [anon_sym_rescue] = ACTIONS(891),
    [anon_sym_do] = ACTIONS(891),
    [anon_sym_EQ_GT] = ACTIONS(891),
    [anon_sym_AMP_DOT] = ACTIONS(891),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_COLON] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(891),
    [anon_sym_and] = ACTIONS(891),
    [anon_sym_or] = ACTIONS(891),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ_GT] = ACTIONS(891),
    [anon_sym_EQ_TILDE] = ACTIONS(891),
    [anon_sym_BANG_TILDE] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(891),
    [anon_sym_PERCENT] = ACTIONS(891),
    [sym_comment] = ACTIONS(87),
  },
  [520] = {
    [sym__string_end] = ACTIONS(3116),
    [sym_comment] = ACTIONS(87),
  },
  [521] = {
    [sym__element_reference_left_bracket] = ACTIONS(897),
    [sym__infix_scope_colons] = ACTIONS(897),
    [sym__binary_minus] = ACTIONS(897),
    [sym__binary_star] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(899),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_STAR_STAR] = ACTIONS(897),
    [anon_sym_AMP] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_unless] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_until] = ACTIONS(897),
    [anon_sym_rescue] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_EQ_GT] = ACTIONS(897),
    [anon_sym_AMP_DOT] = ACTIONS(897),
    [anon_sym_QMARK] = ACTIONS(897),
    [anon_sym_COLON] = ACTIONS(897),
    [anon_sym_DOT_DOT] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(897),
    [anon_sym_and] = ACTIONS(897),
    [anon_sym_or] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(897),
    [anon_sym_AMP_AMP] = ACTIONS(897),
    [anon_sym_LT_LT] = ACTIONS(897),
    [anon_sym_GT_GT] = ACTIONS(897),
    [anon_sym_EQ_EQ] = ACTIONS(899),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_EQ_TILDE] = ACTIONS(897),
    [anon_sym_BANG_TILDE] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(897),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_SLASH] = ACTIONS(897),
    [anon_sym_PERCENT] = ACTIONS(897),
    [sym_comment] = ACTIONS(87),
  },
  [522] = {
    [sym__string_end] = ACTIONS(3118),
    [sym_comment] = ACTIONS(87),
  },
  [523] = {
    [sym__element_reference_left_bracket] = ACTIONS(903),
    [sym__infix_scope_colons] = ACTIONS(903),
    [sym__binary_minus] = ACTIONS(903),
    [sym__binary_star] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(903),
    [anon_sym_PIPE] = ACTIONS(905),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_STAR_STAR] = ACTIONS(903),
    [anon_sym_AMP] = ACTIONS(905),
    [anon_sym_LT] = ACTIONS(905),
    [anon_sym_if] = ACTIONS(903),
    [anon_sym_unless] = ACTIONS(903),
    [anon_sym_while] = ACTIONS(903),
    [anon_sym_until] = ACTIONS(903),
    [anon_sym_rescue] = ACTIONS(903),
    [anon_sym_do] = ACTIONS(903),
    [anon_sym_EQ_GT] = ACTIONS(903),
    [anon_sym_AMP_DOT] = ACTIONS(903),
    [anon_sym_QMARK] = ACTIONS(903),
    [anon_sym_COLON] = ACTIONS(903),
    [anon_sym_DOT_DOT] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(903),
    [anon_sym_and] = ACTIONS(903),
    [anon_sym_or] = ACTIONS(903),
    [anon_sym_PIPE_PIPE] = ACTIONS(903),
    [anon_sym_AMP_AMP] = ACTIONS(903),
    [anon_sym_LT_LT] = ACTIONS(903),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_EQ_EQ] = ACTIONS(905),
    [anon_sym_BANG_EQ] = ACTIONS(903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(903),
    [anon_sym_LT_EQ_GT] = ACTIONS(903),
    [anon_sym_EQ_TILDE] = ACTIONS(903),
    [anon_sym_BANG_TILDE] = ACTIONS(903),
    [anon_sym_LT_EQ] = ACTIONS(905),
    [anon_sym_GT] = ACTIONS(905),
    [anon_sym_GT_EQ] = ACTIONS(903),
    [anon_sym_CARET] = ACTIONS(903),
    [anon_sym_PLUS] = ACTIONS(903),
    [anon_sym_SLASH] = ACTIONS(903),
    [anon_sym_PERCENT] = ACTIONS(903),
    [sym_comment] = ACTIONS(87),
  },
  [524] = {
    [sym__string_end] = ACTIONS(3120),
    [sym_comment] = ACTIONS(87),
  },
  [525] = {
    [sym__element_reference_left_bracket] = ACTIONS(909),
    [sym__infix_scope_colons] = ACTIONS(909),
    [sym__binary_minus] = ACTIONS(909),
    [sym__binary_star] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_unless] = ACTIONS(909),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_until] = ACTIONS(909),
    [anon_sym_rescue] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_EQ_GT] = ACTIONS(909),
    [anon_sym_AMP_DOT] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_and] = ACTIONS(909),
    [anon_sym_or] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(911),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ_GT] = ACTIONS(909),
    [anon_sym_EQ_TILDE] = ACTIONS(909),
    [anon_sym_BANG_TILDE] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [sym_comment] = ACTIONS(87),
  },
  [526] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1858),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(3122),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(3124),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [527] = {
    [aux_sym_string_array_repeat1] = STATE(1861),
    [sym__string_end] = ACTIONS(3126),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(3128),
  },
  [528] = {
    [sym__element_reference_left_bracket] = ACTIONS(927),
    [sym__infix_scope_colons] = ACTIONS(927),
    [sym__binary_minus] = ACTIONS(927),
    [sym__binary_star] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_RPAREN] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym_STAR_STAR] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_unless] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(927),
    [anon_sym_until] = ACTIONS(927),
    [anon_sym_rescue] = ACTIONS(927),
    [anon_sym_do] = ACTIONS(927),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_AMP_DOT] = ACTIONS(927),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_COLON] = ACTIONS(927),
    [anon_sym_DOT_DOT] = ACTIONS(929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(927),
    [anon_sym_and] = ACTIONS(927),
    [anon_sym_or] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(927),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(927),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(927),
    [anon_sym_LT_EQ_GT] = ACTIONS(927),
    [anon_sym_EQ_TILDE] = ACTIONS(927),
    [anon_sym_BANG_TILDE] = ACTIONS(927),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(927),
    [anon_sym_CARET] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [sym_comment] = ACTIONS(87),
  },
  [529] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1864),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(3130),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(3132),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [530] = {
    [aux_sym_symbol_array_repeat1] = STATE(1867),
    [sym__string_end] = ACTIONS(3134),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(3136),
  },
  [531] = {
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_when] = ACTIONS(3138),
    [anon_sym_RBRACK] = ACTIONS(3138),
    [sym_comment] = ACTIONS(87),
  },
  [532] = {
    [sym__statement] = STATE(1868),
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_if_modifier] = STATE(472),
    [sym_unless_modifier] = STATE(472),
    [sym_while_modifier] = STATE(472),
    [sym_until_modifier] = STATE(472),
    [sym_rescue_modifier] = STATE(472),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(473),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(473),
    [sym_operator_assignment] = STATE(473),
    [sym_conditional] = STATE(473),
    [sym_range] = STATE(473),
    [sym_binary] = STATE(473),
    [sym_unary] = STATE(473),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_undef] = STATE(472),
    [sym_alias] = STATE(472),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym_empty_statement] = STATE(472),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_SEMI] = ACTIONS(851),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [anon_sym_undef] = ACTIONS(875),
    [anon_sym_alias] = ACTIONS(877),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [533] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(3142),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [534] = {
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [535] = {
    [sym_string] = STATE(686),
    [aux_sym_chained_string_repeat1] = STATE(686),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [536] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1871),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(1871),
    [sym_operator_assignment] = STATE(1871),
    [sym_conditional] = STATE(1871),
    [sym_range] = STATE(1871),
    [sym_binary] = STATE(1871),
    [sym_unary] = STATE(1871),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [537] = {
    [sym__element_reference_left_bracket] = ACTIONS(997),
    [sym__infix_scope_colons] = ACTIONS(997),
    [sym__binary_minus] = ACTIONS(997),
    [sym__binary_star] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_RPAREN] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(997),
    [anon_sym_STAR_STAR] = ACTIONS(997),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_unless] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(997),
    [anon_sym_until] = ACTIONS(997),
    [anon_sym_rescue] = ACTIONS(997),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(997),
    [anon_sym_QMARK] = ACTIONS(997),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(997),
    [anon_sym_and] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(997),
    [anon_sym_PIPE_PIPE] = ACTIONS(997),
    [anon_sym_AMP_AMP] = ACTIONS(997),
    [anon_sym_LT_LT] = ACTIONS(997),
    [anon_sym_GT_GT] = ACTIONS(997),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(997),
    [anon_sym_LT_EQ_GT] = ACTIONS(997),
    [anon_sym_EQ_TILDE] = ACTIONS(997),
    [anon_sym_BANG_TILDE] = ACTIONS(997),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(999),
    [anon_sym_GT_EQ] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_SLASH] = ACTIONS(997),
    [anon_sym_PERCENT] = ACTIONS(997),
    [sym_comment] = ACTIONS(87),
  },
  [538] = {
    [anon_sym_RBRACE] = ACTIONS(3144),
    [sym_comment] = ACTIONS(87),
  },
  [539] = {
    [sym_heredoc_body] = STATE(1873),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [sym_comment] = ACTIONS(87),
  },
  [540] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(1874),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(1874),
    [sym_operator_assignment] = STATE(1874),
    [sym_conditional] = STATE(1874),
    [sym_range] = STATE(1874),
    [sym_binary] = STATE(1874),
    [sym_unary] = STATE(1874),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [541] = {
    [sym__element_reference_left_bracket] = ACTIONS(1277),
    [sym__infix_scope_colons] = ACTIONS(1277),
    [sym__binary_minus] = ACTIONS(1277),
    [sym__binary_star] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_RPAREN] = ACTIONS(1277),
    [anon_sym_DOT] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(1277),
    [anon_sym_PIPE] = ACTIONS(1279),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym_STAR_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1279),
    [anon_sym_LT] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_unless] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_until] = ACTIONS(1277),
    [anon_sym_rescue] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_AMP_DOT] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(1277),
    [anon_sym_COLON] = ACTIONS(1277),
    [anon_sym_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1277),
    [anon_sym_and] = ACTIONS(1277),
    [anon_sym_or] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE] = ACTIONS(1277),
    [anon_sym_AMP_AMP] = ACTIONS(1277),
    [anon_sym_LT_LT] = ACTIONS(1277),
    [anon_sym_GT_GT] = ACTIONS(1277),
    [anon_sym_EQ_EQ] = ACTIONS(1279),
    [anon_sym_BANG_EQ] = ACTIONS(1277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1277),
    [anon_sym_LT_EQ_GT] = ACTIONS(1277),
    [anon_sym_EQ_TILDE] = ACTIONS(1277),
    [anon_sym_BANG_TILDE] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(1279),
    [anon_sym_GT] = ACTIONS(1279),
    [anon_sym_GT_EQ] = ACTIONS(1277),
    [anon_sym_CARET] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(1277),
    [anon_sym_SLASH] = ACTIONS(1277),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [sym_comment] = ACTIONS(87),
  },
  [542] = {
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [sym_comment] = ACTIONS(87),
  },
  [543] = {
    [sym_method_parameters] = STATE(1876),
    [sym__simple_formal_parameter] = STATE(715),
    [sym_splat_parameter] = STATE(715),
    [sym_hash_splat_parameter] = STATE(715),
    [sym_block_parameter] = STATE(715),
    [sym_keyword_parameter] = STATE(715),
    [sym_optional_parameter] = STATE(715),
    [sym_heredoc_body] = STATE(1876),
    [sym__terminator] = STATE(1876),
    [sym__line_break] = ACTIONS(3148),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_comment] = ACTIONS(87),
  },
  [544] = {
    [sym__element_reference_left_bracket] = ACTIONS(1295),
    [sym__infix_scope_colons] = ACTIONS(1295),
    [sym__binary_minus] = ACTIONS(1295),
    [sym__binary_star] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_RPAREN] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1295),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_STAR_STAR] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_unless] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_until] = ACTIONS(1295),
    [anon_sym_rescue] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_EQ_GT] = ACTIONS(1295),
    [anon_sym_AMP_DOT] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1295),
    [anon_sym_COLON] = ACTIONS(1295),
    [anon_sym_DOT_DOT] = ACTIONS(1297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1295),
    [anon_sym_and] = ACTIONS(1295),
    [anon_sym_or] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1295),
    [anon_sym_AMP_AMP] = ACTIONS(1295),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_EQ_EQ] = ACTIONS(1297),
    [anon_sym_BANG_EQ] = ACTIONS(1295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ_GT] = ACTIONS(1295),
    [anon_sym_EQ_TILDE] = ACTIONS(1295),
    [anon_sym_BANG_TILDE] = ACTIONS(1295),
    [anon_sym_LT_EQ] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_CARET] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_PERCENT] = ACTIONS(1295),
    [sym_comment] = ACTIONS(87),
  },
  [545] = {
    [anon_sym_RPAREN] = ACTIONS(3150),
    [sym_comment] = ACTIONS(87),
  },
  [546] = {
    [sym__simple_symbol] = ACTIONS(1419),
    [sym__string_start] = ACTIONS(1419),
    [sym__symbol_start] = ACTIONS(1419),
    [sym__subshell_start] = ACTIONS(1419),
    [sym__regex_start] = ACTIONS(1419),
    [sym__string_array_start] = ACTIONS(1419),
    [sym__symbol_array_start] = ACTIONS(1419),
    [sym_heredoc_beginning] = ACTIONS(1419),
    [sym__element_reference_left_bracket] = ACTIONS(1419),
    [sym__block_ampersand] = ACTIONS(1419),
    [sym__splat_star] = ACTIONS(1419),
    [sym__argument_list_left_paren] = ACTIONS(1419),
    [sym__infix_scope_colons] = ACTIONS(1419),
    [sym__unary_minus] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1419),
    [sym__binary_star] = ACTIONS(1419),
    [sym__identifier_hash_key] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1419),
    [anon_sym_def] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_COLON_COLON] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1419),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [anon_sym_class] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1421),
    [anon_sym_module] = ACTIONS(1421),
    [anon_sym_return] = ACTIONS(1421),
    [anon_sym_yield] = ACTIONS(1421),
    [anon_sym_break] = ACTIONS(1421),
    [anon_sym_next] = ACTIONS(1421),
    [sym_redo] = ACTIONS(1421),
    [sym_retry] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_unless] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1421),
    [anon_sym_until] = ACTIONS(1421),
    [anon_sym_for] = ACTIONS(1421),
    [anon_sym_do] = ACTIONS(1421),
    [anon_sym_case] = ACTIONS(1421),
    [anon_sym_begin] = ACTIONS(1421),
    [anon_sym_EQ_GT] = ACTIONS(1419),
    [anon_sym_AMP_DOT] = ACTIONS(1419),
    [anon_sym_PLUS_EQ] = ACTIONS(1419),
    [anon_sym_DASH_EQ] = ACTIONS(1419),
    [anon_sym_STAR_EQ] = ACTIONS(1419),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1419),
    [anon_sym_SLASH_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1419),
    [anon_sym_AMP_EQ] = ACTIONS(1419),
    [anon_sym_PERCENT_EQ] = ACTIONS(1419),
    [anon_sym_GT_GT_EQ] = ACTIONS(1419),
    [anon_sym_LT_LT_EQ] = ACTIONS(1419),
    [anon_sym_CARET_EQ] = ACTIONS(1419),
    [anon_sym_QMARK] = ACTIONS(1421),
    [anon_sym_DOT_DOT] = ACTIONS(1421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1419),
    [anon_sym_and] = ACTIONS(1421),
    [anon_sym_or] = ACTIONS(1421),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_AMP_AMP] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1419),
    [anon_sym_LT_EQ_GT] = ACTIONS(1419),
    [anon_sym_EQ_TILDE] = ACTIONS(1419),
    [anon_sym_BANG_TILDE] = ACTIONS(1419),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1419),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_defined_QMARK] = ACTIONS(1419),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_BANG] = ACTIONS(1421),
    [anon_sym_TILDE] = ACTIONS(1419),
    [sym_constant] = ACTIONS(1421),
    [sym_identifier] = ACTIONS(1421),
    [sym_instance_variable] = ACTIONS(1419),
    [sym_class_variable] = ACTIONS(1419),
    [sym_global_variable] = ACTIONS(1419),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1421),
    [sym_complex] = ACTIONS(1419),
    [sym_super] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_TRUE] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_FALSE] = ACTIONS(1421),
    [sym_self] = ACTIONS(1421),
    [anon_sym_nil] = ACTIONS(1421),
    [anon_sym_NIL] = ACTIONS(1421),
    [sym_character] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_DASH_GT] = ACTIONS(1419),
  },
  [547] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(1879),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(3152),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [548] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1880),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(1880),
    [sym_operator_assignment] = STATE(1880),
    [sym_conditional] = STATE(1880),
    [sym_range] = STATE(1880),
    [sym_binary] = STATE(1880),
    [sym_unary] = STATE(1880),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [549] = {
    [sym_constant] = ACTIONS(3154),
    [sym_identifier] = ACTIONS(3154),
    [sym_comment] = ACTIONS(87),
  },
  [550] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1895),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(1897),
    [sym__argument] = STATE(1898),
    [sym_splat_argument] = STATE(1898),
    [sym_hash_splat_argument] = STATE(1898),
    [sym_block_argument] = STATE(1898),
    [sym_assignment] = STATE(1895),
    [sym_operator_assignment] = STATE(1895),
    [sym_conditional] = STATE(1895),
    [sym_range] = STATE(1895),
    [sym_binary] = STATE(1895),
    [sym_unary] = STATE(1895),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1898),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3156),
    [sym__splat_star] = ACTIONS(3158),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3180),
    [sym_identifier] = ACTIONS(3180),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [551] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1895),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(1897),
    [sym__argument] = STATE(1898),
    [sym_splat_argument] = STATE(1898),
    [sym_hash_splat_argument] = STATE(1898),
    [sym_block_argument] = STATE(1898),
    [sym_assignment] = STATE(1895),
    [sym_operator_assignment] = STATE(1895),
    [sym_conditional] = STATE(1895),
    [sym_range] = STATE(1895),
    [sym_binary] = STATE(1895),
    [sym_unary] = STATE(1895),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1898),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3156),
    [sym__splat_star] = ACTIONS(3158),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3180),
    [sym_identifier] = ACTIONS(3180),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [552] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1895),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(1897),
    [sym__argument] = STATE(1898),
    [sym_splat_argument] = STATE(1898),
    [sym_hash_splat_argument] = STATE(1898),
    [sym_block_argument] = STATE(1898),
    [sym_assignment] = STATE(1895),
    [sym_operator_assignment] = STATE(1895),
    [sym_conditional] = STATE(1895),
    [sym_range] = STATE(1895),
    [sym_binary] = STATE(1895),
    [sym_unary] = STATE(1895),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1898),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3156),
    [sym__splat_star] = ACTIONS(3158),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3180),
    [sym_identifier] = ACTIONS(3180),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [553] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1895),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(1897),
    [sym__argument] = STATE(1898),
    [sym_splat_argument] = STATE(1898),
    [sym_hash_splat_argument] = STATE(1898),
    [sym_block_argument] = STATE(1898),
    [sym_assignment] = STATE(1895),
    [sym_operator_assignment] = STATE(1895),
    [sym_conditional] = STATE(1895),
    [sym_range] = STATE(1895),
    [sym_binary] = STATE(1895),
    [sym_unary] = STATE(1895),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1898),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3156),
    [sym__splat_star] = ACTIONS(3158),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3180),
    [sym_identifier] = ACTIONS(3180),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [554] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1902),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(1902),
    [sym_operator_assignment] = STATE(1902),
    [sym_conditional] = STATE(1902),
    [sym_range] = STATE(1902),
    [sym_binary] = STATE(1902),
    [sym_unary] = STATE(1902),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [555] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1903),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(1903),
    [sym_operator_assignment] = STATE(1903),
    [sym_conditional] = STATE(1903),
    [sym_range] = STATE(1903),
    [sym_binary] = STATE(1903),
    [sym_unary] = STATE(1903),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [556] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1407),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(1407),
    [sym_operator_assignment] = STATE(1407),
    [sym_conditional] = STATE(1407),
    [sym_range] = STATE(1407),
    [sym_binary] = STATE(1407),
    [sym_unary] = STATE(1407),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [557] = {
    [sym__heredoc_body_start] = ACTIONS(563),
    [sym__element_reference_left_bracket] = ACTIONS(563),
    [sym__infix_scope_colons] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(563),
    [sym__binary_star] = ACTIONS(563),
    [anon_sym_LBRACE] = ACTIONS(563),
    [anon_sym_RBRACE] = ACTIONS(563),
    [anon_sym_RPAREN] = ACTIONS(563),
    [anon_sym_DOT] = ACTIONS(565),
    [anon_sym_COMMA] = ACTIONS(563),
    [anon_sym_PIPE] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_STAR_STAR] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(565),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(565),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_unless] = ACTIONS(563),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_until] = ACTIONS(563),
    [anon_sym_rescue] = ACTIONS(563),
    [anon_sym_in] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_RBRACK] = ACTIONS(563),
    [anon_sym_AMP_DOT] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(563),
    [anon_sym_DASH_EQ] = ACTIONS(563),
    [anon_sym_STAR_EQ] = ACTIONS(563),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(563),
    [anon_sym_SLASH_EQ] = ACTIONS(563),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(563),
    [anon_sym_PIPE_EQ] = ACTIONS(563),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(563),
    [anon_sym_AMP_EQ] = ACTIONS(563),
    [anon_sym_PERCENT_EQ] = ACTIONS(563),
    [anon_sym_GT_GT_EQ] = ACTIONS(563),
    [anon_sym_LT_LT_EQ] = ACTIONS(563),
    [anon_sym_CARET_EQ] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(563),
    [anon_sym_COLON] = ACTIONS(563),
    [anon_sym_DOT_DOT] = ACTIONS(565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(563),
    [anon_sym_and] = ACTIONS(563),
    [anon_sym_or] = ACTIONS(563),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [anon_sym_AMP_AMP] = ACTIONS(565),
    [anon_sym_LT_LT] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(565),
    [anon_sym_EQ_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ] = ACTIONS(563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(563),
    [anon_sym_LT_EQ_GT] = ACTIONS(563),
    [anon_sym_EQ_TILDE] = ACTIONS(563),
    [anon_sym_BANG_TILDE] = ACTIONS(563),
    [anon_sym_LT_EQ] = ACTIONS(565),
    [anon_sym_GT] = ACTIONS(565),
    [anon_sym_GT_EQ] = ACTIONS(563),
    [anon_sym_CARET] = ACTIONS(565),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_SLASH] = ACTIONS(565),
    [anon_sym_PERCENT] = ACTIONS(565),
    [sym_comment] = ACTIONS(87),
  },
  [558] = {
    [sym__heredoc_body_start] = ACTIONS(567),
    [sym__element_reference_left_bracket] = ACTIONS(567),
    [sym__infix_scope_colons] = ACTIONS(567),
    [sym__binary_minus] = ACTIONS(567),
    [sym__binary_star] = ACTIONS(567),
    [anon_sym_LBRACE] = ACTIONS(567),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(569),
    [anon_sym_COMMA] = ACTIONS(567),
    [anon_sym_PIPE] = ACTIONS(569),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(569),
    [anon_sym_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_if] = ACTIONS(567),
    [anon_sym_unless] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(567),
    [anon_sym_until] = ACTIONS(567),
    [anon_sym_rescue] = ACTIONS(567),
    [anon_sym_in] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(567),
    [anon_sym_RBRACK] = ACTIONS(567),
    [anon_sym_AMP_DOT] = ACTIONS(567),
    [anon_sym_PLUS_EQ] = ACTIONS(567),
    [anon_sym_DASH_EQ] = ACTIONS(567),
    [anon_sym_STAR_EQ] = ACTIONS(567),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(567),
    [anon_sym_SLASH_EQ] = ACTIONS(567),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(567),
    [anon_sym_PIPE_EQ] = ACTIONS(567),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(567),
    [anon_sym_AMP_EQ] = ACTIONS(567),
    [anon_sym_PERCENT_EQ] = ACTIONS(567),
    [anon_sym_GT_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_LT_EQ] = ACTIONS(567),
    [anon_sym_CARET_EQ] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(567),
    [anon_sym_COLON] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_and] = ACTIONS(567),
    [anon_sym_or] = ACTIONS(567),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(569),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_EQ_TILDE] = ACTIONS(567),
    [anon_sym_BANG_TILDE] = ACTIONS(567),
    [anon_sym_LT_EQ] = ACTIONS(569),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_SLASH] = ACTIONS(569),
    [anon_sym_PERCENT] = ACTIONS(569),
    [sym_comment] = ACTIONS(87),
  },
  [559] = {
    [sym__heredoc_body_start] = ACTIONS(571),
    [sym__element_reference_left_bracket] = ACTIONS(571),
    [sym__infix_scope_colons] = ACTIONS(571),
    [sym__binary_minus] = ACTIONS(571),
    [sym__binary_star] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(571),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_DOT] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(571),
    [anon_sym_PIPE] = ACTIONS(573),
    [anon_sym_SEMI] = ACTIONS(571),
    [anon_sym_STAR_STAR] = ACTIONS(573),
    [anon_sym_AMP] = ACTIONS(573),
    [anon_sym_EQ] = ACTIONS(573),
    [anon_sym_LT] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_unless] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_until] = ACTIONS(571),
    [anon_sym_rescue] = ACTIONS(571),
    [anon_sym_in] = ACTIONS(571),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_RBRACK] = ACTIONS(571),
    [anon_sym_AMP_DOT] = ACTIONS(571),
    [anon_sym_PLUS_EQ] = ACTIONS(571),
    [anon_sym_DASH_EQ] = ACTIONS(571),
    [anon_sym_STAR_EQ] = ACTIONS(571),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(571),
    [anon_sym_SLASH_EQ] = ACTIONS(571),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(571),
    [anon_sym_PIPE_EQ] = ACTIONS(571),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(571),
    [anon_sym_AMP_EQ] = ACTIONS(571),
    [anon_sym_PERCENT_EQ] = ACTIONS(571),
    [anon_sym_GT_GT_EQ] = ACTIONS(571),
    [anon_sym_LT_LT_EQ] = ACTIONS(571),
    [anon_sym_CARET_EQ] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(571),
    [anon_sym_COLON] = ACTIONS(571),
    [anon_sym_DOT_DOT] = ACTIONS(573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(571),
    [anon_sym_and] = ACTIONS(571),
    [anon_sym_or] = ACTIONS(571),
    [anon_sym_PIPE_PIPE] = ACTIONS(573),
    [anon_sym_AMP_AMP] = ACTIONS(573),
    [anon_sym_LT_LT] = ACTIONS(573),
    [anon_sym_GT_GT] = ACTIONS(573),
    [anon_sym_EQ_EQ] = ACTIONS(573),
    [anon_sym_BANG_EQ] = ACTIONS(571),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(571),
    [anon_sym_LT_EQ_GT] = ACTIONS(571),
    [anon_sym_EQ_TILDE] = ACTIONS(571),
    [anon_sym_BANG_TILDE] = ACTIONS(571),
    [anon_sym_LT_EQ] = ACTIONS(573),
    [anon_sym_GT] = ACTIONS(573),
    [anon_sym_GT_EQ] = ACTIONS(571),
    [anon_sym_CARET] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_PERCENT] = ACTIONS(573),
    [sym_comment] = ACTIONS(87),
  },
  [560] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_and] = ACTIONS(3206),
    [anon_sym_or] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [561] = {
    [sym__heredoc_body_start] = ACTIONS(735),
    [sym__element_reference_left_bracket] = ACTIONS(3220),
    [sym__infix_scope_colons] = ACTIONS(3222),
    [sym__binary_minus] = ACTIONS(735),
    [sym__binary_star] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_COMMA] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_AMP] = ACTIONS(743),
    [anon_sym_EQ] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_unless] = ACTIONS(735),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_until] = ACTIONS(735),
    [anon_sym_rescue] = ACTIONS(735),
    [anon_sym_in] = ACTIONS(735),
    [anon_sym_do] = ACTIONS(735),
    [anon_sym_RBRACK] = ACTIONS(735),
    [anon_sym_AMP_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(735),
    [anon_sym_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(735),
    [anon_sym_or] = ACTIONS(735),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT_LT] = ACTIONS(735),
    [anon_sym_GT_GT] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(735),
    [anon_sym_LT_EQ_GT] = ACTIONS(735),
    [anon_sym_EQ_TILDE] = ACTIONS(735),
    [anon_sym_BANG_TILDE] = ACTIONS(735),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(743),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(735),
    [sym_comment] = ACTIONS(87),
  },
  [562] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1934),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(1936),
    [sym__argument_list_with_parens] = STATE(1937),
    [sym__argument] = STATE(1938),
    [sym_splat_argument] = STATE(1938),
    [sym_hash_splat_argument] = STATE(1938),
    [sym_block_argument] = STATE(1938),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(1934),
    [sym_operator_assignment] = STATE(1934),
    [sym_conditional] = STATE(1934),
    [sym_range] = STATE(1934),
    [sym_binary] = STATE(1934),
    [sym_unary] = STATE(1934),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1942),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1938),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(3228),
    [sym__splat_star] = ACTIONS(3230),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3256),
    [sym_identifier] = ACTIONS(3256),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [563] = {
    [anon_sym_EQ] = ACTIONS(3262),
    [sym_comment] = ACTIONS(87),
  },
  [564] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3266),
    [anon_sym_AMP_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_GT_GT_EQ] = ACTIONS(3266),
    [anon_sym_LT_LT_EQ] = ACTIONS(3266),
    [anon_sym_CARET_EQ] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [565] = {
    [sym_string] = STATE(1945),
    [aux_sym_chained_string_repeat1] = STATE(1945),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [566] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1946),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(1946),
    [sym_operator_assignment] = STATE(1946),
    [sym_conditional] = STATE(1946),
    [sym_range] = STATE(1946),
    [sym_binary] = STATE(1946),
    [sym_unary] = STATE(1946),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [567] = {
    [sym_superclass] = STATE(1947),
    [sym_heredoc_body] = STATE(1948),
    [sym__terminator] = STATE(1948),
    [sym__line_break] = ACTIONS(3268),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [568] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_superclass] = STATE(1947),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(1948),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(1948),
    [sym__line_break] = ACTIONS(3268),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [569] = {
    [sym_heredoc_body] = STATE(1950),
    [sym__terminator] = STATE(1950),
    [sym__line_break] = ACTIONS(3270),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [570] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(1950),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(1950),
    [sym__line_break] = ACTIONS(3270),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_end] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [571] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1951),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(1951),
    [sym_operator_assignment] = STATE(1951),
    [sym_conditional] = STATE(1951),
    [sym_range] = STATE(1951),
    [sym_binary] = STATE(1951),
    [sym_unary] = STATE(1951),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [572] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1953),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(1953),
    [sym_operator_assignment] = STATE(1953),
    [sym_conditional] = STATE(1953),
    [sym_range] = STATE(1953),
    [sym_binary] = STATE(1953),
    [sym_unary] = STATE(1953),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [573] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(1955),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(1956),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(3274),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [574] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1957),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(1957),
    [sym_operator_assignment] = STATE(1957),
    [sym_conditional] = STATE(1957),
    [sym_range] = STATE(1957),
    [sym_binary] = STATE(1957),
    [sym_unary] = STATE(1957),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [575] = {
    [sym__keyword_colon] = ACTIONS(3276),
    [sym_comment] = ACTIONS(87),
  },
  [576] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1959),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(1959),
    [sym_operator_assignment] = STATE(1959),
    [sym_conditional] = STATE(1959),
    [sym_range] = STATE(1959),
    [sym_binary] = STATE(1959),
    [sym_unary] = STATE(1959),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [577] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(1960),
    [sym__argument] = STATE(1961),
    [sym_splat_argument] = STATE(1961),
    [sym_hash_splat_argument] = STATE(1961),
    [sym_block_argument] = STATE(1961),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1961),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [578] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(1960),
    [sym__argument] = STATE(1961),
    [sym_splat_argument] = STATE(1961),
    [sym_hash_splat_argument] = STATE(1961),
    [sym_block_argument] = STATE(1961),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1961),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [579] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(1960),
    [sym__argument] = STATE(1961),
    [sym_splat_argument] = STATE(1961),
    [sym_hash_splat_argument] = STATE(1961),
    [sym_block_argument] = STATE(1961),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1961),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [580] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(1960),
    [sym__argument] = STATE(1961),
    [sym_splat_argument] = STATE(1961),
    [sym_hash_splat_argument] = STATE(1961),
    [sym_block_argument] = STATE(1961),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1961),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [581] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1962),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(1962),
    [sym_operator_assignment] = STATE(1962),
    [sym_conditional] = STATE(1962),
    [sym_range] = STATE(1962),
    [sym_binary] = STATE(1962),
    [sym_unary] = STATE(1962),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [582] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1963),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(1963),
    [sym_operator_assignment] = STATE(1963),
    [sym_conditional] = STATE(1963),
    [sym_range] = STATE(1963),
    [sym_binary] = STATE(1963),
    [sym_unary] = STATE(1963),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [583] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [584] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(3276),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [585] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [586] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(673),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(1449),
    [sym__argument_list_with_parens] = STATE(677),
    [sym__argument] = STATE(678),
    [sym_splat_argument] = STATE(678),
    [sym_hash_splat_argument] = STATE(678),
    [sym_block_argument] = STATE(678),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(673),
    [sym_operator_assignment] = STATE(673),
    [sym_conditional] = STATE(673),
    [sym_range] = STATE(673),
    [sym_binary] = STATE(673),
    [sym_unary] = STATE(673),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(682),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(678),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1159),
    [sym__splat_star] = ACTIONS(1161),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(2447),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1213),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [587] = {
    [sym__element_reference_left_bracket] = ACTIONS(1689),
    [sym__infix_scope_colons] = ACTIONS(1689),
    [sym__binary_minus] = ACTIONS(1689),
    [sym__binary_star] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1689),
    [anon_sym_unless] = ACTIONS(1689),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_until] = ACTIONS(1689),
    [anon_sym_rescue] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(1689),
    [anon_sym_EQ_GT] = ACTIONS(1689),
    [anon_sym_AMP_DOT] = ACTIONS(1689),
    [anon_sym_QMARK] = ACTIONS(1689),
    [anon_sym_COLON] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1689),
    [anon_sym_and] = ACTIONS(1689),
    [anon_sym_or] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_AMP_AMP] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_EQ_EQ] = ACTIONS(1691),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1689),
    [anon_sym_LT_EQ_GT] = ACTIONS(1689),
    [anon_sym_EQ_TILDE] = ACTIONS(1689),
    [anon_sym_BANG_TILDE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1689),
    [anon_sym_PERCENT] = ACTIONS(1689),
    [sym_comment] = ACTIONS(87),
  },
  [588] = {
    [sym_heredoc_body] = STATE(1979),
    [aux_sym_call_repeat1] = STATE(1979),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [589] = {
    [sym_heredoc_body] = STATE(1979),
    [aux_sym_call_repeat1] = STATE(1979),
    [aux_sym_argument_list_repeat1] = STATE(1981),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [590] = {
    [anon_sym_EQ] = ACTIONS(3312),
    [sym_comment] = ACTIONS(87),
  },
  [591] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(3316),
    [anon_sym_DASH_EQ] = ACTIONS(3316),
    [anon_sym_STAR_EQ] = ACTIONS(3316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3316),
    [anon_sym_SLASH_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_EQ] = ACTIONS(3316),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3316),
    [anon_sym_AMP_EQ] = ACTIONS(3316),
    [anon_sym_PERCENT_EQ] = ACTIONS(3316),
    [anon_sym_GT_GT_EQ] = ACTIONS(3316),
    [anon_sym_LT_LT_EQ] = ACTIONS(3316),
    [anon_sym_CARET_EQ] = ACTIONS(3316),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [592] = {
    [sym_string] = STATE(1985),
    [aux_sym_chained_string_repeat1] = STATE(1985),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(3318),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [593] = {
    [sym__element_reference_left_bracket] = ACTIONS(1709),
    [sym__infix_scope_colons] = ACTIONS(1709),
    [sym__binary_minus] = ACTIONS(1709),
    [sym__binary_star] = ACTIONS(1709),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_unless] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_until] = ACTIONS(1709),
    [anon_sym_rescue] = ACTIONS(1709),
    [anon_sym_do] = ACTIONS(1709),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_AMP_DOT] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_COLON] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [sym_comment] = ACTIONS(87),
  },
  [594] = {
    [sym__element_reference_left_bracket] = ACTIONS(1713),
    [sym__infix_scope_colons] = ACTIONS(1713),
    [sym__binary_minus] = ACTIONS(1713),
    [sym__binary_star] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_RBRACE] = ACTIONS(1713),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_STAR_STAR] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_unless] = ACTIONS(1713),
    [anon_sym_while] = ACTIONS(1713),
    [anon_sym_until] = ACTIONS(1713),
    [anon_sym_rescue] = ACTIONS(1713),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_EQ_GT] = ACTIONS(1713),
    [anon_sym_AMP_DOT] = ACTIONS(1713),
    [anon_sym_QMARK] = ACTIONS(1713),
    [anon_sym_COLON] = ACTIONS(1713),
    [anon_sym_DOT_DOT] = ACTIONS(1715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1713),
    [anon_sym_and] = ACTIONS(1713),
    [anon_sym_or] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_AMP_AMP] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_EQ_EQ] = ACTIONS(1715),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1713),
    [anon_sym_LT_EQ_GT] = ACTIONS(1713),
    [anon_sym_EQ_TILDE] = ACTIONS(1713),
    [anon_sym_BANG_TILDE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_PERCENT] = ACTIONS(1713),
    [sym_comment] = ACTIONS(87),
  },
  [595] = {
    [sym__element_reference_left_bracket] = ACTIONS(1717),
    [sym__infix_scope_colons] = ACTIONS(1717),
    [sym__binary_minus] = ACTIONS(1717),
    [sym__binary_star] = ACTIONS(1717),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_unless] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_until] = ACTIONS(1717),
    [anon_sym_rescue] = ACTIONS(1717),
    [anon_sym_do] = ACTIONS(1717),
    [anon_sym_EQ_GT] = ACTIONS(1717),
    [anon_sym_AMP_DOT] = ACTIONS(1717),
    [anon_sym_QMARK] = ACTIONS(1717),
    [anon_sym_COLON] = ACTIONS(1717),
    [anon_sym_DOT_DOT] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(1717),
    [anon_sym_or] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE] = ACTIONS(1717),
    [anon_sym_AMP_AMP] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1717),
    [anon_sym_GT_GT] = ACTIONS(1717),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1717),
    [anon_sym_LT_EQ_GT] = ACTIONS(1717),
    [anon_sym_EQ_TILDE] = ACTIONS(1717),
    [anon_sym_BANG_TILDE] = ACTIONS(1717),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1717),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_PLUS] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [sym_comment] = ACTIONS(87),
  },
  [596] = {
    [sym__then] = STATE(1986),
    [sym_heredoc_body] = STATE(1027),
    [sym__terminator] = STATE(1027),
    [sym__line_break] = ACTIONS(1751),
    [sym__heredoc_body_start] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(3320),
    [sym_comment] = ACTIONS(87),
  },
  [597] = {
    [sym__then] = STATE(1987),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(3322),
    [sym_comment] = ACTIONS(87),
  },
  [598] = {
    [sym__do] = STATE(1988),
    [sym_heredoc_body] = STATE(1988),
    [sym__terminator] = STATE(1988),
    [sym__line_break] = ACTIONS(3324),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [599] = {
    [sym__do] = STATE(1989),
    [sym_heredoc_body] = STATE(1989),
    [sym__terminator] = STATE(1989),
    [sym__line_break] = ACTIONS(3326),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [600] = {
    [sym_in] = STATE(1990),
    [anon_sym_in] = ACTIONS(1985),
    [sym_comment] = ACTIONS(87),
  },
  [601] = {
    [sym_heredoc_body] = STATE(1991),
    [sym__terminator] = STATE(1991),
    [sym__line_break] = ACTIONS(3328),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [602] = {
    [sym_when] = STATE(1992),
    [aux_sym_case_repeat1] = STATE(1993),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [603] = {
    [sym_else] = STATE(1995),
    [sym_ensure] = STATE(1996),
    [sym_rescue] = STATE(1997),
    [anon_sym_end] = ACTIONS(3332),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [604] = {
    [sym_ensure] = STATE(1996),
    [anon_sym_end] = ACTIONS(3332),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [605] = {
    [anon_sym_end] = ACTIONS(3332),
    [sym_comment] = ACTIONS(87),
  },
  [606] = {
    [sym_else] = STATE(1995),
    [sym_ensure] = STATE(1996),
    [anon_sym_end] = ACTIONS(3332),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [607] = {
    [sym__element_reference_left_bracket] = ACTIONS(2205),
    [sym__infix_scope_colons] = ACTIONS(2205),
    [sym__binary_minus] = ACTIONS(2205),
    [sym__binary_star] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_STAR_STAR] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_unless] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_until] = ACTIONS(2205),
    [anon_sym_rescue] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_EQ_GT] = ACTIONS(2205),
    [anon_sym_AMP_DOT] = ACTIONS(2205),
    [anon_sym_QMARK] = ACTIONS(2205),
    [anon_sym_COLON] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_and] = ACTIONS(2205),
    [anon_sym_or] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_GT_GT] = ACTIONS(2205),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_LT_EQ_GT] = ACTIONS(2205),
    [anon_sym_EQ_TILDE] = ACTIONS(2205),
    [anon_sym_BANG_TILDE] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2205),
    [sym_comment] = ACTIONS(87),
  },
  [608] = {
    [sym__statements] = STATE(603),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(604),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(605),
    [sym_rescue] = STATE(606),
    [sym__body_statement] = STATE(1998),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [609] = {
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [610] = {
    [sym__binary_minus] = ACTIONS(1101),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1109),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_DOT_DOT] = ACTIONS(1117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1119),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_EQ_TILDE] = ACTIONS(1123),
    [anon_sym_BANG_TILDE] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_GT] = ACTIONS(1111),
    [anon_sym_GT_EQ] = ACTIONS(1129),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [611] = {
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2279),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [612] = {
    [sym__element_reference_left_bracket] = ACTIONS(2291),
    [sym__infix_scope_colons] = ACTIONS(2291),
    [sym__binary_minus] = ACTIONS(2291),
    [sym__binary_star] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2291),
    [anon_sym_RBRACE] = ACTIONS(2291),
    [anon_sym_RPAREN] = ACTIONS(2291),
    [anon_sym_DOT] = ACTIONS(2293),
    [anon_sym_COMMA] = ACTIONS(2291),
    [anon_sym_PIPE] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2291),
    [anon_sym_STAR_STAR] = ACTIONS(2291),
    [anon_sym_AMP] = ACTIONS(2293),
    [anon_sym_LT] = ACTIONS(2293),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_unless] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_until] = ACTIONS(2291),
    [anon_sym_rescue] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_EQ_GT] = ACTIONS(2291),
    [anon_sym_AMP_DOT] = ACTIONS(2291),
    [anon_sym_QMARK] = ACTIONS(2291),
    [anon_sym_COLON] = ACTIONS(2291),
    [anon_sym_DOT_DOT] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2291),
    [anon_sym_and] = ACTIONS(2291),
    [anon_sym_or] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE] = ACTIONS(2291),
    [anon_sym_AMP_AMP] = ACTIONS(2291),
    [anon_sym_LT_LT] = ACTIONS(2291),
    [anon_sym_GT_GT] = ACTIONS(2291),
    [anon_sym_EQ_EQ] = ACTIONS(2293),
    [anon_sym_BANG_EQ] = ACTIONS(2291),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2291),
    [anon_sym_LT_EQ_GT] = ACTIONS(2291),
    [anon_sym_EQ_TILDE] = ACTIONS(2291),
    [anon_sym_BANG_TILDE] = ACTIONS(2291),
    [anon_sym_LT_EQ] = ACTIONS(2293),
    [anon_sym_GT] = ACTIONS(2293),
    [anon_sym_GT_EQ] = ACTIONS(2291),
    [anon_sym_CARET] = ACTIONS(2291),
    [anon_sym_PLUS] = ACTIONS(2291),
    [anon_sym_SLASH] = ACTIONS(2291),
    [anon_sym_PERCENT] = ACTIONS(2291),
    [sym_comment] = ACTIONS(87),
  },
  [613] = {
    [sym__element_reference_left_bracket] = ACTIONS(2375),
    [sym__infix_scope_colons] = ACTIONS(2375),
    [sym__binary_minus] = ACTIONS(2375),
    [sym__binary_star] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_RBRACE] = ACTIONS(2375),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_COMMA] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2375),
    [anon_sym_STAR_STAR] = ACTIONS(2375),
    [anon_sym_AMP] = ACTIONS(2377),
    [anon_sym_LT] = ACTIONS(2377),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_unless] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(2375),
    [anon_sym_until] = ACTIONS(2375),
    [anon_sym_rescue] = ACTIONS(2375),
    [anon_sym_do] = ACTIONS(2375),
    [anon_sym_EQ_GT] = ACTIONS(2375),
    [anon_sym_AMP_DOT] = ACTIONS(2375),
    [anon_sym_QMARK] = ACTIONS(2375),
    [anon_sym_COLON] = ACTIONS(2375),
    [anon_sym_DOT_DOT] = ACTIONS(2377),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2375),
    [anon_sym_and] = ACTIONS(2375),
    [anon_sym_or] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE] = ACTIONS(2375),
    [anon_sym_AMP_AMP] = ACTIONS(2375),
    [anon_sym_LT_LT] = ACTIONS(2375),
    [anon_sym_GT_GT] = ACTIONS(2375),
    [anon_sym_EQ_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2375),
    [anon_sym_LT_EQ_GT] = ACTIONS(2375),
    [anon_sym_EQ_TILDE] = ACTIONS(2375),
    [anon_sym_BANG_TILDE] = ACTIONS(2375),
    [anon_sym_LT_EQ] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2375),
    [anon_sym_CARET] = ACTIONS(2375),
    [anon_sym_PLUS] = ACTIONS(2375),
    [anon_sym_SLASH] = ACTIONS(2375),
    [anon_sym_PERCENT] = ACTIONS(2375),
    [sym_comment] = ACTIONS(87),
  },
  [614] = {
    [sym_heredoc_body] = STATE(2000),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(3336),
    [sym_comment] = ACTIONS(87),
  },
  [615] = {
    [anon_sym_RBRACK] = ACTIONS(3336),
    [sym_comment] = ACTIONS(87),
  },
  [616] = {
    [sym__statements] = STATE(2002),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(2003),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [617] = {
    [sym__statements] = STATE(2005),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(2006),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(2007),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(2007),
    [sym__line_break] = ACTIONS(3340),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [618] = {
    [sym_do_block] = STATE(2008),
    [sym_block] = STATE(2008),
    [anon_sym_LBRACE] = ACTIONS(1097),
    [anon_sym_do] = ACTIONS(3344),
    [sym_comment] = ACTIONS(87),
  },
  [619] = {
    [sym__element_reference_left_bracket] = ACTIONS(2521),
    [sym__infix_scope_colons] = ACTIONS(2521),
    [sym__binary_minus] = ACTIONS(2521),
    [sym__binary_star] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_STAR_STAR] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_unless] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_until] = ACTIONS(2521),
    [anon_sym_rescue] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_EQ_GT] = ACTIONS(2521),
    [anon_sym_AMP_DOT] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_COLON] = ACTIONS(2521),
    [anon_sym_DOT_DOT] = ACTIONS(2523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2521),
    [anon_sym_and] = ACTIONS(2521),
    [anon_sym_or] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2521),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_LT_LT] = ACTIONS(2521),
    [anon_sym_GT_GT] = ACTIONS(2521),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2521),
    [anon_sym_LT_EQ_GT] = ACTIONS(2521),
    [anon_sym_EQ_TILDE] = ACTIONS(2521),
    [anon_sym_BANG_TILDE] = ACTIONS(2521),
    [anon_sym_LT_EQ] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_GT_EQ] = ACTIONS(2521),
    [anon_sym_CARET] = ACTIONS(2521),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [sym_comment] = ACTIONS(87),
  },
  [620] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2009),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2009),
    [sym_operator_assignment] = STATE(2009),
    [sym_conditional] = STATE(2009),
    [sym_range] = STATE(2009),
    [sym_binary] = STATE(2009),
    [sym_unary] = STATE(2009),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [621] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2010),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2010),
    [sym_operator_assignment] = STATE(2010),
    [sym_conditional] = STATE(2010),
    [sym_range] = STATE(2010),
    [sym_binary] = STATE(2010),
    [sym_unary] = STATE(2010),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [622] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2011),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2011),
    [sym_operator_assignment] = STATE(2011),
    [sym_conditional] = STATE(2011),
    [sym_range] = STATE(2011),
    [sym_binary] = STATE(2011),
    [sym_unary] = STATE(2011),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [623] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2012),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2012),
    [sym_operator_assignment] = STATE(2012),
    [sym_conditional] = STATE(2012),
    [sym_range] = STATE(2012),
    [sym_binary] = STATE(2012),
    [sym_unary] = STATE(2012),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [624] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2013),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2013),
    [sym_operator_assignment] = STATE(2013),
    [sym_conditional] = STATE(2013),
    [sym_range] = STATE(2013),
    [sym_binary] = STATE(2013),
    [sym_unary] = STATE(2013),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [625] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2014),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2014),
    [sym_operator_assignment] = STATE(2014),
    [sym_conditional] = STATE(2014),
    [sym_range] = STATE(2014),
    [sym_binary] = STATE(2014),
    [sym_unary] = STATE(2014),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [626] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2015),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(2015),
    [sym_operator_assignment] = STATE(2015),
    [sym_conditional] = STATE(2015),
    [sym_range] = STATE(2015),
    [sym_binary] = STATE(2015),
    [sym_unary] = STATE(2015),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [627] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(2016),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(2016),
    [sym_operator_assignment] = STATE(2016),
    [sym_conditional] = STATE(2016),
    [sym_range] = STATE(2016),
    [sym_binary] = STATE(2016),
    [sym_unary] = STATE(2016),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [628] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2017),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2017),
    [sym_operator_assignment] = STATE(2017),
    [sym_conditional] = STATE(2017),
    [sym_range] = STATE(2017),
    [sym_binary] = STATE(2017),
    [sym_unary] = STATE(2017),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [629] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2018),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2018),
    [sym_operator_assignment] = STATE(2018),
    [sym_conditional] = STATE(2018),
    [sym_range] = STATE(2018),
    [sym_binary] = STATE(2018),
    [sym_unary] = STATE(2018),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [630] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2019),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2019),
    [sym_operator_assignment] = STATE(2019),
    [sym_conditional] = STATE(2019),
    [sym_range] = STATE(2019),
    [sym_binary] = STATE(2019),
    [sym_unary] = STATE(2019),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [631] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2020),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2020),
    [sym_operator_assignment] = STATE(2020),
    [sym_conditional] = STATE(2020),
    [sym_range] = STATE(2020),
    [sym_binary] = STATE(2020),
    [sym_unary] = STATE(2020),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [632] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2021),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2021),
    [sym_operator_assignment] = STATE(2021),
    [sym_conditional] = STATE(2021),
    [sym_range] = STATE(2021),
    [sym_binary] = STATE(2021),
    [sym_unary] = STATE(2021),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [633] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(2023),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(2024),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [634] = {
    [sym_constant] = ACTIONS(3348),
    [sym_identifier] = ACTIONS(3348),
    [sym_comment] = ACTIONS(87),
  },
  [635] = {
    [sym_argument_list_with_parens] = STATE(2028),
    [sym__argument_list_with_parens] = STATE(2029),
    [sym_operator] = STATE(2028),
    [sym_heredoc_body] = STATE(2030),
    [aux_sym_call_repeat1] = STATE(2030),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_STAR_STAR] = ACTIONS(3352),
    [anon_sym_AMP] = ACTIONS(3352),
    [anon_sym_LT] = ACTIONS(3354),
    [anon_sym_DOT_DOT] = ACTIONS(3352),
    [anon_sym_LT_LT] = ACTIONS(3352),
    [anon_sym_GT_GT] = ACTIONS(3352),
    [anon_sym_EQ_EQ] = ACTIONS(3354),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3352),
    [anon_sym_LT_EQ_GT] = ACTIONS(3352),
    [anon_sym_EQ_TILDE] = ACTIONS(3352),
    [anon_sym_BANG_TILDE] = ACTIONS(3352),
    [anon_sym_LT_EQ] = ACTIONS(3354),
    [anon_sym_GT] = ACTIONS(3354),
    [anon_sym_GT_EQ] = ACTIONS(3352),
    [anon_sym_CARET] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_SLASH] = ACTIONS(3352),
    [anon_sym_PERCENT] = ACTIONS(3352),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3352),
    [sym_constant] = ACTIONS(3356),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_DASH] = ACTIONS(3354),
    [anon_sym_PLUS_AT] = ACTIONS(3352),
    [anon_sym_DASH_AT] = ACTIONS(3352),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3354),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(3352),
    [anon_sym_BQUOTE] = ACTIONS(3352),
    [sym_comment] = ACTIONS(87),
  },
  [636] = {
    [sym__heredoc_body_start] = ACTIONS(101),
    [sym__element_reference_left_bracket] = ACTIONS(101),
    [sym__infix_scope_colons] = ACTIONS(101),
    [sym__binary_minus] = ACTIONS(101),
    [sym__binary_star] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_RPAREN] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(103),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_STAR_STAR] = ACTIONS(103),
    [anon_sym_AMP] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(103),
    [anon_sym_LT] = ACTIONS(103),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_unless] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_until] = ACTIONS(101),
    [anon_sym_rescue] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_EQ_GT] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_AMP_DOT] = ACTIONS(101),
    [anon_sym_PLUS_EQ] = ACTIONS(101),
    [anon_sym_DASH_EQ] = ACTIONS(101),
    [anon_sym_STAR_EQ] = ACTIONS(101),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(101),
    [anon_sym_SLASH_EQ] = ACTIONS(101),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(101),
    [anon_sym_PIPE_EQ] = ACTIONS(101),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(101),
    [anon_sym_AMP_EQ] = ACTIONS(101),
    [anon_sym_PERCENT_EQ] = ACTIONS(101),
    [anon_sym_GT_GT_EQ] = ACTIONS(101),
    [anon_sym_LT_LT_EQ] = ACTIONS(101),
    [anon_sym_CARET_EQ] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_and] = ACTIONS(101),
    [anon_sym_or] = ACTIONS(101),
    [anon_sym_PIPE_PIPE] = ACTIONS(103),
    [anon_sym_AMP_AMP] = ACTIONS(103),
    [anon_sym_LT_LT] = ACTIONS(103),
    [anon_sym_GT_GT] = ACTIONS(103),
    [anon_sym_EQ_EQ] = ACTIONS(103),
    [anon_sym_BANG_EQ] = ACTIONS(101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(101),
    [anon_sym_LT_EQ_GT] = ACTIONS(101),
    [anon_sym_EQ_TILDE] = ACTIONS(101),
    [anon_sym_BANG_TILDE] = ACTIONS(101),
    [anon_sym_LT_EQ] = ACTIONS(103),
    [anon_sym_GT] = ACTIONS(103),
    [anon_sym_GT_EQ] = ACTIONS(101),
    [anon_sym_CARET] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(103),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_PERCENT] = ACTIONS(103),
    [sym_comment] = ACTIONS(87),
  },
  [637] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(2032),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(3358),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [638] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(2034),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(3360),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [639] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(2036),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(3362),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [640] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(2038),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(3364),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [641] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(2041),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(3366),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(3368),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [642] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(2044),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(3370),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(3372),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [643] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2047),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(2047),
    [sym_operator_assignment] = STATE(2047),
    [sym_conditional] = STATE(2047),
    [sym_range] = STATE(2047),
    [sym_binary] = STATE(2047),
    [sym_unary] = STATE(2047),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [644] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2049),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(2049),
    [sym_operator_assignment] = STATE(2049),
    [sym_conditional] = STATE(2049),
    [sym_range] = STATE(2049),
    [sym_binary] = STATE(2049),
    [sym_unary] = STATE(2049),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [645] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(2051),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(2052),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(3380),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [646] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2053),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(2053),
    [sym_operator_assignment] = STATE(2053),
    [sym_conditional] = STATE(2053),
    [sym_range] = STATE(2053),
    [sym_binary] = STATE(2053),
    [sym_unary] = STATE(2053),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [647] = {
    [sym__keyword_colon] = ACTIONS(3382),
    [sym_comment] = ACTIONS(87),
  },
  [648] = {
    [sym__statements] = STATE(2056),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(2057),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(2058),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(2059),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(3384),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [649] = {
    [sym__method_rest] = STATE(2061),
    [sym__variable] = STATE(2062),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(2063),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(3386),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(239),
    [sym_identifier] = ACTIONS(241),
    [sym_instance_variable] = ACTIONS(239),
    [sym_class_variable] = ACTIONS(239),
    [sym_global_variable] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
    [sym_super] = ACTIONS(3388),
    [sym_self] = ACTIONS(3388),
  },
  [650] = {
    [sym__statements] = STATE(2065),
    [sym__top_level_statement] = STATE(150),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(155),
    [sym__simple_mlhs] = STATE(156),
    [sym_destructured_left_assignment] = STATE(156),
    [sym_rest_assignment] = STATE(156),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(3390),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [651] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2066),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(2066),
    [sym_operator_assignment] = STATE(2066),
    [sym_conditional] = STATE(2066),
    [sym_range] = STATE(2066),
    [sym_binary] = STATE(2066),
    [sym_unary] = STATE(2066),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [652] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(2069),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(3392),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(3394),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [653] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(2071),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [654] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(673),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(2072),
    [sym__argument_list_with_parens] = STATE(677),
    [sym__argument] = STATE(678),
    [sym_splat_argument] = STATE(678),
    [sym_hash_splat_argument] = STATE(678),
    [sym_block_argument] = STATE(678),
    [sym_assignment] = STATE(673),
    [sym_operator_assignment] = STATE(673),
    [sym_conditional] = STATE(673),
    [sym_range] = STATE(673),
    [sym_binary] = STATE(673),
    [sym_unary] = STATE(673),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(682),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(678),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1159),
    [sym__splat_star] = ACTIONS(1161),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1213),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [655] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(673),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(2073),
    [sym__argument_list_with_parens] = STATE(677),
    [sym__argument] = STATE(678),
    [sym_splat_argument] = STATE(678),
    [sym_hash_splat_argument] = STATE(678),
    [sym_block_argument] = STATE(678),
    [sym_assignment] = STATE(673),
    [sym_operator_assignment] = STATE(673),
    [sym_conditional] = STATE(673),
    [sym_range] = STATE(673),
    [sym_binary] = STATE(673),
    [sym_unary] = STATE(673),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(682),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(678),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1159),
    [sym__splat_star] = ACTIONS(1161),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1213),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [656] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(673),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(2074),
    [sym__argument_list_with_parens] = STATE(677),
    [sym__argument] = STATE(678),
    [sym_splat_argument] = STATE(678),
    [sym_hash_splat_argument] = STATE(678),
    [sym_block_argument] = STATE(678),
    [sym_assignment] = STATE(673),
    [sym_operator_assignment] = STATE(673),
    [sym_conditional] = STATE(673),
    [sym_range] = STATE(673),
    [sym_binary] = STATE(673),
    [sym_unary] = STATE(673),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(682),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(678),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1159),
    [sym__splat_star] = ACTIONS(1161),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1213),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [657] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(673),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(2075),
    [sym__argument_list_with_parens] = STATE(677),
    [sym__argument] = STATE(678),
    [sym_splat_argument] = STATE(678),
    [sym_hash_splat_argument] = STATE(678),
    [sym_block_argument] = STATE(678),
    [sym_assignment] = STATE(673),
    [sym_operator_assignment] = STATE(673),
    [sym_conditional] = STATE(673),
    [sym_range] = STATE(673),
    [sym_binary] = STATE(673),
    [sym_unary] = STATE(673),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(682),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(678),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1159),
    [sym__splat_star] = ACTIONS(1161),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1213),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [658] = {
    [sym__statement] = STATE(2076),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [659] = {
    [sym__statement] = STATE(2077),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [660] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2078),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2078),
    [sym_operator_assignment] = STATE(2078),
    [sym_conditional] = STATE(2078),
    [sym_range] = STATE(2078),
    [sym_binary] = STATE(2078),
    [sym_unary] = STATE(2078),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [661] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2079),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2079),
    [sym_operator_assignment] = STATE(2079),
    [sym_conditional] = STATE(2079),
    [sym_range] = STATE(2079),
    [sym_binary] = STATE(2079),
    [sym_unary] = STATE(2079),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [662] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(265),
    [sym_call] = STATE(265),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(2080),
    [sym__simple_mlhs] = STATE(267),
    [sym_destructured_left_assignment] = STATE(267),
    [sym_rest_assignment] = STATE(267),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(265),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(475),
    [sym_identifier] = ACTIONS(475),
    [sym_instance_variable] = ACTIONS(477),
    [sym_class_variable] = ACTIONS(477),
    [sym_global_variable] = ACTIONS(477),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(475),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [663] = {
    [sym__statements] = STATE(2082),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(2083),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(2084),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(2084),
    [sym__line_break] = ACTIONS(3398),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(3400),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [664] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2085),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(2085),
    [sym_operator_assignment] = STATE(2085),
    [sym_conditional] = STATE(2085),
    [sym_range] = STATE(2085),
    [sym_binary] = STATE(2085),
    [sym_unary] = STATE(2085),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(2086),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__terminator] = STATE(2086),
    [sym__line_break] = ACTIONS(3402),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(3402),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [665] = {
    [sym__statements] = STATE(2087),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(2088),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(2089),
    [sym_rescue] = STATE(2090),
    [sym__body_statement] = STATE(2091),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(2092),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(2092),
    [sym__line_break] = ACTIONS(3404),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(3406),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [666] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2093),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(2093),
    [sym_operator_assignment] = STATE(2093),
    [sym_conditional] = STATE(2093),
    [sym_range] = STATE(2093),
    [sym_binary] = STATE(2093),
    [sym_unary] = STATE(2093),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [667] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2094),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(2094),
    [sym_operator_assignment] = STATE(2094),
    [sym_conditional] = STATE(2094),
    [sym_range] = STATE(2094),
    [sym_binary] = STATE(2094),
    [sym_unary] = STATE(2094),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [668] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2095),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(2095),
    [sym_operator_assignment] = STATE(2095),
    [sym_conditional] = STATE(2095),
    [sym_range] = STATE(2095),
    [sym_binary] = STATE(2095),
    [sym_unary] = STATE(2095),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [669] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(3382),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [670] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
    [anon_sym_r] = ACTIONS(3408),
  },
  [671] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(2098),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(2099),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(3410),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [672] = {
    [sym_lambda_parameters] = STATE(2101),
    [sym__simple_formal_parameter] = STATE(379),
    [sym_splat_parameter] = STATE(379),
    [sym_hash_splat_parameter] = STATE(379),
    [sym_block_parameter] = STATE(379),
    [sym_keyword_parameter] = STATE(379),
    [sym_optional_parameter] = STATE(379),
    [sym_do_block] = STATE(2102),
    [sym_block] = STATE(2102),
    [anon_sym_LBRACE] = ACTIONS(3412),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(2447),
    [sym_identifier] = ACTIONS(677),
    [sym_comment] = ACTIONS(87),
  },
  [673] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [674] = {
    [sym__heredoc_body_start] = ACTIONS(735),
    [sym__element_reference_left_bracket] = ACTIONS(2421),
    [sym__infix_scope_colons] = ACTIONS(2423),
    [sym__binary_minus] = ACTIONS(735),
    [sym__binary_star] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(2425),
    [anon_sym_COMMA] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(743),
    [anon_sym_AMP] = ACTIONS(743),
    [anon_sym_EQ] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_unless] = ACTIONS(735),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_until] = ACTIONS(735),
    [anon_sym_rescue] = ACTIONS(735),
    [anon_sym_in] = ACTIONS(735),
    [anon_sym_do] = ACTIONS(735),
    [anon_sym_EQ_GT] = ACTIONS(735),
    [anon_sym_RBRACK] = ACTIONS(735),
    [anon_sym_AMP_DOT] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(735),
    [anon_sym_DASH_EQ] = ACTIONS(735),
    [anon_sym_STAR_EQ] = ACTIONS(735),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(735),
    [anon_sym_SLASH_EQ] = ACTIONS(735),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(735),
    [anon_sym_PIPE_EQ] = ACTIONS(735),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(735),
    [anon_sym_AMP_EQ] = ACTIONS(735),
    [anon_sym_PERCENT_EQ] = ACTIONS(735),
    [anon_sym_GT_GT_EQ] = ACTIONS(735),
    [anon_sym_LT_LT_EQ] = ACTIONS(735),
    [anon_sym_CARET_EQ] = ACTIONS(735),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(735),
    [anon_sym_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(735),
    [anon_sym_or] = ACTIONS(735),
    [anon_sym_PIPE_PIPE] = ACTIONS(743),
    [anon_sym_AMP_AMP] = ACTIONS(743),
    [anon_sym_LT_LT] = ACTIONS(743),
    [anon_sym_GT_GT] = ACTIONS(743),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(735),
    [anon_sym_LT_EQ_GT] = ACTIONS(735),
    [anon_sym_EQ_TILDE] = ACTIONS(735),
    [anon_sym_BANG_TILDE] = ACTIONS(735),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(743),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(743),
    [anon_sym_PLUS] = ACTIONS(743),
    [anon_sym_SLASH] = ACTIONS(743),
    [anon_sym_PERCENT] = ACTIONS(743),
    [sym_comment] = ACTIONS(87),
  },
  [675] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(673),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(2117),
    [sym__argument_list_with_parens] = STATE(677),
    [sym__argument] = STATE(678),
    [sym_splat_argument] = STATE(678),
    [sym_hash_splat_argument] = STATE(678),
    [sym_block_argument] = STATE(678),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(673),
    [sym_operator_assignment] = STATE(673),
    [sym_conditional] = STATE(673),
    [sym_range] = STATE(673),
    [sym_binary] = STATE(673),
    [sym_unary] = STATE(673),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(682),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(678),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1159),
    [sym__splat_star] = ACTIONS(1161),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1213),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [676] = {
    [sym_do_block] = STATE(2119),
    [sym_block] = STATE(2119),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(3444),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(3446),
    [anon_sym_EQ_GT] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [677] = {
    [sym_heredoc_body] = STATE(2121),
    [aux_sym_call_repeat1] = STATE(2121),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [678] = {
    [sym_heredoc_body] = STATE(2121),
    [aux_sym_call_repeat1] = STATE(2121),
    [aux_sym_argument_list_repeat1] = STATE(2123),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(3450),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [679] = {
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_EQ_GT] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [680] = {
    [anon_sym_EQ] = ACTIONS(3452),
    [sym_comment] = ACTIONS(87),
  },
  [681] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(3454),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(3456),
    [anon_sym_DASH_EQ] = ACTIONS(3456),
    [anon_sym_STAR_EQ] = ACTIONS(3456),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3456),
    [anon_sym_SLASH_EQ] = ACTIONS(3456),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3456),
    [anon_sym_PIPE_EQ] = ACTIONS(3456),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3456),
    [anon_sym_AMP_EQ] = ACTIONS(3456),
    [anon_sym_PERCENT_EQ] = ACTIONS(3456),
    [anon_sym_GT_GT_EQ] = ACTIONS(3456),
    [anon_sym_LT_LT_EQ] = ACTIONS(3456),
    [anon_sym_CARET_EQ] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [682] = {
    [sym_string] = STATE(2127),
    [aux_sym_chained_string_repeat1] = STATE(2127),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(3458),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [683] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2137),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_splat_argument] = STATE(2139),
    [sym_assignment] = STATE(2137),
    [sym_operator_assignment] = STATE(2137),
    [sym_conditional] = STATE(2137),
    [sym_range] = STATE(2137),
    [sym_binary] = STATE(2137),
    [sym_unary] = STATE(2137),
    [sym_right_assignment_list] = STATE(2138),
    [sym__arg_or_splat_arg] = STATE(2139),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__splat_star] = ACTIONS(3460),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [684] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2143),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(2143),
    [sym_operator_assignment] = STATE(2143),
    [sym_conditional] = STATE(2143),
    [sym_range] = STATE(2143),
    [sym_binary] = STATE(2143),
    [sym_unary] = STATE(2143),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [685] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2144),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(2144),
    [sym_operator_assignment] = STATE(2144),
    [sym_conditional] = STATE(2144),
    [sym_range] = STATE(2144),
    [sym_binary] = STATE(2144),
    [sym_unary] = STATE(2144),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [686] = {
    [sym_string] = STATE(2145),
    [aux_sym_chained_string_repeat1] = STATE(2145),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [687] = {
    [sym__line_break] = ACTIONS(3480),
    [sym__heredoc_body_start] = ACTIONS(3480),
    [sym__element_reference_left_bracket] = ACTIONS(3480),
    [sym__infix_scope_colons] = ACTIONS(3480),
    [sym__binary_minus] = ACTIONS(3480),
    [sym__binary_star] = ACTIONS(3480),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [anon_sym___END__] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_DOT] = ACTIONS(3482),
    [anon_sym_COMMA] = ACTIONS(3480),
    [anon_sym_PIPE] = ACTIONS(3482),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_STAR_STAR] = ACTIONS(3480),
    [anon_sym_AMP] = ACTIONS(3482),
    [anon_sym_LT] = ACTIONS(3482),
    [anon_sym_end] = ACTIONS(3480),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_unless] = ACTIONS(3480),
    [anon_sym_while] = ACTIONS(3480),
    [anon_sym_until] = ACTIONS(3480),
    [anon_sym_rescue] = ACTIONS(3480),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_when] = ACTIONS(3480),
    [anon_sym_elsif] = ACTIONS(3480),
    [anon_sym_else] = ACTIONS(3480),
    [anon_sym_then] = ACTIONS(3480),
    [anon_sym_ensure] = ACTIONS(3480),
    [anon_sym_EQ_GT] = ACTIONS(3480),
    [anon_sym_AMP_DOT] = ACTIONS(3480),
    [anon_sym_QMARK] = ACTIONS(3480),
    [anon_sym_DOT_DOT] = ACTIONS(3482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3480),
    [anon_sym_and] = ACTIONS(3480),
    [anon_sym_or] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE] = ACTIONS(3480),
    [anon_sym_AMP_AMP] = ACTIONS(3480),
    [anon_sym_LT_LT] = ACTIONS(3480),
    [anon_sym_GT_GT] = ACTIONS(3480),
    [anon_sym_EQ_EQ] = ACTIONS(3482),
    [anon_sym_BANG_EQ] = ACTIONS(3480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3480),
    [anon_sym_LT_EQ_GT] = ACTIONS(3480),
    [anon_sym_EQ_TILDE] = ACTIONS(3480),
    [anon_sym_BANG_TILDE] = ACTIONS(3480),
    [anon_sym_LT_EQ] = ACTIONS(3482),
    [anon_sym_GT] = ACTIONS(3482),
    [anon_sym_GT_EQ] = ACTIONS(3480),
    [anon_sym_CARET] = ACTIONS(3480),
    [anon_sym_PLUS] = ACTIONS(3480),
    [anon_sym_SLASH] = ACTIONS(3480),
    [anon_sym_PERCENT] = ACTIONS(3480),
    [sym_comment] = ACTIONS(87),
  },
  [688] = {
    [anon_sym_RBRACE] = ACTIONS(3484),
    [sym_comment] = ACTIONS(87),
  },
  [689] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(117),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(117),
    [sym_operator_assignment] = STATE(117),
    [sym_conditional] = STATE(117),
    [sym_range] = STATE(117),
    [sym_binary] = STATE(117),
    [sym_unary] = STATE(117),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(123),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_heredoc_body] = STATE(2148),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym__hash_items] = STATE(2149),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(139),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym__heredoc_body_start] = ACTIONS(3486),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(3488),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(209),
    [sym_identifier] = ACTIONS(209),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [690] = {
    [sym__line_break] = ACTIONS(3490),
    [sym__heredoc_body_start] = ACTIONS(3490),
    [ts_builtin_sym_end] = ACTIONS(3490),
    [anon_sym___END__] = ACTIONS(3490),
    [anon_sym_RBRACE] = ACTIONS(3490),
    [anon_sym_RPAREN] = ACTIONS(3490),
    [anon_sym_SEMI] = ACTIONS(3490),
    [anon_sym_end] = ACTIONS(3490),
    [anon_sym_rescue] = ACTIONS(3490),
    [anon_sym_when] = ACTIONS(3490),
    [anon_sym_elsif] = ACTIONS(3490),
    [anon_sym_else] = ACTIONS(3490),
    [anon_sym_ensure] = ACTIONS(3490),
    [sym_comment] = ACTIONS(87),
  },
  [691] = {
    [anon_sym_RBRACE] = ACTIONS(3492),
    [sym_comment] = ACTIONS(87),
  },
  [692] = {
    [sym__line_break] = ACTIONS(891),
    [sym__heredoc_body_start] = ACTIONS(891),
    [ts_builtin_sym_end] = ACTIONS(891),
    [anon_sym___END__] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(891),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_STAR_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(891),
    [anon_sym_end] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_unless] = ACTIONS(893),
    [anon_sym_while] = ACTIONS(893),
    [anon_sym_until] = ACTIONS(893),
    [anon_sym_rescue] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_elsif] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_then] = ACTIONS(893),
    [anon_sym_ensure] = ACTIONS(893),
    [sym_identifier] = ACTIONS(893),
    [sym_comment] = ACTIONS(87),
  },
  [693] = {
    [sym__string_end] = ACTIONS(3494),
    [sym_comment] = ACTIONS(87),
  },
  [694] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(2152),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(2152),
    [sym_operator_assignment] = STATE(2152),
    [sym_conditional] = STATE(2152),
    [sym_range] = STATE(2152),
    [sym_binary] = STATE(2152),
    [sym_unary] = STATE(2152),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [695] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(587),
    [sym__argument_list_with_parens] = STATE(2163),
    [sym__argument] = STATE(2164),
    [sym_splat_argument] = STATE(2164),
    [sym_hash_splat_argument] = STATE(2164),
    [sym_block_argument] = STATE(2164),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2164),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [696] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(593),
    [sym__argument_list_with_parens] = STATE(2163),
    [sym__argument] = STATE(2164),
    [sym_splat_argument] = STATE(2164),
    [sym_hash_splat_argument] = STATE(2164),
    [sym_block_argument] = STATE(2164),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2164),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [697] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(594),
    [sym__argument_list_with_parens] = STATE(2163),
    [sym__argument] = STATE(2164),
    [sym_splat_argument] = STATE(2164),
    [sym_hash_splat_argument] = STATE(2164),
    [sym_block_argument] = STATE(2164),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2164),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [698] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(595),
    [sym__argument_list_with_parens] = STATE(2163),
    [sym__argument] = STATE(2164),
    [sym_splat_argument] = STATE(2164),
    [sym_hash_splat_argument] = STATE(2164),
    [sym_block_argument] = STATE(2164),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2164),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [699] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(2168),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(2168),
    [sym_operator_assignment] = STATE(2168),
    [sym_conditional] = STATE(2168),
    [sym_range] = STATE(2168),
    [sym_binary] = STATE(2168),
    [sym_unary] = STATE(2168),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [700] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(2169),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(2169),
    [sym_operator_assignment] = STATE(2169),
    [sym_conditional] = STATE(2169),
    [sym_range] = STATE(2169),
    [sym_binary] = STATE(2169),
    [sym_unary] = STATE(2169),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [701] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(611),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(611),
    [sym_operator_assignment] = STATE(611),
    [sym_conditional] = STATE(611),
    [sym_range] = STATE(611),
    [sym_binary] = STATE(611),
    [sym_unary] = STATE(611),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [702] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(3518),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(3534),
    [anon_sym_or] = ACTIONS(3534),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [703] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2196),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(1759),
    [sym__argument_list_with_parens] = STATE(2198),
    [sym__argument] = STATE(2199),
    [sym_splat_argument] = STATE(2199),
    [sym_hash_splat_argument] = STATE(2199),
    [sym_block_argument] = STATE(2199),
    [sym_do_block] = STATE(1762),
    [sym_block] = STATE(1762),
    [sym_assignment] = STATE(2196),
    [sym_operator_assignment] = STATE(2196),
    [sym_conditional] = STATE(2196),
    [sym_range] = STATE(2196),
    [sym_binary] = STATE(2196),
    [sym_unary] = STATE(2196),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2202),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2199),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(3548),
    [sym__splat_star] = ACTIONS(3550),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3572),
    [sym_identifier] = ACTIONS(3572),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [704] = {
    [anon_sym_EQ] = ACTIONS(3578),
    [sym_comment] = ACTIONS(87),
  },
  [705] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(3580),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(3582),
    [anon_sym_DASH_EQ] = ACTIONS(3582),
    [anon_sym_STAR_EQ] = ACTIONS(3582),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3582),
    [anon_sym_SLASH_EQ] = ACTIONS(3582),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3582),
    [anon_sym_PIPE_EQ] = ACTIONS(3582),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3582),
    [anon_sym_AMP_EQ] = ACTIONS(3582),
    [anon_sym_PERCENT_EQ] = ACTIONS(3582),
    [anon_sym_GT_GT_EQ] = ACTIONS(3582),
    [anon_sym_LT_LT_EQ] = ACTIONS(3582),
    [anon_sym_CARET_EQ] = ACTIONS(3582),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [706] = {
    [sym_string] = STATE(2205),
    [aux_sym_chained_string_repeat1] = STATE(2205),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [707] = {
    [sym__line_break] = ACTIONS(3584),
    [sym__heredoc_body_start] = ACTIONS(3584),
    [ts_builtin_sym_end] = ACTIONS(3584),
    [anon_sym___END__] = ACTIONS(3586),
    [anon_sym_RBRACE] = ACTIONS(3584),
    [anon_sym_LPAREN] = ACTIONS(3584),
    [anon_sym_RPAREN] = ACTIONS(3584),
    [anon_sym_COMMA] = ACTIONS(3584),
    [anon_sym_SEMI] = ACTIONS(3584),
    [anon_sym_STAR] = ACTIONS(3586),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_AMP] = ACTIONS(3584),
    [anon_sym_end] = ACTIONS(3586),
    [anon_sym_if] = ACTIONS(3586),
    [anon_sym_unless] = ACTIONS(3586),
    [anon_sym_while] = ACTIONS(3586),
    [anon_sym_until] = ACTIONS(3586),
    [anon_sym_rescue] = ACTIONS(3586),
    [anon_sym_when] = ACTIONS(3586),
    [anon_sym_elsif] = ACTIONS(3586),
    [anon_sym_else] = ACTIONS(3586),
    [anon_sym_then] = ACTIONS(3586),
    [anon_sym_ensure] = ACTIONS(3586),
    [sym_identifier] = ACTIONS(3586),
    [sym_comment] = ACTIONS(87),
  },
  [708] = {
    [sym__method_rest] = STATE(2206),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(137),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [709] = {
    [sym__formal_parameter] = STATE(2208),
    [sym__simple_formal_parameter] = STATE(2208),
    [sym_destructured_parameter] = STATE(2208),
    [sym_splat_parameter] = STATE(2208),
    [sym_hash_splat_parameter] = STATE(2208),
    [sym_block_parameter] = STATE(2208),
    [sym_keyword_parameter] = STATE(2208),
    [sym_optional_parameter] = STATE(2208),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_RPAREN] = ACTIONS(3588),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(2485),
    [sym_comment] = ACTIONS(87),
  },
  [710] = {
    [sym__line_break] = ACTIONS(2487),
    [sym__heredoc_body_start] = ACTIONS(2487),
    [anon_sym_COMMA] = ACTIONS(2487),
    [anon_sym_SEMI] = ACTIONS(2487),
    [sym_identifier] = ACTIONS(3590),
    [sym_comment] = ACTIONS(87),
  },
  [711] = {
    [sym__line_break] = ACTIONS(2493),
    [sym__heredoc_body_start] = ACTIONS(2493),
    [anon_sym_COMMA] = ACTIONS(2493),
    [anon_sym_SEMI] = ACTIONS(2493),
    [sym_identifier] = ACTIONS(3592),
    [sym_comment] = ACTIONS(87),
  },
  [712] = {
    [sym_lambda] = STATE(2211),
    [sym_identifier] = ACTIONS(3594),
    [sym_comment] = ACTIONS(87),
    [anon_sym_DASH_GT] = ACTIONS(3596),
  },
  [713] = {
    [sym__line_break] = ACTIONS(2511),
    [sym__heredoc_body_start] = ACTIONS(2511),
    [sym__keyword_colon] = ACTIONS(3598),
    [anon_sym_COMMA] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_EQ] = ACTIONS(3600),
    [sym_comment] = ACTIONS(87),
  },
  [714] = {
    [sym__statements] = STATE(297),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(300),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(301),
    [sym_rescue] = STATE(302),
    [sym__body_statement] = STATE(2215),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(3602),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [715] = {
    [sym_heredoc_body] = STATE(2217),
    [sym__terminator] = STATE(2217),
    [sym__line_break] = ACTIONS(3604),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_COMMA] = ACTIONS(3606),
    [anon_sym_SEMI] = ACTIONS(3604),
    [sym_comment] = ACTIONS(87),
  },
  [716] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [717] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2231),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(2232),
    [sym__argument] = STATE(2233),
    [sym_splat_argument] = STATE(2233),
    [sym_hash_splat_argument] = STATE(2233),
    [sym_block_argument] = STATE(2233),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(2231),
    [sym_operator_assignment] = STATE(2231),
    [sym_conditional] = STATE(2231),
    [sym_range] = STATE(2231),
    [sym_binary] = STATE(2231),
    [sym_unary] = STATE(2231),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2236),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2233),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(3608),
    [sym__splat_star] = ACTIONS(3610),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__identifier_hash_key] = ACTIONS(3614),
    [anon_sym_LBRACE] = ACTIONS(1497),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_EQ] = ACTIONS(747),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(3634),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [718] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2245),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(2245),
    [sym_operator_assignment] = STATE(2245),
    [sym_conditional] = STATE(2245),
    [sym_range] = STATE(2245),
    [sym_binary] = STATE(2245),
    [sym_unary] = STATE(2245),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [719] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2249),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(2249),
    [sym_operator_assignment] = STATE(2249),
    [sym_conditional] = STATE(2249),
    [sym_range] = STATE(2249),
    [sym_binary] = STATE(2249),
    [sym_unary] = STATE(2249),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [720] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2250),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(2250),
    [sym_operator_assignment] = STATE(2250),
    [sym_conditional] = STATE(2250),
    [sym_range] = STATE(2250),
    [sym_binary] = STATE(2250),
    [sym_unary] = STATE(2250),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [721] = {
    [sym__keyword_colon] = ACTIONS(3656),
    [sym_comment] = ACTIONS(87),
  },
  [722] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2253),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(2253),
    [sym_operator_assignment] = STATE(2253),
    [sym_conditional] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_binary] = STATE(2253),
    [sym_unary] = STATE(2253),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [723] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2259),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(2260),
    [sym__argument] = STATE(2261),
    [sym_splat_argument] = STATE(2261),
    [sym_hash_splat_argument] = STATE(2261),
    [sym_block_argument] = STATE(2261),
    [sym_assignment] = STATE(2259),
    [sym_operator_assignment] = STATE(2259),
    [sym_conditional] = STATE(2259),
    [sym_range] = STATE(2259),
    [sym_binary] = STATE(2259),
    [sym_unary] = STATE(2259),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2262),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2261),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3658),
    [sym__splat_star] = ACTIONS(3660),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(3664),
    [sym_identifier] = ACTIONS(3664),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [724] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2259),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(2260),
    [sym__argument] = STATE(2261),
    [sym_splat_argument] = STATE(2261),
    [sym_hash_splat_argument] = STATE(2261),
    [sym_block_argument] = STATE(2261),
    [sym_assignment] = STATE(2259),
    [sym_operator_assignment] = STATE(2259),
    [sym_conditional] = STATE(2259),
    [sym_range] = STATE(2259),
    [sym_binary] = STATE(2259),
    [sym_unary] = STATE(2259),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2262),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2261),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3658),
    [sym__splat_star] = ACTIONS(3660),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(3664),
    [sym_identifier] = ACTIONS(3664),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [725] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2259),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(2260),
    [sym__argument] = STATE(2261),
    [sym_splat_argument] = STATE(2261),
    [sym_hash_splat_argument] = STATE(2261),
    [sym_block_argument] = STATE(2261),
    [sym_assignment] = STATE(2259),
    [sym_operator_assignment] = STATE(2259),
    [sym_conditional] = STATE(2259),
    [sym_range] = STATE(2259),
    [sym_binary] = STATE(2259),
    [sym_unary] = STATE(2259),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2262),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2261),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3658),
    [sym__splat_star] = ACTIONS(3660),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(3664),
    [sym_identifier] = ACTIONS(3664),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [726] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2259),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(2260),
    [sym__argument] = STATE(2261),
    [sym_splat_argument] = STATE(2261),
    [sym_hash_splat_argument] = STATE(2261),
    [sym_block_argument] = STATE(2261),
    [sym_assignment] = STATE(2259),
    [sym_operator_assignment] = STATE(2259),
    [sym_conditional] = STATE(2259),
    [sym_range] = STATE(2259),
    [sym_binary] = STATE(2259),
    [sym_unary] = STATE(2259),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2262),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2261),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3658),
    [sym__splat_star] = ACTIONS(3660),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(3664),
    [sym_identifier] = ACTIONS(3664),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [727] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2263),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(2263),
    [sym_operator_assignment] = STATE(2263),
    [sym_conditional] = STATE(2263),
    [sym_range] = STATE(2263),
    [sym_binary] = STATE(2263),
    [sym_unary] = STATE(2263),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [728] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2264),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(2264),
    [sym_operator_assignment] = STATE(2264),
    [sym_conditional] = STATE(2264),
    [sym_range] = STATE(2264),
    [sym_binary] = STATE(2264),
    [sym_unary] = STATE(2264),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [729] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [730] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(3656),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [731] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(3678),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [732] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2283),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(2284),
    [sym__argument] = STATE(2285),
    [sym_splat_argument] = STATE(2285),
    [sym_hash_splat_argument] = STATE(2285),
    [sym_block_argument] = STATE(2285),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(2283),
    [sym_operator_assignment] = STATE(2283),
    [sym_conditional] = STATE(2283),
    [sym_range] = STATE(2283),
    [sym_binary] = STATE(2283),
    [sym_unary] = STATE(2283),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2286),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2285),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(3698),
    [sym__splat_star] = ACTIONS(3700),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(3702),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(3704),
    [sym_identifier] = ACTIONS(3704),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [733] = {
    [sym_heredoc_body] = STATE(2287),
    [aux_sym_call_repeat1] = STATE(2287),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [734] = {
    [sym_heredoc_body] = STATE(2287),
    [aux_sym_call_repeat1] = STATE(2287),
    [aux_sym_argument_list_repeat1] = STATE(2289),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(3706),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [735] = {
    [anon_sym_EQ] = ACTIONS(3708),
    [sym_comment] = ACTIONS(87),
  },
  [736] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(3710),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(3712),
    [anon_sym_DASH_EQ] = ACTIONS(3712),
    [anon_sym_STAR_EQ] = ACTIONS(3712),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3712),
    [anon_sym_SLASH_EQ] = ACTIONS(3712),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3712),
    [anon_sym_PIPE_EQ] = ACTIONS(3712),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3712),
    [anon_sym_AMP_EQ] = ACTIONS(3712),
    [anon_sym_PERCENT_EQ] = ACTIONS(3712),
    [anon_sym_GT_GT_EQ] = ACTIONS(3712),
    [anon_sym_LT_LT_EQ] = ACTIONS(3712),
    [anon_sym_CARET_EQ] = ACTIONS(3712),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [737] = {
    [sym_string] = STATE(2293),
    [aux_sym_chained_string_repeat1] = STATE(2293),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(3714),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [738] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [739] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [740] = {
    [aux_sym_undef_repeat1] = STATE(2294),
    [sym__line_break] = ACTIONS(2283),
    [sym__heredoc_body_start] = ACTIONS(2283),
    [anon_sym_RPAREN] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_unless] = ACTIONS(2283),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_until] = ACTIONS(2283),
    [anon_sym_rescue] = ACTIONS(2283),
    [sym_comment] = ACTIONS(87),
  },
  [741] = {
    [sym__line_break] = ACTIONS(3716),
    [sym__heredoc_body_start] = ACTIONS(3716),
    [sym__element_reference_left_bracket] = ACTIONS(3716),
    [sym__infix_scope_colons] = ACTIONS(3716),
    [sym__binary_minus] = ACTIONS(3716),
    [sym__binary_star] = ACTIONS(3716),
    [ts_builtin_sym_end] = ACTIONS(3716),
    [anon_sym___END__] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_RBRACE] = ACTIONS(3716),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_DOT] = ACTIONS(3718),
    [anon_sym_COMMA] = ACTIONS(3716),
    [anon_sym_PIPE] = ACTIONS(3718),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym_STAR_STAR] = ACTIONS(3716),
    [anon_sym_AMP] = ACTIONS(3718),
    [anon_sym_LT] = ACTIONS(3718),
    [anon_sym_end] = ACTIONS(3716),
    [anon_sym_if] = ACTIONS(3716),
    [anon_sym_unless] = ACTIONS(3716),
    [anon_sym_while] = ACTIONS(3716),
    [anon_sym_until] = ACTIONS(3716),
    [anon_sym_rescue] = ACTIONS(3716),
    [anon_sym_do] = ACTIONS(3716),
    [anon_sym_when] = ACTIONS(3716),
    [anon_sym_elsif] = ACTIONS(3716),
    [anon_sym_else] = ACTIONS(3716),
    [anon_sym_then] = ACTIONS(3716),
    [anon_sym_ensure] = ACTIONS(3716),
    [anon_sym_EQ_GT] = ACTIONS(3716),
    [anon_sym_AMP_DOT] = ACTIONS(3716),
    [anon_sym_QMARK] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3716),
    [anon_sym_and] = ACTIONS(3716),
    [anon_sym_or] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE] = ACTIONS(3716),
    [anon_sym_AMP_AMP] = ACTIONS(3716),
    [anon_sym_LT_LT] = ACTIONS(3716),
    [anon_sym_GT_GT] = ACTIONS(3716),
    [anon_sym_EQ_EQ] = ACTIONS(3718),
    [anon_sym_BANG_EQ] = ACTIONS(3716),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3716),
    [anon_sym_LT_EQ_GT] = ACTIONS(3716),
    [anon_sym_EQ_TILDE] = ACTIONS(3716),
    [anon_sym_BANG_TILDE] = ACTIONS(3716),
    [anon_sym_LT_EQ] = ACTIONS(3718),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_GT_EQ] = ACTIONS(3716),
    [anon_sym_CARET] = ACTIONS(3716),
    [anon_sym_PLUS] = ACTIONS(3716),
    [anon_sym_SLASH] = ACTIONS(3716),
    [anon_sym_PERCENT] = ACTIONS(3716),
    [sym_comment] = ACTIONS(87),
  },
  [742] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(2527),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [743] = {
    [sym_heredoc_body] = STATE(2295),
    [sym__terminator] = STATE(2295),
    [aux_sym__statements_repeat1] = STATE(2296),
    [sym__line_break] = ACTIONS(3720),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_RPAREN] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(3720),
    [sym_comment] = ACTIONS(87),
  },
  [744] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2297),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2297),
    [sym_operator_assignment] = STATE(2297),
    [sym_conditional] = STATE(2297),
    [sym_range] = STATE(2297),
    [sym_binary] = STATE(2297),
    [sym_unary] = STATE(2297),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [745] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2298),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2298),
    [sym_operator_assignment] = STATE(2298),
    [sym_conditional] = STATE(2298),
    [sym_range] = STATE(2298),
    [sym_binary] = STATE(2298),
    [sym_unary] = STATE(2298),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [746] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2299),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2299),
    [sym_operator_assignment] = STATE(2299),
    [sym_conditional] = STATE(2299),
    [sym_range] = STATE(2299),
    [sym_binary] = STATE(2299),
    [sym_unary] = STATE(2299),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [747] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2300),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2300),
    [sym_operator_assignment] = STATE(2300),
    [sym_conditional] = STATE(2300),
    [sym_range] = STATE(2300),
    [sym_binary] = STATE(2300),
    [sym_unary] = STATE(2300),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [748] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2301),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2301),
    [sym_operator_assignment] = STATE(2301),
    [sym_conditional] = STATE(2301),
    [sym_range] = STATE(2301),
    [sym_binary] = STATE(2301),
    [sym_unary] = STATE(2301),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [749] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2302),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2302),
    [sym_operator_assignment] = STATE(2302),
    [sym_conditional] = STATE(2302),
    [sym_range] = STATE(2302),
    [sym_binary] = STATE(2302),
    [sym_unary] = STATE(2302),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [750] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2303),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2303),
    [sym_operator_assignment] = STATE(2303),
    [sym_conditional] = STATE(2303),
    [sym_range] = STATE(2303),
    [sym_binary] = STATE(2303),
    [sym_unary] = STATE(2303),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [751] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2304),
    [sym_operator_assignment] = STATE(2304),
    [sym_conditional] = STATE(2304),
    [sym_range] = STATE(2304),
    [sym_binary] = STATE(2304),
    [sym_unary] = STATE(2304),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [752] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2305),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2305),
    [sym_operator_assignment] = STATE(2305),
    [sym_conditional] = STATE(2305),
    [sym_range] = STATE(2305),
    [sym_binary] = STATE(2305),
    [sym_unary] = STATE(2305),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [753] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2306),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2306),
    [sym_operator_assignment] = STATE(2306),
    [sym_conditional] = STATE(2306),
    [sym_range] = STATE(2306),
    [sym_binary] = STATE(2306),
    [sym_unary] = STATE(2306),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [754] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2307),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2307),
    [sym_operator_assignment] = STATE(2307),
    [sym_conditional] = STATE(2307),
    [sym_range] = STATE(2307),
    [sym_binary] = STATE(2307),
    [sym_unary] = STATE(2307),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [755] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(2308),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(2308),
    [sym_operator_assignment] = STATE(2308),
    [sym_conditional] = STATE(2308),
    [sym_range] = STATE(2308),
    [sym_binary] = STATE(2308),
    [sym_unary] = STATE(2308),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [756] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2309),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2309),
    [sym_operator_assignment] = STATE(2309),
    [sym_conditional] = STATE(2309),
    [sym_range] = STATE(2309),
    [sym_binary] = STATE(2309),
    [sym_unary] = STATE(2309),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [757] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2310),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2310),
    [sym_operator_assignment] = STATE(2310),
    [sym_conditional] = STATE(2310),
    [sym_range] = STATE(2310),
    [sym_binary] = STATE(2310),
    [sym_unary] = STATE(2310),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [758] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2311),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2311),
    [sym_operator_assignment] = STATE(2311),
    [sym_conditional] = STATE(2311),
    [sym_range] = STATE(2311),
    [sym_binary] = STATE(2311),
    [sym_unary] = STATE(2311),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [759] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2312),
    [sym_operator_assignment] = STATE(2312),
    [sym_conditional] = STATE(2312),
    [sym_range] = STATE(2312),
    [sym_binary] = STATE(2312),
    [sym_unary] = STATE(2312),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [760] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2313),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2313),
    [sym_operator_assignment] = STATE(2313),
    [sym_conditional] = STATE(2313),
    [sym_range] = STATE(2313),
    [sym_binary] = STATE(2313),
    [sym_unary] = STATE(2313),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [761] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(2322),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(2322),
    [sym_operator_assignment] = STATE(2322),
    [sym_conditional] = STATE(2322),
    [sym_range] = STATE(2322),
    [sym_binary] = STATE(2322),
    [sym_unary] = STATE(2322),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [762] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(2327),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(2327),
    [sym_operator_assignment] = STATE(2327),
    [sym_conditional] = STATE(2327),
    [sym_range] = STATE(2327),
    [sym_binary] = STATE(2327),
    [sym_unary] = STATE(2327),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [763] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2328),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(2328),
    [sym_operator_assignment] = STATE(2328),
    [sym_conditional] = STATE(2328),
    [sym_range] = STATE(2328),
    [sym_binary] = STATE(2328),
    [sym_unary] = STATE(2328),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [764] = {
    [sym__keyword_colon] = ACTIONS(3746),
    [sym_comment] = ACTIONS(87),
  },
  [765] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(2331),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(2331),
    [sym_operator_assignment] = STATE(2331),
    [sym_conditional] = STATE(2331),
    [sym_range] = STATE(2331),
    [sym_binary] = STATE(2331),
    [sym_unary] = STATE(2331),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [766] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2283),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(2284),
    [sym__argument] = STATE(2285),
    [sym_splat_argument] = STATE(2285),
    [sym_hash_splat_argument] = STATE(2285),
    [sym_block_argument] = STATE(2285),
    [sym_assignment] = STATE(2283),
    [sym_operator_assignment] = STATE(2283),
    [sym_conditional] = STATE(2283),
    [sym_range] = STATE(2283),
    [sym_binary] = STATE(2283),
    [sym_unary] = STATE(2283),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2286),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2285),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3698),
    [sym__splat_star] = ACTIONS(3700),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3702),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(3704),
    [sym_identifier] = ACTIONS(3704),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [767] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2283),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(2284),
    [sym__argument] = STATE(2285),
    [sym_splat_argument] = STATE(2285),
    [sym_hash_splat_argument] = STATE(2285),
    [sym_block_argument] = STATE(2285),
    [sym_assignment] = STATE(2283),
    [sym_operator_assignment] = STATE(2283),
    [sym_conditional] = STATE(2283),
    [sym_range] = STATE(2283),
    [sym_binary] = STATE(2283),
    [sym_unary] = STATE(2283),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2286),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2285),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3698),
    [sym__splat_star] = ACTIONS(3700),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3702),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(3704),
    [sym_identifier] = ACTIONS(3704),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [768] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2283),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(2284),
    [sym__argument] = STATE(2285),
    [sym_splat_argument] = STATE(2285),
    [sym_hash_splat_argument] = STATE(2285),
    [sym_block_argument] = STATE(2285),
    [sym_assignment] = STATE(2283),
    [sym_operator_assignment] = STATE(2283),
    [sym_conditional] = STATE(2283),
    [sym_range] = STATE(2283),
    [sym_binary] = STATE(2283),
    [sym_unary] = STATE(2283),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2286),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2285),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3698),
    [sym__splat_star] = ACTIONS(3700),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3702),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(3704),
    [sym_identifier] = ACTIONS(3704),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [769] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2283),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(2284),
    [sym__argument] = STATE(2285),
    [sym_splat_argument] = STATE(2285),
    [sym_hash_splat_argument] = STATE(2285),
    [sym_block_argument] = STATE(2285),
    [sym_assignment] = STATE(2283),
    [sym_operator_assignment] = STATE(2283),
    [sym_conditional] = STATE(2283),
    [sym_range] = STATE(2283),
    [sym_binary] = STATE(2283),
    [sym_unary] = STATE(2283),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2286),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2285),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3698),
    [sym__splat_star] = ACTIONS(3700),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3702),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(3704),
    [sym_identifier] = ACTIONS(3704),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [770] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2332),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(2332),
    [sym_operator_assignment] = STATE(2332),
    [sym_conditional] = STATE(2332),
    [sym_range] = STATE(2332),
    [sym_binary] = STATE(2332),
    [sym_unary] = STATE(2332),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [771] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2333),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(2333),
    [sym_operator_assignment] = STATE(2333),
    [sym_conditional] = STATE(2333),
    [sym_range] = STATE(2333),
    [sym_binary] = STATE(2333),
    [sym_unary] = STATE(2333),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [772] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [773] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(3746),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [774] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(3760),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [775] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2283),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(2284),
    [sym__argument] = STATE(2285),
    [sym_splat_argument] = STATE(2285),
    [sym_hash_splat_argument] = STATE(2285),
    [sym_block_argument] = STATE(2285),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(2283),
    [sym_operator_assignment] = STATE(2283),
    [sym_conditional] = STATE(2283),
    [sym_range] = STATE(2283),
    [sym_binary] = STATE(2283),
    [sym_unary] = STATE(2283),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2286),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2285),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(3698),
    [sym__splat_star] = ACTIONS(3700),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(3702),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(3704),
    [sym_identifier] = ACTIONS(3704),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [776] = {
    [sym_heredoc_body] = STATE(2347),
    [aux_sym_call_repeat1] = STATE(2347),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [777] = {
    [sym_heredoc_body] = STATE(2347),
    [aux_sym_call_repeat1] = STATE(2347),
    [aux_sym_argument_list_repeat1] = STATE(2349),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [778] = {
    [anon_sym_EQ] = ACTIONS(3780),
    [sym_comment] = ACTIONS(87),
  },
  [779] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(3784),
    [anon_sym_DASH_EQ] = ACTIONS(3784),
    [anon_sym_STAR_EQ] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3784),
    [anon_sym_SLASH_EQ] = ACTIONS(3784),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3784),
    [anon_sym_PIPE_EQ] = ACTIONS(3784),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3784),
    [anon_sym_AMP_EQ] = ACTIONS(3784),
    [anon_sym_PERCENT_EQ] = ACTIONS(3784),
    [anon_sym_GT_GT_EQ] = ACTIONS(3784),
    [anon_sym_LT_LT_EQ] = ACTIONS(3784),
    [anon_sym_CARET_EQ] = ACTIONS(3784),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [780] = {
    [sym_string] = STATE(2353),
    [aux_sym_chained_string_repeat1] = STATE(2353),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(3786),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [781] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2359),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_splat_argument] = STATE(2360),
    [sym_assignment] = STATE(2359),
    [sym_operator_assignment] = STATE(2359),
    [sym_conditional] = STATE(2359),
    [sym_range] = STATE(2359),
    [sym_binary] = STATE(2359),
    [sym_unary] = STATE(2359),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(2360),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(3788),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [782] = {
    [anon_sym_RPAREN] = ACTIONS(3800),
    [anon_sym_COMMA] = ACTIONS(3800),
    [anon_sym_EQ] = ACTIONS(3800),
    [anon_sym_in] = ACTIONS(3800),
    [sym_comment] = ACTIONS(87),
  },
  [783] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(717),
    [sym_call] = STATE(717),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(1684),
    [sym__simple_mlhs] = STATE(156),
    [sym_destructured_left_assignment] = STATE(156),
    [sym_rest_assignment] = STATE(156),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(717),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_RPAREN] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(249),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(1299),
    [sym_identifier] = ACTIONS(1299),
    [sym_instance_variable] = ACTIONS(1301),
    [sym_class_variable] = ACTIONS(1301),
    [sym_global_variable] = ACTIONS(1301),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(1299),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(1299),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [784] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2363),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(2363),
    [sym_operator_assignment] = STATE(2363),
    [sym_conditional] = STATE(2363),
    [sym_range] = STATE(2363),
    [sym_binary] = STATE(2363),
    [sym_unary] = STATE(2363),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [785] = {
    [sym_string] = STATE(2364),
    [aux_sym_chained_string_repeat1] = STATE(2364),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [786] = {
    [sym__string_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [sym_comment] = ACTIONS(87),
  },
  [787] = {
    [sym__string_end] = ACTIONS(3802),
    [sym_comment] = ACTIONS(87),
  },
  [788] = {
    [sym__element_reference_left_bracket] = ACTIONS(891),
    [sym__infix_scope_colons] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(891),
    [anon_sym_AMP_DOT] = ACTIONS(891),
    [sym_comment] = ACTIONS(87),
  },
  [789] = {
    [sym__string_end] = ACTIONS(3804),
    [sym_comment] = ACTIONS(87),
  },
  [790] = {
    [sym__element_reference_left_bracket] = ACTIONS(897),
    [sym__infix_scope_colons] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(897),
    [anon_sym_AMP_DOT] = ACTIONS(897),
    [sym_comment] = ACTIONS(87),
  },
  [791] = {
    [sym__string_end] = ACTIONS(3806),
    [sym_comment] = ACTIONS(87),
  },
  [792] = {
    [sym__element_reference_left_bracket] = ACTIONS(903),
    [sym__infix_scope_colons] = ACTIONS(903),
    [anon_sym_DOT] = ACTIONS(903),
    [anon_sym_AMP_DOT] = ACTIONS(903),
    [sym_comment] = ACTIONS(87),
  },
  [793] = {
    [sym__string_end] = ACTIONS(3808),
    [sym_comment] = ACTIONS(87),
  },
  [794] = {
    [sym__element_reference_left_bracket] = ACTIONS(909),
    [sym__infix_scope_colons] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_AMP_DOT] = ACTIONS(909),
    [sym_comment] = ACTIONS(87),
  },
  [795] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(2371),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(3810),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(3812),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [796] = {
    [aux_sym_string_array_repeat1] = STATE(2374),
    [sym__string_end] = ACTIONS(3814),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(3816),
  },
  [797] = {
    [sym__element_reference_left_bracket] = ACTIONS(927),
    [sym__infix_scope_colons] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(927),
    [anon_sym_AMP_DOT] = ACTIONS(927),
    [sym_comment] = ACTIONS(87),
  },
  [798] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(2377),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(3818),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(3820),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [799] = {
    [aux_sym_symbol_array_repeat1] = STATE(2380),
    [sym__string_end] = ACTIONS(3822),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(3824),
  },
  [800] = {
    [sym__element_reference_left_bracket] = ACTIONS(997),
    [sym__infix_scope_colons] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(997),
    [sym_comment] = ACTIONS(87),
  },
  [801] = {
    [anon_sym_RBRACE] = ACTIONS(3826),
    [sym_comment] = ACTIONS(87),
  },
  [802] = {
    [sym_heredoc_body] = STATE(2382),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACE] = ACTIONS(3826),
    [sym_comment] = ACTIONS(87),
  },
  [803] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(2383),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(2383),
    [sym_operator_assignment] = STATE(2383),
    [sym_conditional] = STATE(2383),
    [sym_range] = STATE(2383),
    [sym_binary] = STATE(2383),
    [sym_unary] = STATE(2383),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [804] = {
    [sym__element_reference_left_bracket] = ACTIONS(1277),
    [sym__infix_scope_colons] = ACTIONS(1277),
    [anon_sym_DOT] = ACTIONS(1277),
    [anon_sym_AMP_DOT] = ACTIONS(1277),
    [sym_comment] = ACTIONS(87),
  },
  [805] = {
    [anon_sym_DOT] = ACTIONS(3828),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [sym_comment] = ACTIONS(87),
  },
  [806] = {
    [sym_method_parameters] = STATE(2385),
    [sym__simple_formal_parameter] = STATE(715),
    [sym_splat_parameter] = STATE(715),
    [sym_hash_splat_parameter] = STATE(715),
    [sym_block_parameter] = STATE(715),
    [sym_keyword_parameter] = STATE(715),
    [sym_optional_parameter] = STATE(715),
    [sym_heredoc_body] = STATE(2385),
    [sym__terminator] = STATE(2385),
    [sym__line_break] = ACTIONS(3830),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(3830),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_comment] = ACTIONS(87),
  },
  [807] = {
    [sym__element_reference_left_bracket] = ACTIONS(1295),
    [sym__infix_scope_colons] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1295),
    [anon_sym_AMP_DOT] = ACTIONS(1295),
    [sym_comment] = ACTIONS(87),
  },
  [808] = {
    [anon_sym_RPAREN] = ACTIONS(3832),
    [sym_comment] = ACTIONS(87),
  },
  [809] = {
    [sym__simple_symbol] = ACTIONS(1419),
    [sym__string_start] = ACTIONS(1419),
    [sym__symbol_start] = ACTIONS(1419),
    [sym__subshell_start] = ACTIONS(1419),
    [sym__regex_start] = ACTIONS(1419),
    [sym__string_array_start] = ACTIONS(1419),
    [sym__symbol_array_start] = ACTIONS(1419),
    [sym_heredoc_beginning] = ACTIONS(1419),
    [sym__element_reference_left_bracket] = ACTIONS(1419),
    [sym__block_ampersand] = ACTIONS(1419),
    [sym__splat_star] = ACTIONS(1419),
    [sym__argument_list_left_paren] = ACTIONS(1419),
    [sym__infix_scope_colons] = ACTIONS(1419),
    [sym__unary_minus] = ACTIONS(1419),
    [sym__identifier_hash_key] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1419),
    [anon_sym_def] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1419),
    [anon_sym_RPAREN] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1419),
    [anon_sym_COLON_COLON] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1419),
    [anon_sym_class] = ACTIONS(1421),
    [anon_sym_module] = ACTIONS(1421),
    [anon_sym_return] = ACTIONS(1421),
    [anon_sym_yield] = ACTIONS(1421),
    [anon_sym_break] = ACTIONS(1421),
    [anon_sym_next] = ACTIONS(1421),
    [sym_redo] = ACTIONS(1421),
    [sym_retry] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_unless] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1421),
    [anon_sym_until] = ACTIONS(1421),
    [anon_sym_for] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1421),
    [anon_sym_do] = ACTIONS(1421),
    [anon_sym_case] = ACTIONS(1421),
    [anon_sym_begin] = ACTIONS(1421),
    [anon_sym_AMP_DOT] = ACTIONS(1419),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_defined_QMARK] = ACTIONS(1419),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [sym_constant] = ACTIONS(1421),
    [sym_identifier] = ACTIONS(1421),
    [sym_instance_variable] = ACTIONS(1419),
    [sym_class_variable] = ACTIONS(1419),
    [sym_global_variable] = ACTIONS(1419),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1421),
    [sym_complex] = ACTIONS(1419),
    [sym_super] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_TRUE] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_FALSE] = ACTIONS(1421),
    [sym_self] = ACTIONS(1421),
    [anon_sym_nil] = ACTIONS(1421),
    [anon_sym_NIL] = ACTIONS(1421),
    [sym_character] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_DASH_GT] = ACTIONS(1419),
  },
  [810] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2387),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(2387),
    [sym_operator_assignment] = STATE(2387),
    [sym_conditional] = STATE(2387),
    [sym_range] = STATE(2387),
    [sym_binary] = STATE(2387),
    [sym_unary] = STATE(2387),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [811] = {
    [sym_superclass] = STATE(2388),
    [sym_heredoc_body] = STATE(2389),
    [sym__terminator] = STATE(2389),
    [sym__line_break] = ACTIONS(3834),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(3834),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [812] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_superclass] = STATE(2388),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(2389),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(2389),
    [sym__line_break] = ACTIONS(3834),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(3834),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [813] = {
    [sym_heredoc_body] = STATE(2391),
    [sym__terminator] = STATE(2391),
    [sym__line_break] = ACTIONS(3836),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(3836),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(3838),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [814] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(2391),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(2391),
    [sym__line_break] = ACTIONS(3836),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(3836),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_end] = ACTIONS(3838),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [815] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2400),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(2400),
    [sym_operator_assignment] = STATE(2400),
    [sym_conditional] = STATE(2400),
    [sym_range] = STATE(2400),
    [sym_binary] = STATE(2400),
    [sym_unary] = STATE(2400),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [816] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2405),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(2405),
    [sym_operator_assignment] = STATE(2405),
    [sym_conditional] = STATE(2405),
    [sym_range] = STATE(2405),
    [sym_binary] = STATE(2405),
    [sym_unary] = STATE(2405),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [817] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(2407),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(2408),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(3862),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [818] = {
    [sym__keyword_colon] = ACTIONS(3864),
    [sym_comment] = ACTIONS(87),
  },
  [819] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2410),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(2410),
    [sym_operator_assignment] = STATE(2410),
    [sym_conditional] = STATE(2410),
    [sym_range] = STATE(2410),
    [sym_binary] = STATE(2410),
    [sym_unary] = STATE(2410),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [820] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(3864),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [821] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(3866),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(3868),
    [anon_sym_or] = ACTIONS(3868),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [822] = {
    [sym__element_reference_left_bracket] = ACTIONS(1689),
    [sym__infix_scope_colons] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1689),
    [anon_sym_AMP_DOT] = ACTIONS(1689),
    [sym_comment] = ACTIONS(87),
  },
  [823] = {
    [sym_heredoc_body] = STATE(2413),
    [aux_sym_call_repeat1] = STATE(2413),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [824] = {
    [sym_heredoc_body] = STATE(2413),
    [aux_sym_call_repeat1] = STATE(2413),
    [aux_sym_argument_list_repeat1] = STATE(2415),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(3872),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [825] = {
    [sym_string] = STATE(1985),
    [aux_sym_chained_string_repeat1] = STATE(1985),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(3874),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [826] = {
    [sym__element_reference_left_bracket] = ACTIONS(1709),
    [sym__infix_scope_colons] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_AMP_DOT] = ACTIONS(1709),
    [sym_comment] = ACTIONS(87),
  },
  [827] = {
    [sym__element_reference_left_bracket] = ACTIONS(1713),
    [sym__infix_scope_colons] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1713),
    [anon_sym_AMP_DOT] = ACTIONS(1713),
    [sym_comment] = ACTIONS(87),
  },
  [828] = {
    [sym__element_reference_left_bracket] = ACTIONS(1717),
    [sym__infix_scope_colons] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1717),
    [anon_sym_AMP_DOT] = ACTIONS(1717),
    [sym_comment] = ACTIONS(87),
  },
  [829] = {
    [sym__then] = STATE(2417),
    [sym_heredoc_body] = STATE(1027),
    [sym__terminator] = STATE(1027),
    [sym__line_break] = ACTIONS(1751),
    [sym__heredoc_body_start] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(3876),
    [sym_comment] = ACTIONS(87),
  },
  [830] = {
    [sym__then] = STATE(2418),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(3878),
    [sym_comment] = ACTIONS(87),
  },
  [831] = {
    [sym__do] = STATE(2419),
    [sym_heredoc_body] = STATE(2419),
    [sym__terminator] = STATE(2419),
    [sym__line_break] = ACTIONS(3880),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(3880),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(3880),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [832] = {
    [sym__do] = STATE(2420),
    [sym_heredoc_body] = STATE(2420),
    [sym__terminator] = STATE(2420),
    [sym__line_break] = ACTIONS(3882),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(3882),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(3882),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [833] = {
    [sym_in] = STATE(2421),
    [anon_sym_in] = ACTIONS(1985),
    [sym_comment] = ACTIONS(87),
  },
  [834] = {
    [sym_heredoc_body] = STATE(2422),
    [sym__terminator] = STATE(2422),
    [sym__line_break] = ACTIONS(3884),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [835] = {
    [sym_when] = STATE(2423),
    [aux_sym_case_repeat1] = STATE(2424),
    [anon_sym_SEMI] = ACTIONS(3886),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [836] = {
    [sym_else] = STATE(2426),
    [sym_ensure] = STATE(2427),
    [sym_rescue] = STATE(2428),
    [anon_sym_end] = ACTIONS(3888),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [837] = {
    [sym_ensure] = STATE(2427),
    [anon_sym_end] = ACTIONS(3888),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [838] = {
    [anon_sym_end] = ACTIONS(3888),
    [sym_comment] = ACTIONS(87),
  },
  [839] = {
    [sym_else] = STATE(2426),
    [sym_ensure] = STATE(2427),
    [anon_sym_end] = ACTIONS(3888),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [840] = {
    [sym__element_reference_left_bracket] = ACTIONS(2205),
    [sym__infix_scope_colons] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2205),
    [anon_sym_AMP_DOT] = ACTIONS(2205),
    [sym_comment] = ACTIONS(87),
  },
  [841] = {
    [sym__statements] = STATE(836),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(837),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(838),
    [sym_rescue] = STATE(839),
    [sym__body_statement] = STATE(2429),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(3890),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [842] = {
    [sym__element_reference_left_bracket] = ACTIONS(2291),
    [sym__infix_scope_colons] = ACTIONS(2291),
    [anon_sym_DOT] = ACTIONS(2291),
    [anon_sym_AMP_DOT] = ACTIONS(2291),
    [sym_comment] = ACTIONS(87),
  },
  [843] = {
    [sym__element_reference_left_bracket] = ACTIONS(2375),
    [sym__infix_scope_colons] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2375),
    [anon_sym_AMP_DOT] = ACTIONS(2375),
    [sym_comment] = ACTIONS(87),
  },
  [844] = {
    [sym_heredoc_body] = STATE(2431),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(3892),
    [sym_comment] = ACTIONS(87),
  },
  [845] = {
    [anon_sym_RBRACK] = ACTIONS(3892),
    [sym_comment] = ACTIONS(87),
  },
  [846] = {
    [sym__statements] = STATE(2433),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(2434),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(3894),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [847] = {
    [sym__statements] = STATE(2436),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(2437),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(2438),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(2438),
    [sym__line_break] = ACTIONS(3896),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(3898),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [848] = {
    [sym_do_block] = STATE(2439),
    [sym_block] = STATE(2439),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_do] = ACTIONS(3900),
    [sym_comment] = ACTIONS(87),
  },
  [849] = {
    [sym__element_reference_left_bracket] = ACTIONS(2521),
    [sym__infix_scope_colons] = ACTIONS(2521),
    [anon_sym_DOT] = ACTIONS(2521),
    [anon_sym_AMP_DOT] = ACTIONS(2521),
    [sym_comment] = ACTIONS(87),
  },
  [850] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(2441),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(2442),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(3902),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [851] = {
    [sym_constant] = ACTIONS(3904),
    [sym_identifier] = ACTIONS(3904),
    [sym_comment] = ACTIONS(87),
  },
  [852] = {
    [sym_argument_list_with_parens] = STATE(2446),
    [sym__argument_list_with_parens] = STATE(2447),
    [sym_operator] = STATE(2446),
    [sym_heredoc_body] = STATE(2448),
    [aux_sym_call_repeat1] = STATE(2448),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(3906),
    [anon_sym_PIPE] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(3910),
    [anon_sym_STAR_STAR] = ACTIONS(3908),
    [anon_sym_AMP] = ACTIONS(3908),
    [anon_sym_LT] = ACTIONS(3910),
    [anon_sym_DOT_DOT] = ACTIONS(3908),
    [anon_sym_LT_LT] = ACTIONS(3908),
    [anon_sym_GT_GT] = ACTIONS(3908),
    [anon_sym_EQ_EQ] = ACTIONS(3910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3908),
    [anon_sym_LT_EQ_GT] = ACTIONS(3908),
    [anon_sym_EQ_TILDE] = ACTIONS(3908),
    [anon_sym_BANG_TILDE] = ACTIONS(3908),
    [anon_sym_LT_EQ] = ACTIONS(3910),
    [anon_sym_GT] = ACTIONS(3910),
    [anon_sym_GT_EQ] = ACTIONS(3908),
    [anon_sym_CARET] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3910),
    [anon_sym_SLASH] = ACTIONS(3908),
    [anon_sym_PERCENT] = ACTIONS(3908),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3908),
    [sym_constant] = ACTIONS(3912),
    [sym_identifier] = ACTIONS(3912),
    [anon_sym_DASH] = ACTIONS(3910),
    [anon_sym_PLUS_AT] = ACTIONS(3908),
    [anon_sym_DASH_AT] = ACTIONS(3908),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3910),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(3908),
    [anon_sym_BQUOTE] = ACTIONS(3908),
    [sym_comment] = ACTIONS(87),
  },
  [853] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2479),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(2479),
    [sym_operator_assignment] = STATE(2479),
    [sym_conditional] = STATE(2479),
    [sym_range] = STATE(2479),
    [sym_binary] = STATE(2479),
    [sym_unary] = STATE(2479),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [854] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2484),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(2484),
    [sym_operator_assignment] = STATE(2484),
    [sym_conditional] = STATE(2484),
    [sym_range] = STATE(2484),
    [sym_binary] = STATE(2484),
    [sym_unary] = STATE(2484),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [855] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2485),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(2485),
    [sym_operator_assignment] = STATE(2485),
    [sym_conditional] = STATE(2485),
    [sym_range] = STATE(2485),
    [sym_binary] = STATE(2485),
    [sym_unary] = STATE(2485),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [856] = {
    [sym__keyword_colon] = ACTIONS(3980),
    [sym_comment] = ACTIONS(87),
  },
  [857] = {
    [sym__statements] = STATE(2433),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(2434),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(1358),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(1359),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(3982),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [858] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2489),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(2489),
    [sym_operator_assignment] = STATE(2489),
    [sym_conditional] = STATE(2489),
    [sym_range] = STATE(2489),
    [sym_binary] = STATE(2489),
    [sym_unary] = STATE(2489),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [859] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2495),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(2496),
    [sym__argument] = STATE(2497),
    [sym_splat_argument] = STATE(2497),
    [sym_hash_splat_argument] = STATE(2497),
    [sym_block_argument] = STATE(2497),
    [sym_assignment] = STATE(2495),
    [sym_operator_assignment] = STATE(2495),
    [sym_conditional] = STATE(2495),
    [sym_range] = STATE(2495),
    [sym_binary] = STATE(2495),
    [sym_unary] = STATE(2495),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2498),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2497),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3984),
    [sym__splat_star] = ACTIONS(3986),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3988),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(3990),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(3992),
    [sym_identifier] = ACTIONS(3992),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [860] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2495),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(2496),
    [sym__argument] = STATE(2497),
    [sym_splat_argument] = STATE(2497),
    [sym_hash_splat_argument] = STATE(2497),
    [sym_block_argument] = STATE(2497),
    [sym_assignment] = STATE(2495),
    [sym_operator_assignment] = STATE(2495),
    [sym_conditional] = STATE(2495),
    [sym_range] = STATE(2495),
    [sym_binary] = STATE(2495),
    [sym_unary] = STATE(2495),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2498),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2497),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3984),
    [sym__splat_star] = ACTIONS(3986),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3988),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(3990),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(3992),
    [sym_identifier] = ACTIONS(3992),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [861] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2495),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(2496),
    [sym__argument] = STATE(2497),
    [sym_splat_argument] = STATE(2497),
    [sym_hash_splat_argument] = STATE(2497),
    [sym_block_argument] = STATE(2497),
    [sym_assignment] = STATE(2495),
    [sym_operator_assignment] = STATE(2495),
    [sym_conditional] = STATE(2495),
    [sym_range] = STATE(2495),
    [sym_binary] = STATE(2495),
    [sym_unary] = STATE(2495),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2498),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2497),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3984),
    [sym__splat_star] = ACTIONS(3986),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3988),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(3990),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(3992),
    [sym_identifier] = ACTIONS(3992),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [862] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2495),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(2496),
    [sym__argument] = STATE(2497),
    [sym_splat_argument] = STATE(2497),
    [sym_hash_splat_argument] = STATE(2497),
    [sym_block_argument] = STATE(2497),
    [sym_assignment] = STATE(2495),
    [sym_operator_assignment] = STATE(2495),
    [sym_conditional] = STATE(2495),
    [sym_range] = STATE(2495),
    [sym_binary] = STATE(2495),
    [sym_unary] = STATE(2495),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2498),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2497),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3984),
    [sym__splat_star] = ACTIONS(3986),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3988),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(3990),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(3992),
    [sym_identifier] = ACTIONS(3992),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [863] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2499),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(2499),
    [sym_operator_assignment] = STATE(2499),
    [sym_conditional] = STATE(2499),
    [sym_range] = STATE(2499),
    [sym_binary] = STATE(2499),
    [sym_unary] = STATE(2499),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [864] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2500),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(2500),
    [sym_operator_assignment] = STATE(2500),
    [sym_conditional] = STATE(2500),
    [sym_range] = STATE(2500),
    [sym_binary] = STATE(2500),
    [sym_unary] = STATE(2500),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [865] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [866] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(3980),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [867] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(4006),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(4014),
    [anon_sym_or] = ACTIONS(4014),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [868] = {
    [sym_do_block] = STATE(2514),
    [sym_block] = STATE(2514),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(3900),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [sym_comment] = ACTIONS(87),
  },
  [869] = {
    [sym_heredoc_body] = STATE(2515),
    [aux_sym_call_repeat1] = STATE(2515),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [870] = {
    [sym_heredoc_body] = STATE(2515),
    [aux_sym_call_repeat1] = STATE(2515),
    [aux_sym_argument_list_repeat1] = STATE(2517),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(4028),
    [anon_sym_EQ] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [871] = {
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [sym_comment] = ACTIONS(87),
  },
  [872] = {
    [anon_sym_EQ] = ACTIONS(4030),
    [sym_comment] = ACTIONS(87),
  },
  [873] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(4032),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(4034),
    [anon_sym_DASH_EQ] = ACTIONS(4034),
    [anon_sym_STAR_EQ] = ACTIONS(4034),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4034),
    [anon_sym_SLASH_EQ] = ACTIONS(4034),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4034),
    [anon_sym_PIPE_EQ] = ACTIONS(4034),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4034),
    [anon_sym_AMP_EQ] = ACTIONS(4034),
    [anon_sym_PERCENT_EQ] = ACTIONS(4034),
    [anon_sym_GT_GT_EQ] = ACTIONS(4034),
    [anon_sym_LT_LT_EQ] = ACTIONS(4034),
    [anon_sym_CARET_EQ] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [874] = {
    [sym_string] = STATE(2521),
    [aux_sym_chained_string_repeat1] = STATE(2521),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(4036),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [875] = {
    [sym_string] = STATE(2522),
    [aux_sym_chained_string_repeat1] = STATE(2522),
    [sym__string_start] = ACTIONS(279),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [876] = {
    [sym_heredoc_body] = STATE(2523),
    [sym__terminator] = STATE(2523),
    [sym__line_break] = ACTIONS(4038),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(4038),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [877] = {
    [sym__line_break] = ACTIONS(1419),
    [sym__simple_symbol] = ACTIONS(1419),
    [sym__string_start] = ACTIONS(1419),
    [sym__symbol_start] = ACTIONS(1419),
    [sym__subshell_start] = ACTIONS(1419),
    [sym__regex_start] = ACTIONS(1419),
    [sym__string_array_start] = ACTIONS(1419),
    [sym__symbol_array_start] = ACTIONS(1419),
    [sym__heredoc_body_start] = ACTIONS(1419),
    [sym_heredoc_beginning] = ACTIONS(1419),
    [sym__element_reference_left_bracket] = ACTIONS(1419),
    [sym__block_ampersand] = ACTIONS(1419),
    [sym__splat_star] = ACTIONS(1419),
    [sym__argument_list_left_paren] = ACTIONS(1419),
    [sym__infix_scope_colons] = ACTIONS(1419),
    [sym__unary_minus] = ACTIONS(1419),
    [sym__identifier_hash_key] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1419),
    [anon_sym_def] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1419),
    [anon_sym_COLON_COLON] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1419),
    [anon_sym_class] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_module] = ACTIONS(1421),
    [anon_sym_end] = ACTIONS(1421),
    [anon_sym_return] = ACTIONS(1421),
    [anon_sym_yield] = ACTIONS(1421),
    [anon_sym_break] = ACTIONS(1421),
    [anon_sym_next] = ACTIONS(1421),
    [sym_redo] = ACTIONS(1421),
    [sym_retry] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_unless] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1421),
    [anon_sym_until] = ACTIONS(1421),
    [anon_sym_for] = ACTIONS(1421),
    [anon_sym_do] = ACTIONS(1421),
    [anon_sym_case] = ACTIONS(1421),
    [anon_sym_then] = ACTIONS(1421),
    [anon_sym_begin] = ACTIONS(1421),
    [anon_sym_AMP_DOT] = ACTIONS(1419),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_defined_QMARK] = ACTIONS(1419),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [sym_constant] = ACTIONS(1421),
    [sym_identifier] = ACTIONS(1421),
    [sym_instance_variable] = ACTIONS(1419),
    [sym_class_variable] = ACTIONS(1419),
    [sym_global_variable] = ACTIONS(1419),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1421),
    [sym_complex] = ACTIONS(1419),
    [sym_super] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_TRUE] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_FALSE] = ACTIONS(1421),
    [sym_self] = ACTIONS(1421),
    [anon_sym_nil] = ACTIONS(1421),
    [anon_sym_NIL] = ACTIONS(1421),
    [sym_character] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_DASH_GT] = ACTIONS(1419),
  },
  [878] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2524),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(2524),
    [sym_operator_assignment] = STATE(2524),
    [sym_conditional] = STATE(2524),
    [sym_range] = STATE(2524),
    [sym_binary] = STATE(2524),
    [sym_unary] = STATE(2524),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [879] = {
    [sym_heredoc_body] = STATE(2525),
    [sym__terminator] = STATE(2525),
    [sym__line_break] = ACTIONS(4040),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(4040),
    [sym_comment] = ACTIONS(87),
  },
  [880] = {
    [sym__statements] = STATE(297),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(300),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(301),
    [sym_rescue] = STATE(302),
    [sym__body_statement] = STATE(2526),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(4042),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [881] = {
    [sym_constant] = ACTIONS(4044),
    [sym_identifier] = ACTIONS(4044),
    [sym_comment] = ACTIONS(87),
  },
  [882] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2536),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(2536),
    [sym_operator_assignment] = STATE(2536),
    [sym_conditional] = STATE(2536),
    [sym_range] = STATE(2536),
    [sym_binary] = STATE(2536),
    [sym_unary] = STATE(2536),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [883] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2540),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(2540),
    [sym_operator_assignment] = STATE(2540),
    [sym_conditional] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_binary] = STATE(2540),
    [sym_unary] = STATE(2540),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [884] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2541),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(2541),
    [sym_operator_assignment] = STATE(2541),
    [sym_conditional] = STATE(2541),
    [sym_range] = STATE(2541),
    [sym_binary] = STATE(2541),
    [sym_unary] = STATE(2541),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [885] = {
    [sym__keyword_colon] = ACTIONS(4064),
    [sym_comment] = ACTIONS(87),
  },
  [886] = {
    [sym__statements] = STATE(2433),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(2434),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(1358),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(1359),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(4066),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [887] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2545),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(2545),
    [sym_operator_assignment] = STATE(2545),
    [sym_conditional] = STATE(2545),
    [sym_range] = STATE(2545),
    [sym_binary] = STATE(2545),
    [sym_unary] = STATE(2545),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [888] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2551),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(2552),
    [sym__argument] = STATE(2553),
    [sym_splat_argument] = STATE(2553),
    [sym_hash_splat_argument] = STATE(2553),
    [sym_block_argument] = STATE(2553),
    [sym_assignment] = STATE(2551),
    [sym_operator_assignment] = STATE(2551),
    [sym_conditional] = STATE(2551),
    [sym_range] = STATE(2551),
    [sym_binary] = STATE(2551),
    [sym_unary] = STATE(2551),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2554),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2553),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4068),
    [sym__splat_star] = ACTIONS(4070),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(4072),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(4076),
    [sym_identifier] = ACTIONS(4076),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [889] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2551),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(2552),
    [sym__argument] = STATE(2553),
    [sym_splat_argument] = STATE(2553),
    [sym_hash_splat_argument] = STATE(2553),
    [sym_block_argument] = STATE(2553),
    [sym_assignment] = STATE(2551),
    [sym_operator_assignment] = STATE(2551),
    [sym_conditional] = STATE(2551),
    [sym_range] = STATE(2551),
    [sym_binary] = STATE(2551),
    [sym_unary] = STATE(2551),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2554),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2553),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4068),
    [sym__splat_star] = ACTIONS(4070),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(4072),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(4076),
    [sym_identifier] = ACTIONS(4076),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [890] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2551),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(2552),
    [sym__argument] = STATE(2553),
    [sym_splat_argument] = STATE(2553),
    [sym_hash_splat_argument] = STATE(2553),
    [sym_block_argument] = STATE(2553),
    [sym_assignment] = STATE(2551),
    [sym_operator_assignment] = STATE(2551),
    [sym_conditional] = STATE(2551),
    [sym_range] = STATE(2551),
    [sym_binary] = STATE(2551),
    [sym_unary] = STATE(2551),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2554),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2553),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4068),
    [sym__splat_star] = ACTIONS(4070),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(4072),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(4076),
    [sym_identifier] = ACTIONS(4076),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [891] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2551),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(2552),
    [sym__argument] = STATE(2553),
    [sym_splat_argument] = STATE(2553),
    [sym_hash_splat_argument] = STATE(2553),
    [sym_block_argument] = STATE(2553),
    [sym_assignment] = STATE(2551),
    [sym_operator_assignment] = STATE(2551),
    [sym_conditional] = STATE(2551),
    [sym_range] = STATE(2551),
    [sym_binary] = STATE(2551),
    [sym_unary] = STATE(2551),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2554),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2553),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4068),
    [sym__splat_star] = ACTIONS(4070),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(4072),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(4076),
    [sym_identifier] = ACTIONS(4076),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [892] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2555),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(2555),
    [sym_operator_assignment] = STATE(2555),
    [sym_conditional] = STATE(2555),
    [sym_range] = STATE(2555),
    [sym_binary] = STATE(2555),
    [sym_unary] = STATE(2555),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [893] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2556),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(2556),
    [sym_operator_assignment] = STATE(2556),
    [sym_conditional] = STATE(2556),
    [sym_range] = STATE(2556),
    [sym_binary] = STATE(2556),
    [sym_unary] = STATE(2556),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [894] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [895] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(4064),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [896] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(4090),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(4098),
    [anon_sym_or] = ACTIONS(4098),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [897] = {
    [sym_heredoc_body] = STATE(2570),
    [aux_sym_call_repeat1] = STATE(2570),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [898] = {
    [sym_heredoc_body] = STATE(2570),
    [aux_sym_call_repeat1] = STATE(2570),
    [aux_sym_argument_list_repeat1] = STATE(2572),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(4112),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [899] = {
    [anon_sym_EQ] = ACTIONS(4114),
    [sym_comment] = ACTIONS(87),
  },
  [900] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(4116),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(4118),
    [anon_sym_DASH_EQ] = ACTIONS(4118),
    [anon_sym_STAR_EQ] = ACTIONS(4118),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4118),
    [anon_sym_SLASH_EQ] = ACTIONS(4118),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4118),
    [anon_sym_PIPE_EQ] = ACTIONS(4118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4118),
    [anon_sym_AMP_EQ] = ACTIONS(4118),
    [anon_sym_PERCENT_EQ] = ACTIONS(4118),
    [anon_sym_GT_GT_EQ] = ACTIONS(4118),
    [anon_sym_LT_LT_EQ] = ACTIONS(4118),
    [anon_sym_CARET_EQ] = ACTIONS(4118),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [901] = {
    [sym_string] = STATE(2576),
    [aux_sym_chained_string_repeat1] = STATE(2576),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(4120),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [902] = {
    [sym__line_break] = ACTIONS(4122),
    [sym__heredoc_body_start] = ACTIONS(4122),
    [sym__element_reference_left_bracket] = ACTIONS(4122),
    [sym__infix_scope_colons] = ACTIONS(4122),
    [sym__binary_minus] = ACTIONS(4122),
    [sym__binary_star] = ACTIONS(4122),
    [ts_builtin_sym_end] = ACTIONS(4122),
    [anon_sym___END__] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_STAR_STAR] = ACTIONS(4122),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_end] = ACTIONS(4122),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_unless] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(4122),
    [anon_sym_until] = ACTIONS(4122),
    [anon_sym_rescue] = ACTIONS(4122),
    [anon_sym_do] = ACTIONS(4122),
    [anon_sym_when] = ACTIONS(4122),
    [anon_sym_elsif] = ACTIONS(4122),
    [anon_sym_else] = ACTIONS(4122),
    [anon_sym_then] = ACTIONS(4122),
    [anon_sym_ensure] = ACTIONS(4122),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_AMP_DOT] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ_GT] = ACTIONS(4122),
    [anon_sym_EQ_TILDE] = ACTIONS(4122),
    [anon_sym_BANG_TILDE] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4122),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(87),
  },
  [903] = {
    [sym__statements] = STATE(297),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(300),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(301),
    [sym_rescue] = STATE(302),
    [sym__body_statement] = STATE(2577),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(4126),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [904] = {
    [sym__line_break] = ACTIONS(839),
    [sym__string_start] = ACTIONS(839),
    [sym__heredoc_body_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__keyword_colon] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [ts_builtin_sym_end] = ACTIONS(839),
    [anon_sym___END__] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(839),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_end] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_unless] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(839),
    [anon_sym_until] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(839),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_when] = ACTIONS(839),
    [anon_sym_elsif] = ACTIONS(839),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_then] = ACTIONS(839),
    [anon_sym_ensure] = ACTIONS(839),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(839),
    [anon_sym_AMP_AMP] = ACTIONS(839),
    [anon_sym_LT_LT] = ACTIONS(839),
    [anon_sym_GT_GT] = ACTIONS(839),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_SLASH] = ACTIONS(839),
    [anon_sym_PERCENT] = ACTIONS(839),
    [sym_comment] = ACTIONS(87),
  },
  [905] = {
    [sym__string_end] = ACTIONS(4128),
    [sym_comment] = ACTIONS(87),
  },
  [906] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2579),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(2579),
    [sym_operator_assignment] = STATE(2579),
    [sym_conditional] = STATE(2579),
    [sym_range] = STATE(2579),
    [sym_binary] = STATE(2579),
    [sym_unary] = STATE(2579),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [907] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(221),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(2580),
    [sym__argument] = STATE(2581),
    [sym_splat_argument] = STATE(2581),
    [sym_hash_splat_argument] = STATE(2581),
    [sym_block_argument] = STATE(2581),
    [sym_assignment] = STATE(221),
    [sym_operator_assignment] = STATE(221),
    [sym_conditional] = STATE(221),
    [sym_range] = STATE(221),
    [sym_binary] = STATE(221),
    [sym_unary] = STATE(221),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(229),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2581),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(369),
    [sym__splat_star] = ACTIONS(371),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(377),
    [ts_builtin_sym_end] = ACTIONS(363),
    [anon_sym___END__] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(401),
    [sym_identifier] = ACTIONS(401),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [908] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(221),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(2580),
    [sym__argument] = STATE(2581),
    [sym_splat_argument] = STATE(2581),
    [sym_hash_splat_argument] = STATE(2581),
    [sym_block_argument] = STATE(2581),
    [sym_assignment] = STATE(221),
    [sym_operator_assignment] = STATE(221),
    [sym_conditional] = STATE(221),
    [sym_range] = STATE(221),
    [sym_binary] = STATE(221),
    [sym_unary] = STATE(221),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(229),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2581),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(369),
    [sym__splat_star] = ACTIONS(371),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(377),
    [ts_builtin_sym_end] = ACTIONS(413),
    [anon_sym___END__] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(401),
    [sym_identifier] = ACTIONS(401),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [909] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(221),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(2580),
    [sym__argument] = STATE(2581),
    [sym_splat_argument] = STATE(2581),
    [sym_hash_splat_argument] = STATE(2581),
    [sym_block_argument] = STATE(2581),
    [sym_assignment] = STATE(221),
    [sym_operator_assignment] = STATE(221),
    [sym_conditional] = STATE(221),
    [sym_range] = STATE(221),
    [sym_binary] = STATE(221),
    [sym_unary] = STATE(221),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(229),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2581),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(369),
    [sym__splat_star] = ACTIONS(371),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(377),
    [ts_builtin_sym_end] = ACTIONS(417),
    [anon_sym___END__] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(401),
    [sym_identifier] = ACTIONS(401),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [910] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(221),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(2580),
    [sym__argument] = STATE(2581),
    [sym_splat_argument] = STATE(2581),
    [sym_hash_splat_argument] = STATE(2581),
    [sym_block_argument] = STATE(2581),
    [sym_assignment] = STATE(221),
    [sym_operator_assignment] = STATE(221),
    [sym_conditional] = STATE(221),
    [sym_range] = STATE(221),
    [sym_binary] = STATE(221),
    [sym_unary] = STATE(221),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(229),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2581),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(369),
    [sym__splat_star] = ACTIONS(371),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(375),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(377),
    [ts_builtin_sym_end] = ACTIONS(421),
    [anon_sym___END__] = ACTIONS(423),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(401),
    [sym_identifier] = ACTIONS(401),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [911] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2582),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(2582),
    [sym_operator_assignment] = STATE(2582),
    [sym_conditional] = STATE(2582),
    [sym_range] = STATE(2582),
    [sym_binary] = STATE(2582),
    [sym_unary] = STATE(2582),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [912] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2583),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(2583),
    [sym_operator_assignment] = STATE(2583),
    [sym_conditional] = STATE(2583),
    [sym_range] = STATE(2583),
    [sym_binary] = STATE(2583),
    [sym_unary] = STATE(2583),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [913] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [914] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(4130),
    [anon_sym___END__] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [915] = {
    [anon_sym_EQ] = ACTIONS(4164),
    [sym_comment] = ACTIONS(87),
  },
  [916] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(4166),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(4168),
    [anon_sym_DASH_EQ] = ACTIONS(4168),
    [anon_sym_STAR_EQ] = ACTIONS(4168),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4168),
    [anon_sym_SLASH_EQ] = ACTIONS(4168),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4168),
    [anon_sym_PIPE_EQ] = ACTIONS(4168),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4168),
    [anon_sym_AMP_EQ] = ACTIONS(4168),
    [anon_sym_PERCENT_EQ] = ACTIONS(4168),
    [anon_sym_GT_GT_EQ] = ACTIONS(4168),
    [anon_sym_LT_LT_EQ] = ACTIONS(4168),
    [anon_sym_CARET_EQ] = ACTIONS(4168),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [917] = {
    [sym_string] = STATE(2598),
    [aux_sym_chained_string_repeat1] = STATE(2598),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [918] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(4170),
    [anon_sym___END__] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [919] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2607),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(2607),
    [sym_operator_assignment] = STATE(2607),
    [sym_conditional] = STATE(2607),
    [sym_range] = STATE(2607),
    [sym_binary] = STATE(2607),
    [sym_unary] = STATE(2607),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [920] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2612),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(2612),
    [sym_operator_assignment] = STATE(2612),
    [sym_conditional] = STATE(2612),
    [sym_range] = STATE(2612),
    [sym_binary] = STATE(2612),
    [sym_unary] = STATE(2612),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [921] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2613),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(2613),
    [sym_operator_assignment] = STATE(2613),
    [sym_conditional] = STATE(2613),
    [sym_range] = STATE(2613),
    [sym_binary] = STATE(2613),
    [sym_unary] = STATE(2613),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [922] = {
    [sym__keyword_colon] = ACTIONS(4196),
    [sym_comment] = ACTIONS(87),
  },
  [923] = {
    [sym__line_break] = ACTIONS(4198),
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [ts_builtin_sym_end] = ACTIONS(4198),
    [anon_sym___END__] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR_STAR] = ACTIONS(4198),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_end] = ACTIONS(4198),
    [anon_sym_if] = ACTIONS(4198),
    [anon_sym_unless] = ACTIONS(4198),
    [anon_sym_while] = ACTIONS(4198),
    [anon_sym_until] = ACTIONS(4198),
    [anon_sym_rescue] = ACTIONS(4198),
    [anon_sym_do] = ACTIONS(4198),
    [anon_sym_when] = ACTIONS(4198),
    [anon_sym_elsif] = ACTIONS(4198),
    [anon_sym_else] = ACTIONS(4198),
    [anon_sym_then] = ACTIONS(4198),
    [anon_sym_ensure] = ACTIONS(4198),
    [anon_sym_EQ_GT] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4198),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4198),
    [anon_sym_or] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE] = ACTIONS(4198),
    [anon_sym_AMP_AMP] = ACTIONS(4198),
    [anon_sym_LT_LT] = ACTIONS(4198),
    [anon_sym_GT_GT] = ACTIONS(4198),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4198),
    [anon_sym_PLUS] = ACTIONS(4198),
    [anon_sym_SLASH] = ACTIONS(4198),
    [anon_sym_PERCENT] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
  },
  [924] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(2616),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(2616),
    [sym_operator_assignment] = STATE(2616),
    [sym_conditional] = STATE(2616),
    [sym_range] = STATE(2616),
    [sym_binary] = STATE(2616),
    [sym_unary] = STATE(2616),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [925] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2622),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(2623),
    [sym__argument] = STATE(2624),
    [sym_splat_argument] = STATE(2624),
    [sym_hash_splat_argument] = STATE(2624),
    [sym_block_argument] = STATE(2624),
    [sym_assignment] = STATE(2622),
    [sym_operator_assignment] = STATE(2622),
    [sym_conditional] = STATE(2622),
    [sym_range] = STATE(2622),
    [sym_binary] = STATE(2622),
    [sym_unary] = STATE(2622),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2625),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2624),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4202),
    [sym__splat_star] = ACTIONS(4204),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(4206),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(4208),
    [sym_identifier] = ACTIONS(4208),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [926] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2622),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(2623),
    [sym__argument] = STATE(2624),
    [sym_splat_argument] = STATE(2624),
    [sym_hash_splat_argument] = STATE(2624),
    [sym_block_argument] = STATE(2624),
    [sym_assignment] = STATE(2622),
    [sym_operator_assignment] = STATE(2622),
    [sym_conditional] = STATE(2622),
    [sym_range] = STATE(2622),
    [sym_binary] = STATE(2622),
    [sym_unary] = STATE(2622),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2625),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2624),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4202),
    [sym__splat_star] = ACTIONS(4204),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(4206),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(4208),
    [sym_identifier] = ACTIONS(4208),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [927] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2622),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(2623),
    [sym__argument] = STATE(2624),
    [sym_splat_argument] = STATE(2624),
    [sym_hash_splat_argument] = STATE(2624),
    [sym_block_argument] = STATE(2624),
    [sym_assignment] = STATE(2622),
    [sym_operator_assignment] = STATE(2622),
    [sym_conditional] = STATE(2622),
    [sym_range] = STATE(2622),
    [sym_binary] = STATE(2622),
    [sym_unary] = STATE(2622),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2625),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2624),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4202),
    [sym__splat_star] = ACTIONS(4204),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(4206),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(4208),
    [sym_identifier] = ACTIONS(4208),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [928] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2622),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(2623),
    [sym__argument] = STATE(2624),
    [sym_splat_argument] = STATE(2624),
    [sym_hash_splat_argument] = STATE(2624),
    [sym_block_argument] = STATE(2624),
    [sym_assignment] = STATE(2622),
    [sym_operator_assignment] = STATE(2622),
    [sym_conditional] = STATE(2622),
    [sym_range] = STATE(2622),
    [sym_binary] = STATE(2622),
    [sym_unary] = STATE(2622),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2625),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(2624),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4202),
    [sym__splat_star] = ACTIONS(4204),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(4206),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(4208),
    [sym_identifier] = ACTIONS(4208),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [929] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2626),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(2626),
    [sym_operator_assignment] = STATE(2626),
    [sym_conditional] = STATE(2626),
    [sym_range] = STATE(2626),
    [sym_binary] = STATE(2626),
    [sym_unary] = STATE(2626),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [930] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2627),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(2627),
    [sym_operator_assignment] = STATE(2627),
    [sym_conditional] = STATE(2627),
    [sym_range] = STATE(2627),
    [sym_binary] = STATE(2627),
    [sym_unary] = STATE(2627),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [931] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1407),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(1407),
    [sym_operator_assignment] = STATE(1407),
    [sym_conditional] = STATE(1407),
    [sym_range] = STATE(1407),
    [sym_binary] = STATE(1407),
    [sym_unary] = STATE(1407),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [932] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(4196),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [933] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4214),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT] = ACTIONS(4220),
    [anon_sym_EQ_GT] = ACTIONS(4222),
    [anon_sym_QMARK] = ACTIONS(4224),
    [anon_sym_DOT_DOT] = ACTIONS(4226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4228),
    [anon_sym_and] = ACTIONS(4230),
    [anon_sym_or] = ACTIONS(4230),
    [anon_sym_PIPE_PIPE] = ACTIONS(4232),
    [anon_sym_AMP_AMP] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(4236),
    [anon_sym_BANG_EQ] = ACTIONS(4232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4232),
    [anon_sym_LT_EQ_GT] = ACTIONS(4232),
    [anon_sym_EQ_TILDE] = ACTIONS(4232),
    [anon_sym_BANG_TILDE] = ACTIONS(4232),
    [anon_sym_LT_EQ] = ACTIONS(4220),
    [anon_sym_GT] = ACTIONS(4220),
    [anon_sym_GT_EQ] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [934] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2646),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(1449),
    [sym__argument_list_with_parens] = STATE(2647),
    [sym__argument] = STATE(2648),
    [sym_splat_argument] = STATE(2648),
    [sym_hash_splat_argument] = STATE(2648),
    [sym_block_argument] = STATE(2648),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(2646),
    [sym_operator_assignment] = STATE(2646),
    [sym_conditional] = STATE(2646),
    [sym_range] = STATE(2646),
    [sym_binary] = STATE(2646),
    [sym_unary] = STATE(2646),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2649),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2648),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(4244),
    [sym__splat_star] = ACTIONS(4246),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(4248),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(2447),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(4250),
    [sym_identifier] = ACTIONS(4250),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [935] = {
    [sym_heredoc_body] = STATE(2651),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(4252),
    [sym_comment] = ACTIONS(87),
  },
  [936] = {
    [sym__heredoc_body_start] = ACTIONS(2465),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(4254),
    [sym_comment] = ACTIONS(87),
  },
  [937] = {
    [anon_sym_EQ] = ACTIONS(4256),
    [sym_comment] = ACTIONS(87),
  },
  [938] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(4258),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(4260),
    [anon_sym_DASH_EQ] = ACTIONS(4260),
    [anon_sym_STAR_EQ] = ACTIONS(4260),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4260),
    [anon_sym_SLASH_EQ] = ACTIONS(4260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4260),
    [anon_sym_PIPE_EQ] = ACTIONS(4260),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4260),
    [anon_sym_AMP_EQ] = ACTIONS(4260),
    [anon_sym_PERCENT_EQ] = ACTIONS(4260),
    [anon_sym_GT_GT_EQ] = ACTIONS(4260),
    [anon_sym_LT_LT_EQ] = ACTIONS(4260),
    [anon_sym_CARET_EQ] = ACTIONS(4260),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [939] = {
    [sym_string] = STATE(2656),
    [aux_sym_chained_string_repeat1] = STATE(2656),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(4262),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [940] = {
    [anon_sym_RPAREN] = ACTIONS(4252),
    [sym_comment] = ACTIONS(87),
  },
  [941] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [ts_builtin_sym_end] = ACTIONS(939),
    [anon_sym___END__] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [942] = {
    [sym_string] = STATE(995),
    [aux_sym_chained_string_repeat1] = STATE(995),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [943] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2657),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(2657),
    [sym_operator_assignment] = STATE(2657),
    [sym_conditional] = STATE(2657),
    [sym_range] = STATE(2657),
    [sym_binary] = STATE(2657),
    [sym_unary] = STATE(2657),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [944] = {
    [sym__line_break] = ACTIONS(1419),
    [sym__simple_symbol] = ACTIONS(1419),
    [sym__string_start] = ACTIONS(1419),
    [sym__symbol_start] = ACTIONS(1419),
    [sym__subshell_start] = ACTIONS(1419),
    [sym__regex_start] = ACTIONS(1419),
    [sym__string_array_start] = ACTIONS(1419),
    [sym__symbol_array_start] = ACTIONS(1419),
    [sym__heredoc_body_start] = ACTIONS(1419),
    [sym_heredoc_beginning] = ACTIONS(1419),
    [sym__element_reference_left_bracket] = ACTIONS(1419),
    [sym__block_ampersand] = ACTIONS(1419),
    [sym__splat_star] = ACTIONS(1419),
    [sym__argument_list_left_paren] = ACTIONS(1419),
    [sym__infix_scope_colons] = ACTIONS(1419),
    [sym__unary_minus] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1419),
    [sym__binary_star] = ACTIONS(1419),
    [sym__identifier_hash_key] = ACTIONS(1419),
    [ts_builtin_sym_end] = ACTIONS(1419),
    [anon_sym___END__] = ACTIONS(1421),
    [anon_sym_LBRACE] = ACTIONS(1419),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_def] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1419),
    [anon_sym_RPAREN] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_COLON_COLON] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1419),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [anon_sym_class] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1421),
    [anon_sym_module] = ACTIONS(1421),
    [anon_sym_end] = ACTIONS(1421),
    [anon_sym_return] = ACTIONS(1421),
    [anon_sym_yield] = ACTIONS(1421),
    [anon_sym_break] = ACTIONS(1421),
    [anon_sym_next] = ACTIONS(1421),
    [sym_redo] = ACTIONS(1421),
    [sym_retry] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_unless] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1421),
    [anon_sym_until] = ACTIONS(1421),
    [anon_sym_rescue] = ACTIONS(1421),
    [anon_sym_for] = ACTIONS(1421),
    [anon_sym_do] = ACTIONS(1421),
    [anon_sym_case] = ACTIONS(1421),
    [anon_sym_when] = ACTIONS(1421),
    [anon_sym_elsif] = ACTIONS(1421),
    [anon_sym_else] = ACTIONS(1421),
    [anon_sym_then] = ACTIONS(1421),
    [anon_sym_begin] = ACTIONS(1421),
    [anon_sym_ensure] = ACTIONS(1421),
    [anon_sym_EQ_GT] = ACTIONS(1419),
    [anon_sym_AMP_DOT] = ACTIONS(1419),
    [anon_sym_PLUS_EQ] = ACTIONS(1419),
    [anon_sym_DASH_EQ] = ACTIONS(1419),
    [anon_sym_STAR_EQ] = ACTIONS(1419),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1419),
    [anon_sym_SLASH_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1419),
    [anon_sym_AMP_EQ] = ACTIONS(1419),
    [anon_sym_PERCENT_EQ] = ACTIONS(1419),
    [anon_sym_GT_GT_EQ] = ACTIONS(1419),
    [anon_sym_LT_LT_EQ] = ACTIONS(1419),
    [anon_sym_CARET_EQ] = ACTIONS(1419),
    [anon_sym_QMARK] = ACTIONS(1421),
    [anon_sym_DOT_DOT] = ACTIONS(1421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1419),
    [anon_sym_and] = ACTIONS(1421),
    [anon_sym_or] = ACTIONS(1421),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_AMP_AMP] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1419),
    [anon_sym_LT_EQ_GT] = ACTIONS(1419),
    [anon_sym_EQ_TILDE] = ACTIONS(1419),
    [anon_sym_BANG_TILDE] = ACTIONS(1419),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1419),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_defined_QMARK] = ACTIONS(1419),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_BANG] = ACTIONS(1421),
    [anon_sym_TILDE] = ACTIONS(1419),
    [sym_constant] = ACTIONS(1421),
    [sym_identifier] = ACTIONS(1421),
    [sym_instance_variable] = ACTIONS(1419),
    [sym_class_variable] = ACTIONS(1419),
    [sym_global_variable] = ACTIONS(1419),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1421),
    [sym_complex] = ACTIONS(1419),
    [sym_super] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_TRUE] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_FALSE] = ACTIONS(1421),
    [sym_self] = ACTIONS(1421),
    [anon_sym_nil] = ACTIONS(1421),
    [anon_sym_NIL] = ACTIONS(1421),
    [sym_character] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_DASH_GT] = ACTIONS(1419),
  },
  [945] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(3186),
    [anon_sym___END__] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [946] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2658),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2658),
    [sym_operator_assignment] = STATE(2658),
    [sym_conditional] = STATE(2658),
    [sym_range] = STATE(2658),
    [sym_binary] = STATE(2658),
    [sym_unary] = STATE(2658),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [947] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2659),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2659),
    [sym_operator_assignment] = STATE(2659),
    [sym_conditional] = STATE(2659),
    [sym_range] = STATE(2659),
    [sym_binary] = STATE(2659),
    [sym_unary] = STATE(2659),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [948] = {
    [sym__keyword_colon] = ACTIONS(4266),
    [sym_comment] = ACTIONS(87),
  },
  [949] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2661),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2661),
    [sym_operator_assignment] = STATE(2661),
    [sym_conditional] = STATE(2661),
    [sym_range] = STATE(2661),
    [sym_binary] = STATE(2661),
    [sym_unary] = STATE(2661),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [950] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(4266),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [anon_sym___END__] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [951] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(1631),
    [anon_sym___END__] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [952] = {
    [sym_heredoc_body] = STATE(2663),
    [aux_sym_call_repeat1] = STATE(2663),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [ts_builtin_sym_end] = ACTIONS(1693),
    [anon_sym___END__] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [953] = {
    [sym_heredoc_body] = STATE(2663),
    [aux_sym_call_repeat1] = STATE(2663),
    [aux_sym_argument_list_repeat1] = STATE(2665),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [ts_builtin_sym_end] = ACTIONS(1693),
    [anon_sym___END__] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4268),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [954] = {
    [sym_string] = STATE(995),
    [aux_sym_chained_string_repeat1] = STATE(995),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(4270),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [955] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [956] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [957] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2279),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [958] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2667),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2667),
    [sym_operator_assignment] = STATE(2667),
    [sym_conditional] = STATE(2667),
    [sym_range] = STATE(2667),
    [sym_binary] = STATE(2667),
    [sym_unary] = STATE(2667),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [959] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2668),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2668),
    [sym_operator_assignment] = STATE(2668),
    [sym_conditional] = STATE(2668),
    [sym_range] = STATE(2668),
    [sym_binary] = STATE(2668),
    [sym_unary] = STATE(2668),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [960] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2669),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2669),
    [sym_operator_assignment] = STATE(2669),
    [sym_conditional] = STATE(2669),
    [sym_range] = STATE(2669),
    [sym_binary] = STATE(2669),
    [sym_unary] = STATE(2669),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [961] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2670),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2670),
    [sym_operator_assignment] = STATE(2670),
    [sym_conditional] = STATE(2670),
    [sym_range] = STATE(2670),
    [sym_binary] = STATE(2670),
    [sym_unary] = STATE(2670),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [962] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2671),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2671),
    [sym_operator_assignment] = STATE(2671),
    [sym_conditional] = STATE(2671),
    [sym_range] = STATE(2671),
    [sym_binary] = STATE(2671),
    [sym_unary] = STATE(2671),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [963] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2672),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2672),
    [sym_operator_assignment] = STATE(2672),
    [sym_conditional] = STATE(2672),
    [sym_range] = STATE(2672),
    [sym_binary] = STATE(2672),
    [sym_unary] = STATE(2672),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [964] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2673),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(2673),
    [sym_operator_assignment] = STATE(2673),
    [sym_conditional] = STATE(2673),
    [sym_range] = STATE(2673),
    [sym_binary] = STATE(2673),
    [sym_unary] = STATE(2673),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [965] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(2674),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(2674),
    [sym_operator_assignment] = STATE(2674),
    [sym_conditional] = STATE(2674),
    [sym_range] = STATE(2674),
    [sym_binary] = STATE(2674),
    [sym_unary] = STATE(2674),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [966] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2675),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2675),
    [sym_operator_assignment] = STATE(2675),
    [sym_conditional] = STATE(2675),
    [sym_range] = STATE(2675),
    [sym_binary] = STATE(2675),
    [sym_unary] = STATE(2675),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [967] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2676),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2676),
    [sym_operator_assignment] = STATE(2676),
    [sym_conditional] = STATE(2676),
    [sym_range] = STATE(2676),
    [sym_binary] = STATE(2676),
    [sym_unary] = STATE(2676),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [968] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2677),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2677),
    [sym_operator_assignment] = STATE(2677),
    [sym_conditional] = STATE(2677),
    [sym_range] = STATE(2677),
    [sym_binary] = STATE(2677),
    [sym_unary] = STATE(2677),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [969] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2678),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2678),
    [sym_operator_assignment] = STATE(2678),
    [sym_conditional] = STATE(2678),
    [sym_range] = STATE(2678),
    [sym_binary] = STATE(2678),
    [sym_unary] = STATE(2678),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [970] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2679),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2679),
    [sym_operator_assignment] = STATE(2679),
    [sym_conditional] = STATE(2679),
    [sym_range] = STATE(2679),
    [sym_binary] = STATE(2679),
    [sym_unary] = STATE(2679),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [971] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(2681),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(2682),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(4272),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [972] = {
    [sym_constant] = ACTIONS(4274),
    [sym_identifier] = ACTIONS(4274),
    [sym_comment] = ACTIONS(87),
  },
  [973] = {
    [sym_argument_list_with_parens] = STATE(2686),
    [sym__argument_list_with_parens] = STATE(2687),
    [sym_operator] = STATE(2686),
    [sym_heredoc_body] = STATE(2688),
    [aux_sym_call_repeat1] = STATE(2688),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(4276),
    [anon_sym_PIPE] = ACTIONS(4278),
    [anon_sym_STAR] = ACTIONS(4280),
    [anon_sym_STAR_STAR] = ACTIONS(4278),
    [anon_sym_AMP] = ACTIONS(4278),
    [anon_sym_LT] = ACTIONS(4280),
    [anon_sym_DOT_DOT] = ACTIONS(4278),
    [anon_sym_LT_LT] = ACTIONS(4278),
    [anon_sym_GT_GT] = ACTIONS(4278),
    [anon_sym_EQ_EQ] = ACTIONS(4280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4278),
    [anon_sym_LT_EQ_GT] = ACTIONS(4278),
    [anon_sym_EQ_TILDE] = ACTIONS(4278),
    [anon_sym_BANG_TILDE] = ACTIONS(4278),
    [anon_sym_LT_EQ] = ACTIONS(4280),
    [anon_sym_GT] = ACTIONS(4280),
    [anon_sym_GT_EQ] = ACTIONS(4278),
    [anon_sym_CARET] = ACTIONS(4278),
    [anon_sym_PLUS] = ACTIONS(4280),
    [anon_sym_SLASH] = ACTIONS(4278),
    [anon_sym_PERCENT] = ACTIONS(4278),
    [anon_sym_BANG] = ACTIONS(4280),
    [anon_sym_TILDE] = ACTIONS(4278),
    [sym_constant] = ACTIONS(4282),
    [sym_identifier] = ACTIONS(4282),
    [anon_sym_DASH] = ACTIONS(4280),
    [anon_sym_PLUS_AT] = ACTIONS(4278),
    [anon_sym_DASH_AT] = ACTIONS(4278),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(4280),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(4278),
    [anon_sym_BQUOTE] = ACTIONS(4278),
    [sym_comment] = ACTIONS(87),
  },
  [974] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2689),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(2689),
    [sym_operator_assignment] = STATE(2689),
    [sym_conditional] = STATE(2689),
    [sym_range] = STATE(2689),
    [sym_binary] = STATE(2689),
    [sym_unary] = STATE(2689),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [975] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2690),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(2690),
    [sym_operator_assignment] = STATE(2690),
    [sym_conditional] = STATE(2690),
    [sym_range] = STATE(2690),
    [sym_binary] = STATE(2690),
    [sym_unary] = STATE(2690),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [976] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(2692),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(2693),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(4284),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [977] = {
    [sym__keyword_colon] = ACTIONS(4286),
    [sym_comment] = ACTIONS(87),
  },
  [978] = {
    [sym__statements] = STATE(2696),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(2697),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(1604),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(1605),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(4288),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [979] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2698),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(2698),
    [sym_operator_assignment] = STATE(2698),
    [sym_conditional] = STATE(2698),
    [sym_range] = STATE(2698),
    [sym_binary] = STATE(2698),
    [sym_unary] = STATE(2698),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [980] = {
    [sym__statements] = STATE(2700),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(2701),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(2702),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(2702),
    [sym__line_break] = ACTIONS(4290),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(4292),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [981] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(4286),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [anon_sym___END__] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [982] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(1631),
    [anon_sym___END__] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [983] = {
    [sym_do_block] = STATE(2704),
    [sym_block] = STATE(2704),
    [sym__line_break] = ACTIONS(2751),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [ts_builtin_sym_end] = ACTIONS(2751),
    [anon_sym___END__] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_end] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(4294),
    [anon_sym_when] = ACTIONS(2751),
    [anon_sym_elsif] = ACTIONS(2751),
    [anon_sym_else] = ACTIONS(2751),
    [anon_sym_then] = ACTIONS(2751),
    [anon_sym_ensure] = ACTIONS(2751),
    [anon_sym_EQ_GT] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [984] = {
    [sym_heredoc_body] = STATE(2706),
    [aux_sym_call_repeat1] = STATE(2706),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [ts_builtin_sym_end] = ACTIONS(1693),
    [anon_sym___END__] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [985] = {
    [sym_heredoc_body] = STATE(2706),
    [aux_sym_call_repeat1] = STATE(2706),
    [aux_sym_argument_list_repeat1] = STATE(2708),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [ts_builtin_sym_end] = ACTIONS(1693),
    [anon_sym___END__] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4298),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [986] = {
    [sym__line_break] = ACTIONS(2751),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [ts_builtin_sym_end] = ACTIONS(2751),
    [anon_sym___END__] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_end] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_when] = ACTIONS(2751),
    [anon_sym_elsif] = ACTIONS(2751),
    [anon_sym_else] = ACTIONS(2751),
    [anon_sym_then] = ACTIONS(2751),
    [anon_sym_ensure] = ACTIONS(2751),
    [anon_sym_EQ_GT] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [987] = {
    [sym_string] = STATE(1673),
    [aux_sym_chained_string_repeat1] = STATE(1673),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(4300),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [988] = {
    [sym_interpolation] = STATE(2711),
    [aux_sym_heredoc_body_repeat1] = STATE(2711),
    [sym__heredoc_content] = ACTIONS(4302),
    [sym_heredoc_end] = ACTIONS(4304),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(4302),
  },
  [989] = {
    [sym_heredoc_body] = STATE(2712),
    [aux_sym_call_repeat1] = STATE(2712),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [ts_builtin_sym_end] = ACTIONS(4306),
    [anon_sym___END__] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [990] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(221),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(221),
    [sym_operator_assignment] = STATE(221),
    [sym_conditional] = STATE(221),
    [sym_range] = STATE(221),
    [sym_binary] = STATE(221),
    [sym_unary] = STATE(221),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(229),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(2715),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(369),
    [sym__splat_star] = ACTIONS(371),
    [sym__unary_minus] = ACTIONS(375),
    [sym__identifier_hash_key] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(4312),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(401),
    [sym_identifier] = ACTIONS(401),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [991] = {
    [sym_heredoc_body] = STATE(2716),
    [aux_sym_call_repeat1] = STATE(2716),
    [aux_sym_argument_list_repeat1] = STATE(2717),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [ts_builtin_sym_end] = ACTIONS(4306),
    [anon_sym___END__] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [992] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2718),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_splat_argument] = STATE(2720),
    [sym_assignment] = STATE(2718),
    [sym_operator_assignment] = STATE(2718),
    [sym_conditional] = STATE(2718),
    [sym_range] = STATE(2718),
    [sym_binary] = STATE(2718),
    [sym_unary] = STATE(2718),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(2720),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(1625),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [993] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2721),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(2721),
    [sym_operator_assignment] = STATE(2721),
    [sym_conditional] = STATE(2721),
    [sym_range] = STATE(2721),
    [sym_binary] = STATE(2721),
    [sym_unary] = STATE(2721),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [994] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2722),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(2722),
    [sym_operator_assignment] = STATE(2722),
    [sym_conditional] = STATE(2722),
    [sym_range] = STATE(2722),
    [sym_binary] = STATE(2722),
    [sym_unary] = STATE(2722),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [995] = {
    [sym_string] = STATE(2723),
    [aux_sym_chained_string_repeat1] = STATE(2723),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [ts_builtin_sym_end] = ACTIONS(2785),
    [anon_sym___END__] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [996] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [997] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2732),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(2732),
    [sym_operator_assignment] = STATE(2732),
    [sym_conditional] = STATE(2732),
    [sym_range] = STATE(2732),
    [sym_binary] = STATE(2732),
    [sym_unary] = STATE(2732),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [998] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2736),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(2736),
    [sym_operator_assignment] = STATE(2736),
    [sym_conditional] = STATE(2736),
    [sym_range] = STATE(2736),
    [sym_binary] = STATE(2736),
    [sym_unary] = STATE(2736),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [999] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2737),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(2737),
    [sym_operator_assignment] = STATE(2737),
    [sym_conditional] = STATE(2737),
    [sym_range] = STATE(2737),
    [sym_binary] = STATE(2737),
    [sym_unary] = STATE(2737),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1000] = {
    [sym__keyword_colon] = ACTIONS(4334),
    [sym_comment] = ACTIONS(87),
  },
  [1001] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2740),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(2740),
    [sym_operator_assignment] = STATE(2740),
    [sym_conditional] = STATE(2740),
    [sym_range] = STATE(2740),
    [sym_binary] = STATE(2740),
    [sym_unary] = STATE(2740),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1002] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2746),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(2747),
    [sym__argument] = STATE(2748),
    [sym_splat_argument] = STATE(2748),
    [sym_hash_splat_argument] = STATE(2748),
    [sym_block_argument] = STATE(2748),
    [sym_assignment] = STATE(2746),
    [sym_operator_assignment] = STATE(2746),
    [sym_conditional] = STATE(2746),
    [sym_range] = STATE(2746),
    [sym_binary] = STATE(2746),
    [sym_unary] = STATE(2746),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2749),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2748),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4336),
    [sym__splat_star] = ACTIONS(4338),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(4340),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(4342),
    [sym_identifier] = ACTIONS(4342),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1003] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2746),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(2747),
    [sym__argument] = STATE(2748),
    [sym_splat_argument] = STATE(2748),
    [sym_hash_splat_argument] = STATE(2748),
    [sym_block_argument] = STATE(2748),
    [sym_assignment] = STATE(2746),
    [sym_operator_assignment] = STATE(2746),
    [sym_conditional] = STATE(2746),
    [sym_range] = STATE(2746),
    [sym_binary] = STATE(2746),
    [sym_unary] = STATE(2746),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2749),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2748),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4336),
    [sym__splat_star] = ACTIONS(4338),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(4340),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(4342),
    [sym_identifier] = ACTIONS(4342),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1004] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2746),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(2747),
    [sym__argument] = STATE(2748),
    [sym_splat_argument] = STATE(2748),
    [sym_hash_splat_argument] = STATE(2748),
    [sym_block_argument] = STATE(2748),
    [sym_assignment] = STATE(2746),
    [sym_operator_assignment] = STATE(2746),
    [sym_conditional] = STATE(2746),
    [sym_range] = STATE(2746),
    [sym_binary] = STATE(2746),
    [sym_unary] = STATE(2746),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2749),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2748),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4336),
    [sym__splat_star] = ACTIONS(4338),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(4340),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(4342),
    [sym_identifier] = ACTIONS(4342),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1005] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2746),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(2747),
    [sym__argument] = STATE(2748),
    [sym_splat_argument] = STATE(2748),
    [sym_hash_splat_argument] = STATE(2748),
    [sym_block_argument] = STATE(2748),
    [sym_assignment] = STATE(2746),
    [sym_operator_assignment] = STATE(2746),
    [sym_conditional] = STATE(2746),
    [sym_range] = STATE(2746),
    [sym_binary] = STATE(2746),
    [sym_unary] = STATE(2746),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2749),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2748),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4336),
    [sym__splat_star] = ACTIONS(4338),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(4340),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(4342),
    [sym_identifier] = ACTIONS(4342),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1006] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2750),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(2750),
    [sym_operator_assignment] = STATE(2750),
    [sym_conditional] = STATE(2750),
    [sym_range] = STATE(2750),
    [sym_binary] = STATE(2750),
    [sym_unary] = STATE(2750),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1007] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2751),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(2751),
    [sym_operator_assignment] = STATE(2751),
    [sym_conditional] = STATE(2751),
    [sym_range] = STATE(2751),
    [sym_binary] = STATE(2751),
    [sym_unary] = STATE(2751),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1008] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1009] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(4334),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_then] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1010] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_then] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(4356),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [1011] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2770),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(2771),
    [sym__argument] = STATE(2772),
    [sym_splat_argument] = STATE(2772),
    [sym_hash_splat_argument] = STATE(2772),
    [sym_block_argument] = STATE(2772),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(2770),
    [sym_operator_assignment] = STATE(2770),
    [sym_conditional] = STATE(2770),
    [sym_range] = STATE(2770),
    [sym_binary] = STATE(2770),
    [sym_unary] = STATE(2770),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2773),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2772),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(4376),
    [sym__splat_star] = ACTIONS(4378),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(4380),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(4382),
    [sym_identifier] = ACTIONS(4382),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1012] = {
    [sym_heredoc_body] = STATE(2774),
    [aux_sym_call_repeat1] = STATE(2774),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1013] = {
    [sym_heredoc_body] = STATE(2774),
    [aux_sym_call_repeat1] = STATE(2774),
    [aux_sym_argument_list_repeat1] = STATE(2776),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4384),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1014] = {
    [anon_sym_EQ] = ACTIONS(4386),
    [sym_comment] = ACTIONS(87),
  },
  [1015] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(4388),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(4390),
    [anon_sym_DASH_EQ] = ACTIONS(4390),
    [anon_sym_STAR_EQ] = ACTIONS(4390),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4390),
    [anon_sym_SLASH_EQ] = ACTIONS(4390),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4390),
    [anon_sym_PIPE_EQ] = ACTIONS(4390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4390),
    [anon_sym_AMP_EQ] = ACTIONS(4390),
    [anon_sym_PERCENT_EQ] = ACTIONS(4390),
    [anon_sym_GT_GT_EQ] = ACTIONS(4390),
    [anon_sym_LT_LT_EQ] = ACTIONS(4390),
    [anon_sym_CARET_EQ] = ACTIONS(4390),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1016] = {
    [sym_string] = STATE(2780),
    [aux_sym_chained_string_repeat1] = STATE(2780),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(4392),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1017] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [1018] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [1019] = {
    [aux_sym_undef_repeat1] = STATE(2781),
    [sym__line_break] = ACTIONS(2283),
    [sym__heredoc_body_start] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_unless] = ACTIONS(2283),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_until] = ACTIONS(2283),
    [anon_sym_rescue] = ACTIONS(2283),
    [anon_sym_then] = ACTIONS(2283),
    [sym_comment] = ACTIONS(87),
  },
  [1020] = {
    [sym_interpolation] = STATE(2783),
    [aux_sym_heredoc_body_repeat1] = STATE(2783),
    [sym__heredoc_content] = ACTIONS(4394),
    [sym_heredoc_end] = ACTIONS(4396),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(4394),
  },
  [1021] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2784),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2784),
    [sym_operator_assignment] = STATE(2784),
    [sym_conditional] = STATE(2784),
    [sym_range] = STATE(2784),
    [sym_binary] = STATE(2784),
    [sym_unary] = STATE(2784),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1022] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2785),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2785),
    [sym_operator_assignment] = STATE(2785),
    [sym_conditional] = STATE(2785),
    [sym_range] = STATE(2785),
    [sym_binary] = STATE(2785),
    [sym_unary] = STATE(2785),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1023] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2786),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2786),
    [sym_operator_assignment] = STATE(2786),
    [sym_conditional] = STATE(2786),
    [sym_range] = STATE(2786),
    [sym_binary] = STATE(2786),
    [sym_unary] = STATE(2786),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1024] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2787),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2787),
    [sym_operator_assignment] = STATE(2787),
    [sym_conditional] = STATE(2787),
    [sym_range] = STATE(2787),
    [sym_binary] = STATE(2787),
    [sym_unary] = STATE(2787),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1025] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2788),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2788),
    [sym_operator_assignment] = STATE(2788),
    [sym_conditional] = STATE(2788),
    [sym_range] = STATE(2788),
    [sym_binary] = STATE(2788),
    [sym_unary] = STATE(2788),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1026] = {
    [sym__statements] = STATE(2801),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(2804),
    [sym_else] = STATE(2804),
    [sym__if_tail] = STATE(2804),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(2810),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(2810),
    [sym__line_break] = ACTIONS(4398),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(4402),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1027] = {
    [sym__line_break] = ACTIONS(4430),
    [sym__simple_symbol] = ACTIONS(4430),
    [sym__string_start] = ACTIONS(4430),
    [sym__symbol_start] = ACTIONS(4430),
    [sym__subshell_start] = ACTIONS(4430),
    [sym__regex_start] = ACTIONS(4430),
    [sym__string_array_start] = ACTIONS(4430),
    [sym__symbol_array_start] = ACTIONS(4430),
    [sym__heredoc_body_start] = ACTIONS(4430),
    [sym_heredoc_beginning] = ACTIONS(4430),
    [sym__unary_minus] = ACTIONS(4430),
    [anon_sym_BEGIN] = ACTIONS(4432),
    [anon_sym_LBRACE] = ACTIONS(4430),
    [anon_sym_END] = ACTIONS(4432),
    [anon_sym_def] = ACTIONS(4432),
    [anon_sym_LPAREN] = ACTIONS(4430),
    [anon_sym_COLON_COLON] = ACTIONS(4430),
    [anon_sym_SEMI] = ACTIONS(4430),
    [anon_sym_STAR] = ACTIONS(4430),
    [anon_sym_class] = ACTIONS(4432),
    [anon_sym_module] = ACTIONS(4432),
    [anon_sym_end] = ACTIONS(4432),
    [anon_sym_return] = ACTIONS(4432),
    [anon_sym_yield] = ACTIONS(4432),
    [anon_sym_break] = ACTIONS(4432),
    [anon_sym_next] = ACTIONS(4432),
    [sym_redo] = ACTIONS(4432),
    [sym_retry] = ACTIONS(4432),
    [anon_sym_if] = ACTIONS(4432),
    [anon_sym_unless] = ACTIONS(4432),
    [anon_sym_while] = ACTIONS(4432),
    [anon_sym_until] = ACTIONS(4432),
    [anon_sym_for] = ACTIONS(4432),
    [anon_sym_case] = ACTIONS(4432),
    [anon_sym_elsif] = ACTIONS(4432),
    [anon_sym_else] = ACTIONS(4432),
    [anon_sym_then] = ACTIONS(4434),
    [anon_sym_begin] = ACTIONS(4432),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_defined_QMARK] = ACTIONS(4430),
    [anon_sym_not] = ACTIONS(4432),
    [anon_sym_BANG] = ACTIONS(4430),
    [anon_sym_TILDE] = ACTIONS(4430),
    [sym_constant] = ACTIONS(4432),
    [sym_identifier] = ACTIONS(4432),
    [sym_instance_variable] = ACTIONS(4430),
    [sym_class_variable] = ACTIONS(4430),
    [sym_global_variable] = ACTIONS(4430),
    [anon_sym_undef] = ACTIONS(4432),
    [anon_sym_alias] = ACTIONS(4432),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4432),
    [sym_float] = ACTIONS(4432),
    [sym_complex] = ACTIONS(4430),
    [sym_super] = ACTIONS(4432),
    [anon_sym_true] = ACTIONS(4432),
    [anon_sym_TRUE] = ACTIONS(4432),
    [anon_sym_false] = ACTIONS(4432),
    [anon_sym_FALSE] = ACTIONS(4432),
    [sym_self] = ACTIONS(4432),
    [anon_sym_nil] = ACTIONS(4432),
    [anon_sym_NIL] = ACTIONS(4432),
    [sym_character] = ACTIONS(4430),
    [anon_sym_LBRACK] = ACTIONS(4430),
    [anon_sym_DASH_GT] = ACTIONS(4430),
  },
  [1028] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2812),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2812),
    [sym_operator_assignment] = STATE(2812),
    [sym_conditional] = STATE(2812),
    [sym_range] = STATE(2812),
    [sym_binary] = STATE(2812),
    [sym_unary] = STATE(2812),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1029] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2813),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2813),
    [sym_operator_assignment] = STATE(2813),
    [sym_conditional] = STATE(2813),
    [sym_range] = STATE(2813),
    [sym_binary] = STATE(2813),
    [sym_unary] = STATE(2813),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1030] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2814),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2814),
    [sym_operator_assignment] = STATE(2814),
    [sym_conditional] = STATE(2814),
    [sym_range] = STATE(2814),
    [sym_binary] = STATE(2814),
    [sym_unary] = STATE(2814),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1031] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2815),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2815),
    [sym_operator_assignment] = STATE(2815),
    [sym_conditional] = STATE(2815),
    [sym_range] = STATE(2815),
    [sym_binary] = STATE(2815),
    [sym_unary] = STATE(2815),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1032] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2816),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2816),
    [sym_operator_assignment] = STATE(2816),
    [sym_conditional] = STATE(2816),
    [sym_range] = STATE(2816),
    [sym_binary] = STATE(2816),
    [sym_unary] = STATE(2816),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1033] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2817),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2817),
    [sym_operator_assignment] = STATE(2817),
    [sym_conditional] = STATE(2817),
    [sym_range] = STATE(2817),
    [sym_binary] = STATE(2817),
    [sym_unary] = STATE(2817),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1034] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(2818),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(2818),
    [sym_operator_assignment] = STATE(2818),
    [sym_conditional] = STATE(2818),
    [sym_range] = STATE(2818),
    [sym_binary] = STATE(2818),
    [sym_unary] = STATE(2818),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1035] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2819),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2819),
    [sym_operator_assignment] = STATE(2819),
    [sym_conditional] = STATE(2819),
    [sym_range] = STATE(2819),
    [sym_binary] = STATE(2819),
    [sym_unary] = STATE(2819),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1036] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2820),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2820),
    [sym_operator_assignment] = STATE(2820),
    [sym_conditional] = STATE(2820),
    [sym_range] = STATE(2820),
    [sym_binary] = STATE(2820),
    [sym_unary] = STATE(2820),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1037] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2821),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2821),
    [sym_operator_assignment] = STATE(2821),
    [sym_conditional] = STATE(2821),
    [sym_range] = STATE(2821),
    [sym_binary] = STATE(2821),
    [sym_unary] = STATE(2821),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1038] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2822),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2822),
    [sym_operator_assignment] = STATE(2822),
    [sym_conditional] = STATE(2822),
    [sym_range] = STATE(2822),
    [sym_binary] = STATE(2822),
    [sym_unary] = STATE(2822),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1039] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2823),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2823),
    [sym_operator_assignment] = STATE(2823),
    [sym_conditional] = STATE(2823),
    [sym_range] = STATE(2823),
    [sym_binary] = STATE(2823),
    [sym_unary] = STATE(2823),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1040] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(2832),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(2832),
    [sym_operator_assignment] = STATE(2832),
    [sym_conditional] = STATE(2832),
    [sym_range] = STATE(2832),
    [sym_binary] = STATE(2832),
    [sym_unary] = STATE(2832),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1041] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(2837),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(2837),
    [sym_operator_assignment] = STATE(2837),
    [sym_conditional] = STATE(2837),
    [sym_range] = STATE(2837),
    [sym_binary] = STATE(2837),
    [sym_unary] = STATE(2837),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1042] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2838),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(2838),
    [sym_operator_assignment] = STATE(2838),
    [sym_conditional] = STATE(2838),
    [sym_range] = STATE(2838),
    [sym_binary] = STATE(2838),
    [sym_unary] = STATE(2838),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1043] = {
    [sym__keyword_colon] = ACTIONS(4460),
    [sym_comment] = ACTIONS(87),
  },
  [1044] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(2841),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(2841),
    [sym_operator_assignment] = STATE(2841),
    [sym_conditional] = STATE(2841),
    [sym_range] = STATE(2841),
    [sym_binary] = STATE(2841),
    [sym_unary] = STATE(2841),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1045] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2770),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(2771),
    [sym__argument] = STATE(2772),
    [sym_splat_argument] = STATE(2772),
    [sym_hash_splat_argument] = STATE(2772),
    [sym_block_argument] = STATE(2772),
    [sym_assignment] = STATE(2770),
    [sym_operator_assignment] = STATE(2770),
    [sym_conditional] = STATE(2770),
    [sym_range] = STATE(2770),
    [sym_binary] = STATE(2770),
    [sym_unary] = STATE(2770),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2773),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2772),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4376),
    [sym__splat_star] = ACTIONS(4378),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(4380),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(4382),
    [sym_identifier] = ACTIONS(4382),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1046] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2770),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(2771),
    [sym__argument] = STATE(2772),
    [sym_splat_argument] = STATE(2772),
    [sym_hash_splat_argument] = STATE(2772),
    [sym_block_argument] = STATE(2772),
    [sym_assignment] = STATE(2770),
    [sym_operator_assignment] = STATE(2770),
    [sym_conditional] = STATE(2770),
    [sym_range] = STATE(2770),
    [sym_binary] = STATE(2770),
    [sym_unary] = STATE(2770),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2773),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2772),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4376),
    [sym__splat_star] = ACTIONS(4378),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(4380),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(4382),
    [sym_identifier] = ACTIONS(4382),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1047] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2770),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(2771),
    [sym__argument] = STATE(2772),
    [sym_splat_argument] = STATE(2772),
    [sym_hash_splat_argument] = STATE(2772),
    [sym_block_argument] = STATE(2772),
    [sym_assignment] = STATE(2770),
    [sym_operator_assignment] = STATE(2770),
    [sym_conditional] = STATE(2770),
    [sym_range] = STATE(2770),
    [sym_binary] = STATE(2770),
    [sym_unary] = STATE(2770),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2773),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2772),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4376),
    [sym__splat_star] = ACTIONS(4378),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(4380),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(4382),
    [sym_identifier] = ACTIONS(4382),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1048] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2770),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(2771),
    [sym__argument] = STATE(2772),
    [sym_splat_argument] = STATE(2772),
    [sym_hash_splat_argument] = STATE(2772),
    [sym_block_argument] = STATE(2772),
    [sym_assignment] = STATE(2770),
    [sym_operator_assignment] = STATE(2770),
    [sym_conditional] = STATE(2770),
    [sym_range] = STATE(2770),
    [sym_binary] = STATE(2770),
    [sym_unary] = STATE(2770),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2773),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2772),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4376),
    [sym__splat_star] = ACTIONS(4378),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(4380),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(4382),
    [sym_identifier] = ACTIONS(4382),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1049] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2842),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(2842),
    [sym_operator_assignment] = STATE(2842),
    [sym_conditional] = STATE(2842),
    [sym_range] = STATE(2842),
    [sym_binary] = STATE(2842),
    [sym_unary] = STATE(2842),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1050] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2843),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(2843),
    [sym_operator_assignment] = STATE(2843),
    [sym_conditional] = STATE(2843),
    [sym_range] = STATE(2843),
    [sym_binary] = STATE(2843),
    [sym_unary] = STATE(2843),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1051] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1052] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(4460),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_then] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1053] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_then] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(4474),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [1054] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2770),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(2771),
    [sym__argument] = STATE(2772),
    [sym_splat_argument] = STATE(2772),
    [sym_hash_splat_argument] = STATE(2772),
    [sym_block_argument] = STATE(2772),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(2770),
    [sym_operator_assignment] = STATE(2770),
    [sym_conditional] = STATE(2770),
    [sym_range] = STATE(2770),
    [sym_binary] = STATE(2770),
    [sym_unary] = STATE(2770),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2773),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2772),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(4376),
    [sym__splat_star] = ACTIONS(4378),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(4380),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(4382),
    [sym_identifier] = ACTIONS(4382),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1055] = {
    [sym_heredoc_body] = STATE(2857),
    [aux_sym_call_repeat1] = STATE(2857),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1056] = {
    [sym_heredoc_body] = STATE(2857),
    [aux_sym_call_repeat1] = STATE(2857),
    [aux_sym_argument_list_repeat1] = STATE(2859),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4492),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1057] = {
    [anon_sym_EQ] = ACTIONS(4494),
    [sym_comment] = ACTIONS(87),
  },
  [1058] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(4496),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(4498),
    [anon_sym_DASH_EQ] = ACTIONS(4498),
    [anon_sym_STAR_EQ] = ACTIONS(4498),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4498),
    [anon_sym_SLASH_EQ] = ACTIONS(4498),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4498),
    [anon_sym_PIPE_EQ] = ACTIONS(4498),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4498),
    [anon_sym_AMP_EQ] = ACTIONS(4498),
    [anon_sym_PERCENT_EQ] = ACTIONS(4498),
    [anon_sym_GT_GT_EQ] = ACTIONS(4498),
    [anon_sym_LT_LT_EQ] = ACTIONS(4498),
    [anon_sym_CARET_EQ] = ACTIONS(4498),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1059] = {
    [sym_string] = STATE(2863),
    [aux_sym_chained_string_repeat1] = STATE(2863),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(4500),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1060] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2869),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_splat_argument] = STATE(2870),
    [sym_assignment] = STATE(2869),
    [sym_operator_assignment] = STATE(2869),
    [sym_conditional] = STATE(2869),
    [sym_range] = STATE(2869),
    [sym_binary] = STATE(2869),
    [sym_unary] = STATE(2869),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(2870),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(4502),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1061] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2873),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(2873),
    [sym_operator_assignment] = STATE(2873),
    [sym_conditional] = STATE(2873),
    [sym_range] = STATE(2873),
    [sym_binary] = STATE(2873),
    [sym_unary] = STATE(2873),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1062] = {
    [sym_string] = STATE(2874),
    [aux_sym_chained_string_repeat1] = STATE(2874),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_then] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [1063] = {
    [sym__statements] = STATE(2885),
    [sym__top_level_statement] = STATE(2886),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(2888),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(4516),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1064] = {
    [sym__simple_symbol] = ACTIONS(4430),
    [sym__string_start] = ACTIONS(4430),
    [sym__symbol_start] = ACTIONS(4430),
    [sym__subshell_start] = ACTIONS(4430),
    [sym__regex_start] = ACTIONS(4430),
    [sym__string_array_start] = ACTIONS(4430),
    [sym__symbol_array_start] = ACTIONS(4430),
    [sym_heredoc_beginning] = ACTIONS(4430),
    [sym__unary_minus] = ACTIONS(4430),
    [anon_sym_BEGIN] = ACTIONS(4432),
    [anon_sym_LBRACE] = ACTIONS(4430),
    [anon_sym_END] = ACTIONS(4432),
    [anon_sym_def] = ACTIONS(4432),
    [anon_sym_LPAREN] = ACTIONS(4430),
    [anon_sym_COLON_COLON] = ACTIONS(4430),
    [anon_sym_SEMI] = ACTIONS(4430),
    [anon_sym_STAR] = ACTIONS(4430),
    [anon_sym_class] = ACTIONS(4432),
    [anon_sym_module] = ACTIONS(4432),
    [anon_sym_end] = ACTIONS(4432),
    [anon_sym_return] = ACTIONS(4432),
    [anon_sym_yield] = ACTIONS(4432),
    [anon_sym_break] = ACTIONS(4432),
    [anon_sym_next] = ACTIONS(4432),
    [sym_redo] = ACTIONS(4432),
    [sym_retry] = ACTIONS(4432),
    [anon_sym_if] = ACTIONS(4432),
    [anon_sym_unless] = ACTIONS(4432),
    [anon_sym_while] = ACTIONS(4432),
    [anon_sym_until] = ACTIONS(4432),
    [anon_sym_rescue] = ACTIONS(4432),
    [anon_sym_for] = ACTIONS(4432),
    [anon_sym_case] = ACTIONS(4432),
    [anon_sym_when] = ACTIONS(4432),
    [anon_sym_elsif] = ACTIONS(4432),
    [anon_sym_else] = ACTIONS(4432),
    [anon_sym_then] = ACTIONS(4540),
    [anon_sym_begin] = ACTIONS(4432),
    [anon_sym_ensure] = ACTIONS(4432),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_defined_QMARK] = ACTIONS(4430),
    [anon_sym_not] = ACTIONS(4432),
    [anon_sym_BANG] = ACTIONS(4430),
    [anon_sym_TILDE] = ACTIONS(4430),
    [sym_constant] = ACTIONS(4432),
    [sym_identifier] = ACTIONS(4432),
    [sym_instance_variable] = ACTIONS(4430),
    [sym_class_variable] = ACTIONS(4430),
    [sym_global_variable] = ACTIONS(4430),
    [anon_sym_undef] = ACTIONS(4432),
    [anon_sym_alias] = ACTIONS(4432),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4432),
    [sym_float] = ACTIONS(4432),
    [sym_complex] = ACTIONS(4430),
    [sym_super] = ACTIONS(4432),
    [anon_sym_true] = ACTIONS(4432),
    [anon_sym_TRUE] = ACTIONS(4432),
    [anon_sym_false] = ACTIONS(4432),
    [anon_sym_FALSE] = ACTIONS(4432),
    [sym_self] = ACTIONS(4432),
    [anon_sym_nil] = ACTIONS(4432),
    [anon_sym_NIL] = ACTIONS(4432),
    [sym_character] = ACTIONS(4430),
    [anon_sym_LBRACK] = ACTIONS(4430),
    [anon_sym_DASH_GT] = ACTIONS(4430),
  },
  [1065] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [1066] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2903),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(2903),
    [sym_operator_assignment] = STATE(2903),
    [sym_conditional] = STATE(2903),
    [sym_range] = STATE(2903),
    [sym_binary] = STATE(2903),
    [sym_unary] = STATE(2903),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1067] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2907),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(2907),
    [sym_operator_assignment] = STATE(2907),
    [sym_conditional] = STATE(2907),
    [sym_range] = STATE(2907),
    [sym_binary] = STATE(2907),
    [sym_unary] = STATE(2907),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1068] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2908),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(2908),
    [sym_operator_assignment] = STATE(2908),
    [sym_conditional] = STATE(2908),
    [sym_range] = STATE(2908),
    [sym_binary] = STATE(2908),
    [sym_unary] = STATE(2908),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1069] = {
    [sym__keyword_colon] = ACTIONS(4562),
    [sym_comment] = ACTIONS(87),
  },
  [1070] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2911),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(2911),
    [sym_operator_assignment] = STATE(2911),
    [sym_conditional] = STATE(2911),
    [sym_range] = STATE(2911),
    [sym_binary] = STATE(2911),
    [sym_unary] = STATE(2911),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1071] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2917),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(2918),
    [sym__argument] = STATE(2919),
    [sym_splat_argument] = STATE(2919),
    [sym_hash_splat_argument] = STATE(2919),
    [sym_block_argument] = STATE(2919),
    [sym_assignment] = STATE(2917),
    [sym_operator_assignment] = STATE(2917),
    [sym_conditional] = STATE(2917),
    [sym_range] = STATE(2917),
    [sym_binary] = STATE(2917),
    [sym_unary] = STATE(2917),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2920),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2919),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4564),
    [sym__splat_star] = ACTIONS(4566),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(4568),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(4570),
    [sym_identifier] = ACTIONS(4570),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1072] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2917),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(2918),
    [sym__argument] = STATE(2919),
    [sym_splat_argument] = STATE(2919),
    [sym_hash_splat_argument] = STATE(2919),
    [sym_block_argument] = STATE(2919),
    [sym_assignment] = STATE(2917),
    [sym_operator_assignment] = STATE(2917),
    [sym_conditional] = STATE(2917),
    [sym_range] = STATE(2917),
    [sym_binary] = STATE(2917),
    [sym_unary] = STATE(2917),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2920),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2919),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4564),
    [sym__splat_star] = ACTIONS(4566),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(4568),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(4570),
    [sym_identifier] = ACTIONS(4570),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1073] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2917),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(2918),
    [sym__argument] = STATE(2919),
    [sym_splat_argument] = STATE(2919),
    [sym_hash_splat_argument] = STATE(2919),
    [sym_block_argument] = STATE(2919),
    [sym_assignment] = STATE(2917),
    [sym_operator_assignment] = STATE(2917),
    [sym_conditional] = STATE(2917),
    [sym_range] = STATE(2917),
    [sym_binary] = STATE(2917),
    [sym_unary] = STATE(2917),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2920),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2919),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4564),
    [sym__splat_star] = ACTIONS(4566),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(4568),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(4570),
    [sym_identifier] = ACTIONS(4570),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1074] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2917),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(2918),
    [sym__argument] = STATE(2919),
    [sym_splat_argument] = STATE(2919),
    [sym_hash_splat_argument] = STATE(2919),
    [sym_block_argument] = STATE(2919),
    [sym_assignment] = STATE(2917),
    [sym_operator_assignment] = STATE(2917),
    [sym_conditional] = STATE(2917),
    [sym_range] = STATE(2917),
    [sym_binary] = STATE(2917),
    [sym_unary] = STATE(2917),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2920),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2919),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4564),
    [sym__splat_star] = ACTIONS(4566),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(4568),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(4570),
    [sym_identifier] = ACTIONS(4570),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1075] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2921),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(2921),
    [sym_operator_assignment] = STATE(2921),
    [sym_conditional] = STATE(2921),
    [sym_range] = STATE(2921),
    [sym_binary] = STATE(2921),
    [sym_unary] = STATE(2921),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1076] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2922),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(2922),
    [sym_operator_assignment] = STATE(2922),
    [sym_conditional] = STATE(2922),
    [sym_range] = STATE(2922),
    [sym_binary] = STATE(2922),
    [sym_unary] = STATE(2922),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1077] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1078] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(4562),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1079] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(4584),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [1080] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2942),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(2943),
    [sym__argument] = STATE(2944),
    [sym_splat_argument] = STATE(2944),
    [sym_hash_splat_argument] = STATE(2944),
    [sym_block_argument] = STATE(2944),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(2942),
    [sym_operator_assignment] = STATE(2942),
    [sym_conditional] = STATE(2942),
    [sym_range] = STATE(2942),
    [sym_binary] = STATE(2942),
    [sym_unary] = STATE(2942),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2945),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2944),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(4604),
    [sym__splat_star] = ACTIONS(4606),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(4608),
    [anon_sym_LBRACE] = ACTIONS(4610),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(4612),
    [sym_identifier] = ACTIONS(4612),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1081] = {
    [sym_heredoc_body] = STATE(2946),
    [aux_sym_call_repeat1] = STATE(2946),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1082] = {
    [sym_heredoc_body] = STATE(2946),
    [aux_sym_call_repeat1] = STATE(2946),
    [aux_sym_argument_list_repeat1] = STATE(2948),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4614),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1083] = {
    [anon_sym_EQ] = ACTIONS(4616),
    [sym_comment] = ACTIONS(87),
  },
  [1084] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(4618),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(4620),
    [anon_sym_DASH_EQ] = ACTIONS(4620),
    [anon_sym_STAR_EQ] = ACTIONS(4620),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4620),
    [anon_sym_SLASH_EQ] = ACTIONS(4620),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4620),
    [anon_sym_PIPE_EQ] = ACTIONS(4620),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4620),
    [anon_sym_AMP_EQ] = ACTIONS(4620),
    [anon_sym_PERCENT_EQ] = ACTIONS(4620),
    [anon_sym_GT_GT_EQ] = ACTIONS(4620),
    [anon_sym_LT_LT_EQ] = ACTIONS(4620),
    [anon_sym_CARET_EQ] = ACTIONS(4620),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1085] = {
    [sym_string] = STATE(2952),
    [aux_sym_chained_string_repeat1] = STATE(2952),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(4622),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1086] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [1087] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [1088] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2953),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2953),
    [sym_operator_assignment] = STATE(2953),
    [sym_conditional] = STATE(2953),
    [sym_range] = STATE(2953),
    [sym_binary] = STATE(2953),
    [sym_unary] = STATE(2953),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1089] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2954),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2954),
    [sym_operator_assignment] = STATE(2954),
    [sym_conditional] = STATE(2954),
    [sym_range] = STATE(2954),
    [sym_binary] = STATE(2954),
    [sym_unary] = STATE(2954),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1090] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2955),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2955),
    [sym_operator_assignment] = STATE(2955),
    [sym_conditional] = STATE(2955),
    [sym_range] = STATE(2955),
    [sym_binary] = STATE(2955),
    [sym_unary] = STATE(2955),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1091] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2956),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2956),
    [sym_operator_assignment] = STATE(2956),
    [sym_conditional] = STATE(2956),
    [sym_range] = STATE(2956),
    [sym_binary] = STATE(2956),
    [sym_unary] = STATE(2956),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1092] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2957),
    [sym_operator_assignment] = STATE(2957),
    [sym_conditional] = STATE(2957),
    [sym_range] = STATE(2957),
    [sym_binary] = STATE(2957),
    [sym_unary] = STATE(2957),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1093] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2958),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2958),
    [sym_operator_assignment] = STATE(2958),
    [sym_conditional] = STATE(2958),
    [sym_range] = STATE(2958),
    [sym_binary] = STATE(2958),
    [sym_unary] = STATE(2958),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1094] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(2959),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(2959),
    [sym_operator_assignment] = STATE(2959),
    [sym_conditional] = STATE(2959),
    [sym_range] = STATE(2959),
    [sym_binary] = STATE(2959),
    [sym_unary] = STATE(2959),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1095] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2960),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2960),
    [sym_operator_assignment] = STATE(2960),
    [sym_conditional] = STATE(2960),
    [sym_range] = STATE(2960),
    [sym_binary] = STATE(2960),
    [sym_unary] = STATE(2960),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1096] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2961),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2961),
    [sym_operator_assignment] = STATE(2961),
    [sym_conditional] = STATE(2961),
    [sym_range] = STATE(2961),
    [sym_binary] = STATE(2961),
    [sym_unary] = STATE(2961),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1097] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2962),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2962),
    [sym_operator_assignment] = STATE(2962),
    [sym_conditional] = STATE(2962),
    [sym_range] = STATE(2962),
    [sym_binary] = STATE(2962),
    [sym_unary] = STATE(2962),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1098] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2963),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2963),
    [sym_operator_assignment] = STATE(2963),
    [sym_conditional] = STATE(2963),
    [sym_range] = STATE(2963),
    [sym_binary] = STATE(2963),
    [sym_unary] = STATE(2963),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1099] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2964),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(2964),
    [sym_operator_assignment] = STATE(2964),
    [sym_conditional] = STATE(2964),
    [sym_range] = STATE(2964),
    [sym_binary] = STATE(2964),
    [sym_unary] = STATE(2964),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1100] = {
    [sym__statements] = STATE(2966),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(4624),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1101] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(2975),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(2975),
    [sym_operator_assignment] = STATE(2975),
    [sym_conditional] = STATE(2975),
    [sym_range] = STATE(2975),
    [sym_binary] = STATE(2975),
    [sym_unary] = STATE(2975),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1102] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(2980),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(2980),
    [sym_operator_assignment] = STATE(2980),
    [sym_conditional] = STATE(2980),
    [sym_range] = STATE(2980),
    [sym_binary] = STATE(2980),
    [sym_unary] = STATE(2980),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1103] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2981),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(2981),
    [sym_operator_assignment] = STATE(2981),
    [sym_conditional] = STATE(2981),
    [sym_range] = STATE(2981),
    [sym_binary] = STATE(2981),
    [sym_unary] = STATE(2981),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1104] = {
    [sym__keyword_colon] = ACTIONS(4650),
    [sym_comment] = ACTIONS(87),
  },
  [1105] = {
    [sym__statements] = STATE(1597),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(1598),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(1604),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(1605),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(4652),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1106] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(2985),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(2985),
    [sym_operator_assignment] = STATE(2985),
    [sym_conditional] = STATE(2985),
    [sym_range] = STATE(2985),
    [sym_binary] = STATE(2985),
    [sym_unary] = STATE(2985),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1107] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2942),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(2943),
    [sym__argument] = STATE(2944),
    [sym_splat_argument] = STATE(2944),
    [sym_hash_splat_argument] = STATE(2944),
    [sym_block_argument] = STATE(2944),
    [sym_assignment] = STATE(2942),
    [sym_operator_assignment] = STATE(2942),
    [sym_conditional] = STATE(2942),
    [sym_range] = STATE(2942),
    [sym_binary] = STATE(2942),
    [sym_unary] = STATE(2942),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2945),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2944),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4604),
    [sym__splat_star] = ACTIONS(4606),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(4608),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(4612),
    [sym_identifier] = ACTIONS(4612),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1108] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2942),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(2943),
    [sym__argument] = STATE(2944),
    [sym_splat_argument] = STATE(2944),
    [sym_hash_splat_argument] = STATE(2944),
    [sym_block_argument] = STATE(2944),
    [sym_assignment] = STATE(2942),
    [sym_operator_assignment] = STATE(2942),
    [sym_conditional] = STATE(2942),
    [sym_range] = STATE(2942),
    [sym_binary] = STATE(2942),
    [sym_unary] = STATE(2942),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2945),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2944),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4604),
    [sym__splat_star] = ACTIONS(4606),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(4608),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(4612),
    [sym_identifier] = ACTIONS(4612),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1109] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2942),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(2943),
    [sym__argument] = STATE(2944),
    [sym_splat_argument] = STATE(2944),
    [sym_hash_splat_argument] = STATE(2944),
    [sym_block_argument] = STATE(2944),
    [sym_assignment] = STATE(2942),
    [sym_operator_assignment] = STATE(2942),
    [sym_conditional] = STATE(2942),
    [sym_range] = STATE(2942),
    [sym_binary] = STATE(2942),
    [sym_unary] = STATE(2942),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2945),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2944),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4604),
    [sym__splat_star] = ACTIONS(4606),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(4608),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(4612),
    [sym_identifier] = ACTIONS(4612),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1110] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2942),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(2943),
    [sym__argument] = STATE(2944),
    [sym_splat_argument] = STATE(2944),
    [sym_hash_splat_argument] = STATE(2944),
    [sym_block_argument] = STATE(2944),
    [sym_assignment] = STATE(2942),
    [sym_operator_assignment] = STATE(2942),
    [sym_conditional] = STATE(2942),
    [sym_range] = STATE(2942),
    [sym_binary] = STATE(2942),
    [sym_unary] = STATE(2942),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2945),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2944),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4604),
    [sym__splat_star] = ACTIONS(4606),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(4608),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(4612),
    [sym_identifier] = ACTIONS(4612),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1111] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2986),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(2986),
    [sym_operator_assignment] = STATE(2986),
    [sym_conditional] = STATE(2986),
    [sym_range] = STATE(2986),
    [sym_binary] = STATE(2986),
    [sym_unary] = STATE(2986),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1112] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2987),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(2987),
    [sym_operator_assignment] = STATE(2987),
    [sym_conditional] = STATE(2987),
    [sym_range] = STATE(2987),
    [sym_binary] = STATE(2987),
    [sym_unary] = STATE(2987),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1113] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1114] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(4650),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1115] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(4666),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [1116] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2942),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(2943),
    [sym__argument] = STATE(2944),
    [sym_splat_argument] = STATE(2944),
    [sym_hash_splat_argument] = STATE(2944),
    [sym_block_argument] = STATE(2944),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(2942),
    [sym_operator_assignment] = STATE(2942),
    [sym_conditional] = STATE(2942),
    [sym_range] = STATE(2942),
    [sym_binary] = STATE(2942),
    [sym_unary] = STATE(2942),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2945),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2944),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(4604),
    [sym__splat_star] = ACTIONS(4606),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(4608),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(4612),
    [sym_identifier] = ACTIONS(4612),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1117] = {
    [sym_do_block] = STATE(1665),
    [sym_block] = STATE(1665),
    [sym__line_break] = ACTIONS(2751),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [ts_builtin_sym_end] = ACTIONS(2751),
    [anon_sym___END__] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_end] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_when] = ACTIONS(2751),
    [anon_sym_elsif] = ACTIONS(2751),
    [anon_sym_else] = ACTIONS(2751),
    [anon_sym_then] = ACTIONS(2751),
    [anon_sym_ensure] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [1118] = {
    [sym_heredoc_body] = STATE(3001),
    [aux_sym_call_repeat1] = STATE(3001),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1119] = {
    [sym_heredoc_body] = STATE(3001),
    [aux_sym_call_repeat1] = STATE(3001),
    [aux_sym_argument_list_repeat1] = STATE(3003),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4684),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1120] = {
    [anon_sym_EQ] = ACTIONS(4686),
    [sym_comment] = ACTIONS(87),
  },
  [1121] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(4688),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(4690),
    [anon_sym_DASH_EQ] = ACTIONS(4690),
    [anon_sym_STAR_EQ] = ACTIONS(4690),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4690),
    [anon_sym_SLASH_EQ] = ACTIONS(4690),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4690),
    [anon_sym_PIPE_EQ] = ACTIONS(4690),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4690),
    [anon_sym_AMP_EQ] = ACTIONS(4690),
    [anon_sym_PERCENT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_LT_LT_EQ] = ACTIONS(4690),
    [anon_sym_CARET_EQ] = ACTIONS(4690),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1122] = {
    [sym_string] = STATE(3007),
    [aux_sym_chained_string_repeat1] = STATE(3007),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(4692),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1123] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3013),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_splat_argument] = STATE(3014),
    [sym_assignment] = STATE(3013),
    [sym_operator_assignment] = STATE(3013),
    [sym_conditional] = STATE(3013),
    [sym_range] = STATE(3013),
    [sym_binary] = STATE(3013),
    [sym_unary] = STATE(3013),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(3014),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(4694),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1124] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3017),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(3017),
    [sym_operator_assignment] = STATE(3017),
    [sym_conditional] = STATE(3017),
    [sym_range] = STATE(3017),
    [sym_binary] = STATE(3017),
    [sym_unary] = STATE(3017),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1125] = {
    [sym_string] = STATE(3018),
    [aux_sym_chained_string_repeat1] = STATE(3018),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [1126] = {
    [sym__statements] = STATE(3020),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(4706),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1127] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(3029),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(3029),
    [sym_operator_assignment] = STATE(3029),
    [sym_conditional] = STATE(3029),
    [sym_range] = STATE(3029),
    [sym_binary] = STATE(3029),
    [sym_unary] = STATE(3029),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1128] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(3034),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(3034),
    [sym_operator_assignment] = STATE(3034),
    [sym_conditional] = STATE(3034),
    [sym_range] = STATE(3034),
    [sym_binary] = STATE(3034),
    [sym_unary] = STATE(3034),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1129] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3035),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(3035),
    [sym_operator_assignment] = STATE(3035),
    [sym_conditional] = STATE(3035),
    [sym_range] = STATE(3035),
    [sym_binary] = STATE(3035),
    [sym_unary] = STATE(3035),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1130] = {
    [sym__keyword_colon] = ACTIONS(4730),
    [sym_comment] = ACTIONS(87),
  },
  [1131] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(3038),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(3038),
    [sym_operator_assignment] = STATE(3038),
    [sym_conditional] = STATE(3038),
    [sym_range] = STATE(3038),
    [sym_binary] = STATE(3038),
    [sym_unary] = STATE(3038),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1132] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(3045),
    [sym__argument] = STATE(3046),
    [sym_splat_argument] = STATE(3046),
    [sym_hash_splat_argument] = STATE(3046),
    [sym_block_argument] = STATE(3046),
    [sym_assignment] = STATE(3044),
    [sym_operator_assignment] = STATE(3044),
    [sym_conditional] = STATE(3044),
    [sym_range] = STATE(3044),
    [sym_binary] = STATE(3044),
    [sym_unary] = STATE(3044),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3046),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4732),
    [sym__splat_star] = ACTIONS(4734),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(4736),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(4738),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(4740),
    [sym_identifier] = ACTIONS(4740),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1133] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(3045),
    [sym__argument] = STATE(3046),
    [sym_splat_argument] = STATE(3046),
    [sym_hash_splat_argument] = STATE(3046),
    [sym_block_argument] = STATE(3046),
    [sym_assignment] = STATE(3044),
    [sym_operator_assignment] = STATE(3044),
    [sym_conditional] = STATE(3044),
    [sym_range] = STATE(3044),
    [sym_binary] = STATE(3044),
    [sym_unary] = STATE(3044),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3046),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4732),
    [sym__splat_star] = ACTIONS(4734),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(4736),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(415),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(4738),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(4740),
    [sym_identifier] = ACTIONS(4740),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1134] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(3045),
    [sym__argument] = STATE(3046),
    [sym_splat_argument] = STATE(3046),
    [sym_hash_splat_argument] = STATE(3046),
    [sym_block_argument] = STATE(3046),
    [sym_assignment] = STATE(3044),
    [sym_operator_assignment] = STATE(3044),
    [sym_conditional] = STATE(3044),
    [sym_range] = STATE(3044),
    [sym_binary] = STATE(3044),
    [sym_unary] = STATE(3044),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3046),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4732),
    [sym__splat_star] = ACTIONS(4734),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(4736),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(419),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(4738),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(4740),
    [sym_identifier] = ACTIONS(4740),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1135] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(3045),
    [sym__argument] = STATE(3046),
    [sym_splat_argument] = STATE(3046),
    [sym_hash_splat_argument] = STATE(3046),
    [sym_block_argument] = STATE(3046),
    [sym_assignment] = STATE(3044),
    [sym_operator_assignment] = STATE(3044),
    [sym_conditional] = STATE(3044),
    [sym_range] = STATE(3044),
    [sym_binary] = STATE(3044),
    [sym_unary] = STATE(3044),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3046),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4732),
    [sym__splat_star] = ACTIONS(4734),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(4736),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(4738),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(4740),
    [sym_identifier] = ACTIONS(4740),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1136] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3048),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(3048),
    [sym_operator_assignment] = STATE(3048),
    [sym_conditional] = STATE(3048),
    [sym_range] = STATE(3048),
    [sym_binary] = STATE(3048),
    [sym_unary] = STATE(3048),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1137] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3049),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(3049),
    [sym_operator_assignment] = STATE(3049),
    [sym_conditional] = STATE(3049),
    [sym_range] = STATE(3049),
    [sym_binary] = STATE(3049),
    [sym_unary] = STATE(3049),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1138] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1139] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(4730),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_in] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1140] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(4754),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(4762),
    [anon_sym_or] = ACTIONS(4762),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [1141] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3076),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_argument_list] = STATE(2117),
    [sym__argument_list_with_parens] = STATE(3077),
    [sym__argument] = STATE(3078),
    [sym_splat_argument] = STATE(3078),
    [sym_hash_splat_argument] = STATE(3078),
    [sym_block_argument] = STATE(3078),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(3076),
    [sym_operator_assignment] = STATE(3076),
    [sym_conditional] = STATE(3076),
    [sym_range] = STATE(3076),
    [sym_binary] = STATE(3076),
    [sym_unary] = STATE(3076),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3081),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3078),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(4776),
    [sym__splat_star] = ACTIONS(4778),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4796),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(4800),
    [sym_identifier] = ACTIONS(4800),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1142] = {
    [sym_heredoc_body] = STATE(3082),
    [aux_sym_call_repeat1] = STATE(3082),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1143] = {
    [sym_heredoc_body] = STATE(3082),
    [aux_sym_call_repeat1] = STATE(3082),
    [aux_sym_argument_list_repeat1] = STATE(3084),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(4802),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1144] = {
    [anon_sym_EQ] = ACTIONS(4804),
    [sym_comment] = ACTIONS(87),
  },
  [1145] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(4806),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(4808),
    [anon_sym_DASH_EQ] = ACTIONS(4808),
    [anon_sym_STAR_EQ] = ACTIONS(4808),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4808),
    [anon_sym_SLASH_EQ] = ACTIONS(4808),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4808),
    [anon_sym_PIPE_EQ] = ACTIONS(4808),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4808),
    [anon_sym_AMP_EQ] = ACTIONS(4808),
    [anon_sym_PERCENT_EQ] = ACTIONS(4808),
    [anon_sym_GT_GT_EQ] = ACTIONS(4808),
    [anon_sym_LT_LT_EQ] = ACTIONS(4808),
    [anon_sym_CARET_EQ] = ACTIONS(4808),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1146] = {
    [sym_string] = STATE(3088),
    [aux_sym_chained_string_repeat1] = STATE(3088),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(4810),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1147] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3089),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(3089),
    [sym_operator_assignment] = STATE(3089),
    [sym_conditional] = STATE(3089),
    [sym_range] = STATE(3089),
    [sym_binary] = STATE(3089),
    [sym_unary] = STATE(3089),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1148] = {
    [sym__do] = STATE(3090),
    [sym_heredoc_body] = STATE(3090),
    [sym__terminator] = STATE(3090),
    [sym__line_break] = ACTIONS(4812),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(4812),
    [anon_sym_do] = ACTIONS(4812),
    [sym_comment] = ACTIONS(87),
  },
  [1149] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(265),
    [sym_call] = STATE(265),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(1684),
    [sym__simple_mlhs] = STATE(267),
    [sym_destructured_left_assignment] = STATE(267),
    [sym_rest_assignment] = STATE(267),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(265),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_in] = ACTIONS(4814),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(475),
    [sym_identifier] = ACTIONS(475),
    [sym_instance_variable] = ACTIONS(477),
    [sym_class_variable] = ACTIONS(477),
    [sym_global_variable] = ACTIONS(477),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(475),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [1150] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [1151] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3099),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(3099),
    [sym_operator_assignment] = STATE(3099),
    [sym_conditional] = STATE(3099),
    [sym_range] = STATE(3099),
    [sym_binary] = STATE(3099),
    [sym_unary] = STATE(3099),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1152] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3103),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(3103),
    [sym_operator_assignment] = STATE(3103),
    [sym_conditional] = STATE(3103),
    [sym_range] = STATE(3103),
    [sym_binary] = STATE(3103),
    [sym_unary] = STATE(3103),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1153] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3104),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(3104),
    [sym_operator_assignment] = STATE(3104),
    [sym_conditional] = STATE(3104),
    [sym_range] = STATE(3104),
    [sym_binary] = STATE(3104),
    [sym_unary] = STATE(3104),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1154] = {
    [sym__keyword_colon] = ACTIONS(4836),
    [sym_comment] = ACTIONS(87),
  },
  [1155] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3107),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(3107),
    [sym_operator_assignment] = STATE(3107),
    [sym_conditional] = STATE(3107),
    [sym_range] = STATE(3107),
    [sym_binary] = STATE(3107),
    [sym_unary] = STATE(3107),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1156] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3113),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(3114),
    [sym__argument] = STATE(3115),
    [sym_splat_argument] = STATE(3115),
    [sym_hash_splat_argument] = STATE(3115),
    [sym_block_argument] = STATE(3115),
    [sym_assignment] = STATE(3113),
    [sym_operator_assignment] = STATE(3113),
    [sym_conditional] = STATE(3113),
    [sym_range] = STATE(3113),
    [sym_binary] = STATE(3113),
    [sym_unary] = STATE(3113),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3116),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3115),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4838),
    [sym__splat_star] = ACTIONS(4840),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(4842),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(4844),
    [sym_identifier] = ACTIONS(4844),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1157] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3113),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(3114),
    [sym__argument] = STATE(3115),
    [sym_splat_argument] = STATE(3115),
    [sym_hash_splat_argument] = STATE(3115),
    [sym_block_argument] = STATE(3115),
    [sym_assignment] = STATE(3113),
    [sym_operator_assignment] = STATE(3113),
    [sym_conditional] = STATE(3113),
    [sym_range] = STATE(3113),
    [sym_binary] = STATE(3113),
    [sym_unary] = STATE(3113),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3116),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3115),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4838),
    [sym__splat_star] = ACTIONS(4840),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(4842),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(4844),
    [sym_identifier] = ACTIONS(4844),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1158] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3113),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(3114),
    [sym__argument] = STATE(3115),
    [sym_splat_argument] = STATE(3115),
    [sym_hash_splat_argument] = STATE(3115),
    [sym_block_argument] = STATE(3115),
    [sym_assignment] = STATE(3113),
    [sym_operator_assignment] = STATE(3113),
    [sym_conditional] = STATE(3113),
    [sym_range] = STATE(3113),
    [sym_binary] = STATE(3113),
    [sym_unary] = STATE(3113),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3116),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3115),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4838),
    [sym__splat_star] = ACTIONS(4840),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(4842),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(4844),
    [sym_identifier] = ACTIONS(4844),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1159] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3113),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(3114),
    [sym__argument] = STATE(3115),
    [sym_splat_argument] = STATE(3115),
    [sym_hash_splat_argument] = STATE(3115),
    [sym_block_argument] = STATE(3115),
    [sym_assignment] = STATE(3113),
    [sym_operator_assignment] = STATE(3113),
    [sym_conditional] = STATE(3113),
    [sym_range] = STATE(3113),
    [sym_binary] = STATE(3113),
    [sym_unary] = STATE(3113),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3116),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3115),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4838),
    [sym__splat_star] = ACTIONS(4840),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(4842),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(4844),
    [sym_identifier] = ACTIONS(4844),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1160] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3117),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(3117),
    [sym_operator_assignment] = STATE(3117),
    [sym_conditional] = STATE(3117),
    [sym_range] = STATE(3117),
    [sym_binary] = STATE(3117),
    [sym_unary] = STATE(3117),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1161] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3118),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(3118),
    [sym_operator_assignment] = STATE(3118),
    [sym_conditional] = STATE(3118),
    [sym_range] = STATE(3118),
    [sym_binary] = STATE(3118),
    [sym_unary] = STATE(3118),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1162] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1163] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(4836),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1164] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(4858),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [1165] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2942),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(2943),
    [sym__argument] = STATE(2944),
    [sym_splat_argument] = STATE(2944),
    [sym_hash_splat_argument] = STATE(2944),
    [sym_block_argument] = STATE(2944),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(2942),
    [sym_operator_assignment] = STATE(2942),
    [sym_conditional] = STATE(2942),
    [sym_range] = STATE(2942),
    [sym_binary] = STATE(2942),
    [sym_unary] = STATE(2942),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2945),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(2944),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(4604),
    [sym__splat_star] = ACTIONS(4606),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(4608),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(4612),
    [sym_identifier] = ACTIONS(4612),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1166] = {
    [sym_heredoc_body] = STATE(3132),
    [aux_sym_call_repeat1] = STATE(3132),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1167] = {
    [sym_heredoc_body] = STATE(3132),
    [aux_sym_call_repeat1] = STATE(3132),
    [aux_sym_argument_list_repeat1] = STATE(3134),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1168] = {
    [anon_sym_EQ] = ACTIONS(4880),
    [sym_comment] = ACTIONS(87),
  },
  [1169] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(4882),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(4884),
    [anon_sym_DASH_EQ] = ACTIONS(4884),
    [anon_sym_STAR_EQ] = ACTIONS(4884),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4884),
    [anon_sym_SLASH_EQ] = ACTIONS(4884),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4884),
    [anon_sym_PIPE_EQ] = ACTIONS(4884),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4884),
    [anon_sym_AMP_EQ] = ACTIONS(4884),
    [anon_sym_PERCENT_EQ] = ACTIONS(4884),
    [anon_sym_GT_GT_EQ] = ACTIONS(4884),
    [anon_sym_LT_LT_EQ] = ACTIONS(4884),
    [anon_sym_CARET_EQ] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1170] = {
    [sym_string] = STATE(3138),
    [aux_sym_chained_string_repeat1] = STATE(3138),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(4886),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1171] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [1172] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [1173] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3139),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3139),
    [sym_operator_assignment] = STATE(3139),
    [sym_conditional] = STATE(3139),
    [sym_range] = STATE(3139),
    [sym_binary] = STATE(3139),
    [sym_unary] = STATE(3139),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1174] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3140),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3140),
    [sym_operator_assignment] = STATE(3140),
    [sym_conditional] = STATE(3140),
    [sym_range] = STATE(3140),
    [sym_binary] = STATE(3140),
    [sym_unary] = STATE(3140),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1175] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3141),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3141),
    [sym_operator_assignment] = STATE(3141),
    [sym_conditional] = STATE(3141),
    [sym_range] = STATE(3141),
    [sym_binary] = STATE(3141),
    [sym_unary] = STATE(3141),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1176] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3142),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3142),
    [sym_operator_assignment] = STATE(3142),
    [sym_conditional] = STATE(3142),
    [sym_range] = STATE(3142),
    [sym_binary] = STATE(3142),
    [sym_unary] = STATE(3142),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1177] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3143),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3143),
    [sym_operator_assignment] = STATE(3143),
    [sym_conditional] = STATE(3143),
    [sym_range] = STATE(3143),
    [sym_binary] = STATE(3143),
    [sym_unary] = STATE(3143),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1178] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3144),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3144),
    [sym_operator_assignment] = STATE(3144),
    [sym_conditional] = STATE(3144),
    [sym_range] = STATE(3144),
    [sym_binary] = STATE(3144),
    [sym_unary] = STATE(3144),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1179] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(3145),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(3145),
    [sym_operator_assignment] = STATE(3145),
    [sym_conditional] = STATE(3145),
    [sym_range] = STATE(3145),
    [sym_binary] = STATE(3145),
    [sym_unary] = STATE(3145),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1180] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3146),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3146),
    [sym_operator_assignment] = STATE(3146),
    [sym_conditional] = STATE(3146),
    [sym_range] = STATE(3146),
    [sym_binary] = STATE(3146),
    [sym_unary] = STATE(3146),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1181] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3147),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3147),
    [sym_operator_assignment] = STATE(3147),
    [sym_conditional] = STATE(3147),
    [sym_range] = STATE(3147),
    [sym_binary] = STATE(3147),
    [sym_unary] = STATE(3147),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1182] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3148),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3148),
    [sym_operator_assignment] = STATE(3148),
    [sym_conditional] = STATE(3148),
    [sym_range] = STATE(3148),
    [sym_binary] = STATE(3148),
    [sym_unary] = STATE(3148),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1183] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3149),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3149),
    [sym_operator_assignment] = STATE(3149),
    [sym_conditional] = STATE(3149),
    [sym_range] = STATE(3149),
    [sym_binary] = STATE(3149),
    [sym_unary] = STATE(3149),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1184] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3150),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3150),
    [sym_operator_assignment] = STATE(3150),
    [sym_conditional] = STATE(3150),
    [sym_range] = STATE(3150),
    [sym_binary] = STATE(3150),
    [sym_unary] = STATE(3150),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1185] = {
    [sym_when] = STATE(3151),
    [aux_sym_case_repeat1] = STATE(3152),
    [anon_sym_SEMI] = ACTIONS(4888),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [1186] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3158),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_splat_argument] = STATE(3159),
    [sym_assignment] = STATE(3158),
    [sym_operator_assignment] = STATE(3158),
    [sym_conditional] = STATE(3158),
    [sym_range] = STATE(3158),
    [sym_binary] = STATE(3158),
    [sym_unary] = STATE(3158),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(3159),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(4890),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1187] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3162),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3162),
    [sym_operator_assignment] = STATE(3162),
    [sym_conditional] = STATE(3162),
    [sym_range] = STATE(3162),
    [sym_binary] = STATE(3162),
    [sym_unary] = STATE(3162),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1188] = {
    [sym_string] = STATE(3163),
    [aux_sym_chained_string_repeat1] = STATE(3163),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [1189] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_pattern] = STATE(3173),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3174),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_splat_argument] = STATE(3176),
    [sym_assignment] = STATE(3174),
    [sym_operator_assignment] = STATE(3174),
    [sym_conditional] = STATE(3174),
    [sym_range] = STATE(3174),
    [sym_binary] = STATE(3174),
    [sym_unary] = STATE(3174),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(4902),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1190] = {
    [anon_sym_end] = ACTIONS(4926),
    [sym_comment] = ACTIONS(87),
  },
  [1191] = {
    [sym_when] = STATE(3151),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [1192] = {
    [sym__simple_symbol] = ACTIONS(3138),
    [sym__string_start] = ACTIONS(3138),
    [sym__symbol_start] = ACTIONS(3138),
    [sym__subshell_start] = ACTIONS(3138),
    [sym__regex_start] = ACTIONS(3138),
    [sym__string_array_start] = ACTIONS(3138),
    [sym__symbol_array_start] = ACTIONS(3138),
    [sym_heredoc_beginning] = ACTIONS(3138),
    [sym__unary_minus] = ACTIONS(3138),
    [ts_builtin_sym_end] = ACTIONS(3138),
    [anon_sym___END__] = ACTIONS(4930),
    [anon_sym_BEGIN] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_END] = ACTIONS(4930),
    [anon_sym_def] = ACTIONS(4930),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_PIPE] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(4930),
    [anon_sym_module] = ACTIONS(4930),
    [anon_sym_end] = ACTIONS(4930),
    [anon_sym_return] = ACTIONS(4930),
    [anon_sym_yield] = ACTIONS(4930),
    [anon_sym_break] = ACTIONS(4930),
    [anon_sym_next] = ACTIONS(4930),
    [sym_redo] = ACTIONS(4930),
    [sym_retry] = ACTIONS(4930),
    [anon_sym_if] = ACTIONS(4930),
    [anon_sym_unless] = ACTIONS(4930),
    [anon_sym_while] = ACTIONS(4930),
    [anon_sym_until] = ACTIONS(4930),
    [anon_sym_rescue] = ACTIONS(4930),
    [anon_sym_for] = ACTIONS(4930),
    [anon_sym_case] = ACTIONS(4930),
    [anon_sym_when] = ACTIONS(4930),
    [anon_sym_elsif] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(4930),
    [anon_sym_then] = ACTIONS(4930),
    [anon_sym_begin] = ACTIONS(4930),
    [anon_sym_ensure] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_defined_QMARK] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(4930),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [sym_constant] = ACTIONS(4930),
    [sym_identifier] = ACTIONS(4930),
    [sym_instance_variable] = ACTIONS(3138),
    [sym_class_variable] = ACTIONS(3138),
    [sym_global_variable] = ACTIONS(3138),
    [anon_sym_undef] = ACTIONS(4930),
    [anon_sym_alias] = ACTIONS(4930),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4930),
    [sym_float] = ACTIONS(4930),
    [sym_complex] = ACTIONS(3138),
    [sym_super] = ACTIONS(4930),
    [anon_sym_true] = ACTIONS(4930),
    [anon_sym_TRUE] = ACTIONS(4930),
    [anon_sym_false] = ACTIONS(4930),
    [anon_sym_FALSE] = ACTIONS(4930),
    [sym_self] = ACTIONS(4930),
    [anon_sym_nil] = ACTIONS(4930),
    [anon_sym_NIL] = ACTIONS(4930),
    [sym_character] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
  },
  [1193] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(4932),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [1194] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [1195] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3191),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(3191),
    [sym_operator_assignment] = STATE(3191),
    [sym_conditional] = STATE(3191),
    [sym_range] = STATE(3191),
    [sym_binary] = STATE(3191),
    [sym_unary] = STATE(3191),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1196] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3195),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(3195),
    [sym_operator_assignment] = STATE(3195),
    [sym_conditional] = STATE(3195),
    [sym_range] = STATE(3195),
    [sym_binary] = STATE(3195),
    [sym_unary] = STATE(3195),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1197] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3196),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(3196),
    [sym_operator_assignment] = STATE(3196),
    [sym_conditional] = STATE(3196),
    [sym_range] = STATE(3196),
    [sym_binary] = STATE(3196),
    [sym_unary] = STATE(3196),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1198] = {
    [sym__keyword_colon] = ACTIONS(4954),
    [sym_comment] = ACTIONS(87),
  },
  [1199] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3199),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(3199),
    [sym_operator_assignment] = STATE(3199),
    [sym_conditional] = STATE(3199),
    [sym_range] = STATE(3199),
    [sym_binary] = STATE(3199),
    [sym_unary] = STATE(3199),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1200] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3205),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(3206),
    [sym__argument] = STATE(3207),
    [sym_splat_argument] = STATE(3207),
    [sym_hash_splat_argument] = STATE(3207),
    [sym_block_argument] = STATE(3207),
    [sym_assignment] = STATE(3205),
    [sym_operator_assignment] = STATE(3205),
    [sym_conditional] = STATE(3205),
    [sym_range] = STATE(3205),
    [sym_binary] = STATE(3205),
    [sym_unary] = STATE(3205),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3208),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3207),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4956),
    [sym__splat_star] = ACTIONS(4958),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(4960),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(379),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(4962),
    [sym_identifier] = ACTIONS(4962),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1201] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3205),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(3206),
    [sym__argument] = STATE(3207),
    [sym_splat_argument] = STATE(3207),
    [sym_hash_splat_argument] = STATE(3207),
    [sym_block_argument] = STATE(3207),
    [sym_assignment] = STATE(3205),
    [sym_operator_assignment] = STATE(3205),
    [sym_conditional] = STATE(3205),
    [sym_range] = STATE(3205),
    [sym_binary] = STATE(3205),
    [sym_unary] = STATE(3205),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3208),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3207),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4956),
    [sym__splat_star] = ACTIONS(4958),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(4960),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(415),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(4962),
    [sym_identifier] = ACTIONS(4962),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1202] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3205),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(3206),
    [sym__argument] = STATE(3207),
    [sym_splat_argument] = STATE(3207),
    [sym_hash_splat_argument] = STATE(3207),
    [sym_block_argument] = STATE(3207),
    [sym_assignment] = STATE(3205),
    [sym_operator_assignment] = STATE(3205),
    [sym_conditional] = STATE(3205),
    [sym_range] = STATE(3205),
    [sym_binary] = STATE(3205),
    [sym_unary] = STATE(3205),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3208),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3207),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4956),
    [sym__splat_star] = ACTIONS(4958),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(4960),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(419),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(4962),
    [sym_identifier] = ACTIONS(4962),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1203] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3205),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(3206),
    [sym__argument] = STATE(3207),
    [sym_splat_argument] = STATE(3207),
    [sym_hash_splat_argument] = STATE(3207),
    [sym_block_argument] = STATE(3207),
    [sym_assignment] = STATE(3205),
    [sym_operator_assignment] = STATE(3205),
    [sym_conditional] = STATE(3205),
    [sym_range] = STATE(3205),
    [sym_binary] = STATE(3205),
    [sym_unary] = STATE(3205),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3208),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3207),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4956),
    [sym__splat_star] = ACTIONS(4958),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(4960),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(423),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(4962),
    [sym_identifier] = ACTIONS(4962),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1204] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3209),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(3209),
    [sym_operator_assignment] = STATE(3209),
    [sym_conditional] = STATE(3209),
    [sym_range] = STATE(3209),
    [sym_binary] = STATE(3209),
    [sym_unary] = STATE(3209),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1205] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3210),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(3210),
    [sym_operator_assignment] = STATE(3210),
    [sym_conditional] = STATE(3210),
    [sym_range] = STATE(3210),
    [sym_binary] = STATE(3210),
    [sym_unary] = STATE(3210),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1206] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1207] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(4954),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_ensure] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1208] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_ensure] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(4976),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [1209] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3229),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(3230),
    [sym__argument] = STATE(3231),
    [sym_splat_argument] = STATE(3231),
    [sym_hash_splat_argument] = STATE(3231),
    [sym_block_argument] = STATE(3231),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(3229),
    [sym_operator_assignment] = STATE(3229),
    [sym_conditional] = STATE(3229),
    [sym_range] = STATE(3229),
    [sym_binary] = STATE(3229),
    [sym_unary] = STATE(3229),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3232),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3231),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(4996),
    [sym__splat_star] = ACTIONS(4998),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5000),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(775),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(5002),
    [sym_identifier] = ACTIONS(5002),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1210] = {
    [sym_heredoc_body] = STATE(3233),
    [aux_sym_call_repeat1] = STATE(3233),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1211] = {
    [sym_heredoc_body] = STATE(3233),
    [aux_sym_call_repeat1] = STATE(3233),
    [aux_sym_argument_list_repeat1] = STATE(3235),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(5004),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1212] = {
    [anon_sym_EQ] = ACTIONS(5006),
    [sym_comment] = ACTIONS(87),
  },
  [1213] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(5008),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(5010),
    [anon_sym_DASH_EQ] = ACTIONS(5010),
    [anon_sym_STAR_EQ] = ACTIONS(5010),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5010),
    [anon_sym_SLASH_EQ] = ACTIONS(5010),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5010),
    [anon_sym_PIPE_EQ] = ACTIONS(5010),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5010),
    [anon_sym_AMP_EQ] = ACTIONS(5010),
    [anon_sym_PERCENT_EQ] = ACTIONS(5010),
    [anon_sym_GT_GT_EQ] = ACTIONS(5010),
    [anon_sym_LT_LT_EQ] = ACTIONS(5010),
    [anon_sym_CARET_EQ] = ACTIONS(5010),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1214] = {
    [sym_string] = STATE(3239),
    [aux_sym_chained_string_repeat1] = STATE(3239),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(5012),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1215] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3240),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(3240),
    [sym_operator_assignment] = STATE(3240),
    [sym_conditional] = STATE(3240),
    [sym_range] = STATE(3240),
    [sym_binary] = STATE(3240),
    [sym_unary] = STATE(3240),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1216] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3241),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(3241),
    [sym_operator_assignment] = STATE(3241),
    [sym_conditional] = STATE(3241),
    [sym_range] = STATE(3241),
    [sym_binary] = STATE(3241),
    [sym_unary] = STATE(3241),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1217] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3251),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(3252),
    [sym__argument] = STATE(3253),
    [sym_splat_argument] = STATE(3253),
    [sym_hash_splat_argument] = STATE(3253),
    [sym_block_argument] = STATE(3253),
    [sym_assignment] = STATE(3251),
    [sym_operator_assignment] = STATE(3251),
    [sym_conditional] = STATE(3251),
    [sym_range] = STATE(3251),
    [sym_binary] = STATE(3251),
    [sym_unary] = STATE(3251),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3256),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3253),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5014),
    [sym__splat_star] = ACTIONS(5016),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5020),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5026),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(5030),
    [sym_identifier] = ACTIONS(5030),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1218] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3251),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(3252),
    [sym__argument] = STATE(3253),
    [sym_splat_argument] = STATE(3253),
    [sym_hash_splat_argument] = STATE(3253),
    [sym_block_argument] = STATE(3253),
    [sym_assignment] = STATE(3251),
    [sym_operator_assignment] = STATE(3251),
    [sym_conditional] = STATE(3251),
    [sym_range] = STATE(3251),
    [sym_binary] = STATE(3251),
    [sym_unary] = STATE(3251),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3256),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3253),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5014),
    [sym__splat_star] = ACTIONS(5016),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5020),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5026),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(5030),
    [sym_identifier] = ACTIONS(5030),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1219] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3251),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(3252),
    [sym__argument] = STATE(3253),
    [sym_splat_argument] = STATE(3253),
    [sym_hash_splat_argument] = STATE(3253),
    [sym_block_argument] = STATE(3253),
    [sym_assignment] = STATE(3251),
    [sym_operator_assignment] = STATE(3251),
    [sym_conditional] = STATE(3251),
    [sym_range] = STATE(3251),
    [sym_binary] = STATE(3251),
    [sym_unary] = STATE(3251),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3256),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3253),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5014),
    [sym__splat_star] = ACTIONS(5016),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5020),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5026),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(5030),
    [sym_identifier] = ACTIONS(5030),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1220] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3251),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(3252),
    [sym__argument] = STATE(3253),
    [sym_splat_argument] = STATE(3253),
    [sym_hash_splat_argument] = STATE(3253),
    [sym_block_argument] = STATE(3253),
    [sym_assignment] = STATE(3251),
    [sym_operator_assignment] = STATE(3251),
    [sym_conditional] = STATE(3251),
    [sym_range] = STATE(3251),
    [sym_binary] = STATE(3251),
    [sym_unary] = STATE(3251),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3256),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3253),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5014),
    [sym__splat_star] = ACTIONS(5016),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5020),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5026),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(5030),
    [sym_identifier] = ACTIONS(5030),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1221] = {
    [sym_method] = STATE(3260),
    [sym_singleton_method] = STATE(3260),
    [sym_class] = STATE(3260),
    [sym_singleton_class] = STATE(3260),
    [sym_module] = STATE(3260),
    [sym_return] = STATE(3260),
    [sym_yield] = STATE(3260),
    [sym_break] = STATE(3260),
    [sym_next] = STATE(3260),
    [sym_while] = STATE(3260),
    [sym_until] = STATE(3260),
    [sym_for] = STATE(3260),
    [sym_case] = STATE(3260),
    [sym_if] = STATE(3260),
    [sym_unless] = STATE(3260),
    [sym_begin] = STATE(3260),
    [sym__primary] = STATE(3260),
    [sym_parenthesized_statements] = STATE(3260),
    [sym_element_reference] = STATE(3262),
    [sym_scope_resolution] = STATE(3261),
    [sym_call] = STATE(3261),
    [sym_method_call] = STATE(3262),
    [sym__lhs] = STATE(3262),
    [sym__variable] = STATE(3261),
    [sym_rational] = STATE(3260),
    [sym_true] = STATE(3262),
    [sym_false] = STATE(3262),
    [sym_nil] = STATE(3262),
    [sym_chained_string] = STATE(3260),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(3260),
    [sym_string_array] = STATE(3260),
    [sym_symbol_array] = STATE(3260),
    [sym_symbol] = STATE(3260),
    [sym_regex] = STATE(3260),
    [sym_array] = STATE(3260),
    [sym_hash] = STATE(3260),
    [sym_lambda] = STATE(3260),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(5032),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(5034),
    [sym_retry] = ACTIONS(5034),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(5036),
    [sym_identifier] = ACTIONS(5036),
    [sym_instance_variable] = ACTIONS(5038),
    [sym_class_variable] = ACTIONS(5038),
    [sym_global_variable] = ACTIONS(5038),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(5034),
    [sym_complex] = ACTIONS(5032),
    [sym_super] = ACTIONS(5036),
    [anon_sym_true] = ACTIONS(5040),
    [anon_sym_TRUE] = ACTIONS(5040),
    [anon_sym_false] = ACTIONS(5042),
    [anon_sym_FALSE] = ACTIONS(5042),
    [sym_self] = ACTIONS(5036),
    [anon_sym_nil] = ACTIONS(5044),
    [anon_sym_NIL] = ACTIONS(5044),
    [sym_character] = ACTIONS(5032),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [1222] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3263),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(3263),
    [sym_operator_assignment] = STATE(3263),
    [sym_conditional] = STATE(3263),
    [sym_range] = STATE(3263),
    [sym_binary] = STATE(3263),
    [sym_unary] = STATE(3263),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1223] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3264),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(3264),
    [sym_operator_assignment] = STATE(3264),
    [sym_conditional] = STATE(3264),
    [sym_range] = STATE(3264),
    [sym_binary] = STATE(3264),
    [sym_unary] = STATE(3264),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1224] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1225] = {
    [sym__statements] = STATE(3265),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym_rescue] = STATE(3266),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5046),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(5046),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1226] = {
    [sym__then] = STATE(3267),
    [sym_exception_variable] = STATE(3268),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_then] = ACTIONS(5048),
    [anon_sym_EQ_GT] = ACTIONS(2115),
    [sym_comment] = ACTIONS(87),
  },
  [1227] = {
    [sym__then] = STATE(3267),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_then] = ACTIONS(5048),
    [sym_comment] = ACTIONS(87),
  },
  [1228] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5062),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(5064),
    [anon_sym_DOT_DOT] = ACTIONS(5066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5068),
    [anon_sym_and] = ACTIONS(5070),
    [anon_sym_or] = ACTIONS(5070),
    [anon_sym_PIPE_PIPE] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5072),
    [anon_sym_LT_EQ_GT] = ACTIONS(5072),
    [anon_sym_EQ_TILDE] = ACTIONS(5072),
    [anon_sym_BANG_TILDE] = ACTIONS(5072),
    [anon_sym_LT_EQ] = ACTIONS(5062),
    [anon_sym_GT] = ACTIONS(5062),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [1229] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3294),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(3296),
    [sym__argument] = STATE(3297),
    [sym_splat_argument] = STATE(3297),
    [sym_hash_splat_argument] = STATE(3297),
    [sym_block_argument] = STATE(3297),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(3294),
    [sym_operator_assignment] = STATE(3294),
    [sym_conditional] = STATE(3294),
    [sym_range] = STATE(3294),
    [sym_binary] = STATE(3294),
    [sym_unary] = STATE(3294),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3300),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3297),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(5084),
    [sym__splat_star] = ACTIONS(5086),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5108),
    [sym_identifier] = ACTIONS(5108),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1230] = {
    [aux_sym_exceptions_repeat1] = STATE(3302),
    [sym__line_break] = ACTIONS(5114),
    [sym__heredoc_body_start] = ACTIONS(5114),
    [anon_sym_COMMA] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5114),
    [anon_sym_then] = ACTIONS(5114),
    [anon_sym_EQ_GT] = ACTIONS(5114),
    [sym_comment] = ACTIONS(87),
  },
  [1231] = {
    [anon_sym_EQ] = ACTIONS(5118),
    [sym_comment] = ACTIONS(87),
  },
  [1232] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(5120),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(5122),
    [anon_sym_DASH_EQ] = ACTIONS(5122),
    [anon_sym_STAR_EQ] = ACTIONS(5122),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5122),
    [anon_sym_SLASH_EQ] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5122),
    [anon_sym_PIPE_EQ] = ACTIONS(5122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5122),
    [anon_sym_AMP_EQ] = ACTIONS(5122),
    [anon_sym_PERCENT_EQ] = ACTIONS(5122),
    [anon_sym_GT_GT_EQ] = ACTIONS(5122),
    [anon_sym_LT_LT_EQ] = ACTIONS(5122),
    [anon_sym_CARET_EQ] = ACTIONS(5122),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1233] = {
    [sym_string] = STATE(3305),
    [aux_sym_chained_string_repeat1] = STATE(3305),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1234] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3306),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(3306),
    [sym_operator_assignment] = STATE(3306),
    [sym_conditional] = STATE(3306),
    [sym_range] = STATE(3306),
    [sym_binary] = STATE(3306),
    [sym_unary] = STATE(3306),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1235] = {
    [sym__line_break] = ACTIONS(275),
    [sym__simple_symbol] = ACTIONS(2067),
    [sym__string_start] = ACTIONS(2067),
    [sym__symbol_start] = ACTIONS(2067),
    [sym__subshell_start] = ACTIONS(2067),
    [sym__regex_start] = ACTIONS(2067),
    [sym__string_array_start] = ACTIONS(2067),
    [sym__symbol_array_start] = ACTIONS(2067),
    [sym__heredoc_body_start] = ACTIONS(275),
    [sym_heredoc_beginning] = ACTIONS(2067),
    [sym__unary_minus] = ACTIONS(2067),
    [anon_sym_BEGIN] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_END] = ACTIONS(2069),
    [anon_sym_def] = ACTIONS(2069),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_COLON_COLON] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2069),
    [anon_sym_module] = ACTIONS(2069),
    [anon_sym_end] = ACTIONS(2069),
    [anon_sym_return] = ACTIONS(2069),
    [anon_sym_yield] = ACTIONS(2069),
    [anon_sym_break] = ACTIONS(2069),
    [anon_sym_next] = ACTIONS(2069),
    [sym_redo] = ACTIONS(2069),
    [sym_retry] = ACTIONS(2069),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_unless] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2069),
    [anon_sym_until] = ACTIONS(2069),
    [anon_sym_rescue] = ACTIONS(5124),
    [anon_sym_for] = ACTIONS(2069),
    [anon_sym_case] = ACTIONS(2069),
    [anon_sym_elsif] = ACTIONS(2069),
    [anon_sym_else] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2069),
    [anon_sym_ensure] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2069),
    [anon_sym_defined_QMARK] = ACTIONS(2067),
    [anon_sym_not] = ACTIONS(2069),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [sym_constant] = ACTIONS(2069),
    [sym_identifier] = ACTIONS(2069),
    [sym_instance_variable] = ACTIONS(2067),
    [sym_class_variable] = ACTIONS(2067),
    [sym_global_variable] = ACTIONS(2067),
    [anon_sym_undef] = ACTIONS(2069),
    [anon_sym_alias] = ACTIONS(2069),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2069),
    [sym_float] = ACTIONS(2069),
    [sym_complex] = ACTIONS(2067),
    [sym_super] = ACTIONS(2069),
    [anon_sym_true] = ACTIONS(2069),
    [anon_sym_TRUE] = ACTIONS(2069),
    [anon_sym_false] = ACTIONS(2069),
    [anon_sym_FALSE] = ACTIONS(2069),
    [sym_self] = ACTIONS(2069),
    [anon_sym_nil] = ACTIONS(2069),
    [anon_sym_NIL] = ACTIONS(2069),
    [sym_character] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_DASH_GT] = ACTIONS(2067),
  },
  [1236] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3320),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(3322),
    [sym__argument] = STATE(3323),
    [sym_splat_argument] = STATE(3323),
    [sym_hash_splat_argument] = STATE(3323),
    [sym_block_argument] = STATE(3323),
    [sym_assignment] = STATE(3320),
    [sym_operator_assignment] = STATE(3320),
    [sym_conditional] = STATE(3320),
    [sym_range] = STATE(3320),
    [sym_binary] = STATE(3320),
    [sym_unary] = STATE(3320),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3326),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3323),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5126),
    [sym__splat_star] = ACTIONS(5128),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5132),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(379),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5150),
    [sym_identifier] = ACTIONS(5150),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1237] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3320),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(3322),
    [sym__argument] = STATE(3323),
    [sym_splat_argument] = STATE(3323),
    [sym_hash_splat_argument] = STATE(3323),
    [sym_block_argument] = STATE(3323),
    [sym_assignment] = STATE(3320),
    [sym_operator_assignment] = STATE(3320),
    [sym_conditional] = STATE(3320),
    [sym_range] = STATE(3320),
    [sym_binary] = STATE(3320),
    [sym_unary] = STATE(3320),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3326),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3323),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5126),
    [sym__splat_star] = ACTIONS(5128),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5132),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5150),
    [sym_identifier] = ACTIONS(5150),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1238] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3320),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(3322),
    [sym__argument] = STATE(3323),
    [sym_splat_argument] = STATE(3323),
    [sym_hash_splat_argument] = STATE(3323),
    [sym_block_argument] = STATE(3323),
    [sym_assignment] = STATE(3320),
    [sym_operator_assignment] = STATE(3320),
    [sym_conditional] = STATE(3320),
    [sym_range] = STATE(3320),
    [sym_binary] = STATE(3320),
    [sym_unary] = STATE(3320),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3326),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3323),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5126),
    [sym__splat_star] = ACTIONS(5128),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5132),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5150),
    [sym_identifier] = ACTIONS(5150),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1239] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3320),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(3322),
    [sym__argument] = STATE(3323),
    [sym_splat_argument] = STATE(3323),
    [sym_hash_splat_argument] = STATE(3323),
    [sym_block_argument] = STATE(3323),
    [sym_assignment] = STATE(3320),
    [sym_operator_assignment] = STATE(3320),
    [sym_conditional] = STATE(3320),
    [sym_range] = STATE(3320),
    [sym_binary] = STATE(3320),
    [sym_unary] = STATE(3320),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3326),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3323),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5126),
    [sym__splat_star] = ACTIONS(5128),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5132),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5150),
    [sym_identifier] = ACTIONS(5150),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1240] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3327),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(3327),
    [sym_operator_assignment] = STATE(3327),
    [sym_conditional] = STATE(3327),
    [sym_range] = STATE(3327),
    [sym_binary] = STATE(3327),
    [sym_unary] = STATE(3327),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1241] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3328),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(3328),
    [sym_operator_assignment] = STATE(3328),
    [sym_conditional] = STATE(3328),
    [sym_range] = STATE(3328),
    [sym_binary] = STATE(3328),
    [sym_unary] = STATE(3328),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1242] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1243] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(3329),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [1244] = {
    [anon_sym_end] = ACTIONS(5156),
    [anon_sym_ensure] = ACTIONS(5156),
    [sym_comment] = ACTIONS(87),
  },
  [1245] = {
    [sym_heredoc_body] = STATE(3330),
    [sym__terminator] = STATE(3330),
    [aux_sym__statements_repeat1] = STATE(3331),
    [sym__line_break] = ACTIONS(5158),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(5158),
    [anon_sym_end] = ACTIONS(687),
    [anon_sym_ensure] = ACTIONS(687),
    [sym_comment] = ACTIONS(87),
  },
  [1246] = {
    [sym__line_break] = ACTIONS(689),
    [sym__heredoc_body_start] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_end] = ACTIONS(689),
    [anon_sym_if] = ACTIONS(5160),
    [anon_sym_unless] = ACTIONS(5162),
    [anon_sym_while] = ACTIONS(5164),
    [anon_sym_until] = ACTIONS(5166),
    [anon_sym_rescue] = ACTIONS(5168),
    [anon_sym_ensure] = ACTIONS(689),
    [sym_comment] = ACTIONS(87),
  },
  [1247] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(701),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_ensure] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_DOT_DOT] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [1248] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3362),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(3364),
    [sym__argument] = STATE(3365),
    [sym_splat_argument] = STATE(3365),
    [sym_hash_splat_argument] = STATE(3365),
    [sym_block_argument] = STATE(3365),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(3362),
    [sym_operator_assignment] = STATE(3362),
    [sym_conditional] = STATE(3362),
    [sym_range] = STATE(3362),
    [sym_binary] = STATE(3362),
    [sym_unary] = STATE(3362),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3368),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3365),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(5202),
    [sym__splat_star] = ACTIONS(5204),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5208),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(775),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5226),
    [sym_identifier] = ACTIONS(5226),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1249] = {
    [anon_sym_EQ] = ACTIONS(5232),
    [sym_comment] = ACTIONS(87),
  },
  [1250] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(5234),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(5236),
    [anon_sym_DASH_EQ] = ACTIONS(5236),
    [anon_sym_STAR_EQ] = ACTIONS(5236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5236),
    [anon_sym_SLASH_EQ] = ACTIONS(5236),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5236),
    [anon_sym_PIPE_EQ] = ACTIONS(5236),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5236),
    [anon_sym_AMP_EQ] = ACTIONS(5236),
    [anon_sym_PERCENT_EQ] = ACTIONS(5236),
    [anon_sym_GT_GT_EQ] = ACTIONS(5236),
    [anon_sym_LT_LT_EQ] = ACTIONS(5236),
    [anon_sym_CARET_EQ] = ACTIONS(5236),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1251] = {
    [sym_string] = STATE(3371),
    [aux_sym_chained_string_repeat1] = STATE(3371),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1252] = {
    [sym__statements] = STATE(3372),
    [sym__top_level_statement] = STATE(1245),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1246),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1247),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(1247),
    [sym_operator_assignment] = STATE(1247),
    [sym_conditional] = STATE(1247),
    [sym_range] = STATE(1247),
    [sym_binary] = STATE(1247),
    [sym_unary] = STATE(1247),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5238),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(5238),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [anon_sym_undef] = ACTIONS(2157),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1253] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3373),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(3373),
    [sym_operator_assignment] = STATE(3373),
    [sym_conditional] = STATE(3373),
    [sym_range] = STATE(3373),
    [sym_binary] = STATE(3373),
    [sym_unary] = STATE(3373),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1254] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3387),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(3389),
    [sym__argument] = STATE(3390),
    [sym_splat_argument] = STATE(3390),
    [sym_hash_splat_argument] = STATE(3390),
    [sym_block_argument] = STATE(3390),
    [sym_assignment] = STATE(3387),
    [sym_operator_assignment] = STATE(3387),
    [sym_conditional] = STATE(3387),
    [sym_range] = STATE(3387),
    [sym_binary] = STATE(3387),
    [sym_unary] = STATE(3387),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3393),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3390),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5240),
    [sym__splat_star] = ACTIONS(5242),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5264),
    [sym_identifier] = ACTIONS(5264),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1255] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3387),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(3389),
    [sym__argument] = STATE(3390),
    [sym_splat_argument] = STATE(3390),
    [sym_hash_splat_argument] = STATE(3390),
    [sym_block_argument] = STATE(3390),
    [sym_assignment] = STATE(3387),
    [sym_operator_assignment] = STATE(3387),
    [sym_conditional] = STATE(3387),
    [sym_range] = STATE(3387),
    [sym_binary] = STATE(3387),
    [sym_unary] = STATE(3387),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3393),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3390),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5240),
    [sym__splat_star] = ACTIONS(5242),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5264),
    [sym_identifier] = ACTIONS(5264),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1256] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3387),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(3389),
    [sym__argument] = STATE(3390),
    [sym_splat_argument] = STATE(3390),
    [sym_hash_splat_argument] = STATE(3390),
    [sym_block_argument] = STATE(3390),
    [sym_assignment] = STATE(3387),
    [sym_operator_assignment] = STATE(3387),
    [sym_conditional] = STATE(3387),
    [sym_range] = STATE(3387),
    [sym_binary] = STATE(3387),
    [sym_unary] = STATE(3387),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3393),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3390),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5240),
    [sym__splat_star] = ACTIONS(5242),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5264),
    [sym_identifier] = ACTIONS(5264),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1257] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3387),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(3389),
    [sym__argument] = STATE(3390),
    [sym_splat_argument] = STATE(3390),
    [sym_hash_splat_argument] = STATE(3390),
    [sym_block_argument] = STATE(3390),
    [sym_assignment] = STATE(3387),
    [sym_operator_assignment] = STATE(3387),
    [sym_conditional] = STATE(3387),
    [sym_range] = STATE(3387),
    [sym_binary] = STATE(3387),
    [sym_unary] = STATE(3387),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3393),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3390),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5240),
    [sym__splat_star] = ACTIONS(5242),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5264),
    [sym_identifier] = ACTIONS(5264),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1258] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3394),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(3394),
    [sym_operator_assignment] = STATE(3394),
    [sym_conditional] = STATE(3394),
    [sym_range] = STATE(3394),
    [sym_binary] = STATE(3394),
    [sym_unary] = STATE(3394),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1259] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3395),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(3395),
    [sym_operator_assignment] = STATE(3395),
    [sym_conditional] = STATE(3395),
    [sym_range] = STATE(3395),
    [sym_binary] = STATE(3395),
    [sym_unary] = STATE(3395),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1260] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1261] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(3396),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [1262] = {
    [anon_sym_end] = ACTIONS(5270),
    [sym_comment] = ACTIONS(87),
  },
  [1263] = {
    [sym_heredoc_body] = STATE(3397),
    [sym__terminator] = STATE(3397),
    [aux_sym__statements_repeat1] = STATE(3398),
    [sym__line_break] = ACTIONS(5272),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(5272),
    [anon_sym_end] = ACTIONS(687),
    [sym_comment] = ACTIONS(87),
  },
  [1264] = {
    [sym__line_break] = ACTIONS(689),
    [sym__heredoc_body_start] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_end] = ACTIONS(689),
    [anon_sym_if] = ACTIONS(5274),
    [anon_sym_unless] = ACTIONS(5276),
    [anon_sym_while] = ACTIONS(5278),
    [anon_sym_until] = ACTIONS(5280),
    [anon_sym_rescue] = ACTIONS(5282),
    [sym_comment] = ACTIONS(87),
  },
  [1265] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(701),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_DOT_DOT] = ACTIONS(5298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(5302),
    [anon_sym_or] = ACTIONS(5302),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [1266] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3429),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(3431),
    [sym__argument] = STATE(3432),
    [sym_splat_argument] = STATE(3432),
    [sym_hash_splat_argument] = STATE(3432),
    [sym_block_argument] = STATE(3432),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(3429),
    [sym_operator_assignment] = STATE(3429),
    [sym_conditional] = STATE(3429),
    [sym_range] = STATE(3429),
    [sym_binary] = STATE(3429),
    [sym_unary] = STATE(3429),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3435),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3432),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(5316),
    [sym__splat_star] = ACTIONS(5318),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5340),
    [sym_identifier] = ACTIONS(5340),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1267] = {
    [anon_sym_EQ] = ACTIONS(5346),
    [sym_comment] = ACTIONS(87),
  },
  [1268] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(5348),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(5350),
    [anon_sym_DASH_EQ] = ACTIONS(5350),
    [anon_sym_STAR_EQ] = ACTIONS(5350),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5350),
    [anon_sym_SLASH_EQ] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5350),
    [anon_sym_PIPE_EQ] = ACTIONS(5350),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5350),
    [anon_sym_AMP_EQ] = ACTIONS(5350),
    [anon_sym_PERCENT_EQ] = ACTIONS(5350),
    [anon_sym_GT_GT_EQ] = ACTIONS(5350),
    [anon_sym_LT_LT_EQ] = ACTIONS(5350),
    [anon_sym_CARET_EQ] = ACTIONS(5350),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1269] = {
    [sym_string] = STATE(3438),
    [aux_sym_chained_string_repeat1] = STATE(3438),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1270] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [1271] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2221),
    [anon_sym_DOT_DOT] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [1272] = {
    [aux_sym_undef_repeat1] = STATE(3439),
    [sym__line_break] = ACTIONS(2283),
    [sym__heredoc_body_start] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_end] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_unless] = ACTIONS(2283),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_until] = ACTIONS(2283),
    [anon_sym_rescue] = ACTIONS(2283),
    [anon_sym_else] = ACTIONS(2283),
    [anon_sym_ensure] = ACTIONS(2283),
    [sym_comment] = ACTIONS(87),
  },
  [1273] = {
    [sym__line_break] = ACTIONS(5352),
    [sym__heredoc_body_start] = ACTIONS(5352),
    [sym__element_reference_left_bracket] = ACTIONS(5352),
    [sym__infix_scope_colons] = ACTIONS(5352),
    [sym__binary_minus] = ACTIONS(5352),
    [sym__binary_star] = ACTIONS(5352),
    [ts_builtin_sym_end] = ACTIONS(5352),
    [anon_sym___END__] = ACTIONS(5352),
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_STAR_STAR] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_end] = ACTIONS(5352),
    [anon_sym_if] = ACTIONS(5352),
    [anon_sym_unless] = ACTIONS(5352),
    [anon_sym_while] = ACTIONS(5352),
    [anon_sym_until] = ACTIONS(5352),
    [anon_sym_rescue] = ACTIONS(5352),
    [anon_sym_do] = ACTIONS(5352),
    [anon_sym_when] = ACTIONS(5352),
    [anon_sym_elsif] = ACTIONS(5352),
    [anon_sym_else] = ACTIONS(5352),
    [anon_sym_then] = ACTIONS(5352),
    [anon_sym_ensure] = ACTIONS(5352),
    [anon_sym_EQ_GT] = ACTIONS(5352),
    [anon_sym_AMP_DOT] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_DOT_DOT] = ACTIONS(5354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_and] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5352),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_EQ_TILDE] = ACTIONS(5352),
    [anon_sym_BANG_TILDE] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5352),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5352),
    [sym_comment] = ACTIONS(87),
  },
  [1274] = {
    [sym_ensure] = STATE(3441),
    [anon_sym_end] = ACTIONS(5356),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [1275] = {
    [anon_sym_end] = ACTIONS(5356),
    [sym_comment] = ACTIONS(87),
  },
  [1276] = {
    [sym_else] = STATE(3442),
    [sym_ensure] = STATE(3441),
    [anon_sym_end] = ACTIONS(5356),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [1277] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2529),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(2529),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(2529),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(2529),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1278] = {
    [sym_heredoc_body] = STATE(3443),
    [sym__terminator] = STATE(3443),
    [aux_sym__statements_repeat1] = STATE(3444),
    [sym__line_break] = ACTIONS(5358),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(5358),
    [anon_sym_end] = ACTIONS(2527),
    [anon_sym_rescue] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2527),
    [anon_sym_ensure] = ACTIONS(2527),
    [sym_comment] = ACTIONS(87),
  },
  [1279] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3445),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3445),
    [sym_operator_assignment] = STATE(3445),
    [sym_conditional] = STATE(3445),
    [sym_range] = STATE(3445),
    [sym_binary] = STATE(3445),
    [sym_unary] = STATE(3445),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1280] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3446),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3446),
    [sym_operator_assignment] = STATE(3446),
    [sym_conditional] = STATE(3446),
    [sym_range] = STATE(3446),
    [sym_binary] = STATE(3446),
    [sym_unary] = STATE(3446),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1281] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3447),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3447),
    [sym_operator_assignment] = STATE(3447),
    [sym_conditional] = STATE(3447),
    [sym_range] = STATE(3447),
    [sym_binary] = STATE(3447),
    [sym_unary] = STATE(3447),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1282] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3448),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3448),
    [sym_operator_assignment] = STATE(3448),
    [sym_conditional] = STATE(3448),
    [sym_range] = STATE(3448),
    [sym_binary] = STATE(3448),
    [sym_unary] = STATE(3448),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1283] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3449),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3449),
    [sym_operator_assignment] = STATE(3449),
    [sym_conditional] = STATE(3449),
    [sym_range] = STATE(3449),
    [sym_binary] = STATE(3449),
    [sym_unary] = STATE(3449),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1284] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3450),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3450),
    [sym_operator_assignment] = STATE(3450),
    [sym_conditional] = STATE(3450),
    [sym_range] = STATE(3450),
    [sym_binary] = STATE(3450),
    [sym_unary] = STATE(3450),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1285] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3451),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3451),
    [sym_operator_assignment] = STATE(3451),
    [sym_conditional] = STATE(3451),
    [sym_range] = STATE(3451),
    [sym_binary] = STATE(3451),
    [sym_unary] = STATE(3451),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1286] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3452),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3452),
    [sym_operator_assignment] = STATE(3452),
    [sym_conditional] = STATE(3452),
    [sym_range] = STATE(3452),
    [sym_binary] = STATE(3452),
    [sym_unary] = STATE(3452),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1287] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3453),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3453),
    [sym_operator_assignment] = STATE(3453),
    [sym_conditional] = STATE(3453),
    [sym_range] = STATE(3453),
    [sym_binary] = STATE(3453),
    [sym_unary] = STATE(3453),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1288] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3454),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3454),
    [sym_operator_assignment] = STATE(3454),
    [sym_conditional] = STATE(3454),
    [sym_range] = STATE(3454),
    [sym_binary] = STATE(3454),
    [sym_unary] = STATE(3454),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1289] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3455),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3455),
    [sym_operator_assignment] = STATE(3455),
    [sym_conditional] = STATE(3455),
    [sym_range] = STATE(3455),
    [sym_binary] = STATE(3455),
    [sym_unary] = STATE(3455),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1290] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(3456),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(3456),
    [sym_operator_assignment] = STATE(3456),
    [sym_conditional] = STATE(3456),
    [sym_range] = STATE(3456),
    [sym_binary] = STATE(3456),
    [sym_unary] = STATE(3456),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1291] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3457),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3457),
    [sym_operator_assignment] = STATE(3457),
    [sym_conditional] = STATE(3457),
    [sym_range] = STATE(3457),
    [sym_binary] = STATE(3457),
    [sym_unary] = STATE(3457),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1292] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3458),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3458),
    [sym_operator_assignment] = STATE(3458),
    [sym_conditional] = STATE(3458),
    [sym_range] = STATE(3458),
    [sym_binary] = STATE(3458),
    [sym_unary] = STATE(3458),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1293] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3459),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3459),
    [sym_operator_assignment] = STATE(3459),
    [sym_conditional] = STATE(3459),
    [sym_range] = STATE(3459),
    [sym_binary] = STATE(3459),
    [sym_unary] = STATE(3459),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1294] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3460),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3460),
    [sym_operator_assignment] = STATE(3460),
    [sym_conditional] = STATE(3460),
    [sym_range] = STATE(3460),
    [sym_binary] = STATE(3460),
    [sym_unary] = STATE(3460),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1295] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3461),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3461),
    [sym_operator_assignment] = STATE(3461),
    [sym_conditional] = STATE(3461),
    [sym_range] = STATE(3461),
    [sym_binary] = STATE(3461),
    [sym_unary] = STATE(3461),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1296] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3470),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(3470),
    [sym_operator_assignment] = STATE(3470),
    [sym_conditional] = STATE(3470),
    [sym_range] = STATE(3470),
    [sym_binary] = STATE(3470),
    [sym_unary] = STATE(3470),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1297] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3475),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(3475),
    [sym_operator_assignment] = STATE(3475),
    [sym_conditional] = STATE(3475),
    [sym_range] = STATE(3475),
    [sym_binary] = STATE(3475),
    [sym_unary] = STATE(3475),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1298] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3476),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(3476),
    [sym_operator_assignment] = STATE(3476),
    [sym_conditional] = STATE(3476),
    [sym_range] = STATE(3476),
    [sym_binary] = STATE(3476),
    [sym_unary] = STATE(3476),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1299] = {
    [sym__keyword_colon] = ACTIONS(5384),
    [sym_comment] = ACTIONS(87),
  },
  [1300] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3479),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(3479),
    [sym_operator_assignment] = STATE(3479),
    [sym_conditional] = STATE(3479),
    [sym_range] = STATE(3479),
    [sym_binary] = STATE(3479),
    [sym_unary] = STATE(3479),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1301] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3229),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(3230),
    [sym__argument] = STATE(3231),
    [sym_splat_argument] = STATE(3231),
    [sym_hash_splat_argument] = STATE(3231),
    [sym_block_argument] = STATE(3231),
    [sym_assignment] = STATE(3229),
    [sym_operator_assignment] = STATE(3229),
    [sym_conditional] = STATE(3229),
    [sym_range] = STATE(3229),
    [sym_binary] = STATE(3229),
    [sym_unary] = STATE(3229),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3232),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3231),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4996),
    [sym__splat_star] = ACTIONS(4998),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5000),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(379),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(5002),
    [sym_identifier] = ACTIONS(5002),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1302] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3229),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(3230),
    [sym__argument] = STATE(3231),
    [sym_splat_argument] = STATE(3231),
    [sym_hash_splat_argument] = STATE(3231),
    [sym_block_argument] = STATE(3231),
    [sym_assignment] = STATE(3229),
    [sym_operator_assignment] = STATE(3229),
    [sym_conditional] = STATE(3229),
    [sym_range] = STATE(3229),
    [sym_binary] = STATE(3229),
    [sym_unary] = STATE(3229),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3232),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3231),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4996),
    [sym__splat_star] = ACTIONS(4998),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5000),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(415),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(5002),
    [sym_identifier] = ACTIONS(5002),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1303] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3229),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(3230),
    [sym__argument] = STATE(3231),
    [sym_splat_argument] = STATE(3231),
    [sym_hash_splat_argument] = STATE(3231),
    [sym_block_argument] = STATE(3231),
    [sym_assignment] = STATE(3229),
    [sym_operator_assignment] = STATE(3229),
    [sym_conditional] = STATE(3229),
    [sym_range] = STATE(3229),
    [sym_binary] = STATE(3229),
    [sym_unary] = STATE(3229),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3232),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3231),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4996),
    [sym__splat_star] = ACTIONS(4998),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5000),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(419),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(5002),
    [sym_identifier] = ACTIONS(5002),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1304] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3229),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(3230),
    [sym__argument] = STATE(3231),
    [sym_splat_argument] = STATE(3231),
    [sym_hash_splat_argument] = STATE(3231),
    [sym_block_argument] = STATE(3231),
    [sym_assignment] = STATE(3229),
    [sym_operator_assignment] = STATE(3229),
    [sym_conditional] = STATE(3229),
    [sym_range] = STATE(3229),
    [sym_binary] = STATE(3229),
    [sym_unary] = STATE(3229),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3232),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3231),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4996),
    [sym__splat_star] = ACTIONS(4998),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5000),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(423),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(5002),
    [sym_identifier] = ACTIONS(5002),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1305] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3480),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(3480),
    [sym_operator_assignment] = STATE(3480),
    [sym_conditional] = STATE(3480),
    [sym_range] = STATE(3480),
    [sym_binary] = STATE(3480),
    [sym_unary] = STATE(3480),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1306] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3481),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(3481),
    [sym_operator_assignment] = STATE(3481),
    [sym_conditional] = STATE(3481),
    [sym_range] = STATE(3481),
    [sym_binary] = STATE(3481),
    [sym_unary] = STATE(3481),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1307] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1308] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(5384),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_ensure] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1309] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_ensure] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(5398),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [1310] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3229),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(3230),
    [sym__argument] = STATE(3231),
    [sym_splat_argument] = STATE(3231),
    [sym_hash_splat_argument] = STATE(3231),
    [sym_block_argument] = STATE(3231),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(3229),
    [sym_operator_assignment] = STATE(3229),
    [sym_conditional] = STATE(3229),
    [sym_range] = STATE(3229),
    [sym_binary] = STATE(3229),
    [sym_unary] = STATE(3229),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3232),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3231),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(4996),
    [sym__splat_star] = ACTIONS(4998),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5000),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(775),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(5002),
    [sym_identifier] = ACTIONS(5002),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1311] = {
    [sym_heredoc_body] = STATE(3495),
    [aux_sym_call_repeat1] = STATE(3495),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1312] = {
    [sym_heredoc_body] = STATE(3495),
    [aux_sym_call_repeat1] = STATE(3495),
    [aux_sym_argument_list_repeat1] = STATE(3497),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(5416),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1313] = {
    [anon_sym_EQ] = ACTIONS(5418),
    [sym_comment] = ACTIONS(87),
  },
  [1314] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(5420),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(5422),
    [anon_sym_DASH_EQ] = ACTIONS(5422),
    [anon_sym_STAR_EQ] = ACTIONS(5422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5422),
    [anon_sym_SLASH_EQ] = ACTIONS(5422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5422),
    [anon_sym_PIPE_EQ] = ACTIONS(5422),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5422),
    [anon_sym_AMP_EQ] = ACTIONS(5422),
    [anon_sym_PERCENT_EQ] = ACTIONS(5422),
    [anon_sym_GT_GT_EQ] = ACTIONS(5422),
    [anon_sym_LT_LT_EQ] = ACTIONS(5422),
    [anon_sym_CARET_EQ] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1315] = {
    [sym_string] = STATE(3501),
    [aux_sym_chained_string_repeat1] = STATE(3501),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(5424),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1316] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3507),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_splat_argument] = STATE(3508),
    [sym_assignment] = STATE(3507),
    [sym_operator_assignment] = STATE(3507),
    [sym_conditional] = STATE(3507),
    [sym_range] = STATE(3507),
    [sym_binary] = STATE(3507),
    [sym_unary] = STATE(3507),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(3508),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(5426),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1317] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3511),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(3511),
    [sym_operator_assignment] = STATE(3511),
    [sym_conditional] = STATE(3511),
    [sym_range] = STATE(3511),
    [sym_binary] = STATE(3511),
    [sym_unary] = STATE(3511),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1318] = {
    [sym_string] = STATE(3512),
    [aux_sym_chained_string_repeat1] = STATE(3512),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_ensure] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [1319] = {
    [sym__line_break] = ACTIONS(5438),
    [sym__heredoc_body_start] = ACTIONS(5438),
    [sym__element_reference_left_bracket] = ACTIONS(5438),
    [sym__infix_scope_colons] = ACTIONS(5438),
    [sym__binary_minus] = ACTIONS(5438),
    [sym__binary_star] = ACTIONS(5438),
    [ts_builtin_sym_end] = ACTIONS(5438),
    [anon_sym___END__] = ACTIONS(5438),
    [anon_sym_LBRACE] = ACTIONS(5438),
    [anon_sym_RBRACE] = ACTIONS(5438),
    [anon_sym_RPAREN] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5438),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym_STAR_STAR] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_end] = ACTIONS(5438),
    [anon_sym_if] = ACTIONS(5438),
    [anon_sym_unless] = ACTIONS(5438),
    [anon_sym_while] = ACTIONS(5438),
    [anon_sym_until] = ACTIONS(5438),
    [anon_sym_rescue] = ACTIONS(5438),
    [anon_sym_do] = ACTIONS(5438),
    [anon_sym_when] = ACTIONS(5438),
    [anon_sym_elsif] = ACTIONS(5438),
    [anon_sym_else] = ACTIONS(5438),
    [anon_sym_then] = ACTIONS(5438),
    [anon_sym_ensure] = ACTIONS(5438),
    [anon_sym_EQ_GT] = ACTIONS(5438),
    [anon_sym_AMP_DOT] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5438),
    [anon_sym_DOT_DOT] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5438),
    [anon_sym_EQ_TILDE] = ACTIONS(5438),
    [anon_sym_BANG_TILDE] = ACTIONS(5438),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [sym_comment] = ACTIONS(87),
  },
  [1320] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(3513),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [1321] = {
    [aux_sym_undef_repeat1] = STATE(3514),
    [sym__line_break] = ACTIONS(5442),
    [sym__heredoc_body_start] = ACTIONS(5442),
    [ts_builtin_sym_end] = ACTIONS(5442),
    [anon_sym___END__] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym_if] = ACTIONS(5442),
    [anon_sym_unless] = ACTIONS(5442),
    [anon_sym_while] = ACTIONS(5442),
    [anon_sym_until] = ACTIONS(5442),
    [anon_sym_rescue] = ACTIONS(5442),
    [sym_comment] = ACTIONS(87),
  },
  [1322] = {
    [sym__simple_symbol] = ACTIONS(891),
    [sym__symbol_start] = ACTIONS(891),
    [anon_sym_PIPE] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_STAR_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ_GT] = ACTIONS(891),
    [anon_sym_EQ_TILDE] = ACTIONS(891),
    [anon_sym_BANG_TILDE] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(891),
    [anon_sym_PERCENT] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(891),
    [sym_constant] = ACTIONS(891),
    [sym_identifier] = ACTIONS(891),
    [sym_instance_variable] = ACTIONS(891),
    [sym_class_variable] = ACTIONS(891),
    [sym_global_variable] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS_AT] = ACTIONS(891),
    [anon_sym_DASH_AT] = ACTIONS(891),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(893),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(891),
    [anon_sym_BQUOTE] = ACTIONS(891),
    [sym_comment] = ACTIONS(87),
  },
  [1323] = {
    [sym__string_end] = ACTIONS(5444),
    [sym_comment] = ACTIONS(87),
  },
  [1324] = {
    [sym__simple_symbol] = ACTIONS(3584),
    [sym__symbol_start] = ACTIONS(3584),
    [anon_sym_PIPE] = ACTIONS(3584),
    [anon_sym_STAR] = ACTIONS(3586),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_AMP] = ACTIONS(3584),
    [anon_sym_LT] = ACTIONS(3586),
    [anon_sym_DOT_DOT] = ACTIONS(3584),
    [anon_sym_LT_LT] = ACTIONS(3584),
    [anon_sym_GT_GT] = ACTIONS(3584),
    [anon_sym_EQ_EQ] = ACTIONS(3586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3584),
    [anon_sym_LT_EQ_GT] = ACTIONS(3584),
    [anon_sym_EQ_TILDE] = ACTIONS(3584),
    [anon_sym_BANG_TILDE] = ACTIONS(3584),
    [anon_sym_LT_EQ] = ACTIONS(3586),
    [anon_sym_GT] = ACTIONS(3586),
    [anon_sym_GT_EQ] = ACTIONS(3584),
    [anon_sym_CARET] = ACTIONS(3584),
    [anon_sym_PLUS] = ACTIONS(3586),
    [anon_sym_SLASH] = ACTIONS(3584),
    [anon_sym_PERCENT] = ACTIONS(3584),
    [anon_sym_BANG] = ACTIONS(3586),
    [anon_sym_TILDE] = ACTIONS(3584),
    [sym_constant] = ACTIONS(3584),
    [sym_identifier] = ACTIONS(3584),
    [sym_instance_variable] = ACTIONS(3584),
    [sym_class_variable] = ACTIONS(3584),
    [sym_global_variable] = ACTIONS(3584),
    [anon_sym_DASH] = ACTIONS(3586),
    [anon_sym_PLUS_AT] = ACTIONS(3584),
    [anon_sym_DASH_AT] = ACTIONS(3584),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3586),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(3584),
    [anon_sym_BQUOTE] = ACTIONS(3584),
    [sym_comment] = ACTIONS(87),
  },
  [1325] = {
    [sym__line_break] = ACTIONS(5446),
    [sym__heredoc_body_start] = ACTIONS(5446),
    [ts_builtin_sym_end] = ACTIONS(5446),
    [anon_sym___END__] = ACTIONS(5446),
    [anon_sym_RBRACE] = ACTIONS(5446),
    [anon_sym_RPAREN] = ACTIONS(5446),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym_end] = ACTIONS(5446),
    [anon_sym_if] = ACTIONS(5446),
    [anon_sym_unless] = ACTIONS(5446),
    [anon_sym_while] = ACTIONS(5446),
    [anon_sym_until] = ACTIONS(5446),
    [anon_sym_rescue] = ACTIONS(5446),
    [anon_sym_when] = ACTIONS(5446),
    [anon_sym_elsif] = ACTIONS(5446),
    [anon_sym_else] = ACTIONS(5446),
    [anon_sym_then] = ACTIONS(5446),
    [anon_sym_ensure] = ACTIONS(5446),
    [sym_comment] = ACTIONS(87),
  },
  [1326] = {
    [sym__string_start] = ACTIONS(839),
    [sym__heredoc_body_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__keyword_colon] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(839),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_unless] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(839),
    [anon_sym_until] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(839),
    [anon_sym_in] = ACTIONS(839),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [anon_sym_RBRACK] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(839),
    [anon_sym_AMP_AMP] = ACTIONS(839),
    [anon_sym_LT_LT] = ACTIONS(839),
    [anon_sym_GT_GT] = ACTIONS(839),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_SLASH] = ACTIONS(839),
    [anon_sym_PERCENT] = ACTIONS(839),
    [sym_comment] = ACTIONS(87),
  },
  [1327] = {
    [sym__string_end] = ACTIONS(5448),
    [sym_comment] = ACTIONS(87),
  },
  [1328] = {
    [sym__heredoc_body_start] = ACTIONS(891),
    [sym__element_reference_left_bracket] = ACTIONS(891),
    [sym__infix_scope_colons] = ACTIONS(891),
    [sym__binary_minus] = ACTIONS(891),
    [sym__binary_star] = ACTIONS(891),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_STAR_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_unless] = ACTIONS(891),
    [anon_sym_while] = ACTIONS(891),
    [anon_sym_until] = ACTIONS(891),
    [anon_sym_rescue] = ACTIONS(891),
    [anon_sym_in] = ACTIONS(891),
    [anon_sym_do] = ACTIONS(891),
    [anon_sym_EQ_GT] = ACTIONS(891),
    [anon_sym_RBRACK] = ACTIONS(891),
    [anon_sym_AMP_DOT] = ACTIONS(891),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_COLON] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(891),
    [anon_sym_and] = ACTIONS(891),
    [anon_sym_or] = ACTIONS(891),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ_GT] = ACTIONS(891),
    [anon_sym_EQ_TILDE] = ACTIONS(891),
    [anon_sym_BANG_TILDE] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(891),
    [anon_sym_PERCENT] = ACTIONS(891),
    [sym_comment] = ACTIONS(87),
  },
  [1329] = {
    [sym__string_end] = ACTIONS(5450),
    [sym_comment] = ACTIONS(87),
  },
  [1330] = {
    [sym__heredoc_body_start] = ACTIONS(897),
    [sym__element_reference_left_bracket] = ACTIONS(897),
    [sym__infix_scope_colons] = ACTIONS(897),
    [sym__binary_minus] = ACTIONS(897),
    [sym__binary_star] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(899),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_STAR_STAR] = ACTIONS(897),
    [anon_sym_AMP] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_unless] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_until] = ACTIONS(897),
    [anon_sym_rescue] = ACTIONS(897),
    [anon_sym_in] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_EQ_GT] = ACTIONS(897),
    [anon_sym_RBRACK] = ACTIONS(897),
    [anon_sym_AMP_DOT] = ACTIONS(897),
    [anon_sym_QMARK] = ACTIONS(897),
    [anon_sym_COLON] = ACTIONS(897),
    [anon_sym_DOT_DOT] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(897),
    [anon_sym_and] = ACTIONS(897),
    [anon_sym_or] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(897),
    [anon_sym_AMP_AMP] = ACTIONS(897),
    [anon_sym_LT_LT] = ACTIONS(897),
    [anon_sym_GT_GT] = ACTIONS(897),
    [anon_sym_EQ_EQ] = ACTIONS(899),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_EQ_TILDE] = ACTIONS(897),
    [anon_sym_BANG_TILDE] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(897),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_SLASH] = ACTIONS(897),
    [anon_sym_PERCENT] = ACTIONS(897),
    [sym_comment] = ACTIONS(87),
  },
  [1331] = {
    [sym__string_end] = ACTIONS(5452),
    [sym_comment] = ACTIONS(87),
  },
  [1332] = {
    [sym__heredoc_body_start] = ACTIONS(903),
    [sym__element_reference_left_bracket] = ACTIONS(903),
    [sym__infix_scope_colons] = ACTIONS(903),
    [sym__binary_minus] = ACTIONS(903),
    [sym__binary_star] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(903),
    [anon_sym_PIPE] = ACTIONS(905),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_STAR_STAR] = ACTIONS(903),
    [anon_sym_AMP] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(905),
    [anon_sym_LT] = ACTIONS(905),
    [anon_sym_if] = ACTIONS(903),
    [anon_sym_unless] = ACTIONS(903),
    [anon_sym_while] = ACTIONS(903),
    [anon_sym_until] = ACTIONS(903),
    [anon_sym_rescue] = ACTIONS(903),
    [anon_sym_in] = ACTIONS(903),
    [anon_sym_do] = ACTIONS(903),
    [anon_sym_EQ_GT] = ACTIONS(903),
    [anon_sym_RBRACK] = ACTIONS(903),
    [anon_sym_AMP_DOT] = ACTIONS(903),
    [anon_sym_QMARK] = ACTIONS(903),
    [anon_sym_COLON] = ACTIONS(903),
    [anon_sym_DOT_DOT] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(903),
    [anon_sym_and] = ACTIONS(903),
    [anon_sym_or] = ACTIONS(903),
    [anon_sym_PIPE_PIPE] = ACTIONS(903),
    [anon_sym_AMP_AMP] = ACTIONS(903),
    [anon_sym_LT_LT] = ACTIONS(903),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_EQ_EQ] = ACTIONS(905),
    [anon_sym_BANG_EQ] = ACTIONS(903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(903),
    [anon_sym_LT_EQ_GT] = ACTIONS(903),
    [anon_sym_EQ_TILDE] = ACTIONS(903),
    [anon_sym_BANG_TILDE] = ACTIONS(903),
    [anon_sym_LT_EQ] = ACTIONS(905),
    [anon_sym_GT] = ACTIONS(905),
    [anon_sym_GT_EQ] = ACTIONS(903),
    [anon_sym_CARET] = ACTIONS(903),
    [anon_sym_PLUS] = ACTIONS(903),
    [anon_sym_SLASH] = ACTIONS(903),
    [anon_sym_PERCENT] = ACTIONS(903),
    [sym_comment] = ACTIONS(87),
  },
  [1333] = {
    [sym__string_end] = ACTIONS(5454),
    [sym_comment] = ACTIONS(87),
  },
  [1334] = {
    [sym__heredoc_body_start] = ACTIONS(909),
    [sym__element_reference_left_bracket] = ACTIONS(909),
    [sym__infix_scope_colons] = ACTIONS(909),
    [sym__binary_minus] = ACTIONS(909),
    [sym__binary_star] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_unless] = ACTIONS(909),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_until] = ACTIONS(909),
    [anon_sym_rescue] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_EQ_GT] = ACTIONS(909),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_AMP_DOT] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_and] = ACTIONS(909),
    [anon_sym_or] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(911),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ_GT] = ACTIONS(909),
    [anon_sym_EQ_TILDE] = ACTIONS(909),
    [anon_sym_BANG_TILDE] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [sym_comment] = ACTIONS(87),
  },
  [1335] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(3522),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(5456),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(5458),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [1336] = {
    [aux_sym_string_array_repeat1] = STATE(3525),
    [sym__string_end] = ACTIONS(5460),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(5462),
  },
  [1337] = {
    [sym__heredoc_body_start] = ACTIONS(927),
    [sym__element_reference_left_bracket] = ACTIONS(927),
    [sym__infix_scope_colons] = ACTIONS(927),
    [sym__binary_minus] = ACTIONS(927),
    [sym__binary_star] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_RPAREN] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym_STAR_STAR] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_EQ] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_unless] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(927),
    [anon_sym_until] = ACTIONS(927),
    [anon_sym_rescue] = ACTIONS(927),
    [anon_sym_in] = ACTIONS(927),
    [anon_sym_do] = ACTIONS(927),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_RBRACK] = ACTIONS(927),
    [anon_sym_AMP_DOT] = ACTIONS(927),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_COLON] = ACTIONS(927),
    [anon_sym_DOT_DOT] = ACTIONS(929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(927),
    [anon_sym_and] = ACTIONS(927),
    [anon_sym_or] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(927),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(927),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(927),
    [anon_sym_LT_EQ_GT] = ACTIONS(927),
    [anon_sym_EQ_TILDE] = ACTIONS(927),
    [anon_sym_BANG_TILDE] = ACTIONS(927),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(927),
    [anon_sym_CARET] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [sym_comment] = ACTIONS(87),
  },
  [1338] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(3528),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(5464),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(5466),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [1339] = {
    [aux_sym_symbol_array_repeat1] = STATE(3531),
    [sym__string_end] = ACTIONS(5468),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(5470),
  },
  [1340] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(3532),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(3532),
    [sym_operator_assignment] = STATE(3532),
    [sym_conditional] = STATE(3532),
    [sym_range] = STATE(3532),
    [sym_binary] = STATE(3532),
    [sym_unary] = STATE(3532),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1341] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3538),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(3539),
    [sym__argument] = STATE(3540),
    [sym_splat_argument] = STATE(3540),
    [sym_hash_splat_argument] = STATE(3540),
    [sym_block_argument] = STATE(3540),
    [sym_assignment] = STATE(3538),
    [sym_operator_assignment] = STATE(3538),
    [sym_conditional] = STATE(3538),
    [sym_range] = STATE(3538),
    [sym_binary] = STATE(3538),
    [sym_unary] = STATE(3538),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3541),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3540),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5472),
    [sym__splat_star] = ACTIONS(5474),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(5478),
    [sym_identifier] = ACTIONS(5478),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1342] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3538),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(3539),
    [sym__argument] = STATE(3540),
    [sym_splat_argument] = STATE(3540),
    [sym_hash_splat_argument] = STATE(3540),
    [sym_block_argument] = STATE(3540),
    [sym_assignment] = STATE(3538),
    [sym_operator_assignment] = STATE(3538),
    [sym_conditional] = STATE(3538),
    [sym_range] = STATE(3538),
    [sym_binary] = STATE(3538),
    [sym_unary] = STATE(3538),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3541),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3540),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5472),
    [sym__splat_star] = ACTIONS(5474),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(5478),
    [sym_identifier] = ACTIONS(5478),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1343] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3538),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(3539),
    [sym__argument] = STATE(3540),
    [sym_splat_argument] = STATE(3540),
    [sym_hash_splat_argument] = STATE(3540),
    [sym_block_argument] = STATE(3540),
    [sym_assignment] = STATE(3538),
    [sym_operator_assignment] = STATE(3538),
    [sym_conditional] = STATE(3538),
    [sym_range] = STATE(3538),
    [sym_binary] = STATE(3538),
    [sym_unary] = STATE(3538),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3541),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3540),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5472),
    [sym__splat_star] = ACTIONS(5474),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(5478),
    [sym_identifier] = ACTIONS(5478),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1344] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3538),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(3539),
    [sym__argument] = STATE(3540),
    [sym_splat_argument] = STATE(3540),
    [sym_hash_splat_argument] = STATE(3540),
    [sym_block_argument] = STATE(3540),
    [sym_assignment] = STATE(3538),
    [sym_operator_assignment] = STATE(3538),
    [sym_conditional] = STATE(3538),
    [sym_range] = STATE(3538),
    [sym_binary] = STATE(3538),
    [sym_unary] = STATE(3538),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3541),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3540),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5472),
    [sym__splat_star] = ACTIONS(5474),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(5478),
    [sym_identifier] = ACTIONS(5478),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1345] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(3542),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(3542),
    [sym_operator_assignment] = STATE(3542),
    [sym_conditional] = STATE(3542),
    [sym_range] = STATE(3542),
    [sym_binary] = STATE(3542),
    [sym_unary] = STATE(3542),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1346] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(3543),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(3543),
    [sym_operator_assignment] = STATE(3543),
    [sym_conditional] = STATE(3543),
    [sym_range] = STATE(3543),
    [sym_binary] = STATE(3543),
    [sym_unary] = STATE(3543),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1347] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1407),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(1407),
    [sym_operator_assignment] = STATE(1407),
    [sym_conditional] = STATE(1407),
    [sym_range] = STATE(1407),
    [sym_binary] = STATE(1407),
    [sym_unary] = STATE(1407),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1348] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [1349] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3561),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(1936),
    [sym__argument_list_with_parens] = STATE(3562),
    [sym__argument] = STATE(3563),
    [sym_splat_argument] = STATE(3563),
    [sym_hash_splat_argument] = STATE(3563),
    [sym_block_argument] = STATE(3563),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(3561),
    [sym_operator_assignment] = STATE(3561),
    [sym_conditional] = STATE(3561),
    [sym_range] = STATE(3561),
    [sym_binary] = STATE(3561),
    [sym_unary] = STATE(3561),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3564),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3563),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(5512),
    [sym__splat_star] = ACTIONS(5514),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(5518),
    [sym_identifier] = ACTIONS(5518),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1350] = {
    [anon_sym_EQ] = ACTIONS(5520),
    [sym_comment] = ACTIONS(87),
  },
  [1351] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(5522),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(5524),
    [anon_sym_DASH_EQ] = ACTIONS(5524),
    [anon_sym_STAR_EQ] = ACTIONS(5524),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5524),
    [anon_sym_SLASH_EQ] = ACTIONS(5524),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5524),
    [anon_sym_PIPE_EQ] = ACTIONS(5524),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5524),
    [anon_sym_AMP_EQ] = ACTIONS(5524),
    [anon_sym_PERCENT_EQ] = ACTIONS(5524),
    [anon_sym_GT_GT_EQ] = ACTIONS(5524),
    [anon_sym_LT_LT_EQ] = ACTIONS(5524),
    [anon_sym_CARET_EQ] = ACTIONS(5524),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1352] = {
    [sym_string] = STATE(3567),
    [aux_sym_chained_string_repeat1] = STATE(3567),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1353] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [1354] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [1355] = {
    [sym_string] = STATE(1462),
    [aux_sym_chained_string_repeat1] = STATE(1462),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1356] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(3568),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(3568),
    [sym_operator_assignment] = STATE(3568),
    [sym_conditional] = STATE(3568),
    [sym_range] = STATE(3568),
    [sym_binary] = STATE(3568),
    [sym_unary] = STATE(3568),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1357] = {
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(997),
    [sym__infix_scope_colons] = ACTIONS(997),
    [sym__binary_minus] = ACTIONS(997),
    [sym__binary_star] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_RPAREN] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(997),
    [anon_sym_STAR_STAR] = ACTIONS(997),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_EQ] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_unless] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(997),
    [anon_sym_until] = ACTIONS(997),
    [anon_sym_rescue] = ACTIONS(997),
    [anon_sym_in] = ACTIONS(997),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_RBRACK] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(997),
    [anon_sym_QMARK] = ACTIONS(997),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(997),
    [anon_sym_and] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(997),
    [anon_sym_PIPE_PIPE] = ACTIONS(997),
    [anon_sym_AMP_AMP] = ACTIONS(997),
    [anon_sym_LT_LT] = ACTIONS(997),
    [anon_sym_GT_GT] = ACTIONS(997),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(997),
    [anon_sym_LT_EQ_GT] = ACTIONS(997),
    [anon_sym_EQ_TILDE] = ACTIONS(997),
    [anon_sym_BANG_TILDE] = ACTIONS(997),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(999),
    [anon_sym_GT_EQ] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_SLASH] = ACTIONS(997),
    [anon_sym_PERCENT] = ACTIONS(997),
    [sym_comment] = ACTIONS(87),
  },
  [1358] = {
    [anon_sym_RBRACE] = ACTIONS(5526),
    [sym_comment] = ACTIONS(87),
  },
  [1359] = {
    [sym_heredoc_body] = STATE(3570),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACE] = ACTIONS(5526),
    [sym_comment] = ACTIONS(87),
  },
  [1360] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(3571),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(3571),
    [sym_operator_assignment] = STATE(3571),
    [sym_conditional] = STATE(3571),
    [sym_range] = STATE(3571),
    [sym_binary] = STATE(3571),
    [sym_unary] = STATE(3571),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1361] = {
    [sym__heredoc_body_start] = ACTIONS(1277),
    [sym__element_reference_left_bracket] = ACTIONS(1277),
    [sym__infix_scope_colons] = ACTIONS(1277),
    [sym__binary_minus] = ACTIONS(1277),
    [sym__binary_star] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_RPAREN] = ACTIONS(1277),
    [anon_sym_DOT] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(1277),
    [anon_sym_PIPE] = ACTIONS(1279),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym_STAR_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1279),
    [anon_sym_EQ] = ACTIONS(1279),
    [anon_sym_LT] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_unless] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_until] = ACTIONS(1277),
    [anon_sym_rescue] = ACTIONS(1277),
    [anon_sym_in] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_RBRACK] = ACTIONS(1277),
    [anon_sym_AMP_DOT] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(1277),
    [anon_sym_COLON] = ACTIONS(1277),
    [anon_sym_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1277),
    [anon_sym_and] = ACTIONS(1277),
    [anon_sym_or] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE] = ACTIONS(1277),
    [anon_sym_AMP_AMP] = ACTIONS(1277),
    [anon_sym_LT_LT] = ACTIONS(1277),
    [anon_sym_GT_GT] = ACTIONS(1277),
    [anon_sym_EQ_EQ] = ACTIONS(1279),
    [anon_sym_BANG_EQ] = ACTIONS(1277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1277),
    [anon_sym_LT_EQ_GT] = ACTIONS(1277),
    [anon_sym_EQ_TILDE] = ACTIONS(1277),
    [anon_sym_BANG_TILDE] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(1279),
    [anon_sym_GT] = ACTIONS(1279),
    [anon_sym_GT_EQ] = ACTIONS(1277),
    [anon_sym_CARET] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(1277),
    [anon_sym_SLASH] = ACTIONS(1277),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [sym_comment] = ACTIONS(87),
  },
  [1362] = {
    [anon_sym_DOT] = ACTIONS(5528),
    [anon_sym_COLON_COLON] = ACTIONS(5528),
    [sym_comment] = ACTIONS(87),
  },
  [1363] = {
    [sym_method_parameters] = STATE(3573),
    [sym__simple_formal_parameter] = STATE(715),
    [sym_splat_parameter] = STATE(715),
    [sym_hash_splat_parameter] = STATE(715),
    [sym_block_parameter] = STATE(715),
    [sym_keyword_parameter] = STATE(715),
    [sym_optional_parameter] = STATE(715),
    [sym_heredoc_body] = STATE(3573),
    [sym__terminator] = STATE(3573),
    [sym__line_break] = ACTIONS(5530),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(5530),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_comment] = ACTIONS(87),
  },
  [1364] = {
    [sym__heredoc_body_start] = ACTIONS(1295),
    [sym__element_reference_left_bracket] = ACTIONS(1295),
    [sym__infix_scope_colons] = ACTIONS(1295),
    [sym__binary_minus] = ACTIONS(1295),
    [sym__binary_star] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_RPAREN] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1295),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_STAR_STAR] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_unless] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_until] = ACTIONS(1295),
    [anon_sym_rescue] = ACTIONS(1295),
    [anon_sym_in] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_EQ_GT] = ACTIONS(1295),
    [anon_sym_RBRACK] = ACTIONS(1295),
    [anon_sym_AMP_DOT] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1295),
    [anon_sym_COLON] = ACTIONS(1295),
    [anon_sym_DOT_DOT] = ACTIONS(1297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1295),
    [anon_sym_and] = ACTIONS(1295),
    [anon_sym_or] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1295),
    [anon_sym_AMP_AMP] = ACTIONS(1295),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_EQ_EQ] = ACTIONS(1297),
    [anon_sym_BANG_EQ] = ACTIONS(1295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ_GT] = ACTIONS(1295),
    [anon_sym_EQ_TILDE] = ACTIONS(1295),
    [anon_sym_BANG_TILDE] = ACTIONS(1295),
    [anon_sym_LT_EQ] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_CARET] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_PERCENT] = ACTIONS(1295),
    [sym_comment] = ACTIONS(87),
  },
  [1365] = {
    [anon_sym_RPAREN] = ACTIONS(5532),
    [sym_comment] = ACTIONS(87),
  },
  [1366] = {
    [sym__simple_symbol] = ACTIONS(1419),
    [sym__string_start] = ACTIONS(1419),
    [sym__symbol_start] = ACTIONS(1419),
    [sym__subshell_start] = ACTIONS(1419),
    [sym__regex_start] = ACTIONS(1419),
    [sym__string_array_start] = ACTIONS(1419),
    [sym__symbol_array_start] = ACTIONS(1419),
    [sym__heredoc_body_start] = ACTIONS(1419),
    [sym_heredoc_beginning] = ACTIONS(1419),
    [sym__element_reference_left_bracket] = ACTIONS(1419),
    [sym__block_ampersand] = ACTIONS(1419),
    [sym__splat_star] = ACTIONS(1419),
    [sym__argument_list_left_paren] = ACTIONS(1419),
    [sym__infix_scope_colons] = ACTIONS(1419),
    [sym__unary_minus] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1419),
    [sym__binary_star] = ACTIONS(1419),
    [sym__identifier_hash_key] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1419),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_def] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1419),
    [anon_sym_RPAREN] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_COLON_COLON] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1419),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [anon_sym_class] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1421),
    [anon_sym_module] = ACTIONS(1421),
    [anon_sym_return] = ACTIONS(1421),
    [anon_sym_yield] = ACTIONS(1421),
    [anon_sym_break] = ACTIONS(1421),
    [anon_sym_next] = ACTIONS(1421),
    [sym_redo] = ACTIONS(1421),
    [sym_retry] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_unless] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1421),
    [anon_sym_until] = ACTIONS(1421),
    [anon_sym_rescue] = ACTIONS(1421),
    [anon_sym_for] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1421),
    [anon_sym_do] = ACTIONS(1421),
    [anon_sym_case] = ACTIONS(1421),
    [anon_sym_begin] = ACTIONS(1421),
    [anon_sym_EQ_GT] = ACTIONS(1419),
    [anon_sym_RBRACK] = ACTIONS(1419),
    [anon_sym_AMP_DOT] = ACTIONS(1419),
    [anon_sym_PLUS_EQ] = ACTIONS(1419),
    [anon_sym_DASH_EQ] = ACTIONS(1419),
    [anon_sym_STAR_EQ] = ACTIONS(1419),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1419),
    [anon_sym_SLASH_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1419),
    [anon_sym_AMP_EQ] = ACTIONS(1419),
    [anon_sym_PERCENT_EQ] = ACTIONS(1419),
    [anon_sym_GT_GT_EQ] = ACTIONS(1419),
    [anon_sym_LT_LT_EQ] = ACTIONS(1419),
    [anon_sym_CARET_EQ] = ACTIONS(1419),
    [anon_sym_QMARK] = ACTIONS(1421),
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_DOT_DOT] = ACTIONS(1421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1419),
    [anon_sym_and] = ACTIONS(1421),
    [anon_sym_or] = ACTIONS(1421),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_AMP_AMP] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1419),
    [anon_sym_LT_EQ_GT] = ACTIONS(1419),
    [anon_sym_EQ_TILDE] = ACTIONS(1419),
    [anon_sym_BANG_TILDE] = ACTIONS(1419),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1419),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_defined_QMARK] = ACTIONS(1419),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_BANG] = ACTIONS(1421),
    [anon_sym_TILDE] = ACTIONS(1419),
    [sym_constant] = ACTIONS(1421),
    [sym_identifier] = ACTIONS(1421),
    [sym_instance_variable] = ACTIONS(1419),
    [sym_class_variable] = ACTIONS(1419),
    [sym_global_variable] = ACTIONS(1419),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1421),
    [sym_complex] = ACTIONS(1419),
    [sym_super] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_TRUE] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_FALSE] = ACTIONS(1421),
    [sym_self] = ACTIONS(1421),
    [anon_sym_nil] = ACTIONS(1421),
    [anon_sym_NIL] = ACTIONS(1421),
    [sym_character] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_DASH_GT] = ACTIONS(1419),
  },
  [1367] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [1368] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3575),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3575),
    [sym_operator_assignment] = STATE(3575),
    [sym_conditional] = STATE(3575),
    [sym_range] = STATE(3575),
    [sym_binary] = STATE(3575),
    [sym_unary] = STATE(3575),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1369] = {
    [sym_superclass] = STATE(3576),
    [sym_heredoc_body] = STATE(3577),
    [sym__terminator] = STATE(3577),
    [sym__line_break] = ACTIONS(5534),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1370] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_superclass] = STATE(3576),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(3577),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(3577),
    [sym__line_break] = ACTIONS(5534),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1371] = {
    [sym_heredoc_body] = STATE(3579),
    [sym__terminator] = STATE(3579),
    [sym__line_break] = ACTIONS(5536),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(5536),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(5538),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1372] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(3579),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(3579),
    [sym__line_break] = ACTIONS(5536),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(5536),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_end] = ACTIONS(5538),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1373] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3580),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(3580),
    [sym_operator_assignment] = STATE(3580),
    [sym_conditional] = STATE(3580),
    [sym_range] = STATE(3580),
    [sym_binary] = STATE(3580),
    [sym_unary] = STATE(3580),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1374] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3581),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(3581),
    [sym_operator_assignment] = STATE(3581),
    [sym_conditional] = STATE(3581),
    [sym_range] = STATE(3581),
    [sym_binary] = STATE(3581),
    [sym_unary] = STATE(3581),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1375] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3582),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(3582),
    [sym_operator_assignment] = STATE(3582),
    [sym_conditional] = STATE(3582),
    [sym_range] = STATE(3582),
    [sym_binary] = STATE(3582),
    [sym_unary] = STATE(3582),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1376] = {
    [sym__keyword_colon] = ACTIONS(5542),
    [sym_comment] = ACTIONS(87),
  },
  [1377] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3584),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(3584),
    [sym_operator_assignment] = STATE(3584),
    [sym_conditional] = STATE(3584),
    [sym_range] = STATE(3584),
    [sym_binary] = STATE(3584),
    [sym_unary] = STATE(3584),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1378] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(3585),
    [sym_operator_assignment] = STATE(3585),
    [sym_conditional] = STATE(3585),
    [sym_range] = STATE(3585),
    [sym_binary] = STATE(3585),
    [sym_unary] = STATE(3585),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1379] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3586),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(3586),
    [sym_operator_assignment] = STATE(3586),
    [sym_conditional] = STATE(3586),
    [sym_range] = STATE(3586),
    [sym_binary] = STATE(3586),
    [sym_unary] = STATE(3586),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1380] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1381] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(5542),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_RBRACK] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1382] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_RBRACK] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [1383] = {
    [sym__heredoc_body_start] = ACTIONS(1689),
    [sym__element_reference_left_bracket] = ACTIONS(1689),
    [sym__infix_scope_colons] = ACTIONS(1689),
    [sym__binary_minus] = ACTIONS(1689),
    [sym__binary_star] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1691),
    [anon_sym_EQ] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1689),
    [anon_sym_unless] = ACTIONS(1689),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_until] = ACTIONS(1689),
    [anon_sym_rescue] = ACTIONS(1689),
    [anon_sym_in] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(1689),
    [anon_sym_EQ_GT] = ACTIONS(1689),
    [anon_sym_RBRACK] = ACTIONS(1689),
    [anon_sym_AMP_DOT] = ACTIONS(1689),
    [anon_sym_QMARK] = ACTIONS(1689),
    [anon_sym_COLON] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1689),
    [anon_sym_and] = ACTIONS(1689),
    [anon_sym_or] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_AMP_AMP] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_EQ_EQ] = ACTIONS(1691),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1689),
    [anon_sym_LT_EQ_GT] = ACTIONS(1689),
    [anon_sym_EQ_TILDE] = ACTIONS(1689),
    [anon_sym_BANG_TILDE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1689),
    [anon_sym_PERCENT] = ACTIONS(1689),
    [sym_comment] = ACTIONS(87),
  },
  [1384] = {
    [sym_heredoc_body] = STATE(3600),
    [aux_sym_call_repeat1] = STATE(3600),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_RBRACK] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1385] = {
    [sym_heredoc_body] = STATE(3600),
    [aux_sym_call_repeat1] = STATE(3600),
    [aux_sym_argument_list_repeat1] = STATE(3602),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(5574),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_RBRACK] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1386] = {
    [anon_sym_EQ] = ACTIONS(5576),
    [sym_comment] = ACTIONS(87),
  },
  [1387] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(5578),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(5580),
    [anon_sym_DASH_EQ] = ACTIONS(5580),
    [anon_sym_STAR_EQ] = ACTIONS(5580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5580),
    [anon_sym_SLASH_EQ] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5580),
    [anon_sym_PIPE_EQ] = ACTIONS(5580),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5580),
    [anon_sym_AMP_EQ] = ACTIONS(5580),
    [anon_sym_PERCENT_EQ] = ACTIONS(5580),
    [anon_sym_GT_GT_EQ] = ACTIONS(5580),
    [anon_sym_LT_LT_EQ] = ACTIONS(5580),
    [anon_sym_CARET_EQ] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1388] = {
    [sym_string] = STATE(1462),
    [aux_sym_chained_string_repeat1] = STATE(1462),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(5582),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1389] = {
    [sym__heredoc_body_start] = ACTIONS(1709),
    [sym__element_reference_left_bracket] = ACTIONS(1709),
    [sym__infix_scope_colons] = ACTIONS(1709),
    [sym__binary_minus] = ACTIONS(1709),
    [sym__binary_star] = ACTIONS(1709),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_unless] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_until] = ACTIONS(1709),
    [anon_sym_rescue] = ACTIONS(1709),
    [anon_sym_in] = ACTIONS(1709),
    [anon_sym_do] = ACTIONS(1709),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_RBRACK] = ACTIONS(1709),
    [anon_sym_AMP_DOT] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_COLON] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [sym_comment] = ACTIONS(87),
  },
  [1390] = {
    [sym__heredoc_body_start] = ACTIONS(1713),
    [sym__element_reference_left_bracket] = ACTIONS(1713),
    [sym__infix_scope_colons] = ACTIONS(1713),
    [sym__binary_minus] = ACTIONS(1713),
    [sym__binary_star] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_RBRACE] = ACTIONS(1713),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_STAR_STAR] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1715),
    [anon_sym_EQ] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_unless] = ACTIONS(1713),
    [anon_sym_while] = ACTIONS(1713),
    [anon_sym_until] = ACTIONS(1713),
    [anon_sym_rescue] = ACTIONS(1713),
    [anon_sym_in] = ACTIONS(1713),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_EQ_GT] = ACTIONS(1713),
    [anon_sym_RBRACK] = ACTIONS(1713),
    [anon_sym_AMP_DOT] = ACTIONS(1713),
    [anon_sym_QMARK] = ACTIONS(1713),
    [anon_sym_COLON] = ACTIONS(1713),
    [anon_sym_DOT_DOT] = ACTIONS(1715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1713),
    [anon_sym_and] = ACTIONS(1713),
    [anon_sym_or] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_AMP_AMP] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_EQ_EQ] = ACTIONS(1715),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1713),
    [anon_sym_LT_EQ_GT] = ACTIONS(1713),
    [anon_sym_EQ_TILDE] = ACTIONS(1713),
    [anon_sym_BANG_TILDE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_PERCENT] = ACTIONS(1713),
    [sym_comment] = ACTIONS(87),
  },
  [1391] = {
    [sym__heredoc_body_start] = ACTIONS(1717),
    [sym__element_reference_left_bracket] = ACTIONS(1717),
    [sym__infix_scope_colons] = ACTIONS(1717),
    [sym__binary_minus] = ACTIONS(1717),
    [sym__binary_star] = ACTIONS(1717),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_EQ] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_unless] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_until] = ACTIONS(1717),
    [anon_sym_rescue] = ACTIONS(1717),
    [anon_sym_in] = ACTIONS(1717),
    [anon_sym_do] = ACTIONS(1717),
    [anon_sym_EQ_GT] = ACTIONS(1717),
    [anon_sym_RBRACK] = ACTIONS(1717),
    [anon_sym_AMP_DOT] = ACTIONS(1717),
    [anon_sym_QMARK] = ACTIONS(1717),
    [anon_sym_COLON] = ACTIONS(1717),
    [anon_sym_DOT_DOT] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(1717),
    [anon_sym_or] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE] = ACTIONS(1717),
    [anon_sym_AMP_AMP] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1717),
    [anon_sym_GT_GT] = ACTIONS(1717),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1717),
    [anon_sym_LT_EQ_GT] = ACTIONS(1717),
    [anon_sym_EQ_TILDE] = ACTIONS(1717),
    [anon_sym_BANG_TILDE] = ACTIONS(1717),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1717),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_PLUS] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [sym_comment] = ACTIONS(87),
  },
  [1392] = {
    [sym__then] = STATE(3606),
    [sym_heredoc_body] = STATE(1027),
    [sym__terminator] = STATE(1027),
    [sym__line_break] = ACTIONS(1751),
    [sym__heredoc_body_start] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(5584),
    [sym_comment] = ACTIONS(87),
  },
  [1393] = {
    [sym__then] = STATE(3607),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(5586),
    [sym_comment] = ACTIONS(87),
  },
  [1394] = {
    [sym__do] = STATE(3608),
    [sym_heredoc_body] = STATE(3608),
    [sym__terminator] = STATE(3608),
    [sym__line_break] = ACTIONS(5588),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(5588),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [1395] = {
    [sym__do] = STATE(3609),
    [sym_heredoc_body] = STATE(3609),
    [sym__terminator] = STATE(3609),
    [sym__line_break] = ACTIONS(5590),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(5590),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(5590),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [1396] = {
    [sym_in] = STATE(3610),
    [anon_sym_in] = ACTIONS(1985),
    [sym_comment] = ACTIONS(87),
  },
  [1397] = {
    [sym_heredoc_body] = STATE(3611),
    [sym__terminator] = STATE(3611),
    [sym__line_break] = ACTIONS(5592),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(5592),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [1398] = {
    [sym_when] = STATE(3612),
    [aux_sym_case_repeat1] = STATE(3613),
    [anon_sym_SEMI] = ACTIONS(5594),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [1399] = {
    [sym_else] = STATE(3615),
    [sym_ensure] = STATE(3616),
    [sym_rescue] = STATE(3617),
    [anon_sym_end] = ACTIONS(5596),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [1400] = {
    [sym_ensure] = STATE(3616),
    [anon_sym_end] = ACTIONS(5596),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [1401] = {
    [anon_sym_end] = ACTIONS(5596),
    [sym_comment] = ACTIONS(87),
  },
  [1402] = {
    [sym_else] = STATE(3615),
    [sym_ensure] = STATE(3616),
    [anon_sym_end] = ACTIONS(5596),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [1403] = {
    [sym__heredoc_body_start] = ACTIONS(2205),
    [sym__element_reference_left_bracket] = ACTIONS(2205),
    [sym__infix_scope_colons] = ACTIONS(2205),
    [sym__binary_minus] = ACTIONS(2205),
    [sym__binary_star] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_STAR_STAR] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_EQ] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_unless] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_until] = ACTIONS(2205),
    [anon_sym_rescue] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_EQ_GT] = ACTIONS(2205),
    [anon_sym_RBRACK] = ACTIONS(2205),
    [anon_sym_AMP_DOT] = ACTIONS(2205),
    [anon_sym_QMARK] = ACTIONS(2205),
    [anon_sym_COLON] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_and] = ACTIONS(2205),
    [anon_sym_or] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_GT_GT] = ACTIONS(2205),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_LT_EQ_GT] = ACTIONS(2205),
    [anon_sym_EQ_TILDE] = ACTIONS(2205),
    [anon_sym_BANG_TILDE] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2205),
    [sym_comment] = ACTIONS(87),
  },
  [1404] = {
    [sym__statements] = STATE(1399),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1400),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1401),
    [sym_rescue] = STATE(1402),
    [sym__body_statement] = STATE(3618),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5598),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1405] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [1406] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2405),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ_GT] = ACTIONS(2409),
    [anon_sym_EQ_TILDE] = ACTIONS(2409),
    [anon_sym_BANG_TILDE] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_GT_EQ] = ACTIONS(2415),
    [anon_sym_CARET] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [1407] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(2279),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [1408] = {
    [sym__heredoc_body_start] = ACTIONS(2291),
    [sym__element_reference_left_bracket] = ACTIONS(2291),
    [sym__infix_scope_colons] = ACTIONS(2291),
    [sym__binary_minus] = ACTIONS(2291),
    [sym__binary_star] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2291),
    [anon_sym_RBRACE] = ACTIONS(2291),
    [anon_sym_RPAREN] = ACTIONS(2291),
    [anon_sym_DOT] = ACTIONS(2293),
    [anon_sym_COMMA] = ACTIONS(2291),
    [anon_sym_PIPE] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2291),
    [anon_sym_STAR_STAR] = ACTIONS(2291),
    [anon_sym_AMP] = ACTIONS(2293),
    [anon_sym_EQ] = ACTIONS(2293),
    [anon_sym_LT] = ACTIONS(2293),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_unless] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_until] = ACTIONS(2291),
    [anon_sym_rescue] = ACTIONS(2291),
    [anon_sym_in] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_EQ_GT] = ACTIONS(2291),
    [anon_sym_RBRACK] = ACTIONS(2291),
    [anon_sym_AMP_DOT] = ACTIONS(2291),
    [anon_sym_QMARK] = ACTIONS(2291),
    [anon_sym_COLON] = ACTIONS(2291),
    [anon_sym_DOT_DOT] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2291),
    [anon_sym_and] = ACTIONS(2291),
    [anon_sym_or] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE] = ACTIONS(2291),
    [anon_sym_AMP_AMP] = ACTIONS(2291),
    [anon_sym_LT_LT] = ACTIONS(2291),
    [anon_sym_GT_GT] = ACTIONS(2291),
    [anon_sym_EQ_EQ] = ACTIONS(2293),
    [anon_sym_BANG_EQ] = ACTIONS(2291),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2291),
    [anon_sym_LT_EQ_GT] = ACTIONS(2291),
    [anon_sym_EQ_TILDE] = ACTIONS(2291),
    [anon_sym_BANG_TILDE] = ACTIONS(2291),
    [anon_sym_LT_EQ] = ACTIONS(2293),
    [anon_sym_GT] = ACTIONS(2293),
    [anon_sym_GT_EQ] = ACTIONS(2291),
    [anon_sym_CARET] = ACTIONS(2291),
    [anon_sym_PLUS] = ACTIONS(2291),
    [anon_sym_SLASH] = ACTIONS(2291),
    [anon_sym_PERCENT] = ACTIONS(2291),
    [sym_comment] = ACTIONS(87),
  },
  [1409] = {
    [sym__heredoc_body_start] = ACTIONS(2375),
    [sym__element_reference_left_bracket] = ACTIONS(2375),
    [sym__infix_scope_colons] = ACTIONS(2375),
    [sym__binary_minus] = ACTIONS(2375),
    [sym__binary_star] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_RBRACE] = ACTIONS(2375),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_COMMA] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2375),
    [anon_sym_STAR_STAR] = ACTIONS(2375),
    [anon_sym_AMP] = ACTIONS(2377),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LT] = ACTIONS(2377),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_unless] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(2375),
    [anon_sym_until] = ACTIONS(2375),
    [anon_sym_rescue] = ACTIONS(2375),
    [anon_sym_in] = ACTIONS(2375),
    [anon_sym_do] = ACTIONS(2375),
    [anon_sym_EQ_GT] = ACTIONS(2375),
    [anon_sym_RBRACK] = ACTIONS(2375),
    [anon_sym_AMP_DOT] = ACTIONS(2375),
    [anon_sym_QMARK] = ACTIONS(2375),
    [anon_sym_COLON] = ACTIONS(2375),
    [anon_sym_DOT_DOT] = ACTIONS(2377),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2375),
    [anon_sym_and] = ACTIONS(2375),
    [anon_sym_or] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE] = ACTIONS(2375),
    [anon_sym_AMP_AMP] = ACTIONS(2375),
    [anon_sym_LT_LT] = ACTIONS(2375),
    [anon_sym_GT_GT] = ACTIONS(2375),
    [anon_sym_EQ_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2375),
    [anon_sym_LT_EQ_GT] = ACTIONS(2375),
    [anon_sym_EQ_TILDE] = ACTIONS(2375),
    [anon_sym_BANG_TILDE] = ACTIONS(2375),
    [anon_sym_LT_EQ] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2375),
    [anon_sym_CARET] = ACTIONS(2375),
    [anon_sym_PLUS] = ACTIONS(2375),
    [anon_sym_SLASH] = ACTIONS(2375),
    [anon_sym_PERCENT] = ACTIONS(2375),
    [sym_comment] = ACTIONS(87),
  },
  [1410] = {
    [sym_heredoc_body] = STATE(3620),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(5600),
    [sym_comment] = ACTIONS(87),
  },
  [1411] = {
    [anon_sym_RBRACK] = ACTIONS(5600),
    [sym_comment] = ACTIONS(87),
  },
  [1412] = {
    [sym__statements] = STATE(3622),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(3623),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(5602),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1413] = {
    [sym__statements] = STATE(3625),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(3626),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(3627),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(3627),
    [sym__line_break] = ACTIONS(5604),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5606),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1414] = {
    [sym_do_block] = STATE(3628),
    [sym_block] = STATE(3628),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_do] = ACTIONS(5608),
    [sym_comment] = ACTIONS(87),
  },
  [1415] = {
    [sym__heredoc_body_start] = ACTIONS(2521),
    [sym__element_reference_left_bracket] = ACTIONS(2521),
    [sym__infix_scope_colons] = ACTIONS(2521),
    [sym__binary_minus] = ACTIONS(2521),
    [sym__binary_star] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_STAR_STAR] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_EQ] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_unless] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_until] = ACTIONS(2521),
    [anon_sym_rescue] = ACTIONS(2521),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_EQ_GT] = ACTIONS(2521),
    [anon_sym_RBRACK] = ACTIONS(2521),
    [anon_sym_AMP_DOT] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_COLON] = ACTIONS(2521),
    [anon_sym_DOT_DOT] = ACTIONS(2523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2521),
    [anon_sym_and] = ACTIONS(2521),
    [anon_sym_or] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2521),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_LT_LT] = ACTIONS(2521),
    [anon_sym_GT_GT] = ACTIONS(2521),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2521),
    [anon_sym_LT_EQ_GT] = ACTIONS(2521),
    [anon_sym_EQ_TILDE] = ACTIONS(2521),
    [anon_sym_BANG_TILDE] = ACTIONS(2521),
    [anon_sym_LT_EQ] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_GT_EQ] = ACTIONS(2521),
    [anon_sym_CARET] = ACTIONS(2521),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [sym_comment] = ACTIONS(87),
  },
  [1416] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3629),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3629),
    [sym_operator_assignment] = STATE(3629),
    [sym_conditional] = STATE(3629),
    [sym_range] = STATE(3629),
    [sym_binary] = STATE(3629),
    [sym_unary] = STATE(3629),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1417] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3630),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3630),
    [sym_operator_assignment] = STATE(3630),
    [sym_conditional] = STATE(3630),
    [sym_range] = STATE(3630),
    [sym_binary] = STATE(3630),
    [sym_unary] = STATE(3630),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1418] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3631),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3631),
    [sym_operator_assignment] = STATE(3631),
    [sym_conditional] = STATE(3631),
    [sym_range] = STATE(3631),
    [sym_binary] = STATE(3631),
    [sym_unary] = STATE(3631),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1419] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3632),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3632),
    [sym_operator_assignment] = STATE(3632),
    [sym_conditional] = STATE(3632),
    [sym_range] = STATE(3632),
    [sym_binary] = STATE(3632),
    [sym_unary] = STATE(3632),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1420] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3633),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3633),
    [sym_operator_assignment] = STATE(3633),
    [sym_conditional] = STATE(3633),
    [sym_range] = STATE(3633),
    [sym_binary] = STATE(3633),
    [sym_unary] = STATE(3633),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1421] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3634),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3634),
    [sym_operator_assignment] = STATE(3634),
    [sym_conditional] = STATE(3634),
    [sym_range] = STATE(3634),
    [sym_binary] = STATE(3634),
    [sym_unary] = STATE(3634),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1422] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(3635),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(3635),
    [sym_operator_assignment] = STATE(3635),
    [sym_conditional] = STATE(3635),
    [sym_range] = STATE(3635),
    [sym_binary] = STATE(3635),
    [sym_unary] = STATE(3635),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1423] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(3636),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(3636),
    [sym_operator_assignment] = STATE(3636),
    [sym_conditional] = STATE(3636),
    [sym_range] = STATE(3636),
    [sym_binary] = STATE(3636),
    [sym_unary] = STATE(3636),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1424] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3637),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3637),
    [sym_operator_assignment] = STATE(3637),
    [sym_conditional] = STATE(3637),
    [sym_range] = STATE(3637),
    [sym_binary] = STATE(3637),
    [sym_unary] = STATE(3637),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1425] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3638),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3638),
    [sym_operator_assignment] = STATE(3638),
    [sym_conditional] = STATE(3638),
    [sym_range] = STATE(3638),
    [sym_binary] = STATE(3638),
    [sym_unary] = STATE(3638),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1426] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3639),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3639),
    [sym_operator_assignment] = STATE(3639),
    [sym_conditional] = STATE(3639),
    [sym_range] = STATE(3639),
    [sym_binary] = STATE(3639),
    [sym_unary] = STATE(3639),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1427] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3640),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3640),
    [sym_operator_assignment] = STATE(3640),
    [sym_conditional] = STATE(3640),
    [sym_range] = STATE(3640),
    [sym_binary] = STATE(3640),
    [sym_unary] = STATE(3640),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1428] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3641),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3641),
    [sym_operator_assignment] = STATE(3641),
    [sym_conditional] = STATE(3641),
    [sym_range] = STATE(3641),
    [sym_binary] = STATE(3641),
    [sym_unary] = STATE(3641),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1429] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(3643),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(3644),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(5610),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1430] = {
    [sym_constant] = ACTIONS(5612),
    [sym_identifier] = ACTIONS(5612),
    [sym_comment] = ACTIONS(87),
  },
  [1431] = {
    [sym_argument_list_with_parens] = STATE(3648),
    [sym__argument_list_with_parens] = STATE(3649),
    [sym_operator] = STATE(3648),
    [sym_heredoc_body] = STATE(3650),
    [aux_sym_call_repeat1] = STATE(3650),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(5614),
    [anon_sym_PIPE] = ACTIONS(5616),
    [anon_sym_STAR] = ACTIONS(5618),
    [anon_sym_STAR_STAR] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(5616),
    [anon_sym_LT] = ACTIONS(5618),
    [anon_sym_DOT_DOT] = ACTIONS(5616),
    [anon_sym_LT_LT] = ACTIONS(5616),
    [anon_sym_GT_GT] = ACTIONS(5616),
    [anon_sym_EQ_EQ] = ACTIONS(5618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5616),
    [anon_sym_LT_EQ_GT] = ACTIONS(5616),
    [anon_sym_EQ_TILDE] = ACTIONS(5616),
    [anon_sym_BANG_TILDE] = ACTIONS(5616),
    [anon_sym_LT_EQ] = ACTIONS(5618),
    [anon_sym_GT] = ACTIONS(5618),
    [anon_sym_GT_EQ] = ACTIONS(5616),
    [anon_sym_CARET] = ACTIONS(5616),
    [anon_sym_PLUS] = ACTIONS(5618),
    [anon_sym_SLASH] = ACTIONS(5616),
    [anon_sym_PERCENT] = ACTIONS(5616),
    [anon_sym_BANG] = ACTIONS(5618),
    [anon_sym_TILDE] = ACTIONS(5616),
    [sym_constant] = ACTIONS(5620),
    [sym_identifier] = ACTIONS(5620),
    [anon_sym_DASH] = ACTIONS(5618),
    [anon_sym_PLUS_AT] = ACTIONS(5616),
    [anon_sym_DASH_AT] = ACTIONS(5616),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(5618),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(5616),
    [anon_sym_BQUOTE] = ACTIONS(5616),
    [sym_comment] = ACTIONS(87),
  },
  [1432] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3651),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(3651),
    [sym_operator_assignment] = STATE(3651),
    [sym_conditional] = STATE(3651),
    [sym_range] = STATE(3651),
    [sym_binary] = STATE(3651),
    [sym_unary] = STATE(3651),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1433] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3653),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(3653),
    [sym_operator_assignment] = STATE(3653),
    [sym_conditional] = STATE(3653),
    [sym_range] = STATE(3653),
    [sym_binary] = STATE(3653),
    [sym_unary] = STATE(3653),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1434] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3654),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(3654),
    [sym_operator_assignment] = STATE(3654),
    [sym_conditional] = STATE(3654),
    [sym_range] = STATE(3654),
    [sym_binary] = STATE(3654),
    [sym_unary] = STATE(3654),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1435] = {
    [sym__keyword_colon] = ACTIONS(5624),
    [sym_comment] = ACTIONS(87),
  },
  [1436] = {
    [sym__statements] = STATE(3657),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(3658),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(2058),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(2059),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(5626),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1437] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3659),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(3659),
    [sym_operator_assignment] = STATE(3659),
    [sym_conditional] = STATE(3659),
    [sym_range] = STATE(3659),
    [sym_binary] = STATE(3659),
    [sym_unary] = STATE(3659),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1438] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1447),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(2072),
    [sym__argument_list_with_parens] = STATE(1450),
    [sym__argument] = STATE(1451),
    [sym_splat_argument] = STATE(1451),
    [sym_hash_splat_argument] = STATE(1451),
    [sym_block_argument] = STATE(1451),
    [sym_assignment] = STATE(1447),
    [sym_operator_assignment] = STATE(1447),
    [sym_conditional] = STATE(1447),
    [sym_range] = STATE(1447),
    [sym_binary] = STATE(1447),
    [sym_unary] = STATE(1447),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1455),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1451),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(2429),
    [sym__splat_star] = ACTIONS(2431),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_RBRACK] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2457),
    [sym_identifier] = ACTIONS(2457),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1439] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1447),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(2073),
    [sym__argument_list_with_parens] = STATE(1450),
    [sym__argument] = STATE(1451),
    [sym_splat_argument] = STATE(1451),
    [sym_hash_splat_argument] = STATE(1451),
    [sym_block_argument] = STATE(1451),
    [sym_assignment] = STATE(1447),
    [sym_operator_assignment] = STATE(1447),
    [sym_conditional] = STATE(1447),
    [sym_range] = STATE(1447),
    [sym_binary] = STATE(1447),
    [sym_unary] = STATE(1447),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1455),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1451),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(2429),
    [sym__splat_star] = ACTIONS(2431),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_RBRACK] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2457),
    [sym_identifier] = ACTIONS(2457),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1440] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1447),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(2074),
    [sym__argument_list_with_parens] = STATE(1450),
    [sym__argument] = STATE(1451),
    [sym_splat_argument] = STATE(1451),
    [sym_hash_splat_argument] = STATE(1451),
    [sym_block_argument] = STATE(1451),
    [sym_assignment] = STATE(1447),
    [sym_operator_assignment] = STATE(1447),
    [sym_conditional] = STATE(1447),
    [sym_range] = STATE(1447),
    [sym_binary] = STATE(1447),
    [sym_unary] = STATE(1447),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1455),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1451),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(2429),
    [sym__splat_star] = ACTIONS(2431),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_RBRACK] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2457),
    [sym_identifier] = ACTIONS(2457),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1441] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1447),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(2075),
    [sym__argument_list_with_parens] = STATE(1450),
    [sym__argument] = STATE(1451),
    [sym_splat_argument] = STATE(1451),
    [sym_hash_splat_argument] = STATE(1451),
    [sym_block_argument] = STATE(1451),
    [sym_assignment] = STATE(1447),
    [sym_operator_assignment] = STATE(1447),
    [sym_conditional] = STATE(1447),
    [sym_range] = STATE(1447),
    [sym_binary] = STATE(1447),
    [sym_unary] = STATE(1447),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1455),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1451),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(2429),
    [sym__splat_star] = ACTIONS(2431),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_RBRACK] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2457),
    [sym_identifier] = ACTIONS(2457),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1442] = {
    [sym__statements] = STATE(3661),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(3662),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(3663),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(3663),
    [sym__line_break] = ACTIONS(5628),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5630),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1443] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3664),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(3664),
    [sym_operator_assignment] = STATE(3664),
    [sym_conditional] = STATE(3664),
    [sym_range] = STATE(3664),
    [sym_binary] = STATE(3664),
    [sym_unary] = STATE(3664),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1444] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3665),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(3665),
    [sym_operator_assignment] = STATE(3665),
    [sym_conditional] = STATE(3665),
    [sym_range] = STATE(3665),
    [sym_binary] = STATE(3665),
    [sym_unary] = STATE(3665),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1445] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2095),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(2095),
    [sym_operator_assignment] = STATE(2095),
    [sym_conditional] = STATE(2095),
    [sym_range] = STATE(2095),
    [sym_binary] = STATE(2095),
    [sym_unary] = STATE(2095),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1446] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(5624),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_RBRACK] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1447] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_RBRACK] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [1448] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1447),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(2117),
    [sym__argument_list_with_parens] = STATE(1450),
    [sym__argument] = STATE(1451),
    [sym_splat_argument] = STATE(1451),
    [sym_hash_splat_argument] = STATE(1451),
    [sym_block_argument] = STATE(1451),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(1447),
    [sym_operator_assignment] = STATE(1447),
    [sym_conditional] = STATE(1447),
    [sym_range] = STATE(1447),
    [sym_binary] = STATE(1447),
    [sym_unary] = STATE(1447),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1455),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1451),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(2429),
    [sym__splat_star] = ACTIONS(2431),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2457),
    [sym_identifier] = ACTIONS(2457),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1449] = {
    [sym_do_block] = STATE(3679),
    [sym_block] = STATE(3679),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(3412),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(5660),
    [anon_sym_EQ_GT] = ACTIONS(2751),
    [anon_sym_RBRACK] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [1450] = {
    [sym_heredoc_body] = STATE(3680),
    [aux_sym_call_repeat1] = STATE(3680),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_RBRACK] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1451] = {
    [sym_heredoc_body] = STATE(3680),
    [aux_sym_call_repeat1] = STATE(3680),
    [aux_sym_argument_list_repeat1] = STATE(3682),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(5662),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_RBRACK] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1452] = {
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_EQ_GT] = ACTIONS(2751),
    [anon_sym_RBRACK] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [1453] = {
    [anon_sym_EQ] = ACTIONS(5664),
    [sym_comment] = ACTIONS(87),
  },
  [1454] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(5666),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(5668),
    [anon_sym_DASH_EQ] = ACTIONS(5668),
    [anon_sym_STAR_EQ] = ACTIONS(5668),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5668),
    [anon_sym_SLASH_EQ] = ACTIONS(5668),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5668),
    [anon_sym_PIPE_EQ] = ACTIONS(5668),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5668),
    [anon_sym_AMP_EQ] = ACTIONS(5668),
    [anon_sym_PERCENT_EQ] = ACTIONS(5668),
    [anon_sym_GT_GT_EQ] = ACTIONS(5668),
    [anon_sym_LT_LT_EQ] = ACTIONS(5668),
    [anon_sym_CARET_EQ] = ACTIONS(5668),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1455] = {
    [sym_string] = STATE(3686),
    [aux_sym_chained_string_repeat1] = STATE(3686),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(5670),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1456] = {
    [sym__line_break] = ACTIONS(5672),
    [sym__heredoc_body_start] = ACTIONS(5672),
    [sym__element_reference_left_bracket] = ACTIONS(5672),
    [sym__infix_scope_colons] = ACTIONS(5672),
    [sym__binary_minus] = ACTIONS(5672),
    [sym__binary_star] = ACTIONS(5672),
    [ts_builtin_sym_end] = ACTIONS(5672),
    [anon_sym___END__] = ACTIONS(5672),
    [anon_sym_LBRACE] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_STAR_STAR] = ACTIONS(5672),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_end] = ACTIONS(5672),
    [anon_sym_if] = ACTIONS(5672),
    [anon_sym_unless] = ACTIONS(5672),
    [anon_sym_while] = ACTIONS(5672),
    [anon_sym_until] = ACTIONS(5672),
    [anon_sym_rescue] = ACTIONS(5672),
    [anon_sym_do] = ACTIONS(5672),
    [anon_sym_when] = ACTIONS(5672),
    [anon_sym_elsif] = ACTIONS(5672),
    [anon_sym_else] = ACTIONS(5672),
    [anon_sym_then] = ACTIONS(5672),
    [anon_sym_ensure] = ACTIONS(5672),
    [anon_sym_EQ_GT] = ACTIONS(5672),
    [anon_sym_AMP_DOT] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_LT_LT] = ACTIONS(5672),
    [anon_sym_GT_GT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5674),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ_GT] = ACTIONS(5672),
    [anon_sym_EQ_TILDE] = ACTIONS(5672),
    [anon_sym_BANG_TILDE] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5672),
    [anon_sym_SLASH] = ACTIONS(5672),
    [anon_sym_PERCENT] = ACTIONS(5672),
    [sym_comment] = ACTIONS(87),
  },
  [1457] = {
    [anon_sym_RBRACK] = ACTIONS(5676),
    [sym_comment] = ACTIONS(87),
  },
  [1458] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(3689),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(3690),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(5678),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1459] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3692),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_splat_argument] = STATE(3694),
    [sym_assignment] = STATE(3692),
    [sym_operator_assignment] = STATE(3692),
    [sym_conditional] = STATE(3692),
    [sym_range] = STATE(3692),
    [sym_binary] = STATE(3692),
    [sym_unary] = STATE(3692),
    [sym_right_assignment_list] = STATE(3693),
    [sym__arg_or_splat_arg] = STATE(3694),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(5682),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1460] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3695),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(3695),
    [sym_operator_assignment] = STATE(3695),
    [sym_conditional] = STATE(3695),
    [sym_range] = STATE(3695),
    [sym_binary] = STATE(3695),
    [sym_unary] = STATE(3695),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1461] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(3696),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(3696),
    [sym_operator_assignment] = STATE(3696),
    [sym_conditional] = STATE(3696),
    [sym_range] = STATE(3696),
    [sym_binary] = STATE(3696),
    [sym_unary] = STATE(3696),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1462] = {
    [sym_string] = STATE(3697),
    [aux_sym_chained_string_repeat1] = STATE(3697),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_RBRACK] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [1463] = {
    [sym__line_break] = ACTIONS(5684),
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [ts_builtin_sym_end] = ACTIONS(5684),
    [anon_sym___END__] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5684),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_end] = ACTIONS(5684),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_when] = ACTIONS(5684),
    [anon_sym_elsif] = ACTIONS(5684),
    [anon_sym_else] = ACTIONS(5684),
    [anon_sym_then] = ACTIONS(5684),
    [anon_sym_ensure] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5684),
    [anon_sym_AMP_AMP] = ACTIONS(5684),
    [anon_sym_LT_LT] = ACTIONS(5684),
    [anon_sym_GT_GT] = ACTIONS(5684),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5684),
    [anon_sym_SLASH] = ACTIONS(5684),
    [anon_sym_PERCENT] = ACTIONS(5684),
    [sym_comment] = ACTIONS(87),
  },
  [1464] = {
    [sym__formal_parameter] = STATE(3702),
    [sym__simple_formal_parameter] = STATE(3702),
    [sym_destructured_parameter] = STATE(3702),
    [sym_splat_parameter] = STATE(3702),
    [sym_hash_splat_parameter] = STATE(3702),
    [sym_block_parameter] = STATE(3702),
    [sym_keyword_parameter] = STATE(3702),
    [sym_optional_parameter] = STATE(3702),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_COMMA] = ACTIONS(5688),
    [anon_sym_PIPE] = ACTIONS(5690),
    [anon_sym_SEMI] = ACTIONS(5692),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(5694),
    [sym_comment] = ACTIONS(87),
  },
  [1465] = {
    [anon_sym_RBRACE] = ACTIONS(5696),
    [sym_comment] = ACTIONS(87),
  },
  [1466] = {
    [sym__statements] = STATE(3704),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(5696),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1467] = {
    [sym__formal_parameter] = STATE(3705),
    [sym__simple_formal_parameter] = STATE(3705),
    [sym_destructured_parameter] = STATE(3705),
    [sym_splat_parameter] = STATE(3705),
    [sym_hash_splat_parameter] = STATE(3705),
    [sym_block_parameter] = STATE(3705),
    [sym_keyword_parameter] = STATE(3705),
    [sym_optional_parameter] = STATE(3705),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(2485),
    [sym_comment] = ACTIONS(87),
  },
  [1468] = {
    [anon_sym_LBRACE] = ACTIONS(5698),
    [anon_sym_do] = ACTIONS(5698),
    [sym_comment] = ACTIONS(87),
  },
  [1469] = {
    [sym__keyword_colon] = ACTIONS(5700),
    [anon_sym_RPAREN] = ACTIONS(2511),
    [anon_sym_COMMA] = ACTIONS(2511),
    [anon_sym_EQ] = ACTIONS(5702),
    [sym_comment] = ACTIONS(87),
  },
  [1470] = {
    [aux_sym_method_parameters_repeat1] = STATE(3710),
    [anon_sym_RPAREN] = ACTIONS(5704),
    [anon_sym_COMMA] = ACTIONS(5706),
    [sym_comment] = ACTIONS(87),
  },
  [1471] = {
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym_do] = ACTIONS(5708),
    [sym_comment] = ACTIONS(87),
  },
  [1472] = {
    [anon_sym_LBRACE] = ACTIONS(5710),
    [anon_sym_RPAREN] = ACTIONS(5710),
    [anon_sym_COMMA] = ACTIONS(5710),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5710),
    [anon_sym_do] = ACTIONS(5710),
    [sym_comment] = ACTIONS(87),
  },
  [1473] = {
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym_do] = ACTIONS(5712),
    [sym_comment] = ACTIONS(87),
  },
  [1474] = {
    [sym_lambda_parameters] = STATE(3713),
    [sym__simple_formal_parameter] = STATE(379),
    [sym_splat_parameter] = STATE(379),
    [sym_hash_splat_parameter] = STATE(379),
    [sym_block_parameter] = STATE(379),
    [sym_keyword_parameter] = STATE(379),
    [sym_optional_parameter] = STATE(379),
    [sym_do_block] = STATE(3714),
    [sym_block] = STATE(3714),
    [anon_sym_LBRACE] = ACTIONS(5714),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(5716),
    [sym_identifier] = ACTIONS(677),
    [sym_comment] = ACTIONS(87),
  },
  [1475] = {
    [sym__formal_parameter] = STATE(3718),
    [sym__simple_formal_parameter] = STATE(3718),
    [sym_destructured_parameter] = STATE(3718),
    [sym_splat_parameter] = STATE(3718),
    [sym_hash_splat_parameter] = STATE(3718),
    [sym_block_parameter] = STATE(3718),
    [sym_keyword_parameter] = STATE(3718),
    [sym_optional_parameter] = STATE(3718),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_COMMA] = ACTIONS(5718),
    [anon_sym_PIPE] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(5694),
    [sym_comment] = ACTIONS(87),
  },
  [1476] = {
    [sym__line_break] = ACTIONS(5724),
    [sym__heredoc_body_start] = ACTIONS(5724),
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [sym__binary_minus] = ACTIONS(5724),
    [sym__binary_star] = ACTIONS(5724),
    [ts_builtin_sym_end] = ACTIONS(5724),
    [anon_sym___END__] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym_STAR_STAR] = ACTIONS(5724),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_end] = ACTIONS(5724),
    [anon_sym_if] = ACTIONS(5724),
    [anon_sym_unless] = ACTIONS(5724),
    [anon_sym_while] = ACTIONS(5724),
    [anon_sym_until] = ACTIONS(5724),
    [anon_sym_rescue] = ACTIONS(5724),
    [anon_sym_do] = ACTIONS(5724),
    [anon_sym_when] = ACTIONS(5724),
    [anon_sym_elsif] = ACTIONS(5724),
    [anon_sym_else] = ACTIONS(5724),
    [anon_sym_then] = ACTIONS(5724),
    [anon_sym_ensure] = ACTIONS(5724),
    [anon_sym_EQ_GT] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_DOT_DOT] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_LT_LT] = ACTIONS(5724),
    [anon_sym_GT_GT] = ACTIONS(5724),
    [anon_sym_EQ_EQ] = ACTIONS(5726),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_EQ_TILDE] = ACTIONS(5724),
    [anon_sym_BANG_TILDE] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_CARET] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5724),
    [anon_sym_SLASH] = ACTIONS(5724),
    [anon_sym_PERCENT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(87),
  },
  [1477] = {
    [anon_sym_end] = ACTIONS(5728),
    [sym_comment] = ACTIONS(87),
  },
  [1478] = {
    [sym__statements] = STATE(3720),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(3721),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(3721),
    [sym__line_break] = ACTIONS(5730),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5732),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1479] = {
    [sym__statements] = STATE(3720),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(3722),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5732),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1480] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(3731),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(3731),
    [sym_operator_assignment] = STATE(3731),
    [sym_conditional] = STATE(3731),
    [sym_range] = STATE(3731),
    [sym_binary] = STATE(3731),
    [sym_unary] = STATE(3731),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_COMMA] = ACTIONS(5736),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(5746),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1481] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(3736),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(3736),
    [sym_operator_assignment] = STATE(3736),
    [sym_conditional] = STATE(3736),
    [sym_range] = STATE(3736),
    [sym_binary] = STATE(3736),
    [sym_unary] = STATE(3736),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1482] = {
    [sym__line_break] = ACTIONS(5760),
    [sym__heredoc_body_start] = ACTIONS(5760),
    [sym__element_reference_left_bracket] = ACTIONS(5760),
    [sym__infix_scope_colons] = ACTIONS(5760),
    [sym__binary_minus] = ACTIONS(5760),
    [sym__binary_star] = ACTIONS(5760),
    [ts_builtin_sym_end] = ACTIONS(5760),
    [anon_sym___END__] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym_STAR_STAR] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_end] = ACTIONS(5760),
    [anon_sym_if] = ACTIONS(5760),
    [anon_sym_unless] = ACTIONS(5760),
    [anon_sym_while] = ACTIONS(5760),
    [anon_sym_until] = ACTIONS(5760),
    [anon_sym_rescue] = ACTIONS(5760),
    [anon_sym_do] = ACTIONS(5760),
    [anon_sym_when] = ACTIONS(5760),
    [anon_sym_elsif] = ACTIONS(5760),
    [anon_sym_else] = ACTIONS(5760),
    [anon_sym_then] = ACTIONS(5760),
    [anon_sym_ensure] = ACTIONS(5760),
    [anon_sym_EQ_GT] = ACTIONS(5760),
    [anon_sym_AMP_DOT] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_DOT_DOT] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5762),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_EQ_TILDE] = ACTIONS(5760),
    [anon_sym_BANG_TILDE] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(87),
  },
  [1483] = {
    [sym__simple_formal_parameter] = STATE(3737),
    [sym_splat_parameter] = STATE(3737),
    [sym_hash_splat_parameter] = STATE(3737),
    [sym_block_parameter] = STATE(3737),
    [sym_keyword_parameter] = STATE(3737),
    [sym_optional_parameter] = STATE(3737),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(5764),
    [sym_comment] = ACTIONS(87),
  },
  [1484] = {
    [aux_sym_lambda_parameters_repeat1] = STATE(3738),
    [anon_sym_LBRACE] = ACTIONS(5698),
    [anon_sym_COMMA] = ACTIONS(2519),
    [anon_sym_do] = ACTIONS(5698),
    [sym_comment] = ACTIONS(87),
  },
  [1485] = {
    [sym_uninterpreted] = ACTIONS(5766),
    [sym_comment] = ACTIONS(109),
  },
  [1486] = {
    [sym__line_break] = ACTIONS(5768),
    [sym__heredoc_body_start] = ACTIONS(5768),
    [ts_builtin_sym_end] = ACTIONS(5768),
    [anon_sym___END__] = ACTIONS(5768),
    [anon_sym_RBRACE] = ACTIONS(5768),
    [anon_sym_RPAREN] = ACTIONS(5768),
    [anon_sym_SEMI] = ACTIONS(5768),
    [anon_sym_end] = ACTIONS(5768),
    [anon_sym_rescue] = ACTIONS(5768),
    [anon_sym_when] = ACTIONS(5768),
    [anon_sym_elsif] = ACTIONS(5768),
    [anon_sym_else] = ACTIONS(5768),
    [anon_sym_ensure] = ACTIONS(5768),
    [sym_comment] = ACTIONS(87),
  },
  [1487] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(47),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(49),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(49),
    [sym_operator_assignment] = STATE(49),
    [sym_conditional] = STATE(49),
    [sym_range] = STATE(49),
    [sym_binary] = STATE(49),
    [sym_unary] = STATE(49),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [ts_builtin_sym_end] = ACTIONS(5770),
    [anon_sym___END__] = ACTIONS(5772),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1488] = {
    [sym_heredoc_body] = STATE(3740),
    [sym__terminator] = STATE(3740),
    [aux_sym__statements_repeat1] = STATE(1488),
    [sym__line_break] = ACTIONS(5774),
    [sym__heredoc_body_start] = ACTIONS(5777),
    [ts_builtin_sym_end] = ACTIONS(5768),
    [anon_sym___END__] = ACTIONS(5768),
    [anon_sym_SEMI] = ACTIONS(5774),
    [sym_comment] = ACTIONS(87),
  },
  [1489] = {
    [sym__line_break] = ACTIONS(5780),
    [sym__heredoc_body_start] = ACTIONS(5780),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5780),
    [anon_sym___END__] = ACTIONS(5780),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_unless] = ACTIONS(5780),
    [anon_sym_while] = ACTIONS(5780),
    [anon_sym_until] = ACTIONS(5780),
    [anon_sym_rescue] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(719),
    [anon_sym_and] = ACTIONS(721),
    [anon_sym_or] = ACTIONS(721),
    [anon_sym_PIPE_PIPE] = ACTIONS(723),
    [anon_sym_AMP_AMP] = ACTIONS(723),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1490] = {
    [sym__line_break] = ACTIONS(5782),
    [sym__heredoc_body_start] = ACTIONS(5782),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5782),
    [anon_sym___END__] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(5782),
    [anon_sym_unless] = ACTIONS(5782),
    [anon_sym_while] = ACTIONS(5782),
    [anon_sym_until] = ACTIONS(5782),
    [anon_sym_rescue] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(719),
    [anon_sym_and] = ACTIONS(721),
    [anon_sym_or] = ACTIONS(721),
    [anon_sym_PIPE_PIPE] = ACTIONS(723),
    [anon_sym_AMP_AMP] = ACTIONS(723),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1491] = {
    [sym__line_break] = ACTIONS(5784),
    [sym__heredoc_body_start] = ACTIONS(5784),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5784),
    [anon_sym___END__] = ACTIONS(5784),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_unless] = ACTIONS(5784),
    [anon_sym_while] = ACTIONS(5784),
    [anon_sym_until] = ACTIONS(5784),
    [anon_sym_rescue] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(719),
    [anon_sym_and] = ACTIONS(721),
    [anon_sym_or] = ACTIONS(721),
    [anon_sym_PIPE_PIPE] = ACTIONS(723),
    [anon_sym_AMP_AMP] = ACTIONS(723),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1492] = {
    [sym__line_break] = ACTIONS(5786),
    [sym__heredoc_body_start] = ACTIONS(5786),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5786),
    [anon_sym___END__] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(5786),
    [anon_sym_unless] = ACTIONS(5786),
    [anon_sym_while] = ACTIONS(5786),
    [anon_sym_until] = ACTIONS(5786),
    [anon_sym_rescue] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(719),
    [anon_sym_and] = ACTIONS(721),
    [anon_sym_or] = ACTIONS(721),
    [anon_sym_PIPE_PIPE] = ACTIONS(723),
    [anon_sym_AMP_AMP] = ACTIONS(723),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1493] = {
    [sym__line_break] = ACTIONS(5788),
    [sym__heredoc_body_start] = ACTIONS(5788),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5788),
    [anon_sym___END__] = ACTIONS(5788),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(5788),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(5788),
    [anon_sym_unless] = ACTIONS(5788),
    [anon_sym_while] = ACTIONS(5788),
    [anon_sym_until] = ACTIONS(5788),
    [anon_sym_rescue] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(719),
    [anon_sym_and] = ACTIONS(721),
    [anon_sym_or] = ACTIONS(721),
    [anon_sym_PIPE_PIPE] = ACTIONS(723),
    [anon_sym_AMP_AMP] = ACTIONS(723),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1494] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5790),
    [anon_sym___END__] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1495] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [ts_builtin_sym_end] = ACTIONS(5794),
    [anon_sym___END__] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [1496] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1497] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [1498] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1499] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1500] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(3741),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(3741),
    [sym_operator_assignment] = STATE(3741),
    [sym_conditional] = STATE(3741),
    [sym_range] = STATE(3741),
    [sym_binary] = STATE(3741),
    [sym_unary] = STATE(3741),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1501] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(587),
    [sym__argument_list_with_parens] = STATE(3757),
    [sym__argument] = STATE(3758),
    [sym_splat_argument] = STATE(3758),
    [sym_hash_splat_argument] = STATE(3758),
    [sym_block_argument] = STATE(3758),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3758),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1502] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(593),
    [sym__argument_list_with_parens] = STATE(3757),
    [sym__argument] = STATE(3758),
    [sym_splat_argument] = STATE(3758),
    [sym_hash_splat_argument] = STATE(3758),
    [sym_block_argument] = STATE(3758),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3758),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_COLON] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1503] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(594),
    [sym__argument_list_with_parens] = STATE(3757),
    [sym__argument] = STATE(3758),
    [sym_splat_argument] = STATE(3758),
    [sym_hash_splat_argument] = STATE(3758),
    [sym_block_argument] = STATE(3758),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3758),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_COLON] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1504] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(595),
    [sym__argument_list_with_parens] = STATE(3757),
    [sym__argument] = STATE(3758),
    [sym_splat_argument] = STATE(3758),
    [sym_hash_splat_argument] = STATE(3758),
    [sym_block_argument] = STATE(3758),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(3758),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_COLON] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1505] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(3762),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(3762),
    [sym_operator_assignment] = STATE(3762),
    [sym_conditional] = STATE(3762),
    [sym_range] = STATE(3762),
    [sym_binary] = STATE(3762),
    [sym_unary] = STATE(3762),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1506] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(3763),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(3763),
    [sym_operator_assignment] = STATE(3763),
    [sym_conditional] = STATE(3763),
    [sym_range] = STATE(3763),
    [sym_binary] = STATE(3763),
    [sym_unary] = STATE(3763),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1507] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(611),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(611),
    [sym_operator_assignment] = STATE(611),
    [sym_conditional] = STATE(611),
    [sym_range] = STATE(611),
    [sym_binary] = STATE(611),
    [sym_unary] = STATE(611),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1508] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(5846),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [1509] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3790),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(1759),
    [sym__argument_list_with_parens] = STATE(3792),
    [sym__argument] = STATE(3793),
    [sym_splat_argument] = STATE(3793),
    [sym_hash_splat_argument] = STATE(3793),
    [sym_block_argument] = STATE(3793),
    [sym_do_block] = STATE(1762),
    [sym_block] = STATE(1762),
    [sym_assignment] = STATE(3790),
    [sym_operator_assignment] = STATE(3790),
    [sym_conditional] = STATE(3790),
    [sym_range] = STATE(3790),
    [sym_binary] = STATE(3790),
    [sym_unary] = STATE(3790),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3796),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3793),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(5866),
    [sym__splat_star] = ACTIONS(5868),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5890),
    [sym_identifier] = ACTIONS(5890),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1510] = {
    [anon_sym_EQ] = ACTIONS(5896),
    [sym_comment] = ACTIONS(87),
  },
  [1511] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(5898),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(5900),
    [anon_sym_DASH_EQ] = ACTIONS(5900),
    [anon_sym_STAR_EQ] = ACTIONS(5900),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5900),
    [anon_sym_SLASH_EQ] = ACTIONS(5900),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5900),
    [anon_sym_PIPE_EQ] = ACTIONS(5900),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5900),
    [anon_sym_AMP_EQ] = ACTIONS(5900),
    [anon_sym_PERCENT_EQ] = ACTIONS(5900),
    [anon_sym_GT_GT_EQ] = ACTIONS(5900),
    [anon_sym_LT_LT_EQ] = ACTIONS(5900),
    [anon_sym_CARET_EQ] = ACTIONS(5900),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1512] = {
    [sym_string] = STATE(3799),
    [aux_sym_chained_string_repeat1] = STATE(3799),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1513] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5902),
    [anon_sym___END__] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(719),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(723),
    [anon_sym_AMP_AMP] = ACTIONS(723),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1514] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(719),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(723),
    [anon_sym_AMP_AMP] = ACTIONS(723),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1515] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1516] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1517] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1518] = {
    [sym__line_break] = ACTIONS(5904),
    [sym__heredoc_body_start] = ACTIONS(5904),
    [sym__element_reference_left_bracket] = ACTIONS(5904),
    [sym__infix_scope_colons] = ACTIONS(5904),
    [sym__binary_minus] = ACTIONS(5904),
    [sym__binary_star] = ACTIONS(5904),
    [ts_builtin_sym_end] = ACTIONS(5904),
    [anon_sym___END__] = ACTIONS(5904),
    [anon_sym_LBRACE] = ACTIONS(5904),
    [anon_sym_RBRACE] = ACTIONS(5904),
    [anon_sym_RPAREN] = ACTIONS(5904),
    [anon_sym_DOT] = ACTIONS(5906),
    [anon_sym_COMMA] = ACTIONS(5904),
    [anon_sym_PIPE] = ACTIONS(5906),
    [anon_sym_SEMI] = ACTIONS(5904),
    [anon_sym_STAR_STAR] = ACTIONS(5906),
    [anon_sym_AMP] = ACTIONS(5906),
    [anon_sym_EQ] = ACTIONS(5906),
    [anon_sym_LT] = ACTIONS(5906),
    [anon_sym_end] = ACTIONS(5904),
    [anon_sym_if] = ACTIONS(5904),
    [anon_sym_unless] = ACTIONS(5904),
    [anon_sym_while] = ACTIONS(5904),
    [anon_sym_until] = ACTIONS(5904),
    [anon_sym_rescue] = ACTIONS(5904),
    [anon_sym_do] = ACTIONS(5904),
    [anon_sym_when] = ACTIONS(5904),
    [anon_sym_elsif] = ACTIONS(5904),
    [anon_sym_else] = ACTIONS(5904),
    [anon_sym_then] = ACTIONS(5904),
    [anon_sym_ensure] = ACTIONS(5904),
    [anon_sym_AMP_DOT] = ACTIONS(5904),
    [anon_sym_PLUS_EQ] = ACTIONS(5904),
    [anon_sym_DASH_EQ] = ACTIONS(5904),
    [anon_sym_STAR_EQ] = ACTIONS(5904),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5904),
    [anon_sym_SLASH_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5904),
    [anon_sym_AMP_EQ] = ACTIONS(5904),
    [anon_sym_PERCENT_EQ] = ACTIONS(5904),
    [anon_sym_GT_GT_EQ] = ACTIONS(5904),
    [anon_sym_LT_LT_EQ] = ACTIONS(5904),
    [anon_sym_CARET_EQ] = ACTIONS(5904),
    [anon_sym_QMARK] = ACTIONS(5904),
    [anon_sym_DOT_DOT] = ACTIONS(5906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5904),
    [anon_sym_and] = ACTIONS(5904),
    [anon_sym_or] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE] = ACTIONS(5906),
    [anon_sym_AMP_AMP] = ACTIONS(5906),
    [anon_sym_LT_LT] = ACTIONS(5906),
    [anon_sym_GT_GT] = ACTIONS(5906),
    [anon_sym_EQ_EQ] = ACTIONS(5906),
    [anon_sym_BANG_EQ] = ACTIONS(5904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5904),
    [anon_sym_LT_EQ_GT] = ACTIONS(5904),
    [anon_sym_EQ_TILDE] = ACTIONS(5904),
    [anon_sym_BANG_TILDE] = ACTIONS(5904),
    [anon_sym_LT_EQ] = ACTIONS(5906),
    [anon_sym_GT] = ACTIONS(5906),
    [anon_sym_GT_EQ] = ACTIONS(5904),
    [anon_sym_CARET] = ACTIONS(5906),
    [anon_sym_PLUS] = ACTIONS(5906),
    [anon_sym_SLASH] = ACTIONS(5906),
    [anon_sym_PERCENT] = ACTIONS(5906),
    [sym_comment] = ACTIONS(87),
  },
  [1519] = {
    [sym_heredoc_body] = STATE(3801),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(5908),
    [sym_comment] = ACTIONS(87),
  },
  [1520] = {
    [anon_sym_RBRACK] = ACTIONS(5908),
    [sym_comment] = ACTIONS(87),
  },
  [1521] = {
    [sym__line_break] = ACTIONS(5910),
    [sym__simple_symbol] = ACTIONS(5910),
    [sym__string_start] = ACTIONS(5910),
    [sym__symbol_start] = ACTIONS(5910),
    [sym__subshell_start] = ACTIONS(5910),
    [sym__regex_start] = ACTIONS(5910),
    [sym__string_array_start] = ACTIONS(5910),
    [sym__symbol_array_start] = ACTIONS(5910),
    [sym__heredoc_body_start] = ACTIONS(5910),
    [sym_heredoc_beginning] = ACTIONS(5910),
    [sym__element_reference_left_bracket] = ACTIONS(5910),
    [sym__block_ampersand] = ACTIONS(5910),
    [sym__splat_star] = ACTIONS(5910),
    [sym__argument_list_left_paren] = ACTIONS(5910),
    [sym__infix_scope_colons] = ACTIONS(5910),
    [sym__unary_minus] = ACTIONS(5910),
    [sym__binary_minus] = ACTIONS(5910),
    [sym__binary_star] = ACTIONS(5910),
    [sym__identifier_hash_key] = ACTIONS(5910),
    [ts_builtin_sym_end] = ACTIONS(5910),
    [anon_sym___END__] = ACTIONS(5912),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_RBRACE] = ACTIONS(5910),
    [anon_sym_def] = ACTIONS(5912),
    [anon_sym_LPAREN] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_COLON_COLON] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_STAR_STAR] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_EQ] = ACTIONS(5912),
    [anon_sym_class] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_module] = ACTIONS(5912),
    [anon_sym_end] = ACTIONS(5912),
    [anon_sym_return] = ACTIONS(5912),
    [anon_sym_yield] = ACTIONS(5912),
    [anon_sym_break] = ACTIONS(5912),
    [anon_sym_next] = ACTIONS(5912),
    [sym_redo] = ACTIONS(5912),
    [sym_retry] = ACTIONS(5912),
    [anon_sym_if] = ACTIONS(5912),
    [anon_sym_unless] = ACTIONS(5912),
    [anon_sym_while] = ACTIONS(5912),
    [anon_sym_until] = ACTIONS(5912),
    [anon_sym_rescue] = ACTIONS(5912),
    [anon_sym_for] = ACTIONS(5912),
    [anon_sym_do] = ACTIONS(5912),
    [anon_sym_case] = ACTIONS(5912),
    [anon_sym_when] = ACTIONS(5912),
    [anon_sym_elsif] = ACTIONS(5912),
    [anon_sym_else] = ACTIONS(5912),
    [anon_sym_then] = ACTIONS(5912),
    [anon_sym_begin] = ACTIONS(5912),
    [anon_sym_ensure] = ACTIONS(5912),
    [anon_sym_AMP_DOT] = ACTIONS(5910),
    [anon_sym_PLUS_EQ] = ACTIONS(5910),
    [anon_sym_DASH_EQ] = ACTIONS(5910),
    [anon_sym_STAR_EQ] = ACTIONS(5910),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5910),
    [anon_sym_SLASH_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5910),
    [anon_sym_AMP_EQ] = ACTIONS(5910),
    [anon_sym_PERCENT_EQ] = ACTIONS(5910),
    [anon_sym_GT_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_LT_EQ] = ACTIONS(5910),
    [anon_sym_CARET_EQ] = ACTIONS(5910),
    [anon_sym_QMARK] = ACTIONS(5912),
    [anon_sym_DOT_DOT] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_and] = ACTIONS(5912),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_PIPE_PIPE] = ACTIONS(5912),
    [anon_sym_AMP_AMP] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5912),
    [anon_sym_GT_GT] = ACTIONS(5912),
    [anon_sym_EQ_EQ] = ACTIONS(5912),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_EQ_TILDE] = ACTIONS(5910),
    [anon_sym_BANG_TILDE] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5912),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_CARET] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5912),
    [anon_sym_defined_QMARK] = ACTIONS(5910),
    [anon_sym_not] = ACTIONS(5912),
    [anon_sym_BANG] = ACTIONS(5912),
    [anon_sym_TILDE] = ACTIONS(5910),
    [sym_constant] = ACTIONS(5912),
    [sym_identifier] = ACTIONS(5912),
    [sym_instance_variable] = ACTIONS(5910),
    [sym_class_variable] = ACTIONS(5910),
    [sym_global_variable] = ACTIONS(5910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5912),
    [sym_float] = ACTIONS(5912),
    [sym_complex] = ACTIONS(5910),
    [sym_super] = ACTIONS(5912),
    [anon_sym_true] = ACTIONS(5912),
    [anon_sym_TRUE] = ACTIONS(5912),
    [anon_sym_false] = ACTIONS(5912),
    [anon_sym_FALSE] = ACTIONS(5912),
    [sym_self] = ACTIONS(5912),
    [anon_sym_nil] = ACTIONS(5912),
    [anon_sym_NIL] = ACTIONS(5912),
    [sym_character] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
  },
  [1522] = {
    [sym_interpolation] = STATE(3803),
    [aux_sym_heredoc_body_repeat1] = STATE(3803),
    [sym__heredoc_content] = ACTIONS(5914),
    [sym_heredoc_end] = ACTIONS(5916),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(5914),
  },
  [1523] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(3805),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(3806),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(5918),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1524] = {
    [sym__line_break] = ACTIONS(1267),
    [sym__simple_symbol] = ACTIONS(1267),
    [sym__string_start] = ACTIONS(1267),
    [sym__symbol_start] = ACTIONS(1267),
    [sym__subshell_start] = ACTIONS(1267),
    [sym__regex_start] = ACTIONS(1267),
    [sym__string_array_start] = ACTIONS(1267),
    [sym__symbol_array_start] = ACTIONS(1267),
    [sym__heredoc_body_start] = ACTIONS(1267),
    [sym_heredoc_beginning] = ACTIONS(1267),
    [sym__element_reference_left_bracket] = ACTIONS(1267),
    [sym__block_ampersand] = ACTIONS(1267),
    [sym__splat_star] = ACTIONS(1267),
    [sym__argument_list_left_paren] = ACTIONS(1267),
    [sym__infix_scope_colons] = ACTIONS(1267),
    [sym__unary_minus] = ACTIONS(1267),
    [sym__binary_minus] = ACTIONS(1267),
    [sym__binary_star] = ACTIONS(1267),
    [sym__identifier_hash_key] = ACTIONS(1267),
    [ts_builtin_sym_end] = ACTIONS(1267),
    [anon_sym___END__] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_def] = ACTIONS(1269),
    [anon_sym_LPAREN] = ACTIONS(1267),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [anon_sym_DOT] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_end] = ACTIONS(1269),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_yield] = ACTIONS(1269),
    [anon_sym_break] = ACTIONS(1269),
    [anon_sym_next] = ACTIONS(1269),
    [sym_redo] = ACTIONS(1269),
    [sym_retry] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1269),
    [anon_sym_unless] = ACTIONS(1269),
    [anon_sym_while] = ACTIONS(1269),
    [anon_sym_until] = ACTIONS(1269),
    [anon_sym_rescue] = ACTIONS(1269),
    [anon_sym_for] = ACTIONS(1269),
    [anon_sym_do] = ACTIONS(1269),
    [anon_sym_case] = ACTIONS(1269),
    [anon_sym_when] = ACTIONS(1269),
    [anon_sym_elsif] = ACTIONS(1269),
    [anon_sym_else] = ACTIONS(1269),
    [anon_sym_then] = ACTIONS(1269),
    [anon_sym_begin] = ACTIONS(1269),
    [anon_sym_ensure] = ACTIONS(1269),
    [anon_sym_AMP_DOT] = ACTIONS(1267),
    [anon_sym_PLUS_EQ] = ACTIONS(1267),
    [anon_sym_DASH_EQ] = ACTIONS(1267),
    [anon_sym_STAR_EQ] = ACTIONS(1267),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1267),
    [anon_sym_SLASH_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1267),
    [anon_sym_AMP_EQ] = ACTIONS(1267),
    [anon_sym_PERCENT_EQ] = ACTIONS(1267),
    [anon_sym_GT_GT_EQ] = ACTIONS(1267),
    [anon_sym_LT_LT_EQ] = ACTIONS(1267),
    [anon_sym_CARET_EQ] = ACTIONS(1267),
    [anon_sym_QMARK] = ACTIONS(1269),
    [anon_sym_DOT_DOT] = ACTIONS(1269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1267),
    [anon_sym_and] = ACTIONS(1269),
    [anon_sym_or] = ACTIONS(1269),
    [anon_sym_PIPE_PIPE] = ACTIONS(1269),
    [anon_sym_AMP_AMP] = ACTIONS(1269),
    [anon_sym_LT_LT] = ACTIONS(1269),
    [anon_sym_GT_GT] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_BANG_EQ] = ACTIONS(1267),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1267),
    [anon_sym_LT_EQ_GT] = ACTIONS(1267),
    [anon_sym_EQ_TILDE] = ACTIONS(1267),
    [anon_sym_BANG_TILDE] = ACTIONS(1267),
    [anon_sym_LT_EQ] = ACTIONS(1269),
    [anon_sym_GT] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1267),
    [anon_sym_not] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1267),
    [sym_constant] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1269),
    [sym_instance_variable] = ACTIONS(1267),
    [sym_class_variable] = ACTIONS(1267),
    [sym_global_variable] = ACTIONS(1267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1269),
    [sym_float] = ACTIONS(1269),
    [sym_complex] = ACTIONS(1267),
    [sym_super] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1269),
    [anon_sym_TRUE] = ACTIONS(1269),
    [anon_sym_false] = ACTIONS(1269),
    [anon_sym_FALSE] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [anon_sym_nil] = ACTIONS(1269),
    [anon_sym_NIL] = ACTIONS(1269),
    [sym_character] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1267),
    [anon_sym_DASH_GT] = ACTIONS(1267),
  },
  [1525] = {
    [sym__line_break] = ACTIONS(5920),
    [sym__simple_symbol] = ACTIONS(5920),
    [sym__string_start] = ACTIONS(5920),
    [sym__symbol_start] = ACTIONS(5920),
    [sym__subshell_start] = ACTIONS(5920),
    [sym__regex_start] = ACTIONS(5920),
    [sym__string_array_start] = ACTIONS(5920),
    [sym__symbol_array_start] = ACTIONS(5920),
    [sym__heredoc_body_start] = ACTIONS(5920),
    [sym_heredoc_beginning] = ACTIONS(5920),
    [sym__element_reference_left_bracket] = ACTIONS(5920),
    [sym__block_ampersand] = ACTIONS(5920),
    [sym__splat_star] = ACTIONS(5920),
    [sym__argument_list_left_paren] = ACTIONS(5920),
    [sym__infix_scope_colons] = ACTIONS(5920),
    [sym__unary_minus] = ACTIONS(5920),
    [sym__binary_minus] = ACTIONS(5920),
    [sym__binary_star] = ACTIONS(5920),
    [sym__identifier_hash_key] = ACTIONS(5920),
    [ts_builtin_sym_end] = ACTIONS(5920),
    [anon_sym___END__] = ACTIONS(5922),
    [anon_sym_LBRACE] = ACTIONS(5920),
    [anon_sym_RBRACE] = ACTIONS(5920),
    [anon_sym_def] = ACTIONS(5922),
    [anon_sym_LPAREN] = ACTIONS(5920),
    [anon_sym_RPAREN] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5922),
    [anon_sym_COLON_COLON] = ACTIONS(5920),
    [anon_sym_COMMA] = ACTIONS(5920),
    [anon_sym_PIPE] = ACTIONS(5922),
    [anon_sym_SEMI] = ACTIONS(5920),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_STAR_STAR] = ACTIONS(5922),
    [anon_sym_AMP] = ACTIONS(5922),
    [anon_sym_EQ] = ACTIONS(5922),
    [anon_sym_class] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(5922),
    [anon_sym_module] = ACTIONS(5922),
    [anon_sym_end] = ACTIONS(5922),
    [anon_sym_return] = ACTIONS(5922),
    [anon_sym_yield] = ACTIONS(5922),
    [anon_sym_break] = ACTIONS(5922),
    [anon_sym_next] = ACTIONS(5922),
    [sym_redo] = ACTIONS(5922),
    [sym_retry] = ACTIONS(5922),
    [anon_sym_if] = ACTIONS(5922),
    [anon_sym_unless] = ACTIONS(5922),
    [anon_sym_while] = ACTIONS(5922),
    [anon_sym_until] = ACTIONS(5922),
    [anon_sym_rescue] = ACTIONS(5922),
    [anon_sym_for] = ACTIONS(5922),
    [anon_sym_do] = ACTIONS(5922),
    [anon_sym_case] = ACTIONS(5922),
    [anon_sym_when] = ACTIONS(5922),
    [anon_sym_elsif] = ACTIONS(5922),
    [anon_sym_else] = ACTIONS(5922),
    [anon_sym_then] = ACTIONS(5922),
    [anon_sym_begin] = ACTIONS(5922),
    [anon_sym_ensure] = ACTIONS(5922),
    [anon_sym_AMP_DOT] = ACTIONS(5920),
    [anon_sym_PLUS_EQ] = ACTIONS(5920),
    [anon_sym_DASH_EQ] = ACTIONS(5920),
    [anon_sym_STAR_EQ] = ACTIONS(5920),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5920),
    [anon_sym_SLASH_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5920),
    [anon_sym_AMP_EQ] = ACTIONS(5920),
    [anon_sym_PERCENT_EQ] = ACTIONS(5920),
    [anon_sym_GT_GT_EQ] = ACTIONS(5920),
    [anon_sym_LT_LT_EQ] = ACTIONS(5920),
    [anon_sym_CARET_EQ] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_DOT_DOT] = ACTIONS(5922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5920),
    [anon_sym_and] = ACTIONS(5922),
    [anon_sym_or] = ACTIONS(5922),
    [anon_sym_PIPE_PIPE] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5922),
    [anon_sym_LT_LT] = ACTIONS(5922),
    [anon_sym_GT_GT] = ACTIONS(5922),
    [anon_sym_EQ_EQ] = ACTIONS(5922),
    [anon_sym_BANG_EQ] = ACTIONS(5920),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5920),
    [anon_sym_LT_EQ_GT] = ACTIONS(5920),
    [anon_sym_EQ_TILDE] = ACTIONS(5920),
    [anon_sym_BANG_TILDE] = ACTIONS(5920),
    [anon_sym_LT_EQ] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(5922),
    [anon_sym_GT_EQ] = ACTIONS(5920),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_PLUS] = ACTIONS(5922),
    [anon_sym_SLASH] = ACTIONS(5922),
    [anon_sym_PERCENT] = ACTIONS(5922),
    [anon_sym_defined_QMARK] = ACTIONS(5920),
    [anon_sym_not] = ACTIONS(5922),
    [anon_sym_BANG] = ACTIONS(5922),
    [anon_sym_TILDE] = ACTIONS(5920),
    [sym_constant] = ACTIONS(5922),
    [sym_identifier] = ACTIONS(5922),
    [sym_instance_variable] = ACTIONS(5920),
    [sym_class_variable] = ACTIONS(5920),
    [sym_global_variable] = ACTIONS(5920),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5922),
    [sym_float] = ACTIONS(5922),
    [sym_complex] = ACTIONS(5920),
    [sym_super] = ACTIONS(5922),
    [anon_sym_true] = ACTIONS(5922),
    [anon_sym_TRUE] = ACTIONS(5922),
    [anon_sym_false] = ACTIONS(5922),
    [anon_sym_FALSE] = ACTIONS(5922),
    [sym_self] = ACTIONS(5922),
    [anon_sym_nil] = ACTIONS(5922),
    [anon_sym_NIL] = ACTIONS(5922),
    [sym_character] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
  },
  [1526] = {
    [sym__line_break] = ACTIONS(5924),
    [sym__simple_symbol] = ACTIONS(5924),
    [sym__string_start] = ACTIONS(5924),
    [sym__symbol_start] = ACTIONS(5924),
    [sym__subshell_start] = ACTIONS(5924),
    [sym__regex_start] = ACTIONS(5924),
    [sym__string_array_start] = ACTIONS(5924),
    [sym__symbol_array_start] = ACTIONS(5924),
    [sym__heredoc_body_start] = ACTIONS(5924),
    [sym_heredoc_beginning] = ACTIONS(5924),
    [sym__element_reference_left_bracket] = ACTIONS(5924),
    [sym__block_ampersand] = ACTIONS(5924),
    [sym__splat_star] = ACTIONS(5924),
    [sym__argument_list_left_paren] = ACTIONS(5924),
    [sym__infix_scope_colons] = ACTIONS(5924),
    [sym__unary_minus] = ACTIONS(5924),
    [sym__binary_minus] = ACTIONS(5924),
    [sym__binary_star] = ACTIONS(5924),
    [sym__identifier_hash_key] = ACTIONS(5924),
    [ts_builtin_sym_end] = ACTIONS(5924),
    [anon_sym___END__] = ACTIONS(5926),
    [anon_sym_LBRACE] = ACTIONS(5924),
    [anon_sym_RBRACE] = ACTIONS(5924),
    [anon_sym_def] = ACTIONS(5926),
    [anon_sym_LPAREN] = ACTIONS(5924),
    [anon_sym_RPAREN] = ACTIONS(5924),
    [anon_sym_DOT] = ACTIONS(5926),
    [anon_sym_COLON_COLON] = ACTIONS(5924),
    [anon_sym_COMMA] = ACTIONS(5924),
    [anon_sym_PIPE] = ACTIONS(5926),
    [anon_sym_SEMI] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_STAR_STAR] = ACTIONS(5926),
    [anon_sym_AMP] = ACTIONS(5926),
    [anon_sym_EQ] = ACTIONS(5926),
    [anon_sym_class] = ACTIONS(5926),
    [anon_sym_LT] = ACTIONS(5926),
    [anon_sym_module] = ACTIONS(5926),
    [anon_sym_end] = ACTIONS(5926),
    [anon_sym_return] = ACTIONS(5926),
    [anon_sym_yield] = ACTIONS(5926),
    [anon_sym_break] = ACTIONS(5926),
    [anon_sym_next] = ACTIONS(5926),
    [sym_redo] = ACTIONS(5926),
    [sym_retry] = ACTIONS(5926),
    [anon_sym_if] = ACTIONS(5926),
    [anon_sym_unless] = ACTIONS(5926),
    [anon_sym_while] = ACTIONS(5926),
    [anon_sym_until] = ACTIONS(5926),
    [anon_sym_rescue] = ACTIONS(5926),
    [anon_sym_for] = ACTIONS(5926),
    [anon_sym_do] = ACTIONS(5926),
    [anon_sym_case] = ACTIONS(5926),
    [anon_sym_when] = ACTIONS(5926),
    [anon_sym_elsif] = ACTIONS(5926),
    [anon_sym_else] = ACTIONS(5926),
    [anon_sym_then] = ACTIONS(5926),
    [anon_sym_begin] = ACTIONS(5926),
    [anon_sym_ensure] = ACTIONS(5926),
    [anon_sym_AMP_DOT] = ACTIONS(5924),
    [anon_sym_PLUS_EQ] = ACTIONS(5924),
    [anon_sym_DASH_EQ] = ACTIONS(5924),
    [anon_sym_STAR_EQ] = ACTIONS(5924),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5924),
    [anon_sym_SLASH_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5924),
    [anon_sym_AMP_EQ] = ACTIONS(5924),
    [anon_sym_PERCENT_EQ] = ACTIONS(5924),
    [anon_sym_GT_GT_EQ] = ACTIONS(5924),
    [anon_sym_LT_LT_EQ] = ACTIONS(5924),
    [anon_sym_CARET_EQ] = ACTIONS(5924),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_DOT_DOT] = ACTIONS(5926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5924),
    [anon_sym_and] = ACTIONS(5926),
    [anon_sym_or] = ACTIONS(5926),
    [anon_sym_PIPE_PIPE] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_LT_LT] = ACTIONS(5926),
    [anon_sym_GT_GT] = ACTIONS(5926),
    [anon_sym_EQ_EQ] = ACTIONS(5926),
    [anon_sym_BANG_EQ] = ACTIONS(5924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5924),
    [anon_sym_LT_EQ_GT] = ACTIONS(5924),
    [anon_sym_EQ_TILDE] = ACTIONS(5924),
    [anon_sym_BANG_TILDE] = ACTIONS(5924),
    [anon_sym_LT_EQ] = ACTIONS(5926),
    [anon_sym_GT] = ACTIONS(5926),
    [anon_sym_GT_EQ] = ACTIONS(5924),
    [anon_sym_CARET] = ACTIONS(5926),
    [anon_sym_PLUS] = ACTIONS(5926),
    [anon_sym_SLASH] = ACTIONS(5926),
    [anon_sym_PERCENT] = ACTIONS(5926),
    [anon_sym_defined_QMARK] = ACTIONS(5924),
    [anon_sym_not] = ACTIONS(5926),
    [anon_sym_BANG] = ACTIONS(5926),
    [anon_sym_TILDE] = ACTIONS(5924),
    [sym_constant] = ACTIONS(5926),
    [sym_identifier] = ACTIONS(5926),
    [sym_instance_variable] = ACTIONS(5924),
    [sym_class_variable] = ACTIONS(5924),
    [sym_global_variable] = ACTIONS(5924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5926),
    [sym_float] = ACTIONS(5926),
    [sym_complex] = ACTIONS(5924),
    [sym_super] = ACTIONS(5926),
    [anon_sym_true] = ACTIONS(5926),
    [anon_sym_TRUE] = ACTIONS(5926),
    [anon_sym_false] = ACTIONS(5926),
    [anon_sym_FALSE] = ACTIONS(5926),
    [sym_self] = ACTIONS(5926),
    [anon_sym_nil] = ACTIONS(5926),
    [anon_sym_NIL] = ACTIONS(5926),
    [sym_character] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5924),
    [anon_sym_DASH_GT] = ACTIONS(5924),
  },
  [1527] = {
    [sym_argument_list_with_parens] = STATE(3807),
    [sym__argument_list_with_parens] = STATE(1526),
    [sym_operator] = STATE(3807),
    [sym_heredoc_body] = STATE(3808),
    [aux_sym_call_repeat1] = STATE(3808),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(2561),
    [anon_sym_PIPE] = ACTIONS(2563),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_STAR_STAR] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(2563),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_DOT_DOT] = ACTIONS(2563),
    [anon_sym_LT_LT] = ACTIONS(2563),
    [anon_sym_GT_GT] = ACTIONS(2563),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2563),
    [anon_sym_LT_EQ_GT] = ACTIONS(2563),
    [anon_sym_EQ_TILDE] = ACTIONS(2563),
    [anon_sym_BANG_TILDE] = ACTIONS(2563),
    [anon_sym_LT_EQ] = ACTIONS(2565),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_GT_EQ] = ACTIONS(2563),
    [anon_sym_CARET] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_SLASH] = ACTIONS(2563),
    [anon_sym_PERCENT] = ACTIONS(2563),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_constant] = ACTIONS(5928),
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS_AT] = ACTIONS(2563),
    [anon_sym_DASH_AT] = ACTIONS(2563),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2565),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(2563),
    [anon_sym_BQUOTE] = ACTIONS(2563),
    [sym_comment] = ACTIONS(87),
  },
  [1528] = {
    [sym__line_break] = ACTIONS(839),
    [sym__string_start] = ACTIONS(839),
    [sym__heredoc_body_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__keyword_colon] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [ts_builtin_sym_end] = ACTIONS(839),
    [anon_sym___END__] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_end] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_unless] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(839),
    [anon_sym_until] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(839),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_when] = ACTIONS(839),
    [anon_sym_elsif] = ACTIONS(839),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_then] = ACTIONS(839),
    [anon_sym_ensure] = ACTIONS(839),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_PLUS_EQ] = ACTIONS(839),
    [anon_sym_DASH_EQ] = ACTIONS(839),
    [anon_sym_STAR_EQ] = ACTIONS(839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(839),
    [anon_sym_SLASH_EQ] = ACTIONS(839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(839),
    [anon_sym_PIPE_EQ] = ACTIONS(839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(839),
    [anon_sym_AMP_EQ] = ACTIONS(839),
    [anon_sym_PERCENT_EQ] = ACTIONS(839),
    [anon_sym_GT_GT_EQ] = ACTIONS(839),
    [anon_sym_LT_LT_EQ] = ACTIONS(839),
    [anon_sym_CARET_EQ] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(841),
    [anon_sym_LT_LT] = ACTIONS(841),
    [anon_sym_GT_GT] = ACTIONS(841),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(841),
    [anon_sym_PERCENT] = ACTIONS(841),
    [sym_comment] = ACTIONS(87),
  },
  [1529] = {
    [sym__string_end] = ACTIONS(5930),
    [sym_comment] = ACTIONS(87),
  },
  [1530] = {
    [sym__line_break] = ACTIONS(891),
    [sym__heredoc_body_start] = ACTIONS(891),
    [sym__element_reference_left_bracket] = ACTIONS(891),
    [sym__infix_scope_colons] = ACTIONS(891),
    [sym__binary_minus] = ACTIONS(891),
    [sym__binary_star] = ACTIONS(891),
    [ts_builtin_sym_end] = ACTIONS(891),
    [anon_sym___END__] = ACTIONS(891),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_STAR_STAR] = ACTIONS(893),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_end] = ACTIONS(891),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_unless] = ACTIONS(891),
    [anon_sym_while] = ACTIONS(891),
    [anon_sym_until] = ACTIONS(891),
    [anon_sym_rescue] = ACTIONS(891),
    [anon_sym_do] = ACTIONS(891),
    [anon_sym_when] = ACTIONS(891),
    [anon_sym_elsif] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(891),
    [anon_sym_then] = ACTIONS(891),
    [anon_sym_ensure] = ACTIONS(891),
    [anon_sym_EQ_GT] = ACTIONS(891),
    [anon_sym_AMP_DOT] = ACTIONS(891),
    [anon_sym_PLUS_EQ] = ACTIONS(891),
    [anon_sym_DASH_EQ] = ACTIONS(891),
    [anon_sym_STAR_EQ] = ACTIONS(891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(891),
    [anon_sym_SLASH_EQ] = ACTIONS(891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(891),
    [anon_sym_PIPE_EQ] = ACTIONS(891),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(891),
    [anon_sym_AMP_EQ] = ACTIONS(891),
    [anon_sym_PERCENT_EQ] = ACTIONS(891),
    [anon_sym_GT_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_LT_EQ] = ACTIONS(891),
    [anon_sym_CARET_EQ] = ACTIONS(891),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(891),
    [anon_sym_and] = ACTIONS(891),
    [anon_sym_or] = ACTIONS(891),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ_GT] = ACTIONS(891),
    [anon_sym_EQ_TILDE] = ACTIONS(891),
    [anon_sym_BANG_TILDE] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [sym_comment] = ACTIONS(87),
  },
  [1531] = {
    [sym__string_end] = ACTIONS(5932),
    [sym_comment] = ACTIONS(87),
  },
  [1532] = {
    [sym__line_break] = ACTIONS(897),
    [sym__heredoc_body_start] = ACTIONS(897),
    [sym__element_reference_left_bracket] = ACTIONS(897),
    [sym__infix_scope_colons] = ACTIONS(897),
    [sym__binary_minus] = ACTIONS(897),
    [sym__binary_star] = ACTIONS(897),
    [ts_builtin_sym_end] = ACTIONS(897),
    [anon_sym___END__] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(899),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_STAR_STAR] = ACTIONS(899),
    [anon_sym_AMP] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_end] = ACTIONS(897),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_unless] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_until] = ACTIONS(897),
    [anon_sym_rescue] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(897),
    [anon_sym_elsif] = ACTIONS(897),
    [anon_sym_else] = ACTIONS(897),
    [anon_sym_then] = ACTIONS(897),
    [anon_sym_ensure] = ACTIONS(897),
    [anon_sym_EQ_GT] = ACTIONS(897),
    [anon_sym_AMP_DOT] = ACTIONS(897),
    [anon_sym_PLUS_EQ] = ACTIONS(897),
    [anon_sym_DASH_EQ] = ACTIONS(897),
    [anon_sym_STAR_EQ] = ACTIONS(897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(897),
    [anon_sym_SLASH_EQ] = ACTIONS(897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(897),
    [anon_sym_PIPE_EQ] = ACTIONS(897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(897),
    [anon_sym_AMP_EQ] = ACTIONS(897),
    [anon_sym_PERCENT_EQ] = ACTIONS(897),
    [anon_sym_GT_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_LT_EQ] = ACTIONS(897),
    [anon_sym_CARET_EQ] = ACTIONS(897),
    [anon_sym_QMARK] = ACTIONS(897),
    [anon_sym_DOT_DOT] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(897),
    [anon_sym_and] = ACTIONS(897),
    [anon_sym_or] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(899),
    [anon_sym_AMP_AMP] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(899),
    [anon_sym_GT_GT] = ACTIONS(899),
    [anon_sym_EQ_EQ] = ACTIONS(899),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_EQ_TILDE] = ACTIONS(897),
    [anon_sym_BANG_TILDE] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(899),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_SLASH] = ACTIONS(899),
    [anon_sym_PERCENT] = ACTIONS(899),
    [sym_comment] = ACTIONS(87),
  },
  [1533] = {
    [sym__string_end] = ACTIONS(5934),
    [sym_comment] = ACTIONS(87),
  },
  [1534] = {
    [sym__line_break] = ACTIONS(903),
    [sym__heredoc_body_start] = ACTIONS(903),
    [sym__element_reference_left_bracket] = ACTIONS(903),
    [sym__infix_scope_colons] = ACTIONS(903),
    [sym__binary_minus] = ACTIONS(903),
    [sym__binary_star] = ACTIONS(903),
    [ts_builtin_sym_end] = ACTIONS(903),
    [anon_sym___END__] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(903),
    [anon_sym_PIPE] = ACTIONS(905),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_STAR_STAR] = ACTIONS(905),
    [anon_sym_AMP] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(905),
    [anon_sym_LT] = ACTIONS(905),
    [anon_sym_end] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(903),
    [anon_sym_unless] = ACTIONS(903),
    [anon_sym_while] = ACTIONS(903),
    [anon_sym_until] = ACTIONS(903),
    [anon_sym_rescue] = ACTIONS(903),
    [anon_sym_do] = ACTIONS(903),
    [anon_sym_when] = ACTIONS(903),
    [anon_sym_elsif] = ACTIONS(903),
    [anon_sym_else] = ACTIONS(903),
    [anon_sym_then] = ACTIONS(903),
    [anon_sym_ensure] = ACTIONS(903),
    [anon_sym_EQ_GT] = ACTIONS(903),
    [anon_sym_AMP_DOT] = ACTIONS(903),
    [anon_sym_PLUS_EQ] = ACTIONS(903),
    [anon_sym_DASH_EQ] = ACTIONS(903),
    [anon_sym_STAR_EQ] = ACTIONS(903),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(903),
    [anon_sym_SLASH_EQ] = ACTIONS(903),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(903),
    [anon_sym_PIPE_EQ] = ACTIONS(903),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(903),
    [anon_sym_AMP_EQ] = ACTIONS(903),
    [anon_sym_PERCENT_EQ] = ACTIONS(903),
    [anon_sym_GT_GT_EQ] = ACTIONS(903),
    [anon_sym_LT_LT_EQ] = ACTIONS(903),
    [anon_sym_CARET_EQ] = ACTIONS(903),
    [anon_sym_QMARK] = ACTIONS(903),
    [anon_sym_DOT_DOT] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(903),
    [anon_sym_and] = ACTIONS(903),
    [anon_sym_or] = ACTIONS(903),
    [anon_sym_PIPE_PIPE] = ACTIONS(905),
    [anon_sym_AMP_AMP] = ACTIONS(905),
    [anon_sym_LT_LT] = ACTIONS(905),
    [anon_sym_GT_GT] = ACTIONS(905),
    [anon_sym_EQ_EQ] = ACTIONS(905),
    [anon_sym_BANG_EQ] = ACTIONS(903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(903),
    [anon_sym_LT_EQ_GT] = ACTIONS(903),
    [anon_sym_EQ_TILDE] = ACTIONS(903),
    [anon_sym_BANG_TILDE] = ACTIONS(903),
    [anon_sym_LT_EQ] = ACTIONS(905),
    [anon_sym_GT] = ACTIONS(905),
    [anon_sym_GT_EQ] = ACTIONS(903),
    [anon_sym_CARET] = ACTIONS(905),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_PERCENT] = ACTIONS(905),
    [sym_comment] = ACTIONS(87),
  },
  [1535] = {
    [sym__string_end] = ACTIONS(5936),
    [sym_comment] = ACTIONS(87),
  },
  [1536] = {
    [sym__line_break] = ACTIONS(909),
    [sym__heredoc_body_start] = ACTIONS(909),
    [sym__element_reference_left_bracket] = ACTIONS(909),
    [sym__infix_scope_colons] = ACTIONS(909),
    [sym__binary_minus] = ACTIONS(909),
    [sym__binary_star] = ACTIONS(909),
    [ts_builtin_sym_end] = ACTIONS(909),
    [anon_sym___END__] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_STAR_STAR] = ACTIONS(911),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_end] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_unless] = ACTIONS(909),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_until] = ACTIONS(909),
    [anon_sym_rescue] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_elsif] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_then] = ACTIONS(909),
    [anon_sym_ensure] = ACTIONS(909),
    [anon_sym_EQ_GT] = ACTIONS(909),
    [anon_sym_AMP_DOT] = ACTIONS(909),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_and] = ACTIONS(909),
    [anon_sym_or] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(911),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ_GT] = ACTIONS(909),
    [anon_sym_EQ_TILDE] = ACTIONS(909),
    [anon_sym_BANG_TILDE] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [sym_comment] = ACTIONS(87),
  },
  [1537] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(3815),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(5938),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(5940),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [1538] = {
    [aux_sym_string_array_repeat1] = STATE(3818),
    [sym__string_end] = ACTIONS(5942),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(5944),
  },
  [1539] = {
    [sym__line_break] = ACTIONS(927),
    [sym__heredoc_body_start] = ACTIONS(927),
    [sym__element_reference_left_bracket] = ACTIONS(927),
    [sym__infix_scope_colons] = ACTIONS(927),
    [sym__binary_minus] = ACTIONS(927),
    [sym__binary_star] = ACTIONS(927),
    [ts_builtin_sym_end] = ACTIONS(927),
    [anon_sym___END__] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_RPAREN] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym_STAR_STAR] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_EQ] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_end] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_unless] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(927),
    [anon_sym_until] = ACTIONS(927),
    [anon_sym_rescue] = ACTIONS(927),
    [anon_sym_do] = ACTIONS(927),
    [anon_sym_when] = ACTIONS(927),
    [anon_sym_elsif] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(927),
    [anon_sym_then] = ACTIONS(927),
    [anon_sym_ensure] = ACTIONS(927),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_AMP_DOT] = ACTIONS(927),
    [anon_sym_PLUS_EQ] = ACTIONS(927),
    [anon_sym_DASH_EQ] = ACTIONS(927),
    [anon_sym_STAR_EQ] = ACTIONS(927),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(927),
    [anon_sym_SLASH_EQ] = ACTIONS(927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(927),
    [anon_sym_PIPE_EQ] = ACTIONS(927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(927),
    [anon_sym_AMP_EQ] = ACTIONS(927),
    [anon_sym_PERCENT_EQ] = ACTIONS(927),
    [anon_sym_GT_GT_EQ] = ACTIONS(927),
    [anon_sym_LT_LT_EQ] = ACTIONS(927),
    [anon_sym_CARET_EQ] = ACTIONS(927),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_DOT_DOT] = ACTIONS(929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(927),
    [anon_sym_and] = ACTIONS(927),
    [anon_sym_or] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(929),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(927),
    [anon_sym_LT_EQ_GT] = ACTIONS(927),
    [anon_sym_EQ_TILDE] = ACTIONS(927),
    [anon_sym_BANG_TILDE] = ACTIONS(927),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(927),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(929),
    [sym_comment] = ACTIONS(87),
  },
  [1540] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(3821),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(5946),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(5948),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [1541] = {
    [aux_sym_symbol_array_repeat1] = STATE(3824),
    [sym__string_end] = ACTIONS(5950),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(5952),
  },
  [1542] = {
    [sym__line_break] = ACTIONS(101),
    [sym__heredoc_body_start] = ACTIONS(101),
    [sym__element_reference_left_bracket] = ACTIONS(101),
    [sym__infix_scope_colons] = ACTIONS(101),
    [sym__binary_minus] = ACTIONS(101),
    [sym__binary_star] = ACTIONS(101),
    [ts_builtin_sym_end] = ACTIONS(101),
    [anon_sym___END__] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_RPAREN] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(103),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_STAR_STAR] = ACTIONS(103),
    [anon_sym_AMP] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(103),
    [anon_sym_LT] = ACTIONS(103),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_unless] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_until] = ACTIONS(101),
    [anon_sym_rescue] = ACTIONS(101),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_when] = ACTIONS(101),
    [anon_sym_elsif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_then] = ACTIONS(101),
    [anon_sym_ensure] = ACTIONS(101),
    [anon_sym_AMP_DOT] = ACTIONS(101),
    [anon_sym_PLUS_EQ] = ACTIONS(101),
    [anon_sym_DASH_EQ] = ACTIONS(101),
    [anon_sym_STAR_EQ] = ACTIONS(101),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(101),
    [anon_sym_SLASH_EQ] = ACTIONS(101),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(101),
    [anon_sym_PIPE_EQ] = ACTIONS(101),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(101),
    [anon_sym_AMP_EQ] = ACTIONS(101),
    [anon_sym_PERCENT_EQ] = ACTIONS(101),
    [anon_sym_GT_GT_EQ] = ACTIONS(101),
    [anon_sym_LT_LT_EQ] = ACTIONS(101),
    [anon_sym_CARET_EQ] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_and] = ACTIONS(101),
    [anon_sym_or] = ACTIONS(101),
    [anon_sym_PIPE_PIPE] = ACTIONS(103),
    [anon_sym_AMP_AMP] = ACTIONS(103),
    [anon_sym_LT_LT] = ACTIONS(103),
    [anon_sym_GT_GT] = ACTIONS(103),
    [anon_sym_EQ_EQ] = ACTIONS(103),
    [anon_sym_BANG_EQ] = ACTIONS(101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(101),
    [anon_sym_LT_EQ_GT] = ACTIONS(101),
    [anon_sym_EQ_TILDE] = ACTIONS(101),
    [anon_sym_BANG_TILDE] = ACTIONS(101),
    [anon_sym_LT_EQ] = ACTIONS(103),
    [anon_sym_GT] = ACTIONS(103),
    [anon_sym_GT_EQ] = ACTIONS(101),
    [anon_sym_CARET] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(103),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_PERCENT] = ACTIONS(103),
    [sym_comment] = ACTIONS(87),
  },
  [1543] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(3826),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(5954),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [1544] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(3828),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(5956),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [1545] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(3830),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(5958),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [1546] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(3832),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(5960),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [1547] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(3835),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(5962),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(5964),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [1548] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(3838),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(5966),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(5968),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [1549] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3839),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(3839),
    [sym_operator_assignment] = STATE(3839),
    [sym_conditional] = STATE(3839),
    [sym_range] = STATE(3839),
    [sym_binary] = STATE(3839),
    [sym_unary] = STATE(3839),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1550] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(117),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(117),
    [sym_operator_assignment] = STATE(117),
    [sym_conditional] = STATE(117),
    [sym_range] = STATE(117),
    [sym_binary] = STATE(117),
    [sym_unary] = STATE(117),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(123),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_heredoc_body] = STATE(3841),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym__hash_items] = STATE(3842),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(139),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(5970),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(209),
    [sym_identifier] = ACTIONS(209),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1551] = {
    [sym__method_rest] = STATE(3844),
    [sym__variable] = STATE(3845),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(3846),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(5972),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(239),
    [sym_identifier] = ACTIONS(241),
    [sym_instance_variable] = ACTIONS(239),
    [sym_class_variable] = ACTIONS(239),
    [sym_global_variable] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
    [sym_super] = ACTIONS(5974),
    [sym_self] = ACTIONS(5974),
  },
  [1552] = {
    [sym__statements] = STATE(3848),
    [sym__top_level_statement] = STATE(150),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(155),
    [sym__simple_mlhs] = STATE(156),
    [sym_destructured_left_assignment] = STATE(156),
    [sym_rest_assignment] = STATE(156),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(5976),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1553] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(3851),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(5978),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(5980),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [1554] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(3853),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(5982),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [1555] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(441),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(445),
    [sym__argument] = STATE(446),
    [sym_splat_argument] = STATE(446),
    [sym_hash_splat_argument] = STATE(446),
    [sym_block_argument] = STATE(446),
    [sym_assignment] = STATE(441),
    [sym_operator_assignment] = STATE(441),
    [sym_conditional] = STATE(441),
    [sym_range] = STATE(441),
    [sym_binary] = STATE(441),
    [sym_unary] = STATE(441),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(450),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(446),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(765),
    [sym__splat_star] = ACTIONS(767),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(773),
    [ts_builtin_sym_end] = ACTIONS(363),
    [anon_sym___END__] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(813),
    [sym_identifier] = ACTIONS(813),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1556] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(441),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(445),
    [sym__argument] = STATE(446),
    [sym_splat_argument] = STATE(446),
    [sym_hash_splat_argument] = STATE(446),
    [sym_block_argument] = STATE(446),
    [sym_assignment] = STATE(441),
    [sym_operator_assignment] = STATE(441),
    [sym_conditional] = STATE(441),
    [sym_range] = STATE(441),
    [sym_binary] = STATE(441),
    [sym_unary] = STATE(441),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(450),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(446),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(765),
    [sym__splat_star] = ACTIONS(767),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(773),
    [ts_builtin_sym_end] = ACTIONS(413),
    [anon_sym___END__] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(813),
    [sym_identifier] = ACTIONS(813),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1557] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(441),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(445),
    [sym__argument] = STATE(446),
    [sym_splat_argument] = STATE(446),
    [sym_hash_splat_argument] = STATE(446),
    [sym_block_argument] = STATE(446),
    [sym_assignment] = STATE(441),
    [sym_operator_assignment] = STATE(441),
    [sym_conditional] = STATE(441),
    [sym_range] = STATE(441),
    [sym_binary] = STATE(441),
    [sym_unary] = STATE(441),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(450),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(446),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(765),
    [sym__splat_star] = ACTIONS(767),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(773),
    [ts_builtin_sym_end] = ACTIONS(417),
    [anon_sym___END__] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(813),
    [sym_identifier] = ACTIONS(813),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1558] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(441),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(445),
    [sym__argument] = STATE(446),
    [sym_splat_argument] = STATE(446),
    [sym_hash_splat_argument] = STATE(446),
    [sym_block_argument] = STATE(446),
    [sym_assignment] = STATE(441),
    [sym_operator_assignment] = STATE(441),
    [sym_conditional] = STATE(441),
    [sym_range] = STATE(441),
    [sym_binary] = STATE(441),
    [sym_unary] = STATE(441),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(450),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(446),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(765),
    [sym__splat_star] = ACTIONS(767),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(773),
    [ts_builtin_sym_end] = ACTIONS(421),
    [anon_sym___END__] = ACTIONS(423),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(813),
    [sym_identifier] = ACTIONS(813),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1559] = {
    [sym__statement] = STATE(3858),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1560] = {
    [sym__statement] = STATE(3859),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1561] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3860),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(3860),
    [sym_operator_assignment] = STATE(3860),
    [sym_conditional] = STATE(3860),
    [sym_range] = STATE(3860),
    [sym_binary] = STATE(3860),
    [sym_unary] = STATE(3860),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1562] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3861),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(3861),
    [sym_operator_assignment] = STATE(3861),
    [sym_conditional] = STATE(3861),
    [sym_range] = STATE(3861),
    [sym_binary] = STATE(3861),
    [sym_unary] = STATE(3861),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1563] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(265),
    [sym_call] = STATE(265),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(3862),
    [sym__simple_mlhs] = STATE(267),
    [sym_destructured_left_assignment] = STATE(267),
    [sym_rest_assignment] = STATE(267),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(265),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(475),
    [sym_identifier] = ACTIONS(475),
    [sym_instance_variable] = ACTIONS(477),
    [sym_class_variable] = ACTIONS(477),
    [sym_global_variable] = ACTIONS(477),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(475),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [1564] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3863),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3863),
    [sym_operator_assignment] = STATE(3863),
    [sym_conditional] = STATE(3863),
    [sym_range] = STATE(3863),
    [sym_binary] = STATE(3863),
    [sym_unary] = STATE(3863),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(3864),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__terminator] = STATE(3864),
    [sym__line_break] = ACTIONS(5984),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(5984),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1565] = {
    [sym__statements] = STATE(3865),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(3866),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(3867),
    [sym_rescue] = STATE(3868),
    [sym__body_statement] = STATE(3869),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(3870),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(3870),
    [sym__line_break] = ACTIONS(5986),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5988),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1566] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3871),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(3871),
    [sym_operator_assignment] = STATE(3871),
    [sym_conditional] = STATE(3871),
    [sym_range] = STATE(3871),
    [sym_binary] = STATE(3871),
    [sym_unary] = STATE(3871),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1567] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3872),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(3872),
    [sym_operator_assignment] = STATE(3872),
    [sym_conditional] = STATE(3872),
    [sym_range] = STATE(3872),
    [sym_binary] = STATE(3872),
    [sym_unary] = STATE(3872),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1568] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1569] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
    [anon_sym_r] = ACTIONS(5990),
  },
  [1570] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(3876),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(3877),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(5992),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1571] = {
    [sym_lambda_parameters] = STATE(3878),
    [sym__simple_formal_parameter] = STATE(379),
    [sym_splat_parameter] = STATE(379),
    [sym_hash_splat_parameter] = STATE(379),
    [sym_block_parameter] = STATE(379),
    [sym_keyword_parameter] = STATE(379),
    [sym_optional_parameter] = STATE(379),
    [sym_do_block] = STATE(3879),
    [sym_block] = STATE(3879),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(799),
    [sym_identifier] = ACTIONS(677),
    [sym_comment] = ACTIONS(87),
  },
  [1572] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(4130),
    [anon_sym___END__] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [1573] = {
    [sym__line_break] = ACTIONS(735),
    [sym__heredoc_body_start] = ACTIONS(735),
    [sym__element_reference_left_bracket] = ACTIONS(737),
    [sym__infix_scope_colons] = ACTIONS(739),
    [sym__binary_minus] = ACTIONS(735),
    [sym__binary_star] = ACTIONS(735),
    [ts_builtin_sym_end] = ACTIONS(735),
    [anon_sym___END__] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(741),
    [anon_sym_COMMA] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(743),
    [anon_sym_AMP] = ACTIONS(743),
    [anon_sym_EQ] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_end] = ACTIONS(735),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_unless] = ACTIONS(735),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_until] = ACTIONS(735),
    [anon_sym_rescue] = ACTIONS(735),
    [anon_sym_do] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(735),
    [anon_sym_elsif] = ACTIONS(735),
    [anon_sym_else] = ACTIONS(735),
    [anon_sym_then] = ACTIONS(735),
    [anon_sym_ensure] = ACTIONS(735),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(735),
    [anon_sym_DASH_EQ] = ACTIONS(735),
    [anon_sym_STAR_EQ] = ACTIONS(735),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(735),
    [anon_sym_SLASH_EQ] = ACTIONS(735),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(735),
    [anon_sym_PIPE_EQ] = ACTIONS(735),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(735),
    [anon_sym_AMP_EQ] = ACTIONS(735),
    [anon_sym_PERCENT_EQ] = ACTIONS(735),
    [anon_sym_GT_GT_EQ] = ACTIONS(735),
    [anon_sym_LT_LT_EQ] = ACTIONS(735),
    [anon_sym_CARET_EQ] = ACTIONS(735),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(735),
    [anon_sym_or] = ACTIONS(735),
    [anon_sym_PIPE_PIPE] = ACTIONS(743),
    [anon_sym_AMP_AMP] = ACTIONS(743),
    [anon_sym_LT_LT] = ACTIONS(743),
    [anon_sym_GT_GT] = ACTIONS(743),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(735),
    [anon_sym_LT_EQ_GT] = ACTIONS(735),
    [anon_sym_EQ_TILDE] = ACTIONS(735),
    [anon_sym_BANG_TILDE] = ACTIONS(735),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(743),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(743),
    [anon_sym_PLUS] = ACTIONS(743),
    [anon_sym_SLASH] = ACTIONS(743),
    [anon_sym_PERCENT] = ACTIONS(743),
    [sym_comment] = ACTIONS(87),
  },
  [1574] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(441),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(445),
    [sym__argument] = STATE(446),
    [sym_splat_argument] = STATE(446),
    [sym_hash_splat_argument] = STATE(446),
    [sym_block_argument] = STATE(446),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(441),
    [sym_operator_assignment] = STATE(441),
    [sym_conditional] = STATE(441),
    [sym_range] = STATE(441),
    [sym_binary] = STATE(441),
    [sym_unary] = STATE(441),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(450),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(446),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(765),
    [sym__splat_star] = ACTIONS(767),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(771),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(773),
    [ts_builtin_sym_end] = ACTIONS(747),
    [anon_sym___END__] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(813),
    [sym_identifier] = ACTIONS(813),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1575] = {
    [anon_sym_EQ] = ACTIONS(6024),
    [sym_comment] = ACTIONS(87),
  },
  [1576] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(6026),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(6028),
    [anon_sym_DASH_EQ] = ACTIONS(6028),
    [anon_sym_STAR_EQ] = ACTIONS(6028),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6028),
    [anon_sym_SLASH_EQ] = ACTIONS(6028),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6028),
    [anon_sym_PIPE_EQ] = ACTIONS(6028),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6028),
    [anon_sym_AMP_EQ] = ACTIONS(6028),
    [anon_sym_PERCENT_EQ] = ACTIONS(6028),
    [anon_sym_GT_GT_EQ] = ACTIONS(6028),
    [anon_sym_LT_LT_EQ] = ACTIONS(6028),
    [anon_sym_CARET_EQ] = ACTIONS(6028),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1577] = {
    [sym_string] = STATE(3895),
    [aux_sym_chained_string_repeat1] = STATE(3895),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1578] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(4170),
    [anon_sym___END__] = ACTIONS(4170),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [1579] = {
    [sym__line_break] = ACTIONS(4198),
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [ts_builtin_sym_end] = ACTIONS(4198),
    [anon_sym___END__] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR_STAR] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_end] = ACTIONS(4198),
    [anon_sym_if] = ACTIONS(4198),
    [anon_sym_unless] = ACTIONS(4198),
    [anon_sym_while] = ACTIONS(4198),
    [anon_sym_until] = ACTIONS(4198),
    [anon_sym_rescue] = ACTIONS(4198),
    [anon_sym_do] = ACTIONS(4198),
    [anon_sym_when] = ACTIONS(4198),
    [anon_sym_elsif] = ACTIONS(4198),
    [anon_sym_else] = ACTIONS(4198),
    [anon_sym_then] = ACTIONS(4198),
    [anon_sym_ensure] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS_EQ] = ACTIONS(4198),
    [anon_sym_DASH_EQ] = ACTIONS(4198),
    [anon_sym_STAR_EQ] = ACTIONS(4198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4198),
    [anon_sym_SLASH_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4198),
    [anon_sym_AMP_EQ] = ACTIONS(4198),
    [anon_sym_PERCENT_EQ] = ACTIONS(4198),
    [anon_sym_GT_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_LT_EQ] = ACTIONS(4198),
    [anon_sym_CARET_EQ] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4198),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4198),
    [anon_sym_or] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE] = ACTIONS(4200),
    [anon_sym_AMP_AMP] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [sym_comment] = ACTIONS(87),
  },
  [1580] = {
    [sym_heredoc_body] = STATE(3897),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(6030),
    [sym_comment] = ACTIONS(87),
  },
  [1581] = {
    [anon_sym_RPAREN] = ACTIONS(6030),
    [sym_comment] = ACTIONS(87),
  },
  [1582] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(3899),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(6032),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [1583] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(117),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(117),
    [sym_operator_assignment] = STATE(117),
    [sym_conditional] = STATE(117),
    [sym_range] = STATE(117),
    [sym_binary] = STATE(117),
    [sym_unary] = STATE(117),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(123),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_heredoc_body] = STATE(1604),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym__hash_items] = STATE(1605),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(139),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(6034),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(209),
    [sym_identifier] = ACTIONS(209),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1584] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [ts_builtin_sym_end] = ACTIONS(939),
    [anon_sym___END__] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [1585] = {
    [sym_string] = STATE(1673),
    [aux_sym_chained_string_repeat1] = STATE(1673),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1586] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3901),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(3901),
    [sym_operator_assignment] = STATE(3901),
    [sym_conditional] = STATE(3901),
    [sym_range] = STATE(3901),
    [sym_binary] = STATE(3901),
    [sym_unary] = STATE(3901),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1587] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3902),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(3902),
    [sym_operator_assignment] = STATE(3902),
    [sym_conditional] = STATE(3902),
    [sym_range] = STATE(3902),
    [sym_binary] = STATE(3902),
    [sym_unary] = STATE(3902),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1588] = {
    [sym__line_break] = ACTIONS(5684),
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [ts_builtin_sym_end] = ACTIONS(5684),
    [anon_sym___END__] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_end] = ACTIONS(5684),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_when] = ACTIONS(5684),
    [anon_sym_elsif] = ACTIONS(5684),
    [anon_sym_else] = ACTIONS(5684),
    [anon_sym_then] = ACTIONS(5684),
    [anon_sym_ensure] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [1589] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3909),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(3910),
    [sym__argument] = STATE(3911),
    [sym_splat_argument] = STATE(3911),
    [sym_hash_splat_argument] = STATE(3911),
    [sym_block_argument] = STATE(3911),
    [sym_assignment] = STATE(3909),
    [sym_operator_assignment] = STATE(3909),
    [sym_conditional] = STATE(3909),
    [sym_range] = STATE(3909),
    [sym_binary] = STATE(3909),
    [sym_unary] = STATE(3909),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3912),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3911),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(6036),
    [sym__splat_star] = ACTIONS(6038),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(6040),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(6042),
    [sym_identifier] = ACTIONS(6042),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1590] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3909),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(3910),
    [sym__argument] = STATE(3911),
    [sym_splat_argument] = STATE(3911),
    [sym_hash_splat_argument] = STATE(3911),
    [sym_block_argument] = STATE(3911),
    [sym_assignment] = STATE(3909),
    [sym_operator_assignment] = STATE(3909),
    [sym_conditional] = STATE(3909),
    [sym_range] = STATE(3909),
    [sym_binary] = STATE(3909),
    [sym_unary] = STATE(3909),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3912),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3911),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(6036),
    [sym__splat_star] = ACTIONS(6038),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(6040),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(6042),
    [sym_identifier] = ACTIONS(6042),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1591] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3909),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(3910),
    [sym__argument] = STATE(3911),
    [sym_splat_argument] = STATE(3911),
    [sym_hash_splat_argument] = STATE(3911),
    [sym_block_argument] = STATE(3911),
    [sym_assignment] = STATE(3909),
    [sym_operator_assignment] = STATE(3909),
    [sym_conditional] = STATE(3909),
    [sym_range] = STATE(3909),
    [sym_binary] = STATE(3909),
    [sym_unary] = STATE(3909),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3912),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3911),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(6036),
    [sym__splat_star] = ACTIONS(6038),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(6040),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(6042),
    [sym_identifier] = ACTIONS(6042),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1592] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3909),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(3910),
    [sym__argument] = STATE(3911),
    [sym_splat_argument] = STATE(3911),
    [sym_hash_splat_argument] = STATE(3911),
    [sym_block_argument] = STATE(3911),
    [sym_assignment] = STATE(3909),
    [sym_operator_assignment] = STATE(3909),
    [sym_conditional] = STATE(3909),
    [sym_range] = STATE(3909),
    [sym_binary] = STATE(3909),
    [sym_unary] = STATE(3909),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3912),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(3911),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(6036),
    [sym__splat_star] = ACTIONS(6038),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(6040),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(6042),
    [sym_identifier] = ACTIONS(6042),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1593] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3913),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(3913),
    [sym_operator_assignment] = STATE(3913),
    [sym_conditional] = STATE(3913),
    [sym_range] = STATE(3913),
    [sym_binary] = STATE(3913),
    [sym_unary] = STATE(3913),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1594] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3914),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(3914),
    [sym_operator_assignment] = STATE(3914),
    [sym_conditional] = STATE(3914),
    [sym_range] = STATE(3914),
    [sym_binary] = STATE(3914),
    [sym_unary] = STATE(3914),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1595] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1596] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(993),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1597] = {
    [anon_sym_RBRACE] = ACTIONS(6044),
    [sym_comment] = ACTIONS(87),
  },
  [1598] = {
    [sym__statements] = STATE(3916),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(6044),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1599] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [sym__binary_minus] = ACTIONS(6046),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(6050),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(6056),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_EQ_GT] = ACTIONS(1113),
    [anon_sym_QMARK] = ACTIONS(6058),
    [anon_sym_DOT_DOT] = ACTIONS(6060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6062),
    [anon_sym_and] = ACTIONS(6064),
    [anon_sym_or] = ACTIONS(6064),
    [anon_sym_PIPE_PIPE] = ACTIONS(6066),
    [anon_sym_AMP_AMP] = ACTIONS(6066),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(6070),
    [anon_sym_BANG_EQ] = ACTIONS(6066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6066),
    [anon_sym_LT_EQ_GT] = ACTIONS(6066),
    [anon_sym_EQ_TILDE] = ACTIONS(6066),
    [anon_sym_BANG_TILDE] = ACTIONS(6066),
    [anon_sym_LT_EQ] = ACTIONS(6056),
    [anon_sym_GT] = ACTIONS(6056),
    [anon_sym_GT_EQ] = ACTIONS(6072),
    [anon_sym_CARET] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [1600] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3934),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(3935),
    [sym__argument] = STATE(3936),
    [sym_splat_argument] = STATE(3936),
    [sym_hash_splat_argument] = STATE(3936),
    [sym_block_argument] = STATE(3936),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(3934),
    [sym_operator_assignment] = STATE(3934),
    [sym_conditional] = STATE(3934),
    [sym_range] = STATE(3934),
    [sym_binary] = STATE(3934),
    [sym_unary] = STATE(3934),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3937),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3936),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(6078),
    [sym__splat_star] = ACTIONS(6080),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(6082),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(6084),
    [sym_identifier] = ACTIONS(6084),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1601] = {
    [anon_sym_EQ] = ACTIONS(6086),
    [sym_comment] = ACTIONS(87),
  },
  [1602] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(6088),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(6090),
    [anon_sym_DASH_EQ] = ACTIONS(6090),
    [anon_sym_STAR_EQ] = ACTIONS(6090),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6090),
    [anon_sym_SLASH_EQ] = ACTIONS(6090),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6090),
    [anon_sym_PIPE_EQ] = ACTIONS(6090),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6090),
    [anon_sym_AMP_EQ] = ACTIONS(6090),
    [anon_sym_PERCENT_EQ] = ACTIONS(6090),
    [anon_sym_GT_GT_EQ] = ACTIONS(6090),
    [anon_sym_LT_LT_EQ] = ACTIONS(6090),
    [anon_sym_CARET_EQ] = ACTIONS(6090),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1603] = {
    [sym_string] = STATE(3940),
    [aux_sym_chained_string_repeat1] = STATE(3940),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(1233),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1604] = {
    [anon_sym_RBRACE] = ACTIONS(6092),
    [sym_comment] = ACTIONS(87),
  },
  [1605] = {
    [sym_heredoc_body] = STATE(3942),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACE] = ACTIONS(6092),
    [sym_comment] = ACTIONS(87),
  },
  [1606] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(3943),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(3943),
    [sym_operator_assignment] = STATE(3943),
    [sym_conditional] = STATE(3943),
    [sym_range] = STATE(3943),
    [sym_binary] = STATE(3943),
    [sym_unary] = STATE(3943),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1607] = {
    [sym__line_break] = ACTIONS(1277),
    [sym__heredoc_body_start] = ACTIONS(1277),
    [sym__element_reference_left_bracket] = ACTIONS(1277),
    [sym__infix_scope_colons] = ACTIONS(1277),
    [sym__binary_minus] = ACTIONS(1277),
    [sym__binary_star] = ACTIONS(1277),
    [ts_builtin_sym_end] = ACTIONS(1277),
    [anon_sym___END__] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_RPAREN] = ACTIONS(1277),
    [anon_sym_DOT] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(1277),
    [anon_sym_PIPE] = ACTIONS(1279),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym_STAR_STAR] = ACTIONS(1279),
    [anon_sym_AMP] = ACTIONS(1279),
    [anon_sym_EQ] = ACTIONS(1279),
    [anon_sym_LT] = ACTIONS(1279),
    [anon_sym_end] = ACTIONS(1277),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_unless] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_until] = ACTIONS(1277),
    [anon_sym_rescue] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_when] = ACTIONS(1277),
    [anon_sym_elsif] = ACTIONS(1277),
    [anon_sym_else] = ACTIONS(1277),
    [anon_sym_then] = ACTIONS(1277),
    [anon_sym_ensure] = ACTIONS(1277),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_AMP_DOT] = ACTIONS(1277),
    [anon_sym_PLUS_EQ] = ACTIONS(1277),
    [anon_sym_DASH_EQ] = ACTIONS(1277),
    [anon_sym_STAR_EQ] = ACTIONS(1277),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1277),
    [anon_sym_SLASH_EQ] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1277),
    [anon_sym_PIPE_EQ] = ACTIONS(1277),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1277),
    [anon_sym_AMP_EQ] = ACTIONS(1277),
    [anon_sym_PERCENT_EQ] = ACTIONS(1277),
    [anon_sym_GT_GT_EQ] = ACTIONS(1277),
    [anon_sym_LT_LT_EQ] = ACTIONS(1277),
    [anon_sym_CARET_EQ] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(1277),
    [anon_sym_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1277),
    [anon_sym_and] = ACTIONS(1277),
    [anon_sym_or] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE] = ACTIONS(1279),
    [anon_sym_AMP_AMP] = ACTIONS(1279),
    [anon_sym_LT_LT] = ACTIONS(1279),
    [anon_sym_GT_GT] = ACTIONS(1279),
    [anon_sym_EQ_EQ] = ACTIONS(1279),
    [anon_sym_BANG_EQ] = ACTIONS(1277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1277),
    [anon_sym_LT_EQ_GT] = ACTIONS(1277),
    [anon_sym_EQ_TILDE] = ACTIONS(1277),
    [anon_sym_BANG_TILDE] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(1279),
    [anon_sym_GT] = ACTIONS(1279),
    [anon_sym_GT_EQ] = ACTIONS(1277),
    [anon_sym_CARET] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_SLASH] = ACTIONS(1279),
    [anon_sym_PERCENT] = ACTIONS(1279),
    [sym_comment] = ACTIONS(87),
  },
  [1608] = {
    [anon_sym_DOT] = ACTIONS(6094),
    [anon_sym_COLON_COLON] = ACTIONS(6094),
    [sym_comment] = ACTIONS(87),
  },
  [1609] = {
    [sym_method_parameters] = STATE(3945),
    [sym__simple_formal_parameter] = STATE(715),
    [sym_splat_parameter] = STATE(715),
    [sym_hash_splat_parameter] = STATE(715),
    [sym_block_parameter] = STATE(715),
    [sym_keyword_parameter] = STATE(715),
    [sym_optional_parameter] = STATE(715),
    [sym_heredoc_body] = STATE(3945),
    [sym__terminator] = STATE(3945),
    [sym__line_break] = ACTIONS(6096),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(6096),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_comment] = ACTIONS(87),
  },
  [1610] = {
    [sym__line_break] = ACTIONS(1295),
    [sym__heredoc_body_start] = ACTIONS(1295),
    [sym__element_reference_left_bracket] = ACTIONS(1295),
    [sym__infix_scope_colons] = ACTIONS(1295),
    [sym__binary_minus] = ACTIONS(1295),
    [sym__binary_star] = ACTIONS(1295),
    [ts_builtin_sym_end] = ACTIONS(1295),
    [anon_sym___END__] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_RPAREN] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1295),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_STAR_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_end] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_unless] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_until] = ACTIONS(1295),
    [anon_sym_rescue] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_when] = ACTIONS(1295),
    [anon_sym_elsif] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(1295),
    [anon_sym_then] = ACTIONS(1295),
    [anon_sym_ensure] = ACTIONS(1295),
    [anon_sym_EQ_GT] = ACTIONS(1295),
    [anon_sym_AMP_DOT] = ACTIONS(1295),
    [anon_sym_PLUS_EQ] = ACTIONS(1295),
    [anon_sym_DASH_EQ] = ACTIONS(1295),
    [anon_sym_STAR_EQ] = ACTIONS(1295),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1295),
    [anon_sym_SLASH_EQ] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1295),
    [anon_sym_AMP_EQ] = ACTIONS(1295),
    [anon_sym_PERCENT_EQ] = ACTIONS(1295),
    [anon_sym_GT_GT_EQ] = ACTIONS(1295),
    [anon_sym_LT_LT_EQ] = ACTIONS(1295),
    [anon_sym_CARET_EQ] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1295),
    [anon_sym_DOT_DOT] = ACTIONS(1297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1295),
    [anon_sym_and] = ACTIONS(1295),
    [anon_sym_or] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1297),
    [anon_sym_AMP_AMP] = ACTIONS(1297),
    [anon_sym_LT_LT] = ACTIONS(1297),
    [anon_sym_GT_GT] = ACTIONS(1297),
    [anon_sym_EQ_EQ] = ACTIONS(1297),
    [anon_sym_BANG_EQ] = ACTIONS(1295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ_GT] = ACTIONS(1295),
    [anon_sym_EQ_TILDE] = ACTIONS(1295),
    [anon_sym_BANG_TILDE] = ACTIONS(1295),
    [anon_sym_LT_EQ] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_CARET] = ACTIONS(1297),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1297),
    [sym_comment] = ACTIONS(87),
  },
  [1611] = {
    [anon_sym_RPAREN] = ACTIONS(6098),
    [sym_comment] = ACTIONS(87),
  },
  [1612] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(3186),
    [anon_sym___END__] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [1613] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3947),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(3947),
    [sym_operator_assignment] = STATE(3947),
    [sym_conditional] = STATE(3947),
    [sym_range] = STATE(3947),
    [sym_binary] = STATE(3947),
    [sym_unary] = STATE(3947),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1614] = {
    [sym_superclass] = STATE(3948),
    [sym_heredoc_body] = STATE(3949),
    [sym__terminator] = STATE(3949),
    [sym__line_break] = ACTIONS(6100),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(6100),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1615] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_superclass] = STATE(3948),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(3949),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(3949),
    [sym__line_break] = ACTIONS(6100),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(6100),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1616] = {
    [sym_heredoc_body] = STATE(3951),
    [sym__terminator] = STATE(3951),
    [sym__line_break] = ACTIONS(6102),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(6102),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(6104),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1617] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(3951),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(3951),
    [sym__line_break] = ACTIONS(6102),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(6102),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_end] = ACTIONS(6104),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1618] = {
    [sym__line_break] = ACTIONS(1689),
    [sym__heredoc_body_start] = ACTIONS(1689),
    [sym__element_reference_left_bracket] = ACTIONS(1689),
    [sym__infix_scope_colons] = ACTIONS(1689),
    [sym__binary_minus] = ACTIONS(1689),
    [sym__binary_star] = ACTIONS(1689),
    [ts_builtin_sym_end] = ACTIONS(1689),
    [anon_sym___END__] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_STAR_STAR] = ACTIONS(1691),
    [anon_sym_AMP] = ACTIONS(1691),
    [anon_sym_EQ] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_end] = ACTIONS(1689),
    [anon_sym_if] = ACTIONS(1689),
    [anon_sym_unless] = ACTIONS(1689),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_until] = ACTIONS(1689),
    [anon_sym_rescue] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(1689),
    [anon_sym_when] = ACTIONS(1689),
    [anon_sym_elsif] = ACTIONS(1689),
    [anon_sym_else] = ACTIONS(1689),
    [anon_sym_then] = ACTIONS(1689),
    [anon_sym_ensure] = ACTIONS(1689),
    [anon_sym_EQ_GT] = ACTIONS(1689),
    [anon_sym_AMP_DOT] = ACTIONS(1689),
    [anon_sym_PLUS_EQ] = ACTIONS(1689),
    [anon_sym_DASH_EQ] = ACTIONS(1689),
    [anon_sym_STAR_EQ] = ACTIONS(1689),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1689),
    [anon_sym_SLASH_EQ] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1689),
    [anon_sym_PIPE_EQ] = ACTIONS(1689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1689),
    [anon_sym_AMP_EQ] = ACTIONS(1689),
    [anon_sym_PERCENT_EQ] = ACTIONS(1689),
    [anon_sym_GT_GT_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT_EQ] = ACTIONS(1689),
    [anon_sym_CARET_EQ] = ACTIONS(1689),
    [anon_sym_QMARK] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1689),
    [anon_sym_and] = ACTIONS(1689),
    [anon_sym_or] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE] = ACTIONS(1691),
    [anon_sym_AMP_AMP] = ACTIONS(1691),
    [anon_sym_LT_LT] = ACTIONS(1691),
    [anon_sym_GT_GT] = ACTIONS(1691),
    [anon_sym_EQ_EQ] = ACTIONS(1691),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1689),
    [anon_sym_LT_EQ_GT] = ACTIONS(1689),
    [anon_sym_EQ_TILDE] = ACTIONS(1689),
    [anon_sym_BANG_TILDE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PERCENT] = ACTIONS(1691),
    [sym_comment] = ACTIONS(87),
  },
  [1619] = {
    [sym__line_break] = ACTIONS(1709),
    [sym__heredoc_body_start] = ACTIONS(1709),
    [sym__element_reference_left_bracket] = ACTIONS(1709),
    [sym__infix_scope_colons] = ACTIONS(1709),
    [sym__binary_minus] = ACTIONS(1709),
    [sym__binary_star] = ACTIONS(1709),
    [ts_builtin_sym_end] = ACTIONS(1709),
    [anon_sym___END__] = ACTIONS(1709),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1711),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_end] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_unless] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_until] = ACTIONS(1709),
    [anon_sym_rescue] = ACTIONS(1709),
    [anon_sym_do] = ACTIONS(1709),
    [anon_sym_when] = ACTIONS(1709),
    [anon_sym_elsif] = ACTIONS(1709),
    [anon_sym_else] = ACTIONS(1709),
    [anon_sym_then] = ACTIONS(1709),
    [anon_sym_ensure] = ACTIONS(1709),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_AMP_DOT] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1711),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(87),
  },
  [1620] = {
    [sym__line_break] = ACTIONS(1713),
    [sym__heredoc_body_start] = ACTIONS(1713),
    [sym__element_reference_left_bracket] = ACTIONS(1713),
    [sym__infix_scope_colons] = ACTIONS(1713),
    [sym__binary_minus] = ACTIONS(1713),
    [sym__binary_star] = ACTIONS(1713),
    [ts_builtin_sym_end] = ACTIONS(1713),
    [anon_sym___END__] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_RBRACE] = ACTIONS(1713),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_STAR_STAR] = ACTIONS(1715),
    [anon_sym_AMP] = ACTIONS(1715),
    [anon_sym_EQ] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_end] = ACTIONS(1713),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_unless] = ACTIONS(1713),
    [anon_sym_while] = ACTIONS(1713),
    [anon_sym_until] = ACTIONS(1713),
    [anon_sym_rescue] = ACTIONS(1713),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_when] = ACTIONS(1713),
    [anon_sym_elsif] = ACTIONS(1713),
    [anon_sym_else] = ACTIONS(1713),
    [anon_sym_then] = ACTIONS(1713),
    [anon_sym_ensure] = ACTIONS(1713),
    [anon_sym_EQ_GT] = ACTIONS(1713),
    [anon_sym_AMP_DOT] = ACTIONS(1713),
    [anon_sym_PLUS_EQ] = ACTIONS(1713),
    [anon_sym_DASH_EQ] = ACTIONS(1713),
    [anon_sym_STAR_EQ] = ACTIONS(1713),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1713),
    [anon_sym_SLASH_EQ] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1713),
    [anon_sym_PIPE_EQ] = ACTIONS(1713),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1713),
    [anon_sym_AMP_EQ] = ACTIONS(1713),
    [anon_sym_PERCENT_EQ] = ACTIONS(1713),
    [anon_sym_GT_GT_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT_EQ] = ACTIONS(1713),
    [anon_sym_CARET_EQ] = ACTIONS(1713),
    [anon_sym_QMARK] = ACTIONS(1713),
    [anon_sym_DOT_DOT] = ACTIONS(1715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1713),
    [anon_sym_and] = ACTIONS(1713),
    [anon_sym_or] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE] = ACTIONS(1715),
    [anon_sym_AMP_AMP] = ACTIONS(1715),
    [anon_sym_LT_LT] = ACTIONS(1715),
    [anon_sym_GT_GT] = ACTIONS(1715),
    [anon_sym_EQ_EQ] = ACTIONS(1715),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1713),
    [anon_sym_LT_EQ_GT] = ACTIONS(1713),
    [anon_sym_EQ_TILDE] = ACTIONS(1713),
    [anon_sym_BANG_TILDE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PERCENT] = ACTIONS(1715),
    [sym_comment] = ACTIONS(87),
  },
  [1621] = {
    [sym__line_break] = ACTIONS(1717),
    [sym__heredoc_body_start] = ACTIONS(1717),
    [sym__element_reference_left_bracket] = ACTIONS(1717),
    [sym__infix_scope_colons] = ACTIONS(1717),
    [sym__binary_minus] = ACTIONS(1717),
    [sym__binary_star] = ACTIONS(1717),
    [ts_builtin_sym_end] = ACTIONS(1717),
    [anon_sym___END__] = ACTIONS(1717),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_STAR_STAR] = ACTIONS(1719),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_EQ] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_end] = ACTIONS(1717),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_unless] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_until] = ACTIONS(1717),
    [anon_sym_rescue] = ACTIONS(1717),
    [anon_sym_do] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(1717),
    [anon_sym_elsif] = ACTIONS(1717),
    [anon_sym_else] = ACTIONS(1717),
    [anon_sym_then] = ACTIONS(1717),
    [anon_sym_ensure] = ACTIONS(1717),
    [anon_sym_EQ_GT] = ACTIONS(1717),
    [anon_sym_AMP_DOT] = ACTIONS(1717),
    [anon_sym_PLUS_EQ] = ACTIONS(1717),
    [anon_sym_DASH_EQ] = ACTIONS(1717),
    [anon_sym_STAR_EQ] = ACTIONS(1717),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1717),
    [anon_sym_SLASH_EQ] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1717),
    [anon_sym_PIPE_EQ] = ACTIONS(1717),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1717),
    [anon_sym_AMP_EQ] = ACTIONS(1717),
    [anon_sym_PERCENT_EQ] = ACTIONS(1717),
    [anon_sym_GT_GT_EQ] = ACTIONS(1717),
    [anon_sym_LT_LT_EQ] = ACTIONS(1717),
    [anon_sym_CARET_EQ] = ACTIONS(1717),
    [anon_sym_QMARK] = ACTIONS(1717),
    [anon_sym_DOT_DOT] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(1717),
    [anon_sym_or] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE] = ACTIONS(1719),
    [anon_sym_AMP_AMP] = ACTIONS(1719),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1717),
    [anon_sym_LT_EQ_GT] = ACTIONS(1717),
    [anon_sym_EQ_TILDE] = ACTIONS(1717),
    [anon_sym_BANG_TILDE] = ACTIONS(1717),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1717),
    [anon_sym_CARET] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_PERCENT] = ACTIONS(1719),
    [sym_comment] = ACTIONS(87),
  },
  [1622] = {
    [sym__then] = STATE(3952),
    [sym_heredoc_body] = STATE(1027),
    [sym__terminator] = STATE(1027),
    [sym__line_break] = ACTIONS(1751),
    [sym__heredoc_body_start] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(6106),
    [sym_comment] = ACTIONS(87),
  },
  [1623] = {
    [sym__then] = STATE(3953),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(6108),
    [sym_comment] = ACTIONS(87),
  },
  [1624] = {
    [sym__do] = STATE(3954),
    [sym_heredoc_body] = STATE(3954),
    [sym__terminator] = STATE(3954),
    [sym__line_break] = ACTIONS(6110),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(6110),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(6110),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [1625] = {
    [sym__do] = STATE(3955),
    [sym_heredoc_body] = STATE(3955),
    [sym__terminator] = STATE(3955),
    [sym__line_break] = ACTIONS(6112),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(6112),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(6112),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [1626] = {
    [sym_in] = STATE(3956),
    [anon_sym_in] = ACTIONS(1985),
    [sym_comment] = ACTIONS(87),
  },
  [1627] = {
    [sym__line_break] = ACTIONS(5724),
    [sym__heredoc_body_start] = ACTIONS(5724),
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [sym__binary_minus] = ACTIONS(5724),
    [sym__binary_star] = ACTIONS(5724),
    [ts_builtin_sym_end] = ACTIONS(5724),
    [anon_sym___END__] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym_STAR_STAR] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_end] = ACTIONS(5724),
    [anon_sym_if] = ACTIONS(5724),
    [anon_sym_unless] = ACTIONS(5724),
    [anon_sym_while] = ACTIONS(5724),
    [anon_sym_until] = ACTIONS(5724),
    [anon_sym_rescue] = ACTIONS(5724),
    [anon_sym_do] = ACTIONS(5724),
    [anon_sym_when] = ACTIONS(5724),
    [anon_sym_elsif] = ACTIONS(5724),
    [anon_sym_else] = ACTIONS(5724),
    [anon_sym_then] = ACTIONS(5724),
    [anon_sym_ensure] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [anon_sym_PLUS_EQ] = ACTIONS(5724),
    [anon_sym_DASH_EQ] = ACTIONS(5724),
    [anon_sym_STAR_EQ] = ACTIONS(5724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5724),
    [anon_sym_SLASH_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5724),
    [anon_sym_AMP_EQ] = ACTIONS(5724),
    [anon_sym_PERCENT_EQ] = ACTIONS(5724),
    [anon_sym_GT_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_LT_EQ] = ACTIONS(5724),
    [anon_sym_CARET_EQ] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_DOT_DOT] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5726),
    [anon_sym_AMP_AMP] = ACTIONS(5726),
    [anon_sym_LT_LT] = ACTIONS(5726),
    [anon_sym_GT_GT] = ACTIONS(5726),
    [anon_sym_EQ_EQ] = ACTIONS(5726),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_EQ_TILDE] = ACTIONS(5724),
    [anon_sym_BANG_TILDE] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_CARET] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_SLASH] = ACTIONS(5726),
    [anon_sym_PERCENT] = ACTIONS(5726),
    [sym_comment] = ACTIONS(87),
  },
  [1628] = {
    [anon_sym_end] = ACTIONS(6114),
    [sym_comment] = ACTIONS(87),
  },
  [1629] = {
    [sym__statements] = STATE(3958),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(3959),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(3959),
    [sym__line_break] = ACTIONS(6116),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6118),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1630] = {
    [sym__statements] = STATE(3958),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(3960),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6118),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1631] = {
    [sym_heredoc_body] = STATE(3961),
    [sym__terminator] = STATE(3961),
    [sym__line_break] = ACTIONS(6120),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(6120),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [1632] = {
    [sym_when] = STATE(3962),
    [aux_sym_case_repeat1] = STATE(3963),
    [anon_sym_SEMI] = ACTIONS(6122),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [1633] = {
    [sym_else] = STATE(3965),
    [sym_ensure] = STATE(3966),
    [sym_rescue] = STATE(3967),
    [anon_sym_end] = ACTIONS(6124),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [1634] = {
    [sym_ensure] = STATE(3966),
    [anon_sym_end] = ACTIONS(6124),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [1635] = {
    [anon_sym_end] = ACTIONS(6124),
    [sym_comment] = ACTIONS(87),
  },
  [1636] = {
    [sym_else] = STATE(3965),
    [sym_ensure] = STATE(3966),
    [anon_sym_end] = ACTIONS(6124),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [1637] = {
    [sym__line_break] = ACTIONS(2205),
    [sym__heredoc_body_start] = ACTIONS(2205),
    [sym__element_reference_left_bracket] = ACTIONS(2205),
    [sym__infix_scope_colons] = ACTIONS(2205),
    [sym__binary_minus] = ACTIONS(2205),
    [sym__binary_star] = ACTIONS(2205),
    [ts_builtin_sym_end] = ACTIONS(2205),
    [anon_sym___END__] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_STAR_STAR] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_EQ] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_end] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_unless] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_until] = ACTIONS(2205),
    [anon_sym_rescue] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_when] = ACTIONS(2205),
    [anon_sym_elsif] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_then] = ACTIONS(2205),
    [anon_sym_ensure] = ACTIONS(2205),
    [anon_sym_EQ_GT] = ACTIONS(2205),
    [anon_sym_AMP_DOT] = ACTIONS(2205),
    [anon_sym_PLUS_EQ] = ACTIONS(2205),
    [anon_sym_DASH_EQ] = ACTIONS(2205),
    [anon_sym_STAR_EQ] = ACTIONS(2205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2205),
    [anon_sym_SLASH_EQ] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2205),
    [anon_sym_PIPE_EQ] = ACTIONS(2205),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2205),
    [anon_sym_AMP_EQ] = ACTIONS(2205),
    [anon_sym_PERCENT_EQ] = ACTIONS(2205),
    [anon_sym_GT_GT_EQ] = ACTIONS(2205),
    [anon_sym_LT_LT_EQ] = ACTIONS(2205),
    [anon_sym_CARET_EQ] = ACTIONS(2205),
    [anon_sym_QMARK] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_and] = ACTIONS(2205),
    [anon_sym_or] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_LT_LT] = ACTIONS(2207),
    [anon_sym_GT_GT] = ACTIONS(2207),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_LT_EQ_GT] = ACTIONS(2205),
    [anon_sym_EQ_TILDE] = ACTIONS(2205),
    [anon_sym_BANG_TILDE] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_SLASH] = ACTIONS(2207),
    [anon_sym_PERCENT] = ACTIONS(2207),
    [sym_comment] = ACTIONS(87),
  },
  [1638] = {
    [sym__statements] = STATE(1633),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1634),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1635),
    [sym_rescue] = STATE(1636),
    [sym__body_statement] = STATE(3968),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6126),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1639] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [1640] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [1641] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2281),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [1642] = {
    [sym__line_break] = ACTIONS(2291),
    [sym__heredoc_body_start] = ACTIONS(2291),
    [sym__element_reference_left_bracket] = ACTIONS(2291),
    [sym__infix_scope_colons] = ACTIONS(2291),
    [sym__binary_minus] = ACTIONS(2291),
    [sym__binary_star] = ACTIONS(2291),
    [ts_builtin_sym_end] = ACTIONS(2291),
    [anon_sym___END__] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2291),
    [anon_sym_RBRACE] = ACTIONS(2291),
    [anon_sym_RPAREN] = ACTIONS(2291),
    [anon_sym_DOT] = ACTIONS(2293),
    [anon_sym_COMMA] = ACTIONS(2291),
    [anon_sym_PIPE] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2291),
    [anon_sym_STAR_STAR] = ACTIONS(2293),
    [anon_sym_AMP] = ACTIONS(2293),
    [anon_sym_EQ] = ACTIONS(2293),
    [anon_sym_LT] = ACTIONS(2293),
    [anon_sym_end] = ACTIONS(2291),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_unless] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_until] = ACTIONS(2291),
    [anon_sym_rescue] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_when] = ACTIONS(2291),
    [anon_sym_elsif] = ACTIONS(2291),
    [anon_sym_else] = ACTIONS(2291),
    [anon_sym_then] = ACTIONS(2291),
    [anon_sym_ensure] = ACTIONS(2291),
    [anon_sym_EQ_GT] = ACTIONS(2291),
    [anon_sym_AMP_DOT] = ACTIONS(2291),
    [anon_sym_PLUS_EQ] = ACTIONS(2291),
    [anon_sym_DASH_EQ] = ACTIONS(2291),
    [anon_sym_STAR_EQ] = ACTIONS(2291),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2291),
    [anon_sym_SLASH_EQ] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2291),
    [anon_sym_PIPE_EQ] = ACTIONS(2291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2291),
    [anon_sym_AMP_EQ] = ACTIONS(2291),
    [anon_sym_PERCENT_EQ] = ACTIONS(2291),
    [anon_sym_GT_GT_EQ] = ACTIONS(2291),
    [anon_sym_LT_LT_EQ] = ACTIONS(2291),
    [anon_sym_CARET_EQ] = ACTIONS(2291),
    [anon_sym_QMARK] = ACTIONS(2291),
    [anon_sym_DOT_DOT] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2291),
    [anon_sym_and] = ACTIONS(2291),
    [anon_sym_or] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE] = ACTIONS(2293),
    [anon_sym_AMP_AMP] = ACTIONS(2293),
    [anon_sym_LT_LT] = ACTIONS(2293),
    [anon_sym_GT_GT] = ACTIONS(2293),
    [anon_sym_EQ_EQ] = ACTIONS(2293),
    [anon_sym_BANG_EQ] = ACTIONS(2291),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2291),
    [anon_sym_LT_EQ_GT] = ACTIONS(2291),
    [anon_sym_EQ_TILDE] = ACTIONS(2291),
    [anon_sym_BANG_TILDE] = ACTIONS(2291),
    [anon_sym_LT_EQ] = ACTIONS(2293),
    [anon_sym_GT] = ACTIONS(2293),
    [anon_sym_GT_EQ] = ACTIONS(2291),
    [anon_sym_CARET] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_SLASH] = ACTIONS(2293),
    [anon_sym_PERCENT] = ACTIONS(2293),
    [sym_comment] = ACTIONS(87),
  },
  [1643] = {
    [sym__line_break] = ACTIONS(2375),
    [sym__heredoc_body_start] = ACTIONS(2375),
    [sym__element_reference_left_bracket] = ACTIONS(2375),
    [sym__infix_scope_colons] = ACTIONS(2375),
    [sym__binary_minus] = ACTIONS(2375),
    [sym__binary_star] = ACTIONS(2375),
    [ts_builtin_sym_end] = ACTIONS(2375),
    [anon_sym___END__] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_RBRACE] = ACTIONS(2375),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_COMMA] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2375),
    [anon_sym_STAR_STAR] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(2377),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LT] = ACTIONS(2377),
    [anon_sym_end] = ACTIONS(2375),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_unless] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(2375),
    [anon_sym_until] = ACTIONS(2375),
    [anon_sym_rescue] = ACTIONS(2375),
    [anon_sym_do] = ACTIONS(2375),
    [anon_sym_when] = ACTIONS(2375),
    [anon_sym_elsif] = ACTIONS(2375),
    [anon_sym_else] = ACTIONS(2375),
    [anon_sym_then] = ACTIONS(2375),
    [anon_sym_ensure] = ACTIONS(2375),
    [anon_sym_EQ_GT] = ACTIONS(2375),
    [anon_sym_AMP_DOT] = ACTIONS(2375),
    [anon_sym_PLUS_EQ] = ACTIONS(2375),
    [anon_sym_DASH_EQ] = ACTIONS(2375),
    [anon_sym_STAR_EQ] = ACTIONS(2375),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2375),
    [anon_sym_SLASH_EQ] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2375),
    [anon_sym_PIPE_EQ] = ACTIONS(2375),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2375),
    [anon_sym_AMP_EQ] = ACTIONS(2375),
    [anon_sym_PERCENT_EQ] = ACTIONS(2375),
    [anon_sym_GT_GT_EQ] = ACTIONS(2375),
    [anon_sym_LT_LT_EQ] = ACTIONS(2375),
    [anon_sym_CARET_EQ] = ACTIONS(2375),
    [anon_sym_QMARK] = ACTIONS(2375),
    [anon_sym_DOT_DOT] = ACTIONS(2377),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2375),
    [anon_sym_and] = ACTIONS(2375),
    [anon_sym_or] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE] = ACTIONS(2377),
    [anon_sym_AMP_AMP] = ACTIONS(2377),
    [anon_sym_LT_LT] = ACTIONS(2377),
    [anon_sym_GT_GT] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2375),
    [anon_sym_LT_EQ_GT] = ACTIONS(2375),
    [anon_sym_EQ_TILDE] = ACTIONS(2375),
    [anon_sym_BANG_TILDE] = ACTIONS(2375),
    [anon_sym_LT_EQ] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2375),
    [anon_sym_CARET] = ACTIONS(2377),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_SLASH] = ACTIONS(2377),
    [anon_sym_PERCENT] = ACTIONS(2377),
    [sym_comment] = ACTIONS(87),
  },
  [1644] = {
    [sym_heredoc_body] = STATE(3970),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(6128),
    [sym_comment] = ACTIONS(87),
  },
  [1645] = {
    [anon_sym_RBRACK] = ACTIONS(6128),
    [sym_comment] = ACTIONS(87),
  },
  [1646] = {
    [sym__statements] = STATE(2696),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(2697),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(6130),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1647] = {
    [sym_do_block] = STATE(3972),
    [sym_block] = STATE(3972),
    [anon_sym_LBRACE] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(4294),
    [sym_comment] = ACTIONS(87),
  },
  [1648] = {
    [sym__line_break] = ACTIONS(2521),
    [sym__heredoc_body_start] = ACTIONS(2521),
    [sym__element_reference_left_bracket] = ACTIONS(2521),
    [sym__infix_scope_colons] = ACTIONS(2521),
    [sym__binary_minus] = ACTIONS(2521),
    [sym__binary_star] = ACTIONS(2521),
    [ts_builtin_sym_end] = ACTIONS(2521),
    [anon_sym___END__] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_STAR_STAR] = ACTIONS(2523),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_EQ] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_end] = ACTIONS(2521),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_unless] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_until] = ACTIONS(2521),
    [anon_sym_rescue] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_when] = ACTIONS(2521),
    [anon_sym_elsif] = ACTIONS(2521),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_then] = ACTIONS(2521),
    [anon_sym_ensure] = ACTIONS(2521),
    [anon_sym_EQ_GT] = ACTIONS(2521),
    [anon_sym_AMP_DOT] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2521),
    [anon_sym_DASH_EQ] = ACTIONS(2521),
    [anon_sym_STAR_EQ] = ACTIONS(2521),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2521),
    [anon_sym_SLASH_EQ] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2521),
    [anon_sym_PIPE_EQ] = ACTIONS(2521),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2521),
    [anon_sym_AMP_EQ] = ACTIONS(2521),
    [anon_sym_PERCENT_EQ] = ACTIONS(2521),
    [anon_sym_GT_GT_EQ] = ACTIONS(2521),
    [anon_sym_LT_LT_EQ] = ACTIONS(2521),
    [anon_sym_CARET_EQ] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_DOT_DOT] = ACTIONS(2523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2521),
    [anon_sym_and] = ACTIONS(2521),
    [anon_sym_or] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2523),
    [anon_sym_AMP_AMP] = ACTIONS(2523),
    [anon_sym_LT_LT] = ACTIONS(2523),
    [anon_sym_GT_GT] = ACTIONS(2523),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2521),
    [anon_sym_LT_EQ_GT] = ACTIONS(2521),
    [anon_sym_EQ_TILDE] = ACTIONS(2521),
    [anon_sym_BANG_TILDE] = ACTIONS(2521),
    [anon_sym_LT_EQ] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_GT_EQ] = ACTIONS(2521),
    [anon_sym_CARET] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_SLASH] = ACTIONS(2523),
    [anon_sym_PERCENT] = ACTIONS(2523),
    [sym_comment] = ACTIONS(87),
  },
  [1649] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3973),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3973),
    [sym_operator_assignment] = STATE(3973),
    [sym_conditional] = STATE(3973),
    [sym_range] = STATE(3973),
    [sym_binary] = STATE(3973),
    [sym_unary] = STATE(3973),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1650] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3974),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3974),
    [sym_operator_assignment] = STATE(3974),
    [sym_conditional] = STATE(3974),
    [sym_range] = STATE(3974),
    [sym_binary] = STATE(3974),
    [sym_unary] = STATE(3974),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1651] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3975),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3975),
    [sym_operator_assignment] = STATE(3975),
    [sym_conditional] = STATE(3975),
    [sym_range] = STATE(3975),
    [sym_binary] = STATE(3975),
    [sym_unary] = STATE(3975),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1652] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3976),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3976),
    [sym_operator_assignment] = STATE(3976),
    [sym_conditional] = STATE(3976),
    [sym_range] = STATE(3976),
    [sym_binary] = STATE(3976),
    [sym_unary] = STATE(3976),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1653] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3977),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3977),
    [sym_operator_assignment] = STATE(3977),
    [sym_conditional] = STATE(3977),
    [sym_range] = STATE(3977),
    [sym_binary] = STATE(3977),
    [sym_unary] = STATE(3977),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1654] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3978),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3978),
    [sym_operator_assignment] = STATE(3978),
    [sym_conditional] = STATE(3978),
    [sym_range] = STATE(3978),
    [sym_binary] = STATE(3978),
    [sym_unary] = STATE(3978),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1655] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3979),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(3979),
    [sym_operator_assignment] = STATE(3979),
    [sym_conditional] = STATE(3979),
    [sym_range] = STATE(3979),
    [sym_binary] = STATE(3979),
    [sym_unary] = STATE(3979),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1656] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(3980),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(3980),
    [sym_operator_assignment] = STATE(3980),
    [sym_conditional] = STATE(3980),
    [sym_range] = STATE(3980),
    [sym_binary] = STATE(3980),
    [sym_unary] = STATE(3980),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1657] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3981),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3981),
    [sym_operator_assignment] = STATE(3981),
    [sym_conditional] = STATE(3981),
    [sym_range] = STATE(3981),
    [sym_binary] = STATE(3981),
    [sym_unary] = STATE(3981),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1658] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3982),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3982),
    [sym_operator_assignment] = STATE(3982),
    [sym_conditional] = STATE(3982),
    [sym_range] = STATE(3982),
    [sym_binary] = STATE(3982),
    [sym_unary] = STATE(3982),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1659] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3983),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3983),
    [sym_operator_assignment] = STATE(3983),
    [sym_conditional] = STATE(3983),
    [sym_range] = STATE(3983),
    [sym_binary] = STATE(3983),
    [sym_unary] = STATE(3983),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1660] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3984),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3984),
    [sym_operator_assignment] = STATE(3984),
    [sym_conditional] = STATE(3984),
    [sym_range] = STATE(3984),
    [sym_binary] = STATE(3984),
    [sym_unary] = STATE(3984),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1661] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3985),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3985),
    [sym_operator_assignment] = STATE(3985),
    [sym_conditional] = STATE(3985),
    [sym_range] = STATE(3985),
    [sym_binary] = STATE(3985),
    [sym_unary] = STATE(3985),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1662] = {
    [sym__statements] = STATE(2696),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(2697),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(1604),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(1605),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(6130),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1663] = {
    [sym_do_block] = STATE(2704),
    [sym_block] = STATE(2704),
    [sym__line_break] = ACTIONS(2751),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [ts_builtin_sym_end] = ACTIONS(2751),
    [anon_sym___END__] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_end] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_when] = ACTIONS(2751),
    [anon_sym_elsif] = ACTIONS(2751),
    [anon_sym_else] = ACTIONS(2751),
    [anon_sym_then] = ACTIONS(2751),
    [anon_sym_ensure] = ACTIONS(2751),
    [anon_sym_EQ_GT] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [1664] = {
    [sym__statements] = STATE(1597),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(1598),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(6132),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1665] = {
    [sym__line_break] = ACTIONS(6134),
    [sym__heredoc_body_start] = ACTIONS(6134),
    [sym__element_reference_left_bracket] = ACTIONS(6134),
    [sym__infix_scope_colons] = ACTIONS(6134),
    [sym__binary_minus] = ACTIONS(6134),
    [sym__binary_star] = ACTIONS(6134),
    [ts_builtin_sym_end] = ACTIONS(6134),
    [anon_sym___END__] = ACTIONS(6134),
    [anon_sym_LBRACE] = ACTIONS(6134),
    [anon_sym_RBRACE] = ACTIONS(6134),
    [anon_sym_RPAREN] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6136),
    [anon_sym_COMMA] = ACTIONS(6134),
    [anon_sym_PIPE] = ACTIONS(6136),
    [anon_sym_SEMI] = ACTIONS(6134),
    [anon_sym_STAR_STAR] = ACTIONS(6136),
    [anon_sym_AMP] = ACTIONS(6136),
    [anon_sym_EQ] = ACTIONS(6136),
    [anon_sym_LT] = ACTIONS(6136),
    [anon_sym_end] = ACTIONS(6134),
    [anon_sym_if] = ACTIONS(6134),
    [anon_sym_unless] = ACTIONS(6134),
    [anon_sym_while] = ACTIONS(6134),
    [anon_sym_until] = ACTIONS(6134),
    [anon_sym_rescue] = ACTIONS(6134),
    [anon_sym_do] = ACTIONS(6134),
    [anon_sym_when] = ACTIONS(6134),
    [anon_sym_elsif] = ACTIONS(6134),
    [anon_sym_else] = ACTIONS(6134),
    [anon_sym_then] = ACTIONS(6134),
    [anon_sym_ensure] = ACTIONS(6134),
    [anon_sym_AMP_DOT] = ACTIONS(6134),
    [anon_sym_PLUS_EQ] = ACTIONS(6134),
    [anon_sym_DASH_EQ] = ACTIONS(6134),
    [anon_sym_STAR_EQ] = ACTIONS(6134),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6134),
    [anon_sym_SLASH_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6134),
    [anon_sym_AMP_EQ] = ACTIONS(6134),
    [anon_sym_PERCENT_EQ] = ACTIONS(6134),
    [anon_sym_GT_GT_EQ] = ACTIONS(6134),
    [anon_sym_LT_LT_EQ] = ACTIONS(6134),
    [anon_sym_CARET_EQ] = ACTIONS(6134),
    [anon_sym_QMARK] = ACTIONS(6134),
    [anon_sym_DOT_DOT] = ACTIONS(6136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6134),
    [anon_sym_and] = ACTIONS(6134),
    [anon_sym_or] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE] = ACTIONS(6136),
    [anon_sym_AMP_AMP] = ACTIONS(6136),
    [anon_sym_LT_LT] = ACTIONS(6136),
    [anon_sym_GT_GT] = ACTIONS(6136),
    [anon_sym_EQ_EQ] = ACTIONS(6136),
    [anon_sym_BANG_EQ] = ACTIONS(6134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6134),
    [anon_sym_LT_EQ_GT] = ACTIONS(6134),
    [anon_sym_EQ_TILDE] = ACTIONS(6134),
    [anon_sym_BANG_TILDE] = ACTIONS(6134),
    [anon_sym_LT_EQ] = ACTIONS(6136),
    [anon_sym_GT] = ACTIONS(6136),
    [anon_sym_GT_EQ] = ACTIONS(6134),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PLUS] = ACTIONS(6136),
    [anon_sym_SLASH] = ACTIONS(6136),
    [anon_sym_PERCENT] = ACTIONS(6136),
    [sym_comment] = ACTIONS(87),
  },
  [1666] = {
    [sym_interpolation] = STATE(3988),
    [aux_sym_heredoc_body_repeat1] = STATE(3988),
    [sym__heredoc_content] = ACTIONS(6138),
    [sym_heredoc_end] = ACTIONS(6140),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(6138),
  },
  [1667] = {
    [sym_heredoc_body] = STATE(3989),
    [aux_sym_call_repeat1] = STATE(3989),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [ts_builtin_sym_end] = ACTIONS(4306),
    [anon_sym___END__] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [1668] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(441),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(441),
    [sym_operator_assignment] = STATE(441),
    [sym_conditional] = STATE(441),
    [sym_range] = STATE(441),
    [sym_binary] = STATE(441),
    [sym_unary] = STATE(441),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(450),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(3991),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(765),
    [sym__splat_star] = ACTIONS(767),
    [sym__unary_minus] = ACTIONS(771),
    [sym__identifier_hash_key] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(6142),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(813),
    [sym_identifier] = ACTIONS(813),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1669] = {
    [sym_heredoc_body] = STATE(3992),
    [aux_sym_call_repeat1] = STATE(3992),
    [aux_sym_argument_list_repeat1] = STATE(3993),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [ts_builtin_sym_end] = ACTIONS(4306),
    [anon_sym___END__] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(2761),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [1670] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3994),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_splat_argument] = STATE(3996),
    [sym_assignment] = STATE(3994),
    [sym_operator_assignment] = STATE(3994),
    [sym_conditional] = STATE(3994),
    [sym_range] = STATE(3994),
    [sym_binary] = STATE(3994),
    [sym_unary] = STATE(3994),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(3996),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(1677),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1671] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3997),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(3997),
    [sym_operator_assignment] = STATE(3997),
    [sym_conditional] = STATE(3997),
    [sym_range] = STATE(3997),
    [sym_binary] = STATE(3997),
    [sym_unary] = STATE(3997),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1672] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3998),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(3998),
    [sym_operator_assignment] = STATE(3998),
    [sym_conditional] = STATE(3998),
    [sym_range] = STATE(3998),
    [sym_binary] = STATE(3998),
    [sym_unary] = STATE(3998),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1673] = {
    [sym_string] = STATE(3999),
    [aux_sym_chained_string_repeat1] = STATE(3999),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [ts_builtin_sym_end] = ACTIONS(2785),
    [anon_sym___END__] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [1674] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4000),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(4000),
    [sym_operator_assignment] = STATE(4000),
    [sym_conditional] = STATE(4000),
    [sym_range] = STATE(4000),
    [sym_binary] = STATE(4000),
    [sym_unary] = STATE(4000),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1675] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4001),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(4001),
    [sym_operator_assignment] = STATE(4001),
    [sym_conditional] = STATE(4001),
    [sym_range] = STATE(4001),
    [sym_binary] = STATE(4001),
    [sym_unary] = STATE(4001),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1676] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4002),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(4002),
    [sym_operator_assignment] = STATE(4002),
    [sym_conditional] = STATE(4002),
    [sym_range] = STATE(4002),
    [sym_binary] = STATE(4002),
    [sym_unary] = STATE(4002),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1677] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4003),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(4003),
    [sym_operator_assignment] = STATE(4003),
    [sym_conditional] = STATE(4003),
    [sym_range] = STATE(4003),
    [sym_binary] = STATE(4003),
    [sym_unary] = STATE(4003),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1678] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1679] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(5050),
    [anon_sym___END__] = ACTIONS(5050),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(6148),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(6152),
    [anon_sym_LT] = ACTIONS(6154),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(6156),
    [anon_sym_DOT_DOT] = ACTIONS(6158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6160),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(6162),
    [anon_sym_AMP_AMP] = ACTIONS(6162),
    [anon_sym_LT_LT] = ACTIONS(6164),
    [anon_sym_GT_GT] = ACTIONS(6164),
    [anon_sym_EQ_EQ] = ACTIONS(6166),
    [anon_sym_BANG_EQ] = ACTIONS(6162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6162),
    [anon_sym_LT_EQ_GT] = ACTIONS(6162),
    [anon_sym_EQ_TILDE] = ACTIONS(6162),
    [anon_sym_BANG_TILDE] = ACTIONS(6162),
    [anon_sym_LT_EQ] = ACTIONS(6154),
    [anon_sym_GT] = ACTIONS(6154),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [1680] = {
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [ts_builtin_sym_end] = ACTIONS(6174),
    [anon_sym___END__] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_when] = ACTIONS(6174),
    [anon_sym_elsif] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [1681] = {
    [aux_sym_exceptions_repeat1] = STATE(4017),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [ts_builtin_sym_end] = ACTIONS(6174),
    [anon_sym___END__] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6178),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [1682] = {
    [anon_sym_EQ] = ACTIONS(6180),
    [sym_comment] = ACTIONS(87),
  },
  [1683] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [ts_builtin_sym_end] = ACTIONS(557),
    [anon_sym___END__] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(6182),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(6184),
    [anon_sym_DASH_EQ] = ACTIONS(6184),
    [anon_sym_STAR_EQ] = ACTIONS(6184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6184),
    [anon_sym_SLASH_EQ] = ACTIONS(6184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6184),
    [anon_sym_PIPE_EQ] = ACTIONS(6184),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6184),
    [anon_sym_AMP_EQ] = ACTIONS(6184),
    [anon_sym_PERCENT_EQ] = ACTIONS(6184),
    [anon_sym_GT_GT_EQ] = ACTIONS(6184),
    [anon_sym_LT_LT_EQ] = ACTIONS(6184),
    [anon_sym_CARET_EQ] = ACTIONS(6184),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1684] = {
    [anon_sym_RPAREN] = ACTIONS(6186),
    [anon_sym_EQ] = ACTIONS(6186),
    [anon_sym_in] = ACTIONS(6186),
    [sym_comment] = ACTIONS(87),
  },
  [1685] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(6188),
    [anon_sym___END__] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(719),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(723),
    [anon_sym_AMP_AMP] = ACTIONS(723),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [1686] = {
    [sym_string] = STATE(1686),
    [aux_sym_chained_string_repeat1] = STATE(1686),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [ts_builtin_sym_end] = ACTIONS(6190),
    [anon_sym___END__] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [1687] = {
    [sym__string_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(839),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_unless] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(839),
    [anon_sym_until] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(839),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(839),
    [anon_sym_AMP_AMP] = ACTIONS(839),
    [anon_sym_LT_LT] = ACTIONS(839),
    [anon_sym_GT_GT] = ACTIONS(839),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_SLASH] = ACTIONS(839),
    [anon_sym_PERCENT] = ACTIONS(839),
    [sym_comment] = ACTIONS(87),
  },
  [1688] = {
    [sym__string_end] = ACTIONS(6197),
    [sym_comment] = ACTIONS(87),
  },
  [1689] = {
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [1690] = {
    [sym__simple_symbol] = ACTIONS(1419),
    [sym__string_start] = ACTIONS(1419),
    [sym__symbol_start] = ACTIONS(1419),
    [sym__subshell_start] = ACTIONS(1419),
    [sym__regex_start] = ACTIONS(1419),
    [sym__string_array_start] = ACTIONS(1419),
    [sym__symbol_array_start] = ACTIONS(1419),
    [sym_heredoc_beginning] = ACTIONS(1419),
    [sym__element_reference_left_bracket] = ACTIONS(1419),
    [sym__block_ampersand] = ACTIONS(1419),
    [sym__splat_star] = ACTIONS(1419),
    [sym__argument_list_left_paren] = ACTIONS(1419),
    [sym__infix_scope_colons] = ACTIONS(1419),
    [sym__unary_minus] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1419),
    [sym__binary_star] = ACTIONS(1419),
    [sym__identifier_hash_key] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1419),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_def] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1419),
    [anon_sym_RPAREN] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_COLON_COLON] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1419),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [anon_sym_class] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1421),
    [anon_sym_module] = ACTIONS(1421),
    [anon_sym_return] = ACTIONS(1421),
    [anon_sym_yield] = ACTIONS(1421),
    [anon_sym_break] = ACTIONS(1421),
    [anon_sym_next] = ACTIONS(1421),
    [sym_redo] = ACTIONS(1421),
    [sym_retry] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_unless] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1421),
    [anon_sym_until] = ACTIONS(1421),
    [anon_sym_rescue] = ACTIONS(1421),
    [anon_sym_for] = ACTIONS(1421),
    [anon_sym_do] = ACTIONS(1421),
    [anon_sym_case] = ACTIONS(1421),
    [anon_sym_begin] = ACTIONS(1421),
    [anon_sym_AMP_DOT] = ACTIONS(1419),
    [anon_sym_PLUS_EQ] = ACTIONS(1419),
    [anon_sym_DASH_EQ] = ACTIONS(1419),
    [anon_sym_STAR_EQ] = ACTIONS(1419),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1419),
    [anon_sym_SLASH_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1419),
    [anon_sym_AMP_EQ] = ACTIONS(1419),
    [anon_sym_PERCENT_EQ] = ACTIONS(1419),
    [anon_sym_GT_GT_EQ] = ACTIONS(1419),
    [anon_sym_LT_LT_EQ] = ACTIONS(1419),
    [anon_sym_CARET_EQ] = ACTIONS(1419),
    [anon_sym_QMARK] = ACTIONS(1421),
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_DOT_DOT] = ACTIONS(1421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1419),
    [anon_sym_and] = ACTIONS(1421),
    [anon_sym_or] = ACTIONS(1421),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_AMP_AMP] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1419),
    [anon_sym_LT_EQ_GT] = ACTIONS(1419),
    [anon_sym_EQ_TILDE] = ACTIONS(1419),
    [anon_sym_BANG_TILDE] = ACTIONS(1419),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1419),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_defined_QMARK] = ACTIONS(1419),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_BANG] = ACTIONS(1421),
    [anon_sym_TILDE] = ACTIONS(1419),
    [sym_constant] = ACTIONS(1421),
    [sym_identifier] = ACTIONS(1421),
    [sym_instance_variable] = ACTIONS(1419),
    [sym_class_variable] = ACTIONS(1419),
    [sym_global_variable] = ACTIONS(1419),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1421),
    [sym_complex] = ACTIONS(1419),
    [sym_super] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_TRUE] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_FALSE] = ACTIONS(1421),
    [sym_self] = ACTIONS(1421),
    [anon_sym_nil] = ACTIONS(1421),
    [anon_sym_NIL] = ACTIONS(1421),
    [sym_character] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_DASH_GT] = ACTIONS(1419),
  },
  [1691] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4029),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(4029),
    [sym_operator_assignment] = STATE(4029),
    [sym_conditional] = STATE(4029),
    [sym_range] = STATE(4029),
    [sym_binary] = STATE(4029),
    [sym_unary] = STATE(4029),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1692] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4034),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(4034),
    [sym_operator_assignment] = STATE(4034),
    [sym_conditional] = STATE(4034),
    [sym_range] = STATE(4034),
    [sym_binary] = STATE(4034),
    [sym_unary] = STATE(4034),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1693] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4035),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(4035),
    [sym_operator_assignment] = STATE(4035),
    [sym_conditional] = STATE(4035),
    [sym_range] = STATE(4035),
    [sym_binary] = STATE(4035),
    [sym_unary] = STATE(4035),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1694] = {
    [sym__keyword_colon] = ACTIONS(6223),
    [sym_comment] = ACTIONS(87),
  },
  [1695] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4038),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(4038),
    [sym_operator_assignment] = STATE(4038),
    [sym_conditional] = STATE(4038),
    [sym_range] = STATE(4038),
    [sym_binary] = STATE(4038),
    [sym_unary] = STATE(4038),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1696] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(4045),
    [sym__argument] = STATE(4046),
    [sym_splat_argument] = STATE(4046),
    [sym_hash_splat_argument] = STATE(4046),
    [sym_block_argument] = STATE(4046),
    [sym_assignment] = STATE(4044),
    [sym_operator_assignment] = STATE(4044),
    [sym_conditional] = STATE(4044),
    [sym_range] = STATE(4044),
    [sym_binary] = STATE(4044),
    [sym_unary] = STATE(4044),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4046),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(6225),
    [sym__splat_star] = ACTIONS(6227),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(6229),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(6231),
    [sym_identifier] = ACTIONS(6231),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1697] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(4045),
    [sym__argument] = STATE(4046),
    [sym_splat_argument] = STATE(4046),
    [sym_hash_splat_argument] = STATE(4046),
    [sym_block_argument] = STATE(4046),
    [sym_assignment] = STATE(4044),
    [sym_operator_assignment] = STATE(4044),
    [sym_conditional] = STATE(4044),
    [sym_range] = STATE(4044),
    [sym_binary] = STATE(4044),
    [sym_unary] = STATE(4044),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4046),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(6225),
    [sym__splat_star] = ACTIONS(6227),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(6229),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(6231),
    [sym_identifier] = ACTIONS(6231),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1698] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(4045),
    [sym__argument] = STATE(4046),
    [sym_splat_argument] = STATE(4046),
    [sym_hash_splat_argument] = STATE(4046),
    [sym_block_argument] = STATE(4046),
    [sym_assignment] = STATE(4044),
    [sym_operator_assignment] = STATE(4044),
    [sym_conditional] = STATE(4044),
    [sym_range] = STATE(4044),
    [sym_binary] = STATE(4044),
    [sym_unary] = STATE(4044),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4046),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(6225),
    [sym__splat_star] = ACTIONS(6227),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(6229),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(6231),
    [sym_identifier] = ACTIONS(6231),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1699] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(4045),
    [sym__argument] = STATE(4046),
    [sym_splat_argument] = STATE(4046),
    [sym_hash_splat_argument] = STATE(4046),
    [sym_block_argument] = STATE(4046),
    [sym_assignment] = STATE(4044),
    [sym_operator_assignment] = STATE(4044),
    [sym_conditional] = STATE(4044),
    [sym_range] = STATE(4044),
    [sym_binary] = STATE(4044),
    [sym_unary] = STATE(4044),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4046),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(6225),
    [sym__splat_star] = ACTIONS(6227),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(6229),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(6231),
    [sym_identifier] = ACTIONS(6231),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1700] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4048),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(4048),
    [sym_operator_assignment] = STATE(4048),
    [sym_conditional] = STATE(4048),
    [sym_range] = STATE(4048),
    [sym_binary] = STATE(4048),
    [sym_unary] = STATE(4048),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1701] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4049),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(4049),
    [sym_operator_assignment] = STATE(4049),
    [sym_conditional] = STATE(4049),
    [sym_range] = STATE(4049),
    [sym_binary] = STATE(4049),
    [sym_unary] = STATE(4049),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1702] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1703] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(6223),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1704] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(6245),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [1705] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4068),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(1449),
    [sym__argument_list_with_parens] = STATE(4069),
    [sym__argument] = STATE(4070),
    [sym_splat_argument] = STATE(4070),
    [sym_hash_splat_argument] = STATE(4070),
    [sym_block_argument] = STATE(4070),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(4068),
    [sym_operator_assignment] = STATE(4068),
    [sym_conditional] = STATE(4068),
    [sym_range] = STATE(4068),
    [sym_binary] = STATE(4068),
    [sym_unary] = STATE(4068),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4071),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4070),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(6265),
    [sym__splat_star] = ACTIONS(6267),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(6269),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(2447),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(6271),
    [sym_identifier] = ACTIONS(6271),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1706] = {
    [sym_heredoc_body] = STATE(4072),
    [aux_sym_call_repeat1] = STATE(4072),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1707] = {
    [sym_heredoc_body] = STATE(4072),
    [aux_sym_call_repeat1] = STATE(4072),
    [aux_sym_argument_list_repeat1] = STATE(4074),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(6273),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1708] = {
    [anon_sym_EQ] = ACTIONS(6275),
    [sym_comment] = ACTIONS(87),
  },
  [1709] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(6277),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(6279),
    [anon_sym_DASH_EQ] = ACTIONS(6279),
    [anon_sym_STAR_EQ] = ACTIONS(6279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6279),
    [anon_sym_SLASH_EQ] = ACTIONS(6279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6279),
    [anon_sym_PIPE_EQ] = ACTIONS(6279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6279),
    [anon_sym_AMP_EQ] = ACTIONS(6279),
    [anon_sym_PERCENT_EQ] = ACTIONS(6279),
    [anon_sym_GT_GT_EQ] = ACTIONS(6279),
    [anon_sym_LT_LT_EQ] = ACTIONS(6279),
    [anon_sym_CARET_EQ] = ACTIONS(6279),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1710] = {
    [sym_string] = STATE(4078),
    [aux_sym_chained_string_repeat1] = STATE(4078),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(6281),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1711] = {
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [1712] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2859),
    [anon_sym_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [1713] = {
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_unless] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_until] = ACTIONS(101),
    [anon_sym_rescue] = ACTIONS(101),
    [sym_comment] = ACTIONS(87),
  },
  [1714] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(4080),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(6283),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [1715] = {
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_unless] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_until] = ACTIONS(1267),
    [anon_sym_rescue] = ACTIONS(1267),
    [sym_comment] = ACTIONS(87),
  },
  [1716] = {
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_unless] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_until] = ACTIONS(1271),
    [anon_sym_rescue] = ACTIONS(1271),
    [sym_comment] = ACTIONS(87),
  },
  [1717] = {
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(1271),
    [anon_sym_EQ] = ACTIONS(6285),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_unless] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_until] = ACTIONS(1271),
    [anon_sym_rescue] = ACTIONS(1271),
    [sym_comment] = ACTIONS(87),
  },
  [1718] = {
    [aux_sym_undef_repeat1] = STATE(4083),
    [anon_sym_RBRACE] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(6287),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_unless] = ACTIONS(2283),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_until] = ACTIONS(2283),
    [anon_sym_rescue] = ACTIONS(2283),
    [sym_comment] = ACTIONS(87),
  },
  [1719] = {
    [sym_operator] = STATE(1716),
    [sym__method_name] = STATE(4084),
    [sym_setter] = STATE(1716),
    [sym_symbol] = STATE(1716),
    [sym__simple_symbol] = ACTIONS(2823),
    [sym__symbol_start] = ACTIONS(2825),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2829),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_GT_GT] = ACTIONS(2827),
    [anon_sym_EQ_EQ] = ACTIONS(2829),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2827),
    [anon_sym_LT_EQ_GT] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2827),
    [anon_sym_BANG_TILDE] = ACTIONS(2827),
    [anon_sym_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT] = ACTIONS(2829),
    [anon_sym_GT_EQ] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2827),
    [sym_constant] = ACTIONS(2831),
    [sym_identifier] = ACTIONS(2833),
    [sym_instance_variable] = ACTIONS(2831),
    [sym_class_variable] = ACTIONS(2831),
    [sym_global_variable] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_AT] = ACTIONS(2827),
    [anon_sym_DASH_AT] = ACTIONS(2827),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(2827),
    [anon_sym_BQUOTE] = ACTIONS(2827),
    [sym_comment] = ACTIONS(87),
  },
  [1720] = {
    [sym__string_content] = ACTIONS(6289),
    [sym__string_end] = ACTIONS(6289),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(6291),
    [sym_escape_sequence] = ACTIONS(6289),
  },
  [1721] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4085),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4085),
    [sym_operator_assignment] = STATE(4085),
    [sym_conditional] = STATE(4085),
    [sym_range] = STATE(4085),
    [sym_binary] = STATE(4085),
    [sym_unary] = STATE(4085),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1722] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4086),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4086),
    [sym_operator_assignment] = STATE(4086),
    [sym_conditional] = STATE(4086),
    [sym_range] = STATE(4086),
    [sym_binary] = STATE(4086),
    [sym_unary] = STATE(4086),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1723] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4087),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4087),
    [sym_operator_assignment] = STATE(4087),
    [sym_conditional] = STATE(4087),
    [sym_range] = STATE(4087),
    [sym_binary] = STATE(4087),
    [sym_unary] = STATE(4087),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1724] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4088),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4088),
    [sym_operator_assignment] = STATE(4088),
    [sym_conditional] = STATE(4088),
    [sym_range] = STATE(4088),
    [sym_binary] = STATE(4088),
    [sym_unary] = STATE(4088),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1725] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4089),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4089),
    [sym_operator_assignment] = STATE(4089),
    [sym_conditional] = STATE(4089),
    [sym_range] = STATE(4089),
    [sym_binary] = STATE(4089),
    [sym_unary] = STATE(4089),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1726] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4090),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4090),
    [sym_operator_assignment] = STATE(4090),
    [sym_conditional] = STATE(4090),
    [sym_range] = STATE(4090),
    [sym_binary] = STATE(4090),
    [sym_unary] = STATE(4090),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1727] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4091),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4091),
    [sym_operator_assignment] = STATE(4091),
    [sym_conditional] = STATE(4091),
    [sym_range] = STATE(4091),
    [sym_binary] = STATE(4091),
    [sym_unary] = STATE(4091),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1728] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4092),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4092),
    [sym_operator_assignment] = STATE(4092),
    [sym_conditional] = STATE(4092),
    [sym_range] = STATE(4092),
    [sym_binary] = STATE(4092),
    [sym_unary] = STATE(4092),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1729] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4093),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4093),
    [sym_operator_assignment] = STATE(4093),
    [sym_conditional] = STATE(4093),
    [sym_range] = STATE(4093),
    [sym_binary] = STATE(4093),
    [sym_unary] = STATE(4093),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1730] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4094),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4094),
    [sym_operator_assignment] = STATE(4094),
    [sym_conditional] = STATE(4094),
    [sym_range] = STATE(4094),
    [sym_binary] = STATE(4094),
    [sym_unary] = STATE(4094),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1731] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4095),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4095),
    [sym_operator_assignment] = STATE(4095),
    [sym_conditional] = STATE(4095),
    [sym_range] = STATE(4095),
    [sym_binary] = STATE(4095),
    [sym_unary] = STATE(4095),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1732] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4096),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(4096),
    [sym_operator_assignment] = STATE(4096),
    [sym_conditional] = STATE(4096),
    [sym_range] = STATE(4096),
    [sym_binary] = STATE(4096),
    [sym_unary] = STATE(4096),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1733] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4097),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4097),
    [sym_operator_assignment] = STATE(4097),
    [sym_conditional] = STATE(4097),
    [sym_range] = STATE(4097),
    [sym_binary] = STATE(4097),
    [sym_unary] = STATE(4097),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1734] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4098),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4098),
    [sym_operator_assignment] = STATE(4098),
    [sym_conditional] = STATE(4098),
    [sym_range] = STATE(4098),
    [sym_binary] = STATE(4098),
    [sym_unary] = STATE(4098),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1735] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4099),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4099),
    [sym_operator_assignment] = STATE(4099),
    [sym_conditional] = STATE(4099),
    [sym_range] = STATE(4099),
    [sym_binary] = STATE(4099),
    [sym_unary] = STATE(4099),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1736] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4100),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4100),
    [sym_operator_assignment] = STATE(4100),
    [sym_conditional] = STATE(4100),
    [sym_range] = STATE(4100),
    [sym_binary] = STATE(4100),
    [sym_unary] = STATE(4100),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1737] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4101),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4101),
    [sym_operator_assignment] = STATE(4101),
    [sym_conditional] = STATE(4101),
    [sym_range] = STATE(4101),
    [sym_binary] = STATE(4101),
    [sym_unary] = STATE(4101),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1738] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(4103),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(4104),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(6293),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1739] = {
    [sym_constant] = ACTIONS(6295),
    [sym_identifier] = ACTIONS(6295),
    [sym_comment] = ACTIONS(87),
  },
  [1740] = {
    [sym_argument_list_with_parens] = STATE(4108),
    [sym__argument_list_with_parens] = STATE(4109),
    [sym_operator] = STATE(4108),
    [sym_heredoc_body] = STATE(4110),
    [aux_sym_call_repeat1] = STATE(4110),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(6297),
    [anon_sym_PIPE] = ACTIONS(6299),
    [anon_sym_STAR] = ACTIONS(6301),
    [anon_sym_STAR_STAR] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(6299),
    [anon_sym_LT] = ACTIONS(6301),
    [anon_sym_DOT_DOT] = ACTIONS(6299),
    [anon_sym_LT_LT] = ACTIONS(6299),
    [anon_sym_GT_GT] = ACTIONS(6299),
    [anon_sym_EQ_EQ] = ACTIONS(6301),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6299),
    [anon_sym_LT_EQ_GT] = ACTIONS(6299),
    [anon_sym_EQ_TILDE] = ACTIONS(6299),
    [anon_sym_BANG_TILDE] = ACTIONS(6299),
    [anon_sym_LT_EQ] = ACTIONS(6301),
    [anon_sym_GT] = ACTIONS(6301),
    [anon_sym_GT_EQ] = ACTIONS(6299),
    [anon_sym_CARET] = ACTIONS(6299),
    [anon_sym_PLUS] = ACTIONS(6301),
    [anon_sym_SLASH] = ACTIONS(6299),
    [anon_sym_PERCENT] = ACTIONS(6299),
    [anon_sym_BANG] = ACTIONS(6301),
    [anon_sym_TILDE] = ACTIONS(6299),
    [sym_constant] = ACTIONS(6303),
    [sym_identifier] = ACTIONS(6303),
    [anon_sym_DASH] = ACTIONS(6301),
    [anon_sym_PLUS_AT] = ACTIONS(6299),
    [anon_sym_DASH_AT] = ACTIONS(6299),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(6301),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(6299),
    [anon_sym_BQUOTE] = ACTIONS(6299),
    [sym_comment] = ACTIONS(87),
  },
  [1741] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(4141),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(4141),
    [sym_operator_assignment] = STATE(4141),
    [sym_conditional] = STATE(4141),
    [sym_range] = STATE(4141),
    [sym_binary] = STATE(4141),
    [sym_unary] = STATE(4141),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [1742] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(4147),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(4147),
    [sym_operator_assignment] = STATE(4147),
    [sym_conditional] = STATE(4147),
    [sym_range] = STATE(4147),
    [sym_binary] = STATE(4147),
    [sym_unary] = STATE(4147),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [1743] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(4149),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(4150),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(6375),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1744] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4151),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(4151),
    [sym_operator_assignment] = STATE(4151),
    [sym_conditional] = STATE(4151),
    [sym_range] = STATE(4151),
    [sym_binary] = STATE(4151),
    [sym_unary] = STATE(4151),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1745] = {
    [sym__keyword_colon] = ACTIONS(6379),
    [sym_comment] = ACTIONS(87),
  },
  [1746] = {
    [sym__statements] = STATE(4155),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(4156),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(2058),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(2059),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(6381),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1747] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(4157),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(4157),
    [sym_operator_assignment] = STATE(4157),
    [sym_conditional] = STATE(4157),
    [sym_range] = STATE(4157),
    [sym_binary] = STATE(4157),
    [sym_unary] = STATE(4157),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [1748] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4068),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(2072),
    [sym__argument_list_with_parens] = STATE(4069),
    [sym__argument] = STATE(4070),
    [sym_splat_argument] = STATE(4070),
    [sym_hash_splat_argument] = STATE(4070),
    [sym_block_argument] = STATE(4070),
    [sym_assignment] = STATE(4068),
    [sym_operator_assignment] = STATE(4068),
    [sym_conditional] = STATE(4068),
    [sym_range] = STATE(4068),
    [sym_binary] = STATE(4068),
    [sym_unary] = STATE(4068),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4071),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4070),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(6265),
    [sym__splat_star] = ACTIONS(6267),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(6269),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(6271),
    [sym_identifier] = ACTIONS(6271),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1749] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4068),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(2073),
    [sym__argument_list_with_parens] = STATE(4069),
    [sym__argument] = STATE(4070),
    [sym_splat_argument] = STATE(4070),
    [sym_hash_splat_argument] = STATE(4070),
    [sym_block_argument] = STATE(4070),
    [sym_assignment] = STATE(4068),
    [sym_operator_assignment] = STATE(4068),
    [sym_conditional] = STATE(4068),
    [sym_range] = STATE(4068),
    [sym_binary] = STATE(4068),
    [sym_unary] = STATE(4068),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4071),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4070),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(6265),
    [sym__splat_star] = ACTIONS(6267),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(6269),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(6271),
    [sym_identifier] = ACTIONS(6271),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1750] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4068),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(2074),
    [sym__argument_list_with_parens] = STATE(4069),
    [sym__argument] = STATE(4070),
    [sym_splat_argument] = STATE(4070),
    [sym_hash_splat_argument] = STATE(4070),
    [sym_block_argument] = STATE(4070),
    [sym_assignment] = STATE(4068),
    [sym_operator_assignment] = STATE(4068),
    [sym_conditional] = STATE(4068),
    [sym_range] = STATE(4068),
    [sym_binary] = STATE(4068),
    [sym_unary] = STATE(4068),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4071),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4070),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(6265),
    [sym__splat_star] = ACTIONS(6267),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(6269),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(6271),
    [sym_identifier] = ACTIONS(6271),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1751] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4068),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(2075),
    [sym__argument_list_with_parens] = STATE(4069),
    [sym__argument] = STATE(4070),
    [sym_splat_argument] = STATE(4070),
    [sym_hash_splat_argument] = STATE(4070),
    [sym_block_argument] = STATE(4070),
    [sym_assignment] = STATE(4068),
    [sym_operator_assignment] = STATE(4068),
    [sym_conditional] = STATE(4068),
    [sym_range] = STATE(4068),
    [sym_binary] = STATE(4068),
    [sym_unary] = STATE(4068),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4071),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4070),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(6265),
    [sym__splat_star] = ACTIONS(6267),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(6269),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(6271),
    [sym_identifier] = ACTIONS(6271),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1752] = {
    [sym__statements] = STATE(4159),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(4160),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(4161),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(4161),
    [sym__line_break] = ACTIONS(6383),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6385),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1753] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4162),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(4162),
    [sym_operator_assignment] = STATE(4162),
    [sym_conditional] = STATE(4162),
    [sym_range] = STATE(4162),
    [sym_binary] = STATE(4162),
    [sym_unary] = STATE(4162),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1754] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4163),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(4163),
    [sym_operator_assignment] = STATE(4163),
    [sym_conditional] = STATE(4163),
    [sym_range] = STATE(4163),
    [sym_binary] = STATE(4163),
    [sym_unary] = STATE(4163),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1755] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2095),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(2095),
    [sym_operator_assignment] = STATE(2095),
    [sym_conditional] = STATE(2095),
    [sym_range] = STATE(2095),
    [sym_binary] = STATE(2095),
    [sym_unary] = STATE(2095),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1756] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(6379),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1757] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(6399),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [1758] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4068),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(2117),
    [sym__argument_list_with_parens] = STATE(4069),
    [sym__argument] = STATE(4070),
    [sym_splat_argument] = STATE(4070),
    [sym_hash_splat_argument] = STATE(4070),
    [sym_block_argument] = STATE(4070),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(4068),
    [sym_operator_assignment] = STATE(4068),
    [sym_conditional] = STATE(4068),
    [sym_range] = STATE(4068),
    [sym_binary] = STATE(4068),
    [sym_unary] = STATE(4068),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4071),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4070),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(6265),
    [sym__splat_star] = ACTIONS(6267),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(6269),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(6271),
    [sym_identifier] = ACTIONS(6271),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1759] = {
    [sym_do_block] = STATE(4178),
    [sym_block] = STATE(4178),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(6417),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(6419),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [1760] = {
    [sym_heredoc_body] = STATE(4180),
    [aux_sym_call_repeat1] = STATE(4180),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1761] = {
    [sym_heredoc_body] = STATE(4180),
    [aux_sym_call_repeat1] = STATE(4180),
    [aux_sym_argument_list_repeat1] = STATE(4182),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(6423),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1762] = {
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [1763] = {
    [anon_sym_EQ] = ACTIONS(6425),
    [sym_comment] = ACTIONS(87),
  },
  [1764] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(6427),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(6429),
    [anon_sym_DASH_EQ] = ACTIONS(6429),
    [anon_sym_STAR_EQ] = ACTIONS(6429),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6429),
    [anon_sym_SLASH_EQ] = ACTIONS(6429),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6429),
    [anon_sym_PIPE_EQ] = ACTIONS(6429),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6429),
    [anon_sym_AMP_EQ] = ACTIONS(6429),
    [anon_sym_PERCENT_EQ] = ACTIONS(6429),
    [anon_sym_GT_GT_EQ] = ACTIONS(6429),
    [anon_sym_LT_LT_EQ] = ACTIONS(6429),
    [anon_sym_CARET_EQ] = ACTIONS(6429),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1765] = {
    [sym_string] = STATE(4186),
    [aux_sym_chained_string_repeat1] = STATE(4186),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(6431),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1766] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4196),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_splat_argument] = STATE(4197),
    [sym_assignment] = STATE(4196),
    [sym_operator_assignment] = STATE(4196),
    [sym_conditional] = STATE(4196),
    [sym_range] = STATE(4196),
    [sym_binary] = STATE(4196),
    [sym_unary] = STATE(4196),
    [sym_right_assignment_list] = STATE(2138),
    [sym__arg_or_splat_arg] = STATE(4197),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(6433),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1767] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4201),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(4201),
    [sym_operator_assignment] = STATE(4201),
    [sym_conditional] = STATE(4201),
    [sym_range] = STATE(4201),
    [sym_binary] = STATE(4201),
    [sym_unary] = STATE(4201),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1768] = {
    [sym_string] = STATE(4202),
    [aux_sym_chained_string_repeat1] = STATE(4202),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [1769] = {
    [sym__string_content] = ACTIONS(6289),
    [sym__string_end] = ACTIONS(6289),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(6291),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6291),
    [sym_escape_sequence] = ACTIONS(6291),
  },
  [1770] = {
    [sym__line_break] = ACTIONS(6453),
    [sym__heredoc_body_start] = ACTIONS(6453),
    [sym__element_reference_left_bracket] = ACTIONS(6453),
    [sym__infix_scope_colons] = ACTIONS(6453),
    [sym__binary_minus] = ACTIONS(6453),
    [sym__binary_star] = ACTIONS(6453),
    [ts_builtin_sym_end] = ACTIONS(6453),
    [anon_sym___END__] = ACTIONS(6453),
    [anon_sym_LBRACE] = ACTIONS(6453),
    [anon_sym_RBRACE] = ACTIONS(6453),
    [anon_sym_RPAREN] = ACTIONS(6453),
    [anon_sym_DOT] = ACTIONS(6455),
    [anon_sym_COMMA] = ACTIONS(6453),
    [anon_sym_PIPE] = ACTIONS(6455),
    [anon_sym_SEMI] = ACTIONS(6453),
    [anon_sym_STAR_STAR] = ACTIONS(6453),
    [anon_sym_AMP] = ACTIONS(6455),
    [anon_sym_LT] = ACTIONS(6455),
    [anon_sym_end] = ACTIONS(6453),
    [anon_sym_if] = ACTIONS(6453),
    [anon_sym_unless] = ACTIONS(6453),
    [anon_sym_while] = ACTIONS(6453),
    [anon_sym_until] = ACTIONS(6453),
    [anon_sym_rescue] = ACTIONS(6453),
    [anon_sym_do] = ACTIONS(6453),
    [anon_sym_when] = ACTIONS(6453),
    [anon_sym_elsif] = ACTIONS(6453),
    [anon_sym_else] = ACTIONS(6453),
    [anon_sym_then] = ACTIONS(6453),
    [anon_sym_ensure] = ACTIONS(6453),
    [anon_sym_EQ_GT] = ACTIONS(6453),
    [anon_sym_AMP_DOT] = ACTIONS(6453),
    [anon_sym_QMARK] = ACTIONS(6453),
    [anon_sym_DOT_DOT] = ACTIONS(6455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6453),
    [anon_sym_and] = ACTIONS(6453),
    [anon_sym_or] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE] = ACTIONS(6453),
    [anon_sym_AMP_AMP] = ACTIONS(6453),
    [anon_sym_LT_LT] = ACTIONS(6453),
    [anon_sym_GT_GT] = ACTIONS(6453),
    [anon_sym_EQ_EQ] = ACTIONS(6455),
    [anon_sym_BANG_EQ] = ACTIONS(6453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6453),
    [anon_sym_LT_EQ_GT] = ACTIONS(6453),
    [anon_sym_EQ_TILDE] = ACTIONS(6453),
    [anon_sym_BANG_TILDE] = ACTIONS(6453),
    [anon_sym_LT_EQ] = ACTIONS(6455),
    [anon_sym_GT] = ACTIONS(6455),
    [anon_sym_GT_EQ] = ACTIONS(6453),
    [anon_sym_CARET] = ACTIONS(6453),
    [anon_sym_PLUS] = ACTIONS(6453),
    [anon_sym_SLASH] = ACTIONS(6453),
    [anon_sym_PERCENT] = ACTIONS(6453),
    [sym_comment] = ACTIONS(87),
  },
  [1771] = {
    [sym__line_break] = ACTIONS(6457),
    [sym__heredoc_body_start] = ACTIONS(6457),
    [sym__element_reference_left_bracket] = ACTIONS(6457),
    [sym__infix_scope_colons] = ACTIONS(6457),
    [sym__binary_minus] = ACTIONS(6457),
    [sym__binary_star] = ACTIONS(6457),
    [ts_builtin_sym_end] = ACTIONS(6457),
    [anon_sym___END__] = ACTIONS(6457),
    [anon_sym_LBRACE] = ACTIONS(6457),
    [anon_sym_RBRACE] = ACTIONS(6457),
    [anon_sym_RPAREN] = ACTIONS(6457),
    [anon_sym_DOT] = ACTIONS(6459),
    [anon_sym_COMMA] = ACTIONS(6457),
    [anon_sym_PIPE] = ACTIONS(6459),
    [anon_sym_SEMI] = ACTIONS(6457),
    [anon_sym_STAR_STAR] = ACTIONS(6457),
    [anon_sym_AMP] = ACTIONS(6459),
    [anon_sym_LT] = ACTIONS(6459),
    [anon_sym_end] = ACTIONS(6457),
    [anon_sym_if] = ACTIONS(6457),
    [anon_sym_unless] = ACTIONS(6457),
    [anon_sym_while] = ACTIONS(6457),
    [anon_sym_until] = ACTIONS(6457),
    [anon_sym_rescue] = ACTIONS(6457),
    [anon_sym_do] = ACTIONS(6457),
    [anon_sym_when] = ACTIONS(6457),
    [anon_sym_elsif] = ACTIONS(6457),
    [anon_sym_else] = ACTIONS(6457),
    [anon_sym_then] = ACTIONS(6457),
    [anon_sym_ensure] = ACTIONS(6457),
    [anon_sym_EQ_GT] = ACTIONS(6457),
    [anon_sym_AMP_DOT] = ACTIONS(6457),
    [anon_sym_QMARK] = ACTIONS(6457),
    [anon_sym_DOT_DOT] = ACTIONS(6459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6457),
    [anon_sym_and] = ACTIONS(6457),
    [anon_sym_or] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE] = ACTIONS(6457),
    [anon_sym_AMP_AMP] = ACTIONS(6457),
    [anon_sym_LT_LT] = ACTIONS(6457),
    [anon_sym_GT_GT] = ACTIONS(6457),
    [anon_sym_EQ_EQ] = ACTIONS(6459),
    [anon_sym_BANG_EQ] = ACTIONS(6457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6457),
    [anon_sym_LT_EQ_GT] = ACTIONS(6457),
    [anon_sym_EQ_TILDE] = ACTIONS(6457),
    [anon_sym_BANG_TILDE] = ACTIONS(6457),
    [anon_sym_LT_EQ] = ACTIONS(6459),
    [anon_sym_GT] = ACTIONS(6459),
    [anon_sym_GT_EQ] = ACTIONS(6457),
    [anon_sym_CARET] = ACTIONS(6457),
    [anon_sym_PLUS] = ACTIONS(6457),
    [anon_sym_SLASH] = ACTIONS(6457),
    [anon_sym_PERCENT] = ACTIONS(6457),
    [sym_comment] = ACTIONS(87),
  },
  [1772] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(6461),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [1773] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(6461),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6463),
  },
  [1774] = {
    [sym__line_break] = ACTIONS(6465),
    [sym__heredoc_body_start] = ACTIONS(6465),
    [sym__element_reference_left_bracket] = ACTIONS(6465),
    [sym__infix_scope_colons] = ACTIONS(6465),
    [sym__binary_minus] = ACTIONS(6465),
    [sym__binary_star] = ACTIONS(6465),
    [ts_builtin_sym_end] = ACTIONS(6465),
    [anon_sym___END__] = ACTIONS(6465),
    [anon_sym_LBRACE] = ACTIONS(6465),
    [anon_sym_RBRACE] = ACTIONS(6465),
    [anon_sym_RPAREN] = ACTIONS(6465),
    [anon_sym_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6465),
    [anon_sym_PIPE] = ACTIONS(6467),
    [anon_sym_SEMI] = ACTIONS(6465),
    [anon_sym_STAR_STAR] = ACTIONS(6465),
    [anon_sym_AMP] = ACTIONS(6467),
    [anon_sym_LT] = ACTIONS(6467),
    [anon_sym_end] = ACTIONS(6465),
    [anon_sym_if] = ACTIONS(6465),
    [anon_sym_unless] = ACTIONS(6465),
    [anon_sym_while] = ACTIONS(6465),
    [anon_sym_until] = ACTIONS(6465),
    [anon_sym_rescue] = ACTIONS(6465),
    [anon_sym_do] = ACTIONS(6465),
    [anon_sym_when] = ACTIONS(6465),
    [anon_sym_elsif] = ACTIONS(6465),
    [anon_sym_else] = ACTIONS(6465),
    [anon_sym_then] = ACTIONS(6465),
    [anon_sym_ensure] = ACTIONS(6465),
    [anon_sym_EQ_GT] = ACTIONS(6465),
    [anon_sym_AMP_DOT] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6465),
    [anon_sym_DOT_DOT] = ACTIONS(6467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6465),
    [anon_sym_AMP_AMP] = ACTIONS(6465),
    [anon_sym_LT_LT] = ACTIONS(6465),
    [anon_sym_GT_GT] = ACTIONS(6465),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6465),
    [anon_sym_EQ_TILDE] = ACTIONS(6465),
    [anon_sym_BANG_TILDE] = ACTIONS(6465),
    [anon_sym_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6467),
    [anon_sym_GT_EQ] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6465),
    [anon_sym_PLUS] = ACTIONS(6465),
    [anon_sym_SLASH] = ACTIONS(6465),
    [anon_sym_PERCENT] = ACTIONS(6465),
    [sym_comment] = ACTIONS(87),
  },
  [1775] = {
    [sym__string_end] = ACTIONS(6469),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6469),
  },
  [1776] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(6471),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [1777] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(6473),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6475),
  },
  [1778] = {
    [sym__line_break] = ACTIONS(6478),
    [sym__heredoc_body_start] = ACTIONS(6478),
    [sym__element_reference_left_bracket] = ACTIONS(6478),
    [sym__infix_scope_colons] = ACTIONS(6478),
    [sym__binary_minus] = ACTIONS(6478),
    [sym__binary_star] = ACTIONS(6478),
    [ts_builtin_sym_end] = ACTIONS(6478),
    [anon_sym___END__] = ACTIONS(6478),
    [anon_sym_LBRACE] = ACTIONS(6478),
    [anon_sym_RBRACE] = ACTIONS(6478),
    [anon_sym_RPAREN] = ACTIONS(6478),
    [anon_sym_DOT] = ACTIONS(6480),
    [anon_sym_COMMA] = ACTIONS(6478),
    [anon_sym_PIPE] = ACTIONS(6480),
    [anon_sym_SEMI] = ACTIONS(6478),
    [anon_sym_STAR_STAR] = ACTIONS(6478),
    [anon_sym_AMP] = ACTIONS(6480),
    [anon_sym_LT] = ACTIONS(6480),
    [anon_sym_end] = ACTIONS(6478),
    [anon_sym_if] = ACTIONS(6478),
    [anon_sym_unless] = ACTIONS(6478),
    [anon_sym_while] = ACTIONS(6478),
    [anon_sym_until] = ACTIONS(6478),
    [anon_sym_rescue] = ACTIONS(6478),
    [anon_sym_do] = ACTIONS(6478),
    [anon_sym_when] = ACTIONS(6478),
    [anon_sym_elsif] = ACTIONS(6478),
    [anon_sym_else] = ACTIONS(6478),
    [anon_sym_then] = ACTIONS(6478),
    [anon_sym_ensure] = ACTIONS(6478),
    [anon_sym_EQ_GT] = ACTIONS(6478),
    [anon_sym_AMP_DOT] = ACTIONS(6478),
    [anon_sym_QMARK] = ACTIONS(6478),
    [anon_sym_DOT_DOT] = ACTIONS(6480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6478),
    [anon_sym_and] = ACTIONS(6478),
    [anon_sym_or] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE] = ACTIONS(6478),
    [anon_sym_AMP_AMP] = ACTIONS(6478),
    [anon_sym_LT_LT] = ACTIONS(6478),
    [anon_sym_GT_GT] = ACTIONS(6478),
    [anon_sym_EQ_EQ] = ACTIONS(6480),
    [anon_sym_BANG_EQ] = ACTIONS(6478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6478),
    [anon_sym_LT_EQ_GT] = ACTIONS(6478),
    [anon_sym_EQ_TILDE] = ACTIONS(6478),
    [anon_sym_BANG_TILDE] = ACTIONS(6478),
    [anon_sym_LT_EQ] = ACTIONS(6480),
    [anon_sym_GT] = ACTIONS(6480),
    [anon_sym_GT_EQ] = ACTIONS(6478),
    [anon_sym_CARET] = ACTIONS(6478),
    [anon_sym_PLUS] = ACTIONS(6478),
    [anon_sym_SLASH] = ACTIONS(6478),
    [anon_sym_PERCENT] = ACTIONS(6478),
    [sym_comment] = ACTIONS(87),
  },
  [1779] = {
    [sym__line_break] = ACTIONS(6482),
    [sym__heredoc_body_start] = ACTIONS(6482),
    [sym__element_reference_left_bracket] = ACTIONS(6482),
    [sym__infix_scope_colons] = ACTIONS(6482),
    [sym__binary_minus] = ACTIONS(6482),
    [sym__binary_star] = ACTIONS(6482),
    [ts_builtin_sym_end] = ACTIONS(6482),
    [anon_sym___END__] = ACTIONS(6482),
    [anon_sym_LBRACE] = ACTIONS(6482),
    [anon_sym_RBRACE] = ACTIONS(6482),
    [anon_sym_RPAREN] = ACTIONS(6482),
    [anon_sym_DOT] = ACTIONS(6484),
    [anon_sym_COMMA] = ACTIONS(6482),
    [anon_sym_PIPE] = ACTIONS(6484),
    [anon_sym_SEMI] = ACTIONS(6482),
    [anon_sym_STAR_STAR] = ACTIONS(6482),
    [anon_sym_AMP] = ACTIONS(6484),
    [anon_sym_LT] = ACTIONS(6484),
    [anon_sym_end] = ACTIONS(6482),
    [anon_sym_if] = ACTIONS(6482),
    [anon_sym_unless] = ACTIONS(6482),
    [anon_sym_while] = ACTIONS(6482),
    [anon_sym_until] = ACTIONS(6482),
    [anon_sym_rescue] = ACTIONS(6482),
    [anon_sym_do] = ACTIONS(6482),
    [anon_sym_when] = ACTIONS(6482),
    [anon_sym_elsif] = ACTIONS(6482),
    [anon_sym_else] = ACTIONS(6482),
    [anon_sym_then] = ACTIONS(6482),
    [anon_sym_ensure] = ACTIONS(6482),
    [anon_sym_EQ_GT] = ACTIONS(6482),
    [anon_sym_AMP_DOT] = ACTIONS(6482),
    [anon_sym_QMARK] = ACTIONS(6482),
    [anon_sym_DOT_DOT] = ACTIONS(6484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6482),
    [anon_sym_and] = ACTIONS(6482),
    [anon_sym_or] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE] = ACTIONS(6482),
    [anon_sym_AMP_AMP] = ACTIONS(6482),
    [anon_sym_LT_LT] = ACTIONS(6482),
    [anon_sym_GT_GT] = ACTIONS(6482),
    [anon_sym_EQ_EQ] = ACTIONS(6484),
    [anon_sym_BANG_EQ] = ACTIONS(6482),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6482),
    [anon_sym_LT_EQ_GT] = ACTIONS(6482),
    [anon_sym_EQ_TILDE] = ACTIONS(6482),
    [anon_sym_BANG_TILDE] = ACTIONS(6482),
    [anon_sym_LT_EQ] = ACTIONS(6484),
    [anon_sym_GT] = ACTIONS(6484),
    [anon_sym_GT_EQ] = ACTIONS(6482),
    [anon_sym_CARET] = ACTIONS(6482),
    [anon_sym_PLUS] = ACTIONS(6482),
    [anon_sym_SLASH] = ACTIONS(6482),
    [anon_sym_PERCENT] = ACTIONS(6482),
    [sym_comment] = ACTIONS(87),
  },
  [1780] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(6486),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [1781] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(6486),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6488),
  },
  [1782] = {
    [sym__line_break] = ACTIONS(6490),
    [sym__heredoc_body_start] = ACTIONS(6490),
    [sym__element_reference_left_bracket] = ACTIONS(6490),
    [sym__infix_scope_colons] = ACTIONS(6490),
    [sym__binary_minus] = ACTIONS(6490),
    [sym__binary_star] = ACTIONS(6490),
    [ts_builtin_sym_end] = ACTIONS(6490),
    [anon_sym___END__] = ACTIONS(6490),
    [anon_sym_LBRACE] = ACTIONS(6490),
    [anon_sym_RBRACE] = ACTIONS(6490),
    [anon_sym_RPAREN] = ACTIONS(6490),
    [anon_sym_DOT] = ACTIONS(6492),
    [anon_sym_COMMA] = ACTIONS(6490),
    [anon_sym_PIPE] = ACTIONS(6492),
    [anon_sym_SEMI] = ACTIONS(6490),
    [anon_sym_STAR_STAR] = ACTIONS(6490),
    [anon_sym_AMP] = ACTIONS(6492),
    [anon_sym_LT] = ACTIONS(6492),
    [anon_sym_end] = ACTIONS(6490),
    [anon_sym_if] = ACTIONS(6490),
    [anon_sym_unless] = ACTIONS(6490),
    [anon_sym_while] = ACTIONS(6490),
    [anon_sym_until] = ACTIONS(6490),
    [anon_sym_rescue] = ACTIONS(6490),
    [anon_sym_do] = ACTIONS(6490),
    [anon_sym_when] = ACTIONS(6490),
    [anon_sym_elsif] = ACTIONS(6490),
    [anon_sym_else] = ACTIONS(6490),
    [anon_sym_then] = ACTIONS(6490),
    [anon_sym_ensure] = ACTIONS(6490),
    [anon_sym_EQ_GT] = ACTIONS(6490),
    [anon_sym_AMP_DOT] = ACTIONS(6490),
    [anon_sym_QMARK] = ACTIONS(6490),
    [anon_sym_DOT_DOT] = ACTIONS(6492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6490),
    [anon_sym_and] = ACTIONS(6490),
    [anon_sym_or] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE] = ACTIONS(6490),
    [anon_sym_AMP_AMP] = ACTIONS(6490),
    [anon_sym_LT_LT] = ACTIONS(6490),
    [anon_sym_GT_GT] = ACTIONS(6490),
    [anon_sym_EQ_EQ] = ACTIONS(6492),
    [anon_sym_BANG_EQ] = ACTIONS(6490),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6490),
    [anon_sym_LT_EQ_GT] = ACTIONS(6490),
    [anon_sym_EQ_TILDE] = ACTIONS(6490),
    [anon_sym_BANG_TILDE] = ACTIONS(6490),
    [anon_sym_LT_EQ] = ACTIONS(6492),
    [anon_sym_GT] = ACTIONS(6492),
    [anon_sym_GT_EQ] = ACTIONS(6490),
    [anon_sym_CARET] = ACTIONS(6490),
    [anon_sym_PLUS] = ACTIONS(6490),
    [anon_sym_SLASH] = ACTIONS(6490),
    [anon_sym_PERCENT] = ACTIONS(6490),
    [sym_comment] = ACTIONS(87),
  },
  [1783] = {
    [sym__string_end] = ACTIONS(6494),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6494),
  },
  [1784] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(6496),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [1785] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(6498),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6500),
  },
  [1786] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [1787] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4219),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(4219),
    [sym_operator_assignment] = STATE(4219),
    [sym_conditional] = STATE(4219),
    [sym_range] = STATE(4219),
    [sym_binary] = STATE(4219),
    [sym_unary] = STATE(4219),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1788] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4223),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(4223),
    [sym_operator_assignment] = STATE(4223),
    [sym_conditional] = STATE(4223),
    [sym_range] = STATE(4223),
    [sym_binary] = STATE(4223),
    [sym_unary] = STATE(4223),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1789] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4224),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(4224),
    [sym_operator_assignment] = STATE(4224),
    [sym_conditional] = STATE(4224),
    [sym_range] = STATE(4224),
    [sym_binary] = STATE(4224),
    [sym_unary] = STATE(4224),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1790] = {
    [sym__keyword_colon] = ACTIONS(6523),
    [sym_comment] = ACTIONS(87),
  },
  [1791] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4227),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(4227),
    [sym_operator_assignment] = STATE(4227),
    [sym_conditional] = STATE(4227),
    [sym_range] = STATE(4227),
    [sym_binary] = STATE(4227),
    [sym_unary] = STATE(4227),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1792] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3909),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(4228),
    [sym__argument] = STATE(4229),
    [sym_splat_argument] = STATE(4229),
    [sym_hash_splat_argument] = STATE(4229),
    [sym_block_argument] = STATE(4229),
    [sym_assignment] = STATE(3909),
    [sym_operator_assignment] = STATE(3909),
    [sym_conditional] = STATE(3909),
    [sym_range] = STATE(3909),
    [sym_binary] = STATE(3909),
    [sym_unary] = STATE(3909),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3912),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(4229),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(6036),
    [sym__splat_star] = ACTIONS(6038),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(6040),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(6042),
    [sym_identifier] = ACTIONS(6042),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1793] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3909),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(4228),
    [sym__argument] = STATE(4229),
    [sym_splat_argument] = STATE(4229),
    [sym_hash_splat_argument] = STATE(4229),
    [sym_block_argument] = STATE(4229),
    [sym_assignment] = STATE(3909),
    [sym_operator_assignment] = STATE(3909),
    [sym_conditional] = STATE(3909),
    [sym_range] = STATE(3909),
    [sym_binary] = STATE(3909),
    [sym_unary] = STATE(3909),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3912),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(4229),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(6036),
    [sym__splat_star] = ACTIONS(6038),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(6040),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(6042),
    [sym_identifier] = ACTIONS(6042),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1794] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3909),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(4228),
    [sym__argument] = STATE(4229),
    [sym_splat_argument] = STATE(4229),
    [sym_hash_splat_argument] = STATE(4229),
    [sym_block_argument] = STATE(4229),
    [sym_assignment] = STATE(3909),
    [sym_operator_assignment] = STATE(3909),
    [sym_conditional] = STATE(3909),
    [sym_range] = STATE(3909),
    [sym_binary] = STATE(3909),
    [sym_unary] = STATE(3909),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3912),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(4229),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(6036),
    [sym__splat_star] = ACTIONS(6038),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(6040),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(6042),
    [sym_identifier] = ACTIONS(6042),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1795] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3909),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(4228),
    [sym__argument] = STATE(4229),
    [sym_splat_argument] = STATE(4229),
    [sym_hash_splat_argument] = STATE(4229),
    [sym_block_argument] = STATE(4229),
    [sym_assignment] = STATE(3909),
    [sym_operator_assignment] = STATE(3909),
    [sym_conditional] = STATE(3909),
    [sym_range] = STATE(3909),
    [sym_binary] = STATE(3909),
    [sym_unary] = STATE(3909),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3912),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(4229),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(6036),
    [sym__splat_star] = ACTIONS(6038),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(6040),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(6042),
    [sym_identifier] = ACTIONS(6042),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1796] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4230),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(4230),
    [sym_operator_assignment] = STATE(4230),
    [sym_conditional] = STATE(4230),
    [sym_range] = STATE(4230),
    [sym_binary] = STATE(4230),
    [sym_unary] = STATE(4230),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1797] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4231),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(4231),
    [sym_operator_assignment] = STATE(4231),
    [sym_conditional] = STATE(4231),
    [sym_range] = STATE(4231),
    [sym_binary] = STATE(4231),
    [sym_unary] = STATE(4231),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1798] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1799] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(6523),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1800] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(6537),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [1801] = {
    [sym_heredoc_body] = STATE(4245),
    [aux_sym_call_repeat1] = STATE(4245),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1802] = {
    [sym_heredoc_body] = STATE(4245),
    [aux_sym_call_repeat1] = STATE(4245),
    [aux_sym_argument_list_repeat1] = STATE(4247),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(6557),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1803] = {
    [anon_sym_EQ] = ACTIONS(6559),
    [sym_comment] = ACTIONS(87),
  },
  [1804] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(6561),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(6563),
    [anon_sym_DASH_EQ] = ACTIONS(6563),
    [anon_sym_STAR_EQ] = ACTIONS(6563),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6563),
    [anon_sym_SLASH_EQ] = ACTIONS(6563),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6563),
    [anon_sym_PIPE_EQ] = ACTIONS(6563),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6563),
    [anon_sym_AMP_EQ] = ACTIONS(6563),
    [anon_sym_PERCENT_EQ] = ACTIONS(6563),
    [anon_sym_GT_GT_EQ] = ACTIONS(6563),
    [anon_sym_LT_LT_EQ] = ACTIONS(6563),
    [anon_sym_CARET_EQ] = ACTIONS(6563),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1805] = {
    [sym_string] = STATE(4251),
    [aux_sym_chained_string_repeat1] = STATE(4251),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(6565),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1806] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [1807] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [1808] = {
    [aux_sym_undef_repeat1] = STATE(4252),
    [sym__line_break] = ACTIONS(2283),
    [sym__heredoc_body_start] = ACTIONS(2283),
    [anon_sym_RBRACE] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_unless] = ACTIONS(2283),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_until] = ACTIONS(2283),
    [anon_sym_rescue] = ACTIONS(2283),
    [sym_comment] = ACTIONS(87),
  },
  [1809] = {
    [sym__line_break] = ACTIONS(6567),
    [sym__heredoc_body_start] = ACTIONS(6567),
    [ts_builtin_sym_end] = ACTIONS(6567),
    [anon_sym___END__] = ACTIONS(6567),
    [anon_sym_RBRACE] = ACTIONS(6567),
    [anon_sym_RPAREN] = ACTIONS(6567),
    [anon_sym_SEMI] = ACTIONS(6567),
    [anon_sym_end] = ACTIONS(6567),
    [anon_sym_rescue] = ACTIONS(6567),
    [anon_sym_when] = ACTIONS(6567),
    [anon_sym_elsif] = ACTIONS(6567),
    [anon_sym_else] = ACTIONS(6567),
    [anon_sym_ensure] = ACTIONS(6567),
    [sym_comment] = ACTIONS(87),
  },
  [1810] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1811] = {
    [sym_heredoc_body] = STATE(4253),
    [sym__terminator] = STATE(4253),
    [aux_sym__statements_repeat1] = STATE(4254),
    [sym__line_break] = ACTIONS(6569),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(6569),
    [sym_comment] = ACTIONS(87),
  },
  [1812] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4255),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4255),
    [sym_operator_assignment] = STATE(4255),
    [sym_conditional] = STATE(4255),
    [sym_range] = STATE(4255),
    [sym_binary] = STATE(4255),
    [sym_unary] = STATE(4255),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1813] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4256),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4256),
    [sym_operator_assignment] = STATE(4256),
    [sym_conditional] = STATE(4256),
    [sym_range] = STATE(4256),
    [sym_binary] = STATE(4256),
    [sym_unary] = STATE(4256),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1814] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4257),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4257),
    [sym_operator_assignment] = STATE(4257),
    [sym_conditional] = STATE(4257),
    [sym_range] = STATE(4257),
    [sym_binary] = STATE(4257),
    [sym_unary] = STATE(4257),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1815] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4258),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4258),
    [sym_operator_assignment] = STATE(4258),
    [sym_conditional] = STATE(4258),
    [sym_range] = STATE(4258),
    [sym_binary] = STATE(4258),
    [sym_unary] = STATE(4258),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1816] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4259),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4259),
    [sym_operator_assignment] = STATE(4259),
    [sym_conditional] = STATE(4259),
    [sym_range] = STATE(4259),
    [sym_binary] = STATE(4259),
    [sym_unary] = STATE(4259),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1817] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4260),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4260),
    [sym_operator_assignment] = STATE(4260),
    [sym_conditional] = STATE(4260),
    [sym_range] = STATE(4260),
    [sym_binary] = STATE(4260),
    [sym_unary] = STATE(4260),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1818] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4261),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4261),
    [sym_operator_assignment] = STATE(4261),
    [sym_conditional] = STATE(4261),
    [sym_range] = STATE(4261),
    [sym_binary] = STATE(4261),
    [sym_unary] = STATE(4261),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1819] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4262),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4262),
    [sym_operator_assignment] = STATE(4262),
    [sym_conditional] = STATE(4262),
    [sym_range] = STATE(4262),
    [sym_binary] = STATE(4262),
    [sym_unary] = STATE(4262),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1820] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4263),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4263),
    [sym_operator_assignment] = STATE(4263),
    [sym_conditional] = STATE(4263),
    [sym_range] = STATE(4263),
    [sym_binary] = STATE(4263),
    [sym_unary] = STATE(4263),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1821] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4264),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4264),
    [sym_operator_assignment] = STATE(4264),
    [sym_conditional] = STATE(4264),
    [sym_range] = STATE(4264),
    [sym_binary] = STATE(4264),
    [sym_unary] = STATE(4264),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1822] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4265),
    [sym_operator_assignment] = STATE(4265),
    [sym_conditional] = STATE(4265),
    [sym_range] = STATE(4265),
    [sym_binary] = STATE(4265),
    [sym_unary] = STATE(4265),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1823] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4266),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(4266),
    [sym_operator_assignment] = STATE(4266),
    [sym_conditional] = STATE(4266),
    [sym_range] = STATE(4266),
    [sym_binary] = STATE(4266),
    [sym_unary] = STATE(4266),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1824] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4267),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4267),
    [sym_operator_assignment] = STATE(4267),
    [sym_conditional] = STATE(4267),
    [sym_range] = STATE(4267),
    [sym_binary] = STATE(4267),
    [sym_unary] = STATE(4267),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1825] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4268),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4268),
    [sym_operator_assignment] = STATE(4268),
    [sym_conditional] = STATE(4268),
    [sym_range] = STATE(4268),
    [sym_binary] = STATE(4268),
    [sym_unary] = STATE(4268),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1826] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4269),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4269),
    [sym_operator_assignment] = STATE(4269),
    [sym_conditional] = STATE(4269),
    [sym_range] = STATE(4269),
    [sym_binary] = STATE(4269),
    [sym_unary] = STATE(4269),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1827] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4270),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4270),
    [sym_operator_assignment] = STATE(4270),
    [sym_conditional] = STATE(4270),
    [sym_range] = STATE(4270),
    [sym_binary] = STATE(4270),
    [sym_unary] = STATE(4270),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1828] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4271),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4271),
    [sym_operator_assignment] = STATE(4271),
    [sym_conditional] = STATE(4271),
    [sym_range] = STATE(4271),
    [sym_binary] = STATE(4271),
    [sym_unary] = STATE(4271),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1829] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(4280),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(4280),
    [sym_operator_assignment] = STATE(4280),
    [sym_conditional] = STATE(4280),
    [sym_range] = STATE(4280),
    [sym_binary] = STATE(4280),
    [sym_unary] = STATE(4280),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1830] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(4285),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(4285),
    [sym_operator_assignment] = STATE(4285),
    [sym_conditional] = STATE(4285),
    [sym_range] = STATE(4285),
    [sym_binary] = STATE(4285),
    [sym_unary] = STATE(4285),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1831] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4286),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(4286),
    [sym_operator_assignment] = STATE(4286),
    [sym_conditional] = STATE(4286),
    [sym_range] = STATE(4286),
    [sym_binary] = STATE(4286),
    [sym_unary] = STATE(4286),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1832] = {
    [sym__keyword_colon] = ACTIONS(6595),
    [sym_comment] = ACTIONS(87),
  },
  [1833] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(4289),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(4289),
    [sym_operator_assignment] = STATE(4289),
    [sym_conditional] = STATE(4289),
    [sym_range] = STATE(4289),
    [sym_binary] = STATE(4289),
    [sym_unary] = STATE(4289),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [1834] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3934),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(3935),
    [sym__argument] = STATE(3936),
    [sym_splat_argument] = STATE(3936),
    [sym_hash_splat_argument] = STATE(3936),
    [sym_block_argument] = STATE(3936),
    [sym_assignment] = STATE(3934),
    [sym_operator_assignment] = STATE(3934),
    [sym_conditional] = STATE(3934),
    [sym_range] = STATE(3934),
    [sym_binary] = STATE(3934),
    [sym_unary] = STATE(3934),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3937),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3936),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(6078),
    [sym__splat_star] = ACTIONS(6080),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(6082),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(6084),
    [sym_identifier] = ACTIONS(6084),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1835] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3934),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(3935),
    [sym__argument] = STATE(3936),
    [sym_splat_argument] = STATE(3936),
    [sym_hash_splat_argument] = STATE(3936),
    [sym_block_argument] = STATE(3936),
    [sym_assignment] = STATE(3934),
    [sym_operator_assignment] = STATE(3934),
    [sym_conditional] = STATE(3934),
    [sym_range] = STATE(3934),
    [sym_binary] = STATE(3934),
    [sym_unary] = STATE(3934),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3937),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3936),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(6078),
    [sym__splat_star] = ACTIONS(6080),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(6082),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(6084),
    [sym_identifier] = ACTIONS(6084),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1836] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3934),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(3935),
    [sym__argument] = STATE(3936),
    [sym_splat_argument] = STATE(3936),
    [sym_hash_splat_argument] = STATE(3936),
    [sym_block_argument] = STATE(3936),
    [sym_assignment] = STATE(3934),
    [sym_operator_assignment] = STATE(3934),
    [sym_conditional] = STATE(3934),
    [sym_range] = STATE(3934),
    [sym_binary] = STATE(3934),
    [sym_unary] = STATE(3934),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3937),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3936),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(6078),
    [sym__splat_star] = ACTIONS(6080),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(6082),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(6084),
    [sym_identifier] = ACTIONS(6084),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1837] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3934),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(3935),
    [sym__argument] = STATE(3936),
    [sym_splat_argument] = STATE(3936),
    [sym_hash_splat_argument] = STATE(3936),
    [sym_block_argument] = STATE(3936),
    [sym_assignment] = STATE(3934),
    [sym_operator_assignment] = STATE(3934),
    [sym_conditional] = STATE(3934),
    [sym_range] = STATE(3934),
    [sym_binary] = STATE(3934),
    [sym_unary] = STATE(3934),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3937),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3936),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(6078),
    [sym__splat_star] = ACTIONS(6080),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(6082),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(6084),
    [sym_identifier] = ACTIONS(6084),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1838] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4290),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(4290),
    [sym_operator_assignment] = STATE(4290),
    [sym_conditional] = STATE(4290),
    [sym_range] = STATE(4290),
    [sym_binary] = STATE(4290),
    [sym_unary] = STATE(4290),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1839] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4291),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(4291),
    [sym_operator_assignment] = STATE(4291),
    [sym_conditional] = STATE(4291),
    [sym_range] = STATE(4291),
    [sym_binary] = STATE(4291),
    [sym_unary] = STATE(4291),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1840] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1841] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(6595),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1842] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(6609),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [1843] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3934),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(3935),
    [sym__argument] = STATE(3936),
    [sym_splat_argument] = STATE(3936),
    [sym_hash_splat_argument] = STATE(3936),
    [sym_block_argument] = STATE(3936),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(3934),
    [sym_operator_assignment] = STATE(3934),
    [sym_conditional] = STATE(3934),
    [sym_range] = STATE(3934),
    [sym_binary] = STATE(3934),
    [sym_unary] = STATE(3934),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3937),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3936),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(6078),
    [sym__splat_star] = ACTIONS(6080),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(6082),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(6084),
    [sym_identifier] = ACTIONS(6084),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [1844] = {
    [sym_heredoc_body] = STATE(4305),
    [aux_sym_call_repeat1] = STATE(4305),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1845] = {
    [sym_heredoc_body] = STATE(4305),
    [aux_sym_call_repeat1] = STATE(4305),
    [aux_sym_argument_list_repeat1] = STATE(4307),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(6627),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1846] = {
    [anon_sym_EQ] = ACTIONS(6629),
    [sym_comment] = ACTIONS(87),
  },
  [1847] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(6631),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(6633),
    [anon_sym_DASH_EQ] = ACTIONS(6633),
    [anon_sym_STAR_EQ] = ACTIONS(6633),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6633),
    [anon_sym_SLASH_EQ] = ACTIONS(6633),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6633),
    [anon_sym_PIPE_EQ] = ACTIONS(6633),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6633),
    [anon_sym_AMP_EQ] = ACTIONS(6633),
    [anon_sym_PERCENT_EQ] = ACTIONS(6633),
    [anon_sym_GT_GT_EQ] = ACTIONS(6633),
    [anon_sym_LT_LT_EQ] = ACTIONS(6633),
    [anon_sym_CARET_EQ] = ACTIONS(6633),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1848] = {
    [sym_string] = STATE(4311),
    [aux_sym_chained_string_repeat1] = STATE(4311),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(6635),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1849] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4317),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_splat_argument] = STATE(4318),
    [sym_assignment] = STATE(4317),
    [sym_operator_assignment] = STATE(4317),
    [sym_conditional] = STATE(4317),
    [sym_range] = STATE(4317),
    [sym_binary] = STATE(4317),
    [sym_unary] = STATE(4317),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(4318),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(6637),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1850] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4321),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(4321),
    [sym_operator_assignment] = STATE(4321),
    [sym_conditional] = STATE(4321),
    [sym_range] = STATE(4321),
    [sym_binary] = STATE(4321),
    [sym_unary] = STATE(4321),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1851] = {
    [sym_string] = STATE(4322),
    [aux_sym_chained_string_repeat1] = STATE(4322),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [1852] = {
    [sym__string_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__keyword_colon] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_GT_GT] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(87),
  },
  [1853] = {
    [sym__element_reference_left_bracket] = ACTIONS(2941),
    [sym__infix_scope_colons] = ACTIONS(2941),
    [sym__binary_minus] = ACTIONS(2941),
    [sym__binary_star] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_unless] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_until] = ACTIONS(2941),
    [anon_sym_rescue] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_EQ_GT] = ACTIONS(2941),
    [anon_sym_AMP_DOT] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_COLON] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(2941),
    [anon_sym_or] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_GT_GT] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [sym_comment] = ACTIONS(87),
  },
  [1854] = {
    [sym__element_reference_left_bracket] = ACTIONS(2945),
    [sym__infix_scope_colons] = ACTIONS(2945),
    [sym__binary_minus] = ACTIONS(2945),
    [sym__binary_star] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_unless] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_until] = ACTIONS(2945),
    [anon_sym_rescue] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [anon_sym_AMP_DOT] = ACTIONS(2945),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_COLON] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2945),
    [anon_sym_or] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_GT_GT] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(87),
  },
  [1855] = {
    [sym__element_reference_left_bracket] = ACTIONS(2949),
    [sym__infix_scope_colons] = ACTIONS(2949),
    [sym__binary_minus] = ACTIONS(2949),
    [sym__binary_star] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_unless] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_until] = ACTIONS(2949),
    [anon_sym_rescue] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [anon_sym_AMP_DOT] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_and] = ACTIONS(2949),
    [anon_sym_or] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(87),
  },
  [1856] = {
    [sym__element_reference_left_bracket] = ACTIONS(2955),
    [sym__infix_scope_colons] = ACTIONS(2955),
    [sym__binary_minus] = ACTIONS(2955),
    [sym__binary_star] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_unless] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_until] = ACTIONS(2955),
    [anon_sym_rescue] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [anon_sym_AMP_DOT] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_GT_GT] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(87),
  },
  [1857] = {
    [sym__string_end] = ACTIONS(6649),
    [sym_comment] = ACTIONS(87),
  },
  [1858] = {
    [aux_sym_string_array_repeat1] = STATE(4326),
    [sym__string_end] = ACTIONS(6651),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6653),
  },
  [1859] = {
    [sym__element_reference_left_bracket] = ACTIONS(2965),
    [sym__infix_scope_colons] = ACTIONS(2965),
    [sym__binary_minus] = ACTIONS(2965),
    [sym__binary_star] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_unless] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_until] = ACTIONS(2965),
    [anon_sym_rescue] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [anon_sym_AMP_DOT] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_COLON] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2965),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(87),
  },
  [1860] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(6655),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [1861] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(6655),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6657),
  },
  [1862] = {
    [sym__element_reference_left_bracket] = ACTIONS(2984),
    [sym__infix_scope_colons] = ACTIONS(2984),
    [sym__binary_minus] = ACTIONS(2984),
    [sym__binary_star] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2984),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_STAR_STAR] = ACTIONS(2984),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_unless] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_until] = ACTIONS(2984),
    [anon_sym_rescue] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_EQ_GT] = ACTIONS(2984),
    [anon_sym_AMP_DOT] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_COLON] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_and] = ACTIONS(2984),
    [anon_sym_or] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE] = ACTIONS(2984),
    [anon_sym_AMP_AMP] = ACTIONS(2984),
    [anon_sym_LT_LT] = ACTIONS(2984),
    [anon_sym_GT_GT] = ACTIONS(2984),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_CARET] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_SLASH] = ACTIONS(2984),
    [anon_sym_PERCENT] = ACTIONS(2984),
    [sym_comment] = ACTIONS(87),
  },
  [1863] = {
    [sym__string_end] = ACTIONS(6659),
    [sym_comment] = ACTIONS(87),
  },
  [1864] = {
    [aux_sym_symbol_array_repeat1] = STATE(4332),
    [sym__string_end] = ACTIONS(6661),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6663),
  },
  [1865] = {
    [sym__element_reference_left_bracket] = ACTIONS(2994),
    [sym__infix_scope_colons] = ACTIONS(2994),
    [sym__binary_minus] = ACTIONS(2994),
    [sym__binary_star] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_RPAREN] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_unless] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_until] = ACTIONS(2994),
    [anon_sym_rescue] = ACTIONS(2994),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_EQ_GT] = ACTIONS(2994),
    [anon_sym_AMP_DOT] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2994),
    [anon_sym_COLON] = ACTIONS(2994),
    [anon_sym_DOT_DOT] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2994),
    [anon_sym_and] = ACTIONS(2994),
    [anon_sym_or] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_LT_LT] = ACTIONS(2994),
    [anon_sym_GT_GT] = ACTIONS(2994),
    [anon_sym_EQ_EQ] = ACTIONS(2996),
    [anon_sym_BANG_EQ] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2994),
    [anon_sym_LT_EQ_GT] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2994),
    [anon_sym_BANG_TILDE] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT] = ACTIONS(2996),
    [anon_sym_GT_EQ] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_SLASH] = ACTIONS(2994),
    [anon_sym_PERCENT] = ACTIONS(2994),
    [sym_comment] = ACTIONS(87),
  },
  [1866] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(6665),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [1867] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(6665),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6667),
  },
  [1868] = {
    [anon_sym_RBRACE] = ACTIONS(6669),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_unless] = ACTIONS(2839),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_until] = ACTIONS(2843),
    [anon_sym_rescue] = ACTIONS(2845),
    [sym_comment] = ACTIONS(87),
  },
  [1869] = {
    [anon_sym_RBRACE] = ACTIONS(6671),
    [anon_sym_RPAREN] = ACTIONS(6671),
    [anon_sym_SEMI] = ACTIONS(6671),
    [anon_sym_when] = ACTIONS(6671),
    [anon_sym_RBRACK] = ACTIONS(6671),
    [sym_comment] = ACTIONS(87),
  },
  [1870] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(6673),
    [sym_heredoc_end] = ACTIONS(6676),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(6678),
    [sym_escape_sequence] = ACTIONS(6673),
  },
  [1871] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_and] = ACTIONS(3206),
    [anon_sym_or] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [1872] = {
    [sym__element_reference_left_bracket] = ACTIONS(3480),
    [sym__infix_scope_colons] = ACTIONS(3480),
    [sym__binary_minus] = ACTIONS(3480),
    [sym__binary_star] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_DOT] = ACTIONS(3482),
    [anon_sym_COMMA] = ACTIONS(3480),
    [anon_sym_PIPE] = ACTIONS(3482),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_STAR_STAR] = ACTIONS(3480),
    [anon_sym_AMP] = ACTIONS(3482),
    [anon_sym_LT] = ACTIONS(3482),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_unless] = ACTIONS(3480),
    [anon_sym_while] = ACTIONS(3480),
    [anon_sym_until] = ACTIONS(3480),
    [anon_sym_rescue] = ACTIONS(3480),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_EQ_GT] = ACTIONS(3480),
    [anon_sym_AMP_DOT] = ACTIONS(3480),
    [anon_sym_QMARK] = ACTIONS(3480),
    [anon_sym_COLON] = ACTIONS(3480),
    [anon_sym_DOT_DOT] = ACTIONS(3482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3480),
    [anon_sym_and] = ACTIONS(3480),
    [anon_sym_or] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE] = ACTIONS(3480),
    [anon_sym_AMP_AMP] = ACTIONS(3480),
    [anon_sym_LT_LT] = ACTIONS(3480),
    [anon_sym_GT_GT] = ACTIONS(3480),
    [anon_sym_EQ_EQ] = ACTIONS(3482),
    [anon_sym_BANG_EQ] = ACTIONS(3480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3480),
    [anon_sym_LT_EQ_GT] = ACTIONS(3480),
    [anon_sym_EQ_TILDE] = ACTIONS(3480),
    [anon_sym_BANG_TILDE] = ACTIONS(3480),
    [anon_sym_LT_EQ] = ACTIONS(3482),
    [anon_sym_GT] = ACTIONS(3482),
    [anon_sym_GT_EQ] = ACTIONS(3480),
    [anon_sym_CARET] = ACTIONS(3480),
    [anon_sym_PLUS] = ACTIONS(3480),
    [anon_sym_SLASH] = ACTIONS(3480),
    [anon_sym_PERCENT] = ACTIONS(3480),
    [sym_comment] = ACTIONS(87),
  },
  [1873] = {
    [anon_sym_RBRACE] = ACTIONS(6683),
    [sym_comment] = ACTIONS(87),
  },
  [1874] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(6685),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(3534),
    [anon_sym_or] = ACTIONS(3534),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [1875] = {
    [sym__method_rest] = STATE(4338),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(543),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [1876] = {
    [sym__statements] = STATE(603),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(604),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(605),
    [sym_rescue] = STATE(606),
    [sym__body_statement] = STATE(4339),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6687),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1877] = {
    [sym__element_reference_left_bracket] = ACTIONS(3716),
    [sym__infix_scope_colons] = ACTIONS(3716),
    [sym__binary_minus] = ACTIONS(3716),
    [sym__binary_star] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_RBRACE] = ACTIONS(3716),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_DOT] = ACTIONS(3718),
    [anon_sym_COMMA] = ACTIONS(3716),
    [anon_sym_PIPE] = ACTIONS(3718),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym_STAR_STAR] = ACTIONS(3716),
    [anon_sym_AMP] = ACTIONS(3718),
    [anon_sym_LT] = ACTIONS(3718),
    [anon_sym_if] = ACTIONS(3716),
    [anon_sym_unless] = ACTIONS(3716),
    [anon_sym_while] = ACTIONS(3716),
    [anon_sym_until] = ACTIONS(3716),
    [anon_sym_rescue] = ACTIONS(3716),
    [anon_sym_do] = ACTIONS(3716),
    [anon_sym_EQ_GT] = ACTIONS(3716),
    [anon_sym_AMP_DOT] = ACTIONS(3716),
    [anon_sym_QMARK] = ACTIONS(3716),
    [anon_sym_COLON] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3716),
    [anon_sym_and] = ACTIONS(3716),
    [anon_sym_or] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE] = ACTIONS(3716),
    [anon_sym_AMP_AMP] = ACTIONS(3716),
    [anon_sym_LT_LT] = ACTIONS(3716),
    [anon_sym_GT_GT] = ACTIONS(3716),
    [anon_sym_EQ_EQ] = ACTIONS(3718),
    [anon_sym_BANG_EQ] = ACTIONS(3716),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3716),
    [anon_sym_LT_EQ_GT] = ACTIONS(3716),
    [anon_sym_EQ_TILDE] = ACTIONS(3716),
    [anon_sym_BANG_TILDE] = ACTIONS(3716),
    [anon_sym_LT_EQ] = ACTIONS(3718),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_GT_EQ] = ACTIONS(3716),
    [anon_sym_CARET] = ACTIONS(3716),
    [anon_sym_PLUS] = ACTIONS(3716),
    [anon_sym_SLASH] = ACTIONS(3716),
    [anon_sym_PERCENT] = ACTIONS(3716),
    [sym_comment] = ACTIONS(87),
  },
  [1878] = {
    [sym__string_start] = ACTIONS(839),
    [sym__heredoc_body_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(839),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_unless] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(839),
    [anon_sym_until] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(839),
    [anon_sym_in] = ACTIONS(839),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [anon_sym_RBRACK] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(839),
    [anon_sym_AMP_AMP] = ACTIONS(839),
    [anon_sym_LT_LT] = ACTIONS(839),
    [anon_sym_GT_GT] = ACTIONS(839),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_SLASH] = ACTIONS(839),
    [anon_sym_PERCENT] = ACTIONS(839),
    [sym_comment] = ACTIONS(87),
  },
  [1879] = {
    [sym__string_end] = ACTIONS(6689),
    [sym_comment] = ACTIONS(87),
  },
  [1880] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [1881] = {
    [sym__simple_symbol] = ACTIONS(1419),
    [sym__string_start] = ACTIONS(1419),
    [sym__symbol_start] = ACTIONS(1419),
    [sym__subshell_start] = ACTIONS(1419),
    [sym__regex_start] = ACTIONS(1419),
    [sym__string_array_start] = ACTIONS(1419),
    [sym__symbol_array_start] = ACTIONS(1419),
    [sym__heredoc_body_start] = ACTIONS(1419),
    [sym_heredoc_beginning] = ACTIONS(1419),
    [sym__element_reference_left_bracket] = ACTIONS(1419),
    [sym__block_ampersand] = ACTIONS(1419),
    [sym__splat_star] = ACTIONS(1419),
    [sym__argument_list_left_paren] = ACTIONS(1419),
    [sym__infix_scope_colons] = ACTIONS(1419),
    [sym__unary_minus] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1419),
    [sym__binary_star] = ACTIONS(1419),
    [sym__identifier_hash_key] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1419),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_def] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1419),
    [anon_sym_RPAREN] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_COLON_COLON] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1419),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [anon_sym_class] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1421),
    [anon_sym_module] = ACTIONS(1421),
    [anon_sym_return] = ACTIONS(1421),
    [anon_sym_yield] = ACTIONS(1421),
    [anon_sym_break] = ACTIONS(1421),
    [anon_sym_next] = ACTIONS(1421),
    [sym_redo] = ACTIONS(1421),
    [sym_retry] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_unless] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1421),
    [anon_sym_until] = ACTIONS(1421),
    [anon_sym_rescue] = ACTIONS(1421),
    [anon_sym_for] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1421),
    [anon_sym_do] = ACTIONS(1421),
    [anon_sym_case] = ACTIONS(1421),
    [anon_sym_begin] = ACTIONS(1421),
    [anon_sym_RBRACK] = ACTIONS(1419),
    [anon_sym_AMP_DOT] = ACTIONS(1419),
    [anon_sym_PLUS_EQ] = ACTIONS(1419),
    [anon_sym_DASH_EQ] = ACTIONS(1419),
    [anon_sym_STAR_EQ] = ACTIONS(1419),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1419),
    [anon_sym_SLASH_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1419),
    [anon_sym_AMP_EQ] = ACTIONS(1419),
    [anon_sym_PERCENT_EQ] = ACTIONS(1419),
    [anon_sym_GT_GT_EQ] = ACTIONS(1419),
    [anon_sym_LT_LT_EQ] = ACTIONS(1419),
    [anon_sym_CARET_EQ] = ACTIONS(1419),
    [anon_sym_QMARK] = ACTIONS(1421),
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_DOT_DOT] = ACTIONS(1421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1419),
    [anon_sym_and] = ACTIONS(1421),
    [anon_sym_or] = ACTIONS(1421),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_AMP_AMP] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1419),
    [anon_sym_LT_EQ_GT] = ACTIONS(1419),
    [anon_sym_EQ_TILDE] = ACTIONS(1419),
    [anon_sym_BANG_TILDE] = ACTIONS(1419),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1419),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_defined_QMARK] = ACTIONS(1419),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_BANG] = ACTIONS(1421),
    [anon_sym_TILDE] = ACTIONS(1419),
    [sym_constant] = ACTIONS(1421),
    [sym_identifier] = ACTIONS(1421),
    [sym_instance_variable] = ACTIONS(1419),
    [sym_class_variable] = ACTIONS(1419),
    [sym_global_variable] = ACTIONS(1419),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1421),
    [sym_complex] = ACTIONS(1419),
    [sym_super] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_TRUE] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_FALSE] = ACTIONS(1421),
    [sym_self] = ACTIONS(1421),
    [anon_sym_nil] = ACTIONS(1421),
    [anon_sym_NIL] = ACTIONS(1421),
    [sym_character] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_DASH_GT] = ACTIONS(1419),
  },
  [1882] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4345),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(4345),
    [sym_operator_assignment] = STATE(4345),
    [sym_conditional] = STATE(4345),
    [sym_range] = STATE(4345),
    [sym_binary] = STATE(4345),
    [sym_unary] = STATE(4345),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1883] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4348),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(4348),
    [sym_operator_assignment] = STATE(4348),
    [sym_conditional] = STATE(4348),
    [sym_range] = STATE(4348),
    [sym_binary] = STATE(4348),
    [sym_unary] = STATE(4348),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1884] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4349),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(4349),
    [sym_operator_assignment] = STATE(4349),
    [sym_conditional] = STATE(4349),
    [sym_range] = STATE(4349),
    [sym_binary] = STATE(4349),
    [sym_unary] = STATE(4349),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1885] = {
    [sym__keyword_colon] = ACTIONS(6703),
    [sym_comment] = ACTIONS(87),
  },
  [1886] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4352),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(4352),
    [sym_operator_assignment] = STATE(4352),
    [sym_conditional] = STATE(4352),
    [sym_range] = STATE(4352),
    [sym_binary] = STATE(4352),
    [sym_unary] = STATE(4352),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1887] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4358),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(4359),
    [sym__argument] = STATE(4360),
    [sym_splat_argument] = STATE(4360),
    [sym_hash_splat_argument] = STATE(4360),
    [sym_block_argument] = STATE(4360),
    [sym_assignment] = STATE(4358),
    [sym_operator_assignment] = STATE(4358),
    [sym_conditional] = STATE(4358),
    [sym_range] = STATE(4358),
    [sym_binary] = STATE(4358),
    [sym_unary] = STATE(4358),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4361),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4360),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(6705),
    [sym__splat_star] = ACTIONS(6707),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(6709),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(6711),
    [sym_identifier] = ACTIONS(6711),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1888] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4358),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(4359),
    [sym__argument] = STATE(4360),
    [sym_splat_argument] = STATE(4360),
    [sym_hash_splat_argument] = STATE(4360),
    [sym_block_argument] = STATE(4360),
    [sym_assignment] = STATE(4358),
    [sym_operator_assignment] = STATE(4358),
    [sym_conditional] = STATE(4358),
    [sym_range] = STATE(4358),
    [sym_binary] = STATE(4358),
    [sym_unary] = STATE(4358),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4361),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4360),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(6705),
    [sym__splat_star] = ACTIONS(6707),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(6709),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(6711),
    [sym_identifier] = ACTIONS(6711),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1889] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4358),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(4359),
    [sym__argument] = STATE(4360),
    [sym_splat_argument] = STATE(4360),
    [sym_hash_splat_argument] = STATE(4360),
    [sym_block_argument] = STATE(4360),
    [sym_assignment] = STATE(4358),
    [sym_operator_assignment] = STATE(4358),
    [sym_conditional] = STATE(4358),
    [sym_range] = STATE(4358),
    [sym_binary] = STATE(4358),
    [sym_unary] = STATE(4358),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4361),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4360),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(6705),
    [sym__splat_star] = ACTIONS(6707),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(6709),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(6711),
    [sym_identifier] = ACTIONS(6711),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1890] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4358),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(4359),
    [sym__argument] = STATE(4360),
    [sym_splat_argument] = STATE(4360),
    [sym_hash_splat_argument] = STATE(4360),
    [sym_block_argument] = STATE(4360),
    [sym_assignment] = STATE(4358),
    [sym_operator_assignment] = STATE(4358),
    [sym_conditional] = STATE(4358),
    [sym_range] = STATE(4358),
    [sym_binary] = STATE(4358),
    [sym_unary] = STATE(4358),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4361),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4360),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(6705),
    [sym__splat_star] = ACTIONS(6707),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(6709),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(6711),
    [sym_identifier] = ACTIONS(6711),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1891] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(4362),
    [sym_operator_assignment] = STATE(4362),
    [sym_conditional] = STATE(4362),
    [sym_range] = STATE(4362),
    [sym_binary] = STATE(4362),
    [sym_unary] = STATE(4362),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1892] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4363),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(4363),
    [sym_operator_assignment] = STATE(4363),
    [sym_conditional] = STATE(4363),
    [sym_range] = STATE(4363),
    [sym_binary] = STATE(4363),
    [sym_unary] = STATE(4363),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1893] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1894] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(6703),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1895] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(6725),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [1896] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4382),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(1449),
    [sym__argument_list_with_parens] = STATE(4383),
    [sym__argument] = STATE(4384),
    [sym_splat_argument] = STATE(4384),
    [sym_hash_splat_argument] = STATE(4384),
    [sym_block_argument] = STATE(4384),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(4382),
    [sym_operator_assignment] = STATE(4382),
    [sym_conditional] = STATE(4382),
    [sym_range] = STATE(4382),
    [sym_binary] = STATE(4382),
    [sym_unary] = STATE(4382),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4385),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4384),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(6745),
    [sym__splat_star] = ACTIONS(6747),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(6749),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(2447),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(6751),
    [sym_identifier] = ACTIONS(6751),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1897] = {
    [sym_heredoc_body] = STATE(4386),
    [aux_sym_call_repeat1] = STATE(4386),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1898] = {
    [sym_heredoc_body] = STATE(4386),
    [aux_sym_call_repeat1] = STATE(4386),
    [aux_sym_argument_list_repeat1] = STATE(4388),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(6753),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1899] = {
    [anon_sym_EQ] = ACTIONS(6755),
    [sym_comment] = ACTIONS(87),
  },
  [1900] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(6757),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(6759),
    [anon_sym_DASH_EQ] = ACTIONS(6759),
    [anon_sym_STAR_EQ] = ACTIONS(6759),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6759),
    [anon_sym_SLASH_EQ] = ACTIONS(6759),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6759),
    [anon_sym_PIPE_EQ] = ACTIONS(6759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6759),
    [anon_sym_AMP_EQ] = ACTIONS(6759),
    [anon_sym_PERCENT_EQ] = ACTIONS(6759),
    [anon_sym_GT_GT_EQ] = ACTIONS(6759),
    [anon_sym_LT_LT_EQ] = ACTIONS(6759),
    [anon_sym_CARET_EQ] = ACTIONS(6759),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1901] = {
    [sym_string] = STATE(4392),
    [aux_sym_chained_string_repeat1] = STATE(4392),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(6761),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1902] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [1903] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [1904] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4393),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4393),
    [sym_operator_assignment] = STATE(4393),
    [sym_conditional] = STATE(4393),
    [sym_range] = STATE(4393),
    [sym_binary] = STATE(4393),
    [sym_unary] = STATE(4393),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1905] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4394),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4394),
    [sym_operator_assignment] = STATE(4394),
    [sym_conditional] = STATE(4394),
    [sym_range] = STATE(4394),
    [sym_binary] = STATE(4394),
    [sym_unary] = STATE(4394),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1906] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4395),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4395),
    [sym_operator_assignment] = STATE(4395),
    [sym_conditional] = STATE(4395),
    [sym_range] = STATE(4395),
    [sym_binary] = STATE(4395),
    [sym_unary] = STATE(4395),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1907] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4396),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4396),
    [sym_operator_assignment] = STATE(4396),
    [sym_conditional] = STATE(4396),
    [sym_range] = STATE(4396),
    [sym_binary] = STATE(4396),
    [sym_unary] = STATE(4396),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1908] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4397),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4397),
    [sym_operator_assignment] = STATE(4397),
    [sym_conditional] = STATE(4397),
    [sym_range] = STATE(4397),
    [sym_binary] = STATE(4397),
    [sym_unary] = STATE(4397),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1909] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4398),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4398),
    [sym_operator_assignment] = STATE(4398),
    [sym_conditional] = STATE(4398),
    [sym_range] = STATE(4398),
    [sym_binary] = STATE(4398),
    [sym_unary] = STATE(4398),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1910] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4399),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(4399),
    [sym_operator_assignment] = STATE(4399),
    [sym_conditional] = STATE(4399),
    [sym_range] = STATE(4399),
    [sym_binary] = STATE(4399),
    [sym_unary] = STATE(4399),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1911] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4400),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4400),
    [sym_operator_assignment] = STATE(4400),
    [sym_conditional] = STATE(4400),
    [sym_range] = STATE(4400),
    [sym_binary] = STATE(4400),
    [sym_unary] = STATE(4400),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1912] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4401),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4401),
    [sym_operator_assignment] = STATE(4401),
    [sym_conditional] = STATE(4401),
    [sym_range] = STATE(4401),
    [sym_binary] = STATE(4401),
    [sym_unary] = STATE(4401),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1913] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4402),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4402),
    [sym_operator_assignment] = STATE(4402),
    [sym_conditional] = STATE(4402),
    [sym_range] = STATE(4402),
    [sym_binary] = STATE(4402),
    [sym_unary] = STATE(4402),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1914] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4403),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4403),
    [sym_operator_assignment] = STATE(4403),
    [sym_conditional] = STATE(4403),
    [sym_range] = STATE(4403),
    [sym_binary] = STATE(4403),
    [sym_unary] = STATE(4403),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1915] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4404),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4404),
    [sym_operator_assignment] = STATE(4404),
    [sym_conditional] = STATE(4404),
    [sym_range] = STATE(4404),
    [sym_binary] = STATE(4404),
    [sym_unary] = STATE(4404),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1916] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(4406),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(4407),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(6763),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1917] = {
    [sym_constant] = ACTIONS(6765),
    [sym_identifier] = ACTIONS(6765),
    [sym_comment] = ACTIONS(87),
  },
  [1918] = {
    [sym_argument_list_with_parens] = STATE(4411),
    [sym__argument_list_with_parens] = STATE(4412),
    [sym_operator] = STATE(4411),
    [sym_heredoc_body] = STATE(4413),
    [aux_sym_call_repeat1] = STATE(4413),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(6767),
    [anon_sym_PIPE] = ACTIONS(6769),
    [anon_sym_STAR] = ACTIONS(6771),
    [anon_sym_STAR_STAR] = ACTIONS(6769),
    [anon_sym_AMP] = ACTIONS(6769),
    [anon_sym_LT] = ACTIONS(6771),
    [anon_sym_DOT_DOT] = ACTIONS(6769),
    [anon_sym_LT_LT] = ACTIONS(6769),
    [anon_sym_GT_GT] = ACTIONS(6769),
    [anon_sym_EQ_EQ] = ACTIONS(6771),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6769),
    [anon_sym_LT_EQ_GT] = ACTIONS(6769),
    [anon_sym_EQ_TILDE] = ACTIONS(6769),
    [anon_sym_BANG_TILDE] = ACTIONS(6769),
    [anon_sym_LT_EQ] = ACTIONS(6771),
    [anon_sym_GT] = ACTIONS(6771),
    [anon_sym_GT_EQ] = ACTIONS(6769),
    [anon_sym_CARET] = ACTIONS(6769),
    [anon_sym_PLUS] = ACTIONS(6771),
    [anon_sym_SLASH] = ACTIONS(6769),
    [anon_sym_PERCENT] = ACTIONS(6769),
    [anon_sym_BANG] = ACTIONS(6771),
    [anon_sym_TILDE] = ACTIONS(6769),
    [sym_constant] = ACTIONS(6773),
    [sym_identifier] = ACTIONS(6773),
    [anon_sym_DASH] = ACTIONS(6771),
    [anon_sym_PLUS_AT] = ACTIONS(6769),
    [anon_sym_DASH_AT] = ACTIONS(6769),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(6771),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(6769),
    [anon_sym_BQUOTE] = ACTIONS(6769),
    [sym_comment] = ACTIONS(87),
  },
  [1919] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(4422),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(4422),
    [sym_operator_assignment] = STATE(4422),
    [sym_conditional] = STATE(4422),
    [sym_range] = STATE(4422),
    [sym_binary] = STATE(4422),
    [sym_unary] = STATE(4422),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [1920] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(4427),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(4427),
    [sym_operator_assignment] = STATE(4427),
    [sym_conditional] = STATE(4427),
    [sym_range] = STATE(4427),
    [sym_binary] = STATE(4427),
    [sym_unary] = STATE(4427),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [1921] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4428),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(4428),
    [sym_operator_assignment] = STATE(4428),
    [sym_conditional] = STATE(4428),
    [sym_range] = STATE(4428),
    [sym_binary] = STATE(4428),
    [sym_unary] = STATE(4428),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1922] = {
    [sym__keyword_colon] = ACTIONS(6799),
    [sym_comment] = ACTIONS(87),
  },
  [1923] = {
    [sym__statements] = STATE(4432),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(4433),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(2058),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(2059),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(6801),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1924] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(4434),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(4434),
    [sym_operator_assignment] = STATE(4434),
    [sym_conditional] = STATE(4434),
    [sym_range] = STATE(4434),
    [sym_binary] = STATE(4434),
    [sym_unary] = STATE(4434),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [1925] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4382),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(2072),
    [sym__argument_list_with_parens] = STATE(4383),
    [sym__argument] = STATE(4384),
    [sym_splat_argument] = STATE(4384),
    [sym_hash_splat_argument] = STATE(4384),
    [sym_block_argument] = STATE(4384),
    [sym_assignment] = STATE(4382),
    [sym_operator_assignment] = STATE(4382),
    [sym_conditional] = STATE(4382),
    [sym_range] = STATE(4382),
    [sym_binary] = STATE(4382),
    [sym_unary] = STATE(4382),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4385),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4384),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(6745),
    [sym__splat_star] = ACTIONS(6747),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(6749),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(6751),
    [sym_identifier] = ACTIONS(6751),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1926] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4382),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(2073),
    [sym__argument_list_with_parens] = STATE(4383),
    [sym__argument] = STATE(4384),
    [sym_splat_argument] = STATE(4384),
    [sym_hash_splat_argument] = STATE(4384),
    [sym_block_argument] = STATE(4384),
    [sym_assignment] = STATE(4382),
    [sym_operator_assignment] = STATE(4382),
    [sym_conditional] = STATE(4382),
    [sym_range] = STATE(4382),
    [sym_binary] = STATE(4382),
    [sym_unary] = STATE(4382),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4385),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4384),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(6745),
    [sym__splat_star] = ACTIONS(6747),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(6749),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(6751),
    [sym_identifier] = ACTIONS(6751),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1927] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4382),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(2074),
    [sym__argument_list_with_parens] = STATE(4383),
    [sym__argument] = STATE(4384),
    [sym_splat_argument] = STATE(4384),
    [sym_hash_splat_argument] = STATE(4384),
    [sym_block_argument] = STATE(4384),
    [sym_assignment] = STATE(4382),
    [sym_operator_assignment] = STATE(4382),
    [sym_conditional] = STATE(4382),
    [sym_range] = STATE(4382),
    [sym_binary] = STATE(4382),
    [sym_unary] = STATE(4382),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4385),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4384),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(6745),
    [sym__splat_star] = ACTIONS(6747),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(6749),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(6751),
    [sym_identifier] = ACTIONS(6751),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1928] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4382),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(2075),
    [sym__argument_list_with_parens] = STATE(4383),
    [sym__argument] = STATE(4384),
    [sym_splat_argument] = STATE(4384),
    [sym_hash_splat_argument] = STATE(4384),
    [sym_block_argument] = STATE(4384),
    [sym_assignment] = STATE(4382),
    [sym_operator_assignment] = STATE(4382),
    [sym_conditional] = STATE(4382),
    [sym_range] = STATE(4382),
    [sym_binary] = STATE(4382),
    [sym_unary] = STATE(4382),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4385),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4384),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(6745),
    [sym__splat_star] = ACTIONS(6747),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(6749),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(6751),
    [sym_identifier] = ACTIONS(6751),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1929] = {
    [sym__statements] = STATE(4436),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(4437),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(4438),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(4438),
    [sym__line_break] = ACTIONS(6803),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6805),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1930] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4439),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(4439),
    [sym_operator_assignment] = STATE(4439),
    [sym_conditional] = STATE(4439),
    [sym_range] = STATE(4439),
    [sym_binary] = STATE(4439),
    [sym_unary] = STATE(4439),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1931] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4440),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(4440),
    [sym_operator_assignment] = STATE(4440),
    [sym_conditional] = STATE(4440),
    [sym_range] = STATE(4440),
    [sym_binary] = STATE(4440),
    [sym_unary] = STATE(4440),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1932] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2095),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(2095),
    [sym_operator_assignment] = STATE(2095),
    [sym_conditional] = STATE(2095),
    [sym_range] = STATE(2095),
    [sym_binary] = STATE(2095),
    [sym_unary] = STATE(2095),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1933] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(6799),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [1934] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(6819),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [1935] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4382),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(2117),
    [sym__argument_list_with_parens] = STATE(4383),
    [sym__argument] = STATE(4384),
    [sym_splat_argument] = STATE(4384),
    [sym_hash_splat_argument] = STATE(4384),
    [sym_block_argument] = STATE(4384),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(4382),
    [sym_operator_assignment] = STATE(4382),
    [sym_conditional] = STATE(4382),
    [sym_range] = STATE(4382),
    [sym_binary] = STATE(4382),
    [sym_unary] = STATE(4382),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4385),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4384),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(6745),
    [sym__splat_star] = ACTIONS(6747),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(6749),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(6751),
    [sym_identifier] = ACTIONS(6751),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [1936] = {
    [sym_do_block] = STATE(4455),
    [sym_block] = STATE(4455),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(6837),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(6839),
    [anon_sym_RBRACK] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [1937] = {
    [sym_heredoc_body] = STATE(4456),
    [aux_sym_call_repeat1] = STATE(4456),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1938] = {
    [sym_heredoc_body] = STATE(4456),
    [aux_sym_call_repeat1] = STATE(4456),
    [aux_sym_argument_list_repeat1] = STATE(4458),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(6841),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [1939] = {
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_RBRACK] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [1940] = {
    [anon_sym_EQ] = ACTIONS(6843),
    [sym_comment] = ACTIONS(87),
  },
  [1941] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(6845),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(6847),
    [anon_sym_DASH_EQ] = ACTIONS(6847),
    [anon_sym_STAR_EQ] = ACTIONS(6847),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6847),
    [anon_sym_SLASH_EQ] = ACTIONS(6847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6847),
    [anon_sym_PIPE_EQ] = ACTIONS(6847),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6847),
    [anon_sym_AMP_EQ] = ACTIONS(6847),
    [anon_sym_PERCENT_EQ] = ACTIONS(6847),
    [anon_sym_GT_GT_EQ] = ACTIONS(6847),
    [anon_sym_LT_LT_EQ] = ACTIONS(6847),
    [anon_sym_CARET_EQ] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1942] = {
    [sym_string] = STATE(4462),
    [aux_sym_chained_string_repeat1] = STATE(4462),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(6849),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [1943] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4464),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_splat_argument] = STATE(4465),
    [sym_assignment] = STATE(4464),
    [sym_operator_assignment] = STATE(4464),
    [sym_conditional] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_binary] = STATE(4464),
    [sym_unary] = STATE(4464),
    [sym_right_assignment_list] = STATE(3693),
    [sym__arg_or_splat_arg] = STATE(4465),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(6851),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1944] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4466),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(4466),
    [sym_operator_assignment] = STATE(4466),
    [sym_conditional] = STATE(4466),
    [sym_range] = STATE(4466),
    [sym_binary] = STATE(4466),
    [sym_unary] = STATE(4466),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1945] = {
    [sym_string] = STATE(4467),
    [aux_sym_chained_string_repeat1] = STATE(4467),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [1946] = {
    [sym_heredoc_body] = STATE(4468),
    [sym__terminator] = STATE(4468),
    [sym__line_break] = ACTIONS(6853),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(6853),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [1947] = {
    [sym_heredoc_body] = STATE(4469),
    [sym__terminator] = STATE(4469),
    [sym__line_break] = ACTIONS(6855),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(6855),
    [sym_comment] = ACTIONS(87),
  },
  [1948] = {
    [sym__statements] = STATE(603),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(604),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(605),
    [sym_rescue] = STATE(606),
    [sym__body_statement] = STATE(4470),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6857),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1949] = {
    [sym__element_reference_left_bracket] = ACTIONS(4122),
    [sym__infix_scope_colons] = ACTIONS(4122),
    [sym__binary_minus] = ACTIONS(4122),
    [sym__binary_star] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_STAR_STAR] = ACTIONS(4122),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_unless] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(4122),
    [anon_sym_until] = ACTIONS(4122),
    [anon_sym_rescue] = ACTIONS(4122),
    [anon_sym_do] = ACTIONS(4122),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_AMP_DOT] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ_GT] = ACTIONS(4122),
    [anon_sym_EQ_TILDE] = ACTIONS(4122),
    [anon_sym_BANG_TILDE] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4122),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(87),
  },
  [1950] = {
    [sym__statements] = STATE(603),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(604),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(605),
    [sym_rescue] = STATE(606),
    [sym__body_statement] = STATE(4471),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6859),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1951] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [1952] = {
    [sym_string] = STATE(1985),
    [aux_sym_chained_string_repeat1] = STATE(1985),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [1953] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [1954] = {
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR_STAR] = ACTIONS(4198),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_if] = ACTIONS(4198),
    [anon_sym_unless] = ACTIONS(4198),
    [anon_sym_while] = ACTIONS(4198),
    [anon_sym_until] = ACTIONS(4198),
    [anon_sym_rescue] = ACTIONS(4198),
    [anon_sym_in] = ACTIONS(4198),
    [anon_sym_do] = ACTIONS(4198),
    [anon_sym_EQ_GT] = ACTIONS(4198),
    [anon_sym_RBRACK] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4198),
    [anon_sym_COLON] = ACTIONS(4198),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4198),
    [anon_sym_or] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE] = ACTIONS(4198),
    [anon_sym_AMP_AMP] = ACTIONS(4198),
    [anon_sym_LT_LT] = ACTIONS(4198),
    [anon_sym_GT_GT] = ACTIONS(4198),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4198),
    [anon_sym_PLUS] = ACTIONS(4198),
    [anon_sym_SLASH] = ACTIONS(4198),
    [anon_sym_PERCENT] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
  },
  [1955] = {
    [sym_heredoc_body] = STATE(4473),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(6861),
    [sym_comment] = ACTIONS(87),
  },
  [1956] = {
    [anon_sym_RPAREN] = ACTIONS(6861),
    [sym_comment] = ACTIONS(87),
  },
  [1957] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [1958] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4474),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4474),
    [sym_operator_assignment] = STATE(4474),
    [sym_conditional] = STATE(4474),
    [sym_range] = STATE(4474),
    [sym_binary] = STATE(4474),
    [sym_unary] = STATE(4474),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1959] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [1960] = {
    [sym_heredoc_body] = STATE(4475),
    [aux_sym_call_repeat1] = STATE(4475),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1961] = {
    [sym_heredoc_body] = STATE(4475),
    [aux_sym_call_repeat1] = STATE(4475),
    [aux_sym_argument_list_repeat1] = STATE(4476),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [1962] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [1963] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [1964] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2279),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_in] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [1965] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4477),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4477),
    [sym_operator_assignment] = STATE(4477),
    [sym_conditional] = STATE(4477),
    [sym_range] = STATE(4477),
    [sym_binary] = STATE(4477),
    [sym_unary] = STATE(4477),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1966] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4478),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4478),
    [sym_operator_assignment] = STATE(4478),
    [sym_conditional] = STATE(4478),
    [sym_range] = STATE(4478),
    [sym_binary] = STATE(4478),
    [sym_unary] = STATE(4478),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1967] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4479),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4479),
    [sym_operator_assignment] = STATE(4479),
    [sym_conditional] = STATE(4479),
    [sym_range] = STATE(4479),
    [sym_binary] = STATE(4479),
    [sym_unary] = STATE(4479),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1968] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4480),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4480),
    [sym_operator_assignment] = STATE(4480),
    [sym_conditional] = STATE(4480),
    [sym_range] = STATE(4480),
    [sym_binary] = STATE(4480),
    [sym_unary] = STATE(4480),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1969] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4481),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4481),
    [sym_operator_assignment] = STATE(4481),
    [sym_conditional] = STATE(4481),
    [sym_range] = STATE(4481),
    [sym_binary] = STATE(4481),
    [sym_unary] = STATE(4481),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1970] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4482),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4482),
    [sym_operator_assignment] = STATE(4482),
    [sym_conditional] = STATE(4482),
    [sym_range] = STATE(4482),
    [sym_binary] = STATE(4482),
    [sym_unary] = STATE(4482),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1971] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4483),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4483),
    [sym_operator_assignment] = STATE(4483),
    [sym_conditional] = STATE(4483),
    [sym_range] = STATE(4483),
    [sym_binary] = STATE(4483),
    [sym_unary] = STATE(4483),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1972] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4484),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(4484),
    [sym_operator_assignment] = STATE(4484),
    [sym_conditional] = STATE(4484),
    [sym_range] = STATE(4484),
    [sym_binary] = STATE(4484),
    [sym_unary] = STATE(4484),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [1973] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4485),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4485),
    [sym_operator_assignment] = STATE(4485),
    [sym_conditional] = STATE(4485),
    [sym_range] = STATE(4485),
    [sym_binary] = STATE(4485),
    [sym_unary] = STATE(4485),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1974] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4486),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4486),
    [sym_operator_assignment] = STATE(4486),
    [sym_conditional] = STATE(4486),
    [sym_range] = STATE(4486),
    [sym_binary] = STATE(4486),
    [sym_unary] = STATE(4486),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1975] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4487),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4487),
    [sym_operator_assignment] = STATE(4487),
    [sym_conditional] = STATE(4487),
    [sym_range] = STATE(4487),
    [sym_binary] = STATE(4487),
    [sym_unary] = STATE(4487),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1976] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4488),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4488),
    [sym_operator_assignment] = STATE(4488),
    [sym_conditional] = STATE(4488),
    [sym_range] = STATE(4488),
    [sym_binary] = STATE(4488),
    [sym_unary] = STATE(4488),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1977] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4489),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4489),
    [sym_operator_assignment] = STATE(4489),
    [sym_conditional] = STATE(4489),
    [sym_range] = STATE(4489),
    [sym_binary] = STATE(4489),
    [sym_unary] = STATE(4489),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1978] = {
    [sym_interpolation] = STATE(4491),
    [aux_sym_heredoc_body_repeat1] = STATE(4491),
    [sym__heredoc_content] = ACTIONS(6863),
    [sym_heredoc_end] = ACTIONS(6865),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(6863),
  },
  [1979] = {
    [sym_heredoc_body] = STATE(4492),
    [aux_sym_call_repeat1] = STATE(4492),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [1980] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(4494),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(6867),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1981] = {
    [sym_heredoc_body] = STATE(4495),
    [aux_sym_call_repeat1] = STATE(4495),
    [aux_sym_argument_list_repeat1] = STATE(4496),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [1982] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4497),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_splat_argument] = STATE(4499),
    [sym_assignment] = STATE(4497),
    [sym_operator_assignment] = STATE(4497),
    [sym_conditional] = STATE(4497),
    [sym_range] = STATE(4497),
    [sym_binary] = STATE(4497),
    [sym_unary] = STATE(4497),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(4499),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(1053),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1983] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4500),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4500),
    [sym_operator_assignment] = STATE(4500),
    [sym_conditional] = STATE(4500),
    [sym_range] = STATE(4500),
    [sym_binary] = STATE(4500),
    [sym_unary] = STATE(4500),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1984] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4501),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(4501),
    [sym_operator_assignment] = STATE(4501),
    [sym_conditional] = STATE(4501),
    [sym_range] = STATE(4501),
    [sym_binary] = STATE(4501),
    [sym_unary] = STATE(4501),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [1985] = {
    [sym_string] = STATE(4502),
    [aux_sym_chained_string_repeat1] = STATE(4502),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [1986] = {
    [sym__statements] = STATE(4504),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(4505),
    [sym_else] = STATE(4505),
    [sym__if_tail] = STATE(4505),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(4506),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(4506),
    [sym__line_break] = ACTIONS(6869),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6871),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1987] = {
    [sym__statements] = STATE(4508),
    [sym__top_level_statement] = STATE(2886),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(4509),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6873),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1988] = {
    [sym__statements] = STATE(4511),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6875),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1989] = {
    [sym__statements] = STATE(4513),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6877),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [1990] = {
    [sym__do] = STATE(4514),
    [sym_heredoc_body] = STATE(4514),
    [sym__terminator] = STATE(4514),
    [sym__line_break] = ACTIONS(6879),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(6879),
    [anon_sym_do] = ACTIONS(6879),
    [sym_comment] = ACTIONS(87),
  },
  [1991] = {
    [sym_when] = STATE(4515),
    [aux_sym_case_repeat1] = STATE(4516),
    [anon_sym_SEMI] = ACTIONS(6881),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [1992] = {
    [anon_sym_end] = ACTIONS(6883),
    [sym_comment] = ACTIONS(87),
  },
  [1993] = {
    [sym_when] = STATE(4515),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [1994] = {
    [sym__element_reference_left_bracket] = ACTIONS(5352),
    [sym__infix_scope_colons] = ACTIONS(5352),
    [sym__binary_minus] = ACTIONS(5352),
    [sym__binary_star] = ACTIONS(5352),
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_STAR_STAR] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_if] = ACTIONS(5352),
    [anon_sym_unless] = ACTIONS(5352),
    [anon_sym_while] = ACTIONS(5352),
    [anon_sym_until] = ACTIONS(5352),
    [anon_sym_rescue] = ACTIONS(5352),
    [anon_sym_do] = ACTIONS(5352),
    [anon_sym_EQ_GT] = ACTIONS(5352),
    [anon_sym_AMP_DOT] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_COLON] = ACTIONS(5352),
    [anon_sym_DOT_DOT] = ACTIONS(5354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_and] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5352),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_EQ_TILDE] = ACTIONS(5352),
    [anon_sym_BANG_TILDE] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5352),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5352),
    [sym_comment] = ACTIONS(87),
  },
  [1995] = {
    [sym_ensure] = STATE(4519),
    [anon_sym_end] = ACTIONS(6885),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [1996] = {
    [anon_sym_end] = ACTIONS(6885),
    [sym_comment] = ACTIONS(87),
  },
  [1997] = {
    [sym_else] = STATE(4520),
    [sym_ensure] = STATE(4519),
    [anon_sym_end] = ACTIONS(6885),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [1998] = {
    [sym__element_reference_left_bracket] = ACTIONS(5438),
    [sym__infix_scope_colons] = ACTIONS(5438),
    [sym__binary_minus] = ACTIONS(5438),
    [sym__binary_star] = ACTIONS(5438),
    [anon_sym_LBRACE] = ACTIONS(5438),
    [anon_sym_RBRACE] = ACTIONS(5438),
    [anon_sym_RPAREN] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5438),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym_STAR_STAR] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_if] = ACTIONS(5438),
    [anon_sym_unless] = ACTIONS(5438),
    [anon_sym_while] = ACTIONS(5438),
    [anon_sym_until] = ACTIONS(5438),
    [anon_sym_rescue] = ACTIONS(5438),
    [anon_sym_do] = ACTIONS(5438),
    [anon_sym_EQ_GT] = ACTIONS(5438),
    [anon_sym_AMP_DOT] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5438),
    [anon_sym_COLON] = ACTIONS(5438),
    [anon_sym_DOT_DOT] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5438),
    [anon_sym_EQ_TILDE] = ACTIONS(5438),
    [anon_sym_BANG_TILDE] = ACTIONS(5438),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [sym_comment] = ACTIONS(87),
  },
  [1999] = {
    [sym__element_reference_left_bracket] = ACTIONS(5672),
    [sym__infix_scope_colons] = ACTIONS(5672),
    [sym__binary_minus] = ACTIONS(5672),
    [sym__binary_star] = ACTIONS(5672),
    [anon_sym_LBRACE] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_STAR_STAR] = ACTIONS(5672),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_if] = ACTIONS(5672),
    [anon_sym_unless] = ACTIONS(5672),
    [anon_sym_while] = ACTIONS(5672),
    [anon_sym_until] = ACTIONS(5672),
    [anon_sym_rescue] = ACTIONS(5672),
    [anon_sym_do] = ACTIONS(5672),
    [anon_sym_EQ_GT] = ACTIONS(5672),
    [anon_sym_AMP_DOT] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_LT_LT] = ACTIONS(5672),
    [anon_sym_GT_GT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5674),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ_GT] = ACTIONS(5672),
    [anon_sym_EQ_TILDE] = ACTIONS(5672),
    [anon_sym_BANG_TILDE] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5672),
    [anon_sym_SLASH] = ACTIONS(5672),
    [anon_sym_PERCENT] = ACTIONS(5672),
    [sym_comment] = ACTIONS(87),
  },
  [2000] = {
    [anon_sym_RBRACK] = ACTIONS(6887),
    [sym_comment] = ACTIONS(87),
  },
  [2001] = {
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5684),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5684),
    [anon_sym_AMP_AMP] = ACTIONS(5684),
    [anon_sym_LT_LT] = ACTIONS(5684),
    [anon_sym_GT_GT] = ACTIONS(5684),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5684),
    [anon_sym_SLASH] = ACTIONS(5684),
    [anon_sym_PERCENT] = ACTIONS(5684),
    [sym_comment] = ACTIONS(87),
  },
  [2002] = {
    [anon_sym_RBRACE] = ACTIONS(6889),
    [sym_comment] = ACTIONS(87),
  },
  [2003] = {
    [sym__statements] = STATE(4523),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(6889),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2004] = {
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [sym__binary_minus] = ACTIONS(5724),
    [sym__binary_star] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym_STAR_STAR] = ACTIONS(5724),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_if] = ACTIONS(5724),
    [anon_sym_unless] = ACTIONS(5724),
    [anon_sym_while] = ACTIONS(5724),
    [anon_sym_until] = ACTIONS(5724),
    [anon_sym_rescue] = ACTIONS(5724),
    [anon_sym_do] = ACTIONS(5724),
    [anon_sym_EQ_GT] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_COLON] = ACTIONS(5724),
    [anon_sym_DOT_DOT] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_LT_LT] = ACTIONS(5724),
    [anon_sym_GT_GT] = ACTIONS(5724),
    [anon_sym_EQ_EQ] = ACTIONS(5726),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_EQ_TILDE] = ACTIONS(5724),
    [anon_sym_BANG_TILDE] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_CARET] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5724),
    [anon_sym_SLASH] = ACTIONS(5724),
    [anon_sym_PERCENT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(87),
  },
  [2005] = {
    [anon_sym_end] = ACTIONS(6891),
    [sym_comment] = ACTIONS(87),
  },
  [2006] = {
    [sym__statements] = STATE(4525),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(4526),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(4526),
    [sym__line_break] = ACTIONS(6893),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6895),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2007] = {
    [sym__statements] = STATE(4525),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(4527),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6895),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2008] = {
    [sym__element_reference_left_bracket] = ACTIONS(5760),
    [sym__infix_scope_colons] = ACTIONS(5760),
    [sym__binary_minus] = ACTIONS(5760),
    [sym__binary_star] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym_STAR_STAR] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_if] = ACTIONS(5760),
    [anon_sym_unless] = ACTIONS(5760),
    [anon_sym_while] = ACTIONS(5760),
    [anon_sym_until] = ACTIONS(5760),
    [anon_sym_rescue] = ACTIONS(5760),
    [anon_sym_do] = ACTIONS(5760),
    [anon_sym_EQ_GT] = ACTIONS(5760),
    [anon_sym_AMP_DOT] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym_DOT_DOT] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5762),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_EQ_TILDE] = ACTIONS(5760),
    [anon_sym_BANG_TILDE] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(87),
  },
  [2009] = {
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [2010] = {
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [2011] = {
    [sym__binary_minus] = ACTIONS(1101),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1109),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [2012] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [2013] = {
    [sym__binary_minus] = ACTIONS(1101),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [2014] = {
    [sym__binary_minus] = ACTIONS(1101),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1109),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [2015] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_and] = ACTIONS(3206),
    [anon_sym_or] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [2016] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(6899),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [2017] = {
    [sym__binary_minus] = ACTIONS(1101),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1109),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(1117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1119),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_EQ_TILDE] = ACTIONS(1123),
    [anon_sym_BANG_TILDE] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_GT] = ACTIONS(1111),
    [anon_sym_GT_EQ] = ACTIONS(1129),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [2018] = {
    [sym__binary_minus] = ACTIONS(1101),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1109),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_DOT_DOT] = ACTIONS(1117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1119),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_EQ_TILDE] = ACTIONS(1123),
    [anon_sym_BANG_TILDE] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_GT] = ACTIONS(1111),
    [anon_sym_GT_EQ] = ACTIONS(1129),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [2019] = {
    [sym__binary_minus] = ACTIONS(1101),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1109),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_EQ_TILDE] = ACTIONS(1123),
    [anon_sym_BANG_TILDE] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_GT] = ACTIONS(1111),
    [anon_sym_GT_EQ] = ACTIONS(1129),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [2020] = {
    [sym__binary_minus] = ACTIONS(1101),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [2021] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [2022] = {
    [sym__element_reference_left_bracket] = ACTIONS(5904),
    [sym__infix_scope_colons] = ACTIONS(5904),
    [sym__binary_minus] = ACTIONS(5904),
    [sym__binary_star] = ACTIONS(5904),
    [anon_sym_DOT] = ACTIONS(5906),
    [anon_sym_COMMA] = ACTIONS(5904),
    [anon_sym_PIPE] = ACTIONS(5906),
    [anon_sym_STAR_STAR] = ACTIONS(5906),
    [anon_sym_AMP] = ACTIONS(5906),
    [anon_sym_EQ] = ACTIONS(5906),
    [anon_sym_LT] = ACTIONS(5906),
    [anon_sym_EQ_GT] = ACTIONS(5904),
    [anon_sym_AMP_DOT] = ACTIONS(5904),
    [anon_sym_PLUS_EQ] = ACTIONS(5904),
    [anon_sym_DASH_EQ] = ACTIONS(5904),
    [anon_sym_STAR_EQ] = ACTIONS(5904),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5904),
    [anon_sym_SLASH_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5904),
    [anon_sym_AMP_EQ] = ACTIONS(5904),
    [anon_sym_PERCENT_EQ] = ACTIONS(5904),
    [anon_sym_GT_GT_EQ] = ACTIONS(5904),
    [anon_sym_LT_LT_EQ] = ACTIONS(5904),
    [anon_sym_CARET_EQ] = ACTIONS(5904),
    [anon_sym_QMARK] = ACTIONS(5904),
    [anon_sym_DOT_DOT] = ACTIONS(5906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5904),
    [anon_sym_and] = ACTIONS(5904),
    [anon_sym_or] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE] = ACTIONS(5906),
    [anon_sym_AMP_AMP] = ACTIONS(5906),
    [anon_sym_LT_LT] = ACTIONS(5906),
    [anon_sym_GT_GT] = ACTIONS(5906),
    [anon_sym_EQ_EQ] = ACTIONS(5906),
    [anon_sym_BANG_EQ] = ACTIONS(5904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5904),
    [anon_sym_LT_EQ_GT] = ACTIONS(5904),
    [anon_sym_EQ_TILDE] = ACTIONS(5904),
    [anon_sym_BANG_TILDE] = ACTIONS(5904),
    [anon_sym_LT_EQ] = ACTIONS(5906),
    [anon_sym_GT] = ACTIONS(5906),
    [anon_sym_GT_EQ] = ACTIONS(5904),
    [anon_sym_CARET] = ACTIONS(5906),
    [anon_sym_PLUS] = ACTIONS(5906),
    [anon_sym_SLASH] = ACTIONS(5906),
    [anon_sym_PERCENT] = ACTIONS(5906),
    [sym_comment] = ACTIONS(87),
  },
  [2023] = {
    [sym_heredoc_body] = STATE(4530),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(6901),
    [sym_comment] = ACTIONS(87),
  },
  [2024] = {
    [anon_sym_RBRACK] = ACTIONS(6901),
    [sym_comment] = ACTIONS(87),
  },
  [2025] = {
    [sym__simple_symbol] = ACTIONS(5910),
    [sym__string_start] = ACTIONS(5910),
    [sym__symbol_start] = ACTIONS(5910),
    [sym__subshell_start] = ACTIONS(5910),
    [sym__regex_start] = ACTIONS(5910),
    [sym__string_array_start] = ACTIONS(5910),
    [sym__symbol_array_start] = ACTIONS(5910),
    [sym_heredoc_beginning] = ACTIONS(5910),
    [sym__element_reference_left_bracket] = ACTIONS(5910),
    [sym__block_ampersand] = ACTIONS(5910),
    [sym__splat_star] = ACTIONS(5910),
    [sym__argument_list_left_paren] = ACTIONS(5910),
    [sym__infix_scope_colons] = ACTIONS(5910),
    [sym__unary_minus] = ACTIONS(5910),
    [sym__binary_minus] = ACTIONS(5910),
    [sym__binary_star] = ACTIONS(5910),
    [sym__identifier_hash_key] = ACTIONS(5910),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_def] = ACTIONS(5912),
    [anon_sym_LPAREN] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_COLON_COLON] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_STAR_STAR] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_EQ] = ACTIONS(5912),
    [anon_sym_class] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_module] = ACTIONS(5912),
    [anon_sym_return] = ACTIONS(5912),
    [anon_sym_yield] = ACTIONS(5912),
    [anon_sym_break] = ACTIONS(5912),
    [anon_sym_next] = ACTIONS(5912),
    [sym_redo] = ACTIONS(5912),
    [sym_retry] = ACTIONS(5912),
    [anon_sym_if] = ACTIONS(5912),
    [anon_sym_unless] = ACTIONS(5912),
    [anon_sym_while] = ACTIONS(5912),
    [anon_sym_until] = ACTIONS(5912),
    [anon_sym_for] = ACTIONS(5912),
    [anon_sym_do] = ACTIONS(5912),
    [anon_sym_case] = ACTIONS(5912),
    [anon_sym_begin] = ACTIONS(5912),
    [anon_sym_EQ_GT] = ACTIONS(5910),
    [anon_sym_AMP_DOT] = ACTIONS(5910),
    [anon_sym_PLUS_EQ] = ACTIONS(5910),
    [anon_sym_DASH_EQ] = ACTIONS(5910),
    [anon_sym_STAR_EQ] = ACTIONS(5910),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5910),
    [anon_sym_SLASH_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5910),
    [anon_sym_AMP_EQ] = ACTIONS(5910),
    [anon_sym_PERCENT_EQ] = ACTIONS(5910),
    [anon_sym_GT_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_LT_EQ] = ACTIONS(5910),
    [anon_sym_CARET_EQ] = ACTIONS(5910),
    [anon_sym_QMARK] = ACTIONS(5912),
    [anon_sym_DOT_DOT] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_and] = ACTIONS(5912),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_PIPE_PIPE] = ACTIONS(5912),
    [anon_sym_AMP_AMP] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5912),
    [anon_sym_GT_GT] = ACTIONS(5912),
    [anon_sym_EQ_EQ] = ACTIONS(5912),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_EQ_TILDE] = ACTIONS(5910),
    [anon_sym_BANG_TILDE] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5912),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_CARET] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5912),
    [anon_sym_defined_QMARK] = ACTIONS(5910),
    [anon_sym_not] = ACTIONS(5912),
    [anon_sym_BANG] = ACTIONS(5912),
    [anon_sym_TILDE] = ACTIONS(5910),
    [sym_constant] = ACTIONS(5912),
    [sym_identifier] = ACTIONS(5912),
    [sym_instance_variable] = ACTIONS(5910),
    [sym_class_variable] = ACTIONS(5910),
    [sym_global_variable] = ACTIONS(5910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5912),
    [sym_float] = ACTIONS(5912),
    [sym_complex] = ACTIONS(5910),
    [sym_super] = ACTIONS(5912),
    [anon_sym_true] = ACTIONS(5912),
    [anon_sym_TRUE] = ACTIONS(5912),
    [anon_sym_false] = ACTIONS(5912),
    [anon_sym_FALSE] = ACTIONS(5912),
    [sym_self] = ACTIONS(5912),
    [anon_sym_nil] = ACTIONS(5912),
    [anon_sym_NIL] = ACTIONS(5912),
    [sym_character] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
  },
  [2026] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(4532),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(4533),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(6903),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2027] = {
    [sym__simple_symbol] = ACTIONS(1267),
    [sym__string_start] = ACTIONS(1267),
    [sym__symbol_start] = ACTIONS(1267),
    [sym__subshell_start] = ACTIONS(1267),
    [sym__regex_start] = ACTIONS(1267),
    [sym__string_array_start] = ACTIONS(1267),
    [sym__symbol_array_start] = ACTIONS(1267),
    [sym_heredoc_beginning] = ACTIONS(1267),
    [sym__element_reference_left_bracket] = ACTIONS(1267),
    [sym__block_ampersand] = ACTIONS(1267),
    [sym__splat_star] = ACTIONS(1267),
    [sym__argument_list_left_paren] = ACTIONS(1267),
    [sym__infix_scope_colons] = ACTIONS(1267),
    [sym__unary_minus] = ACTIONS(1267),
    [sym__binary_minus] = ACTIONS(1267),
    [sym__binary_star] = ACTIONS(1267),
    [sym__identifier_hash_key] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_def] = ACTIONS(1269),
    [anon_sym_LPAREN] = ACTIONS(1267),
    [anon_sym_DOT] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_yield] = ACTIONS(1269),
    [anon_sym_break] = ACTIONS(1269),
    [anon_sym_next] = ACTIONS(1269),
    [sym_redo] = ACTIONS(1269),
    [sym_retry] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1269),
    [anon_sym_unless] = ACTIONS(1269),
    [anon_sym_while] = ACTIONS(1269),
    [anon_sym_until] = ACTIONS(1269),
    [anon_sym_for] = ACTIONS(1269),
    [anon_sym_do] = ACTIONS(1269),
    [anon_sym_case] = ACTIONS(1269),
    [anon_sym_begin] = ACTIONS(1269),
    [anon_sym_EQ_GT] = ACTIONS(1267),
    [anon_sym_AMP_DOT] = ACTIONS(1267),
    [anon_sym_PLUS_EQ] = ACTIONS(1267),
    [anon_sym_DASH_EQ] = ACTIONS(1267),
    [anon_sym_STAR_EQ] = ACTIONS(1267),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1267),
    [anon_sym_SLASH_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1267),
    [anon_sym_AMP_EQ] = ACTIONS(1267),
    [anon_sym_PERCENT_EQ] = ACTIONS(1267),
    [anon_sym_GT_GT_EQ] = ACTIONS(1267),
    [anon_sym_LT_LT_EQ] = ACTIONS(1267),
    [anon_sym_CARET_EQ] = ACTIONS(1267),
    [anon_sym_QMARK] = ACTIONS(1269),
    [anon_sym_DOT_DOT] = ACTIONS(1269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1267),
    [anon_sym_and] = ACTIONS(1269),
    [anon_sym_or] = ACTIONS(1269),
    [anon_sym_PIPE_PIPE] = ACTIONS(1269),
    [anon_sym_AMP_AMP] = ACTIONS(1269),
    [anon_sym_LT_LT] = ACTIONS(1269),
    [anon_sym_GT_GT] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_BANG_EQ] = ACTIONS(1267),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1267),
    [anon_sym_LT_EQ_GT] = ACTIONS(1267),
    [anon_sym_EQ_TILDE] = ACTIONS(1267),
    [anon_sym_BANG_TILDE] = ACTIONS(1267),
    [anon_sym_LT_EQ] = ACTIONS(1269),
    [anon_sym_GT] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1267),
    [anon_sym_not] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1267),
    [sym_constant] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1269),
    [sym_instance_variable] = ACTIONS(1267),
    [sym_class_variable] = ACTIONS(1267),
    [sym_global_variable] = ACTIONS(1267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1269),
    [sym_float] = ACTIONS(1269),
    [sym_complex] = ACTIONS(1267),
    [sym_super] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1269),
    [anon_sym_TRUE] = ACTIONS(1269),
    [anon_sym_false] = ACTIONS(1269),
    [anon_sym_FALSE] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [anon_sym_nil] = ACTIONS(1269),
    [anon_sym_NIL] = ACTIONS(1269),
    [sym_character] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1267),
    [anon_sym_DASH_GT] = ACTIONS(1267),
  },
  [2028] = {
    [sym__simple_symbol] = ACTIONS(5920),
    [sym__string_start] = ACTIONS(5920),
    [sym__symbol_start] = ACTIONS(5920),
    [sym__subshell_start] = ACTIONS(5920),
    [sym__regex_start] = ACTIONS(5920),
    [sym__string_array_start] = ACTIONS(5920),
    [sym__symbol_array_start] = ACTIONS(5920),
    [sym_heredoc_beginning] = ACTIONS(5920),
    [sym__element_reference_left_bracket] = ACTIONS(5920),
    [sym__block_ampersand] = ACTIONS(5920),
    [sym__splat_star] = ACTIONS(5920),
    [sym__argument_list_left_paren] = ACTIONS(5920),
    [sym__infix_scope_colons] = ACTIONS(5920),
    [sym__unary_minus] = ACTIONS(5920),
    [sym__binary_minus] = ACTIONS(5920),
    [sym__binary_star] = ACTIONS(5920),
    [sym__identifier_hash_key] = ACTIONS(5920),
    [anon_sym_LBRACE] = ACTIONS(5920),
    [anon_sym_def] = ACTIONS(5922),
    [anon_sym_LPAREN] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5922),
    [anon_sym_COLON_COLON] = ACTIONS(5920),
    [anon_sym_COMMA] = ACTIONS(5920),
    [anon_sym_PIPE] = ACTIONS(5922),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_STAR_STAR] = ACTIONS(5922),
    [anon_sym_AMP] = ACTIONS(5922),
    [anon_sym_EQ] = ACTIONS(5922),
    [anon_sym_class] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(5922),
    [anon_sym_module] = ACTIONS(5922),
    [anon_sym_return] = ACTIONS(5922),
    [anon_sym_yield] = ACTIONS(5922),
    [anon_sym_break] = ACTIONS(5922),
    [anon_sym_next] = ACTIONS(5922),
    [sym_redo] = ACTIONS(5922),
    [sym_retry] = ACTIONS(5922),
    [anon_sym_if] = ACTIONS(5922),
    [anon_sym_unless] = ACTIONS(5922),
    [anon_sym_while] = ACTIONS(5922),
    [anon_sym_until] = ACTIONS(5922),
    [anon_sym_for] = ACTIONS(5922),
    [anon_sym_do] = ACTIONS(5922),
    [anon_sym_case] = ACTIONS(5922),
    [anon_sym_begin] = ACTIONS(5922),
    [anon_sym_EQ_GT] = ACTIONS(5920),
    [anon_sym_AMP_DOT] = ACTIONS(5920),
    [anon_sym_PLUS_EQ] = ACTIONS(5920),
    [anon_sym_DASH_EQ] = ACTIONS(5920),
    [anon_sym_STAR_EQ] = ACTIONS(5920),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5920),
    [anon_sym_SLASH_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5920),
    [anon_sym_AMP_EQ] = ACTIONS(5920),
    [anon_sym_PERCENT_EQ] = ACTIONS(5920),
    [anon_sym_GT_GT_EQ] = ACTIONS(5920),
    [anon_sym_LT_LT_EQ] = ACTIONS(5920),
    [anon_sym_CARET_EQ] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_DOT_DOT] = ACTIONS(5922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5920),
    [anon_sym_and] = ACTIONS(5922),
    [anon_sym_or] = ACTIONS(5922),
    [anon_sym_PIPE_PIPE] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5922),
    [anon_sym_LT_LT] = ACTIONS(5922),
    [anon_sym_GT_GT] = ACTIONS(5922),
    [anon_sym_EQ_EQ] = ACTIONS(5922),
    [anon_sym_BANG_EQ] = ACTIONS(5920),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5920),
    [anon_sym_LT_EQ_GT] = ACTIONS(5920),
    [anon_sym_EQ_TILDE] = ACTIONS(5920),
    [anon_sym_BANG_TILDE] = ACTIONS(5920),
    [anon_sym_LT_EQ] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(5922),
    [anon_sym_GT_EQ] = ACTIONS(5920),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_PLUS] = ACTIONS(5922),
    [anon_sym_SLASH] = ACTIONS(5922),
    [anon_sym_PERCENT] = ACTIONS(5922),
    [anon_sym_defined_QMARK] = ACTIONS(5920),
    [anon_sym_not] = ACTIONS(5922),
    [anon_sym_BANG] = ACTIONS(5922),
    [anon_sym_TILDE] = ACTIONS(5920),
    [sym_constant] = ACTIONS(5922),
    [sym_identifier] = ACTIONS(5922),
    [sym_instance_variable] = ACTIONS(5920),
    [sym_class_variable] = ACTIONS(5920),
    [sym_global_variable] = ACTIONS(5920),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5922),
    [sym_float] = ACTIONS(5922),
    [sym_complex] = ACTIONS(5920),
    [sym_super] = ACTIONS(5922),
    [anon_sym_true] = ACTIONS(5922),
    [anon_sym_TRUE] = ACTIONS(5922),
    [anon_sym_false] = ACTIONS(5922),
    [anon_sym_FALSE] = ACTIONS(5922),
    [sym_self] = ACTIONS(5922),
    [anon_sym_nil] = ACTIONS(5922),
    [anon_sym_NIL] = ACTIONS(5922),
    [sym_character] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
  },
  [2029] = {
    [sym__simple_symbol] = ACTIONS(5924),
    [sym__string_start] = ACTIONS(5924),
    [sym__symbol_start] = ACTIONS(5924),
    [sym__subshell_start] = ACTIONS(5924),
    [sym__regex_start] = ACTIONS(5924),
    [sym__string_array_start] = ACTIONS(5924),
    [sym__symbol_array_start] = ACTIONS(5924),
    [sym_heredoc_beginning] = ACTIONS(5924),
    [sym__element_reference_left_bracket] = ACTIONS(5924),
    [sym__block_ampersand] = ACTIONS(5924),
    [sym__splat_star] = ACTIONS(5924),
    [sym__argument_list_left_paren] = ACTIONS(5924),
    [sym__infix_scope_colons] = ACTIONS(5924),
    [sym__unary_minus] = ACTIONS(5924),
    [sym__binary_minus] = ACTIONS(5924),
    [sym__binary_star] = ACTIONS(5924),
    [sym__identifier_hash_key] = ACTIONS(5924),
    [anon_sym_LBRACE] = ACTIONS(5924),
    [anon_sym_def] = ACTIONS(5926),
    [anon_sym_LPAREN] = ACTIONS(5924),
    [anon_sym_DOT] = ACTIONS(5926),
    [anon_sym_COLON_COLON] = ACTIONS(5924),
    [anon_sym_COMMA] = ACTIONS(5924),
    [anon_sym_PIPE] = ACTIONS(5926),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_STAR_STAR] = ACTIONS(5926),
    [anon_sym_AMP] = ACTIONS(5926),
    [anon_sym_EQ] = ACTIONS(5926),
    [anon_sym_class] = ACTIONS(5926),
    [anon_sym_LT] = ACTIONS(5926),
    [anon_sym_module] = ACTIONS(5926),
    [anon_sym_return] = ACTIONS(5926),
    [anon_sym_yield] = ACTIONS(5926),
    [anon_sym_break] = ACTIONS(5926),
    [anon_sym_next] = ACTIONS(5926),
    [sym_redo] = ACTIONS(5926),
    [sym_retry] = ACTIONS(5926),
    [anon_sym_if] = ACTIONS(5926),
    [anon_sym_unless] = ACTIONS(5926),
    [anon_sym_while] = ACTIONS(5926),
    [anon_sym_until] = ACTIONS(5926),
    [anon_sym_for] = ACTIONS(5926),
    [anon_sym_do] = ACTIONS(5926),
    [anon_sym_case] = ACTIONS(5926),
    [anon_sym_begin] = ACTIONS(5926),
    [anon_sym_EQ_GT] = ACTIONS(5924),
    [anon_sym_AMP_DOT] = ACTIONS(5924),
    [anon_sym_PLUS_EQ] = ACTIONS(5924),
    [anon_sym_DASH_EQ] = ACTIONS(5924),
    [anon_sym_STAR_EQ] = ACTIONS(5924),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5924),
    [anon_sym_SLASH_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5924),
    [anon_sym_AMP_EQ] = ACTIONS(5924),
    [anon_sym_PERCENT_EQ] = ACTIONS(5924),
    [anon_sym_GT_GT_EQ] = ACTIONS(5924),
    [anon_sym_LT_LT_EQ] = ACTIONS(5924),
    [anon_sym_CARET_EQ] = ACTIONS(5924),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_DOT_DOT] = ACTIONS(5926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5924),
    [anon_sym_and] = ACTIONS(5926),
    [anon_sym_or] = ACTIONS(5926),
    [anon_sym_PIPE_PIPE] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_LT_LT] = ACTIONS(5926),
    [anon_sym_GT_GT] = ACTIONS(5926),
    [anon_sym_EQ_EQ] = ACTIONS(5926),
    [anon_sym_BANG_EQ] = ACTIONS(5924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5924),
    [anon_sym_LT_EQ_GT] = ACTIONS(5924),
    [anon_sym_EQ_TILDE] = ACTIONS(5924),
    [anon_sym_BANG_TILDE] = ACTIONS(5924),
    [anon_sym_LT_EQ] = ACTIONS(5926),
    [anon_sym_GT] = ACTIONS(5926),
    [anon_sym_GT_EQ] = ACTIONS(5924),
    [anon_sym_CARET] = ACTIONS(5926),
    [anon_sym_PLUS] = ACTIONS(5926),
    [anon_sym_SLASH] = ACTIONS(5926),
    [anon_sym_PERCENT] = ACTIONS(5926),
    [anon_sym_defined_QMARK] = ACTIONS(5924),
    [anon_sym_not] = ACTIONS(5926),
    [anon_sym_BANG] = ACTIONS(5926),
    [anon_sym_TILDE] = ACTIONS(5924),
    [sym_constant] = ACTIONS(5926),
    [sym_identifier] = ACTIONS(5926),
    [sym_instance_variable] = ACTIONS(5924),
    [sym_class_variable] = ACTIONS(5924),
    [sym_global_variable] = ACTIONS(5924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5926),
    [sym_float] = ACTIONS(5926),
    [sym_complex] = ACTIONS(5924),
    [sym_super] = ACTIONS(5926),
    [anon_sym_true] = ACTIONS(5926),
    [anon_sym_TRUE] = ACTIONS(5926),
    [anon_sym_false] = ACTIONS(5926),
    [anon_sym_FALSE] = ACTIONS(5926),
    [sym_self] = ACTIONS(5926),
    [anon_sym_nil] = ACTIONS(5926),
    [anon_sym_NIL] = ACTIONS(5926),
    [sym_character] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5924),
    [anon_sym_DASH_GT] = ACTIONS(5924),
  },
  [2030] = {
    [sym_argument_list_with_parens] = STATE(4534),
    [sym__argument_list_with_parens] = STATE(2029),
    [sym_operator] = STATE(4534),
    [sym_heredoc_body] = STATE(3808),
    [aux_sym_call_repeat1] = STATE(3808),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_STAR_STAR] = ACTIONS(3352),
    [anon_sym_AMP] = ACTIONS(3352),
    [anon_sym_LT] = ACTIONS(3354),
    [anon_sym_DOT_DOT] = ACTIONS(3352),
    [anon_sym_LT_LT] = ACTIONS(3352),
    [anon_sym_GT_GT] = ACTIONS(3352),
    [anon_sym_EQ_EQ] = ACTIONS(3354),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3352),
    [anon_sym_LT_EQ_GT] = ACTIONS(3352),
    [anon_sym_EQ_TILDE] = ACTIONS(3352),
    [anon_sym_BANG_TILDE] = ACTIONS(3352),
    [anon_sym_LT_EQ] = ACTIONS(3354),
    [anon_sym_GT] = ACTIONS(3354),
    [anon_sym_GT_EQ] = ACTIONS(3352),
    [anon_sym_CARET] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_SLASH] = ACTIONS(3352),
    [anon_sym_PERCENT] = ACTIONS(3352),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3352),
    [sym_constant] = ACTIONS(6905),
    [sym_identifier] = ACTIONS(6905),
    [anon_sym_DASH] = ACTIONS(3354),
    [anon_sym_PLUS_AT] = ACTIONS(3352),
    [anon_sym_DASH_AT] = ACTIONS(3352),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3354),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(3352),
    [anon_sym_BQUOTE] = ACTIONS(3352),
    [sym_comment] = ACTIONS(87),
  },
  [2031] = {
    [sym__string_start] = ACTIONS(839),
    [sym__heredoc_body_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__keyword_colon] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_unless] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(839),
    [anon_sym_until] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(839),
    [anon_sym_in] = ACTIONS(839),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [anon_sym_RBRACK] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_PLUS_EQ] = ACTIONS(839),
    [anon_sym_DASH_EQ] = ACTIONS(839),
    [anon_sym_STAR_EQ] = ACTIONS(839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(839),
    [anon_sym_SLASH_EQ] = ACTIONS(839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(839),
    [anon_sym_PIPE_EQ] = ACTIONS(839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(839),
    [anon_sym_AMP_EQ] = ACTIONS(839),
    [anon_sym_PERCENT_EQ] = ACTIONS(839),
    [anon_sym_GT_GT_EQ] = ACTIONS(839),
    [anon_sym_LT_LT_EQ] = ACTIONS(839),
    [anon_sym_CARET_EQ] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(841),
    [anon_sym_LT_LT] = ACTIONS(841),
    [anon_sym_GT_GT] = ACTIONS(841),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(841),
    [anon_sym_PERCENT] = ACTIONS(841),
    [sym_comment] = ACTIONS(87),
  },
  [2032] = {
    [sym__string_end] = ACTIONS(6907),
    [sym_comment] = ACTIONS(87),
  },
  [2033] = {
    [sym__heredoc_body_start] = ACTIONS(891),
    [sym__element_reference_left_bracket] = ACTIONS(891),
    [sym__infix_scope_colons] = ACTIONS(891),
    [sym__binary_minus] = ACTIONS(891),
    [sym__binary_star] = ACTIONS(891),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_STAR_STAR] = ACTIONS(893),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_unless] = ACTIONS(891),
    [anon_sym_while] = ACTIONS(891),
    [anon_sym_until] = ACTIONS(891),
    [anon_sym_rescue] = ACTIONS(891),
    [anon_sym_in] = ACTIONS(891),
    [anon_sym_do] = ACTIONS(891),
    [anon_sym_EQ_GT] = ACTIONS(891),
    [anon_sym_RBRACK] = ACTIONS(891),
    [anon_sym_AMP_DOT] = ACTIONS(891),
    [anon_sym_PLUS_EQ] = ACTIONS(891),
    [anon_sym_DASH_EQ] = ACTIONS(891),
    [anon_sym_STAR_EQ] = ACTIONS(891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(891),
    [anon_sym_SLASH_EQ] = ACTIONS(891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(891),
    [anon_sym_PIPE_EQ] = ACTIONS(891),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(891),
    [anon_sym_AMP_EQ] = ACTIONS(891),
    [anon_sym_PERCENT_EQ] = ACTIONS(891),
    [anon_sym_GT_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_LT_EQ] = ACTIONS(891),
    [anon_sym_CARET_EQ] = ACTIONS(891),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_COLON] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(891),
    [anon_sym_and] = ACTIONS(891),
    [anon_sym_or] = ACTIONS(891),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ_GT] = ACTIONS(891),
    [anon_sym_EQ_TILDE] = ACTIONS(891),
    [anon_sym_BANG_TILDE] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [sym_comment] = ACTIONS(87),
  },
  [2034] = {
    [sym__string_end] = ACTIONS(6909),
    [sym_comment] = ACTIONS(87),
  },
  [2035] = {
    [sym__heredoc_body_start] = ACTIONS(897),
    [sym__element_reference_left_bracket] = ACTIONS(897),
    [sym__infix_scope_colons] = ACTIONS(897),
    [sym__binary_minus] = ACTIONS(897),
    [sym__binary_star] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(899),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_STAR_STAR] = ACTIONS(899),
    [anon_sym_AMP] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_unless] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_until] = ACTIONS(897),
    [anon_sym_rescue] = ACTIONS(897),
    [anon_sym_in] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_EQ_GT] = ACTIONS(897),
    [anon_sym_RBRACK] = ACTIONS(897),
    [anon_sym_AMP_DOT] = ACTIONS(897),
    [anon_sym_PLUS_EQ] = ACTIONS(897),
    [anon_sym_DASH_EQ] = ACTIONS(897),
    [anon_sym_STAR_EQ] = ACTIONS(897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(897),
    [anon_sym_SLASH_EQ] = ACTIONS(897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(897),
    [anon_sym_PIPE_EQ] = ACTIONS(897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(897),
    [anon_sym_AMP_EQ] = ACTIONS(897),
    [anon_sym_PERCENT_EQ] = ACTIONS(897),
    [anon_sym_GT_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_LT_EQ] = ACTIONS(897),
    [anon_sym_CARET_EQ] = ACTIONS(897),
    [anon_sym_QMARK] = ACTIONS(897),
    [anon_sym_COLON] = ACTIONS(897),
    [anon_sym_DOT_DOT] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(897),
    [anon_sym_and] = ACTIONS(897),
    [anon_sym_or] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(899),
    [anon_sym_AMP_AMP] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(899),
    [anon_sym_GT_GT] = ACTIONS(899),
    [anon_sym_EQ_EQ] = ACTIONS(899),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_EQ_TILDE] = ACTIONS(897),
    [anon_sym_BANG_TILDE] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(899),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_SLASH] = ACTIONS(899),
    [anon_sym_PERCENT] = ACTIONS(899),
    [sym_comment] = ACTIONS(87),
  },
  [2036] = {
    [sym__string_end] = ACTIONS(6911),
    [sym_comment] = ACTIONS(87),
  },
  [2037] = {
    [sym__heredoc_body_start] = ACTIONS(903),
    [sym__element_reference_left_bracket] = ACTIONS(903),
    [sym__infix_scope_colons] = ACTIONS(903),
    [sym__binary_minus] = ACTIONS(903),
    [sym__binary_star] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(903),
    [anon_sym_PIPE] = ACTIONS(905),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_STAR_STAR] = ACTIONS(905),
    [anon_sym_AMP] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(905),
    [anon_sym_LT] = ACTIONS(905),
    [anon_sym_if] = ACTIONS(903),
    [anon_sym_unless] = ACTIONS(903),
    [anon_sym_while] = ACTIONS(903),
    [anon_sym_until] = ACTIONS(903),
    [anon_sym_rescue] = ACTIONS(903),
    [anon_sym_in] = ACTIONS(903),
    [anon_sym_do] = ACTIONS(903),
    [anon_sym_EQ_GT] = ACTIONS(903),
    [anon_sym_RBRACK] = ACTIONS(903),
    [anon_sym_AMP_DOT] = ACTIONS(903),
    [anon_sym_PLUS_EQ] = ACTIONS(903),
    [anon_sym_DASH_EQ] = ACTIONS(903),
    [anon_sym_STAR_EQ] = ACTIONS(903),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(903),
    [anon_sym_SLASH_EQ] = ACTIONS(903),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(903),
    [anon_sym_PIPE_EQ] = ACTIONS(903),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(903),
    [anon_sym_AMP_EQ] = ACTIONS(903),
    [anon_sym_PERCENT_EQ] = ACTIONS(903),
    [anon_sym_GT_GT_EQ] = ACTIONS(903),
    [anon_sym_LT_LT_EQ] = ACTIONS(903),
    [anon_sym_CARET_EQ] = ACTIONS(903),
    [anon_sym_QMARK] = ACTIONS(903),
    [anon_sym_COLON] = ACTIONS(903),
    [anon_sym_DOT_DOT] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(903),
    [anon_sym_and] = ACTIONS(903),
    [anon_sym_or] = ACTIONS(903),
    [anon_sym_PIPE_PIPE] = ACTIONS(905),
    [anon_sym_AMP_AMP] = ACTIONS(905),
    [anon_sym_LT_LT] = ACTIONS(905),
    [anon_sym_GT_GT] = ACTIONS(905),
    [anon_sym_EQ_EQ] = ACTIONS(905),
    [anon_sym_BANG_EQ] = ACTIONS(903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(903),
    [anon_sym_LT_EQ_GT] = ACTIONS(903),
    [anon_sym_EQ_TILDE] = ACTIONS(903),
    [anon_sym_BANG_TILDE] = ACTIONS(903),
    [anon_sym_LT_EQ] = ACTIONS(905),
    [anon_sym_GT] = ACTIONS(905),
    [anon_sym_GT_EQ] = ACTIONS(903),
    [anon_sym_CARET] = ACTIONS(905),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_PERCENT] = ACTIONS(905),
    [sym_comment] = ACTIONS(87),
  },
  [2038] = {
    [sym__string_end] = ACTIONS(6913),
    [sym_comment] = ACTIONS(87),
  },
  [2039] = {
    [sym__heredoc_body_start] = ACTIONS(909),
    [sym__element_reference_left_bracket] = ACTIONS(909),
    [sym__infix_scope_colons] = ACTIONS(909),
    [sym__binary_minus] = ACTIONS(909),
    [sym__binary_star] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_STAR_STAR] = ACTIONS(911),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_unless] = ACTIONS(909),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_until] = ACTIONS(909),
    [anon_sym_rescue] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_EQ_GT] = ACTIONS(909),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_AMP_DOT] = ACTIONS(909),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_and] = ACTIONS(909),
    [anon_sym_or] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(911),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ_GT] = ACTIONS(909),
    [anon_sym_EQ_TILDE] = ACTIONS(909),
    [anon_sym_BANG_TILDE] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [sym_comment] = ACTIONS(87),
  },
  [2040] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(4541),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(6915),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6917),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [2041] = {
    [aux_sym_string_array_repeat1] = STATE(4544),
    [sym__string_end] = ACTIONS(6919),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6921),
  },
  [2042] = {
    [sym__heredoc_body_start] = ACTIONS(927),
    [sym__element_reference_left_bracket] = ACTIONS(927),
    [sym__infix_scope_colons] = ACTIONS(927),
    [sym__binary_minus] = ACTIONS(927),
    [sym__binary_star] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_RPAREN] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym_STAR_STAR] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_EQ] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_unless] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(927),
    [anon_sym_until] = ACTIONS(927),
    [anon_sym_rescue] = ACTIONS(927),
    [anon_sym_in] = ACTIONS(927),
    [anon_sym_do] = ACTIONS(927),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_RBRACK] = ACTIONS(927),
    [anon_sym_AMP_DOT] = ACTIONS(927),
    [anon_sym_PLUS_EQ] = ACTIONS(927),
    [anon_sym_DASH_EQ] = ACTIONS(927),
    [anon_sym_STAR_EQ] = ACTIONS(927),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(927),
    [anon_sym_SLASH_EQ] = ACTIONS(927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(927),
    [anon_sym_PIPE_EQ] = ACTIONS(927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(927),
    [anon_sym_AMP_EQ] = ACTIONS(927),
    [anon_sym_PERCENT_EQ] = ACTIONS(927),
    [anon_sym_GT_GT_EQ] = ACTIONS(927),
    [anon_sym_LT_LT_EQ] = ACTIONS(927),
    [anon_sym_CARET_EQ] = ACTIONS(927),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_COLON] = ACTIONS(927),
    [anon_sym_DOT_DOT] = ACTIONS(929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(927),
    [anon_sym_and] = ACTIONS(927),
    [anon_sym_or] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(929),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(927),
    [anon_sym_LT_EQ_GT] = ACTIONS(927),
    [anon_sym_EQ_TILDE] = ACTIONS(927),
    [anon_sym_BANG_TILDE] = ACTIONS(927),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(927),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(929),
    [sym_comment] = ACTIONS(87),
  },
  [2043] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(4547),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(6923),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6925),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [2044] = {
    [aux_sym_symbol_array_repeat1] = STATE(4550),
    [sym__string_end] = ACTIONS(6927),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(6929),
  },
  [2045] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(4552),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(6931),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [2046] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(117),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(117),
    [sym_operator_assignment] = STATE(117),
    [sym_conditional] = STATE(117),
    [sym_range] = STATE(117),
    [sym_binary] = STATE(117),
    [sym_unary] = STATE(117),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(123),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_heredoc_body] = STATE(2058),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym__hash_items] = STATE(2059),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(139),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(6933),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(209),
    [sym_identifier] = ACTIONS(209),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2047] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [2048] = {
    [sym_string] = STATE(2127),
    [aux_sym_chained_string_repeat1] = STATE(2127),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2049] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [2050] = {
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR_STAR] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_if] = ACTIONS(4198),
    [anon_sym_unless] = ACTIONS(4198),
    [anon_sym_while] = ACTIONS(4198),
    [anon_sym_until] = ACTIONS(4198),
    [anon_sym_rescue] = ACTIONS(4198),
    [anon_sym_in] = ACTIONS(4198),
    [anon_sym_do] = ACTIONS(4198),
    [anon_sym_EQ_GT] = ACTIONS(4198),
    [anon_sym_RBRACK] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS_EQ] = ACTIONS(4198),
    [anon_sym_DASH_EQ] = ACTIONS(4198),
    [anon_sym_STAR_EQ] = ACTIONS(4198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4198),
    [anon_sym_SLASH_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4198),
    [anon_sym_AMP_EQ] = ACTIONS(4198),
    [anon_sym_PERCENT_EQ] = ACTIONS(4198),
    [anon_sym_GT_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_LT_EQ] = ACTIONS(4198),
    [anon_sym_CARET_EQ] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4198),
    [anon_sym_COLON] = ACTIONS(4198),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4198),
    [anon_sym_or] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE] = ACTIONS(4200),
    [anon_sym_AMP_AMP] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [sym_comment] = ACTIONS(87),
  },
  [2051] = {
    [sym_heredoc_body] = STATE(4555),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(6935),
    [sym_comment] = ACTIONS(87),
  },
  [2052] = {
    [anon_sym_RPAREN] = ACTIONS(6935),
    [sym_comment] = ACTIONS(87),
  },
  [2053] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [2054] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4556),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4556),
    [sym_operator_assignment] = STATE(4556),
    [sym_conditional] = STATE(4556),
    [sym_range] = STATE(4556),
    [sym_binary] = STATE(4556),
    [sym_unary] = STATE(4556),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2055] = {
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_EQ_GT] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [2056] = {
    [anon_sym_RBRACE] = ACTIONS(6937),
    [sym_comment] = ACTIONS(87),
  },
  [2057] = {
    [sym__statements] = STATE(4558),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(6937),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2058] = {
    [anon_sym_RBRACE] = ACTIONS(6939),
    [sym_comment] = ACTIONS(87),
  },
  [2059] = {
    [sym_heredoc_body] = STATE(4560),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACE] = ACTIONS(6939),
    [sym_comment] = ACTIONS(87),
  },
  [2060] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4561),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4561),
    [sym_operator_assignment] = STATE(4561),
    [sym_conditional] = STATE(4561),
    [sym_range] = STATE(4561),
    [sym_binary] = STATE(4561),
    [sym_unary] = STATE(4561),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2061] = {
    [sym__heredoc_body_start] = ACTIONS(1277),
    [sym__element_reference_left_bracket] = ACTIONS(1277),
    [sym__infix_scope_colons] = ACTIONS(1277),
    [sym__binary_minus] = ACTIONS(1277),
    [sym__binary_star] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_RPAREN] = ACTIONS(1277),
    [anon_sym_DOT] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(1277),
    [anon_sym_PIPE] = ACTIONS(1279),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym_STAR_STAR] = ACTIONS(1279),
    [anon_sym_AMP] = ACTIONS(1279),
    [anon_sym_EQ] = ACTIONS(1279),
    [anon_sym_LT] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_unless] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_until] = ACTIONS(1277),
    [anon_sym_rescue] = ACTIONS(1277),
    [anon_sym_in] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_RBRACK] = ACTIONS(1277),
    [anon_sym_AMP_DOT] = ACTIONS(1277),
    [anon_sym_PLUS_EQ] = ACTIONS(1277),
    [anon_sym_DASH_EQ] = ACTIONS(1277),
    [anon_sym_STAR_EQ] = ACTIONS(1277),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1277),
    [anon_sym_SLASH_EQ] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1277),
    [anon_sym_PIPE_EQ] = ACTIONS(1277),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1277),
    [anon_sym_AMP_EQ] = ACTIONS(1277),
    [anon_sym_PERCENT_EQ] = ACTIONS(1277),
    [anon_sym_GT_GT_EQ] = ACTIONS(1277),
    [anon_sym_LT_LT_EQ] = ACTIONS(1277),
    [anon_sym_CARET_EQ] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(1277),
    [anon_sym_COLON] = ACTIONS(1277),
    [anon_sym_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1277),
    [anon_sym_and] = ACTIONS(1277),
    [anon_sym_or] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE] = ACTIONS(1279),
    [anon_sym_AMP_AMP] = ACTIONS(1279),
    [anon_sym_LT_LT] = ACTIONS(1279),
    [anon_sym_GT_GT] = ACTIONS(1279),
    [anon_sym_EQ_EQ] = ACTIONS(1279),
    [anon_sym_BANG_EQ] = ACTIONS(1277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1277),
    [anon_sym_LT_EQ_GT] = ACTIONS(1277),
    [anon_sym_EQ_TILDE] = ACTIONS(1277),
    [anon_sym_BANG_TILDE] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(1279),
    [anon_sym_GT] = ACTIONS(1279),
    [anon_sym_GT_EQ] = ACTIONS(1277),
    [anon_sym_CARET] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_SLASH] = ACTIONS(1279),
    [anon_sym_PERCENT] = ACTIONS(1279),
    [sym_comment] = ACTIONS(87),
  },
  [2062] = {
    [anon_sym_DOT] = ACTIONS(6941),
    [anon_sym_COLON_COLON] = ACTIONS(6941),
    [sym_comment] = ACTIONS(87),
  },
  [2063] = {
    [sym_method_parameters] = STATE(4563),
    [sym__simple_formal_parameter] = STATE(715),
    [sym_splat_parameter] = STATE(715),
    [sym_hash_splat_parameter] = STATE(715),
    [sym_block_parameter] = STATE(715),
    [sym_keyword_parameter] = STATE(715),
    [sym_optional_parameter] = STATE(715),
    [sym_heredoc_body] = STATE(4563),
    [sym__terminator] = STATE(4563),
    [sym__line_break] = ACTIONS(6943),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(6943),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_comment] = ACTIONS(87),
  },
  [2064] = {
    [sym__heredoc_body_start] = ACTIONS(1295),
    [sym__element_reference_left_bracket] = ACTIONS(1295),
    [sym__infix_scope_colons] = ACTIONS(1295),
    [sym__binary_minus] = ACTIONS(1295),
    [sym__binary_star] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_RPAREN] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1295),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_STAR_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_unless] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_until] = ACTIONS(1295),
    [anon_sym_rescue] = ACTIONS(1295),
    [anon_sym_in] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_EQ_GT] = ACTIONS(1295),
    [anon_sym_RBRACK] = ACTIONS(1295),
    [anon_sym_AMP_DOT] = ACTIONS(1295),
    [anon_sym_PLUS_EQ] = ACTIONS(1295),
    [anon_sym_DASH_EQ] = ACTIONS(1295),
    [anon_sym_STAR_EQ] = ACTIONS(1295),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1295),
    [anon_sym_SLASH_EQ] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1295),
    [anon_sym_AMP_EQ] = ACTIONS(1295),
    [anon_sym_PERCENT_EQ] = ACTIONS(1295),
    [anon_sym_GT_GT_EQ] = ACTIONS(1295),
    [anon_sym_LT_LT_EQ] = ACTIONS(1295),
    [anon_sym_CARET_EQ] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1295),
    [anon_sym_COLON] = ACTIONS(1295),
    [anon_sym_DOT_DOT] = ACTIONS(1297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1295),
    [anon_sym_and] = ACTIONS(1295),
    [anon_sym_or] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1297),
    [anon_sym_AMP_AMP] = ACTIONS(1297),
    [anon_sym_LT_LT] = ACTIONS(1297),
    [anon_sym_GT_GT] = ACTIONS(1297),
    [anon_sym_EQ_EQ] = ACTIONS(1297),
    [anon_sym_BANG_EQ] = ACTIONS(1295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ_GT] = ACTIONS(1295),
    [anon_sym_EQ_TILDE] = ACTIONS(1295),
    [anon_sym_BANG_TILDE] = ACTIONS(1295),
    [anon_sym_LT_EQ] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_CARET] = ACTIONS(1297),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1297),
    [sym_comment] = ACTIONS(87),
  },
  [2065] = {
    [anon_sym_RPAREN] = ACTIONS(6945),
    [sym_comment] = ACTIONS(87),
  },
  [2066] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [2067] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4565),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(4565),
    [sym_operator_assignment] = STATE(4565),
    [sym_conditional] = STATE(4565),
    [sym_range] = STATE(4565),
    [sym_binary] = STATE(4565),
    [sym_unary] = STATE(4565),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2068] = {
    [sym_superclass] = STATE(4566),
    [sym_heredoc_body] = STATE(4567),
    [sym__terminator] = STATE(4567),
    [sym__line_break] = ACTIONS(6947),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(6947),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2069] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_superclass] = STATE(4566),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(4567),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(4567),
    [sym__line_break] = ACTIONS(6947),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(6947),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2070] = {
    [sym_heredoc_body] = STATE(4569),
    [sym__terminator] = STATE(4569),
    [sym__line_break] = ACTIONS(6949),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(6951),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2071] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(4569),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(4569),
    [sym__line_break] = ACTIONS(6949),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_end] = ACTIONS(6951),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2072] = {
    [sym__heredoc_body_start] = ACTIONS(1689),
    [sym__element_reference_left_bracket] = ACTIONS(1689),
    [sym__infix_scope_colons] = ACTIONS(1689),
    [sym__binary_minus] = ACTIONS(1689),
    [sym__binary_star] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_STAR_STAR] = ACTIONS(1691),
    [anon_sym_AMP] = ACTIONS(1691),
    [anon_sym_EQ] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1689),
    [anon_sym_unless] = ACTIONS(1689),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_until] = ACTIONS(1689),
    [anon_sym_rescue] = ACTIONS(1689),
    [anon_sym_in] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(1689),
    [anon_sym_EQ_GT] = ACTIONS(1689),
    [anon_sym_RBRACK] = ACTIONS(1689),
    [anon_sym_AMP_DOT] = ACTIONS(1689),
    [anon_sym_PLUS_EQ] = ACTIONS(1689),
    [anon_sym_DASH_EQ] = ACTIONS(1689),
    [anon_sym_STAR_EQ] = ACTIONS(1689),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1689),
    [anon_sym_SLASH_EQ] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1689),
    [anon_sym_PIPE_EQ] = ACTIONS(1689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1689),
    [anon_sym_AMP_EQ] = ACTIONS(1689),
    [anon_sym_PERCENT_EQ] = ACTIONS(1689),
    [anon_sym_GT_GT_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT_EQ] = ACTIONS(1689),
    [anon_sym_CARET_EQ] = ACTIONS(1689),
    [anon_sym_QMARK] = ACTIONS(1689),
    [anon_sym_COLON] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1689),
    [anon_sym_and] = ACTIONS(1689),
    [anon_sym_or] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE] = ACTIONS(1691),
    [anon_sym_AMP_AMP] = ACTIONS(1691),
    [anon_sym_LT_LT] = ACTIONS(1691),
    [anon_sym_GT_GT] = ACTIONS(1691),
    [anon_sym_EQ_EQ] = ACTIONS(1691),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1689),
    [anon_sym_LT_EQ_GT] = ACTIONS(1689),
    [anon_sym_EQ_TILDE] = ACTIONS(1689),
    [anon_sym_BANG_TILDE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PERCENT] = ACTIONS(1691),
    [sym_comment] = ACTIONS(87),
  },
  [2073] = {
    [sym__heredoc_body_start] = ACTIONS(1709),
    [sym__element_reference_left_bracket] = ACTIONS(1709),
    [sym__infix_scope_colons] = ACTIONS(1709),
    [sym__binary_minus] = ACTIONS(1709),
    [sym__binary_star] = ACTIONS(1709),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1711),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_unless] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_until] = ACTIONS(1709),
    [anon_sym_rescue] = ACTIONS(1709),
    [anon_sym_in] = ACTIONS(1709),
    [anon_sym_do] = ACTIONS(1709),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_RBRACK] = ACTIONS(1709),
    [anon_sym_AMP_DOT] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_COLON] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1711),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(87),
  },
  [2074] = {
    [sym__heredoc_body_start] = ACTIONS(1713),
    [sym__element_reference_left_bracket] = ACTIONS(1713),
    [sym__infix_scope_colons] = ACTIONS(1713),
    [sym__binary_minus] = ACTIONS(1713),
    [sym__binary_star] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_RBRACE] = ACTIONS(1713),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_STAR_STAR] = ACTIONS(1715),
    [anon_sym_AMP] = ACTIONS(1715),
    [anon_sym_EQ] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_unless] = ACTIONS(1713),
    [anon_sym_while] = ACTIONS(1713),
    [anon_sym_until] = ACTIONS(1713),
    [anon_sym_rescue] = ACTIONS(1713),
    [anon_sym_in] = ACTIONS(1713),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_EQ_GT] = ACTIONS(1713),
    [anon_sym_RBRACK] = ACTIONS(1713),
    [anon_sym_AMP_DOT] = ACTIONS(1713),
    [anon_sym_PLUS_EQ] = ACTIONS(1713),
    [anon_sym_DASH_EQ] = ACTIONS(1713),
    [anon_sym_STAR_EQ] = ACTIONS(1713),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1713),
    [anon_sym_SLASH_EQ] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1713),
    [anon_sym_PIPE_EQ] = ACTIONS(1713),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1713),
    [anon_sym_AMP_EQ] = ACTIONS(1713),
    [anon_sym_PERCENT_EQ] = ACTIONS(1713),
    [anon_sym_GT_GT_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT_EQ] = ACTIONS(1713),
    [anon_sym_CARET_EQ] = ACTIONS(1713),
    [anon_sym_QMARK] = ACTIONS(1713),
    [anon_sym_COLON] = ACTIONS(1713),
    [anon_sym_DOT_DOT] = ACTIONS(1715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1713),
    [anon_sym_and] = ACTIONS(1713),
    [anon_sym_or] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE] = ACTIONS(1715),
    [anon_sym_AMP_AMP] = ACTIONS(1715),
    [anon_sym_LT_LT] = ACTIONS(1715),
    [anon_sym_GT_GT] = ACTIONS(1715),
    [anon_sym_EQ_EQ] = ACTIONS(1715),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1713),
    [anon_sym_LT_EQ_GT] = ACTIONS(1713),
    [anon_sym_EQ_TILDE] = ACTIONS(1713),
    [anon_sym_BANG_TILDE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PERCENT] = ACTIONS(1715),
    [sym_comment] = ACTIONS(87),
  },
  [2075] = {
    [sym__heredoc_body_start] = ACTIONS(1717),
    [sym__element_reference_left_bracket] = ACTIONS(1717),
    [sym__infix_scope_colons] = ACTIONS(1717),
    [sym__binary_minus] = ACTIONS(1717),
    [sym__binary_star] = ACTIONS(1717),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_STAR_STAR] = ACTIONS(1719),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_EQ] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_unless] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_until] = ACTIONS(1717),
    [anon_sym_rescue] = ACTIONS(1717),
    [anon_sym_in] = ACTIONS(1717),
    [anon_sym_do] = ACTIONS(1717),
    [anon_sym_EQ_GT] = ACTIONS(1717),
    [anon_sym_RBRACK] = ACTIONS(1717),
    [anon_sym_AMP_DOT] = ACTIONS(1717),
    [anon_sym_PLUS_EQ] = ACTIONS(1717),
    [anon_sym_DASH_EQ] = ACTIONS(1717),
    [anon_sym_STAR_EQ] = ACTIONS(1717),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1717),
    [anon_sym_SLASH_EQ] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1717),
    [anon_sym_PIPE_EQ] = ACTIONS(1717),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1717),
    [anon_sym_AMP_EQ] = ACTIONS(1717),
    [anon_sym_PERCENT_EQ] = ACTIONS(1717),
    [anon_sym_GT_GT_EQ] = ACTIONS(1717),
    [anon_sym_LT_LT_EQ] = ACTIONS(1717),
    [anon_sym_CARET_EQ] = ACTIONS(1717),
    [anon_sym_QMARK] = ACTIONS(1717),
    [anon_sym_COLON] = ACTIONS(1717),
    [anon_sym_DOT_DOT] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(1717),
    [anon_sym_or] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE] = ACTIONS(1719),
    [anon_sym_AMP_AMP] = ACTIONS(1719),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1717),
    [anon_sym_LT_EQ_GT] = ACTIONS(1717),
    [anon_sym_EQ_TILDE] = ACTIONS(1717),
    [anon_sym_BANG_TILDE] = ACTIONS(1717),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1717),
    [anon_sym_CARET] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_PERCENT] = ACTIONS(1719),
    [sym_comment] = ACTIONS(87),
  },
  [2076] = {
    [sym__then] = STATE(4570),
    [sym_heredoc_body] = STATE(1027),
    [sym__terminator] = STATE(1027),
    [sym__line_break] = ACTIONS(1751),
    [sym__heredoc_body_start] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(6953),
    [sym_comment] = ACTIONS(87),
  },
  [2077] = {
    [sym__then] = STATE(4571),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(6955),
    [sym_comment] = ACTIONS(87),
  },
  [2078] = {
    [sym__do] = STATE(4572),
    [sym_heredoc_body] = STATE(4572),
    [sym__terminator] = STATE(4572),
    [sym__line_break] = ACTIONS(6957),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(6957),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(6957),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [2079] = {
    [sym__do] = STATE(4573),
    [sym_heredoc_body] = STATE(4573),
    [sym__terminator] = STATE(4573),
    [sym__line_break] = ACTIONS(6959),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(6959),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(6959),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [2080] = {
    [sym_in] = STATE(4574),
    [anon_sym_in] = ACTIONS(1985),
    [sym_comment] = ACTIONS(87),
  },
  [2081] = {
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [sym__binary_minus] = ACTIONS(5724),
    [sym__binary_star] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_STAR_STAR] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_EQ_GT] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [anon_sym_PLUS_EQ] = ACTIONS(5724),
    [anon_sym_DASH_EQ] = ACTIONS(5724),
    [anon_sym_STAR_EQ] = ACTIONS(5724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5724),
    [anon_sym_SLASH_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5724),
    [anon_sym_AMP_EQ] = ACTIONS(5724),
    [anon_sym_PERCENT_EQ] = ACTIONS(5724),
    [anon_sym_GT_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_LT_EQ] = ACTIONS(5724),
    [anon_sym_CARET_EQ] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_DOT_DOT] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5726),
    [anon_sym_AMP_AMP] = ACTIONS(5726),
    [anon_sym_LT_LT] = ACTIONS(5726),
    [anon_sym_GT_GT] = ACTIONS(5726),
    [anon_sym_EQ_EQ] = ACTIONS(5726),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_EQ_TILDE] = ACTIONS(5724),
    [anon_sym_BANG_TILDE] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_CARET] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_SLASH] = ACTIONS(5726),
    [anon_sym_PERCENT] = ACTIONS(5726),
    [sym_comment] = ACTIONS(87),
  },
  [2082] = {
    [anon_sym_end] = ACTIONS(6961),
    [sym_comment] = ACTIONS(87),
  },
  [2083] = {
    [sym__statements] = STATE(4576),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(4577),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(4577),
    [sym__line_break] = ACTIONS(6963),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6965),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2084] = {
    [sym__statements] = STATE(4576),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(4578),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6965),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2085] = {
    [sym_heredoc_body] = STATE(4579),
    [sym__terminator] = STATE(4579),
    [sym__line_break] = ACTIONS(6967),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(6967),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [2086] = {
    [sym_when] = STATE(4580),
    [aux_sym_case_repeat1] = STATE(4581),
    [anon_sym_SEMI] = ACTIONS(6969),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [2087] = {
    [sym_else] = STATE(4583),
    [sym_ensure] = STATE(4584),
    [sym_rescue] = STATE(4585),
    [anon_sym_end] = ACTIONS(6971),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [2088] = {
    [sym_ensure] = STATE(4584),
    [anon_sym_end] = ACTIONS(6971),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [2089] = {
    [anon_sym_end] = ACTIONS(6971),
    [sym_comment] = ACTIONS(87),
  },
  [2090] = {
    [sym_else] = STATE(4583),
    [sym_ensure] = STATE(4584),
    [anon_sym_end] = ACTIONS(6971),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [2091] = {
    [sym__heredoc_body_start] = ACTIONS(2205),
    [sym__element_reference_left_bracket] = ACTIONS(2205),
    [sym__infix_scope_colons] = ACTIONS(2205),
    [sym__binary_minus] = ACTIONS(2205),
    [sym__binary_star] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_STAR_STAR] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_EQ] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_unless] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_until] = ACTIONS(2205),
    [anon_sym_rescue] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_EQ_GT] = ACTIONS(2205),
    [anon_sym_RBRACK] = ACTIONS(2205),
    [anon_sym_AMP_DOT] = ACTIONS(2205),
    [anon_sym_PLUS_EQ] = ACTIONS(2205),
    [anon_sym_DASH_EQ] = ACTIONS(2205),
    [anon_sym_STAR_EQ] = ACTIONS(2205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2205),
    [anon_sym_SLASH_EQ] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2205),
    [anon_sym_PIPE_EQ] = ACTIONS(2205),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2205),
    [anon_sym_AMP_EQ] = ACTIONS(2205),
    [anon_sym_PERCENT_EQ] = ACTIONS(2205),
    [anon_sym_GT_GT_EQ] = ACTIONS(2205),
    [anon_sym_LT_LT_EQ] = ACTIONS(2205),
    [anon_sym_CARET_EQ] = ACTIONS(2205),
    [anon_sym_QMARK] = ACTIONS(2205),
    [anon_sym_COLON] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_and] = ACTIONS(2205),
    [anon_sym_or] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_LT_LT] = ACTIONS(2207),
    [anon_sym_GT_GT] = ACTIONS(2207),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_LT_EQ_GT] = ACTIONS(2205),
    [anon_sym_EQ_TILDE] = ACTIONS(2205),
    [anon_sym_BANG_TILDE] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_SLASH] = ACTIONS(2207),
    [anon_sym_PERCENT] = ACTIONS(2207),
    [sym_comment] = ACTIONS(87),
  },
  [2092] = {
    [sym__statements] = STATE(2087),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(2088),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(2089),
    [sym_rescue] = STATE(2090),
    [sym__body_statement] = STATE(4586),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(6973),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2093] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [2094] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [2095] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2281),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_in] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [2096] = {
    [sym__heredoc_body_start] = ACTIONS(2291),
    [sym__element_reference_left_bracket] = ACTIONS(2291),
    [sym__infix_scope_colons] = ACTIONS(2291),
    [sym__binary_minus] = ACTIONS(2291),
    [sym__binary_star] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2291),
    [anon_sym_RBRACE] = ACTIONS(2291),
    [anon_sym_RPAREN] = ACTIONS(2291),
    [anon_sym_DOT] = ACTIONS(2293),
    [anon_sym_COMMA] = ACTIONS(2291),
    [anon_sym_PIPE] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2291),
    [anon_sym_STAR_STAR] = ACTIONS(2293),
    [anon_sym_AMP] = ACTIONS(2293),
    [anon_sym_EQ] = ACTIONS(2293),
    [anon_sym_LT] = ACTIONS(2293),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_unless] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_until] = ACTIONS(2291),
    [anon_sym_rescue] = ACTIONS(2291),
    [anon_sym_in] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_EQ_GT] = ACTIONS(2291),
    [anon_sym_RBRACK] = ACTIONS(2291),
    [anon_sym_AMP_DOT] = ACTIONS(2291),
    [anon_sym_PLUS_EQ] = ACTIONS(2291),
    [anon_sym_DASH_EQ] = ACTIONS(2291),
    [anon_sym_STAR_EQ] = ACTIONS(2291),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2291),
    [anon_sym_SLASH_EQ] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2291),
    [anon_sym_PIPE_EQ] = ACTIONS(2291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2291),
    [anon_sym_AMP_EQ] = ACTIONS(2291),
    [anon_sym_PERCENT_EQ] = ACTIONS(2291),
    [anon_sym_GT_GT_EQ] = ACTIONS(2291),
    [anon_sym_LT_LT_EQ] = ACTIONS(2291),
    [anon_sym_CARET_EQ] = ACTIONS(2291),
    [anon_sym_QMARK] = ACTIONS(2291),
    [anon_sym_COLON] = ACTIONS(2291),
    [anon_sym_DOT_DOT] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2291),
    [anon_sym_and] = ACTIONS(2291),
    [anon_sym_or] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE] = ACTIONS(2293),
    [anon_sym_AMP_AMP] = ACTIONS(2293),
    [anon_sym_LT_LT] = ACTIONS(2293),
    [anon_sym_GT_GT] = ACTIONS(2293),
    [anon_sym_EQ_EQ] = ACTIONS(2293),
    [anon_sym_BANG_EQ] = ACTIONS(2291),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2291),
    [anon_sym_LT_EQ_GT] = ACTIONS(2291),
    [anon_sym_EQ_TILDE] = ACTIONS(2291),
    [anon_sym_BANG_TILDE] = ACTIONS(2291),
    [anon_sym_LT_EQ] = ACTIONS(2293),
    [anon_sym_GT] = ACTIONS(2293),
    [anon_sym_GT_EQ] = ACTIONS(2291),
    [anon_sym_CARET] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_SLASH] = ACTIONS(2293),
    [anon_sym_PERCENT] = ACTIONS(2293),
    [sym_comment] = ACTIONS(87),
  },
  [2097] = {
    [sym__heredoc_body_start] = ACTIONS(2375),
    [sym__element_reference_left_bracket] = ACTIONS(2375),
    [sym__infix_scope_colons] = ACTIONS(2375),
    [sym__binary_minus] = ACTIONS(2375),
    [sym__binary_star] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_RBRACE] = ACTIONS(2375),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_COMMA] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2375),
    [anon_sym_STAR_STAR] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(2377),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LT] = ACTIONS(2377),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_unless] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(2375),
    [anon_sym_until] = ACTIONS(2375),
    [anon_sym_rescue] = ACTIONS(2375),
    [anon_sym_in] = ACTIONS(2375),
    [anon_sym_do] = ACTIONS(2375),
    [anon_sym_EQ_GT] = ACTIONS(2375),
    [anon_sym_RBRACK] = ACTIONS(2375),
    [anon_sym_AMP_DOT] = ACTIONS(2375),
    [anon_sym_PLUS_EQ] = ACTIONS(2375),
    [anon_sym_DASH_EQ] = ACTIONS(2375),
    [anon_sym_STAR_EQ] = ACTIONS(2375),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2375),
    [anon_sym_SLASH_EQ] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2375),
    [anon_sym_PIPE_EQ] = ACTIONS(2375),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2375),
    [anon_sym_AMP_EQ] = ACTIONS(2375),
    [anon_sym_PERCENT_EQ] = ACTIONS(2375),
    [anon_sym_GT_GT_EQ] = ACTIONS(2375),
    [anon_sym_LT_LT_EQ] = ACTIONS(2375),
    [anon_sym_CARET_EQ] = ACTIONS(2375),
    [anon_sym_QMARK] = ACTIONS(2375),
    [anon_sym_COLON] = ACTIONS(2375),
    [anon_sym_DOT_DOT] = ACTIONS(2377),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2375),
    [anon_sym_and] = ACTIONS(2375),
    [anon_sym_or] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE] = ACTIONS(2377),
    [anon_sym_AMP_AMP] = ACTIONS(2377),
    [anon_sym_LT_LT] = ACTIONS(2377),
    [anon_sym_GT_GT] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2375),
    [anon_sym_LT_EQ_GT] = ACTIONS(2375),
    [anon_sym_EQ_TILDE] = ACTIONS(2375),
    [anon_sym_BANG_TILDE] = ACTIONS(2375),
    [anon_sym_LT_EQ] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2375),
    [anon_sym_CARET] = ACTIONS(2377),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_SLASH] = ACTIONS(2377),
    [anon_sym_PERCENT] = ACTIONS(2377),
    [sym_comment] = ACTIONS(87),
  },
  [2098] = {
    [sym_heredoc_body] = STATE(4588),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(6975),
    [sym_comment] = ACTIONS(87),
  },
  [2099] = {
    [anon_sym_RBRACK] = ACTIONS(6975),
    [sym_comment] = ACTIONS(87),
  },
  [2100] = {
    [sym__statements] = STATE(3657),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(3658),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(6977),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2101] = {
    [sym_do_block] = STATE(4590),
    [sym_block] = STATE(4590),
    [anon_sym_LBRACE] = ACTIONS(3412),
    [anon_sym_do] = ACTIONS(5660),
    [sym_comment] = ACTIONS(87),
  },
  [2102] = {
    [sym__heredoc_body_start] = ACTIONS(2521),
    [sym__element_reference_left_bracket] = ACTIONS(2521),
    [sym__infix_scope_colons] = ACTIONS(2521),
    [sym__binary_minus] = ACTIONS(2521),
    [sym__binary_star] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_STAR_STAR] = ACTIONS(2523),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_EQ] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_unless] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_until] = ACTIONS(2521),
    [anon_sym_rescue] = ACTIONS(2521),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_EQ_GT] = ACTIONS(2521),
    [anon_sym_RBRACK] = ACTIONS(2521),
    [anon_sym_AMP_DOT] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2521),
    [anon_sym_DASH_EQ] = ACTIONS(2521),
    [anon_sym_STAR_EQ] = ACTIONS(2521),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2521),
    [anon_sym_SLASH_EQ] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2521),
    [anon_sym_PIPE_EQ] = ACTIONS(2521),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2521),
    [anon_sym_AMP_EQ] = ACTIONS(2521),
    [anon_sym_PERCENT_EQ] = ACTIONS(2521),
    [anon_sym_GT_GT_EQ] = ACTIONS(2521),
    [anon_sym_LT_LT_EQ] = ACTIONS(2521),
    [anon_sym_CARET_EQ] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_COLON] = ACTIONS(2521),
    [anon_sym_DOT_DOT] = ACTIONS(2523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2521),
    [anon_sym_and] = ACTIONS(2521),
    [anon_sym_or] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2523),
    [anon_sym_AMP_AMP] = ACTIONS(2523),
    [anon_sym_LT_LT] = ACTIONS(2523),
    [anon_sym_GT_GT] = ACTIONS(2523),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2521),
    [anon_sym_LT_EQ_GT] = ACTIONS(2521),
    [anon_sym_EQ_TILDE] = ACTIONS(2521),
    [anon_sym_BANG_TILDE] = ACTIONS(2521),
    [anon_sym_LT_EQ] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_GT_EQ] = ACTIONS(2521),
    [anon_sym_CARET] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_SLASH] = ACTIONS(2523),
    [anon_sym_PERCENT] = ACTIONS(2523),
    [sym_comment] = ACTIONS(87),
  },
  [2103] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4591),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4591),
    [sym_operator_assignment] = STATE(4591),
    [sym_conditional] = STATE(4591),
    [sym_range] = STATE(4591),
    [sym_binary] = STATE(4591),
    [sym_unary] = STATE(4591),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2104] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4592),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4592),
    [sym_operator_assignment] = STATE(4592),
    [sym_conditional] = STATE(4592),
    [sym_range] = STATE(4592),
    [sym_binary] = STATE(4592),
    [sym_unary] = STATE(4592),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2105] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4593),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4593),
    [sym_operator_assignment] = STATE(4593),
    [sym_conditional] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_binary] = STATE(4593),
    [sym_unary] = STATE(4593),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2106] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4594),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4594),
    [sym_operator_assignment] = STATE(4594),
    [sym_conditional] = STATE(4594),
    [sym_range] = STATE(4594),
    [sym_binary] = STATE(4594),
    [sym_unary] = STATE(4594),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2107] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4595),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4595),
    [sym_operator_assignment] = STATE(4595),
    [sym_conditional] = STATE(4595),
    [sym_range] = STATE(4595),
    [sym_binary] = STATE(4595),
    [sym_unary] = STATE(4595),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2108] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4596),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4596),
    [sym_operator_assignment] = STATE(4596),
    [sym_conditional] = STATE(4596),
    [sym_range] = STATE(4596),
    [sym_binary] = STATE(4596),
    [sym_unary] = STATE(4596),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2109] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4597),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4597),
    [sym_operator_assignment] = STATE(4597),
    [sym_conditional] = STATE(4597),
    [sym_range] = STATE(4597),
    [sym_binary] = STATE(4597),
    [sym_unary] = STATE(4597),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2110] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4598),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(4598),
    [sym_operator_assignment] = STATE(4598),
    [sym_conditional] = STATE(4598),
    [sym_range] = STATE(4598),
    [sym_binary] = STATE(4598),
    [sym_unary] = STATE(4598),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2111] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4599),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4599),
    [sym_operator_assignment] = STATE(4599),
    [sym_conditional] = STATE(4599),
    [sym_range] = STATE(4599),
    [sym_binary] = STATE(4599),
    [sym_unary] = STATE(4599),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2112] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4600),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4600),
    [sym_operator_assignment] = STATE(4600),
    [sym_conditional] = STATE(4600),
    [sym_range] = STATE(4600),
    [sym_binary] = STATE(4600),
    [sym_unary] = STATE(4600),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2113] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4601),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4601),
    [sym_operator_assignment] = STATE(4601),
    [sym_conditional] = STATE(4601),
    [sym_range] = STATE(4601),
    [sym_binary] = STATE(4601),
    [sym_unary] = STATE(4601),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2114] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4602),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4602),
    [sym_operator_assignment] = STATE(4602),
    [sym_conditional] = STATE(4602),
    [sym_range] = STATE(4602),
    [sym_binary] = STATE(4602),
    [sym_unary] = STATE(4602),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2115] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4603),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4603),
    [sym_operator_assignment] = STATE(4603),
    [sym_conditional] = STATE(4603),
    [sym_range] = STATE(4603),
    [sym_binary] = STATE(4603),
    [sym_unary] = STATE(4603),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2116] = {
    [sym__statements] = STATE(3657),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(3658),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(2058),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(2059),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(6977),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2117] = {
    [sym_do_block] = STATE(3679),
    [sym_block] = STATE(3679),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(3412),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_EQ_GT] = ACTIONS(2751),
    [anon_sym_RBRACK] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [2118] = {
    [sym__statements] = STATE(2056),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(2057),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(6979),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2119] = {
    [sym__element_reference_left_bracket] = ACTIONS(6134),
    [sym__infix_scope_colons] = ACTIONS(6134),
    [sym__binary_minus] = ACTIONS(6134),
    [sym__binary_star] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6136),
    [anon_sym_COMMA] = ACTIONS(6134),
    [anon_sym_PIPE] = ACTIONS(6136),
    [anon_sym_STAR_STAR] = ACTIONS(6136),
    [anon_sym_AMP] = ACTIONS(6136),
    [anon_sym_EQ] = ACTIONS(6136),
    [anon_sym_LT] = ACTIONS(6136),
    [anon_sym_EQ_GT] = ACTIONS(6134),
    [anon_sym_AMP_DOT] = ACTIONS(6134),
    [anon_sym_PLUS_EQ] = ACTIONS(6134),
    [anon_sym_DASH_EQ] = ACTIONS(6134),
    [anon_sym_STAR_EQ] = ACTIONS(6134),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6134),
    [anon_sym_SLASH_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6134),
    [anon_sym_AMP_EQ] = ACTIONS(6134),
    [anon_sym_PERCENT_EQ] = ACTIONS(6134),
    [anon_sym_GT_GT_EQ] = ACTIONS(6134),
    [anon_sym_LT_LT_EQ] = ACTIONS(6134),
    [anon_sym_CARET_EQ] = ACTIONS(6134),
    [anon_sym_QMARK] = ACTIONS(6134),
    [anon_sym_DOT_DOT] = ACTIONS(6136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6134),
    [anon_sym_and] = ACTIONS(6134),
    [anon_sym_or] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE] = ACTIONS(6136),
    [anon_sym_AMP_AMP] = ACTIONS(6136),
    [anon_sym_LT_LT] = ACTIONS(6136),
    [anon_sym_GT_GT] = ACTIONS(6136),
    [anon_sym_EQ_EQ] = ACTIONS(6136),
    [anon_sym_BANG_EQ] = ACTIONS(6134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6134),
    [anon_sym_LT_EQ_GT] = ACTIONS(6134),
    [anon_sym_EQ_TILDE] = ACTIONS(6134),
    [anon_sym_BANG_TILDE] = ACTIONS(6134),
    [anon_sym_LT_EQ] = ACTIONS(6136),
    [anon_sym_GT] = ACTIONS(6136),
    [anon_sym_GT_EQ] = ACTIONS(6134),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PLUS] = ACTIONS(6136),
    [anon_sym_SLASH] = ACTIONS(6136),
    [anon_sym_PERCENT] = ACTIONS(6136),
    [sym_comment] = ACTIONS(87),
  },
  [2120] = {
    [sym_interpolation] = STATE(4606),
    [aux_sym_heredoc_body_repeat1] = STATE(4606),
    [sym__heredoc_content] = ACTIONS(6981),
    [sym_heredoc_end] = ACTIONS(6983),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(6981),
  },
  [2121] = {
    [sym_heredoc_body] = STATE(4607),
    [aux_sym_call_repeat1] = STATE(4607),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [2122] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(673),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym__argument] = STATE(4608),
    [sym_splat_argument] = STATE(4608),
    [sym_hash_splat_argument] = STATE(4608),
    [sym_block_argument] = STATE(4608),
    [sym_assignment] = STATE(673),
    [sym_operator_assignment] = STATE(673),
    [sym_conditional] = STATE(673),
    [sym_range] = STATE(673),
    [sym_binary] = STATE(673),
    [sym_unary] = STATE(673),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(682),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(4609),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4608),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(1159),
    [sym__splat_star] = ACTIONS(1161),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__identifier_hash_key] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(6985),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1213),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2123] = {
    [sym_heredoc_body] = STATE(4610),
    [aux_sym_call_repeat1] = STATE(4610),
    [aux_sym_argument_list_repeat1] = STATE(4611),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(3450),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [2124] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4612),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_splat_argument] = STATE(4614),
    [sym_assignment] = STATE(4612),
    [sym_operator_assignment] = STATE(4612),
    [sym_conditional] = STATE(4612),
    [sym_range] = STATE(4612),
    [sym_binary] = STATE(4612),
    [sym_unary] = STATE(4612),
    [sym_right_assignment_list] = STATE(4613),
    [sym__arg_or_splat_arg] = STATE(4614),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(1161),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2125] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4615),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4615),
    [sym_operator_assignment] = STATE(4615),
    [sym_conditional] = STATE(4615),
    [sym_range] = STATE(4615),
    [sym_binary] = STATE(4615),
    [sym_unary] = STATE(4615),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2126] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4616),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(4616),
    [sym_operator_assignment] = STATE(4616),
    [sym_conditional] = STATE(4616),
    [sym_range] = STATE(4616),
    [sym_binary] = STATE(4616),
    [sym_unary] = STATE(4616),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2127] = {
    [sym_string] = STATE(4617),
    [aux_sym_chained_string_repeat1] = STATE(4617),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [2128] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(4618),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(4618),
    [sym_operator_assignment] = STATE(4618),
    [sym_conditional] = STATE(4618),
    [sym_range] = STATE(4618),
    [sym_binary] = STATE(4618),
    [sym_unary] = STATE(4618),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2129] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(4619),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(4619),
    [sym_operator_assignment] = STATE(4619),
    [sym_conditional] = STATE(4619),
    [sym_range] = STATE(4619),
    [sym_binary] = STATE(4619),
    [sym_unary] = STATE(4619),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2130] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(587),
    [sym__argument_list_with_parens] = STATE(1960),
    [sym__argument] = STATE(1961),
    [sym_splat_argument] = STATE(1961),
    [sym_hash_splat_argument] = STATE(1961),
    [sym_block_argument] = STATE(1961),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1961),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2131] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(593),
    [sym__argument_list_with_parens] = STATE(1960),
    [sym__argument] = STATE(1961),
    [sym_splat_argument] = STATE(1961),
    [sym_hash_splat_argument] = STATE(1961),
    [sym_block_argument] = STATE(1961),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1961),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2132] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(594),
    [sym__argument_list_with_parens] = STATE(1960),
    [sym__argument] = STATE(1961),
    [sym_splat_argument] = STATE(1961),
    [sym_hash_splat_argument] = STATE(1961),
    [sym_block_argument] = STATE(1961),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1961),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2133] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(595),
    [sym__argument_list_with_parens] = STATE(1960),
    [sym__argument] = STATE(1961),
    [sym_splat_argument] = STATE(1961),
    [sym_hash_splat_argument] = STATE(1961),
    [sym_block_argument] = STATE(1961),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(1961),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2134] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(4620),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(4620),
    [sym_operator_assignment] = STATE(4620),
    [sym_conditional] = STATE(4620),
    [sym_range] = STATE(4620),
    [sym_binary] = STATE(4620),
    [sym_unary] = STATE(4620),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2135] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(4621),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(4621),
    [sym_operator_assignment] = STATE(4621),
    [sym_conditional] = STATE(4621),
    [sym_range] = STATE(4621),
    [sym_binary] = STATE(4621),
    [sym_unary] = STATE(4621),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2136] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(611),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(611),
    [sym_operator_assignment] = STATE(611),
    [sym_conditional] = STATE(611),
    [sym_range] = STATE(611),
    [sym_binary] = STATE(611),
    [sym_unary] = STATE(611),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2137] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(6991),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(6995),
    [anon_sym_LT] = ACTIONS(6997),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(6999),
    [anon_sym_DOT_DOT] = ACTIONS(7001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7003),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7005),
    [anon_sym_AMP_AMP] = ACTIONS(7005),
    [anon_sym_LT_LT] = ACTIONS(7007),
    [anon_sym_GT_GT] = ACTIONS(7007),
    [anon_sym_EQ_EQ] = ACTIONS(7009),
    [anon_sym_BANG_EQ] = ACTIONS(7005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7005),
    [anon_sym_LT_EQ_GT] = ACTIONS(7005),
    [anon_sym_EQ_TILDE] = ACTIONS(7005),
    [anon_sym_BANG_TILDE] = ACTIONS(7005),
    [anon_sym_LT_EQ] = ACTIONS(6997),
    [anon_sym_GT] = ACTIONS(6997),
    [anon_sym_GT_EQ] = ACTIONS(7011),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [2138] = {
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [2139] = {
    [aux_sym_exceptions_repeat1] = STATE(4635),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(7017),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [2140] = {
    [anon_sym_EQ] = ACTIONS(7019),
    [sym_comment] = ACTIONS(87),
  },
  [2141] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7021),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7023),
    [anon_sym_DASH_EQ] = ACTIONS(7023),
    [anon_sym_STAR_EQ] = ACTIONS(7023),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7023),
    [anon_sym_SLASH_EQ] = ACTIONS(7023),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7023),
    [anon_sym_PIPE_EQ] = ACTIONS(7023),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7023),
    [anon_sym_AMP_EQ] = ACTIONS(7023),
    [anon_sym_PERCENT_EQ] = ACTIONS(7023),
    [anon_sym_GT_GT_EQ] = ACTIONS(7023),
    [anon_sym_LT_LT_EQ] = ACTIONS(7023),
    [anon_sym_CARET_EQ] = ACTIONS(7023),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2142] = {
    [sym_string] = STATE(4638),
    [aux_sym_chained_string_repeat1] = STATE(4638),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2143] = {
    [sym__binary_minus] = ACTIONS(1101),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1109),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_DOT_DOT] = ACTIONS(1117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1119),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_EQ_TILDE] = ACTIONS(1123),
    [anon_sym_BANG_TILDE] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_GT] = ACTIONS(1111),
    [anon_sym_GT_EQ] = ACTIONS(1129),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [2144] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_and] = ACTIONS(3206),
    [anon_sym_or] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [2145] = {
    [sym_string] = STATE(2145),
    [aux_sym_chained_string_repeat1] = STATE(2145),
    [sym__string_start] = ACTIONS(7027),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [2146] = {
    [sym__line_break] = ACTIONS(7030),
    [sym__heredoc_body_start] = ACTIONS(7030),
    [sym__element_reference_left_bracket] = ACTIONS(7030),
    [sym__infix_scope_colons] = ACTIONS(7030),
    [sym__binary_minus] = ACTIONS(7030),
    [sym__binary_star] = ACTIONS(7030),
    [ts_builtin_sym_end] = ACTIONS(7030),
    [anon_sym___END__] = ACTIONS(7030),
    [anon_sym_LBRACE] = ACTIONS(7030),
    [anon_sym_RBRACE] = ACTIONS(7030),
    [anon_sym_RPAREN] = ACTIONS(7030),
    [anon_sym_DOT] = ACTIONS(7032),
    [anon_sym_COMMA] = ACTIONS(7030),
    [anon_sym_PIPE] = ACTIONS(7032),
    [anon_sym_SEMI] = ACTIONS(7030),
    [anon_sym_STAR_STAR] = ACTIONS(7030),
    [anon_sym_AMP] = ACTIONS(7032),
    [anon_sym_LT] = ACTIONS(7032),
    [anon_sym_end] = ACTIONS(7030),
    [anon_sym_if] = ACTIONS(7030),
    [anon_sym_unless] = ACTIONS(7030),
    [anon_sym_while] = ACTIONS(7030),
    [anon_sym_until] = ACTIONS(7030),
    [anon_sym_rescue] = ACTIONS(7030),
    [anon_sym_do] = ACTIONS(7030),
    [anon_sym_when] = ACTIONS(7030),
    [anon_sym_elsif] = ACTIONS(7030),
    [anon_sym_else] = ACTIONS(7030),
    [anon_sym_then] = ACTIONS(7030),
    [anon_sym_ensure] = ACTIONS(7030),
    [anon_sym_EQ_GT] = ACTIONS(7030),
    [anon_sym_AMP_DOT] = ACTIONS(7030),
    [anon_sym_QMARK] = ACTIONS(7030),
    [anon_sym_DOT_DOT] = ACTIONS(7032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7030),
    [anon_sym_and] = ACTIONS(7030),
    [anon_sym_or] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE] = ACTIONS(7030),
    [anon_sym_AMP_AMP] = ACTIONS(7030),
    [anon_sym_LT_LT] = ACTIONS(7030),
    [anon_sym_GT_GT] = ACTIONS(7030),
    [anon_sym_EQ_EQ] = ACTIONS(7032),
    [anon_sym_BANG_EQ] = ACTIONS(7030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7030),
    [anon_sym_LT_EQ_GT] = ACTIONS(7030),
    [anon_sym_EQ_TILDE] = ACTIONS(7030),
    [anon_sym_BANG_TILDE] = ACTIONS(7030),
    [anon_sym_LT_EQ] = ACTIONS(7032),
    [anon_sym_GT] = ACTIONS(7032),
    [anon_sym_GT_EQ] = ACTIONS(7030),
    [anon_sym_CARET] = ACTIONS(7030),
    [anon_sym_PLUS] = ACTIONS(7030),
    [anon_sym_SLASH] = ACTIONS(7030),
    [anon_sym_PERCENT] = ACTIONS(7030),
    [sym_comment] = ACTIONS(87),
  },
  [2147] = {
    [sym_interpolation] = STATE(4640),
    [aux_sym_heredoc_body_repeat1] = STATE(4640),
    [sym__heredoc_content] = ACTIONS(7034),
    [sym_heredoc_end] = ACTIONS(7036),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(7034),
  },
  [2148] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(117),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(117),
    [sym_operator_assignment] = STATE(117),
    [sym_conditional] = STATE(117),
    [sym_range] = STATE(117),
    [sym_binary] = STATE(117),
    [sym_unary] = STATE(117),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(123),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym__hash_items] = STATE(4641),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(139),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym__heredoc_body_start] = ACTIONS(7038),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(7038),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(209),
    [sym_identifier] = ACTIONS(209),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2149] = {
    [sym__heredoc_body_start] = ACTIONS(7038),
    [anon_sym_RBRACE] = ACTIONS(7038),
    [sym_comment] = ACTIONS(87),
  },
  [2150] = {
    [sym__line_break] = ACTIONS(7040),
    [sym__heredoc_body_start] = ACTIONS(7040),
    [ts_builtin_sym_end] = ACTIONS(7040),
    [anon_sym___END__] = ACTIONS(7040),
    [anon_sym_RBRACE] = ACTIONS(7040),
    [anon_sym_RPAREN] = ACTIONS(7040),
    [anon_sym_SEMI] = ACTIONS(7040),
    [anon_sym_end] = ACTIONS(7040),
    [anon_sym_rescue] = ACTIONS(7040),
    [anon_sym_when] = ACTIONS(7040),
    [anon_sym_elsif] = ACTIONS(7040),
    [anon_sym_else] = ACTIONS(7040),
    [anon_sym_ensure] = ACTIONS(7040),
    [sym_comment] = ACTIONS(87),
  },
  [2151] = {
    [sym__line_break] = ACTIONS(2941),
    [sym__heredoc_body_start] = ACTIONS(2941),
    [ts_builtin_sym_end] = ACTIONS(2941),
    [anon_sym___END__] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_end] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_unless] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_until] = ACTIONS(2943),
    [anon_sym_rescue] = ACTIONS(2943),
    [anon_sym_when] = ACTIONS(2943),
    [anon_sym_elsif] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_then] = ACTIONS(2943),
    [anon_sym_ensure] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2943),
    [sym_comment] = ACTIONS(87),
  },
  [2152] = {
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [2153] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4646),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(4646),
    [sym_operator_assignment] = STATE(4646),
    [sym_conditional] = STATE(4646),
    [sym_range] = STATE(4646),
    [sym_binary] = STATE(4646),
    [sym_unary] = STATE(4646),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2154] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4649),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(4649),
    [sym_operator_assignment] = STATE(4649),
    [sym_conditional] = STATE(4649),
    [sym_range] = STATE(4649),
    [sym_binary] = STATE(4649),
    [sym_unary] = STATE(4649),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2155] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4650),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(4650),
    [sym_operator_assignment] = STATE(4650),
    [sym_conditional] = STATE(4650),
    [sym_range] = STATE(4650),
    [sym_binary] = STATE(4650),
    [sym_unary] = STATE(4650),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2156] = {
    [sym__keyword_colon] = ACTIONS(7054),
    [sym_comment] = ACTIONS(87),
  },
  [2157] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4652),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(4652),
    [sym_operator_assignment] = STATE(4652),
    [sym_conditional] = STATE(4652),
    [sym_range] = STATE(4652),
    [sym_binary] = STATE(4652),
    [sym_unary] = STATE(4652),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2158] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4653),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(4653),
    [sym_operator_assignment] = STATE(4653),
    [sym_conditional] = STATE(4653),
    [sym_range] = STATE(4653),
    [sym_binary] = STATE(4653),
    [sym_unary] = STATE(4653),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2159] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4654),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(4654),
    [sym_operator_assignment] = STATE(4654),
    [sym_conditional] = STATE(4654),
    [sym_range] = STATE(4654),
    [sym_binary] = STATE(4654),
    [sym_unary] = STATE(4654),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2160] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2161] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(7054),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2162] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(7068),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [2163] = {
    [sym_heredoc_body] = STATE(4668),
    [aux_sym_call_repeat1] = STATE(4668),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2164] = {
    [sym_heredoc_body] = STATE(4668),
    [aux_sym_call_repeat1] = STATE(4668),
    [aux_sym_argument_list_repeat1] = STATE(4670),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(7088),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2165] = {
    [anon_sym_EQ] = ACTIONS(7090),
    [sym_comment] = ACTIONS(87),
  },
  [2166] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7092),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7094),
    [anon_sym_DASH_EQ] = ACTIONS(7094),
    [anon_sym_STAR_EQ] = ACTIONS(7094),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7094),
    [anon_sym_SLASH_EQ] = ACTIONS(7094),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7094),
    [anon_sym_PIPE_EQ] = ACTIONS(7094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7094),
    [anon_sym_AMP_EQ] = ACTIONS(7094),
    [anon_sym_PERCENT_EQ] = ACTIONS(7094),
    [anon_sym_GT_GT_EQ] = ACTIONS(7094),
    [anon_sym_LT_LT_EQ] = ACTIONS(7094),
    [anon_sym_CARET_EQ] = ACTIONS(7094),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2167] = {
    [sym_string] = STATE(2656),
    [aux_sym_chained_string_repeat1] = STATE(2656),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(7096),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2168] = {
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [2169] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [2170] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4674),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4674),
    [sym_operator_assignment] = STATE(4674),
    [sym_conditional] = STATE(4674),
    [sym_range] = STATE(4674),
    [sym_binary] = STATE(4674),
    [sym_unary] = STATE(4674),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2171] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4675),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4675),
    [sym_operator_assignment] = STATE(4675),
    [sym_conditional] = STATE(4675),
    [sym_range] = STATE(4675),
    [sym_binary] = STATE(4675),
    [sym_unary] = STATE(4675),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2172] = {
    [anon_sym_DOT] = ACTIONS(7098),
    [anon_sym_COLON_COLON] = ACTIONS(7098),
    [sym_comment] = ACTIONS(87),
  },
  [2173] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4677),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4677),
    [sym_operator_assignment] = STATE(4677),
    [sym_conditional] = STATE(4677),
    [sym_range] = STATE(4677),
    [sym_binary] = STATE(4677),
    [sym_unary] = STATE(4677),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2174] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4678),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4678),
    [sym_operator_assignment] = STATE(4678),
    [sym_conditional] = STATE(4678),
    [sym_range] = STATE(4678),
    [sym_binary] = STATE(4678),
    [sym_unary] = STATE(4678),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2175] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4679),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4679),
    [sym_operator_assignment] = STATE(4679),
    [sym_conditional] = STATE(4679),
    [sym_range] = STATE(4679),
    [sym_binary] = STATE(4679),
    [sym_unary] = STATE(4679),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2176] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4680),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4680),
    [sym_operator_assignment] = STATE(4680),
    [sym_conditional] = STATE(4680),
    [sym_range] = STATE(4680),
    [sym_binary] = STATE(4680),
    [sym_unary] = STATE(4680),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2177] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4681),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(4681),
    [sym_operator_assignment] = STATE(4681),
    [sym_conditional] = STATE(4681),
    [sym_range] = STATE(4681),
    [sym_binary] = STATE(4681),
    [sym_unary] = STATE(4681),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2178] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4682),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4682),
    [sym_operator_assignment] = STATE(4682),
    [sym_conditional] = STATE(4682),
    [sym_range] = STATE(4682),
    [sym_binary] = STATE(4682),
    [sym_unary] = STATE(4682),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2179] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4683),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4683),
    [sym_operator_assignment] = STATE(4683),
    [sym_conditional] = STATE(4683),
    [sym_range] = STATE(4683),
    [sym_binary] = STATE(4683),
    [sym_unary] = STATE(4683),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2180] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4684),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4684),
    [sym_operator_assignment] = STATE(4684),
    [sym_conditional] = STATE(4684),
    [sym_range] = STATE(4684),
    [sym_binary] = STATE(4684),
    [sym_unary] = STATE(4684),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2181] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4685),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4685),
    [sym_operator_assignment] = STATE(4685),
    [sym_conditional] = STATE(4685),
    [sym_range] = STATE(4685),
    [sym_binary] = STATE(4685),
    [sym_unary] = STATE(4685),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2182] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4686),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4686),
    [sym_operator_assignment] = STATE(4686),
    [sym_conditional] = STATE(4686),
    [sym_range] = STATE(4686),
    [sym_binary] = STATE(4686),
    [sym_unary] = STATE(4686),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2183] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(4695),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(4695),
    [sym_operator_assignment] = STATE(4695),
    [sym_conditional] = STATE(4695),
    [sym_range] = STATE(4695),
    [sym_binary] = STATE(4695),
    [sym_unary] = STATE(4695),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [2184] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(4700),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(4700),
    [sym_operator_assignment] = STATE(4700),
    [sym_conditional] = STATE(4700),
    [sym_range] = STATE(4700),
    [sym_binary] = STATE(4700),
    [sym_unary] = STATE(4700),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [2185] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4701),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(4701),
    [sym_operator_assignment] = STATE(4701),
    [sym_conditional] = STATE(4701),
    [sym_range] = STATE(4701),
    [sym_binary] = STATE(4701),
    [sym_unary] = STATE(4701),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2186] = {
    [sym__keyword_colon] = ACTIONS(7124),
    [sym_comment] = ACTIONS(87),
  },
  [2187] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(4704),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(4704),
    [sym_operator_assignment] = STATE(4704),
    [sym_conditional] = STATE(4704),
    [sym_range] = STATE(4704),
    [sym_binary] = STATE(4704),
    [sym_unary] = STATE(4704),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [2188] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2646),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(2072),
    [sym__argument_list_with_parens] = STATE(2647),
    [sym__argument] = STATE(2648),
    [sym_splat_argument] = STATE(2648),
    [sym_hash_splat_argument] = STATE(2648),
    [sym_block_argument] = STATE(2648),
    [sym_assignment] = STATE(2646),
    [sym_operator_assignment] = STATE(2646),
    [sym_conditional] = STATE(2646),
    [sym_range] = STATE(2646),
    [sym_binary] = STATE(2646),
    [sym_unary] = STATE(2646),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2649),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2648),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4244),
    [sym__splat_star] = ACTIONS(4246),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(4248),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(4250),
    [sym_identifier] = ACTIONS(4250),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2189] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2646),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(2073),
    [sym__argument_list_with_parens] = STATE(2647),
    [sym__argument] = STATE(2648),
    [sym_splat_argument] = STATE(2648),
    [sym_hash_splat_argument] = STATE(2648),
    [sym_block_argument] = STATE(2648),
    [sym_assignment] = STATE(2646),
    [sym_operator_assignment] = STATE(2646),
    [sym_conditional] = STATE(2646),
    [sym_range] = STATE(2646),
    [sym_binary] = STATE(2646),
    [sym_unary] = STATE(2646),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2649),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2648),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4244),
    [sym__splat_star] = ACTIONS(4246),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(4248),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(4250),
    [sym_identifier] = ACTIONS(4250),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2190] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2646),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(2074),
    [sym__argument_list_with_parens] = STATE(2647),
    [sym__argument] = STATE(2648),
    [sym_splat_argument] = STATE(2648),
    [sym_hash_splat_argument] = STATE(2648),
    [sym_block_argument] = STATE(2648),
    [sym_assignment] = STATE(2646),
    [sym_operator_assignment] = STATE(2646),
    [sym_conditional] = STATE(2646),
    [sym_range] = STATE(2646),
    [sym_binary] = STATE(2646),
    [sym_unary] = STATE(2646),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2649),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2648),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4244),
    [sym__splat_star] = ACTIONS(4246),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(4248),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(4250),
    [sym_identifier] = ACTIONS(4250),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2191] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2646),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(2075),
    [sym__argument_list_with_parens] = STATE(2647),
    [sym__argument] = STATE(2648),
    [sym_splat_argument] = STATE(2648),
    [sym_hash_splat_argument] = STATE(2648),
    [sym_block_argument] = STATE(2648),
    [sym_assignment] = STATE(2646),
    [sym_operator_assignment] = STATE(2646),
    [sym_conditional] = STATE(2646),
    [sym_range] = STATE(2646),
    [sym_binary] = STATE(2646),
    [sym_unary] = STATE(2646),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2649),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2648),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4244),
    [sym__splat_star] = ACTIONS(4246),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(4248),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(4250),
    [sym_identifier] = ACTIONS(4250),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2192] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4705),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(4705),
    [sym_operator_assignment] = STATE(4705),
    [sym_conditional] = STATE(4705),
    [sym_range] = STATE(4705),
    [sym_binary] = STATE(4705),
    [sym_unary] = STATE(4705),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2193] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4706),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(4706),
    [sym_operator_assignment] = STATE(4706),
    [sym_conditional] = STATE(4706),
    [sym_range] = STATE(4706),
    [sym_binary] = STATE(4706),
    [sym_unary] = STATE(4706),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2194] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2095),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(2095),
    [sym_operator_assignment] = STATE(2095),
    [sym_conditional] = STATE(2095),
    [sym_range] = STATE(2095),
    [sym_binary] = STATE(2095),
    [sym_unary] = STATE(2095),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2195] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(7124),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2196] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(7138),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [2197] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2646),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(2117),
    [sym__argument_list_with_parens] = STATE(2647),
    [sym__argument] = STATE(2648),
    [sym_splat_argument] = STATE(2648),
    [sym_hash_splat_argument] = STATE(2648),
    [sym_block_argument] = STATE(2648),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(2646),
    [sym_operator_assignment] = STATE(2646),
    [sym_conditional] = STATE(2646),
    [sym_range] = STATE(2646),
    [sym_binary] = STATE(2646),
    [sym_unary] = STATE(2646),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2649),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2648),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(4244),
    [sym__splat_star] = ACTIONS(4246),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(4248),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(4250),
    [sym_identifier] = ACTIONS(4250),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2198] = {
    [sym_heredoc_body] = STATE(4720),
    [aux_sym_call_repeat1] = STATE(4720),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [2199] = {
    [sym_heredoc_body] = STATE(4720),
    [aux_sym_call_repeat1] = STATE(4720),
    [aux_sym_argument_list_repeat1] = STATE(4722),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(7156),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [2200] = {
    [anon_sym_EQ] = ACTIONS(7158),
    [sym_comment] = ACTIONS(87),
  },
  [2201] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7160),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7162),
    [anon_sym_DASH_EQ] = ACTIONS(7162),
    [anon_sym_STAR_EQ] = ACTIONS(7162),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7162),
    [anon_sym_SLASH_EQ] = ACTIONS(7162),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7162),
    [anon_sym_PIPE_EQ] = ACTIONS(7162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7162),
    [anon_sym_AMP_EQ] = ACTIONS(7162),
    [anon_sym_PERCENT_EQ] = ACTIONS(7162),
    [anon_sym_GT_GT_EQ] = ACTIONS(7162),
    [anon_sym_LT_LT_EQ] = ACTIONS(7162),
    [anon_sym_CARET_EQ] = ACTIONS(7162),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2202] = {
    [sym_string] = STATE(4726),
    [aux_sym_chained_string_repeat1] = STATE(4726),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(7164),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2203] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4736),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_splat_argument] = STATE(4737),
    [sym_assignment] = STATE(4736),
    [sym_operator_assignment] = STATE(4736),
    [sym_conditional] = STATE(4736),
    [sym_range] = STATE(4736),
    [sym_binary] = STATE(4736),
    [sym_unary] = STATE(4736),
    [sym_right_assignment_list] = STATE(2138),
    [sym__arg_or_splat_arg] = STATE(4737),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(7166),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2204] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4741),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(4741),
    [sym_operator_assignment] = STATE(4741),
    [sym_conditional] = STATE(4741),
    [sym_range] = STATE(4741),
    [sym_binary] = STATE(4741),
    [sym_unary] = STATE(4741),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2205] = {
    [sym_string] = STATE(4742),
    [aux_sym_chained_string_repeat1] = STATE(4742),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [2206] = {
    [sym__line_break] = ACTIONS(7186),
    [sym__heredoc_body_start] = ACTIONS(7186),
    [sym__element_reference_left_bracket] = ACTIONS(7186),
    [sym__infix_scope_colons] = ACTIONS(7186),
    [sym__binary_minus] = ACTIONS(7186),
    [sym__binary_star] = ACTIONS(7186),
    [ts_builtin_sym_end] = ACTIONS(7186),
    [anon_sym___END__] = ACTIONS(7186),
    [anon_sym_LBRACE] = ACTIONS(7186),
    [anon_sym_RBRACE] = ACTIONS(7186),
    [anon_sym_RPAREN] = ACTIONS(7186),
    [anon_sym_DOT] = ACTIONS(7188),
    [anon_sym_COMMA] = ACTIONS(7186),
    [anon_sym_PIPE] = ACTIONS(7188),
    [anon_sym_SEMI] = ACTIONS(7186),
    [anon_sym_STAR_STAR] = ACTIONS(7186),
    [anon_sym_AMP] = ACTIONS(7188),
    [anon_sym_LT] = ACTIONS(7188),
    [anon_sym_end] = ACTIONS(7186),
    [anon_sym_if] = ACTIONS(7186),
    [anon_sym_unless] = ACTIONS(7186),
    [anon_sym_while] = ACTIONS(7186),
    [anon_sym_until] = ACTIONS(7186),
    [anon_sym_rescue] = ACTIONS(7186),
    [anon_sym_do] = ACTIONS(7186),
    [anon_sym_when] = ACTIONS(7186),
    [anon_sym_elsif] = ACTIONS(7186),
    [anon_sym_else] = ACTIONS(7186),
    [anon_sym_then] = ACTIONS(7186),
    [anon_sym_ensure] = ACTIONS(7186),
    [anon_sym_EQ_GT] = ACTIONS(7186),
    [anon_sym_AMP_DOT] = ACTIONS(7186),
    [anon_sym_QMARK] = ACTIONS(7186),
    [anon_sym_DOT_DOT] = ACTIONS(7188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7186),
    [anon_sym_and] = ACTIONS(7186),
    [anon_sym_or] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7186),
    [anon_sym_AMP_AMP] = ACTIONS(7186),
    [anon_sym_LT_LT] = ACTIONS(7186),
    [anon_sym_GT_GT] = ACTIONS(7186),
    [anon_sym_EQ_EQ] = ACTIONS(7188),
    [anon_sym_BANG_EQ] = ACTIONS(7186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7186),
    [anon_sym_LT_EQ_GT] = ACTIONS(7186),
    [anon_sym_EQ_TILDE] = ACTIONS(7186),
    [anon_sym_BANG_TILDE] = ACTIONS(7186),
    [anon_sym_LT_EQ] = ACTIONS(7188),
    [anon_sym_GT] = ACTIONS(7188),
    [anon_sym_GT_EQ] = ACTIONS(7186),
    [anon_sym_CARET] = ACTIONS(7186),
    [anon_sym_PLUS] = ACTIONS(7186),
    [anon_sym_SLASH] = ACTIONS(7186),
    [anon_sym_PERCENT] = ACTIONS(7186),
    [sym_comment] = ACTIONS(87),
  },
  [2207] = {
    [sym_heredoc_body] = STATE(4743),
    [sym__terminator] = STATE(4743),
    [sym__line_break] = ACTIONS(7190),
    [sym__simple_symbol] = ACTIONS(7192),
    [sym__string_start] = ACTIONS(7192),
    [sym__symbol_start] = ACTIONS(7192),
    [sym__subshell_start] = ACTIONS(7192),
    [sym__regex_start] = ACTIONS(7192),
    [sym__string_array_start] = ACTIONS(7192),
    [sym__symbol_array_start] = ACTIONS(7192),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(7192),
    [sym__unary_minus] = ACTIONS(7192),
    [anon_sym_BEGIN] = ACTIONS(7194),
    [anon_sym_LBRACE] = ACTIONS(7192),
    [anon_sym_END] = ACTIONS(7194),
    [anon_sym_def] = ACTIONS(7194),
    [anon_sym_LPAREN] = ACTIONS(7192),
    [anon_sym_COLON_COLON] = ACTIONS(7192),
    [anon_sym_SEMI] = ACTIONS(7190),
    [anon_sym_STAR] = ACTIONS(7192),
    [anon_sym_class] = ACTIONS(7194),
    [anon_sym_module] = ACTIONS(7194),
    [anon_sym_end] = ACTIONS(7194),
    [anon_sym_return] = ACTIONS(7194),
    [anon_sym_yield] = ACTIONS(7194),
    [anon_sym_break] = ACTIONS(7194),
    [anon_sym_next] = ACTIONS(7194),
    [sym_redo] = ACTIONS(7194),
    [sym_retry] = ACTIONS(7194),
    [anon_sym_if] = ACTIONS(7194),
    [anon_sym_unless] = ACTIONS(7194),
    [anon_sym_while] = ACTIONS(7194),
    [anon_sym_until] = ACTIONS(7194),
    [anon_sym_rescue] = ACTIONS(7194),
    [anon_sym_for] = ACTIONS(7194),
    [anon_sym_case] = ACTIONS(7194),
    [anon_sym_else] = ACTIONS(7194),
    [anon_sym_begin] = ACTIONS(7194),
    [anon_sym_ensure] = ACTIONS(7194),
    [anon_sym_PLUS] = ACTIONS(7194),
    [anon_sym_defined_QMARK] = ACTIONS(7192),
    [anon_sym_not] = ACTIONS(7194),
    [anon_sym_BANG] = ACTIONS(7192),
    [anon_sym_TILDE] = ACTIONS(7192),
    [sym_constant] = ACTIONS(7194),
    [sym_identifier] = ACTIONS(7194),
    [sym_instance_variable] = ACTIONS(7192),
    [sym_class_variable] = ACTIONS(7192),
    [sym_global_variable] = ACTIONS(7192),
    [anon_sym_undef] = ACTIONS(7194),
    [anon_sym_alias] = ACTIONS(7194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(7194),
    [sym_float] = ACTIONS(7194),
    [sym_complex] = ACTIONS(7192),
    [sym_super] = ACTIONS(7194),
    [anon_sym_true] = ACTIONS(7194),
    [anon_sym_TRUE] = ACTIONS(7194),
    [anon_sym_false] = ACTIONS(7194),
    [anon_sym_FALSE] = ACTIONS(7194),
    [sym_self] = ACTIONS(7194),
    [anon_sym_nil] = ACTIONS(7194),
    [anon_sym_NIL] = ACTIONS(7194),
    [sym_character] = ACTIONS(7192),
    [anon_sym_LBRACK] = ACTIONS(7192),
    [anon_sym_DASH_GT] = ACTIONS(7192),
  },
  [2208] = {
    [aux_sym_method_parameters_repeat1] = STATE(4745),
    [anon_sym_RPAREN] = ACTIONS(7196),
    [anon_sym_COMMA] = ACTIONS(5706),
    [sym_comment] = ACTIONS(87),
  },
  [2209] = {
    [sym__line_break] = ACTIONS(5708),
    [sym__heredoc_body_start] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5708),
    [sym_comment] = ACTIONS(87),
  },
  [2210] = {
    [sym__line_break] = ACTIONS(5710),
    [sym__heredoc_body_start] = ACTIONS(5710),
    [anon_sym_COMMA] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5710),
    [sym_comment] = ACTIONS(87),
  },
  [2211] = {
    [sym__line_break] = ACTIONS(5712),
    [sym__heredoc_body_start] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5712),
    [sym_comment] = ACTIONS(87),
  },
  [2212] = {
    [sym_lambda_parameters] = STATE(4748),
    [sym__simple_formal_parameter] = STATE(379),
    [sym_splat_parameter] = STATE(379),
    [sym_hash_splat_parameter] = STATE(379),
    [sym_block_parameter] = STATE(379),
    [sym_keyword_parameter] = STATE(379),
    [sym_optional_parameter] = STATE(379),
    [sym_do_block] = STATE(4749),
    [sym_block] = STATE(4749),
    [anon_sym_LBRACE] = ACTIONS(7198),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(7200),
    [sym_identifier] = ACTIONS(677),
    [sym_comment] = ACTIONS(87),
  },
  [2213] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4750),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(4750),
    [sym_operator_assignment] = STATE(4750),
    [sym_conditional] = STATE(4750),
    [sym_range] = STATE(4750),
    [sym_binary] = STATE(4750),
    [sym_unary] = STATE(4750),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__line_break] = ACTIONS(5736),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(5736),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(5736),
    [anon_sym_SEMI] = ACTIONS(5736),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2214] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4751),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(4751),
    [sym_operator_assignment] = STATE(4751),
    [sym_conditional] = STATE(4751),
    [sym_range] = STATE(4751),
    [sym_binary] = STATE(4751),
    [sym_unary] = STATE(4751),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2215] = {
    [sym__line_break] = ACTIONS(7202),
    [sym__heredoc_body_start] = ACTIONS(7202),
    [sym__element_reference_left_bracket] = ACTIONS(7202),
    [sym__infix_scope_colons] = ACTIONS(7202),
    [sym__binary_minus] = ACTIONS(7202),
    [sym__binary_star] = ACTIONS(7202),
    [ts_builtin_sym_end] = ACTIONS(7202),
    [anon_sym___END__] = ACTIONS(7202),
    [anon_sym_LBRACE] = ACTIONS(7202),
    [anon_sym_RBRACE] = ACTIONS(7202),
    [anon_sym_RPAREN] = ACTIONS(7202),
    [anon_sym_DOT] = ACTIONS(7204),
    [anon_sym_COMMA] = ACTIONS(7202),
    [anon_sym_PIPE] = ACTIONS(7204),
    [anon_sym_SEMI] = ACTIONS(7202),
    [anon_sym_STAR_STAR] = ACTIONS(7202),
    [anon_sym_AMP] = ACTIONS(7204),
    [anon_sym_LT] = ACTIONS(7204),
    [anon_sym_end] = ACTIONS(7202),
    [anon_sym_if] = ACTIONS(7202),
    [anon_sym_unless] = ACTIONS(7202),
    [anon_sym_while] = ACTIONS(7202),
    [anon_sym_until] = ACTIONS(7202),
    [anon_sym_rescue] = ACTIONS(7202),
    [anon_sym_do] = ACTIONS(7202),
    [anon_sym_when] = ACTIONS(7202),
    [anon_sym_elsif] = ACTIONS(7202),
    [anon_sym_else] = ACTIONS(7202),
    [anon_sym_then] = ACTIONS(7202),
    [anon_sym_ensure] = ACTIONS(7202),
    [anon_sym_EQ_GT] = ACTIONS(7202),
    [anon_sym_AMP_DOT] = ACTIONS(7202),
    [anon_sym_QMARK] = ACTIONS(7202),
    [anon_sym_DOT_DOT] = ACTIONS(7204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7202),
    [anon_sym_and] = ACTIONS(7202),
    [anon_sym_or] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE] = ACTIONS(7202),
    [anon_sym_AMP_AMP] = ACTIONS(7202),
    [anon_sym_LT_LT] = ACTIONS(7202),
    [anon_sym_GT_GT] = ACTIONS(7202),
    [anon_sym_EQ_EQ] = ACTIONS(7204),
    [anon_sym_BANG_EQ] = ACTIONS(7202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7202),
    [anon_sym_LT_EQ_GT] = ACTIONS(7202),
    [anon_sym_EQ_TILDE] = ACTIONS(7202),
    [anon_sym_BANG_TILDE] = ACTIONS(7202),
    [anon_sym_LT_EQ] = ACTIONS(7204),
    [anon_sym_GT] = ACTIONS(7204),
    [anon_sym_GT_EQ] = ACTIONS(7202),
    [anon_sym_CARET] = ACTIONS(7202),
    [anon_sym_PLUS] = ACTIONS(7202),
    [anon_sym_SLASH] = ACTIONS(7202),
    [anon_sym_PERCENT] = ACTIONS(7202),
    [sym_comment] = ACTIONS(87),
  },
  [2216] = {
    [sym__formal_parameter] = STATE(4753),
    [sym__simple_formal_parameter] = STATE(4753),
    [sym_destructured_parameter] = STATE(4753),
    [sym_splat_parameter] = STATE(4753),
    [sym_hash_splat_parameter] = STATE(4753),
    [sym_block_parameter] = STATE(4753),
    [sym_keyword_parameter] = STATE(4753),
    [sym_optional_parameter] = STATE(4753),
    [anon_sym_LPAREN] = ACTIONS(7206),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_comment] = ACTIONS(87),
  },
  [2217] = {
    [sym__simple_symbol] = ACTIONS(7192),
    [sym__string_start] = ACTIONS(7192),
    [sym__symbol_start] = ACTIONS(7192),
    [sym__subshell_start] = ACTIONS(7192),
    [sym__regex_start] = ACTIONS(7192),
    [sym__string_array_start] = ACTIONS(7192),
    [sym__symbol_array_start] = ACTIONS(7192),
    [sym_heredoc_beginning] = ACTIONS(7192),
    [sym__unary_minus] = ACTIONS(7192),
    [anon_sym_BEGIN] = ACTIONS(7194),
    [anon_sym_LBRACE] = ACTIONS(7192),
    [anon_sym_END] = ACTIONS(7194),
    [anon_sym_def] = ACTIONS(7194),
    [anon_sym_LPAREN] = ACTIONS(7192),
    [anon_sym_COLON_COLON] = ACTIONS(7192),
    [anon_sym_SEMI] = ACTIONS(7192),
    [anon_sym_STAR] = ACTIONS(7192),
    [anon_sym_class] = ACTIONS(7194),
    [anon_sym_module] = ACTIONS(7194),
    [anon_sym_end] = ACTIONS(7194),
    [anon_sym_return] = ACTIONS(7194),
    [anon_sym_yield] = ACTIONS(7194),
    [anon_sym_break] = ACTIONS(7194),
    [anon_sym_next] = ACTIONS(7194),
    [sym_redo] = ACTIONS(7194),
    [sym_retry] = ACTIONS(7194),
    [anon_sym_if] = ACTIONS(7194),
    [anon_sym_unless] = ACTIONS(7194),
    [anon_sym_while] = ACTIONS(7194),
    [anon_sym_until] = ACTIONS(7194),
    [anon_sym_rescue] = ACTIONS(7194),
    [anon_sym_for] = ACTIONS(7194),
    [anon_sym_case] = ACTIONS(7194),
    [anon_sym_else] = ACTIONS(7194),
    [anon_sym_begin] = ACTIONS(7194),
    [anon_sym_ensure] = ACTIONS(7194),
    [anon_sym_PLUS] = ACTIONS(7194),
    [anon_sym_defined_QMARK] = ACTIONS(7192),
    [anon_sym_not] = ACTIONS(7194),
    [anon_sym_BANG] = ACTIONS(7192),
    [anon_sym_TILDE] = ACTIONS(7192),
    [sym_constant] = ACTIONS(7194),
    [sym_identifier] = ACTIONS(7194),
    [sym_instance_variable] = ACTIONS(7192),
    [sym_class_variable] = ACTIONS(7192),
    [sym_global_variable] = ACTIONS(7192),
    [anon_sym_undef] = ACTIONS(7194),
    [anon_sym_alias] = ACTIONS(7194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(7194),
    [sym_float] = ACTIONS(7194),
    [sym_complex] = ACTIONS(7192),
    [sym_super] = ACTIONS(7194),
    [anon_sym_true] = ACTIONS(7194),
    [anon_sym_TRUE] = ACTIONS(7194),
    [anon_sym_false] = ACTIONS(7194),
    [anon_sym_FALSE] = ACTIONS(7194),
    [sym_self] = ACTIONS(7194),
    [anon_sym_nil] = ACTIONS(7194),
    [anon_sym_NIL] = ACTIONS(7194),
    [sym_character] = ACTIONS(7192),
    [anon_sym_LBRACK] = ACTIONS(7192),
    [anon_sym_DASH_GT] = ACTIONS(7192),
  },
  [2218] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4762),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(4762),
    [sym_operator_assignment] = STATE(4762),
    [sym_conditional] = STATE(4762),
    [sym_range] = STATE(4762),
    [sym_binary] = STATE(4762),
    [sym_unary] = STATE(4762),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [2219] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4766),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(4766),
    [sym_operator_assignment] = STATE(4766),
    [sym_conditional] = STATE(4766),
    [sym_range] = STATE(4766),
    [sym_binary] = STATE(4766),
    [sym_unary] = STATE(4766),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [2220] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4767),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(4767),
    [sym_operator_assignment] = STATE(4767),
    [sym_conditional] = STATE(4767),
    [sym_range] = STATE(4767),
    [sym_binary] = STATE(4767),
    [sym_unary] = STATE(4767),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2221] = {
    [sym__keyword_colon] = ACTIONS(7226),
    [sym_comment] = ACTIONS(87),
  },
  [2222] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4770),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(4770),
    [sym_operator_assignment] = STATE(4770),
    [sym_conditional] = STATE(4770),
    [sym_range] = STATE(4770),
    [sym_binary] = STATE(4770),
    [sym_unary] = STATE(4770),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [2223] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4776),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(4777),
    [sym__argument] = STATE(4778),
    [sym_splat_argument] = STATE(4778),
    [sym_hash_splat_argument] = STATE(4778),
    [sym_block_argument] = STATE(4778),
    [sym_assignment] = STATE(4776),
    [sym_operator_assignment] = STATE(4776),
    [sym_conditional] = STATE(4776),
    [sym_range] = STATE(4776),
    [sym_binary] = STATE(4776),
    [sym_unary] = STATE(4776),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4779),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4778),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(7228),
    [sym__splat_star] = ACTIONS(7230),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(7232),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(7234),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(7236),
    [sym_identifier] = ACTIONS(7236),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2224] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4776),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(4777),
    [sym__argument] = STATE(4778),
    [sym_splat_argument] = STATE(4778),
    [sym_hash_splat_argument] = STATE(4778),
    [sym_block_argument] = STATE(4778),
    [sym_assignment] = STATE(4776),
    [sym_operator_assignment] = STATE(4776),
    [sym_conditional] = STATE(4776),
    [sym_range] = STATE(4776),
    [sym_binary] = STATE(4776),
    [sym_unary] = STATE(4776),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4779),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4778),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(7228),
    [sym__splat_star] = ACTIONS(7230),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(7232),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(7234),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(7236),
    [sym_identifier] = ACTIONS(7236),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2225] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4776),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(4777),
    [sym__argument] = STATE(4778),
    [sym_splat_argument] = STATE(4778),
    [sym_hash_splat_argument] = STATE(4778),
    [sym_block_argument] = STATE(4778),
    [sym_assignment] = STATE(4776),
    [sym_operator_assignment] = STATE(4776),
    [sym_conditional] = STATE(4776),
    [sym_range] = STATE(4776),
    [sym_binary] = STATE(4776),
    [sym_unary] = STATE(4776),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4779),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4778),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(7228),
    [sym__splat_star] = ACTIONS(7230),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(7232),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(7234),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(7236),
    [sym_identifier] = ACTIONS(7236),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2226] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4776),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(4777),
    [sym__argument] = STATE(4778),
    [sym_splat_argument] = STATE(4778),
    [sym_hash_splat_argument] = STATE(4778),
    [sym_block_argument] = STATE(4778),
    [sym_assignment] = STATE(4776),
    [sym_operator_assignment] = STATE(4776),
    [sym_conditional] = STATE(4776),
    [sym_range] = STATE(4776),
    [sym_binary] = STATE(4776),
    [sym_unary] = STATE(4776),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4779),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4778),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(7228),
    [sym__splat_star] = ACTIONS(7230),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(7232),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(7234),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(7236),
    [sym_identifier] = ACTIONS(7236),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2227] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4780),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(4780),
    [sym_operator_assignment] = STATE(4780),
    [sym_conditional] = STATE(4780),
    [sym_range] = STATE(4780),
    [sym_binary] = STATE(4780),
    [sym_unary] = STATE(4780),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2228] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4781),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(4781),
    [sym_operator_assignment] = STATE(4781),
    [sym_conditional] = STATE(4781),
    [sym_range] = STATE(4781),
    [sym_binary] = STATE(4781),
    [sym_unary] = STATE(4781),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2229] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2230] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(7226),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2231] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(7250),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(7258),
    [anon_sym_or] = ACTIONS(7258),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [2232] = {
    [sym_heredoc_body] = STATE(4795),
    [aux_sym_call_repeat1] = STATE(4795),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2233] = {
    [sym_heredoc_body] = STATE(4795),
    [aux_sym_call_repeat1] = STATE(4795),
    [aux_sym_argument_list_repeat1] = STATE(4797),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(7272),
    [anon_sym_EQ] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2234] = {
    [anon_sym_EQ] = ACTIONS(7274),
    [sym_comment] = ACTIONS(87),
  },
  [2235] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7276),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7278),
    [anon_sym_DASH_EQ] = ACTIONS(7278),
    [anon_sym_STAR_EQ] = ACTIONS(7278),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7278),
    [anon_sym_SLASH_EQ] = ACTIONS(7278),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7278),
    [anon_sym_PIPE_EQ] = ACTIONS(7278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7278),
    [anon_sym_AMP_EQ] = ACTIONS(7278),
    [anon_sym_PERCENT_EQ] = ACTIONS(7278),
    [anon_sym_GT_GT_EQ] = ACTIONS(7278),
    [anon_sym_LT_LT_EQ] = ACTIONS(7278),
    [anon_sym_CARET_EQ] = ACTIONS(7278),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2236] = {
    [sym_string] = STATE(4801),
    [aux_sym_chained_string_repeat1] = STATE(4801),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(7280),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2237] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4802),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(4802),
    [sym_operator_assignment] = STATE(4802),
    [sym_conditional] = STATE(4802),
    [sym_range] = STATE(4802),
    [sym_binary] = STATE(4802),
    [sym_unary] = STATE(4802),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2238] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(731),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(4803),
    [sym__argument] = STATE(4804),
    [sym_splat_argument] = STATE(4804),
    [sym_hash_splat_argument] = STATE(4804),
    [sym_block_argument] = STATE(4804),
    [sym_assignment] = STATE(731),
    [sym_operator_assignment] = STATE(731),
    [sym_conditional] = STATE(731),
    [sym_range] = STATE(731),
    [sym_binary] = STATE(731),
    [sym_unary] = STATE(731),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(737),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(4804),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1303),
    [sym__splat_star] = ACTIONS(1305),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1327),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2239] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(731),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(4803),
    [sym__argument] = STATE(4804),
    [sym_splat_argument] = STATE(4804),
    [sym_hash_splat_argument] = STATE(4804),
    [sym_block_argument] = STATE(4804),
    [sym_assignment] = STATE(731),
    [sym_operator_assignment] = STATE(731),
    [sym_conditional] = STATE(731),
    [sym_range] = STATE(731),
    [sym_binary] = STATE(731),
    [sym_unary] = STATE(731),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(737),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(4804),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1303),
    [sym__splat_star] = ACTIONS(1305),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1327),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2240] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(731),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(4803),
    [sym__argument] = STATE(4804),
    [sym_splat_argument] = STATE(4804),
    [sym_hash_splat_argument] = STATE(4804),
    [sym_block_argument] = STATE(4804),
    [sym_assignment] = STATE(731),
    [sym_operator_assignment] = STATE(731),
    [sym_conditional] = STATE(731),
    [sym_range] = STATE(731),
    [sym_binary] = STATE(731),
    [sym_unary] = STATE(731),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(737),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(4804),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1303),
    [sym__splat_star] = ACTIONS(1305),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1327),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2241] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(731),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(4803),
    [sym__argument] = STATE(4804),
    [sym_splat_argument] = STATE(4804),
    [sym_hash_splat_argument] = STATE(4804),
    [sym_block_argument] = STATE(4804),
    [sym_assignment] = STATE(731),
    [sym_operator_assignment] = STATE(731),
    [sym_conditional] = STATE(731),
    [sym_range] = STATE(731),
    [sym_binary] = STATE(731),
    [sym_unary] = STATE(731),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(737),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(4804),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1303),
    [sym__splat_star] = ACTIONS(1305),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1327),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2242] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(4805),
    [sym_operator_assignment] = STATE(4805),
    [sym_conditional] = STATE(4805),
    [sym_range] = STATE(4805),
    [sym_binary] = STATE(4805),
    [sym_unary] = STATE(4805),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2243] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4806),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(4806),
    [sym_operator_assignment] = STATE(4806),
    [sym_conditional] = STATE(4806),
    [sym_range] = STATE(4806),
    [sym_binary] = STATE(4806),
    [sym_unary] = STATE(4806),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2244] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2245] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7294),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [2246] = {
    [anon_sym_EQ] = ACTIONS(7312),
    [sym_comment] = ACTIONS(87),
  },
  [2247] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7314),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7316),
    [anon_sym_DASH_EQ] = ACTIONS(7316),
    [anon_sym_STAR_EQ] = ACTIONS(7316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7316),
    [anon_sym_SLASH_EQ] = ACTIONS(7316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7316),
    [anon_sym_PIPE_EQ] = ACTIONS(7316),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7316),
    [anon_sym_AMP_EQ] = ACTIONS(7316),
    [anon_sym_PERCENT_EQ] = ACTIONS(7316),
    [anon_sym_GT_GT_EQ] = ACTIONS(7316),
    [anon_sym_LT_LT_EQ] = ACTIONS(7316),
    [anon_sym_CARET_EQ] = ACTIONS(7316),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2248] = {
    [sym_string] = STATE(4821),
    [aux_sym_chained_string_repeat1] = STATE(4821),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2249] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7294),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [2250] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [2251] = {
    [sym_string] = STATE(2293),
    [aux_sym_chained_string_repeat1] = STATE(2293),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2252] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4822),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(4822),
    [sym_operator_assignment] = STATE(4822),
    [sym_conditional] = STATE(4822),
    [sym_range] = STATE(4822),
    [sym_binary] = STATE(4822),
    [sym_unary] = STATE(4822),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2253] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7294),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [2254] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4823),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4823),
    [sym_operator_assignment] = STATE(4823),
    [sym_conditional] = STATE(4823),
    [sym_range] = STATE(4823),
    [sym_binary] = STATE(4823),
    [sym_unary] = STATE(4823),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2255] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4824),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4824),
    [sym_operator_assignment] = STATE(4824),
    [sym_conditional] = STATE(4824),
    [sym_range] = STATE(4824),
    [sym_binary] = STATE(4824),
    [sym_unary] = STATE(4824),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2256] = {
    [sym__keyword_colon] = ACTIONS(7318),
    [sym_comment] = ACTIONS(87),
  },
  [2257] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4826),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4826),
    [sym_operator_assignment] = STATE(4826),
    [sym_conditional] = STATE(4826),
    [sym_range] = STATE(4826),
    [sym_binary] = STATE(4826),
    [sym_unary] = STATE(4826),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2258] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(7318),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2259] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [2260] = {
    [sym_heredoc_body] = STATE(4828),
    [aux_sym_call_repeat1] = STATE(4828),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2261] = {
    [sym_heredoc_body] = STATE(4828),
    [aux_sym_call_repeat1] = STATE(4828),
    [aux_sym_argument_list_repeat1] = STATE(4830),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(7320),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2262] = {
    [sym_string] = STATE(2293),
    [aux_sym_chained_string_repeat1] = STATE(2293),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(7322),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2263] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [2264] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [2265] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4832),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4832),
    [sym_operator_assignment] = STATE(4832),
    [sym_conditional] = STATE(4832),
    [sym_range] = STATE(4832),
    [sym_binary] = STATE(4832),
    [sym_unary] = STATE(4832),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2266] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4833),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4833),
    [sym_operator_assignment] = STATE(4833),
    [sym_conditional] = STATE(4833),
    [sym_range] = STATE(4833),
    [sym_binary] = STATE(4833),
    [sym_unary] = STATE(4833),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2267] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4834),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4834),
    [sym_operator_assignment] = STATE(4834),
    [sym_conditional] = STATE(4834),
    [sym_range] = STATE(4834),
    [sym_binary] = STATE(4834),
    [sym_unary] = STATE(4834),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2268] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4835),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4835),
    [sym_operator_assignment] = STATE(4835),
    [sym_conditional] = STATE(4835),
    [sym_range] = STATE(4835),
    [sym_binary] = STATE(4835),
    [sym_unary] = STATE(4835),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2269] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4836),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4836),
    [sym_operator_assignment] = STATE(4836),
    [sym_conditional] = STATE(4836),
    [sym_range] = STATE(4836),
    [sym_binary] = STATE(4836),
    [sym_unary] = STATE(4836),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2270] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4837),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4837),
    [sym_operator_assignment] = STATE(4837),
    [sym_conditional] = STATE(4837),
    [sym_range] = STATE(4837),
    [sym_binary] = STATE(4837),
    [sym_unary] = STATE(4837),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2271] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4838),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(4838),
    [sym_operator_assignment] = STATE(4838),
    [sym_conditional] = STATE(4838),
    [sym_range] = STATE(4838),
    [sym_binary] = STATE(4838),
    [sym_unary] = STATE(4838),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2272] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4839),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(4839),
    [sym_operator_assignment] = STATE(4839),
    [sym_conditional] = STATE(4839),
    [sym_range] = STATE(4839),
    [sym_binary] = STATE(4839),
    [sym_unary] = STATE(4839),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2273] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4840),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4840),
    [sym_operator_assignment] = STATE(4840),
    [sym_conditional] = STATE(4840),
    [sym_range] = STATE(4840),
    [sym_binary] = STATE(4840),
    [sym_unary] = STATE(4840),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2274] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4841),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4841),
    [sym_operator_assignment] = STATE(4841),
    [sym_conditional] = STATE(4841),
    [sym_range] = STATE(4841),
    [sym_binary] = STATE(4841),
    [sym_unary] = STATE(4841),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2275] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4842),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4842),
    [sym_operator_assignment] = STATE(4842),
    [sym_conditional] = STATE(4842),
    [sym_range] = STATE(4842),
    [sym_binary] = STATE(4842),
    [sym_unary] = STATE(4842),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2276] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4843),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4843),
    [sym_operator_assignment] = STATE(4843),
    [sym_conditional] = STATE(4843),
    [sym_range] = STATE(4843),
    [sym_binary] = STATE(4843),
    [sym_unary] = STATE(4843),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2277] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4844),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4844),
    [sym_operator_assignment] = STATE(4844),
    [sym_conditional] = STATE(4844),
    [sym_range] = STATE(4844),
    [sym_binary] = STATE(4844),
    [sym_unary] = STATE(4844),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2278] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4845),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4845),
    [sym_operator_assignment] = STATE(4845),
    [sym_conditional] = STATE(4845),
    [sym_range] = STATE(4845),
    [sym_binary] = STATE(4845),
    [sym_unary] = STATE(4845),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2279] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4846),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4846),
    [sym_operator_assignment] = STATE(4846),
    [sym_conditional] = STATE(4846),
    [sym_range] = STATE(4846),
    [sym_binary] = STATE(4846),
    [sym_unary] = STATE(4846),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2280] = {
    [sym__keyword_colon] = ACTIONS(7324),
    [sym_comment] = ACTIONS(87),
  },
  [2281] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4848),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4848),
    [sym_operator_assignment] = STATE(4848),
    [sym_conditional] = STATE(4848),
    [sym_range] = STATE(4848),
    [sym_binary] = STATE(4848),
    [sym_unary] = STATE(4848),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2282] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(7324),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2283] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [2284] = {
    [sym_heredoc_body] = STATE(4850),
    [aux_sym_call_repeat1] = STATE(4850),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [2285] = {
    [sym_heredoc_body] = STATE(4850),
    [aux_sym_call_repeat1] = STATE(4850),
    [aux_sym_argument_list_repeat1] = STATE(4852),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(7326),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [2286] = {
    [sym_string] = STATE(2353),
    [aux_sym_chained_string_repeat1] = STATE(2353),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(7328),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2287] = {
    [sym_heredoc_body] = STATE(4854),
    [aux_sym_call_repeat1] = STATE(4854),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2288] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(731),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(731),
    [sym_operator_assignment] = STATE(731),
    [sym_conditional] = STATE(731),
    [sym_range] = STATE(731),
    [sym_binary] = STATE(731),
    [sym_unary] = STATE(731),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(737),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(4855),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(1303),
    [sym__splat_star] = ACTIONS(1305),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__identifier_hash_key] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(7330),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1327),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2289] = {
    [sym_heredoc_body] = STATE(4856),
    [aux_sym_call_repeat1] = STATE(4856),
    [aux_sym_argument_list_repeat1] = STATE(4857),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(3706),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2290] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4858),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_splat_argument] = STATE(4859),
    [sym_assignment] = STATE(4858),
    [sym_operator_assignment] = STATE(4858),
    [sym_conditional] = STATE(4858),
    [sym_range] = STATE(4858),
    [sym_binary] = STATE(4858),
    [sym_unary] = STATE(4858),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(4859),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(3660),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2291] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4860),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(4860),
    [sym_operator_assignment] = STATE(4860),
    [sym_conditional] = STATE(4860),
    [sym_range] = STATE(4860),
    [sym_binary] = STATE(4860),
    [sym_unary] = STATE(4860),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2292] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4861),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(4861),
    [sym_operator_assignment] = STATE(4861),
    [sym_conditional] = STATE(4861),
    [sym_range] = STATE(4861),
    [sym_binary] = STATE(4861),
    [sym_unary] = STATE(4861),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2293] = {
    [sym_string] = STATE(4862),
    [aux_sym_chained_string_repeat1] = STATE(4862),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [2294] = {
    [aux_sym_undef_repeat1] = STATE(4863),
    [sym__line_break] = ACTIONS(5442),
    [sym__heredoc_body_start] = ACTIONS(5442),
    [anon_sym_RPAREN] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym_if] = ACTIONS(5442),
    [anon_sym_unless] = ACTIONS(5442),
    [anon_sym_while] = ACTIONS(5442),
    [anon_sym_until] = ACTIONS(5442),
    [anon_sym_rescue] = ACTIONS(5442),
    [sym_comment] = ACTIONS(87),
  },
  [2295] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(5770),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2296] = {
    [sym_heredoc_body] = STATE(4864),
    [sym__terminator] = STATE(4864),
    [aux_sym__statements_repeat1] = STATE(2296),
    [sym__line_break] = ACTIONS(7332),
    [sym__heredoc_body_start] = ACTIONS(5777),
    [anon_sym_RPAREN] = ACTIONS(5768),
    [anon_sym_SEMI] = ACTIONS(7332),
    [sym_comment] = ACTIONS(87),
  },
  [2297] = {
    [sym__line_break] = ACTIONS(5780),
    [sym__heredoc_body_start] = ACTIONS(5780),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5780),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_unless] = ACTIONS(5780),
    [anon_sym_while] = ACTIONS(5780),
    [anon_sym_until] = ACTIONS(5780),
    [anon_sym_rescue] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(1365),
    [anon_sym_or] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2298] = {
    [sym__line_break] = ACTIONS(5782),
    [sym__heredoc_body_start] = ACTIONS(5782),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(5782),
    [anon_sym_unless] = ACTIONS(5782),
    [anon_sym_while] = ACTIONS(5782),
    [anon_sym_until] = ACTIONS(5782),
    [anon_sym_rescue] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(1365),
    [anon_sym_or] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2299] = {
    [sym__line_break] = ACTIONS(5784),
    [sym__heredoc_body_start] = ACTIONS(5784),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5784),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_unless] = ACTIONS(5784),
    [anon_sym_while] = ACTIONS(5784),
    [anon_sym_until] = ACTIONS(5784),
    [anon_sym_rescue] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(1365),
    [anon_sym_or] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2300] = {
    [sym__line_break] = ACTIONS(5786),
    [sym__heredoc_body_start] = ACTIONS(5786),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(5786),
    [anon_sym_unless] = ACTIONS(5786),
    [anon_sym_while] = ACTIONS(5786),
    [anon_sym_until] = ACTIONS(5786),
    [anon_sym_rescue] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(1365),
    [anon_sym_or] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2301] = {
    [sym__line_break] = ACTIONS(5788),
    [sym__heredoc_body_start] = ACTIONS(5788),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5788),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(5788),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(5788),
    [anon_sym_unless] = ACTIONS(5788),
    [anon_sym_while] = ACTIONS(5788),
    [anon_sym_until] = ACTIONS(5788),
    [anon_sym_rescue] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(1365),
    [anon_sym_or] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2302] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2303] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [2304] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2305] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [2306] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2307] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2308] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(7335),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [2309] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2310] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2311] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2312] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2313] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2314] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(4866),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(4866),
    [sym_operator_assignment] = STATE(4866),
    [sym_conditional] = STATE(4866),
    [sym_range] = STATE(4866),
    [sym_binary] = STATE(4866),
    [sym_unary] = STATE(4866),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2315] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(774),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(776),
    [sym__argument] = STATE(777),
    [sym_splat_argument] = STATE(777),
    [sym_hash_splat_argument] = STATE(777),
    [sym_block_argument] = STATE(777),
    [sym_assignment] = STATE(774),
    [sym_operator_assignment] = STATE(774),
    [sym_conditional] = STATE(774),
    [sym_range] = STATE(774),
    [sym_binary] = STATE(774),
    [sym_unary] = STATE(774),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(780),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(777),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1379),
    [sym__splat_star] = ACTIONS(1381),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1403),
    [sym_identifier] = ACTIONS(1403),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2316] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(774),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(776),
    [sym__argument] = STATE(777),
    [sym_splat_argument] = STATE(777),
    [sym_hash_splat_argument] = STATE(777),
    [sym_block_argument] = STATE(777),
    [sym_assignment] = STATE(774),
    [sym_operator_assignment] = STATE(774),
    [sym_conditional] = STATE(774),
    [sym_range] = STATE(774),
    [sym_binary] = STATE(774),
    [sym_unary] = STATE(774),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(780),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(777),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1379),
    [sym__splat_star] = ACTIONS(1381),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1403),
    [sym_identifier] = ACTIONS(1403),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2317] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(774),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(776),
    [sym__argument] = STATE(777),
    [sym_splat_argument] = STATE(777),
    [sym_hash_splat_argument] = STATE(777),
    [sym_block_argument] = STATE(777),
    [sym_assignment] = STATE(774),
    [sym_operator_assignment] = STATE(774),
    [sym_conditional] = STATE(774),
    [sym_range] = STATE(774),
    [sym_binary] = STATE(774),
    [sym_unary] = STATE(774),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(780),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(777),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1379),
    [sym__splat_star] = ACTIONS(1381),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1403),
    [sym_identifier] = ACTIONS(1403),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2318] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(774),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(776),
    [sym__argument] = STATE(777),
    [sym_splat_argument] = STATE(777),
    [sym_hash_splat_argument] = STATE(777),
    [sym_block_argument] = STATE(777),
    [sym_assignment] = STATE(774),
    [sym_operator_assignment] = STATE(774),
    [sym_conditional] = STATE(774),
    [sym_range] = STATE(774),
    [sym_binary] = STATE(774),
    [sym_unary] = STATE(774),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(780),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(777),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1379),
    [sym__splat_star] = ACTIONS(1381),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1403),
    [sym_identifier] = ACTIONS(1403),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2319] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(4867),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(4867),
    [sym_operator_assignment] = STATE(4867),
    [sym_conditional] = STATE(4867),
    [sym_range] = STATE(4867),
    [sym_binary] = STATE(4867),
    [sym_unary] = STATE(4867),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2320] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(4868),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(4868),
    [sym_operator_assignment] = STATE(4868),
    [sym_conditional] = STATE(4868),
    [sym_range] = STATE(4868),
    [sym_binary] = STATE(4868),
    [sym_unary] = STATE(4868),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2321] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2322] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7349),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [2323] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(774),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(776),
    [sym__argument] = STATE(777),
    [sym_splat_argument] = STATE(777),
    [sym_hash_splat_argument] = STATE(777),
    [sym_block_argument] = STATE(777),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(774),
    [sym_operator_assignment] = STATE(774),
    [sym_conditional] = STATE(774),
    [sym_range] = STATE(774),
    [sym_binary] = STATE(774),
    [sym_unary] = STATE(774),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(780),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(777),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1379),
    [sym__splat_star] = ACTIONS(1381),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1403),
    [sym_identifier] = ACTIONS(1403),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2324] = {
    [anon_sym_EQ] = ACTIONS(7365),
    [sym_comment] = ACTIONS(87),
  },
  [2325] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7367),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7369),
    [anon_sym_DASH_EQ] = ACTIONS(7369),
    [anon_sym_STAR_EQ] = ACTIONS(7369),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7369),
    [anon_sym_SLASH_EQ] = ACTIONS(7369),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7369),
    [anon_sym_PIPE_EQ] = ACTIONS(7369),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7369),
    [anon_sym_AMP_EQ] = ACTIONS(7369),
    [anon_sym_PERCENT_EQ] = ACTIONS(7369),
    [anon_sym_GT_GT_EQ] = ACTIONS(7369),
    [anon_sym_LT_LT_EQ] = ACTIONS(7369),
    [anon_sym_CARET_EQ] = ACTIONS(7369),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2326] = {
    [sym_string] = STATE(4883),
    [aux_sym_chained_string_repeat1] = STATE(4883),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2327] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7349),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [2328] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [2329] = {
    [sym_string] = STATE(2353),
    [aux_sym_chained_string_repeat1] = STATE(2353),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2330] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(4884),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(4884),
    [sym_operator_assignment] = STATE(4884),
    [sym_conditional] = STATE(4884),
    [sym_range] = STATE(4884),
    [sym_binary] = STATE(4884),
    [sym_unary] = STATE(4884),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2331] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7349),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [2332] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [2333] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [2334] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4885),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4885),
    [sym_operator_assignment] = STATE(4885),
    [sym_conditional] = STATE(4885),
    [sym_range] = STATE(4885),
    [sym_binary] = STATE(4885),
    [sym_unary] = STATE(4885),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2335] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4886),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4886),
    [sym_operator_assignment] = STATE(4886),
    [sym_conditional] = STATE(4886),
    [sym_range] = STATE(4886),
    [sym_binary] = STATE(4886),
    [sym_unary] = STATE(4886),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2336] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4887),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4887),
    [sym_operator_assignment] = STATE(4887),
    [sym_conditional] = STATE(4887),
    [sym_range] = STATE(4887),
    [sym_binary] = STATE(4887),
    [sym_unary] = STATE(4887),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2337] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4888),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4888),
    [sym_operator_assignment] = STATE(4888),
    [sym_conditional] = STATE(4888),
    [sym_range] = STATE(4888),
    [sym_binary] = STATE(4888),
    [sym_unary] = STATE(4888),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2338] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4889),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4889),
    [sym_operator_assignment] = STATE(4889),
    [sym_conditional] = STATE(4889),
    [sym_range] = STATE(4889),
    [sym_binary] = STATE(4889),
    [sym_unary] = STATE(4889),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2339] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4890),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4890),
    [sym_operator_assignment] = STATE(4890),
    [sym_conditional] = STATE(4890),
    [sym_range] = STATE(4890),
    [sym_binary] = STATE(4890),
    [sym_unary] = STATE(4890),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2340] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(4891),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(4891),
    [sym_operator_assignment] = STATE(4891),
    [sym_conditional] = STATE(4891),
    [sym_range] = STATE(4891),
    [sym_binary] = STATE(4891),
    [sym_unary] = STATE(4891),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2341] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4892),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(4892),
    [sym_operator_assignment] = STATE(4892),
    [sym_conditional] = STATE(4892),
    [sym_range] = STATE(4892),
    [sym_binary] = STATE(4892),
    [sym_unary] = STATE(4892),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2342] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4893),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4893),
    [sym_operator_assignment] = STATE(4893),
    [sym_conditional] = STATE(4893),
    [sym_range] = STATE(4893),
    [sym_binary] = STATE(4893),
    [sym_unary] = STATE(4893),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2343] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4894),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4894),
    [sym_operator_assignment] = STATE(4894),
    [sym_conditional] = STATE(4894),
    [sym_range] = STATE(4894),
    [sym_binary] = STATE(4894),
    [sym_unary] = STATE(4894),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2344] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4895),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4895),
    [sym_operator_assignment] = STATE(4895),
    [sym_conditional] = STATE(4895),
    [sym_range] = STATE(4895),
    [sym_binary] = STATE(4895),
    [sym_unary] = STATE(4895),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2345] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4896),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4896),
    [sym_operator_assignment] = STATE(4896),
    [sym_conditional] = STATE(4896),
    [sym_range] = STATE(4896),
    [sym_binary] = STATE(4896),
    [sym_unary] = STATE(4896),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2346] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4897),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4897),
    [sym_operator_assignment] = STATE(4897),
    [sym_conditional] = STATE(4897),
    [sym_range] = STATE(4897),
    [sym_binary] = STATE(4897),
    [sym_unary] = STATE(4897),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2347] = {
    [sym_heredoc_body] = STATE(4898),
    [aux_sym_call_repeat1] = STATE(4898),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [2348] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(774),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(774),
    [sym_operator_assignment] = STATE(774),
    [sym_conditional] = STATE(774),
    [sym_range] = STATE(774),
    [sym_binary] = STATE(774),
    [sym_unary] = STATE(774),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(780),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(4899),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(1379),
    [sym__splat_star] = ACTIONS(1381),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__identifier_hash_key] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(7371),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1403),
    [sym_identifier] = ACTIONS(1403),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2349] = {
    [sym_heredoc_body] = STATE(4900),
    [aux_sym_call_repeat1] = STATE(4900),
    [aux_sym_argument_list_repeat1] = STATE(4901),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [2350] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4902),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_splat_argument] = STATE(4903),
    [sym_assignment] = STATE(4902),
    [sym_operator_assignment] = STATE(4902),
    [sym_conditional] = STATE(4902),
    [sym_range] = STATE(4902),
    [sym_binary] = STATE(4902),
    [sym_unary] = STATE(4902),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(4903),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(3700),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2351] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4904),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(4904),
    [sym_operator_assignment] = STATE(4904),
    [sym_conditional] = STATE(4904),
    [sym_range] = STATE(4904),
    [sym_binary] = STATE(4904),
    [sym_unary] = STATE(4904),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2352] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(4905),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(4905),
    [sym_operator_assignment] = STATE(4905),
    [sym_conditional] = STATE(4905),
    [sym_range] = STATE(4905),
    [sym_binary] = STATE(4905),
    [sym_unary] = STATE(4905),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2353] = {
    [sym_string] = STATE(4906),
    [aux_sym_chained_string_repeat1] = STATE(4906),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [2354] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4907),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(4907),
    [sym_operator_assignment] = STATE(4907),
    [sym_conditional] = STATE(4907),
    [sym_range] = STATE(4907),
    [sym_binary] = STATE(4907),
    [sym_unary] = STATE(4907),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2355] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4908),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(4908),
    [sym_operator_assignment] = STATE(4908),
    [sym_conditional] = STATE(4908),
    [sym_range] = STATE(4908),
    [sym_binary] = STATE(4908),
    [sym_unary] = STATE(4908),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2356] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4909),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(4909),
    [sym_operator_assignment] = STATE(4909),
    [sym_conditional] = STATE(4909),
    [sym_range] = STATE(4909),
    [sym_binary] = STATE(4909),
    [sym_unary] = STATE(4909),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2357] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4910),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(4910),
    [sym_operator_assignment] = STATE(4910),
    [sym_conditional] = STATE(4910),
    [sym_range] = STATE(4910),
    [sym_binary] = STATE(4910),
    [sym_unary] = STATE(4910),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2358] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2359] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(7385),
    [anon_sym_DOT_DOT] = ACTIONS(7387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7389),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7391),
    [anon_sym_AMP_AMP] = ACTIONS(7391),
    [anon_sym_LT_LT] = ACTIONS(7393),
    [anon_sym_GT_GT] = ACTIONS(7393),
    [anon_sym_EQ_EQ] = ACTIONS(7395),
    [anon_sym_BANG_EQ] = ACTIONS(7391),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7391),
    [anon_sym_LT_EQ_GT] = ACTIONS(7391),
    [anon_sym_EQ_TILDE] = ACTIONS(7391),
    [anon_sym_BANG_TILDE] = ACTIONS(7391),
    [anon_sym_LT_EQ] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_GT_EQ] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7399),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [2360] = {
    [aux_sym_exceptions_repeat1] = STATE(4924),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [2361] = {
    [anon_sym_EQ] = ACTIONS(7405),
    [sym_comment] = ACTIONS(87),
  },
  [2362] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7407),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7409),
    [anon_sym_DASH_EQ] = ACTIONS(7409),
    [anon_sym_STAR_EQ] = ACTIONS(7409),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7409),
    [anon_sym_SLASH_EQ] = ACTIONS(7409),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7409),
    [anon_sym_PIPE_EQ] = ACTIONS(7409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7409),
    [anon_sym_AMP_EQ] = ACTIONS(7409),
    [anon_sym_PERCENT_EQ] = ACTIONS(7409),
    [anon_sym_GT_GT_EQ] = ACTIONS(7409),
    [anon_sym_LT_LT_EQ] = ACTIONS(7409),
    [anon_sym_CARET_EQ] = ACTIONS(7409),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2363] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [2364] = {
    [sym_string] = STATE(2364),
    [aux_sym_chained_string_repeat1] = STATE(2364),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [2365] = {
    [sym__string_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(87),
  },
  [2366] = {
    [sym__element_reference_left_bracket] = ACTIONS(2941),
    [sym__infix_scope_colons] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2941),
    [anon_sym_AMP_DOT] = ACTIONS(2941),
    [sym_comment] = ACTIONS(87),
  },
  [2367] = {
    [sym__element_reference_left_bracket] = ACTIONS(2945),
    [sym__infix_scope_colons] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2945),
    [anon_sym_AMP_DOT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(87),
  },
  [2368] = {
    [sym__element_reference_left_bracket] = ACTIONS(2949),
    [sym__infix_scope_colons] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2949),
    [anon_sym_AMP_DOT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(87),
  },
  [2369] = {
    [sym__element_reference_left_bracket] = ACTIONS(2955),
    [sym__infix_scope_colons] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_AMP_DOT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(87),
  },
  [2370] = {
    [sym__string_end] = ACTIONS(7411),
    [sym_comment] = ACTIONS(87),
  },
  [2371] = {
    [aux_sym_string_array_repeat1] = STATE(4930),
    [sym__string_end] = ACTIONS(7413),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(7415),
  },
  [2372] = {
    [sym__element_reference_left_bracket] = ACTIONS(2965),
    [sym__infix_scope_colons] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_AMP_DOT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(87),
  },
  [2373] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(7417),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [2374] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(7417),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(7419),
  },
  [2375] = {
    [sym__element_reference_left_bracket] = ACTIONS(2984),
    [sym__infix_scope_colons] = ACTIONS(2984),
    [anon_sym_DOT] = ACTIONS(2984),
    [anon_sym_AMP_DOT] = ACTIONS(2984),
    [sym_comment] = ACTIONS(87),
  },
  [2376] = {
    [sym__string_end] = ACTIONS(7421),
    [sym_comment] = ACTIONS(87),
  },
  [2377] = {
    [aux_sym_symbol_array_repeat1] = STATE(4936),
    [sym__string_end] = ACTIONS(7423),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(7425),
  },
  [2378] = {
    [sym__element_reference_left_bracket] = ACTIONS(2994),
    [sym__infix_scope_colons] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2994),
    [anon_sym_AMP_DOT] = ACTIONS(2994),
    [sym_comment] = ACTIONS(87),
  },
  [2379] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(7427),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [2380] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(7427),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(7429),
  },
  [2381] = {
    [sym__element_reference_left_bracket] = ACTIONS(3480),
    [sym__infix_scope_colons] = ACTIONS(3480),
    [anon_sym_DOT] = ACTIONS(3480),
    [anon_sym_AMP_DOT] = ACTIONS(3480),
    [sym_comment] = ACTIONS(87),
  },
  [2382] = {
    [anon_sym_RBRACE] = ACTIONS(7431),
    [sym_comment] = ACTIONS(87),
  },
  [2383] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(7433),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(3534),
    [anon_sym_or] = ACTIONS(3534),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [2384] = {
    [sym__method_rest] = STATE(4941),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(806),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [2385] = {
    [sym__statements] = STATE(836),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(837),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(838),
    [sym_rescue] = STATE(839),
    [sym__body_statement] = STATE(4942),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7435),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2386] = {
    [sym__element_reference_left_bracket] = ACTIONS(3716),
    [sym__infix_scope_colons] = ACTIONS(3716),
    [anon_sym_DOT] = ACTIONS(3716),
    [anon_sym_AMP_DOT] = ACTIONS(3716),
    [sym_comment] = ACTIONS(87),
  },
  [2387] = {
    [sym_heredoc_body] = STATE(4943),
    [sym__terminator] = STATE(4943),
    [sym__line_break] = ACTIONS(7437),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(7437),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [2388] = {
    [sym_heredoc_body] = STATE(4944),
    [sym__terminator] = STATE(4944),
    [sym__line_break] = ACTIONS(7439),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(7439),
    [sym_comment] = ACTIONS(87),
  },
  [2389] = {
    [sym__statements] = STATE(836),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(837),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(838),
    [sym_rescue] = STATE(839),
    [sym__body_statement] = STATE(4945),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7441),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2390] = {
    [sym__element_reference_left_bracket] = ACTIONS(4122),
    [sym__infix_scope_colons] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4122),
    [anon_sym_AMP_DOT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(87),
  },
  [2391] = {
    [sym__statements] = STATE(836),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(837),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(838),
    [sym_rescue] = STATE(839),
    [sym__body_statement] = STATE(4946),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7443),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2392] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4947),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(4947),
    [sym_operator_assignment] = STATE(4947),
    [sym_conditional] = STATE(4947),
    [sym_range] = STATE(4947),
    [sym_binary] = STATE(4947),
    [sym_unary] = STATE(4947),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2393] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4953),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(4954),
    [sym__argument] = STATE(4955),
    [sym_splat_argument] = STATE(4955),
    [sym_hash_splat_argument] = STATE(4955),
    [sym_block_argument] = STATE(4955),
    [sym_assignment] = STATE(4953),
    [sym_operator_assignment] = STATE(4953),
    [sym_conditional] = STATE(4953),
    [sym_range] = STATE(4953),
    [sym_binary] = STATE(4953),
    [sym_unary] = STATE(4953),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4956),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4955),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(7445),
    [sym__splat_star] = ACTIONS(7447),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(7451),
    [sym_identifier] = ACTIONS(7451),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2394] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4953),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(4954),
    [sym__argument] = STATE(4955),
    [sym_splat_argument] = STATE(4955),
    [sym_hash_splat_argument] = STATE(4955),
    [sym_block_argument] = STATE(4955),
    [sym_assignment] = STATE(4953),
    [sym_operator_assignment] = STATE(4953),
    [sym_conditional] = STATE(4953),
    [sym_range] = STATE(4953),
    [sym_binary] = STATE(4953),
    [sym_unary] = STATE(4953),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4956),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4955),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(7445),
    [sym__splat_star] = ACTIONS(7447),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(7451),
    [sym_identifier] = ACTIONS(7451),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2395] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4953),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(4954),
    [sym__argument] = STATE(4955),
    [sym_splat_argument] = STATE(4955),
    [sym_hash_splat_argument] = STATE(4955),
    [sym_block_argument] = STATE(4955),
    [sym_assignment] = STATE(4953),
    [sym_operator_assignment] = STATE(4953),
    [sym_conditional] = STATE(4953),
    [sym_range] = STATE(4953),
    [sym_binary] = STATE(4953),
    [sym_unary] = STATE(4953),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4956),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4955),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(7445),
    [sym__splat_star] = ACTIONS(7447),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(7451),
    [sym_identifier] = ACTIONS(7451),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2396] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4953),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(4954),
    [sym__argument] = STATE(4955),
    [sym_splat_argument] = STATE(4955),
    [sym_hash_splat_argument] = STATE(4955),
    [sym_block_argument] = STATE(4955),
    [sym_assignment] = STATE(4953),
    [sym_operator_assignment] = STATE(4953),
    [sym_conditional] = STATE(4953),
    [sym_range] = STATE(4953),
    [sym_binary] = STATE(4953),
    [sym_unary] = STATE(4953),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4956),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4955),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(7445),
    [sym__splat_star] = ACTIONS(7447),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(7451),
    [sym_identifier] = ACTIONS(7451),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2397] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4957),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(4957),
    [sym_operator_assignment] = STATE(4957),
    [sym_conditional] = STATE(4957),
    [sym_range] = STATE(4957),
    [sym_binary] = STATE(4957),
    [sym_unary] = STATE(4957),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2398] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4958),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(4958),
    [sym_operator_assignment] = STATE(4958),
    [sym_conditional] = STATE(4958),
    [sym_range] = STATE(4958),
    [sym_binary] = STATE(4958),
    [sym_unary] = STATE(4958),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2399] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2400] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(7471),
    [anon_sym_or] = ACTIONS(7471),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [2401] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4976),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(1936),
    [sym__argument_list_with_parens] = STATE(4977),
    [sym__argument] = STATE(4978),
    [sym_splat_argument] = STATE(4978),
    [sym_hash_splat_argument] = STATE(4978),
    [sym_block_argument] = STATE(4978),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(4976),
    [sym_operator_assignment] = STATE(4976),
    [sym_conditional] = STATE(4976),
    [sym_range] = STATE(4976),
    [sym_binary] = STATE(4976),
    [sym_unary] = STATE(4976),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4979),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4978),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(7485),
    [sym__splat_star] = ACTIONS(7487),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(7491),
    [sym_identifier] = ACTIONS(7491),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2402] = {
    [anon_sym_EQ] = ACTIONS(7493),
    [sym_comment] = ACTIONS(87),
  },
  [2403] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7495),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7497),
    [anon_sym_DASH_EQ] = ACTIONS(7497),
    [anon_sym_STAR_EQ] = ACTIONS(7497),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7497),
    [anon_sym_SLASH_EQ] = ACTIONS(7497),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7497),
    [anon_sym_PIPE_EQ] = ACTIONS(7497),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7497),
    [anon_sym_AMP_EQ] = ACTIONS(7497),
    [anon_sym_PERCENT_EQ] = ACTIONS(7497),
    [anon_sym_GT_GT_EQ] = ACTIONS(7497),
    [anon_sym_LT_LT_EQ] = ACTIONS(7497),
    [anon_sym_CARET_EQ] = ACTIONS(7497),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2404] = {
    [sym_string] = STATE(4982),
    [aux_sym_chained_string_repeat1] = STATE(4982),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2405] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(7471),
    [anon_sym_or] = ACTIONS(7471),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [2406] = {
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4198),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_EQ] = ACTIONS(4198),
    [anon_sym_in] = ACTIONS(4198),
    [anon_sym_do] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
  },
  [2407] = {
    [sym_heredoc_body] = STATE(4984),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(7499),
    [sym_comment] = ACTIONS(87),
  },
  [2408] = {
    [anon_sym_RPAREN] = ACTIONS(7499),
    [sym_comment] = ACTIONS(87),
  },
  [2409] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4985),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(4985),
    [sym_operator_assignment] = STATE(4985),
    [sym_conditional] = STATE(4985),
    [sym_range] = STATE(4985),
    [sym_binary] = STATE(4985),
    [sym_unary] = STATE(4985),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2410] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(7471),
    [anon_sym_or] = ACTIONS(7471),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [2411] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4986),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(4986),
    [sym_operator_assignment] = STATE(4986),
    [sym_conditional] = STATE(4986),
    [sym_range] = STATE(4986),
    [sym_binary] = STATE(4986),
    [sym_unary] = STATE(4986),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2412] = {
    [sym_interpolation] = STATE(4988),
    [aux_sym_heredoc_body_repeat1] = STATE(4988),
    [sym__heredoc_content] = ACTIONS(7501),
    [sym_heredoc_end] = ACTIONS(7503),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(7501),
  },
  [2413] = {
    [sym_heredoc_body] = STATE(4989),
    [aux_sym_call_repeat1] = STATE(4989),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2414] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(821),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym__argument] = STATE(4990),
    [sym_splat_argument] = STATE(4990),
    [sym_hash_splat_argument] = STATE(4990),
    [sym_block_argument] = STATE(4990),
    [sym_assignment] = STATE(821),
    [sym_operator_assignment] = STATE(821),
    [sym_conditional] = STATE(821),
    [sym_range] = STATE(821),
    [sym_binary] = STATE(821),
    [sym_unary] = STATE(821),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(825),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(4991),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4990),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1455),
    [sym__splat_star] = ACTIONS(1457),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__identifier_hash_key] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1463),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1467),
    [sym_identifier] = ACTIONS(1467),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2415] = {
    [sym_heredoc_body] = STATE(4992),
    [aux_sym_call_repeat1] = STATE(4992),
    [aux_sym_argument_list_repeat1] = STATE(4993),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(3872),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2416] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4994),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(4994),
    [sym_operator_assignment] = STATE(4994),
    [sym_conditional] = STATE(4994),
    [sym_range] = STATE(4994),
    [sym_binary] = STATE(4994),
    [sym_unary] = STATE(4994),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2417] = {
    [sym__statements] = STATE(4996),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(4997),
    [sym_else] = STATE(4997),
    [sym__if_tail] = STATE(4997),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(4998),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(4998),
    [sym__line_break] = ACTIONS(7505),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7507),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2418] = {
    [sym__statements] = STATE(5000),
    [sym__top_level_statement] = STATE(2886),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(5001),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7509),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2419] = {
    [sym__statements] = STATE(5003),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7511),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2420] = {
    [sym__statements] = STATE(5005),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7513),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2421] = {
    [sym__do] = STATE(5006),
    [sym_heredoc_body] = STATE(5006),
    [sym__terminator] = STATE(5006),
    [sym__line_break] = ACTIONS(7515),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(7515),
    [anon_sym_do] = ACTIONS(7515),
    [sym_comment] = ACTIONS(87),
  },
  [2422] = {
    [sym_when] = STATE(5007),
    [aux_sym_case_repeat1] = STATE(5008),
    [anon_sym_SEMI] = ACTIONS(7517),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [2423] = {
    [anon_sym_end] = ACTIONS(7519),
    [sym_comment] = ACTIONS(87),
  },
  [2424] = {
    [sym_when] = STATE(5007),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [2425] = {
    [sym__element_reference_left_bracket] = ACTIONS(5352),
    [sym__infix_scope_colons] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_AMP_DOT] = ACTIONS(5352),
    [sym_comment] = ACTIONS(87),
  },
  [2426] = {
    [sym_ensure] = STATE(5011),
    [anon_sym_end] = ACTIONS(7521),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [2427] = {
    [anon_sym_end] = ACTIONS(7521),
    [sym_comment] = ACTIONS(87),
  },
  [2428] = {
    [sym_else] = STATE(5012),
    [sym_ensure] = STATE(5011),
    [anon_sym_end] = ACTIONS(7521),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [2429] = {
    [sym__element_reference_left_bracket] = ACTIONS(5438),
    [sym__infix_scope_colons] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5438),
    [anon_sym_AMP_DOT] = ACTIONS(5438),
    [sym_comment] = ACTIONS(87),
  },
  [2430] = {
    [sym__element_reference_left_bracket] = ACTIONS(5672),
    [sym__infix_scope_colons] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5672),
    [anon_sym_AMP_DOT] = ACTIONS(5672),
    [sym_comment] = ACTIONS(87),
  },
  [2431] = {
    [anon_sym_RBRACK] = ACTIONS(7523),
    [sym_comment] = ACTIONS(87),
  },
  [2432] = {
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_EQ] = ACTIONS(5684),
    [anon_sym_in] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [sym_comment] = ACTIONS(87),
  },
  [2433] = {
    [anon_sym_RBRACE] = ACTIONS(7525),
    [sym_comment] = ACTIONS(87),
  },
  [2434] = {
    [sym__statements] = STATE(5015),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(7525),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2435] = {
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_EQ] = ACTIONS(5724),
    [anon_sym_in] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(87),
  },
  [2436] = {
    [anon_sym_end] = ACTIONS(7527),
    [sym_comment] = ACTIONS(87),
  },
  [2437] = {
    [sym__statements] = STATE(5017),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(5018),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(5018),
    [sym__line_break] = ACTIONS(7529),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7531),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2438] = {
    [sym__statements] = STATE(5017),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(5019),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7531),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2439] = {
    [sym__element_reference_left_bracket] = ACTIONS(5760),
    [sym__infix_scope_colons] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_AMP_DOT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(87),
  },
  [2440] = {
    [sym__element_reference_left_bracket] = ACTIONS(5904),
    [sym__infix_scope_colons] = ACTIONS(5904),
    [anon_sym_RPAREN] = ACTIONS(5904),
    [anon_sym_DOT] = ACTIONS(5904),
    [anon_sym_COMMA] = ACTIONS(5904),
    [anon_sym_EQ] = ACTIONS(5904),
    [anon_sym_in] = ACTIONS(5904),
    [anon_sym_AMP_DOT] = ACTIONS(5904),
    [sym_comment] = ACTIONS(87),
  },
  [2441] = {
    [sym_heredoc_body] = STATE(5021),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(7533),
    [sym_comment] = ACTIONS(87),
  },
  [2442] = {
    [anon_sym_RBRACK] = ACTIONS(7533),
    [sym_comment] = ACTIONS(87),
  },
  [2443] = {
    [sym__simple_symbol] = ACTIONS(5910),
    [sym__string_start] = ACTIONS(5910),
    [sym__symbol_start] = ACTIONS(5910),
    [sym__subshell_start] = ACTIONS(5910),
    [sym__regex_start] = ACTIONS(5910),
    [sym__string_array_start] = ACTIONS(5910),
    [sym__symbol_array_start] = ACTIONS(5910),
    [sym_heredoc_beginning] = ACTIONS(5910),
    [sym__element_reference_left_bracket] = ACTIONS(5910),
    [sym__block_ampersand] = ACTIONS(5910),
    [sym__splat_star] = ACTIONS(5910),
    [sym__argument_list_left_paren] = ACTIONS(5910),
    [sym__infix_scope_colons] = ACTIONS(5910),
    [sym__unary_minus] = ACTIONS(5910),
    [sym__identifier_hash_key] = ACTIONS(5910),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_def] = ACTIONS(5912),
    [anon_sym_LPAREN] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5910),
    [anon_sym_COLON_COLON] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_STAR_STAR] = ACTIONS(5910),
    [anon_sym_EQ] = ACTIONS(5910),
    [anon_sym_class] = ACTIONS(5912),
    [anon_sym_module] = ACTIONS(5912),
    [anon_sym_return] = ACTIONS(5912),
    [anon_sym_yield] = ACTIONS(5912),
    [anon_sym_break] = ACTIONS(5912),
    [anon_sym_next] = ACTIONS(5912),
    [sym_redo] = ACTIONS(5912),
    [sym_retry] = ACTIONS(5912),
    [anon_sym_if] = ACTIONS(5912),
    [anon_sym_unless] = ACTIONS(5912),
    [anon_sym_while] = ACTIONS(5912),
    [anon_sym_until] = ACTIONS(5912),
    [anon_sym_for] = ACTIONS(5912),
    [anon_sym_in] = ACTIONS(5912),
    [anon_sym_do] = ACTIONS(5912),
    [anon_sym_case] = ACTIONS(5912),
    [anon_sym_begin] = ACTIONS(5912),
    [anon_sym_AMP_DOT] = ACTIONS(5910),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_defined_QMARK] = ACTIONS(5910),
    [anon_sym_not] = ACTIONS(5912),
    [anon_sym_BANG] = ACTIONS(5910),
    [anon_sym_TILDE] = ACTIONS(5910),
    [sym_constant] = ACTIONS(5912),
    [sym_identifier] = ACTIONS(5912),
    [sym_instance_variable] = ACTIONS(5910),
    [sym_class_variable] = ACTIONS(5910),
    [sym_global_variable] = ACTIONS(5910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5912),
    [sym_float] = ACTIONS(5912),
    [sym_complex] = ACTIONS(5910),
    [sym_super] = ACTIONS(5912),
    [anon_sym_true] = ACTIONS(5912),
    [anon_sym_TRUE] = ACTIONS(5912),
    [anon_sym_false] = ACTIONS(5912),
    [anon_sym_FALSE] = ACTIONS(5912),
    [sym_self] = ACTIONS(5912),
    [anon_sym_nil] = ACTIONS(5912),
    [anon_sym_NIL] = ACTIONS(5912),
    [sym_character] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
  },
  [2444] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(5023),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(5024),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(7535),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2445] = {
    [sym__simple_symbol] = ACTIONS(1267),
    [sym__string_start] = ACTIONS(1267),
    [sym__symbol_start] = ACTIONS(1267),
    [sym__subshell_start] = ACTIONS(1267),
    [sym__regex_start] = ACTIONS(1267),
    [sym__string_array_start] = ACTIONS(1267),
    [sym__symbol_array_start] = ACTIONS(1267),
    [sym_heredoc_beginning] = ACTIONS(1267),
    [sym__element_reference_left_bracket] = ACTIONS(1267),
    [sym__block_ampersand] = ACTIONS(1267),
    [sym__splat_star] = ACTIONS(1267),
    [sym__argument_list_left_paren] = ACTIONS(1267),
    [sym__infix_scope_colons] = ACTIONS(1267),
    [sym__unary_minus] = ACTIONS(1267),
    [sym__identifier_hash_key] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_def] = ACTIONS(1269),
    [anon_sym_LPAREN] = ACTIONS(1267),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [anon_sym_DOT] = ACTIONS(1267),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1267),
    [anon_sym_EQ] = ACTIONS(1267),
    [anon_sym_class] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_yield] = ACTIONS(1269),
    [anon_sym_break] = ACTIONS(1269),
    [anon_sym_next] = ACTIONS(1269),
    [sym_redo] = ACTIONS(1269),
    [sym_retry] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1269),
    [anon_sym_unless] = ACTIONS(1269),
    [anon_sym_while] = ACTIONS(1269),
    [anon_sym_until] = ACTIONS(1269),
    [anon_sym_for] = ACTIONS(1269),
    [anon_sym_in] = ACTIONS(1269),
    [anon_sym_do] = ACTIONS(1269),
    [anon_sym_case] = ACTIONS(1269),
    [anon_sym_begin] = ACTIONS(1269),
    [anon_sym_AMP_DOT] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1267),
    [anon_sym_not] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1267),
    [anon_sym_TILDE] = ACTIONS(1267),
    [sym_constant] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1269),
    [sym_instance_variable] = ACTIONS(1267),
    [sym_class_variable] = ACTIONS(1267),
    [sym_global_variable] = ACTIONS(1267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1269),
    [sym_float] = ACTIONS(1269),
    [sym_complex] = ACTIONS(1267),
    [sym_super] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1269),
    [anon_sym_TRUE] = ACTIONS(1269),
    [anon_sym_false] = ACTIONS(1269),
    [anon_sym_FALSE] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [anon_sym_nil] = ACTIONS(1269),
    [anon_sym_NIL] = ACTIONS(1269),
    [sym_character] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1267),
    [anon_sym_DASH_GT] = ACTIONS(1267),
  },
  [2446] = {
    [sym__simple_symbol] = ACTIONS(5920),
    [sym__string_start] = ACTIONS(5920),
    [sym__symbol_start] = ACTIONS(5920),
    [sym__subshell_start] = ACTIONS(5920),
    [sym__regex_start] = ACTIONS(5920),
    [sym__string_array_start] = ACTIONS(5920),
    [sym__symbol_array_start] = ACTIONS(5920),
    [sym_heredoc_beginning] = ACTIONS(5920),
    [sym__element_reference_left_bracket] = ACTIONS(5920),
    [sym__block_ampersand] = ACTIONS(5920),
    [sym__splat_star] = ACTIONS(5920),
    [sym__argument_list_left_paren] = ACTIONS(5920),
    [sym__infix_scope_colons] = ACTIONS(5920),
    [sym__unary_minus] = ACTIONS(5920),
    [sym__identifier_hash_key] = ACTIONS(5920),
    [anon_sym_LBRACE] = ACTIONS(5920),
    [anon_sym_def] = ACTIONS(5922),
    [anon_sym_LPAREN] = ACTIONS(5920),
    [anon_sym_RPAREN] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5920),
    [anon_sym_COLON_COLON] = ACTIONS(5920),
    [anon_sym_COMMA] = ACTIONS(5920),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_STAR_STAR] = ACTIONS(5920),
    [anon_sym_EQ] = ACTIONS(5920),
    [anon_sym_class] = ACTIONS(5922),
    [anon_sym_module] = ACTIONS(5922),
    [anon_sym_return] = ACTIONS(5922),
    [anon_sym_yield] = ACTIONS(5922),
    [anon_sym_break] = ACTIONS(5922),
    [anon_sym_next] = ACTIONS(5922),
    [sym_redo] = ACTIONS(5922),
    [sym_retry] = ACTIONS(5922),
    [anon_sym_if] = ACTIONS(5922),
    [anon_sym_unless] = ACTIONS(5922),
    [anon_sym_while] = ACTIONS(5922),
    [anon_sym_until] = ACTIONS(5922),
    [anon_sym_for] = ACTIONS(5922),
    [anon_sym_in] = ACTIONS(5922),
    [anon_sym_do] = ACTIONS(5922),
    [anon_sym_case] = ACTIONS(5922),
    [anon_sym_begin] = ACTIONS(5922),
    [anon_sym_AMP_DOT] = ACTIONS(5920),
    [anon_sym_PLUS] = ACTIONS(5922),
    [anon_sym_defined_QMARK] = ACTIONS(5920),
    [anon_sym_not] = ACTIONS(5922),
    [anon_sym_BANG] = ACTIONS(5920),
    [anon_sym_TILDE] = ACTIONS(5920),
    [sym_constant] = ACTIONS(5922),
    [sym_identifier] = ACTIONS(5922),
    [sym_instance_variable] = ACTIONS(5920),
    [sym_class_variable] = ACTIONS(5920),
    [sym_global_variable] = ACTIONS(5920),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5922),
    [sym_float] = ACTIONS(5922),
    [sym_complex] = ACTIONS(5920),
    [sym_super] = ACTIONS(5922),
    [anon_sym_true] = ACTIONS(5922),
    [anon_sym_TRUE] = ACTIONS(5922),
    [anon_sym_false] = ACTIONS(5922),
    [anon_sym_FALSE] = ACTIONS(5922),
    [sym_self] = ACTIONS(5922),
    [anon_sym_nil] = ACTIONS(5922),
    [anon_sym_NIL] = ACTIONS(5922),
    [sym_character] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
  },
  [2447] = {
    [sym__simple_symbol] = ACTIONS(5924),
    [sym__string_start] = ACTIONS(5924),
    [sym__symbol_start] = ACTIONS(5924),
    [sym__subshell_start] = ACTIONS(5924),
    [sym__regex_start] = ACTIONS(5924),
    [sym__string_array_start] = ACTIONS(5924),
    [sym__symbol_array_start] = ACTIONS(5924),
    [sym_heredoc_beginning] = ACTIONS(5924),
    [sym__element_reference_left_bracket] = ACTIONS(5924),
    [sym__block_ampersand] = ACTIONS(5924),
    [sym__splat_star] = ACTIONS(5924),
    [sym__argument_list_left_paren] = ACTIONS(5924),
    [sym__infix_scope_colons] = ACTIONS(5924),
    [sym__unary_minus] = ACTIONS(5924),
    [sym__identifier_hash_key] = ACTIONS(5924),
    [anon_sym_LBRACE] = ACTIONS(5924),
    [anon_sym_def] = ACTIONS(5926),
    [anon_sym_LPAREN] = ACTIONS(5924),
    [anon_sym_RPAREN] = ACTIONS(5924),
    [anon_sym_DOT] = ACTIONS(5924),
    [anon_sym_COLON_COLON] = ACTIONS(5924),
    [anon_sym_COMMA] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_STAR_STAR] = ACTIONS(5924),
    [anon_sym_EQ] = ACTIONS(5924),
    [anon_sym_class] = ACTIONS(5926),
    [anon_sym_module] = ACTIONS(5926),
    [anon_sym_return] = ACTIONS(5926),
    [anon_sym_yield] = ACTIONS(5926),
    [anon_sym_break] = ACTIONS(5926),
    [anon_sym_next] = ACTIONS(5926),
    [sym_redo] = ACTIONS(5926),
    [sym_retry] = ACTIONS(5926),
    [anon_sym_if] = ACTIONS(5926),
    [anon_sym_unless] = ACTIONS(5926),
    [anon_sym_while] = ACTIONS(5926),
    [anon_sym_until] = ACTIONS(5926),
    [anon_sym_for] = ACTIONS(5926),
    [anon_sym_in] = ACTIONS(5926),
    [anon_sym_do] = ACTIONS(5926),
    [anon_sym_case] = ACTIONS(5926),
    [anon_sym_begin] = ACTIONS(5926),
    [anon_sym_AMP_DOT] = ACTIONS(5924),
    [anon_sym_PLUS] = ACTIONS(5926),
    [anon_sym_defined_QMARK] = ACTIONS(5924),
    [anon_sym_not] = ACTIONS(5926),
    [anon_sym_BANG] = ACTIONS(5924),
    [anon_sym_TILDE] = ACTIONS(5924),
    [sym_constant] = ACTIONS(5926),
    [sym_identifier] = ACTIONS(5926),
    [sym_instance_variable] = ACTIONS(5924),
    [sym_class_variable] = ACTIONS(5924),
    [sym_global_variable] = ACTIONS(5924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5926),
    [sym_float] = ACTIONS(5926),
    [sym_complex] = ACTIONS(5924),
    [sym_super] = ACTIONS(5926),
    [anon_sym_true] = ACTIONS(5926),
    [anon_sym_TRUE] = ACTIONS(5926),
    [anon_sym_false] = ACTIONS(5926),
    [anon_sym_FALSE] = ACTIONS(5926),
    [sym_self] = ACTIONS(5926),
    [anon_sym_nil] = ACTIONS(5926),
    [anon_sym_NIL] = ACTIONS(5926),
    [sym_character] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5924),
    [anon_sym_DASH_GT] = ACTIONS(5924),
  },
  [2448] = {
    [sym_argument_list_with_parens] = STATE(5025),
    [sym__argument_list_with_parens] = STATE(2447),
    [sym_operator] = STATE(5025),
    [sym_heredoc_body] = STATE(3808),
    [aux_sym_call_repeat1] = STATE(3808),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(3906),
    [anon_sym_PIPE] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(3910),
    [anon_sym_STAR_STAR] = ACTIONS(3908),
    [anon_sym_AMP] = ACTIONS(3908),
    [anon_sym_LT] = ACTIONS(3910),
    [anon_sym_DOT_DOT] = ACTIONS(3908),
    [anon_sym_LT_LT] = ACTIONS(3908),
    [anon_sym_GT_GT] = ACTIONS(3908),
    [anon_sym_EQ_EQ] = ACTIONS(3910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3908),
    [anon_sym_LT_EQ_GT] = ACTIONS(3908),
    [anon_sym_EQ_TILDE] = ACTIONS(3908),
    [anon_sym_BANG_TILDE] = ACTIONS(3908),
    [anon_sym_LT_EQ] = ACTIONS(3910),
    [anon_sym_GT] = ACTIONS(3910),
    [anon_sym_GT_EQ] = ACTIONS(3908),
    [anon_sym_CARET] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3910),
    [anon_sym_SLASH] = ACTIONS(3908),
    [anon_sym_PERCENT] = ACTIONS(3908),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3908),
    [sym_constant] = ACTIONS(7537),
    [sym_identifier] = ACTIONS(7537),
    [anon_sym_DASH] = ACTIONS(3910),
    [anon_sym_PLUS_AT] = ACTIONS(3908),
    [anon_sym_DASH_AT] = ACTIONS(3908),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3910),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(3908),
    [anon_sym_BQUOTE] = ACTIONS(3908),
    [sym_comment] = ACTIONS(87),
  },
  [2449] = {
    [sym__heredoc_body_start] = ACTIONS(101),
    [sym__element_reference_left_bracket] = ACTIONS(101),
    [sym__infix_scope_colons] = ACTIONS(101),
    [sym__binary_minus] = ACTIONS(101),
    [sym__binary_star] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_RPAREN] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(103),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(101),
    [anon_sym_AMP] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(103),
    [anon_sym_LT] = ACTIONS(103),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_AMP_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_and] = ACTIONS(101),
    [anon_sym_or] = ACTIONS(101),
    [anon_sym_PIPE_PIPE] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_LT_LT] = ACTIONS(101),
    [anon_sym_GT_GT] = ACTIONS(101),
    [anon_sym_EQ_EQ] = ACTIONS(103),
    [anon_sym_BANG_EQ] = ACTIONS(101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(101),
    [anon_sym_LT_EQ_GT] = ACTIONS(101),
    [anon_sym_EQ_TILDE] = ACTIONS(101),
    [anon_sym_BANG_TILDE] = ACTIONS(101),
    [anon_sym_LT_EQ] = ACTIONS(103),
    [anon_sym_GT] = ACTIONS(103),
    [anon_sym_GT_EQ] = ACTIONS(101),
    [anon_sym_CARET] = ACTIONS(101),
    [anon_sym_PLUS] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [sym_comment] = ACTIONS(87),
  },
  [2450] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(5027),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(7539),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [2451] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(5029),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(7541),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [2452] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(5031),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(7543),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [2453] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(5033),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(7545),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [2454] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(5036),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(7547),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(7549),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [2455] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(5039),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(7551),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(7553),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [2456] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5040),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(5040),
    [sym_operator_assignment] = STATE(5040),
    [sym_conditional] = STATE(5040),
    [sym_range] = STATE(5040),
    [sym_binary] = STATE(5040),
    [sym_unary] = STATE(5040),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [2457] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(117),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(117),
    [sym_operator_assignment] = STATE(117),
    [sym_conditional] = STATE(117),
    [sym_range] = STATE(117),
    [sym_binary] = STATE(117),
    [sym_unary] = STATE(117),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(123),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_heredoc_body] = STATE(5042),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym__hash_items] = STATE(5043),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(139),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(7555),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(209),
    [sym_identifier] = ACTIONS(209),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2458] = {
    [sym__method_rest] = STATE(5045),
    [sym__variable] = STATE(5046),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(5047),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(7557),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(239),
    [sym_identifier] = ACTIONS(241),
    [sym_instance_variable] = ACTIONS(239),
    [sym_class_variable] = ACTIONS(239),
    [sym_global_variable] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
    [sym_super] = ACTIONS(7559),
    [sym_self] = ACTIONS(7559),
  },
  [2459] = {
    [sym__statements] = STATE(5049),
    [sym__top_level_statement] = STATE(150),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(155),
    [sym__simple_mlhs] = STATE(156),
    [sym_destructured_left_assignment] = STATE(156),
    [sym_rest_assignment] = STATE(156),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2460] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(5052),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(7563),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(7565),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [2461] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(5054),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(7567),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [2462] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5061),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_argument_list] = STATE(5062),
    [sym__argument_list_with_parens] = STATE(5063),
    [sym__argument] = STATE(5064),
    [sym_splat_argument] = STATE(5064),
    [sym_hash_splat_argument] = STATE(5064),
    [sym_block_argument] = STATE(5064),
    [sym_assignment] = STATE(5061),
    [sym_operator_assignment] = STATE(5061),
    [sym_conditional] = STATE(5061),
    [sym_range] = STATE(5061),
    [sym_binary] = STATE(5061),
    [sym_unary] = STATE(5061),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5065),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5064),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(7569),
    [sym__splat_star] = ACTIONS(7571),
    [sym__argument_list_left_paren] = ACTIONS(7573),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(7575),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(3990),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(7577),
    [sym_identifier] = ACTIONS(7577),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2463] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5061),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_argument_list] = STATE(5066),
    [sym__argument_list_with_parens] = STATE(5063),
    [sym__argument] = STATE(5064),
    [sym_splat_argument] = STATE(5064),
    [sym_hash_splat_argument] = STATE(5064),
    [sym_block_argument] = STATE(5064),
    [sym_assignment] = STATE(5061),
    [sym_operator_assignment] = STATE(5061),
    [sym_conditional] = STATE(5061),
    [sym_range] = STATE(5061),
    [sym_binary] = STATE(5061),
    [sym_unary] = STATE(5061),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5065),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5064),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(7569),
    [sym__splat_star] = ACTIONS(7571),
    [sym__argument_list_left_paren] = ACTIONS(7573),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(7575),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(3990),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(7577),
    [sym_identifier] = ACTIONS(7577),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2464] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5061),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_argument_list] = STATE(5067),
    [sym__argument_list_with_parens] = STATE(5063),
    [sym__argument] = STATE(5064),
    [sym_splat_argument] = STATE(5064),
    [sym_hash_splat_argument] = STATE(5064),
    [sym_block_argument] = STATE(5064),
    [sym_assignment] = STATE(5061),
    [sym_operator_assignment] = STATE(5061),
    [sym_conditional] = STATE(5061),
    [sym_range] = STATE(5061),
    [sym_binary] = STATE(5061),
    [sym_unary] = STATE(5061),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5065),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5064),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(7569),
    [sym__splat_star] = ACTIONS(7571),
    [sym__argument_list_left_paren] = ACTIONS(7573),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(7575),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(3990),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(7577),
    [sym_identifier] = ACTIONS(7577),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2465] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5061),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_argument_list] = STATE(5068),
    [sym__argument_list_with_parens] = STATE(5063),
    [sym__argument] = STATE(5064),
    [sym_splat_argument] = STATE(5064),
    [sym_hash_splat_argument] = STATE(5064),
    [sym_block_argument] = STATE(5064),
    [sym_assignment] = STATE(5061),
    [sym_operator_assignment] = STATE(5061),
    [sym_conditional] = STATE(5061),
    [sym_range] = STATE(5061),
    [sym_binary] = STATE(5061),
    [sym_unary] = STATE(5061),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5065),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5064),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(7569),
    [sym__splat_star] = ACTIONS(7571),
    [sym__argument_list_left_paren] = ACTIONS(7573),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(7575),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(3990),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(7577),
    [sym_identifier] = ACTIONS(7577),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2466] = {
    [sym__statement] = STATE(5069),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2467] = {
    [sym__statement] = STATE(5070),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2468] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5071),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(5071),
    [sym_operator_assignment] = STATE(5071),
    [sym_conditional] = STATE(5071),
    [sym_range] = STATE(5071),
    [sym_binary] = STATE(5071),
    [sym_unary] = STATE(5071),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2469] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5072),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(5072),
    [sym_operator_assignment] = STATE(5072),
    [sym_conditional] = STATE(5072),
    [sym_range] = STATE(5072),
    [sym_binary] = STATE(5072),
    [sym_unary] = STATE(5072),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2470] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(265),
    [sym_call] = STATE(265),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(5073),
    [sym__simple_mlhs] = STATE(267),
    [sym_destructured_left_assignment] = STATE(267),
    [sym_rest_assignment] = STATE(267),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(265),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(475),
    [sym_identifier] = ACTIONS(475),
    [sym_instance_variable] = ACTIONS(477),
    [sym_class_variable] = ACTIONS(477),
    [sym_global_variable] = ACTIONS(477),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(475),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [2471] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5074),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(5074),
    [sym_operator_assignment] = STATE(5074),
    [sym_conditional] = STATE(5074),
    [sym_range] = STATE(5074),
    [sym_binary] = STATE(5074),
    [sym_unary] = STATE(5074),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(5075),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__terminator] = STATE(5075),
    [sym__line_break] = ACTIONS(7579),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(7579),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2472] = {
    [sym__statements] = STATE(5076),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(5077),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(5078),
    [sym_rescue] = STATE(5079),
    [sym__body_statement] = STATE(5080),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(5081),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(5081),
    [sym__line_break] = ACTIONS(7581),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7583),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2473] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5082),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(5082),
    [sym_operator_assignment] = STATE(5082),
    [sym_conditional] = STATE(5082),
    [sym_range] = STATE(5082),
    [sym_binary] = STATE(5082),
    [sym_unary] = STATE(5082),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [2474] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5083),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(5083),
    [sym_operator_assignment] = STATE(5083),
    [sym_conditional] = STATE(5083),
    [sym_range] = STATE(5083),
    [sym_binary] = STATE(5083),
    [sym_unary] = STATE(5083),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [2475] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5084),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(5084),
    [sym_operator_assignment] = STATE(5084),
    [sym_conditional] = STATE(5084),
    [sym_range] = STATE(5084),
    [sym_binary] = STATE(5084),
    [sym_unary] = STATE(5084),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [2476] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
    [anon_sym_r] = ACTIONS(7585),
  },
  [2477] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(5087),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(5088),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(7587),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2478] = {
    [sym_lambda_parameters] = STATE(5091),
    [sym__simple_formal_parameter] = STATE(379),
    [sym_splat_parameter] = STATE(379),
    [sym_hash_splat_parameter] = STATE(379),
    [sym_block_parameter] = STATE(379),
    [sym_keyword_parameter] = STATE(379),
    [sym_optional_parameter] = STATE(379),
    [sym_do_block] = STATE(5092),
    [sym_block] = STATE(5092),
    [anon_sym_LBRACE] = ACTIONS(7589),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(7591),
    [sym_identifier] = ACTIONS(677),
    [sym_comment] = ACTIONS(87),
  },
  [2479] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(7611),
    [anon_sym_or] = ACTIONS(7611),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [2480] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4976),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(5106),
    [sym__argument_list_with_parens] = STATE(4977),
    [sym__argument] = STATE(4978),
    [sym_splat_argument] = STATE(4978),
    [sym_hash_splat_argument] = STATE(4978),
    [sym_block_argument] = STATE(4978),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(4976),
    [sym_operator_assignment] = STATE(4976),
    [sym_conditional] = STATE(4976),
    [sym_range] = STATE(4976),
    [sym_binary] = STATE(4976),
    [sym_unary] = STATE(4976),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4979),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4978),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(7485),
    [sym__splat_star] = ACTIONS(7487),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(7625),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(7491),
    [sym_identifier] = ACTIONS(7491),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2481] = {
    [anon_sym_EQ] = ACTIONS(7627),
    [sym_comment] = ACTIONS(87),
  },
  [2482] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7629),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7631),
    [anon_sym_DASH_EQ] = ACTIONS(7631),
    [anon_sym_STAR_EQ] = ACTIONS(7631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7631),
    [anon_sym_SLASH_EQ] = ACTIONS(7631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7631),
    [anon_sym_PIPE_EQ] = ACTIONS(7631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7631),
    [anon_sym_AMP_EQ] = ACTIONS(7631),
    [anon_sym_PERCENT_EQ] = ACTIONS(7631),
    [anon_sym_GT_GT_EQ] = ACTIONS(7631),
    [anon_sym_LT_LT_EQ] = ACTIONS(7631),
    [anon_sym_CARET_EQ] = ACTIONS(7631),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2483] = {
    [sym_string] = STATE(5109),
    [aux_sym_chained_string_repeat1] = STATE(5109),
    [sym__string_start] = ACTIONS(3916),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2484] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(7611),
    [anon_sym_or] = ACTIONS(7611),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [2485] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [2486] = {
    [sym_string] = STATE(2521),
    [aux_sym_chained_string_repeat1] = STATE(2521),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2487] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5110),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(5110),
    [sym_operator_assignment] = STATE(5110),
    [sym_conditional] = STATE(5110),
    [sym_range] = STATE(5110),
    [sym_binary] = STATE(5110),
    [sym_unary] = STATE(5110),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [2488] = {
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(997),
    [sym__binary_star] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_STAR_STAR] = ACTIONS(997),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_in] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(997),
    [anon_sym_and] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(997),
    [anon_sym_PIPE_PIPE] = ACTIONS(997),
    [anon_sym_AMP_AMP] = ACTIONS(997),
    [anon_sym_LT_LT] = ACTIONS(997),
    [anon_sym_GT_GT] = ACTIONS(997),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(997),
    [anon_sym_LT_EQ_GT] = ACTIONS(997),
    [anon_sym_EQ_TILDE] = ACTIONS(997),
    [anon_sym_BANG_TILDE] = ACTIONS(997),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(999),
    [anon_sym_GT_EQ] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_SLASH] = ACTIONS(997),
    [anon_sym_PERCENT] = ACTIONS(997),
    [sym_comment] = ACTIONS(87),
  },
  [2489] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(7611),
    [anon_sym_or] = ACTIONS(7611),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [2490] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5111),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5111),
    [sym_operator_assignment] = STATE(5111),
    [sym_conditional] = STATE(5111),
    [sym_range] = STATE(5111),
    [sym_binary] = STATE(5111),
    [sym_unary] = STATE(5111),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2491] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5112),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5112),
    [sym_operator_assignment] = STATE(5112),
    [sym_conditional] = STATE(5112),
    [sym_range] = STATE(5112),
    [sym_binary] = STATE(5112),
    [sym_unary] = STATE(5112),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2492] = {
    [sym__keyword_colon] = ACTIONS(7633),
    [sym_comment] = ACTIONS(87),
  },
  [2493] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5114),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5114),
    [sym_operator_assignment] = STATE(5114),
    [sym_conditional] = STATE(5114),
    [sym_range] = STATE(5114),
    [sym_binary] = STATE(5114),
    [sym_unary] = STATE(5114),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2494] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(7633),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2495] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [2496] = {
    [sym_heredoc_body] = STATE(5116),
    [aux_sym_call_repeat1] = STATE(5116),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2497] = {
    [sym_heredoc_body] = STATE(5116),
    [aux_sym_call_repeat1] = STATE(5116),
    [aux_sym_argument_list_repeat1] = STATE(5118),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(7635),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2498] = {
    [sym_string] = STATE(2521),
    [aux_sym_chained_string_repeat1] = STATE(2521),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(7637),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2499] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [2500] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [2501] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5120),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5120),
    [sym_operator_assignment] = STATE(5120),
    [sym_conditional] = STATE(5120),
    [sym_range] = STATE(5120),
    [sym_binary] = STATE(5120),
    [sym_unary] = STATE(5120),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2502] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5121),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5121),
    [sym_operator_assignment] = STATE(5121),
    [sym_conditional] = STATE(5121),
    [sym_range] = STATE(5121),
    [sym_binary] = STATE(5121),
    [sym_unary] = STATE(5121),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2503] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5122),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5122),
    [sym_operator_assignment] = STATE(5122),
    [sym_conditional] = STATE(5122),
    [sym_range] = STATE(5122),
    [sym_binary] = STATE(5122),
    [sym_unary] = STATE(5122),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2504] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5123),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5123),
    [sym_operator_assignment] = STATE(5123),
    [sym_conditional] = STATE(5123),
    [sym_range] = STATE(5123),
    [sym_binary] = STATE(5123),
    [sym_unary] = STATE(5123),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2505] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5124),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5124),
    [sym_operator_assignment] = STATE(5124),
    [sym_conditional] = STATE(5124),
    [sym_range] = STATE(5124),
    [sym_binary] = STATE(5124),
    [sym_unary] = STATE(5124),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2506] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5125),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5125),
    [sym_operator_assignment] = STATE(5125),
    [sym_conditional] = STATE(5125),
    [sym_range] = STATE(5125),
    [sym_binary] = STATE(5125),
    [sym_unary] = STATE(5125),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2507] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5126),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(5126),
    [sym_operator_assignment] = STATE(5126),
    [sym_conditional] = STATE(5126),
    [sym_range] = STATE(5126),
    [sym_binary] = STATE(5126),
    [sym_unary] = STATE(5126),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [2508] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(5127),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(5127),
    [sym_operator_assignment] = STATE(5127),
    [sym_conditional] = STATE(5127),
    [sym_range] = STATE(5127),
    [sym_binary] = STATE(5127),
    [sym_unary] = STATE(5127),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2509] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5128),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5128),
    [sym_operator_assignment] = STATE(5128),
    [sym_conditional] = STATE(5128),
    [sym_range] = STATE(5128),
    [sym_binary] = STATE(5128),
    [sym_unary] = STATE(5128),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2510] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5129),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5129),
    [sym_operator_assignment] = STATE(5129),
    [sym_conditional] = STATE(5129),
    [sym_range] = STATE(5129),
    [sym_binary] = STATE(5129),
    [sym_unary] = STATE(5129),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2511] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5130),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5130),
    [sym_operator_assignment] = STATE(5130),
    [sym_conditional] = STATE(5130),
    [sym_range] = STATE(5130),
    [sym_binary] = STATE(5130),
    [sym_unary] = STATE(5130),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2512] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5131),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5131),
    [sym_operator_assignment] = STATE(5131),
    [sym_conditional] = STATE(5131),
    [sym_range] = STATE(5131),
    [sym_binary] = STATE(5131),
    [sym_unary] = STATE(5131),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2513] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5132),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5132),
    [sym_operator_assignment] = STATE(5132),
    [sym_conditional] = STATE(5132),
    [sym_range] = STATE(5132),
    [sym_binary] = STATE(5132),
    [sym_unary] = STATE(5132),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2514] = {
    [sym__element_reference_left_bracket] = ACTIONS(6134),
    [sym__infix_scope_colons] = ACTIONS(6134),
    [anon_sym_RPAREN] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6134),
    [anon_sym_COMMA] = ACTIONS(6134),
    [anon_sym_EQ] = ACTIONS(6134),
    [anon_sym_in] = ACTIONS(6134),
    [anon_sym_AMP_DOT] = ACTIONS(6134),
    [sym_comment] = ACTIONS(87),
  },
  [2515] = {
    [sym_heredoc_body] = STATE(5133),
    [aux_sym_call_repeat1] = STATE(5133),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_EQ] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2516] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(867),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym__argument] = STATE(4990),
    [sym_splat_argument] = STATE(4990),
    [sym_hash_splat_argument] = STATE(4990),
    [sym_block_argument] = STATE(4990),
    [sym_assignment] = STATE(867),
    [sym_operator_assignment] = STATE(867),
    [sym_conditional] = STATE(867),
    [sym_range] = STATE(867),
    [sym_binary] = STATE(867),
    [sym_unary] = STATE(867),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(874),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(5134),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4990),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1489),
    [sym__splat_star] = ACTIONS(1491),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__identifier_hash_key] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1517),
    [sym_identifier] = ACTIONS(1517),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2517] = {
    [sym_heredoc_body] = STATE(5135),
    [aux_sym_call_repeat1] = STATE(5135),
    [aux_sym_argument_list_repeat1] = STATE(5136),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4028),
    [anon_sym_EQ] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2518] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5137),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_splat_argument] = STATE(5138),
    [sym_assignment] = STATE(5137),
    [sym_operator_assignment] = STATE(5137),
    [sym_conditional] = STATE(5137),
    [sym_range] = STATE(5137),
    [sym_binary] = STATE(5137),
    [sym_unary] = STATE(5137),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(5138),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(3986),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2519] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5139),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(5139),
    [sym_operator_assignment] = STATE(5139),
    [sym_conditional] = STATE(5139),
    [sym_range] = STATE(5139),
    [sym_binary] = STATE(5139),
    [sym_unary] = STATE(5139),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2520] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5140),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(5140),
    [sym_operator_assignment] = STATE(5140),
    [sym_conditional] = STATE(5140),
    [sym_range] = STATE(5140),
    [sym_binary] = STATE(5140),
    [sym_unary] = STATE(5140),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [2521] = {
    [sym_string] = STATE(5141),
    [aux_sym_chained_string_repeat1] = STATE(5141),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [2522] = {
    [sym_string] = STATE(2522),
    [aux_sym_chained_string_repeat1] = STATE(2522),
    [sym__string_start] = ACTIONS(7639),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [2523] = {
    [sym__statements] = STATE(297),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(300),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(301),
    [sym_rescue] = STATE(302),
    [sym__body_statement] = STATE(5142),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7642),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2524] = {
    [sym__line_break] = ACTIONS(7644),
    [sym__heredoc_body_start] = ACTIONS(7644),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(7644),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [2525] = {
    [sym__statements] = STATE(297),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(300),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(301),
    [sym_rescue] = STATE(302),
    [sym__body_statement] = STATE(5143),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7646),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2526] = {
    [sym__line_break] = ACTIONS(7648),
    [sym__heredoc_body_start] = ACTIONS(7648),
    [sym__element_reference_left_bracket] = ACTIONS(7648),
    [sym__infix_scope_colons] = ACTIONS(7648),
    [sym__binary_minus] = ACTIONS(7648),
    [sym__binary_star] = ACTIONS(7648),
    [ts_builtin_sym_end] = ACTIONS(7648),
    [anon_sym___END__] = ACTIONS(7648),
    [anon_sym_LBRACE] = ACTIONS(7648),
    [anon_sym_RBRACE] = ACTIONS(7648),
    [anon_sym_RPAREN] = ACTIONS(7648),
    [anon_sym_DOT] = ACTIONS(7650),
    [anon_sym_COMMA] = ACTIONS(7648),
    [anon_sym_PIPE] = ACTIONS(7650),
    [anon_sym_SEMI] = ACTIONS(7648),
    [anon_sym_STAR_STAR] = ACTIONS(7648),
    [anon_sym_AMP] = ACTIONS(7650),
    [anon_sym_LT] = ACTIONS(7650),
    [anon_sym_end] = ACTIONS(7648),
    [anon_sym_if] = ACTIONS(7648),
    [anon_sym_unless] = ACTIONS(7648),
    [anon_sym_while] = ACTIONS(7648),
    [anon_sym_until] = ACTIONS(7648),
    [anon_sym_rescue] = ACTIONS(7648),
    [anon_sym_do] = ACTIONS(7648),
    [anon_sym_when] = ACTIONS(7648),
    [anon_sym_elsif] = ACTIONS(7648),
    [anon_sym_else] = ACTIONS(7648),
    [anon_sym_then] = ACTIONS(7648),
    [anon_sym_ensure] = ACTIONS(7648),
    [anon_sym_EQ_GT] = ACTIONS(7648),
    [anon_sym_AMP_DOT] = ACTIONS(7648),
    [anon_sym_QMARK] = ACTIONS(7648),
    [anon_sym_DOT_DOT] = ACTIONS(7650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7648),
    [anon_sym_and] = ACTIONS(7648),
    [anon_sym_or] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE] = ACTIONS(7648),
    [anon_sym_AMP_AMP] = ACTIONS(7648),
    [anon_sym_LT_LT] = ACTIONS(7648),
    [anon_sym_GT_GT] = ACTIONS(7648),
    [anon_sym_EQ_EQ] = ACTIONS(7650),
    [anon_sym_BANG_EQ] = ACTIONS(7648),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7648),
    [anon_sym_LT_EQ_GT] = ACTIONS(7648),
    [anon_sym_EQ_TILDE] = ACTIONS(7648),
    [anon_sym_BANG_TILDE] = ACTIONS(7648),
    [anon_sym_LT_EQ] = ACTIONS(7650),
    [anon_sym_GT] = ACTIONS(7650),
    [anon_sym_GT_EQ] = ACTIONS(7648),
    [anon_sym_CARET] = ACTIONS(7648),
    [anon_sym_PLUS] = ACTIONS(7648),
    [anon_sym_SLASH] = ACTIONS(7648),
    [anon_sym_PERCENT] = ACTIONS(7648),
    [sym_comment] = ACTIONS(87),
  },
  [2527] = {
    [sym__line_break] = ACTIONS(5910),
    [sym__simple_symbol] = ACTIONS(5910),
    [sym__string_start] = ACTIONS(5910),
    [sym__symbol_start] = ACTIONS(5910),
    [sym__subshell_start] = ACTIONS(5910),
    [sym__regex_start] = ACTIONS(5910),
    [sym__string_array_start] = ACTIONS(5910),
    [sym__symbol_array_start] = ACTIONS(5910),
    [sym__heredoc_body_start] = ACTIONS(5910),
    [sym_heredoc_beginning] = ACTIONS(5910),
    [sym__element_reference_left_bracket] = ACTIONS(5910),
    [sym__block_ampersand] = ACTIONS(5910),
    [sym__splat_star] = ACTIONS(5910),
    [sym__argument_list_left_paren] = ACTIONS(5910),
    [sym__infix_scope_colons] = ACTIONS(5910),
    [sym__unary_minus] = ACTIONS(5910),
    [sym__identifier_hash_key] = ACTIONS(5910),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_def] = ACTIONS(5912),
    [anon_sym_LPAREN] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5910),
    [anon_sym_COLON_COLON] = ACTIONS(5910),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_STAR_STAR] = ACTIONS(5910),
    [anon_sym_class] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5910),
    [anon_sym_module] = ACTIONS(5912),
    [anon_sym_end] = ACTIONS(5912),
    [anon_sym_return] = ACTIONS(5912),
    [anon_sym_yield] = ACTIONS(5912),
    [anon_sym_break] = ACTIONS(5912),
    [anon_sym_next] = ACTIONS(5912),
    [sym_redo] = ACTIONS(5912),
    [sym_retry] = ACTIONS(5912),
    [anon_sym_if] = ACTIONS(5912),
    [anon_sym_unless] = ACTIONS(5912),
    [anon_sym_while] = ACTIONS(5912),
    [anon_sym_until] = ACTIONS(5912),
    [anon_sym_for] = ACTIONS(5912),
    [anon_sym_do] = ACTIONS(5912),
    [anon_sym_case] = ACTIONS(5912),
    [anon_sym_then] = ACTIONS(5912),
    [anon_sym_begin] = ACTIONS(5912),
    [anon_sym_AMP_DOT] = ACTIONS(5910),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_defined_QMARK] = ACTIONS(5910),
    [anon_sym_not] = ACTIONS(5912),
    [anon_sym_BANG] = ACTIONS(5910),
    [anon_sym_TILDE] = ACTIONS(5910),
    [sym_constant] = ACTIONS(5912),
    [sym_identifier] = ACTIONS(5912),
    [sym_instance_variable] = ACTIONS(5910),
    [sym_class_variable] = ACTIONS(5910),
    [sym_global_variable] = ACTIONS(5910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5912),
    [sym_float] = ACTIONS(5912),
    [sym_complex] = ACTIONS(5910),
    [sym_super] = ACTIONS(5912),
    [anon_sym_true] = ACTIONS(5912),
    [anon_sym_TRUE] = ACTIONS(5912),
    [anon_sym_false] = ACTIONS(5912),
    [anon_sym_FALSE] = ACTIONS(5912),
    [sym_self] = ACTIONS(5912),
    [anon_sym_nil] = ACTIONS(5912),
    [anon_sym_NIL] = ACTIONS(5912),
    [sym_character] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
  },
  [2528] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5144),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(5144),
    [sym_operator_assignment] = STATE(5144),
    [sym_conditional] = STATE(5144),
    [sym_range] = STATE(5144),
    [sym_binary] = STATE(5144),
    [sym_unary] = STATE(5144),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2529] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5150),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(5151),
    [sym__argument] = STATE(5152),
    [sym_splat_argument] = STATE(5152),
    [sym_hash_splat_argument] = STATE(5152),
    [sym_block_argument] = STATE(5152),
    [sym_assignment] = STATE(5150),
    [sym_operator_assignment] = STATE(5150),
    [sym_conditional] = STATE(5150),
    [sym_range] = STATE(5150),
    [sym_binary] = STATE(5150),
    [sym_unary] = STATE(5150),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5153),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5152),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(7652),
    [sym__splat_star] = ACTIONS(7654),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(7658),
    [sym_identifier] = ACTIONS(7658),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2530] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5150),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(5151),
    [sym__argument] = STATE(5152),
    [sym_splat_argument] = STATE(5152),
    [sym_hash_splat_argument] = STATE(5152),
    [sym_block_argument] = STATE(5152),
    [sym_assignment] = STATE(5150),
    [sym_operator_assignment] = STATE(5150),
    [sym_conditional] = STATE(5150),
    [sym_range] = STATE(5150),
    [sym_binary] = STATE(5150),
    [sym_unary] = STATE(5150),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5153),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5152),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(7652),
    [sym__splat_star] = ACTIONS(7654),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(7658),
    [sym_identifier] = ACTIONS(7658),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2531] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5150),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(5151),
    [sym__argument] = STATE(5152),
    [sym_splat_argument] = STATE(5152),
    [sym_hash_splat_argument] = STATE(5152),
    [sym_block_argument] = STATE(5152),
    [sym_assignment] = STATE(5150),
    [sym_operator_assignment] = STATE(5150),
    [sym_conditional] = STATE(5150),
    [sym_range] = STATE(5150),
    [sym_binary] = STATE(5150),
    [sym_unary] = STATE(5150),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5153),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5152),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(7652),
    [sym__splat_star] = ACTIONS(7654),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(7658),
    [sym_identifier] = ACTIONS(7658),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2532] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5150),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(5151),
    [sym__argument] = STATE(5152),
    [sym_splat_argument] = STATE(5152),
    [sym_hash_splat_argument] = STATE(5152),
    [sym_block_argument] = STATE(5152),
    [sym_assignment] = STATE(5150),
    [sym_operator_assignment] = STATE(5150),
    [sym_conditional] = STATE(5150),
    [sym_range] = STATE(5150),
    [sym_binary] = STATE(5150),
    [sym_unary] = STATE(5150),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5153),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5152),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(7652),
    [sym__splat_star] = ACTIONS(7654),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(7658),
    [sym_identifier] = ACTIONS(7658),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2533] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5154),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(5154),
    [sym_operator_assignment] = STATE(5154),
    [sym_conditional] = STATE(5154),
    [sym_range] = STATE(5154),
    [sym_binary] = STATE(5154),
    [sym_unary] = STATE(5154),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2534] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5155),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(5155),
    [sym_operator_assignment] = STATE(5155),
    [sym_conditional] = STATE(5155),
    [sym_range] = STATE(5155),
    [sym_binary] = STATE(5155),
    [sym_unary] = STATE(5155),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2535] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2536] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(7678),
    [anon_sym_or] = ACTIONS(7678),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [2537] = {
    [anon_sym_EQ] = ACTIONS(7692),
    [sym_comment] = ACTIONS(87),
  },
  [2538] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7694),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7696),
    [anon_sym_DASH_EQ] = ACTIONS(7696),
    [anon_sym_STAR_EQ] = ACTIONS(7696),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7696),
    [anon_sym_SLASH_EQ] = ACTIONS(7696),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7696),
    [anon_sym_PIPE_EQ] = ACTIONS(7696),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7696),
    [anon_sym_AMP_EQ] = ACTIONS(7696),
    [anon_sym_PERCENT_EQ] = ACTIONS(7696),
    [anon_sym_GT_GT_EQ] = ACTIONS(7696),
    [anon_sym_LT_LT_EQ] = ACTIONS(7696),
    [anon_sym_CARET_EQ] = ACTIONS(7696),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2539] = {
    [sym_string] = STATE(5170),
    [aux_sym_chained_string_repeat1] = STATE(5170),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2540] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(7678),
    [anon_sym_or] = ACTIONS(7678),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [2541] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [2542] = {
    [sym_string] = STATE(2576),
    [aux_sym_chained_string_repeat1] = STATE(2576),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2543] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5171),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(5171),
    [sym_operator_assignment] = STATE(5171),
    [sym_conditional] = STATE(5171),
    [sym_range] = STATE(5171),
    [sym_binary] = STATE(5171),
    [sym_unary] = STATE(5171),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2544] = {
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(997),
    [sym__binary_star] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_STAR_STAR] = ACTIONS(997),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(997),
    [anon_sym_and] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(997),
    [anon_sym_PIPE_PIPE] = ACTIONS(997),
    [anon_sym_AMP_AMP] = ACTIONS(997),
    [anon_sym_LT_LT] = ACTIONS(997),
    [anon_sym_GT_GT] = ACTIONS(997),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(997),
    [anon_sym_LT_EQ_GT] = ACTIONS(997),
    [anon_sym_EQ_TILDE] = ACTIONS(997),
    [anon_sym_BANG_TILDE] = ACTIONS(997),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(999),
    [anon_sym_GT_EQ] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_SLASH] = ACTIONS(997),
    [anon_sym_PERCENT] = ACTIONS(997),
    [sym_comment] = ACTIONS(87),
  },
  [2545] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(7678),
    [anon_sym_or] = ACTIONS(7678),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [2546] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5172),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5172),
    [sym_operator_assignment] = STATE(5172),
    [sym_conditional] = STATE(5172),
    [sym_range] = STATE(5172),
    [sym_binary] = STATE(5172),
    [sym_unary] = STATE(5172),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2547] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5173),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5173),
    [sym_operator_assignment] = STATE(5173),
    [sym_conditional] = STATE(5173),
    [sym_range] = STATE(5173),
    [sym_binary] = STATE(5173),
    [sym_unary] = STATE(5173),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2548] = {
    [sym__keyword_colon] = ACTIONS(7698),
    [sym_comment] = ACTIONS(87),
  },
  [2549] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5175),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5175),
    [sym_operator_assignment] = STATE(5175),
    [sym_conditional] = STATE(5175),
    [sym_range] = STATE(5175),
    [sym_binary] = STATE(5175),
    [sym_unary] = STATE(5175),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2550] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(7698),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2551] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [2552] = {
    [sym_heredoc_body] = STATE(5177),
    [aux_sym_call_repeat1] = STATE(5177),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2553] = {
    [sym_heredoc_body] = STATE(5177),
    [aux_sym_call_repeat1] = STATE(5177),
    [aux_sym_argument_list_repeat1] = STATE(5179),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(7700),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2554] = {
    [sym_string] = STATE(2576),
    [aux_sym_chained_string_repeat1] = STATE(2576),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(7702),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2555] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [2556] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [2557] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5181),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5181),
    [sym_operator_assignment] = STATE(5181),
    [sym_conditional] = STATE(5181),
    [sym_range] = STATE(5181),
    [sym_binary] = STATE(5181),
    [sym_unary] = STATE(5181),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2558] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5182),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5182),
    [sym_operator_assignment] = STATE(5182),
    [sym_conditional] = STATE(5182),
    [sym_range] = STATE(5182),
    [sym_binary] = STATE(5182),
    [sym_unary] = STATE(5182),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2559] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5183),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5183),
    [sym_operator_assignment] = STATE(5183),
    [sym_conditional] = STATE(5183),
    [sym_range] = STATE(5183),
    [sym_binary] = STATE(5183),
    [sym_unary] = STATE(5183),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2560] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5184),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5184),
    [sym_operator_assignment] = STATE(5184),
    [sym_conditional] = STATE(5184),
    [sym_range] = STATE(5184),
    [sym_binary] = STATE(5184),
    [sym_unary] = STATE(5184),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2561] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5185),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5185),
    [sym_operator_assignment] = STATE(5185),
    [sym_conditional] = STATE(5185),
    [sym_range] = STATE(5185),
    [sym_binary] = STATE(5185),
    [sym_unary] = STATE(5185),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2562] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5186),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5186),
    [sym_operator_assignment] = STATE(5186),
    [sym_conditional] = STATE(5186),
    [sym_range] = STATE(5186),
    [sym_binary] = STATE(5186),
    [sym_unary] = STATE(5186),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2563] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5187),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(5187),
    [sym_operator_assignment] = STATE(5187),
    [sym_conditional] = STATE(5187),
    [sym_range] = STATE(5187),
    [sym_binary] = STATE(5187),
    [sym_unary] = STATE(5187),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2564] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(5188),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(5188),
    [sym_operator_assignment] = STATE(5188),
    [sym_conditional] = STATE(5188),
    [sym_range] = STATE(5188),
    [sym_binary] = STATE(5188),
    [sym_unary] = STATE(5188),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2565] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5189),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5189),
    [sym_operator_assignment] = STATE(5189),
    [sym_conditional] = STATE(5189),
    [sym_range] = STATE(5189),
    [sym_binary] = STATE(5189),
    [sym_unary] = STATE(5189),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2566] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5190),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5190),
    [sym_operator_assignment] = STATE(5190),
    [sym_conditional] = STATE(5190),
    [sym_range] = STATE(5190),
    [sym_binary] = STATE(5190),
    [sym_unary] = STATE(5190),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2567] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5191),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5191),
    [sym_operator_assignment] = STATE(5191),
    [sym_conditional] = STATE(5191),
    [sym_range] = STATE(5191),
    [sym_binary] = STATE(5191),
    [sym_unary] = STATE(5191),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2568] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5192),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5192),
    [sym_operator_assignment] = STATE(5192),
    [sym_conditional] = STATE(5192),
    [sym_range] = STATE(5192),
    [sym_binary] = STATE(5192),
    [sym_unary] = STATE(5192),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2569] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5193),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5193),
    [sym_operator_assignment] = STATE(5193),
    [sym_conditional] = STATE(5193),
    [sym_range] = STATE(5193),
    [sym_binary] = STATE(5193),
    [sym_unary] = STATE(5193),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2570] = {
    [sym_heredoc_body] = STATE(5194),
    [aux_sym_call_repeat1] = STATE(5194),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2571] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym__argument] = STATE(4990),
    [sym_splat_argument] = STATE(4990),
    [sym_hash_splat_argument] = STATE(4990),
    [sym_block_argument] = STATE(4990),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(5195),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4990),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2572] = {
    [sym_heredoc_body] = STATE(5196),
    [aux_sym_call_repeat1] = STATE(5196),
    [aux_sym_argument_list_repeat1] = STATE(5197),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4112),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2573] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5198),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_splat_argument] = STATE(5199),
    [sym_assignment] = STATE(5198),
    [sym_operator_assignment] = STATE(5198),
    [sym_conditional] = STATE(5198),
    [sym_range] = STATE(5198),
    [sym_binary] = STATE(5198),
    [sym_unary] = STATE(5198),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(5199),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(4070),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2574] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5200),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(5200),
    [sym_operator_assignment] = STATE(5200),
    [sym_conditional] = STATE(5200),
    [sym_range] = STATE(5200),
    [sym_binary] = STATE(5200),
    [sym_unary] = STATE(5200),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2575] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5201),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(5201),
    [sym_operator_assignment] = STATE(5201),
    [sym_conditional] = STATE(5201),
    [sym_range] = STATE(5201),
    [sym_binary] = STATE(5201),
    [sym_unary] = STATE(5201),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2576] = {
    [sym_string] = STATE(5202),
    [aux_sym_chained_string_repeat1] = STATE(5202),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [2577] = {
    [sym__line_break] = ACTIONS(7704),
    [sym__heredoc_body_start] = ACTIONS(7704),
    [sym__element_reference_left_bracket] = ACTIONS(7704),
    [sym__infix_scope_colons] = ACTIONS(7704),
    [sym__binary_minus] = ACTIONS(7704),
    [sym__binary_star] = ACTIONS(7704),
    [ts_builtin_sym_end] = ACTIONS(7704),
    [anon_sym___END__] = ACTIONS(7704),
    [anon_sym_LBRACE] = ACTIONS(7704),
    [anon_sym_RBRACE] = ACTIONS(7704),
    [anon_sym_RPAREN] = ACTIONS(7704),
    [anon_sym_DOT] = ACTIONS(7706),
    [anon_sym_COMMA] = ACTIONS(7704),
    [anon_sym_PIPE] = ACTIONS(7706),
    [anon_sym_SEMI] = ACTIONS(7704),
    [anon_sym_STAR_STAR] = ACTIONS(7704),
    [anon_sym_AMP] = ACTIONS(7706),
    [anon_sym_LT] = ACTIONS(7706),
    [anon_sym_end] = ACTIONS(7704),
    [anon_sym_if] = ACTIONS(7704),
    [anon_sym_unless] = ACTIONS(7704),
    [anon_sym_while] = ACTIONS(7704),
    [anon_sym_until] = ACTIONS(7704),
    [anon_sym_rescue] = ACTIONS(7704),
    [anon_sym_do] = ACTIONS(7704),
    [anon_sym_when] = ACTIONS(7704),
    [anon_sym_elsif] = ACTIONS(7704),
    [anon_sym_else] = ACTIONS(7704),
    [anon_sym_then] = ACTIONS(7704),
    [anon_sym_ensure] = ACTIONS(7704),
    [anon_sym_EQ_GT] = ACTIONS(7704),
    [anon_sym_AMP_DOT] = ACTIONS(7704),
    [anon_sym_QMARK] = ACTIONS(7704),
    [anon_sym_DOT_DOT] = ACTIONS(7706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7704),
    [anon_sym_and] = ACTIONS(7704),
    [anon_sym_or] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE] = ACTIONS(7704),
    [anon_sym_AMP_AMP] = ACTIONS(7704),
    [anon_sym_LT_LT] = ACTIONS(7704),
    [anon_sym_GT_GT] = ACTIONS(7704),
    [anon_sym_EQ_EQ] = ACTIONS(7706),
    [anon_sym_BANG_EQ] = ACTIONS(7704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7704),
    [anon_sym_LT_EQ_GT] = ACTIONS(7704),
    [anon_sym_EQ_TILDE] = ACTIONS(7704),
    [anon_sym_BANG_TILDE] = ACTIONS(7704),
    [anon_sym_LT_EQ] = ACTIONS(7706),
    [anon_sym_GT] = ACTIONS(7706),
    [anon_sym_GT_EQ] = ACTIONS(7704),
    [anon_sym_CARET] = ACTIONS(7704),
    [anon_sym_PLUS] = ACTIONS(7704),
    [anon_sym_SLASH] = ACTIONS(7704),
    [anon_sym_PERCENT] = ACTIONS(7704),
    [sym_comment] = ACTIONS(87),
  },
  [2578] = {
    [sym__line_break] = ACTIONS(2929),
    [sym__string_start] = ACTIONS(2929),
    [sym__heredoc_body_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__keyword_colon] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [ts_builtin_sym_end] = ACTIONS(2929),
    [anon_sym___END__] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_end] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [anon_sym_rescue] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_when] = ACTIONS(2929),
    [anon_sym_elsif] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_then] = ACTIONS(2929),
    [anon_sym_ensure] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_GT_GT] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(87),
  },
  [2579] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [ts_builtin_sym_end] = ACTIONS(939),
    [anon_sym___END__] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [2580] = {
    [sym_heredoc_body] = STATE(5203),
    [aux_sym_call_repeat1] = STATE(5203),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [ts_builtin_sym_end] = ACTIONS(1693),
    [anon_sym___END__] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2581] = {
    [sym_heredoc_body] = STATE(5203),
    [aux_sym_call_repeat1] = STATE(5203),
    [aux_sym_argument_list_repeat1] = STATE(5204),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [ts_builtin_sym_end] = ACTIONS(1693),
    [anon_sym___END__] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2582] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [2583] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [2584] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5205),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5205),
    [sym_operator_assignment] = STATE(5205),
    [sym_conditional] = STATE(5205),
    [sym_range] = STATE(5205),
    [sym_binary] = STATE(5205),
    [sym_unary] = STATE(5205),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2585] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5206),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5206),
    [sym_operator_assignment] = STATE(5206),
    [sym_conditional] = STATE(5206),
    [sym_range] = STATE(5206),
    [sym_binary] = STATE(5206),
    [sym_unary] = STATE(5206),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2586] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5207),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5207),
    [sym_operator_assignment] = STATE(5207),
    [sym_conditional] = STATE(5207),
    [sym_range] = STATE(5207),
    [sym_binary] = STATE(5207),
    [sym_unary] = STATE(5207),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2587] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5208),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5208),
    [sym_operator_assignment] = STATE(5208),
    [sym_conditional] = STATE(5208),
    [sym_range] = STATE(5208),
    [sym_binary] = STATE(5208),
    [sym_unary] = STATE(5208),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2588] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5209),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5209),
    [sym_operator_assignment] = STATE(5209),
    [sym_conditional] = STATE(5209),
    [sym_range] = STATE(5209),
    [sym_binary] = STATE(5209),
    [sym_unary] = STATE(5209),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2589] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5210),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5210),
    [sym_operator_assignment] = STATE(5210),
    [sym_conditional] = STATE(5210),
    [sym_range] = STATE(5210),
    [sym_binary] = STATE(5210),
    [sym_unary] = STATE(5210),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2590] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(5211),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(5211),
    [sym_operator_assignment] = STATE(5211),
    [sym_conditional] = STATE(5211),
    [sym_range] = STATE(5211),
    [sym_binary] = STATE(5211),
    [sym_unary] = STATE(5211),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2591] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5212),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5212),
    [sym_operator_assignment] = STATE(5212),
    [sym_conditional] = STATE(5212),
    [sym_range] = STATE(5212),
    [sym_binary] = STATE(5212),
    [sym_unary] = STATE(5212),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2592] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5213),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5213),
    [sym_operator_assignment] = STATE(5213),
    [sym_conditional] = STATE(5213),
    [sym_range] = STATE(5213),
    [sym_binary] = STATE(5213),
    [sym_unary] = STATE(5213),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2593] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5214),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5214),
    [sym_operator_assignment] = STATE(5214),
    [sym_conditional] = STATE(5214),
    [sym_range] = STATE(5214),
    [sym_binary] = STATE(5214),
    [sym_unary] = STATE(5214),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2594] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5215),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5215),
    [sym_operator_assignment] = STATE(5215),
    [sym_conditional] = STATE(5215),
    [sym_range] = STATE(5215),
    [sym_binary] = STATE(5215),
    [sym_unary] = STATE(5215),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2595] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5216),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5216),
    [sym_operator_assignment] = STATE(5216),
    [sym_conditional] = STATE(5216),
    [sym_range] = STATE(5216),
    [sym_binary] = STATE(5216),
    [sym_unary] = STATE(5216),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2596] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5217),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_splat_argument] = STATE(5218),
    [sym_assignment] = STATE(5217),
    [sym_operator_assignment] = STATE(5217),
    [sym_conditional] = STATE(5217),
    [sym_range] = STATE(5217),
    [sym_binary] = STATE(5217),
    [sym_unary] = STATE(5217),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(5218),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(371),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2597] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5219),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(5219),
    [sym_operator_assignment] = STATE(5219),
    [sym_conditional] = STATE(5219),
    [sym_range] = STATE(5219),
    [sym_binary] = STATE(5219),
    [sym_unary] = STATE(5219),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2598] = {
    [sym_string] = STATE(5220),
    [aux_sym_chained_string_repeat1] = STATE(5220),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [ts_builtin_sym_end] = ACTIONS(2785),
    [anon_sym___END__] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [2599] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5221),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(5221),
    [sym_operator_assignment] = STATE(5221),
    [sym_conditional] = STATE(5221),
    [sym_range] = STATE(5221),
    [sym_binary] = STATE(5221),
    [sym_unary] = STATE(5221),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2600] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(5222),
    [sym__argument] = STATE(5223),
    [sym_splat_argument] = STATE(5223),
    [sym_hash_splat_argument] = STATE(5223),
    [sym_block_argument] = STATE(5223),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5223),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2601] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(5222),
    [sym__argument] = STATE(5223),
    [sym_splat_argument] = STATE(5223),
    [sym_hash_splat_argument] = STATE(5223),
    [sym_block_argument] = STATE(5223),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5223),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2602] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(5222),
    [sym__argument] = STATE(5223),
    [sym_splat_argument] = STATE(5223),
    [sym_hash_splat_argument] = STATE(5223),
    [sym_block_argument] = STATE(5223),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5223),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2603] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(5222),
    [sym__argument] = STATE(5223),
    [sym_splat_argument] = STATE(5223),
    [sym_hash_splat_argument] = STATE(5223),
    [sym_block_argument] = STATE(5223),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5223),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2604] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5224),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(5224),
    [sym_operator_assignment] = STATE(5224),
    [sym_conditional] = STATE(5224),
    [sym_range] = STATE(5224),
    [sym_binary] = STATE(5224),
    [sym_unary] = STATE(5224),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2605] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5225),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(5225),
    [sym_operator_assignment] = STATE(5225),
    [sym_conditional] = STATE(5225),
    [sym_range] = STATE(5225),
    [sym_binary] = STATE(5225),
    [sym_unary] = STATE(5225),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2606] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1407),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(1407),
    [sym_operator_assignment] = STATE(1407),
    [sym_conditional] = STATE(1407),
    [sym_range] = STATE(1407),
    [sym_binary] = STATE(1407),
    [sym_unary] = STATE(1407),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2607] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(7726),
    [anon_sym_or] = ACTIONS(7726),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [2608] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2196),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(1936),
    [sym__argument_list_with_parens] = STATE(2198),
    [sym__argument] = STATE(2199),
    [sym_splat_argument] = STATE(2199),
    [sym_hash_splat_argument] = STATE(2199),
    [sym_block_argument] = STATE(2199),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(2196),
    [sym_operator_assignment] = STATE(2196),
    [sym_conditional] = STATE(2196),
    [sym_range] = STATE(2196),
    [sym_binary] = STATE(2196),
    [sym_unary] = STATE(2196),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2202),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2199),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(3548),
    [sym__splat_star] = ACTIONS(3550),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3572),
    [sym_identifier] = ACTIONS(3572),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2609] = {
    [anon_sym_EQ] = ACTIONS(7740),
    [sym_comment] = ACTIONS(87),
  },
  [2610] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7742),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7744),
    [anon_sym_DASH_EQ] = ACTIONS(7744),
    [anon_sym_STAR_EQ] = ACTIONS(7744),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7744),
    [anon_sym_SLASH_EQ] = ACTIONS(7744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7744),
    [anon_sym_PIPE_EQ] = ACTIONS(7744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7744),
    [anon_sym_AMP_EQ] = ACTIONS(7744),
    [anon_sym_PERCENT_EQ] = ACTIONS(7744),
    [anon_sym_GT_GT_EQ] = ACTIONS(7744),
    [anon_sym_LT_LT_EQ] = ACTIONS(7744),
    [anon_sym_CARET_EQ] = ACTIONS(7744),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2611] = {
    [sym_string] = STATE(5240),
    [aux_sym_chained_string_repeat1] = STATE(5240),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2612] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(7726),
    [anon_sym_or] = ACTIONS(7726),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [2613] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [2614] = {
    [sym_string] = STATE(2656),
    [aux_sym_chained_string_repeat1] = STATE(2656),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2615] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5241),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(5241),
    [sym_operator_assignment] = STATE(5241),
    [sym_conditional] = STATE(5241),
    [sym_range] = STATE(5241),
    [sym_binary] = STATE(5241),
    [sym_unary] = STATE(5241),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2616] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(7726),
    [anon_sym_or] = ACTIONS(7726),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [2617] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5242),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(5242),
    [sym_operator_assignment] = STATE(5242),
    [sym_conditional] = STATE(5242),
    [sym_range] = STATE(5242),
    [sym_binary] = STATE(5242),
    [sym_unary] = STATE(5242),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2618] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5243),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(5243),
    [sym_operator_assignment] = STATE(5243),
    [sym_conditional] = STATE(5243),
    [sym_range] = STATE(5243),
    [sym_binary] = STATE(5243),
    [sym_unary] = STATE(5243),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2619] = {
    [sym__keyword_colon] = ACTIONS(7746),
    [sym_comment] = ACTIONS(87),
  },
  [2620] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5245),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(5245),
    [sym_operator_assignment] = STATE(5245),
    [sym_conditional] = STATE(5245),
    [sym_range] = STATE(5245),
    [sym_binary] = STATE(5245),
    [sym_unary] = STATE(5245),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2621] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(7746),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2622] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [2623] = {
    [sym_heredoc_body] = STATE(5247),
    [aux_sym_call_repeat1] = STATE(5247),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2624] = {
    [sym_heredoc_body] = STATE(5247),
    [aux_sym_call_repeat1] = STATE(5247),
    [aux_sym_argument_list_repeat1] = STATE(5249),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(7748),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2625] = {
    [sym_string] = STATE(2656),
    [aux_sym_chained_string_repeat1] = STATE(2656),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(7750),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2626] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [2627] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(4214),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT] = ACTIONS(4220),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(4224),
    [anon_sym_DOT_DOT] = ACTIONS(4226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4228),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4232),
    [anon_sym_AMP_AMP] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(4236),
    [anon_sym_BANG_EQ] = ACTIONS(4232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4232),
    [anon_sym_LT_EQ_GT] = ACTIONS(4232),
    [anon_sym_EQ_TILDE] = ACTIONS(4232),
    [anon_sym_BANG_TILDE] = ACTIONS(4232),
    [anon_sym_LT_EQ] = ACTIONS(4220),
    [anon_sym_GT] = ACTIONS(4220),
    [anon_sym_GT_EQ] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [2628] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5251),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5251),
    [sym_operator_assignment] = STATE(5251),
    [sym_conditional] = STATE(5251),
    [sym_range] = STATE(5251),
    [sym_binary] = STATE(5251),
    [sym_unary] = STATE(5251),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2629] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5252),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5252),
    [sym_operator_assignment] = STATE(5252),
    [sym_conditional] = STATE(5252),
    [sym_range] = STATE(5252),
    [sym_binary] = STATE(5252),
    [sym_unary] = STATE(5252),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2630] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5253),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5253),
    [sym_operator_assignment] = STATE(5253),
    [sym_conditional] = STATE(5253),
    [sym_range] = STATE(5253),
    [sym_binary] = STATE(5253),
    [sym_unary] = STATE(5253),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2631] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5254),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5254),
    [sym_operator_assignment] = STATE(5254),
    [sym_conditional] = STATE(5254),
    [sym_range] = STATE(5254),
    [sym_binary] = STATE(5254),
    [sym_unary] = STATE(5254),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2632] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5255),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5255),
    [sym_operator_assignment] = STATE(5255),
    [sym_conditional] = STATE(5255),
    [sym_range] = STATE(5255),
    [sym_binary] = STATE(5255),
    [sym_unary] = STATE(5255),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2633] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5256),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5256),
    [sym_operator_assignment] = STATE(5256),
    [sym_conditional] = STATE(5256),
    [sym_range] = STATE(5256),
    [sym_binary] = STATE(5256),
    [sym_unary] = STATE(5256),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2634] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5257),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(5257),
    [sym_operator_assignment] = STATE(5257),
    [sym_conditional] = STATE(5257),
    [sym_range] = STATE(5257),
    [sym_binary] = STATE(5257),
    [sym_unary] = STATE(5257),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2635] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(5258),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(5258),
    [sym_operator_assignment] = STATE(5258),
    [sym_conditional] = STATE(5258),
    [sym_range] = STATE(5258),
    [sym_binary] = STATE(5258),
    [sym_unary] = STATE(5258),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2636] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5259),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5259),
    [sym_operator_assignment] = STATE(5259),
    [sym_conditional] = STATE(5259),
    [sym_range] = STATE(5259),
    [sym_binary] = STATE(5259),
    [sym_unary] = STATE(5259),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2637] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5260),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5260),
    [sym_operator_assignment] = STATE(5260),
    [sym_conditional] = STATE(5260),
    [sym_range] = STATE(5260),
    [sym_binary] = STATE(5260),
    [sym_unary] = STATE(5260),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2638] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5261),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5261),
    [sym_operator_assignment] = STATE(5261),
    [sym_conditional] = STATE(5261),
    [sym_range] = STATE(5261),
    [sym_binary] = STATE(5261),
    [sym_unary] = STATE(5261),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2639] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5262),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5262),
    [sym_operator_assignment] = STATE(5262),
    [sym_conditional] = STATE(5262),
    [sym_range] = STATE(5262),
    [sym_binary] = STATE(5262),
    [sym_unary] = STATE(5262),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2640] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5263),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5263),
    [sym_operator_assignment] = STATE(5263),
    [sym_conditional] = STATE(5263),
    [sym_range] = STATE(5263),
    [sym_binary] = STATE(5263),
    [sym_unary] = STATE(5263),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2641] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5264),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(5264),
    [sym_operator_assignment] = STATE(5264),
    [sym_conditional] = STATE(5264),
    [sym_range] = STATE(5264),
    [sym_binary] = STATE(5264),
    [sym_unary] = STATE(5264),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2642] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5265),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(5265),
    [sym_operator_assignment] = STATE(5265),
    [sym_conditional] = STATE(5265),
    [sym_range] = STATE(5265),
    [sym_binary] = STATE(5265),
    [sym_unary] = STATE(5265),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2643] = {
    [sym__keyword_colon] = ACTIONS(7752),
    [sym_comment] = ACTIONS(87),
  },
  [2644] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5267),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(5267),
    [sym_operator_assignment] = STATE(5267),
    [sym_conditional] = STATE(5267),
    [sym_range] = STATE(5267),
    [sym_binary] = STATE(5267),
    [sym_unary] = STATE(5267),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [2645] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(7752),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2646] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [2647] = {
    [sym_heredoc_body] = STATE(5269),
    [aux_sym_call_repeat1] = STATE(5269),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [2648] = {
    [sym_heredoc_body] = STATE(5269),
    [aux_sym_call_repeat1] = STATE(5269),
    [aux_sym_argument_list_repeat1] = STATE(5271),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(7754),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [2649] = {
    [sym_string] = STATE(4726),
    [aux_sym_chained_string_repeat1] = STATE(4726),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(7756),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2650] = {
    [sym__line_break] = ACTIONS(7758),
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [ts_builtin_sym_end] = ACTIONS(7758),
    [anon_sym___END__] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RBRACE] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR_STAR] = ACTIONS(7758),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_end] = ACTIONS(7758),
    [anon_sym_if] = ACTIONS(7758),
    [anon_sym_unless] = ACTIONS(7758),
    [anon_sym_while] = ACTIONS(7758),
    [anon_sym_until] = ACTIONS(7758),
    [anon_sym_rescue] = ACTIONS(7758),
    [anon_sym_do] = ACTIONS(7758),
    [anon_sym_when] = ACTIONS(7758),
    [anon_sym_elsif] = ACTIONS(7758),
    [anon_sym_else] = ACTIONS(7758),
    [anon_sym_then] = ACTIONS(7758),
    [anon_sym_ensure] = ACTIONS(7758),
    [anon_sym_EQ_GT] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7758),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7758),
    [anon_sym_or] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE] = ACTIONS(7758),
    [anon_sym_AMP_AMP] = ACTIONS(7758),
    [anon_sym_LT_LT] = ACTIONS(7758),
    [anon_sym_GT_GT] = ACTIONS(7758),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7758),
    [anon_sym_PLUS] = ACTIONS(7758),
    [anon_sym_SLASH] = ACTIONS(7758),
    [anon_sym_PERCENT] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
  },
  [2651] = {
    [anon_sym_RPAREN] = ACTIONS(7762),
    [sym_comment] = ACTIONS(87),
  },
  [2652] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(3689),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(5274),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(5678),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(5680),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2653] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5276),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_splat_argument] = STATE(5277),
    [sym_assignment] = STATE(5276),
    [sym_operator_assignment] = STATE(5276),
    [sym_conditional] = STATE(5276),
    [sym_range] = STATE(5276),
    [sym_binary] = STATE(5276),
    [sym_unary] = STATE(5276),
    [sym_right_assignment_list] = STATE(3693),
    [sym__arg_or_splat_arg] = STATE(5277),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(7764),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2654] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5278),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(5278),
    [sym_operator_assignment] = STATE(5278),
    [sym_conditional] = STATE(5278),
    [sym_range] = STATE(5278),
    [sym_binary] = STATE(5278),
    [sym_unary] = STATE(5278),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2655] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5279),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(5279),
    [sym_operator_assignment] = STATE(5279),
    [sym_conditional] = STATE(5279),
    [sym_range] = STATE(5279),
    [sym_binary] = STATE(5279),
    [sym_unary] = STATE(5279),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2656] = {
    [sym_string] = STATE(5280),
    [aux_sym_chained_string_repeat1] = STATE(5280),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [2657] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(6681),
    [anon_sym___END__] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [2658] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(4130),
    [anon_sym___END__] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2659] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(4170),
    [anon_sym___END__] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2660] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5281),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(5281),
    [sym_operator_assignment] = STATE(5281),
    [sym_conditional] = STATE(5281),
    [sym_range] = STATE(5281),
    [sym_binary] = STATE(5281),
    [sym_unary] = STATE(5281),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2661] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(3186),
    [anon_sym___END__] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2662] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5282),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(5282),
    [sym_operator_assignment] = STATE(5282),
    [sym_conditional] = STATE(5282),
    [sym_range] = STATE(5282),
    [sym_binary] = STATE(5282),
    [sym_unary] = STATE(5282),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2663] = {
    [sym_heredoc_body] = STATE(5283),
    [aux_sym_call_repeat1] = STATE(5283),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [ts_builtin_sym_end] = ACTIONS(4306),
    [anon_sym___END__] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2664] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(951),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(951),
    [sym_operator_assignment] = STATE(951),
    [sym_conditional] = STATE(951),
    [sym_range] = STATE(951),
    [sym_binary] = STATE(951),
    [sym_unary] = STATE(951),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(954),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(5284),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(1623),
    [sym__splat_star] = ACTIONS(1625),
    [sym__unary_minus] = ACTIONS(375),
    [sym__identifier_hash_key] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(7768),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(1629),
    [sym_identifier] = ACTIONS(1629),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2665] = {
    [sym_heredoc_body] = STATE(5285),
    [aux_sym_call_repeat1] = STATE(5285),
    [aux_sym_argument_list_repeat1] = STATE(5286),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [ts_builtin_sym_end] = ACTIONS(4306),
    [anon_sym___END__] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4268),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2666] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5287),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(5287),
    [sym_operator_assignment] = STATE(5287),
    [sym_conditional] = STATE(5287),
    [sym_range] = STATE(5287),
    [sym_binary] = STATE(5287),
    [sym_unary] = STATE(5287),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2667] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(5790),
    [anon_sym___END__] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2668] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [ts_builtin_sym_end] = ACTIONS(5794),
    [anon_sym___END__] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [2669] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2670] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [2671] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2672] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2673] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(6897),
    [anon_sym___END__] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [2674] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(7772),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [2675] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(5902),
    [anon_sym___END__] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2676] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2677] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2678] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2679] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2680] = {
    [sym__line_break] = ACTIONS(5904),
    [sym__heredoc_body_start] = ACTIONS(5904),
    [sym__element_reference_left_bracket] = ACTIONS(5904),
    [sym__infix_scope_colons] = ACTIONS(5904),
    [sym__binary_minus] = ACTIONS(5904),
    [sym__binary_star] = ACTIONS(5904),
    [ts_builtin_sym_end] = ACTIONS(5904),
    [anon_sym___END__] = ACTIONS(5904),
    [anon_sym_LBRACE] = ACTIONS(5904),
    [anon_sym_RBRACE] = ACTIONS(5904),
    [anon_sym_RPAREN] = ACTIONS(5904),
    [anon_sym_DOT] = ACTIONS(5906),
    [anon_sym_COMMA] = ACTIONS(5904),
    [anon_sym_PIPE] = ACTIONS(5906),
    [anon_sym_SEMI] = ACTIONS(5904),
    [anon_sym_STAR_STAR] = ACTIONS(5906),
    [anon_sym_AMP] = ACTIONS(5906),
    [anon_sym_EQ] = ACTIONS(5906),
    [anon_sym_LT] = ACTIONS(5906),
    [anon_sym_end] = ACTIONS(5904),
    [anon_sym_if] = ACTIONS(5904),
    [anon_sym_unless] = ACTIONS(5904),
    [anon_sym_while] = ACTIONS(5904),
    [anon_sym_until] = ACTIONS(5904),
    [anon_sym_rescue] = ACTIONS(5904),
    [anon_sym_do] = ACTIONS(5904),
    [anon_sym_when] = ACTIONS(5904),
    [anon_sym_elsif] = ACTIONS(5904),
    [anon_sym_else] = ACTIONS(5904),
    [anon_sym_then] = ACTIONS(5904),
    [anon_sym_ensure] = ACTIONS(5904),
    [anon_sym_EQ_GT] = ACTIONS(5904),
    [anon_sym_AMP_DOT] = ACTIONS(5904),
    [anon_sym_PLUS_EQ] = ACTIONS(5904),
    [anon_sym_DASH_EQ] = ACTIONS(5904),
    [anon_sym_STAR_EQ] = ACTIONS(5904),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5904),
    [anon_sym_SLASH_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5904),
    [anon_sym_AMP_EQ] = ACTIONS(5904),
    [anon_sym_PERCENT_EQ] = ACTIONS(5904),
    [anon_sym_GT_GT_EQ] = ACTIONS(5904),
    [anon_sym_LT_LT_EQ] = ACTIONS(5904),
    [anon_sym_CARET_EQ] = ACTIONS(5904),
    [anon_sym_QMARK] = ACTIONS(5904),
    [anon_sym_DOT_DOT] = ACTIONS(5906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5904),
    [anon_sym_and] = ACTIONS(5904),
    [anon_sym_or] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE] = ACTIONS(5906),
    [anon_sym_AMP_AMP] = ACTIONS(5906),
    [anon_sym_LT_LT] = ACTIONS(5906),
    [anon_sym_GT_GT] = ACTIONS(5906),
    [anon_sym_EQ_EQ] = ACTIONS(5906),
    [anon_sym_BANG_EQ] = ACTIONS(5904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5904),
    [anon_sym_LT_EQ_GT] = ACTIONS(5904),
    [anon_sym_EQ_TILDE] = ACTIONS(5904),
    [anon_sym_BANG_TILDE] = ACTIONS(5904),
    [anon_sym_LT_EQ] = ACTIONS(5906),
    [anon_sym_GT] = ACTIONS(5906),
    [anon_sym_GT_EQ] = ACTIONS(5904),
    [anon_sym_CARET] = ACTIONS(5906),
    [anon_sym_PLUS] = ACTIONS(5906),
    [anon_sym_SLASH] = ACTIONS(5906),
    [anon_sym_PERCENT] = ACTIONS(5906),
    [sym_comment] = ACTIONS(87),
  },
  [2681] = {
    [sym_heredoc_body] = STATE(5290),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(7776),
    [sym_comment] = ACTIONS(87),
  },
  [2682] = {
    [anon_sym_RBRACK] = ACTIONS(7776),
    [sym_comment] = ACTIONS(87),
  },
  [2683] = {
    [sym__line_break] = ACTIONS(5910),
    [sym__simple_symbol] = ACTIONS(5910),
    [sym__string_start] = ACTIONS(5910),
    [sym__symbol_start] = ACTIONS(5910),
    [sym__subshell_start] = ACTIONS(5910),
    [sym__regex_start] = ACTIONS(5910),
    [sym__string_array_start] = ACTIONS(5910),
    [sym__symbol_array_start] = ACTIONS(5910),
    [sym__heredoc_body_start] = ACTIONS(5910),
    [sym_heredoc_beginning] = ACTIONS(5910),
    [sym__element_reference_left_bracket] = ACTIONS(5910),
    [sym__block_ampersand] = ACTIONS(5910),
    [sym__splat_star] = ACTIONS(5910),
    [sym__argument_list_left_paren] = ACTIONS(5910),
    [sym__infix_scope_colons] = ACTIONS(5910),
    [sym__unary_minus] = ACTIONS(5910),
    [sym__binary_minus] = ACTIONS(5910),
    [sym__binary_star] = ACTIONS(5910),
    [sym__identifier_hash_key] = ACTIONS(5910),
    [ts_builtin_sym_end] = ACTIONS(5910),
    [anon_sym___END__] = ACTIONS(5912),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_RBRACE] = ACTIONS(5910),
    [anon_sym_def] = ACTIONS(5912),
    [anon_sym_LPAREN] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_COLON_COLON] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_STAR_STAR] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_EQ] = ACTIONS(5912),
    [anon_sym_class] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_module] = ACTIONS(5912),
    [anon_sym_end] = ACTIONS(5912),
    [anon_sym_return] = ACTIONS(5912),
    [anon_sym_yield] = ACTIONS(5912),
    [anon_sym_break] = ACTIONS(5912),
    [anon_sym_next] = ACTIONS(5912),
    [sym_redo] = ACTIONS(5912),
    [sym_retry] = ACTIONS(5912),
    [anon_sym_if] = ACTIONS(5912),
    [anon_sym_unless] = ACTIONS(5912),
    [anon_sym_while] = ACTIONS(5912),
    [anon_sym_until] = ACTIONS(5912),
    [anon_sym_rescue] = ACTIONS(5912),
    [anon_sym_for] = ACTIONS(5912),
    [anon_sym_do] = ACTIONS(5912),
    [anon_sym_case] = ACTIONS(5912),
    [anon_sym_when] = ACTIONS(5912),
    [anon_sym_elsif] = ACTIONS(5912),
    [anon_sym_else] = ACTIONS(5912),
    [anon_sym_then] = ACTIONS(5912),
    [anon_sym_begin] = ACTIONS(5912),
    [anon_sym_ensure] = ACTIONS(5912),
    [anon_sym_EQ_GT] = ACTIONS(5910),
    [anon_sym_AMP_DOT] = ACTIONS(5910),
    [anon_sym_PLUS_EQ] = ACTIONS(5910),
    [anon_sym_DASH_EQ] = ACTIONS(5910),
    [anon_sym_STAR_EQ] = ACTIONS(5910),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5910),
    [anon_sym_SLASH_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5910),
    [anon_sym_AMP_EQ] = ACTIONS(5910),
    [anon_sym_PERCENT_EQ] = ACTIONS(5910),
    [anon_sym_GT_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_LT_EQ] = ACTIONS(5910),
    [anon_sym_CARET_EQ] = ACTIONS(5910),
    [anon_sym_QMARK] = ACTIONS(5912),
    [anon_sym_DOT_DOT] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_and] = ACTIONS(5912),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_PIPE_PIPE] = ACTIONS(5912),
    [anon_sym_AMP_AMP] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5912),
    [anon_sym_GT_GT] = ACTIONS(5912),
    [anon_sym_EQ_EQ] = ACTIONS(5912),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_EQ_TILDE] = ACTIONS(5910),
    [anon_sym_BANG_TILDE] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5912),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_CARET] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5912),
    [anon_sym_defined_QMARK] = ACTIONS(5910),
    [anon_sym_not] = ACTIONS(5912),
    [anon_sym_BANG] = ACTIONS(5912),
    [anon_sym_TILDE] = ACTIONS(5910),
    [sym_constant] = ACTIONS(5912),
    [sym_identifier] = ACTIONS(5912),
    [sym_instance_variable] = ACTIONS(5910),
    [sym_class_variable] = ACTIONS(5910),
    [sym_global_variable] = ACTIONS(5910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5912),
    [sym_float] = ACTIONS(5912),
    [sym_complex] = ACTIONS(5910),
    [sym_super] = ACTIONS(5912),
    [anon_sym_true] = ACTIONS(5912),
    [anon_sym_TRUE] = ACTIONS(5912),
    [anon_sym_false] = ACTIONS(5912),
    [anon_sym_FALSE] = ACTIONS(5912),
    [sym_self] = ACTIONS(5912),
    [anon_sym_nil] = ACTIONS(5912),
    [anon_sym_NIL] = ACTIONS(5912),
    [sym_character] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
  },
  [2684] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(5292),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(5293),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(7778),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [2685] = {
    [sym__line_break] = ACTIONS(1267),
    [sym__simple_symbol] = ACTIONS(1267),
    [sym__string_start] = ACTIONS(1267),
    [sym__symbol_start] = ACTIONS(1267),
    [sym__subshell_start] = ACTIONS(1267),
    [sym__regex_start] = ACTIONS(1267),
    [sym__string_array_start] = ACTIONS(1267),
    [sym__symbol_array_start] = ACTIONS(1267),
    [sym__heredoc_body_start] = ACTIONS(1267),
    [sym_heredoc_beginning] = ACTIONS(1267),
    [sym__element_reference_left_bracket] = ACTIONS(1267),
    [sym__block_ampersand] = ACTIONS(1267),
    [sym__splat_star] = ACTIONS(1267),
    [sym__argument_list_left_paren] = ACTIONS(1267),
    [sym__infix_scope_colons] = ACTIONS(1267),
    [sym__unary_minus] = ACTIONS(1267),
    [sym__binary_minus] = ACTIONS(1267),
    [sym__binary_star] = ACTIONS(1267),
    [sym__identifier_hash_key] = ACTIONS(1267),
    [ts_builtin_sym_end] = ACTIONS(1267),
    [anon_sym___END__] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_def] = ACTIONS(1269),
    [anon_sym_LPAREN] = ACTIONS(1267),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [anon_sym_DOT] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_end] = ACTIONS(1269),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_yield] = ACTIONS(1269),
    [anon_sym_break] = ACTIONS(1269),
    [anon_sym_next] = ACTIONS(1269),
    [sym_redo] = ACTIONS(1269),
    [sym_retry] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1269),
    [anon_sym_unless] = ACTIONS(1269),
    [anon_sym_while] = ACTIONS(1269),
    [anon_sym_until] = ACTIONS(1269),
    [anon_sym_rescue] = ACTIONS(1269),
    [anon_sym_for] = ACTIONS(1269),
    [anon_sym_do] = ACTIONS(1269),
    [anon_sym_case] = ACTIONS(1269),
    [anon_sym_when] = ACTIONS(1269),
    [anon_sym_elsif] = ACTIONS(1269),
    [anon_sym_else] = ACTIONS(1269),
    [anon_sym_then] = ACTIONS(1269),
    [anon_sym_begin] = ACTIONS(1269),
    [anon_sym_ensure] = ACTIONS(1269),
    [anon_sym_EQ_GT] = ACTIONS(1267),
    [anon_sym_AMP_DOT] = ACTIONS(1267),
    [anon_sym_PLUS_EQ] = ACTIONS(1267),
    [anon_sym_DASH_EQ] = ACTIONS(1267),
    [anon_sym_STAR_EQ] = ACTIONS(1267),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1267),
    [anon_sym_SLASH_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1267),
    [anon_sym_AMP_EQ] = ACTIONS(1267),
    [anon_sym_PERCENT_EQ] = ACTIONS(1267),
    [anon_sym_GT_GT_EQ] = ACTIONS(1267),
    [anon_sym_LT_LT_EQ] = ACTIONS(1267),
    [anon_sym_CARET_EQ] = ACTIONS(1267),
    [anon_sym_QMARK] = ACTIONS(1269),
    [anon_sym_DOT_DOT] = ACTIONS(1269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1267),
    [anon_sym_and] = ACTIONS(1269),
    [anon_sym_or] = ACTIONS(1269),
    [anon_sym_PIPE_PIPE] = ACTIONS(1269),
    [anon_sym_AMP_AMP] = ACTIONS(1269),
    [anon_sym_LT_LT] = ACTIONS(1269),
    [anon_sym_GT_GT] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_BANG_EQ] = ACTIONS(1267),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1267),
    [anon_sym_LT_EQ_GT] = ACTIONS(1267),
    [anon_sym_EQ_TILDE] = ACTIONS(1267),
    [anon_sym_BANG_TILDE] = ACTIONS(1267),
    [anon_sym_LT_EQ] = ACTIONS(1269),
    [anon_sym_GT] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1267),
    [anon_sym_not] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1267),
    [sym_constant] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1269),
    [sym_instance_variable] = ACTIONS(1267),
    [sym_class_variable] = ACTIONS(1267),
    [sym_global_variable] = ACTIONS(1267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1269),
    [sym_float] = ACTIONS(1269),
    [sym_complex] = ACTIONS(1267),
    [sym_super] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1269),
    [anon_sym_TRUE] = ACTIONS(1269),
    [anon_sym_false] = ACTIONS(1269),
    [anon_sym_FALSE] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [anon_sym_nil] = ACTIONS(1269),
    [anon_sym_NIL] = ACTIONS(1269),
    [sym_character] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1267),
    [anon_sym_DASH_GT] = ACTIONS(1267),
  },
  [2686] = {
    [sym__line_break] = ACTIONS(5920),
    [sym__simple_symbol] = ACTIONS(5920),
    [sym__string_start] = ACTIONS(5920),
    [sym__symbol_start] = ACTIONS(5920),
    [sym__subshell_start] = ACTIONS(5920),
    [sym__regex_start] = ACTIONS(5920),
    [sym__string_array_start] = ACTIONS(5920),
    [sym__symbol_array_start] = ACTIONS(5920),
    [sym__heredoc_body_start] = ACTIONS(5920),
    [sym_heredoc_beginning] = ACTIONS(5920),
    [sym__element_reference_left_bracket] = ACTIONS(5920),
    [sym__block_ampersand] = ACTIONS(5920),
    [sym__splat_star] = ACTIONS(5920),
    [sym__argument_list_left_paren] = ACTIONS(5920),
    [sym__infix_scope_colons] = ACTIONS(5920),
    [sym__unary_minus] = ACTIONS(5920),
    [sym__binary_minus] = ACTIONS(5920),
    [sym__binary_star] = ACTIONS(5920),
    [sym__identifier_hash_key] = ACTIONS(5920),
    [ts_builtin_sym_end] = ACTIONS(5920),
    [anon_sym___END__] = ACTIONS(5922),
    [anon_sym_LBRACE] = ACTIONS(5920),
    [anon_sym_RBRACE] = ACTIONS(5920),
    [anon_sym_def] = ACTIONS(5922),
    [anon_sym_LPAREN] = ACTIONS(5920),
    [anon_sym_RPAREN] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5922),
    [anon_sym_COLON_COLON] = ACTIONS(5920),
    [anon_sym_COMMA] = ACTIONS(5920),
    [anon_sym_PIPE] = ACTIONS(5922),
    [anon_sym_SEMI] = ACTIONS(5920),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_STAR_STAR] = ACTIONS(5922),
    [anon_sym_AMP] = ACTIONS(5922),
    [anon_sym_EQ] = ACTIONS(5922),
    [anon_sym_class] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(5922),
    [anon_sym_module] = ACTIONS(5922),
    [anon_sym_end] = ACTIONS(5922),
    [anon_sym_return] = ACTIONS(5922),
    [anon_sym_yield] = ACTIONS(5922),
    [anon_sym_break] = ACTIONS(5922),
    [anon_sym_next] = ACTIONS(5922),
    [sym_redo] = ACTIONS(5922),
    [sym_retry] = ACTIONS(5922),
    [anon_sym_if] = ACTIONS(5922),
    [anon_sym_unless] = ACTIONS(5922),
    [anon_sym_while] = ACTIONS(5922),
    [anon_sym_until] = ACTIONS(5922),
    [anon_sym_rescue] = ACTIONS(5922),
    [anon_sym_for] = ACTIONS(5922),
    [anon_sym_do] = ACTIONS(5922),
    [anon_sym_case] = ACTIONS(5922),
    [anon_sym_when] = ACTIONS(5922),
    [anon_sym_elsif] = ACTIONS(5922),
    [anon_sym_else] = ACTIONS(5922),
    [anon_sym_then] = ACTIONS(5922),
    [anon_sym_begin] = ACTIONS(5922),
    [anon_sym_ensure] = ACTIONS(5922),
    [anon_sym_EQ_GT] = ACTIONS(5920),
    [anon_sym_AMP_DOT] = ACTIONS(5920),
    [anon_sym_PLUS_EQ] = ACTIONS(5920),
    [anon_sym_DASH_EQ] = ACTIONS(5920),
    [anon_sym_STAR_EQ] = ACTIONS(5920),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5920),
    [anon_sym_SLASH_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5920),
    [anon_sym_AMP_EQ] = ACTIONS(5920),
    [anon_sym_PERCENT_EQ] = ACTIONS(5920),
    [anon_sym_GT_GT_EQ] = ACTIONS(5920),
    [anon_sym_LT_LT_EQ] = ACTIONS(5920),
    [anon_sym_CARET_EQ] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_DOT_DOT] = ACTIONS(5922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5920),
    [anon_sym_and] = ACTIONS(5922),
    [anon_sym_or] = ACTIONS(5922),
    [anon_sym_PIPE_PIPE] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5922),
    [anon_sym_LT_LT] = ACTIONS(5922),
    [anon_sym_GT_GT] = ACTIONS(5922),
    [anon_sym_EQ_EQ] = ACTIONS(5922),
    [anon_sym_BANG_EQ] = ACTIONS(5920),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5920),
    [anon_sym_LT_EQ_GT] = ACTIONS(5920),
    [anon_sym_EQ_TILDE] = ACTIONS(5920),
    [anon_sym_BANG_TILDE] = ACTIONS(5920),
    [anon_sym_LT_EQ] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(5922),
    [anon_sym_GT_EQ] = ACTIONS(5920),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_PLUS] = ACTIONS(5922),
    [anon_sym_SLASH] = ACTIONS(5922),
    [anon_sym_PERCENT] = ACTIONS(5922),
    [anon_sym_defined_QMARK] = ACTIONS(5920),
    [anon_sym_not] = ACTIONS(5922),
    [anon_sym_BANG] = ACTIONS(5922),
    [anon_sym_TILDE] = ACTIONS(5920),
    [sym_constant] = ACTIONS(5922),
    [sym_identifier] = ACTIONS(5922),
    [sym_instance_variable] = ACTIONS(5920),
    [sym_class_variable] = ACTIONS(5920),
    [sym_global_variable] = ACTIONS(5920),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5922),
    [sym_float] = ACTIONS(5922),
    [sym_complex] = ACTIONS(5920),
    [sym_super] = ACTIONS(5922),
    [anon_sym_true] = ACTIONS(5922),
    [anon_sym_TRUE] = ACTIONS(5922),
    [anon_sym_false] = ACTIONS(5922),
    [anon_sym_FALSE] = ACTIONS(5922),
    [sym_self] = ACTIONS(5922),
    [anon_sym_nil] = ACTIONS(5922),
    [anon_sym_NIL] = ACTIONS(5922),
    [sym_character] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
  },
  [2687] = {
    [sym__line_break] = ACTIONS(5924),
    [sym__simple_symbol] = ACTIONS(5924),
    [sym__string_start] = ACTIONS(5924),
    [sym__symbol_start] = ACTIONS(5924),
    [sym__subshell_start] = ACTIONS(5924),
    [sym__regex_start] = ACTIONS(5924),
    [sym__string_array_start] = ACTIONS(5924),
    [sym__symbol_array_start] = ACTIONS(5924),
    [sym__heredoc_body_start] = ACTIONS(5924),
    [sym_heredoc_beginning] = ACTIONS(5924),
    [sym__element_reference_left_bracket] = ACTIONS(5924),
    [sym__block_ampersand] = ACTIONS(5924),
    [sym__splat_star] = ACTIONS(5924),
    [sym__argument_list_left_paren] = ACTIONS(5924),
    [sym__infix_scope_colons] = ACTIONS(5924),
    [sym__unary_minus] = ACTIONS(5924),
    [sym__binary_minus] = ACTIONS(5924),
    [sym__binary_star] = ACTIONS(5924),
    [sym__identifier_hash_key] = ACTIONS(5924),
    [ts_builtin_sym_end] = ACTIONS(5924),
    [anon_sym___END__] = ACTIONS(5926),
    [anon_sym_LBRACE] = ACTIONS(5924),
    [anon_sym_RBRACE] = ACTIONS(5924),
    [anon_sym_def] = ACTIONS(5926),
    [anon_sym_LPAREN] = ACTIONS(5924),
    [anon_sym_RPAREN] = ACTIONS(5924),
    [anon_sym_DOT] = ACTIONS(5926),
    [anon_sym_COLON_COLON] = ACTIONS(5924),
    [anon_sym_COMMA] = ACTIONS(5924),
    [anon_sym_PIPE] = ACTIONS(5926),
    [anon_sym_SEMI] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_STAR_STAR] = ACTIONS(5926),
    [anon_sym_AMP] = ACTIONS(5926),
    [anon_sym_EQ] = ACTIONS(5926),
    [anon_sym_class] = ACTIONS(5926),
    [anon_sym_LT] = ACTIONS(5926),
    [anon_sym_module] = ACTIONS(5926),
    [anon_sym_end] = ACTIONS(5926),
    [anon_sym_return] = ACTIONS(5926),
    [anon_sym_yield] = ACTIONS(5926),
    [anon_sym_break] = ACTIONS(5926),
    [anon_sym_next] = ACTIONS(5926),
    [sym_redo] = ACTIONS(5926),
    [sym_retry] = ACTIONS(5926),
    [anon_sym_if] = ACTIONS(5926),
    [anon_sym_unless] = ACTIONS(5926),
    [anon_sym_while] = ACTIONS(5926),
    [anon_sym_until] = ACTIONS(5926),
    [anon_sym_rescue] = ACTIONS(5926),
    [anon_sym_for] = ACTIONS(5926),
    [anon_sym_do] = ACTIONS(5926),
    [anon_sym_case] = ACTIONS(5926),
    [anon_sym_when] = ACTIONS(5926),
    [anon_sym_elsif] = ACTIONS(5926),
    [anon_sym_else] = ACTIONS(5926),
    [anon_sym_then] = ACTIONS(5926),
    [anon_sym_begin] = ACTIONS(5926),
    [anon_sym_ensure] = ACTIONS(5926),
    [anon_sym_EQ_GT] = ACTIONS(5924),
    [anon_sym_AMP_DOT] = ACTIONS(5924),
    [anon_sym_PLUS_EQ] = ACTIONS(5924),
    [anon_sym_DASH_EQ] = ACTIONS(5924),
    [anon_sym_STAR_EQ] = ACTIONS(5924),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5924),
    [anon_sym_SLASH_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5924),
    [anon_sym_AMP_EQ] = ACTIONS(5924),
    [anon_sym_PERCENT_EQ] = ACTIONS(5924),
    [anon_sym_GT_GT_EQ] = ACTIONS(5924),
    [anon_sym_LT_LT_EQ] = ACTIONS(5924),
    [anon_sym_CARET_EQ] = ACTIONS(5924),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_DOT_DOT] = ACTIONS(5926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5924),
    [anon_sym_and] = ACTIONS(5926),
    [anon_sym_or] = ACTIONS(5926),
    [anon_sym_PIPE_PIPE] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_LT_LT] = ACTIONS(5926),
    [anon_sym_GT_GT] = ACTIONS(5926),
    [anon_sym_EQ_EQ] = ACTIONS(5926),
    [anon_sym_BANG_EQ] = ACTIONS(5924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5924),
    [anon_sym_LT_EQ_GT] = ACTIONS(5924),
    [anon_sym_EQ_TILDE] = ACTIONS(5924),
    [anon_sym_BANG_TILDE] = ACTIONS(5924),
    [anon_sym_LT_EQ] = ACTIONS(5926),
    [anon_sym_GT] = ACTIONS(5926),
    [anon_sym_GT_EQ] = ACTIONS(5924),
    [anon_sym_CARET] = ACTIONS(5926),
    [anon_sym_PLUS] = ACTIONS(5926),
    [anon_sym_SLASH] = ACTIONS(5926),
    [anon_sym_PERCENT] = ACTIONS(5926),
    [anon_sym_defined_QMARK] = ACTIONS(5924),
    [anon_sym_not] = ACTIONS(5926),
    [anon_sym_BANG] = ACTIONS(5926),
    [anon_sym_TILDE] = ACTIONS(5924),
    [sym_constant] = ACTIONS(5926),
    [sym_identifier] = ACTIONS(5926),
    [sym_instance_variable] = ACTIONS(5924),
    [sym_class_variable] = ACTIONS(5924),
    [sym_global_variable] = ACTIONS(5924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5926),
    [sym_float] = ACTIONS(5926),
    [sym_complex] = ACTIONS(5924),
    [sym_super] = ACTIONS(5926),
    [anon_sym_true] = ACTIONS(5926),
    [anon_sym_TRUE] = ACTIONS(5926),
    [anon_sym_false] = ACTIONS(5926),
    [anon_sym_FALSE] = ACTIONS(5926),
    [sym_self] = ACTIONS(5926),
    [anon_sym_nil] = ACTIONS(5926),
    [anon_sym_NIL] = ACTIONS(5926),
    [sym_character] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5924),
    [anon_sym_DASH_GT] = ACTIONS(5924),
  },
  [2688] = {
    [sym_argument_list_with_parens] = STATE(5294),
    [sym__argument_list_with_parens] = STATE(2687),
    [sym_operator] = STATE(5294),
    [sym_heredoc_body] = STATE(3808),
    [aux_sym_call_repeat1] = STATE(3808),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(4276),
    [anon_sym_PIPE] = ACTIONS(4278),
    [anon_sym_STAR] = ACTIONS(4280),
    [anon_sym_STAR_STAR] = ACTIONS(4278),
    [anon_sym_AMP] = ACTIONS(4278),
    [anon_sym_LT] = ACTIONS(4280),
    [anon_sym_DOT_DOT] = ACTIONS(4278),
    [anon_sym_LT_LT] = ACTIONS(4278),
    [anon_sym_GT_GT] = ACTIONS(4278),
    [anon_sym_EQ_EQ] = ACTIONS(4280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4278),
    [anon_sym_LT_EQ_GT] = ACTIONS(4278),
    [anon_sym_EQ_TILDE] = ACTIONS(4278),
    [anon_sym_BANG_TILDE] = ACTIONS(4278),
    [anon_sym_LT_EQ] = ACTIONS(4280),
    [anon_sym_GT] = ACTIONS(4280),
    [anon_sym_GT_EQ] = ACTIONS(4278),
    [anon_sym_CARET] = ACTIONS(4278),
    [anon_sym_PLUS] = ACTIONS(4280),
    [anon_sym_SLASH] = ACTIONS(4278),
    [anon_sym_PERCENT] = ACTIONS(4278),
    [anon_sym_BANG] = ACTIONS(4280),
    [anon_sym_TILDE] = ACTIONS(4278),
    [sym_constant] = ACTIONS(7780),
    [sym_identifier] = ACTIONS(7780),
    [anon_sym_DASH] = ACTIONS(4280),
    [anon_sym_PLUS_AT] = ACTIONS(4278),
    [anon_sym_DASH_AT] = ACTIONS(4278),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(4280),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(4278),
    [anon_sym_BQUOTE] = ACTIONS(4278),
    [sym_comment] = ACTIONS(87),
  },
  [2689] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(4130),
    [anon_sym___END__] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [2690] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(4170),
    [anon_sym___END__] = ACTIONS(4170),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [2691] = {
    [sym__line_break] = ACTIONS(4198),
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [ts_builtin_sym_end] = ACTIONS(4198),
    [anon_sym___END__] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR_STAR] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_end] = ACTIONS(4198),
    [anon_sym_if] = ACTIONS(4198),
    [anon_sym_unless] = ACTIONS(4198),
    [anon_sym_while] = ACTIONS(4198),
    [anon_sym_until] = ACTIONS(4198),
    [anon_sym_rescue] = ACTIONS(4198),
    [anon_sym_do] = ACTIONS(4198),
    [anon_sym_when] = ACTIONS(4198),
    [anon_sym_elsif] = ACTIONS(4198),
    [anon_sym_else] = ACTIONS(4198),
    [anon_sym_then] = ACTIONS(4198),
    [anon_sym_ensure] = ACTIONS(4198),
    [anon_sym_EQ_GT] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS_EQ] = ACTIONS(4198),
    [anon_sym_DASH_EQ] = ACTIONS(4198),
    [anon_sym_STAR_EQ] = ACTIONS(4198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4198),
    [anon_sym_SLASH_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4198),
    [anon_sym_AMP_EQ] = ACTIONS(4198),
    [anon_sym_PERCENT_EQ] = ACTIONS(4198),
    [anon_sym_GT_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_LT_EQ] = ACTIONS(4198),
    [anon_sym_CARET_EQ] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4198),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4198),
    [anon_sym_or] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE] = ACTIONS(4200),
    [anon_sym_AMP_AMP] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [sym_comment] = ACTIONS(87),
  },
  [2692] = {
    [sym_heredoc_body] = STATE(5296),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(7782),
    [sym_comment] = ACTIONS(87),
  },
  [2693] = {
    [anon_sym_RPAREN] = ACTIONS(7782),
    [sym_comment] = ACTIONS(87),
  },
  [2694] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5297),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(5297),
    [sym_operator_assignment] = STATE(5297),
    [sym_conditional] = STATE(5297),
    [sym_range] = STATE(5297),
    [sym_binary] = STATE(5297),
    [sym_unary] = STATE(5297),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2695] = {
    [sym__line_break] = ACTIONS(5684),
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [ts_builtin_sym_end] = ACTIONS(5684),
    [anon_sym___END__] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_end] = ACTIONS(5684),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_when] = ACTIONS(5684),
    [anon_sym_elsif] = ACTIONS(5684),
    [anon_sym_else] = ACTIONS(5684),
    [anon_sym_then] = ACTIONS(5684),
    [anon_sym_ensure] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [2696] = {
    [anon_sym_RBRACE] = ACTIONS(7784),
    [sym_comment] = ACTIONS(87),
  },
  [2697] = {
    [sym__statements] = STATE(5299),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(7784),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2698] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(3186),
    [anon_sym___END__] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [2699] = {
    [sym__line_break] = ACTIONS(5724),
    [sym__heredoc_body_start] = ACTIONS(5724),
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [sym__binary_minus] = ACTIONS(5724),
    [sym__binary_star] = ACTIONS(5724),
    [ts_builtin_sym_end] = ACTIONS(5724),
    [anon_sym___END__] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym_STAR_STAR] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_end] = ACTIONS(5724),
    [anon_sym_if] = ACTIONS(5724),
    [anon_sym_unless] = ACTIONS(5724),
    [anon_sym_while] = ACTIONS(5724),
    [anon_sym_until] = ACTIONS(5724),
    [anon_sym_rescue] = ACTIONS(5724),
    [anon_sym_do] = ACTIONS(5724),
    [anon_sym_when] = ACTIONS(5724),
    [anon_sym_elsif] = ACTIONS(5724),
    [anon_sym_else] = ACTIONS(5724),
    [anon_sym_then] = ACTIONS(5724),
    [anon_sym_ensure] = ACTIONS(5724),
    [anon_sym_EQ_GT] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [anon_sym_PLUS_EQ] = ACTIONS(5724),
    [anon_sym_DASH_EQ] = ACTIONS(5724),
    [anon_sym_STAR_EQ] = ACTIONS(5724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5724),
    [anon_sym_SLASH_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5724),
    [anon_sym_AMP_EQ] = ACTIONS(5724),
    [anon_sym_PERCENT_EQ] = ACTIONS(5724),
    [anon_sym_GT_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_LT_EQ] = ACTIONS(5724),
    [anon_sym_CARET_EQ] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_DOT_DOT] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5726),
    [anon_sym_AMP_AMP] = ACTIONS(5726),
    [anon_sym_LT_LT] = ACTIONS(5726),
    [anon_sym_GT_GT] = ACTIONS(5726),
    [anon_sym_EQ_EQ] = ACTIONS(5726),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_EQ_TILDE] = ACTIONS(5724),
    [anon_sym_BANG_TILDE] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_CARET] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_SLASH] = ACTIONS(5726),
    [anon_sym_PERCENT] = ACTIONS(5726),
    [sym_comment] = ACTIONS(87),
  },
  [2700] = {
    [anon_sym_end] = ACTIONS(7786),
    [sym_comment] = ACTIONS(87),
  },
  [2701] = {
    [sym__statements] = STATE(5301),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(5302),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(5302),
    [sym__line_break] = ACTIONS(7788),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7790),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2702] = {
    [sym__statements] = STATE(5301),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(5303),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(7790),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2703] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5304),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(5304),
    [sym_operator_assignment] = STATE(5304),
    [sym_conditional] = STATE(5304),
    [sym_range] = STATE(5304),
    [sym_binary] = STATE(5304),
    [sym_unary] = STATE(5304),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2704] = {
    [sym__line_break] = ACTIONS(6134),
    [sym__heredoc_body_start] = ACTIONS(6134),
    [sym__element_reference_left_bracket] = ACTIONS(6134),
    [sym__infix_scope_colons] = ACTIONS(6134),
    [sym__binary_minus] = ACTIONS(6134),
    [sym__binary_star] = ACTIONS(6134),
    [ts_builtin_sym_end] = ACTIONS(6134),
    [anon_sym___END__] = ACTIONS(6134),
    [anon_sym_LBRACE] = ACTIONS(6134),
    [anon_sym_RBRACE] = ACTIONS(6134),
    [anon_sym_RPAREN] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6136),
    [anon_sym_COMMA] = ACTIONS(6134),
    [anon_sym_PIPE] = ACTIONS(6136),
    [anon_sym_SEMI] = ACTIONS(6134),
    [anon_sym_STAR_STAR] = ACTIONS(6136),
    [anon_sym_AMP] = ACTIONS(6136),
    [anon_sym_EQ] = ACTIONS(6136),
    [anon_sym_LT] = ACTIONS(6136),
    [anon_sym_end] = ACTIONS(6134),
    [anon_sym_if] = ACTIONS(6134),
    [anon_sym_unless] = ACTIONS(6134),
    [anon_sym_while] = ACTIONS(6134),
    [anon_sym_until] = ACTIONS(6134),
    [anon_sym_rescue] = ACTIONS(6134),
    [anon_sym_do] = ACTIONS(6134),
    [anon_sym_when] = ACTIONS(6134),
    [anon_sym_elsif] = ACTIONS(6134),
    [anon_sym_else] = ACTIONS(6134),
    [anon_sym_then] = ACTIONS(6134),
    [anon_sym_ensure] = ACTIONS(6134),
    [anon_sym_EQ_GT] = ACTIONS(6134),
    [anon_sym_AMP_DOT] = ACTIONS(6134),
    [anon_sym_PLUS_EQ] = ACTIONS(6134),
    [anon_sym_DASH_EQ] = ACTIONS(6134),
    [anon_sym_STAR_EQ] = ACTIONS(6134),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6134),
    [anon_sym_SLASH_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6134),
    [anon_sym_AMP_EQ] = ACTIONS(6134),
    [anon_sym_PERCENT_EQ] = ACTIONS(6134),
    [anon_sym_GT_GT_EQ] = ACTIONS(6134),
    [anon_sym_LT_LT_EQ] = ACTIONS(6134),
    [anon_sym_CARET_EQ] = ACTIONS(6134),
    [anon_sym_QMARK] = ACTIONS(6134),
    [anon_sym_DOT_DOT] = ACTIONS(6136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6134),
    [anon_sym_and] = ACTIONS(6134),
    [anon_sym_or] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE] = ACTIONS(6136),
    [anon_sym_AMP_AMP] = ACTIONS(6136),
    [anon_sym_LT_LT] = ACTIONS(6136),
    [anon_sym_GT_GT] = ACTIONS(6136),
    [anon_sym_EQ_EQ] = ACTIONS(6136),
    [anon_sym_BANG_EQ] = ACTIONS(6134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6134),
    [anon_sym_LT_EQ_GT] = ACTIONS(6134),
    [anon_sym_EQ_TILDE] = ACTIONS(6134),
    [anon_sym_BANG_TILDE] = ACTIONS(6134),
    [anon_sym_LT_EQ] = ACTIONS(6136),
    [anon_sym_GT] = ACTIONS(6136),
    [anon_sym_GT_EQ] = ACTIONS(6134),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PLUS] = ACTIONS(6136),
    [anon_sym_SLASH] = ACTIONS(6136),
    [anon_sym_PERCENT] = ACTIONS(6136),
    [sym_comment] = ACTIONS(87),
  },
  [2705] = {
    [sym_interpolation] = STATE(5306),
    [aux_sym_heredoc_body_repeat1] = STATE(5306),
    [sym__heredoc_content] = ACTIONS(7792),
    [sym_heredoc_end] = ACTIONS(7794),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(7792),
  },
  [2706] = {
    [sym_heredoc_body] = STATE(5307),
    [aux_sym_call_repeat1] = STATE(5307),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [ts_builtin_sym_end] = ACTIONS(4306),
    [anon_sym___END__] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [2707] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(982),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(982),
    [sym_operator_assignment] = STATE(982),
    [sym_conditional] = STATE(982),
    [sym_range] = STATE(982),
    [sym_binary] = STATE(982),
    [sym_unary] = STATE(982),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(987),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(5309),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(1675),
    [sym__splat_star] = ACTIONS(1677),
    [sym__unary_minus] = ACTIONS(771),
    [sym__identifier_hash_key] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(7796),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1687),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2708] = {
    [sym_heredoc_body] = STATE(5310),
    [aux_sym_call_repeat1] = STATE(5310),
    [aux_sym_argument_list_repeat1] = STATE(5311),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [ts_builtin_sym_end] = ACTIONS(4306),
    [anon_sym___END__] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4298),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [2709] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5312),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(5312),
    [sym_operator_assignment] = STATE(5312),
    [sym_conditional] = STATE(5312),
    [sym_range] = STATE(5312),
    [sym_binary] = STATE(5312),
    [sym_unary] = STATE(5312),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2710] = {
    [sym__line_break] = ACTIONS(3138),
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym__element_reference_left_bracket] = ACTIONS(3138),
    [sym__infix_scope_colons] = ACTIONS(3138),
    [sym__binary_minus] = ACTIONS(3138),
    [sym__binary_star] = ACTIONS(3138),
    [ts_builtin_sym_end] = ACTIONS(3138),
    [anon_sym___END__] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_STAR_STAR] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_end] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_unless] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_until] = ACTIONS(3138),
    [anon_sym_rescue] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_when] = ACTIONS(3138),
    [anon_sym_elsif] = ACTIONS(3138),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_then] = ACTIONS(3138),
    [anon_sym_ensure] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [anon_sym_AMP_DOT] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_LT_LT] = ACTIONS(3138),
    [anon_sym_GT_GT] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_CARET] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(87),
  },
  [2711] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(7798),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [2712] = {
    [sym_heredoc_body] = STATE(2712),
    [aux_sym_call_repeat1] = STATE(2712),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [ts_builtin_sym_end] = ACTIONS(7800),
    [anon_sym___END__] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [2713] = {
    [sym_interpolation] = STATE(5315),
    [aux_sym_heredoc_body_repeat1] = STATE(5315),
    [sym__heredoc_content] = ACTIONS(7807),
    [sym_heredoc_end] = ACTIONS(7809),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(7807),
  },
  [2714] = {
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [ts_builtin_sym_end] = ACTIONS(7811),
    [anon_sym___END__] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(7811),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_when] = ACTIONS(7811),
    [anon_sym_elsif] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_ensure] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [2715] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(221),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(221),
    [sym_operator_assignment] = STATE(221),
    [sym_conditional] = STATE(221),
    [sym_range] = STATE(221),
    [sym_binary] = STATE(221),
    [sym_unary] = STATE(221),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(229),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(369),
    [sym__splat_star] = ACTIONS(371),
    [sym__unary_minus] = ACTIONS(375),
    [sym__identifier_hash_key] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(4312),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(401),
    [sym_identifier] = ACTIONS(401),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2716] = {
    [sym_heredoc_body] = STATE(2712),
    [aux_sym_call_repeat1] = STATE(2712),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [ts_builtin_sym_end] = ACTIONS(7815),
    [anon_sym___END__] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [2717] = {
    [aux_sym_argument_list_repeat1] = STATE(2717),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [ts_builtin_sym_end] = ACTIONS(7811),
    [anon_sym___END__] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(7819),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [2718] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(5050),
    [anon_sym___END__] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2719] = {
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [ts_builtin_sym_end] = ACTIONS(6174),
    [anon_sym___END__] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_when] = ACTIONS(6174),
    [anon_sym_elsif] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [2720] = {
    [aux_sym_exceptions_repeat1] = STATE(5318),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [ts_builtin_sym_end] = ACTIONS(6174),
    [anon_sym___END__] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [2721] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(6188),
    [anon_sym___END__] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [2722] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(7025),
    [anon_sym___END__] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [2723] = {
    [sym_string] = STATE(2723),
    [aux_sym_chained_string_repeat1] = STATE(2723),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [ts_builtin_sym_end] = ACTIONS(6190),
    [anon_sym___END__] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [2724] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5319),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(5319),
    [sym_operator_assignment] = STATE(5319),
    [sym_conditional] = STATE(5319),
    [sym_range] = STATE(5319),
    [sym_binary] = STATE(5319),
    [sym_unary] = STATE(5319),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2725] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(5320),
    [sym__argument] = STATE(5321),
    [sym_splat_argument] = STATE(5321),
    [sym_hash_splat_argument] = STATE(5321),
    [sym_block_argument] = STATE(5321),
    [sym_assignment] = STATE(1010),
    [sym_operator_assignment] = STATE(1010),
    [sym_conditional] = STATE(1010),
    [sym_range] = STATE(1010),
    [sym_binary] = STATE(1010),
    [sym_unary] = STATE(1010),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1016),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5321),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1721),
    [sym__splat_star] = ACTIONS(1723),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2726] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(5320),
    [sym__argument] = STATE(5321),
    [sym_splat_argument] = STATE(5321),
    [sym_hash_splat_argument] = STATE(5321),
    [sym_block_argument] = STATE(5321),
    [sym_assignment] = STATE(1010),
    [sym_operator_assignment] = STATE(1010),
    [sym_conditional] = STATE(1010),
    [sym_range] = STATE(1010),
    [sym_binary] = STATE(1010),
    [sym_unary] = STATE(1010),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1016),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5321),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1721),
    [sym__splat_star] = ACTIONS(1723),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2727] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(5320),
    [sym__argument] = STATE(5321),
    [sym_splat_argument] = STATE(5321),
    [sym_hash_splat_argument] = STATE(5321),
    [sym_block_argument] = STATE(5321),
    [sym_assignment] = STATE(1010),
    [sym_operator_assignment] = STATE(1010),
    [sym_conditional] = STATE(1010),
    [sym_range] = STATE(1010),
    [sym_binary] = STATE(1010),
    [sym_unary] = STATE(1010),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1016),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5321),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1721),
    [sym__splat_star] = ACTIONS(1723),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2728] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(5320),
    [sym__argument] = STATE(5321),
    [sym_splat_argument] = STATE(5321),
    [sym_hash_splat_argument] = STATE(5321),
    [sym_block_argument] = STATE(5321),
    [sym_assignment] = STATE(1010),
    [sym_operator_assignment] = STATE(1010),
    [sym_conditional] = STATE(1010),
    [sym_range] = STATE(1010),
    [sym_binary] = STATE(1010),
    [sym_unary] = STATE(1010),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1016),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5321),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1721),
    [sym__splat_star] = ACTIONS(1723),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2729] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5322),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(5322),
    [sym_operator_assignment] = STATE(5322),
    [sym_conditional] = STATE(5322),
    [sym_range] = STATE(5322),
    [sym_binary] = STATE(5322),
    [sym_unary] = STATE(5322),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2730] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5323),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(5323),
    [sym_operator_assignment] = STATE(5323),
    [sym_conditional] = STATE(5323),
    [sym_range] = STATE(5323),
    [sym_binary] = STATE(5323),
    [sym_unary] = STATE(5323),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2731] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2732] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_then] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7840),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [2733] = {
    [anon_sym_EQ] = ACTIONS(7858),
    [sym_comment] = ACTIONS(87),
  },
  [2734] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7860),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(7862),
    [anon_sym_DASH_EQ] = ACTIONS(7862),
    [anon_sym_STAR_EQ] = ACTIONS(7862),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7862),
    [anon_sym_SLASH_EQ] = ACTIONS(7862),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7862),
    [anon_sym_PIPE_EQ] = ACTIONS(7862),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7862),
    [anon_sym_AMP_EQ] = ACTIONS(7862),
    [anon_sym_PERCENT_EQ] = ACTIONS(7862),
    [anon_sym_GT_GT_EQ] = ACTIONS(7862),
    [anon_sym_LT_LT_EQ] = ACTIONS(7862),
    [anon_sym_CARET_EQ] = ACTIONS(7862),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2735] = {
    [sym_string] = STATE(5338),
    [aux_sym_chained_string_repeat1] = STATE(5338),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2736] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7840),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [2737] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [2738] = {
    [sym_string] = STATE(2780),
    [aux_sym_chained_string_repeat1] = STATE(2780),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2739] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5339),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(5339),
    [sym_operator_assignment] = STATE(5339),
    [sym_conditional] = STATE(5339),
    [sym_range] = STATE(5339),
    [sym_binary] = STATE(5339),
    [sym_unary] = STATE(5339),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2740] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_then] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7840),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [2741] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5340),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5340),
    [sym_operator_assignment] = STATE(5340),
    [sym_conditional] = STATE(5340),
    [sym_range] = STATE(5340),
    [sym_binary] = STATE(5340),
    [sym_unary] = STATE(5340),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2742] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5341),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5341),
    [sym_operator_assignment] = STATE(5341),
    [sym_conditional] = STATE(5341),
    [sym_range] = STATE(5341),
    [sym_binary] = STATE(5341),
    [sym_unary] = STATE(5341),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2743] = {
    [sym__keyword_colon] = ACTIONS(7864),
    [sym_comment] = ACTIONS(87),
  },
  [2744] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5343),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5343),
    [sym_operator_assignment] = STATE(5343),
    [sym_conditional] = STATE(5343),
    [sym_range] = STATE(5343),
    [sym_binary] = STATE(5343),
    [sym_unary] = STATE(5343),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2745] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(7864),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_then] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2746] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_then] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [2747] = {
    [sym_heredoc_body] = STATE(5345),
    [aux_sym_call_repeat1] = STATE(5345),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2748] = {
    [sym_heredoc_body] = STATE(5345),
    [aux_sym_call_repeat1] = STATE(5345),
    [aux_sym_argument_list_repeat1] = STATE(5347),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(7866),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2749] = {
    [sym_string] = STATE(2780),
    [aux_sym_chained_string_repeat1] = STATE(2780),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(7868),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2750] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [2751] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [2752] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5349),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5349),
    [sym_operator_assignment] = STATE(5349),
    [sym_conditional] = STATE(5349),
    [sym_range] = STATE(5349),
    [sym_binary] = STATE(5349),
    [sym_unary] = STATE(5349),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2753] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5350),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5350),
    [sym_operator_assignment] = STATE(5350),
    [sym_conditional] = STATE(5350),
    [sym_range] = STATE(5350),
    [sym_binary] = STATE(5350),
    [sym_unary] = STATE(5350),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2754] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5351),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5351),
    [sym_operator_assignment] = STATE(5351),
    [sym_conditional] = STATE(5351),
    [sym_range] = STATE(5351),
    [sym_binary] = STATE(5351),
    [sym_unary] = STATE(5351),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2755] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5352),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5352),
    [sym_operator_assignment] = STATE(5352),
    [sym_conditional] = STATE(5352),
    [sym_range] = STATE(5352),
    [sym_binary] = STATE(5352),
    [sym_unary] = STATE(5352),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2756] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5353),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5353),
    [sym_operator_assignment] = STATE(5353),
    [sym_conditional] = STATE(5353),
    [sym_range] = STATE(5353),
    [sym_binary] = STATE(5353),
    [sym_unary] = STATE(5353),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2757] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5354),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5354),
    [sym_operator_assignment] = STATE(5354),
    [sym_conditional] = STATE(5354),
    [sym_range] = STATE(5354),
    [sym_binary] = STATE(5354),
    [sym_unary] = STATE(5354),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2758] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5355),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(5355),
    [sym_operator_assignment] = STATE(5355),
    [sym_conditional] = STATE(5355),
    [sym_range] = STATE(5355),
    [sym_binary] = STATE(5355),
    [sym_unary] = STATE(5355),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2759] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(5356),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(5356),
    [sym_operator_assignment] = STATE(5356),
    [sym_conditional] = STATE(5356),
    [sym_range] = STATE(5356),
    [sym_binary] = STATE(5356),
    [sym_unary] = STATE(5356),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2760] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5357),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5357),
    [sym_operator_assignment] = STATE(5357),
    [sym_conditional] = STATE(5357),
    [sym_range] = STATE(5357),
    [sym_binary] = STATE(5357),
    [sym_unary] = STATE(5357),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2761] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5358),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5358),
    [sym_operator_assignment] = STATE(5358),
    [sym_conditional] = STATE(5358),
    [sym_range] = STATE(5358),
    [sym_binary] = STATE(5358),
    [sym_unary] = STATE(5358),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2762] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5359),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5359),
    [sym_operator_assignment] = STATE(5359),
    [sym_conditional] = STATE(5359),
    [sym_range] = STATE(5359),
    [sym_binary] = STATE(5359),
    [sym_unary] = STATE(5359),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2763] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5360),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5360),
    [sym_operator_assignment] = STATE(5360),
    [sym_conditional] = STATE(5360),
    [sym_range] = STATE(5360),
    [sym_binary] = STATE(5360),
    [sym_unary] = STATE(5360),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2764] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5361),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5361),
    [sym_operator_assignment] = STATE(5361),
    [sym_conditional] = STATE(5361),
    [sym_range] = STATE(5361),
    [sym_binary] = STATE(5361),
    [sym_unary] = STATE(5361),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2765] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5362),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5362),
    [sym_operator_assignment] = STATE(5362),
    [sym_conditional] = STATE(5362),
    [sym_range] = STATE(5362),
    [sym_binary] = STATE(5362),
    [sym_unary] = STATE(5362),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2766] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5363),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5363),
    [sym_operator_assignment] = STATE(5363),
    [sym_conditional] = STATE(5363),
    [sym_range] = STATE(5363),
    [sym_binary] = STATE(5363),
    [sym_unary] = STATE(5363),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2767] = {
    [sym__keyword_colon] = ACTIONS(7870),
    [sym_comment] = ACTIONS(87),
  },
  [2768] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5365),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5365),
    [sym_operator_assignment] = STATE(5365),
    [sym_conditional] = STATE(5365),
    [sym_range] = STATE(5365),
    [sym_binary] = STATE(5365),
    [sym_unary] = STATE(5365),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2769] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(7870),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_then] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2770] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_then] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [2771] = {
    [sym_heredoc_body] = STATE(5367),
    [aux_sym_call_repeat1] = STATE(5367),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [2772] = {
    [sym_heredoc_body] = STATE(5367),
    [aux_sym_call_repeat1] = STATE(5367),
    [aux_sym_argument_list_repeat1] = STATE(5369),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(7872),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [2773] = {
    [sym_string] = STATE(2863),
    [aux_sym_chained_string_repeat1] = STATE(2863),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(7874),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2774] = {
    [sym_heredoc_body] = STATE(5371),
    [aux_sym_call_repeat1] = STATE(5371),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2775] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(1010),
    [sym_operator_assignment] = STATE(1010),
    [sym_conditional] = STATE(1010),
    [sym_range] = STATE(1010),
    [sym_binary] = STATE(1010),
    [sym_unary] = STATE(1010),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1016),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(5372),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(1721),
    [sym__splat_star] = ACTIONS(1723),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__identifier_hash_key] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(7876),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2776] = {
    [sym_heredoc_body] = STATE(5373),
    [aux_sym_call_repeat1] = STATE(5373),
    [aux_sym_argument_list_repeat1] = STATE(5374),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4384),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2777] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5375),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_splat_argument] = STATE(5376),
    [sym_assignment] = STATE(5375),
    [sym_operator_assignment] = STATE(5375),
    [sym_conditional] = STATE(5375),
    [sym_range] = STATE(5375),
    [sym_binary] = STATE(5375),
    [sym_unary] = STATE(5375),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(5376),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(4338),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2778] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5377),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(5377),
    [sym_operator_assignment] = STATE(5377),
    [sym_conditional] = STATE(5377),
    [sym_range] = STATE(5377),
    [sym_binary] = STATE(5377),
    [sym_unary] = STATE(5377),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2779] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5378),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(5378),
    [sym_operator_assignment] = STATE(5378),
    [sym_conditional] = STATE(5378),
    [sym_range] = STATE(5378),
    [sym_binary] = STATE(5378),
    [sym_unary] = STATE(5378),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2780] = {
    [sym_string] = STATE(5379),
    [aux_sym_chained_string_repeat1] = STATE(5379),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_then] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [2781] = {
    [aux_sym_undef_repeat1] = STATE(5380),
    [sym__line_break] = ACTIONS(5442),
    [sym__heredoc_body_start] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym_if] = ACTIONS(5442),
    [anon_sym_unless] = ACTIONS(5442),
    [anon_sym_while] = ACTIONS(5442),
    [anon_sym_until] = ACTIONS(5442),
    [anon_sym_rescue] = ACTIONS(5442),
    [anon_sym_then] = ACTIONS(5442),
    [sym_comment] = ACTIONS(87),
  },
  [2782] = {
    [sym__line_break] = ACTIONS(3138),
    [sym__simple_symbol] = ACTIONS(3138),
    [sym__string_start] = ACTIONS(3138),
    [sym__symbol_start] = ACTIONS(3138),
    [sym__subshell_start] = ACTIONS(3138),
    [sym__regex_start] = ACTIONS(3138),
    [sym__string_array_start] = ACTIONS(3138),
    [sym__symbol_array_start] = ACTIONS(3138),
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym_heredoc_beginning] = ACTIONS(3138),
    [sym__unary_minus] = ACTIONS(3138),
    [anon_sym_BEGIN] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_END] = ACTIONS(4930),
    [anon_sym_def] = ACTIONS(4930),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(4930),
    [anon_sym_module] = ACTIONS(4930),
    [anon_sym_end] = ACTIONS(4930),
    [anon_sym_return] = ACTIONS(4930),
    [anon_sym_yield] = ACTIONS(4930),
    [anon_sym_break] = ACTIONS(4930),
    [anon_sym_next] = ACTIONS(4930),
    [sym_redo] = ACTIONS(4930),
    [sym_retry] = ACTIONS(4930),
    [anon_sym_if] = ACTIONS(4930),
    [anon_sym_unless] = ACTIONS(4930),
    [anon_sym_while] = ACTIONS(4930),
    [anon_sym_until] = ACTIONS(4930),
    [anon_sym_for] = ACTIONS(4930),
    [anon_sym_case] = ACTIONS(4930),
    [anon_sym_elsif] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(4930),
    [anon_sym_then] = ACTIONS(4930),
    [anon_sym_begin] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_defined_QMARK] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(4930),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [sym_constant] = ACTIONS(4930),
    [sym_identifier] = ACTIONS(4930),
    [sym_instance_variable] = ACTIONS(3138),
    [sym_class_variable] = ACTIONS(3138),
    [sym_global_variable] = ACTIONS(3138),
    [anon_sym_undef] = ACTIONS(4930),
    [anon_sym_alias] = ACTIONS(4930),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4930),
    [sym_float] = ACTIONS(4930),
    [sym_complex] = ACTIONS(3138),
    [sym_super] = ACTIONS(4930),
    [anon_sym_true] = ACTIONS(4930),
    [anon_sym_TRUE] = ACTIONS(4930),
    [anon_sym_false] = ACTIONS(4930),
    [anon_sym_FALSE] = ACTIONS(4930),
    [sym_self] = ACTIONS(4930),
    [anon_sym_nil] = ACTIONS(4930),
    [anon_sym_NIL] = ACTIONS(4930),
    [sym_character] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
  },
  [2783] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(7878),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [2784] = {
    [sym__line_break] = ACTIONS(5780),
    [sym__heredoc_body_start] = ACTIONS(5780),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_unless] = ACTIONS(5780),
    [anon_sym_while] = ACTIONS(5780),
    [anon_sym_until] = ACTIONS(5780),
    [anon_sym_rescue] = ACTIONS(5780),
    [anon_sym_then] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(1785),
    [anon_sym_or] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2785] = {
    [sym__line_break] = ACTIONS(5782),
    [sym__heredoc_body_start] = ACTIONS(5782),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(5782),
    [anon_sym_unless] = ACTIONS(5782),
    [anon_sym_while] = ACTIONS(5782),
    [anon_sym_until] = ACTIONS(5782),
    [anon_sym_rescue] = ACTIONS(5782),
    [anon_sym_then] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(1785),
    [anon_sym_or] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2786] = {
    [sym__line_break] = ACTIONS(5784),
    [sym__heredoc_body_start] = ACTIONS(5784),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_unless] = ACTIONS(5784),
    [anon_sym_while] = ACTIONS(5784),
    [anon_sym_until] = ACTIONS(5784),
    [anon_sym_rescue] = ACTIONS(5784),
    [anon_sym_then] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(1785),
    [anon_sym_or] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2787] = {
    [sym__line_break] = ACTIONS(5786),
    [sym__heredoc_body_start] = ACTIONS(5786),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(5786),
    [anon_sym_unless] = ACTIONS(5786),
    [anon_sym_while] = ACTIONS(5786),
    [anon_sym_until] = ACTIONS(5786),
    [anon_sym_rescue] = ACTIONS(5786),
    [anon_sym_then] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(1785),
    [anon_sym_or] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2788] = {
    [sym__line_break] = ACTIONS(5788),
    [sym__heredoc_body_start] = ACTIONS(5788),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(5788),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(5788),
    [anon_sym_unless] = ACTIONS(5788),
    [anon_sym_while] = ACTIONS(5788),
    [anon_sym_until] = ACTIONS(5788),
    [anon_sym_rescue] = ACTIONS(5788),
    [anon_sym_then] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(1785),
    [anon_sym_or] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2789] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5382),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(5382),
    [sym_operator_assignment] = STATE(5382),
    [sym_conditional] = STATE(5382),
    [sym_range] = STATE(5382),
    [sym_binary] = STATE(5382),
    [sym_unary] = STATE(5382),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2790] = {
    [sym__line_break] = ACTIONS(7880),
    [sym__heredoc_body_start] = ACTIONS(7880),
    [sym__element_reference_left_bracket] = ACTIONS(7880),
    [sym__infix_scope_colons] = ACTIONS(7880),
    [sym__binary_minus] = ACTIONS(7880),
    [sym__binary_star] = ACTIONS(7880),
    [ts_builtin_sym_end] = ACTIONS(7880),
    [anon_sym___END__] = ACTIONS(7880),
    [anon_sym_LBRACE] = ACTIONS(7880),
    [anon_sym_RBRACE] = ACTIONS(7880),
    [anon_sym_RPAREN] = ACTIONS(7880),
    [anon_sym_DOT] = ACTIONS(7882),
    [anon_sym_COMMA] = ACTIONS(7880),
    [anon_sym_PIPE] = ACTIONS(7882),
    [anon_sym_SEMI] = ACTIONS(7880),
    [anon_sym_STAR_STAR] = ACTIONS(7880),
    [anon_sym_AMP] = ACTIONS(7882),
    [anon_sym_LT] = ACTIONS(7882),
    [anon_sym_end] = ACTIONS(7880),
    [anon_sym_if] = ACTIONS(7880),
    [anon_sym_unless] = ACTIONS(7880),
    [anon_sym_while] = ACTIONS(7880),
    [anon_sym_until] = ACTIONS(7880),
    [anon_sym_rescue] = ACTIONS(7880),
    [anon_sym_do] = ACTIONS(7880),
    [anon_sym_when] = ACTIONS(7880),
    [anon_sym_elsif] = ACTIONS(7880),
    [anon_sym_else] = ACTIONS(7880),
    [anon_sym_then] = ACTIONS(7880),
    [anon_sym_ensure] = ACTIONS(7880),
    [anon_sym_EQ_GT] = ACTIONS(7880),
    [anon_sym_AMP_DOT] = ACTIONS(7880),
    [anon_sym_QMARK] = ACTIONS(7880),
    [anon_sym_DOT_DOT] = ACTIONS(7882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7880),
    [anon_sym_and] = ACTIONS(7880),
    [anon_sym_or] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE] = ACTIONS(7880),
    [anon_sym_AMP_AMP] = ACTIONS(7880),
    [anon_sym_LT_LT] = ACTIONS(7880),
    [anon_sym_GT_GT] = ACTIONS(7880),
    [anon_sym_EQ_EQ] = ACTIONS(7882),
    [anon_sym_BANG_EQ] = ACTIONS(7880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7880),
    [anon_sym_LT_EQ_GT] = ACTIONS(7880),
    [anon_sym_EQ_TILDE] = ACTIONS(7880),
    [anon_sym_BANG_TILDE] = ACTIONS(7880),
    [anon_sym_LT_EQ] = ACTIONS(7882),
    [anon_sym_GT] = ACTIONS(7882),
    [anon_sym_GT_EQ] = ACTIONS(7880),
    [anon_sym_CARET] = ACTIONS(7880),
    [anon_sym_PLUS] = ACTIONS(7880),
    [anon_sym_SLASH] = ACTIONS(7880),
    [anon_sym_PERCENT] = ACTIONS(7880),
    [sym_comment] = ACTIONS(87),
  },
  [2791] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5396),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(5398),
    [sym__argument] = STATE(5399),
    [sym_splat_argument] = STATE(5399),
    [sym_hash_splat_argument] = STATE(5399),
    [sym_block_argument] = STATE(5399),
    [sym_assignment] = STATE(5396),
    [sym_operator_assignment] = STATE(5396),
    [sym_conditional] = STATE(5396),
    [sym_range] = STATE(5396),
    [sym_binary] = STATE(5396),
    [sym_unary] = STATE(5396),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5402),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5399),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(7884),
    [sym__splat_star] = ACTIONS(7886),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(7890),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7908),
    [sym_identifier] = ACTIONS(7908),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2792] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5396),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(5398),
    [sym__argument] = STATE(5399),
    [sym_splat_argument] = STATE(5399),
    [sym_hash_splat_argument] = STATE(5399),
    [sym_block_argument] = STATE(5399),
    [sym_assignment] = STATE(5396),
    [sym_operator_assignment] = STATE(5396),
    [sym_conditional] = STATE(5396),
    [sym_range] = STATE(5396),
    [sym_binary] = STATE(5396),
    [sym_unary] = STATE(5396),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5402),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5399),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(7884),
    [sym__splat_star] = ACTIONS(7886),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(7890),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(415),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7908),
    [sym_identifier] = ACTIONS(7908),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2793] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5396),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(5398),
    [sym__argument] = STATE(5399),
    [sym_splat_argument] = STATE(5399),
    [sym_hash_splat_argument] = STATE(5399),
    [sym_block_argument] = STATE(5399),
    [sym_assignment] = STATE(5396),
    [sym_operator_assignment] = STATE(5396),
    [sym_conditional] = STATE(5396),
    [sym_range] = STATE(5396),
    [sym_binary] = STATE(5396),
    [sym_unary] = STATE(5396),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5402),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5399),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(7884),
    [sym__splat_star] = ACTIONS(7886),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(7890),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7908),
    [sym_identifier] = ACTIONS(7908),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2794] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5396),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(5398),
    [sym__argument] = STATE(5399),
    [sym_splat_argument] = STATE(5399),
    [sym_hash_splat_argument] = STATE(5399),
    [sym_block_argument] = STATE(5399),
    [sym_assignment] = STATE(5396),
    [sym_operator_assignment] = STATE(5396),
    [sym_conditional] = STATE(5396),
    [sym_range] = STATE(5396),
    [sym_binary] = STATE(5396),
    [sym_unary] = STATE(5396),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5402),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5399),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(7884),
    [sym__splat_star] = ACTIONS(7886),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(7890),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(423),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7908),
    [sym_identifier] = ACTIONS(7908),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2795] = {
    [sym__statement] = STATE(5403),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2796] = {
    [sym__statements] = STATE(1244),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(5404),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(5404),
    [sym__line_break] = ACTIONS(7914),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2797] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5405),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(5405),
    [sym_operator_assignment] = STATE(5405),
    [sym_conditional] = STATE(5405),
    [sym_range] = STATE(5405),
    [sym_binary] = STATE(5405),
    [sym_unary] = STATE(5405),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2798] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5406),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(5406),
    [sym_operator_assignment] = STATE(5406),
    [sym_conditional] = STATE(5406),
    [sym_range] = STATE(5406),
    [sym_binary] = STATE(5406),
    [sym_unary] = STATE(5406),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2799] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2800] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(5407),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [2801] = {
    [sym_elsif] = STATE(5409),
    [sym_else] = STATE(5409),
    [sym__if_tail] = STATE(5409),
    [anon_sym_end] = ACTIONS(7916),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [2802] = {
    [sym_heredoc_body] = STATE(5410),
    [sym__terminator] = STATE(5410),
    [aux_sym__statements_repeat1] = STATE(5411),
    [sym__line_break] = ACTIONS(7922),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(7922),
    [anon_sym_end] = ACTIONS(687),
    [anon_sym_elsif] = ACTIONS(687),
    [anon_sym_else] = ACTIONS(687),
    [sym_comment] = ACTIONS(87),
  },
  [2803] = {
    [sym__line_break] = ACTIONS(689),
    [sym__heredoc_body_start] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_end] = ACTIONS(689),
    [anon_sym_if] = ACTIONS(7924),
    [anon_sym_unless] = ACTIONS(7926),
    [anon_sym_while] = ACTIONS(7928),
    [anon_sym_until] = ACTIONS(7930),
    [anon_sym_rescue] = ACTIONS(7932),
    [anon_sym_elsif] = ACTIONS(689),
    [anon_sym_else] = ACTIONS(689),
    [sym_comment] = ACTIONS(87),
  },
  [2804] = {
    [anon_sym_end] = ACTIONS(7916),
    [sym_comment] = ACTIONS(87),
  },
  [2805] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(701),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_elsif] = ACTIONS(701),
    [anon_sym_else] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(7946),
    [anon_sym_DOT_DOT] = ACTIONS(7948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7950),
    [anon_sym_and] = ACTIONS(7952),
    [anon_sym_or] = ACTIONS(7952),
    [anon_sym_PIPE_PIPE] = ACTIONS(7954),
    [anon_sym_AMP_AMP] = ACTIONS(7954),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [2806] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5442),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(5444),
    [sym__argument] = STATE(5445),
    [sym_splat_argument] = STATE(5445),
    [sym_hash_splat_argument] = STATE(5445),
    [sym_block_argument] = STATE(5445),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(5442),
    [sym_operator_assignment] = STATE(5442),
    [sym_conditional] = STATE(5442),
    [sym_range] = STATE(5442),
    [sym_binary] = STATE(5442),
    [sym_unary] = STATE(5442),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5448),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5445),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(7966),
    [sym__splat_star] = ACTIONS(7968),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(7972),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(775),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7990),
    [sym_identifier] = ACTIONS(7990),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2807] = {
    [anon_sym_EQ] = ACTIONS(7996),
    [sym_comment] = ACTIONS(87),
  },
  [2808] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(7998),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8000),
    [anon_sym_DASH_EQ] = ACTIONS(8000),
    [anon_sym_STAR_EQ] = ACTIONS(8000),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8000),
    [anon_sym_SLASH_EQ] = ACTIONS(8000),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8000),
    [anon_sym_PIPE_EQ] = ACTIONS(8000),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8000),
    [anon_sym_AMP_EQ] = ACTIONS(8000),
    [anon_sym_PERCENT_EQ] = ACTIONS(8000),
    [anon_sym_GT_GT_EQ] = ACTIONS(8000),
    [anon_sym_LT_LT_EQ] = ACTIONS(8000),
    [anon_sym_CARET_EQ] = ACTIONS(8000),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2809] = {
    [sym_string] = STATE(5451),
    [aux_sym_chained_string_repeat1] = STATE(5451),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2810] = {
    [sym__statements] = STATE(5452),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(5409),
    [sym_else] = STATE(5409),
    [sym__if_tail] = STATE(5409),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(8002),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2811] = {
    [sym__line_break] = ACTIONS(8004),
    [sym__simple_symbol] = ACTIONS(8004),
    [sym__string_start] = ACTIONS(8004),
    [sym__symbol_start] = ACTIONS(8004),
    [sym__subshell_start] = ACTIONS(8004),
    [sym__regex_start] = ACTIONS(8004),
    [sym__string_array_start] = ACTIONS(8004),
    [sym__symbol_array_start] = ACTIONS(8004),
    [sym__heredoc_body_start] = ACTIONS(8004),
    [sym_heredoc_beginning] = ACTIONS(8004),
    [sym__unary_minus] = ACTIONS(8004),
    [anon_sym_BEGIN] = ACTIONS(8006),
    [anon_sym_LBRACE] = ACTIONS(8004),
    [anon_sym_END] = ACTIONS(8006),
    [anon_sym_def] = ACTIONS(8006),
    [anon_sym_LPAREN] = ACTIONS(8004),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_SEMI] = ACTIONS(8004),
    [anon_sym_STAR] = ACTIONS(8004),
    [anon_sym_class] = ACTIONS(8006),
    [anon_sym_module] = ACTIONS(8006),
    [anon_sym_end] = ACTIONS(8006),
    [anon_sym_return] = ACTIONS(8006),
    [anon_sym_yield] = ACTIONS(8006),
    [anon_sym_break] = ACTIONS(8006),
    [anon_sym_next] = ACTIONS(8006),
    [sym_redo] = ACTIONS(8006),
    [sym_retry] = ACTIONS(8006),
    [anon_sym_if] = ACTIONS(8006),
    [anon_sym_unless] = ACTIONS(8006),
    [anon_sym_while] = ACTIONS(8006),
    [anon_sym_until] = ACTIONS(8006),
    [anon_sym_for] = ACTIONS(8006),
    [anon_sym_case] = ACTIONS(8006),
    [anon_sym_elsif] = ACTIONS(8006),
    [anon_sym_else] = ACTIONS(8006),
    [anon_sym_begin] = ACTIONS(8006),
    [anon_sym_PLUS] = ACTIONS(8006),
    [anon_sym_defined_QMARK] = ACTIONS(8004),
    [anon_sym_not] = ACTIONS(8006),
    [anon_sym_BANG] = ACTIONS(8004),
    [anon_sym_TILDE] = ACTIONS(8004),
    [sym_constant] = ACTIONS(8006),
    [sym_identifier] = ACTIONS(8006),
    [sym_instance_variable] = ACTIONS(8004),
    [sym_class_variable] = ACTIONS(8004),
    [sym_global_variable] = ACTIONS(8004),
    [anon_sym_undef] = ACTIONS(8006),
    [anon_sym_alias] = ACTIONS(8006),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(8006),
    [sym_float] = ACTIONS(8006),
    [sym_complex] = ACTIONS(8004),
    [sym_super] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(8006),
    [anon_sym_TRUE] = ACTIONS(8006),
    [anon_sym_false] = ACTIONS(8006),
    [anon_sym_FALSE] = ACTIONS(8006),
    [sym_self] = ACTIONS(8006),
    [anon_sym_nil] = ACTIONS(8006),
    [anon_sym_NIL] = ACTIONS(8006),
    [sym_character] = ACTIONS(8004),
    [anon_sym_LBRACK] = ACTIONS(8004),
    [anon_sym_DASH_GT] = ACTIONS(8004),
  },
  [2812] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2813] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [2814] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2815] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [2816] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2817] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2818] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(8008),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [2819] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2820] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2821] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2822] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2823] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2824] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5454),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(5454),
    [sym_operator_assignment] = STATE(5454),
    [sym_conditional] = STATE(5454),
    [sym_range] = STATE(5454),
    [sym_binary] = STATE(5454),
    [sym_unary] = STATE(5454),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2825] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1053),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(1055),
    [sym__argument] = STATE(1056),
    [sym_splat_argument] = STATE(1056),
    [sym_hash_splat_argument] = STATE(1056),
    [sym_block_argument] = STATE(1056),
    [sym_assignment] = STATE(1053),
    [sym_operator_assignment] = STATE(1053),
    [sym_conditional] = STATE(1053),
    [sym_range] = STATE(1053),
    [sym_binary] = STATE(1053),
    [sym_unary] = STATE(1053),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1059),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1056),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1799),
    [sym__splat_star] = ACTIONS(1801),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1805),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1823),
    [sym_identifier] = ACTIONS(1823),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2826] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1053),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(1055),
    [sym__argument] = STATE(1056),
    [sym_splat_argument] = STATE(1056),
    [sym_hash_splat_argument] = STATE(1056),
    [sym_block_argument] = STATE(1056),
    [sym_assignment] = STATE(1053),
    [sym_operator_assignment] = STATE(1053),
    [sym_conditional] = STATE(1053),
    [sym_range] = STATE(1053),
    [sym_binary] = STATE(1053),
    [sym_unary] = STATE(1053),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1059),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1056),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1799),
    [sym__splat_star] = ACTIONS(1801),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1805),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1823),
    [sym_identifier] = ACTIONS(1823),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2827] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1053),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(1055),
    [sym__argument] = STATE(1056),
    [sym_splat_argument] = STATE(1056),
    [sym_hash_splat_argument] = STATE(1056),
    [sym_block_argument] = STATE(1056),
    [sym_assignment] = STATE(1053),
    [sym_operator_assignment] = STATE(1053),
    [sym_conditional] = STATE(1053),
    [sym_range] = STATE(1053),
    [sym_binary] = STATE(1053),
    [sym_unary] = STATE(1053),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1059),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1056),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1799),
    [sym__splat_star] = ACTIONS(1801),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1805),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1823),
    [sym_identifier] = ACTIONS(1823),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2828] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1053),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(1055),
    [sym__argument] = STATE(1056),
    [sym_splat_argument] = STATE(1056),
    [sym_hash_splat_argument] = STATE(1056),
    [sym_block_argument] = STATE(1056),
    [sym_assignment] = STATE(1053),
    [sym_operator_assignment] = STATE(1053),
    [sym_conditional] = STATE(1053),
    [sym_range] = STATE(1053),
    [sym_binary] = STATE(1053),
    [sym_unary] = STATE(1053),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1059),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1056),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1799),
    [sym__splat_star] = ACTIONS(1801),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1805),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1823),
    [sym_identifier] = ACTIONS(1823),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2829] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5455),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(5455),
    [sym_operator_assignment] = STATE(5455),
    [sym_conditional] = STATE(5455),
    [sym_range] = STATE(5455),
    [sym_binary] = STATE(5455),
    [sym_unary] = STATE(5455),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2830] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5456),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(5456),
    [sym_operator_assignment] = STATE(5456),
    [sym_conditional] = STATE(5456),
    [sym_range] = STATE(5456),
    [sym_binary] = STATE(5456),
    [sym_unary] = STATE(5456),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2831] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2832] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_then] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8022),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [2833] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1053),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(1055),
    [sym__argument] = STATE(1056),
    [sym_splat_argument] = STATE(1056),
    [sym_hash_splat_argument] = STATE(1056),
    [sym_block_argument] = STATE(1056),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(1053),
    [sym_operator_assignment] = STATE(1053),
    [sym_conditional] = STATE(1053),
    [sym_range] = STATE(1053),
    [sym_binary] = STATE(1053),
    [sym_unary] = STATE(1053),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1059),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1056),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1799),
    [sym__splat_star] = ACTIONS(1801),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1805),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1823),
    [sym_identifier] = ACTIONS(1823),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2834] = {
    [anon_sym_EQ] = ACTIONS(8038),
    [sym_comment] = ACTIONS(87),
  },
  [2835] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8040),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8042),
    [anon_sym_DASH_EQ] = ACTIONS(8042),
    [anon_sym_STAR_EQ] = ACTIONS(8042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8042),
    [anon_sym_SLASH_EQ] = ACTIONS(8042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8042),
    [anon_sym_PIPE_EQ] = ACTIONS(8042),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8042),
    [anon_sym_AMP_EQ] = ACTIONS(8042),
    [anon_sym_PERCENT_EQ] = ACTIONS(8042),
    [anon_sym_GT_GT_EQ] = ACTIONS(8042),
    [anon_sym_LT_LT_EQ] = ACTIONS(8042),
    [anon_sym_CARET_EQ] = ACTIONS(8042),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2836] = {
    [sym_string] = STATE(5471),
    [aux_sym_chained_string_repeat1] = STATE(5471),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2837] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8022),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [2838] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [2839] = {
    [sym_string] = STATE(2863),
    [aux_sym_chained_string_repeat1] = STATE(2863),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2840] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5472),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(5472),
    [sym_operator_assignment] = STATE(5472),
    [sym_conditional] = STATE(5472),
    [sym_range] = STATE(5472),
    [sym_binary] = STATE(5472),
    [sym_unary] = STATE(5472),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2841] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_then] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8022),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [2842] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [2843] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [2844] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5473),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5473),
    [sym_operator_assignment] = STATE(5473),
    [sym_conditional] = STATE(5473),
    [sym_range] = STATE(5473),
    [sym_binary] = STATE(5473),
    [sym_unary] = STATE(5473),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2845] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5474),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5474),
    [sym_operator_assignment] = STATE(5474),
    [sym_conditional] = STATE(5474),
    [sym_range] = STATE(5474),
    [sym_binary] = STATE(5474),
    [sym_unary] = STATE(5474),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2846] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5475),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5475),
    [sym_operator_assignment] = STATE(5475),
    [sym_conditional] = STATE(5475),
    [sym_range] = STATE(5475),
    [sym_binary] = STATE(5475),
    [sym_unary] = STATE(5475),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2847] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5476),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5476),
    [sym_operator_assignment] = STATE(5476),
    [sym_conditional] = STATE(5476),
    [sym_range] = STATE(5476),
    [sym_binary] = STATE(5476),
    [sym_unary] = STATE(5476),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2848] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5477),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5477),
    [sym_operator_assignment] = STATE(5477),
    [sym_conditional] = STATE(5477),
    [sym_range] = STATE(5477),
    [sym_binary] = STATE(5477),
    [sym_unary] = STATE(5477),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2849] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5478),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5478),
    [sym_operator_assignment] = STATE(5478),
    [sym_conditional] = STATE(5478),
    [sym_range] = STATE(5478),
    [sym_binary] = STATE(5478),
    [sym_unary] = STATE(5478),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2850] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5479),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(5479),
    [sym_operator_assignment] = STATE(5479),
    [sym_conditional] = STATE(5479),
    [sym_range] = STATE(5479),
    [sym_binary] = STATE(5479),
    [sym_unary] = STATE(5479),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2851] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(5480),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(5480),
    [sym_operator_assignment] = STATE(5480),
    [sym_conditional] = STATE(5480),
    [sym_range] = STATE(5480),
    [sym_binary] = STATE(5480),
    [sym_unary] = STATE(5480),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2852] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5481),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5481),
    [sym_operator_assignment] = STATE(5481),
    [sym_conditional] = STATE(5481),
    [sym_range] = STATE(5481),
    [sym_binary] = STATE(5481),
    [sym_unary] = STATE(5481),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2853] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5482),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5482),
    [sym_operator_assignment] = STATE(5482),
    [sym_conditional] = STATE(5482),
    [sym_range] = STATE(5482),
    [sym_binary] = STATE(5482),
    [sym_unary] = STATE(5482),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2854] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5483),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5483),
    [sym_operator_assignment] = STATE(5483),
    [sym_conditional] = STATE(5483),
    [sym_range] = STATE(5483),
    [sym_binary] = STATE(5483),
    [sym_unary] = STATE(5483),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2855] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5484),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5484),
    [sym_operator_assignment] = STATE(5484),
    [sym_conditional] = STATE(5484),
    [sym_range] = STATE(5484),
    [sym_binary] = STATE(5484),
    [sym_unary] = STATE(5484),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2856] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5485),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5485),
    [sym_operator_assignment] = STATE(5485),
    [sym_conditional] = STATE(5485),
    [sym_range] = STATE(5485),
    [sym_binary] = STATE(5485),
    [sym_unary] = STATE(5485),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2857] = {
    [sym_heredoc_body] = STATE(5486),
    [aux_sym_call_repeat1] = STATE(5486),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [2858] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1053),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(1053),
    [sym_operator_assignment] = STATE(1053),
    [sym_conditional] = STATE(1053),
    [sym_range] = STATE(1053),
    [sym_binary] = STATE(1053),
    [sym_unary] = STATE(1053),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1059),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(5487),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(1799),
    [sym__splat_star] = ACTIONS(1801),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__identifier_hash_key] = ACTIONS(1805),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8044),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1823),
    [sym_identifier] = ACTIONS(1823),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2859] = {
    [sym_heredoc_body] = STATE(5488),
    [aux_sym_call_repeat1] = STATE(5488),
    [aux_sym_argument_list_repeat1] = STATE(5489),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4492),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [2860] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5490),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_splat_argument] = STATE(5491),
    [sym_assignment] = STATE(5490),
    [sym_operator_assignment] = STATE(5490),
    [sym_conditional] = STATE(5490),
    [sym_range] = STATE(5490),
    [sym_binary] = STATE(5490),
    [sym_unary] = STATE(5490),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(5491),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(4378),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2861] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5492),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(5492),
    [sym_operator_assignment] = STATE(5492),
    [sym_conditional] = STATE(5492),
    [sym_range] = STATE(5492),
    [sym_binary] = STATE(5492),
    [sym_unary] = STATE(5492),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2862] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5493),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(5493),
    [sym_operator_assignment] = STATE(5493),
    [sym_conditional] = STATE(5493),
    [sym_range] = STATE(5493),
    [sym_binary] = STATE(5493),
    [sym_unary] = STATE(5493),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2863] = {
    [sym_string] = STATE(5494),
    [aux_sym_chained_string_repeat1] = STATE(5494),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_then] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [2864] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5495),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(5495),
    [sym_operator_assignment] = STATE(5495),
    [sym_conditional] = STATE(5495),
    [sym_range] = STATE(5495),
    [sym_binary] = STATE(5495),
    [sym_unary] = STATE(5495),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2865] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5496),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(5496),
    [sym_operator_assignment] = STATE(5496),
    [sym_conditional] = STATE(5496),
    [sym_range] = STATE(5496),
    [sym_binary] = STATE(5496),
    [sym_unary] = STATE(5496),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2866] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5497),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(5497),
    [sym_operator_assignment] = STATE(5497),
    [sym_conditional] = STATE(5497),
    [sym_range] = STATE(5497),
    [sym_binary] = STATE(5497),
    [sym_unary] = STATE(5497),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2867] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5498),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(5498),
    [sym_operator_assignment] = STATE(5498),
    [sym_conditional] = STATE(5498),
    [sym_range] = STATE(5498),
    [sym_binary] = STATE(5498),
    [sym_unary] = STATE(5498),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2868] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2869] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8050),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(8054),
    [anon_sym_LT] = ACTIONS(8056),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8058),
    [anon_sym_DOT_DOT] = ACTIONS(8060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8062),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8064),
    [anon_sym_AMP_AMP] = ACTIONS(8064),
    [anon_sym_LT_LT] = ACTIONS(8066),
    [anon_sym_GT_GT] = ACTIONS(8066),
    [anon_sym_EQ_EQ] = ACTIONS(8068),
    [anon_sym_BANG_EQ] = ACTIONS(8064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8064),
    [anon_sym_LT_EQ_GT] = ACTIONS(8064),
    [anon_sym_EQ_TILDE] = ACTIONS(8064),
    [anon_sym_BANG_TILDE] = ACTIONS(8064),
    [anon_sym_LT_EQ] = ACTIONS(8056),
    [anon_sym_GT] = ACTIONS(8056),
    [anon_sym_GT_EQ] = ACTIONS(8070),
    [anon_sym_CARET] = ACTIONS(8072),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [2870] = {
    [aux_sym_exceptions_repeat1] = STATE(5512),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(8076),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [2871] = {
    [anon_sym_EQ] = ACTIONS(8078),
    [sym_comment] = ACTIONS(87),
  },
  [2872] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8080),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8082),
    [anon_sym_DASH_EQ] = ACTIONS(8082),
    [anon_sym_STAR_EQ] = ACTIONS(8082),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8082),
    [anon_sym_SLASH_EQ] = ACTIONS(8082),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8082),
    [anon_sym_PIPE_EQ] = ACTIONS(8082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8082),
    [anon_sym_AMP_EQ] = ACTIONS(8082),
    [anon_sym_PERCENT_EQ] = ACTIONS(8082),
    [anon_sym_GT_GT_EQ] = ACTIONS(8082),
    [anon_sym_LT_LT_EQ] = ACTIONS(8082),
    [anon_sym_CARET_EQ] = ACTIONS(8082),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2873] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [2874] = {
    [sym_string] = STATE(2874),
    [aux_sym_chained_string_repeat1] = STATE(2874),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_then] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [2875] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5515),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(5515),
    [sym_operator_assignment] = STATE(5515),
    [sym_conditional] = STATE(5515),
    [sym_range] = STATE(5515),
    [sym_binary] = STATE(5515),
    [sym_unary] = STATE(5515),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2876] = {
    [sym__line_break] = ACTIONS(8084),
    [sym__heredoc_body_start] = ACTIONS(8084),
    [sym__element_reference_left_bracket] = ACTIONS(8084),
    [sym__infix_scope_colons] = ACTIONS(8084),
    [sym__binary_minus] = ACTIONS(8084),
    [sym__binary_star] = ACTIONS(8084),
    [ts_builtin_sym_end] = ACTIONS(8084),
    [anon_sym___END__] = ACTIONS(8084),
    [anon_sym_LBRACE] = ACTIONS(8084),
    [anon_sym_RBRACE] = ACTIONS(8084),
    [anon_sym_RPAREN] = ACTIONS(8084),
    [anon_sym_DOT] = ACTIONS(8086),
    [anon_sym_COMMA] = ACTIONS(8084),
    [anon_sym_PIPE] = ACTIONS(8086),
    [anon_sym_SEMI] = ACTIONS(8084),
    [anon_sym_STAR_STAR] = ACTIONS(8084),
    [anon_sym_AMP] = ACTIONS(8086),
    [anon_sym_LT] = ACTIONS(8086),
    [anon_sym_end] = ACTIONS(8084),
    [anon_sym_if] = ACTIONS(8084),
    [anon_sym_unless] = ACTIONS(8084),
    [anon_sym_while] = ACTIONS(8084),
    [anon_sym_until] = ACTIONS(8084),
    [anon_sym_rescue] = ACTIONS(8084),
    [anon_sym_do] = ACTIONS(8084),
    [anon_sym_when] = ACTIONS(8084),
    [anon_sym_elsif] = ACTIONS(8084),
    [anon_sym_else] = ACTIONS(8084),
    [anon_sym_then] = ACTIONS(8084),
    [anon_sym_ensure] = ACTIONS(8084),
    [anon_sym_EQ_GT] = ACTIONS(8084),
    [anon_sym_AMP_DOT] = ACTIONS(8084),
    [anon_sym_QMARK] = ACTIONS(8084),
    [anon_sym_DOT_DOT] = ACTIONS(8086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8084),
    [anon_sym_and] = ACTIONS(8084),
    [anon_sym_or] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE] = ACTIONS(8084),
    [anon_sym_AMP_AMP] = ACTIONS(8084),
    [anon_sym_LT_LT] = ACTIONS(8084),
    [anon_sym_GT_GT] = ACTIONS(8084),
    [anon_sym_EQ_EQ] = ACTIONS(8086),
    [anon_sym_BANG_EQ] = ACTIONS(8084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8084),
    [anon_sym_LT_EQ_GT] = ACTIONS(8084),
    [anon_sym_EQ_TILDE] = ACTIONS(8084),
    [anon_sym_BANG_TILDE] = ACTIONS(8084),
    [anon_sym_LT_EQ] = ACTIONS(8086),
    [anon_sym_GT] = ACTIONS(8086),
    [anon_sym_GT_EQ] = ACTIONS(8084),
    [anon_sym_CARET] = ACTIONS(8084),
    [anon_sym_PLUS] = ACTIONS(8084),
    [anon_sym_SLASH] = ACTIONS(8084),
    [anon_sym_PERCENT] = ACTIONS(8084),
    [sym_comment] = ACTIONS(87),
  },
  [2877] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5529),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(5531),
    [sym__argument] = STATE(5532),
    [sym_splat_argument] = STATE(5532),
    [sym_hash_splat_argument] = STATE(5532),
    [sym_block_argument] = STATE(5532),
    [sym_assignment] = STATE(5529),
    [sym_operator_assignment] = STATE(5529),
    [sym_conditional] = STATE(5529),
    [sym_range] = STATE(5529),
    [sym_binary] = STATE(5529),
    [sym_unary] = STATE(5529),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5535),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5532),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(8088),
    [sym__splat_star] = ACTIONS(8090),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(8094),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8112),
    [sym_identifier] = ACTIONS(8112),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2878] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5529),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(5531),
    [sym__argument] = STATE(5532),
    [sym_splat_argument] = STATE(5532),
    [sym_hash_splat_argument] = STATE(5532),
    [sym_block_argument] = STATE(5532),
    [sym_assignment] = STATE(5529),
    [sym_operator_assignment] = STATE(5529),
    [sym_conditional] = STATE(5529),
    [sym_range] = STATE(5529),
    [sym_binary] = STATE(5529),
    [sym_unary] = STATE(5529),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5535),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5532),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(8088),
    [sym__splat_star] = ACTIONS(8090),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(8094),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8112),
    [sym_identifier] = ACTIONS(8112),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2879] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5529),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(5531),
    [sym__argument] = STATE(5532),
    [sym_splat_argument] = STATE(5532),
    [sym_hash_splat_argument] = STATE(5532),
    [sym_block_argument] = STATE(5532),
    [sym_assignment] = STATE(5529),
    [sym_operator_assignment] = STATE(5529),
    [sym_conditional] = STATE(5529),
    [sym_range] = STATE(5529),
    [sym_binary] = STATE(5529),
    [sym_unary] = STATE(5529),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5535),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5532),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(8088),
    [sym__splat_star] = ACTIONS(8090),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(8094),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8112),
    [sym_identifier] = ACTIONS(8112),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2880] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5529),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(5531),
    [sym__argument] = STATE(5532),
    [sym_splat_argument] = STATE(5532),
    [sym_hash_splat_argument] = STATE(5532),
    [sym_block_argument] = STATE(5532),
    [sym_assignment] = STATE(5529),
    [sym_operator_assignment] = STATE(5529),
    [sym_conditional] = STATE(5529),
    [sym_range] = STATE(5529),
    [sym_binary] = STATE(5529),
    [sym_unary] = STATE(5529),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5535),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5532),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(8088),
    [sym__splat_star] = ACTIONS(8090),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(8094),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8112),
    [sym_identifier] = ACTIONS(8112),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2881] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5536),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(5536),
    [sym_operator_assignment] = STATE(5536),
    [sym_conditional] = STATE(5536),
    [sym_range] = STATE(5536),
    [sym_binary] = STATE(5536),
    [sym_unary] = STATE(5536),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2882] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5537),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(5537),
    [sym_operator_assignment] = STATE(5537),
    [sym_conditional] = STATE(5537),
    [sym_range] = STATE(5537),
    [sym_binary] = STATE(5537),
    [sym_unary] = STATE(5537),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2883] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2884] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(5538),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [2885] = {
    [sym_else] = STATE(5540),
    [anon_sym_end] = ACTIONS(8118),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [2886] = {
    [sym_heredoc_body] = STATE(5541),
    [sym__terminator] = STATE(5541),
    [aux_sym__statements_repeat1] = STATE(5542),
    [sym__line_break] = ACTIONS(8120),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(8120),
    [anon_sym_end] = ACTIONS(687),
    [anon_sym_else] = ACTIONS(687),
    [sym_comment] = ACTIONS(87),
  },
  [2887] = {
    [sym__line_break] = ACTIONS(689),
    [sym__heredoc_body_start] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_end] = ACTIONS(689),
    [anon_sym_if] = ACTIONS(8122),
    [anon_sym_unless] = ACTIONS(8124),
    [anon_sym_while] = ACTIONS(8126),
    [anon_sym_until] = ACTIONS(8128),
    [anon_sym_rescue] = ACTIONS(8130),
    [anon_sym_else] = ACTIONS(689),
    [sym_comment] = ACTIONS(87),
  },
  [2888] = {
    [anon_sym_end] = ACTIONS(8118),
    [sym_comment] = ACTIONS(87),
  },
  [2889] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(701),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_else] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(8144),
    [anon_sym_DOT_DOT] = ACTIONS(8146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8148),
    [anon_sym_and] = ACTIONS(8150),
    [anon_sym_or] = ACTIONS(8150),
    [anon_sym_PIPE_PIPE] = ACTIONS(8152),
    [anon_sym_AMP_AMP] = ACTIONS(8152),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [2890] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5573),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(5575),
    [sym__argument] = STATE(5576),
    [sym_splat_argument] = STATE(5576),
    [sym_hash_splat_argument] = STATE(5576),
    [sym_block_argument] = STATE(5576),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(5573),
    [sym_operator_assignment] = STATE(5573),
    [sym_conditional] = STATE(5573),
    [sym_range] = STATE(5573),
    [sym_binary] = STATE(5573),
    [sym_unary] = STATE(5573),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5579),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5576),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(8164),
    [sym__splat_star] = ACTIONS(8166),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(8170),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8188),
    [sym_identifier] = ACTIONS(8188),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2891] = {
    [anon_sym_EQ] = ACTIONS(8194),
    [sym_comment] = ACTIONS(87),
  },
  [2892] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8196),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8198),
    [anon_sym_DASH_EQ] = ACTIONS(8198),
    [anon_sym_STAR_EQ] = ACTIONS(8198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8198),
    [anon_sym_SLASH_EQ] = ACTIONS(8198),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8198),
    [anon_sym_PIPE_EQ] = ACTIONS(8198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8198),
    [anon_sym_AMP_EQ] = ACTIONS(8198),
    [anon_sym_PERCENT_EQ] = ACTIONS(8198),
    [anon_sym_GT_GT_EQ] = ACTIONS(8198),
    [anon_sym_LT_LT_EQ] = ACTIONS(8198),
    [anon_sym_CARET_EQ] = ACTIONS(8198),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2893] = {
    [sym_string] = STATE(5582),
    [aux_sym_chained_string_repeat1] = STATE(5582),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2894] = {
    [sym__simple_symbol] = ACTIONS(8004),
    [sym__string_start] = ACTIONS(8004),
    [sym__symbol_start] = ACTIONS(8004),
    [sym__subshell_start] = ACTIONS(8004),
    [sym__regex_start] = ACTIONS(8004),
    [sym__string_array_start] = ACTIONS(8004),
    [sym__symbol_array_start] = ACTIONS(8004),
    [sym_heredoc_beginning] = ACTIONS(8004),
    [sym__unary_minus] = ACTIONS(8004),
    [anon_sym_BEGIN] = ACTIONS(8006),
    [anon_sym_LBRACE] = ACTIONS(8004),
    [anon_sym_END] = ACTIONS(8006),
    [anon_sym_def] = ACTIONS(8006),
    [anon_sym_LPAREN] = ACTIONS(8004),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_SEMI] = ACTIONS(8004),
    [anon_sym_STAR] = ACTIONS(8004),
    [anon_sym_class] = ACTIONS(8006),
    [anon_sym_module] = ACTIONS(8006),
    [anon_sym_end] = ACTIONS(8006),
    [anon_sym_return] = ACTIONS(8006),
    [anon_sym_yield] = ACTIONS(8006),
    [anon_sym_break] = ACTIONS(8006),
    [anon_sym_next] = ACTIONS(8006),
    [sym_redo] = ACTIONS(8006),
    [sym_retry] = ACTIONS(8006),
    [anon_sym_if] = ACTIONS(8006),
    [anon_sym_unless] = ACTIONS(8006),
    [anon_sym_while] = ACTIONS(8006),
    [anon_sym_until] = ACTIONS(8006),
    [anon_sym_rescue] = ACTIONS(8006),
    [anon_sym_for] = ACTIONS(8006),
    [anon_sym_case] = ACTIONS(8006),
    [anon_sym_when] = ACTIONS(8006),
    [anon_sym_elsif] = ACTIONS(8006),
    [anon_sym_else] = ACTIONS(8006),
    [anon_sym_begin] = ACTIONS(8006),
    [anon_sym_ensure] = ACTIONS(8006),
    [anon_sym_PLUS] = ACTIONS(8006),
    [anon_sym_defined_QMARK] = ACTIONS(8004),
    [anon_sym_not] = ACTIONS(8006),
    [anon_sym_BANG] = ACTIONS(8004),
    [anon_sym_TILDE] = ACTIONS(8004),
    [sym_constant] = ACTIONS(8006),
    [sym_identifier] = ACTIONS(8006),
    [sym_instance_variable] = ACTIONS(8004),
    [sym_class_variable] = ACTIONS(8004),
    [sym_global_variable] = ACTIONS(8004),
    [anon_sym_undef] = ACTIONS(8006),
    [anon_sym_alias] = ACTIONS(8006),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(8006),
    [sym_float] = ACTIONS(8006),
    [sym_complex] = ACTIONS(8004),
    [sym_super] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(8006),
    [anon_sym_TRUE] = ACTIONS(8006),
    [anon_sym_false] = ACTIONS(8006),
    [anon_sym_FALSE] = ACTIONS(8006),
    [sym_self] = ACTIONS(8006),
    [anon_sym_nil] = ACTIONS(8006),
    [anon_sym_NIL] = ACTIONS(8006),
    [sym_character] = ACTIONS(8004),
    [anon_sym_LBRACK] = ACTIONS(8004),
    [anon_sym_DASH_GT] = ACTIONS(8004),
  },
  [2895] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5583),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(5583),
    [sym_operator_assignment] = STATE(5583),
    [sym_conditional] = STATE(5583),
    [sym_range] = STATE(5583),
    [sym_binary] = STATE(5583),
    [sym_unary] = STATE(5583),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2896] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1079),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(5584),
    [sym__argument] = STATE(5585),
    [sym_splat_argument] = STATE(5585),
    [sym_hash_splat_argument] = STATE(5585),
    [sym_block_argument] = STATE(5585),
    [sym_assignment] = STATE(1079),
    [sym_operator_assignment] = STATE(1079),
    [sym_conditional] = STATE(1079),
    [sym_range] = STATE(1079),
    [sym_binary] = STATE(1079),
    [sym_unary] = STATE(1079),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1085),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5585),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1839),
    [sym__splat_star] = ACTIONS(1841),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1863),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2897] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1079),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(5584),
    [sym__argument] = STATE(5585),
    [sym_splat_argument] = STATE(5585),
    [sym_hash_splat_argument] = STATE(5585),
    [sym_block_argument] = STATE(5585),
    [sym_assignment] = STATE(1079),
    [sym_operator_assignment] = STATE(1079),
    [sym_conditional] = STATE(1079),
    [sym_range] = STATE(1079),
    [sym_binary] = STATE(1079),
    [sym_unary] = STATE(1079),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1085),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5585),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1839),
    [sym__splat_star] = ACTIONS(1841),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1863),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2898] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1079),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(5584),
    [sym__argument] = STATE(5585),
    [sym_splat_argument] = STATE(5585),
    [sym_hash_splat_argument] = STATE(5585),
    [sym_block_argument] = STATE(5585),
    [sym_assignment] = STATE(1079),
    [sym_operator_assignment] = STATE(1079),
    [sym_conditional] = STATE(1079),
    [sym_range] = STATE(1079),
    [sym_binary] = STATE(1079),
    [sym_unary] = STATE(1079),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1085),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5585),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1839),
    [sym__splat_star] = ACTIONS(1841),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1863),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2899] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1079),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(5584),
    [sym__argument] = STATE(5585),
    [sym_splat_argument] = STATE(5585),
    [sym_hash_splat_argument] = STATE(5585),
    [sym_block_argument] = STATE(5585),
    [sym_assignment] = STATE(1079),
    [sym_operator_assignment] = STATE(1079),
    [sym_conditional] = STATE(1079),
    [sym_range] = STATE(1079),
    [sym_binary] = STATE(1079),
    [sym_unary] = STATE(1079),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1085),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5585),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1839),
    [sym__splat_star] = ACTIONS(1841),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1863),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2900] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5586),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(5586),
    [sym_operator_assignment] = STATE(5586),
    [sym_conditional] = STATE(5586),
    [sym_range] = STATE(5586),
    [sym_binary] = STATE(5586),
    [sym_unary] = STATE(5586),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2901] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5587),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(5587),
    [sym_operator_assignment] = STATE(5587),
    [sym_conditional] = STATE(5587),
    [sym_range] = STATE(5587),
    [sym_binary] = STATE(5587),
    [sym_unary] = STATE(5587),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2902] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2903] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8212),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [2904] = {
    [anon_sym_EQ] = ACTIONS(8230),
    [sym_comment] = ACTIONS(87),
  },
  [2905] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8232),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8234),
    [anon_sym_DASH_EQ] = ACTIONS(8234),
    [anon_sym_STAR_EQ] = ACTIONS(8234),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8234),
    [anon_sym_SLASH_EQ] = ACTIONS(8234),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8234),
    [anon_sym_PIPE_EQ] = ACTIONS(8234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8234),
    [anon_sym_AMP_EQ] = ACTIONS(8234),
    [anon_sym_PERCENT_EQ] = ACTIONS(8234),
    [anon_sym_GT_GT_EQ] = ACTIONS(8234),
    [anon_sym_LT_LT_EQ] = ACTIONS(8234),
    [anon_sym_CARET_EQ] = ACTIONS(8234),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2906] = {
    [sym_string] = STATE(5602),
    [aux_sym_chained_string_repeat1] = STATE(5602),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2907] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8212),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [2908] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [2909] = {
    [sym_string] = STATE(2952),
    [aux_sym_chained_string_repeat1] = STATE(2952),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2910] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5603),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(5603),
    [sym_operator_assignment] = STATE(5603),
    [sym_conditional] = STATE(5603),
    [sym_range] = STATE(5603),
    [sym_binary] = STATE(5603),
    [sym_unary] = STATE(5603),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2911] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8212),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [2912] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5604),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5604),
    [sym_operator_assignment] = STATE(5604),
    [sym_conditional] = STATE(5604),
    [sym_range] = STATE(5604),
    [sym_binary] = STATE(5604),
    [sym_unary] = STATE(5604),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2913] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5605),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5605),
    [sym_operator_assignment] = STATE(5605),
    [sym_conditional] = STATE(5605),
    [sym_range] = STATE(5605),
    [sym_binary] = STATE(5605),
    [sym_unary] = STATE(5605),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2914] = {
    [sym__keyword_colon] = ACTIONS(8236),
    [sym_comment] = ACTIONS(87),
  },
  [2915] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5607),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5607),
    [sym_operator_assignment] = STATE(5607),
    [sym_conditional] = STATE(5607),
    [sym_range] = STATE(5607),
    [sym_binary] = STATE(5607),
    [sym_unary] = STATE(5607),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2916] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8236),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2917] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [2918] = {
    [sym_heredoc_body] = STATE(5609),
    [aux_sym_call_repeat1] = STATE(5609),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2919] = {
    [sym_heredoc_body] = STATE(5609),
    [aux_sym_call_repeat1] = STATE(5609),
    [aux_sym_argument_list_repeat1] = STATE(5611),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8238),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [2920] = {
    [sym_string] = STATE(2952),
    [aux_sym_chained_string_repeat1] = STATE(2952),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(8240),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [2921] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [2922] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [2923] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5613),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5613),
    [sym_operator_assignment] = STATE(5613),
    [sym_conditional] = STATE(5613),
    [sym_range] = STATE(5613),
    [sym_binary] = STATE(5613),
    [sym_unary] = STATE(5613),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2924] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5614),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5614),
    [sym_operator_assignment] = STATE(5614),
    [sym_conditional] = STATE(5614),
    [sym_range] = STATE(5614),
    [sym_binary] = STATE(5614),
    [sym_unary] = STATE(5614),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2925] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5615),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5615),
    [sym_operator_assignment] = STATE(5615),
    [sym_conditional] = STATE(5615),
    [sym_range] = STATE(5615),
    [sym_binary] = STATE(5615),
    [sym_unary] = STATE(5615),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2926] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5616),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5616),
    [sym_operator_assignment] = STATE(5616),
    [sym_conditional] = STATE(5616),
    [sym_range] = STATE(5616),
    [sym_binary] = STATE(5616),
    [sym_unary] = STATE(5616),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2927] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5617),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5617),
    [sym_operator_assignment] = STATE(5617),
    [sym_conditional] = STATE(5617),
    [sym_range] = STATE(5617),
    [sym_binary] = STATE(5617),
    [sym_unary] = STATE(5617),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2928] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5618),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5618),
    [sym_operator_assignment] = STATE(5618),
    [sym_conditional] = STATE(5618),
    [sym_range] = STATE(5618),
    [sym_binary] = STATE(5618),
    [sym_unary] = STATE(5618),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2929] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5619),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(5619),
    [sym_operator_assignment] = STATE(5619),
    [sym_conditional] = STATE(5619),
    [sym_range] = STATE(5619),
    [sym_binary] = STATE(5619),
    [sym_unary] = STATE(5619),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2930] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(5620),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(5620),
    [sym_operator_assignment] = STATE(5620),
    [sym_conditional] = STATE(5620),
    [sym_range] = STATE(5620),
    [sym_binary] = STATE(5620),
    [sym_unary] = STATE(5620),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2931] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5621),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5621),
    [sym_operator_assignment] = STATE(5621),
    [sym_conditional] = STATE(5621),
    [sym_range] = STATE(5621),
    [sym_binary] = STATE(5621),
    [sym_unary] = STATE(5621),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2932] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5622),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5622),
    [sym_operator_assignment] = STATE(5622),
    [sym_conditional] = STATE(5622),
    [sym_range] = STATE(5622),
    [sym_binary] = STATE(5622),
    [sym_unary] = STATE(5622),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2933] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5623),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5623),
    [sym_operator_assignment] = STATE(5623),
    [sym_conditional] = STATE(5623),
    [sym_range] = STATE(5623),
    [sym_binary] = STATE(5623),
    [sym_unary] = STATE(5623),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2934] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5624),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5624),
    [sym_operator_assignment] = STATE(5624),
    [sym_conditional] = STATE(5624),
    [sym_range] = STATE(5624),
    [sym_binary] = STATE(5624),
    [sym_unary] = STATE(5624),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2935] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5625),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5625),
    [sym_operator_assignment] = STATE(5625),
    [sym_conditional] = STATE(5625),
    [sym_range] = STATE(5625),
    [sym_binary] = STATE(5625),
    [sym_unary] = STATE(5625),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2936] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5626),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5626),
    [sym_operator_assignment] = STATE(5626),
    [sym_conditional] = STATE(5626),
    [sym_range] = STATE(5626),
    [sym_binary] = STATE(5626),
    [sym_unary] = STATE(5626),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2937] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5627),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5627),
    [sym_operator_assignment] = STATE(5627),
    [sym_conditional] = STATE(5627),
    [sym_range] = STATE(5627),
    [sym_binary] = STATE(5627),
    [sym_unary] = STATE(5627),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2938] = {
    [sym__keyword_colon] = ACTIONS(8242),
    [sym_comment] = ACTIONS(87),
  },
  [2939] = {
    [sym__statements] = STATE(2696),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(2697),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(1604),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(1605),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(8244),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2940] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5630),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5630),
    [sym_operator_assignment] = STATE(5630),
    [sym_conditional] = STATE(5630),
    [sym_range] = STATE(5630),
    [sym_binary] = STATE(5630),
    [sym_unary] = STATE(5630),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2941] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8242),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [2942] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [2943] = {
    [sym_heredoc_body] = STATE(5632),
    [aux_sym_call_repeat1] = STATE(5632),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [2944] = {
    [sym_heredoc_body] = STATE(5632),
    [aux_sym_call_repeat1] = STATE(5632),
    [aux_sym_argument_list_repeat1] = STATE(5634),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8246),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [2945] = {
    [sym_string] = STATE(3007),
    [aux_sym_chained_string_repeat1] = STATE(3007),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(8248),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2946] = {
    [sym_heredoc_body] = STATE(5636),
    [aux_sym_call_repeat1] = STATE(5636),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2947] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1079),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(1079),
    [sym_operator_assignment] = STATE(1079),
    [sym_conditional] = STATE(1079),
    [sym_range] = STATE(1079),
    [sym_binary] = STATE(1079),
    [sym_unary] = STATE(1079),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1085),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(5637),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(1839),
    [sym__splat_star] = ACTIONS(1841),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__identifier_hash_key] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8250),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1863),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2948] = {
    [sym_heredoc_body] = STATE(5638),
    [aux_sym_call_repeat1] = STATE(5638),
    [aux_sym_argument_list_repeat1] = STATE(5639),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4614),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [2949] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5640),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_splat_argument] = STATE(5641),
    [sym_assignment] = STATE(5640),
    [sym_operator_assignment] = STATE(5640),
    [sym_conditional] = STATE(5640),
    [sym_range] = STATE(5640),
    [sym_binary] = STATE(5640),
    [sym_unary] = STATE(5640),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(5641),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(4566),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2950] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5642),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(5642),
    [sym_operator_assignment] = STATE(5642),
    [sym_conditional] = STATE(5642),
    [sym_range] = STATE(5642),
    [sym_binary] = STATE(5642),
    [sym_unary] = STATE(5642),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2951] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5643),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(5643),
    [sym_operator_assignment] = STATE(5643),
    [sym_conditional] = STATE(5643),
    [sym_range] = STATE(5643),
    [sym_binary] = STATE(5643),
    [sym_unary] = STATE(5643),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [2952] = {
    [sym_string] = STATE(5644),
    [aux_sym_chained_string_repeat1] = STATE(5644),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [2953] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [2954] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [2955] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [2956] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [2957] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [2958] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [2959] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(8252),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [2960] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [2961] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [2962] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [2963] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [2964] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [2965] = {
    [sym__line_break] = ACTIONS(8254),
    [sym__heredoc_body_start] = ACTIONS(8254),
    [sym__element_reference_left_bracket] = ACTIONS(8254),
    [sym__infix_scope_colons] = ACTIONS(8254),
    [sym__binary_minus] = ACTIONS(8254),
    [sym__binary_star] = ACTIONS(8254),
    [ts_builtin_sym_end] = ACTIONS(8254),
    [anon_sym___END__] = ACTIONS(8254),
    [anon_sym_LBRACE] = ACTIONS(8254),
    [anon_sym_RBRACE] = ACTIONS(8254),
    [anon_sym_RPAREN] = ACTIONS(8254),
    [anon_sym_DOT] = ACTIONS(8256),
    [anon_sym_COMMA] = ACTIONS(8254),
    [anon_sym_PIPE] = ACTIONS(8256),
    [anon_sym_SEMI] = ACTIONS(8254),
    [anon_sym_STAR_STAR] = ACTIONS(8254),
    [anon_sym_AMP] = ACTIONS(8256),
    [anon_sym_LT] = ACTIONS(8256),
    [anon_sym_end] = ACTIONS(8254),
    [anon_sym_if] = ACTIONS(8254),
    [anon_sym_unless] = ACTIONS(8254),
    [anon_sym_while] = ACTIONS(8254),
    [anon_sym_until] = ACTIONS(8254),
    [anon_sym_rescue] = ACTIONS(8254),
    [anon_sym_do] = ACTIONS(8254),
    [anon_sym_when] = ACTIONS(8254),
    [anon_sym_elsif] = ACTIONS(8254),
    [anon_sym_else] = ACTIONS(8254),
    [anon_sym_then] = ACTIONS(8254),
    [anon_sym_ensure] = ACTIONS(8254),
    [anon_sym_EQ_GT] = ACTIONS(8254),
    [anon_sym_AMP_DOT] = ACTIONS(8254),
    [anon_sym_QMARK] = ACTIONS(8254),
    [anon_sym_DOT_DOT] = ACTIONS(8256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8254),
    [anon_sym_and] = ACTIONS(8254),
    [anon_sym_or] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE] = ACTIONS(8254),
    [anon_sym_AMP_AMP] = ACTIONS(8254),
    [anon_sym_LT_LT] = ACTIONS(8254),
    [anon_sym_GT_GT] = ACTIONS(8254),
    [anon_sym_EQ_EQ] = ACTIONS(8256),
    [anon_sym_BANG_EQ] = ACTIONS(8254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8254),
    [anon_sym_LT_EQ_GT] = ACTIONS(8254),
    [anon_sym_EQ_TILDE] = ACTIONS(8254),
    [anon_sym_BANG_TILDE] = ACTIONS(8254),
    [anon_sym_LT_EQ] = ACTIONS(8256),
    [anon_sym_GT] = ACTIONS(8256),
    [anon_sym_GT_EQ] = ACTIONS(8254),
    [anon_sym_CARET] = ACTIONS(8254),
    [anon_sym_PLUS] = ACTIONS(8254),
    [anon_sym_SLASH] = ACTIONS(8254),
    [anon_sym_PERCENT] = ACTIONS(8254),
    [sym_comment] = ACTIONS(87),
  },
  [2966] = {
    [anon_sym_end] = ACTIONS(8258),
    [sym_comment] = ACTIONS(87),
  },
  [2967] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5647),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(5647),
    [sym_operator_assignment] = STATE(5647),
    [sym_conditional] = STATE(5647),
    [sym_range] = STATE(5647),
    [sym_binary] = STATE(5647),
    [sym_unary] = STATE(5647),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2968] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1115),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(1118),
    [sym__argument] = STATE(1119),
    [sym_splat_argument] = STATE(1119),
    [sym_hash_splat_argument] = STATE(1119),
    [sym_block_argument] = STATE(1119),
    [sym_assignment] = STATE(1115),
    [sym_operator_assignment] = STATE(1115),
    [sym_conditional] = STATE(1115),
    [sym_range] = STATE(1115),
    [sym_binary] = STATE(1115),
    [sym_unary] = STATE(1115),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1122),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1119),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1903),
    [sym__splat_star] = ACTIONS(1905),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1937),
    [sym_identifier] = ACTIONS(1937),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2969] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1115),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(1118),
    [sym__argument] = STATE(1119),
    [sym_splat_argument] = STATE(1119),
    [sym_hash_splat_argument] = STATE(1119),
    [sym_block_argument] = STATE(1119),
    [sym_assignment] = STATE(1115),
    [sym_operator_assignment] = STATE(1115),
    [sym_conditional] = STATE(1115),
    [sym_range] = STATE(1115),
    [sym_binary] = STATE(1115),
    [sym_unary] = STATE(1115),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1122),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1119),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1903),
    [sym__splat_star] = ACTIONS(1905),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1937),
    [sym_identifier] = ACTIONS(1937),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2970] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1115),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(1118),
    [sym__argument] = STATE(1119),
    [sym_splat_argument] = STATE(1119),
    [sym_hash_splat_argument] = STATE(1119),
    [sym_block_argument] = STATE(1119),
    [sym_assignment] = STATE(1115),
    [sym_operator_assignment] = STATE(1115),
    [sym_conditional] = STATE(1115),
    [sym_range] = STATE(1115),
    [sym_binary] = STATE(1115),
    [sym_unary] = STATE(1115),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1122),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1119),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1903),
    [sym__splat_star] = ACTIONS(1905),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1937),
    [sym_identifier] = ACTIONS(1937),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2971] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1115),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(1118),
    [sym__argument] = STATE(1119),
    [sym_splat_argument] = STATE(1119),
    [sym_hash_splat_argument] = STATE(1119),
    [sym_block_argument] = STATE(1119),
    [sym_assignment] = STATE(1115),
    [sym_operator_assignment] = STATE(1115),
    [sym_conditional] = STATE(1115),
    [sym_range] = STATE(1115),
    [sym_binary] = STATE(1115),
    [sym_unary] = STATE(1115),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1122),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1119),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1903),
    [sym__splat_star] = ACTIONS(1905),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1937),
    [sym_identifier] = ACTIONS(1937),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2972] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5648),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(5648),
    [sym_operator_assignment] = STATE(5648),
    [sym_conditional] = STATE(5648),
    [sym_range] = STATE(5648),
    [sym_binary] = STATE(5648),
    [sym_unary] = STATE(5648),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2973] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5649),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(5649),
    [sym_operator_assignment] = STATE(5649),
    [sym_conditional] = STATE(5649),
    [sym_range] = STATE(5649),
    [sym_binary] = STATE(5649),
    [sym_unary] = STATE(5649),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2974] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2975] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8272),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [2976] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1115),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(1118),
    [sym__argument] = STATE(1119),
    [sym_splat_argument] = STATE(1119),
    [sym_hash_splat_argument] = STATE(1119),
    [sym_block_argument] = STATE(1119),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(1115),
    [sym_operator_assignment] = STATE(1115),
    [sym_conditional] = STATE(1115),
    [sym_range] = STATE(1115),
    [sym_binary] = STATE(1115),
    [sym_unary] = STATE(1115),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1122),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1119),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1903),
    [sym__splat_star] = ACTIONS(1905),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1937),
    [sym_identifier] = ACTIONS(1937),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2977] = {
    [anon_sym_EQ] = ACTIONS(8288),
    [sym_comment] = ACTIONS(87),
  },
  [2978] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8290),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8292),
    [anon_sym_DASH_EQ] = ACTIONS(8292),
    [anon_sym_STAR_EQ] = ACTIONS(8292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8292),
    [anon_sym_SLASH_EQ] = ACTIONS(8292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8292),
    [anon_sym_PIPE_EQ] = ACTIONS(8292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8292),
    [anon_sym_AMP_EQ] = ACTIONS(8292),
    [anon_sym_PERCENT_EQ] = ACTIONS(8292),
    [anon_sym_GT_GT_EQ] = ACTIONS(8292),
    [anon_sym_LT_LT_EQ] = ACTIONS(8292),
    [anon_sym_CARET_EQ] = ACTIONS(8292),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2979] = {
    [sym_string] = STATE(5664),
    [aux_sym_chained_string_repeat1] = STATE(5664),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2980] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8272),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [2981] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [2982] = {
    [sym_string] = STATE(3007),
    [aux_sym_chained_string_repeat1] = STATE(3007),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [2983] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5665),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(5665),
    [sym_operator_assignment] = STATE(5665),
    [sym_conditional] = STATE(5665),
    [sym_range] = STATE(5665),
    [sym_binary] = STATE(5665),
    [sym_unary] = STATE(5665),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2984] = {
    [sym__line_break] = ACTIONS(5684),
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [2985] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8272),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [2986] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [2987] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [2988] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5666),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5666),
    [sym_operator_assignment] = STATE(5666),
    [sym_conditional] = STATE(5666),
    [sym_range] = STATE(5666),
    [sym_binary] = STATE(5666),
    [sym_unary] = STATE(5666),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2989] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5667),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5667),
    [sym_operator_assignment] = STATE(5667),
    [sym_conditional] = STATE(5667),
    [sym_range] = STATE(5667),
    [sym_binary] = STATE(5667),
    [sym_unary] = STATE(5667),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2990] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5668),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5668),
    [sym_operator_assignment] = STATE(5668),
    [sym_conditional] = STATE(5668),
    [sym_range] = STATE(5668),
    [sym_binary] = STATE(5668),
    [sym_unary] = STATE(5668),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2991] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5669),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5669),
    [sym_operator_assignment] = STATE(5669),
    [sym_conditional] = STATE(5669),
    [sym_range] = STATE(5669),
    [sym_binary] = STATE(5669),
    [sym_unary] = STATE(5669),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2992] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5670),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5670),
    [sym_operator_assignment] = STATE(5670),
    [sym_conditional] = STATE(5670),
    [sym_range] = STATE(5670),
    [sym_binary] = STATE(5670),
    [sym_unary] = STATE(5670),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2993] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5671),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5671),
    [sym_operator_assignment] = STATE(5671),
    [sym_conditional] = STATE(5671),
    [sym_range] = STATE(5671),
    [sym_binary] = STATE(5671),
    [sym_unary] = STATE(5671),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2994] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5672),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(5672),
    [sym_operator_assignment] = STATE(5672),
    [sym_conditional] = STATE(5672),
    [sym_range] = STATE(5672),
    [sym_binary] = STATE(5672),
    [sym_unary] = STATE(5672),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [2995] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(5673),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(5673),
    [sym_operator_assignment] = STATE(5673),
    [sym_conditional] = STATE(5673),
    [sym_range] = STATE(5673),
    [sym_binary] = STATE(5673),
    [sym_unary] = STATE(5673),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [2996] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5674),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5674),
    [sym_operator_assignment] = STATE(5674),
    [sym_conditional] = STATE(5674),
    [sym_range] = STATE(5674),
    [sym_binary] = STATE(5674),
    [sym_unary] = STATE(5674),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2997] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5675),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5675),
    [sym_operator_assignment] = STATE(5675),
    [sym_conditional] = STATE(5675),
    [sym_range] = STATE(5675),
    [sym_binary] = STATE(5675),
    [sym_unary] = STATE(5675),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2998] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5676),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5676),
    [sym_operator_assignment] = STATE(5676),
    [sym_conditional] = STATE(5676),
    [sym_range] = STATE(5676),
    [sym_binary] = STATE(5676),
    [sym_unary] = STATE(5676),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [2999] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5677),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5677),
    [sym_operator_assignment] = STATE(5677),
    [sym_conditional] = STATE(5677),
    [sym_range] = STATE(5677),
    [sym_binary] = STATE(5677),
    [sym_unary] = STATE(5677),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3000] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5678),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5678),
    [sym_operator_assignment] = STATE(5678),
    [sym_conditional] = STATE(5678),
    [sym_range] = STATE(5678),
    [sym_binary] = STATE(5678),
    [sym_unary] = STATE(5678),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3001] = {
    [sym_heredoc_body] = STATE(5679),
    [aux_sym_call_repeat1] = STATE(5679),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [3002] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1115),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(1115),
    [sym_operator_assignment] = STATE(1115),
    [sym_conditional] = STATE(1115),
    [sym_range] = STATE(1115),
    [sym_binary] = STATE(1115),
    [sym_unary] = STATE(1115),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1122),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(5680),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(1903),
    [sym__splat_star] = ACTIONS(1905),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__identifier_hash_key] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8294),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1937),
    [sym_identifier] = ACTIONS(1937),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3003] = {
    [sym_heredoc_body] = STATE(5681),
    [aux_sym_call_repeat1] = STATE(5681),
    [aux_sym_argument_list_repeat1] = STATE(5682),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4684),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [3004] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5683),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_splat_argument] = STATE(5684),
    [sym_assignment] = STATE(5683),
    [sym_operator_assignment] = STATE(5683),
    [sym_conditional] = STATE(5683),
    [sym_range] = STATE(5683),
    [sym_binary] = STATE(5683),
    [sym_unary] = STATE(5683),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(5684),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(4606),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3005] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5685),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(5685),
    [sym_operator_assignment] = STATE(5685),
    [sym_conditional] = STATE(5685),
    [sym_range] = STATE(5685),
    [sym_binary] = STATE(5685),
    [sym_unary] = STATE(5685),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3006] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(5686),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(5686),
    [sym_operator_assignment] = STATE(5686),
    [sym_conditional] = STATE(5686),
    [sym_range] = STATE(5686),
    [sym_binary] = STATE(5686),
    [sym_unary] = STATE(5686),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3007] = {
    [sym_string] = STATE(5687),
    [aux_sym_chained_string_repeat1] = STATE(5687),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [3008] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5688),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(5688),
    [sym_operator_assignment] = STATE(5688),
    [sym_conditional] = STATE(5688),
    [sym_range] = STATE(5688),
    [sym_binary] = STATE(5688),
    [sym_unary] = STATE(5688),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3009] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5689),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(5689),
    [sym_operator_assignment] = STATE(5689),
    [sym_conditional] = STATE(5689),
    [sym_range] = STATE(5689),
    [sym_binary] = STATE(5689),
    [sym_unary] = STATE(5689),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3010] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5690),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(5690),
    [sym_operator_assignment] = STATE(5690),
    [sym_conditional] = STATE(5690),
    [sym_range] = STATE(5690),
    [sym_binary] = STATE(5690),
    [sym_unary] = STATE(5690),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3011] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5691),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(5691),
    [sym_operator_assignment] = STATE(5691),
    [sym_conditional] = STATE(5691),
    [sym_range] = STATE(5691),
    [sym_binary] = STATE(5691),
    [sym_unary] = STATE(5691),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3012] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3013] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8300),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(8304),
    [anon_sym_LT] = ACTIONS(8306),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8308),
    [anon_sym_DOT_DOT] = ACTIONS(8310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8312),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8314),
    [anon_sym_AMP_AMP] = ACTIONS(8314),
    [anon_sym_LT_LT] = ACTIONS(8316),
    [anon_sym_GT_GT] = ACTIONS(8316),
    [anon_sym_EQ_EQ] = ACTIONS(8318),
    [anon_sym_BANG_EQ] = ACTIONS(8314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8314),
    [anon_sym_LT_EQ_GT] = ACTIONS(8314),
    [anon_sym_EQ_TILDE] = ACTIONS(8314),
    [anon_sym_BANG_TILDE] = ACTIONS(8314),
    [anon_sym_LT_EQ] = ACTIONS(8306),
    [anon_sym_GT] = ACTIONS(8306),
    [anon_sym_GT_EQ] = ACTIONS(8320),
    [anon_sym_CARET] = ACTIONS(8322),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [3014] = {
    [aux_sym_exceptions_repeat1] = STATE(5705),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(8326),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [3015] = {
    [anon_sym_EQ] = ACTIONS(8328),
    [sym_comment] = ACTIONS(87),
  },
  [3016] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8330),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8332),
    [anon_sym_DASH_EQ] = ACTIONS(8332),
    [anon_sym_STAR_EQ] = ACTIONS(8332),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8332),
    [anon_sym_SLASH_EQ] = ACTIONS(8332),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8332),
    [anon_sym_PIPE_EQ] = ACTIONS(8332),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8332),
    [anon_sym_AMP_EQ] = ACTIONS(8332),
    [anon_sym_PERCENT_EQ] = ACTIONS(8332),
    [anon_sym_GT_GT_EQ] = ACTIONS(8332),
    [anon_sym_LT_LT_EQ] = ACTIONS(8332),
    [anon_sym_CARET_EQ] = ACTIONS(8332),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3017] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [3018] = {
    [sym_string] = STATE(3018),
    [aux_sym_chained_string_repeat1] = STATE(3018),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [3019] = {
    [sym__line_break] = ACTIONS(8334),
    [sym__heredoc_body_start] = ACTIONS(8334),
    [sym__element_reference_left_bracket] = ACTIONS(8334),
    [sym__infix_scope_colons] = ACTIONS(8334),
    [sym__binary_minus] = ACTIONS(8334),
    [sym__binary_star] = ACTIONS(8334),
    [ts_builtin_sym_end] = ACTIONS(8334),
    [anon_sym___END__] = ACTIONS(8334),
    [anon_sym_LBRACE] = ACTIONS(8334),
    [anon_sym_RBRACE] = ACTIONS(8334),
    [anon_sym_RPAREN] = ACTIONS(8334),
    [anon_sym_DOT] = ACTIONS(8336),
    [anon_sym_COMMA] = ACTIONS(8334),
    [anon_sym_PIPE] = ACTIONS(8336),
    [anon_sym_SEMI] = ACTIONS(8334),
    [anon_sym_STAR_STAR] = ACTIONS(8334),
    [anon_sym_AMP] = ACTIONS(8336),
    [anon_sym_LT] = ACTIONS(8336),
    [anon_sym_end] = ACTIONS(8334),
    [anon_sym_if] = ACTIONS(8334),
    [anon_sym_unless] = ACTIONS(8334),
    [anon_sym_while] = ACTIONS(8334),
    [anon_sym_until] = ACTIONS(8334),
    [anon_sym_rescue] = ACTIONS(8334),
    [anon_sym_do] = ACTIONS(8334),
    [anon_sym_when] = ACTIONS(8334),
    [anon_sym_elsif] = ACTIONS(8334),
    [anon_sym_else] = ACTIONS(8334),
    [anon_sym_then] = ACTIONS(8334),
    [anon_sym_ensure] = ACTIONS(8334),
    [anon_sym_EQ_GT] = ACTIONS(8334),
    [anon_sym_AMP_DOT] = ACTIONS(8334),
    [anon_sym_QMARK] = ACTIONS(8334),
    [anon_sym_DOT_DOT] = ACTIONS(8336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8334),
    [anon_sym_and] = ACTIONS(8334),
    [anon_sym_or] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE] = ACTIONS(8334),
    [anon_sym_AMP_AMP] = ACTIONS(8334),
    [anon_sym_LT_LT] = ACTIONS(8334),
    [anon_sym_GT_GT] = ACTIONS(8334),
    [anon_sym_EQ_EQ] = ACTIONS(8336),
    [anon_sym_BANG_EQ] = ACTIONS(8334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8334),
    [anon_sym_LT_EQ_GT] = ACTIONS(8334),
    [anon_sym_EQ_TILDE] = ACTIONS(8334),
    [anon_sym_BANG_TILDE] = ACTIONS(8334),
    [anon_sym_LT_EQ] = ACTIONS(8336),
    [anon_sym_GT] = ACTIONS(8336),
    [anon_sym_GT_EQ] = ACTIONS(8334),
    [anon_sym_CARET] = ACTIONS(8334),
    [anon_sym_PLUS] = ACTIONS(8334),
    [anon_sym_SLASH] = ACTIONS(8334),
    [anon_sym_PERCENT] = ACTIONS(8334),
    [sym_comment] = ACTIONS(87),
  },
  [3020] = {
    [anon_sym_end] = ACTIONS(8338),
    [sym_comment] = ACTIONS(87),
  },
  [3021] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5709),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(5709),
    [sym_operator_assignment] = STATE(5709),
    [sym_conditional] = STATE(5709),
    [sym_range] = STATE(5709),
    [sym_binary] = STATE(5709),
    [sym_unary] = STATE(5709),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3022] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5715),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(5716),
    [sym__argument] = STATE(5717),
    [sym_splat_argument] = STATE(5717),
    [sym_hash_splat_argument] = STATE(5717),
    [sym_block_argument] = STATE(5717),
    [sym_assignment] = STATE(5715),
    [sym_operator_assignment] = STATE(5715),
    [sym_conditional] = STATE(5715),
    [sym_range] = STATE(5715),
    [sym_binary] = STATE(5715),
    [sym_unary] = STATE(5715),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5718),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5717),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(8340),
    [sym__splat_star] = ACTIONS(8342),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(8344),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(4738),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(8346),
    [sym_identifier] = ACTIONS(8346),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3023] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5715),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(5716),
    [sym__argument] = STATE(5717),
    [sym_splat_argument] = STATE(5717),
    [sym_hash_splat_argument] = STATE(5717),
    [sym_block_argument] = STATE(5717),
    [sym_assignment] = STATE(5715),
    [sym_operator_assignment] = STATE(5715),
    [sym_conditional] = STATE(5715),
    [sym_range] = STATE(5715),
    [sym_binary] = STATE(5715),
    [sym_unary] = STATE(5715),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5718),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5717),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(8340),
    [sym__splat_star] = ACTIONS(8342),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(8344),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(415),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(4738),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(8346),
    [sym_identifier] = ACTIONS(8346),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3024] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5715),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(5716),
    [sym__argument] = STATE(5717),
    [sym_splat_argument] = STATE(5717),
    [sym_hash_splat_argument] = STATE(5717),
    [sym_block_argument] = STATE(5717),
    [sym_assignment] = STATE(5715),
    [sym_operator_assignment] = STATE(5715),
    [sym_conditional] = STATE(5715),
    [sym_range] = STATE(5715),
    [sym_binary] = STATE(5715),
    [sym_unary] = STATE(5715),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5718),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5717),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(8340),
    [sym__splat_star] = ACTIONS(8342),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(8344),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(419),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(4738),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(8346),
    [sym_identifier] = ACTIONS(8346),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3025] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5715),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(5716),
    [sym__argument] = STATE(5717),
    [sym_splat_argument] = STATE(5717),
    [sym_hash_splat_argument] = STATE(5717),
    [sym_block_argument] = STATE(5717),
    [sym_assignment] = STATE(5715),
    [sym_operator_assignment] = STATE(5715),
    [sym_conditional] = STATE(5715),
    [sym_range] = STATE(5715),
    [sym_binary] = STATE(5715),
    [sym_unary] = STATE(5715),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5718),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5717),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(8340),
    [sym__splat_star] = ACTIONS(8342),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(8344),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(4738),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(8346),
    [sym_identifier] = ACTIONS(8346),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3026] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5719),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(5719),
    [sym_operator_assignment] = STATE(5719),
    [sym_conditional] = STATE(5719),
    [sym_range] = STATE(5719),
    [sym_binary] = STATE(5719),
    [sym_unary] = STATE(5719),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3027] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5720),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(5720),
    [sym_operator_assignment] = STATE(5720),
    [sym_conditional] = STATE(5720),
    [sym_range] = STATE(5720),
    [sym_binary] = STATE(5720),
    [sym_unary] = STATE(5720),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3028] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3029] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(8366),
    [anon_sym_or] = ACTIONS(8366),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [3030] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5738),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_argument_list] = STATE(5106),
    [sym__argument_list_with_parens] = STATE(5739),
    [sym__argument] = STATE(5740),
    [sym_splat_argument] = STATE(5740),
    [sym_hash_splat_argument] = STATE(5740),
    [sym_block_argument] = STATE(5740),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(5738),
    [sym_operator_assignment] = STATE(5738),
    [sym_conditional] = STATE(5738),
    [sym_range] = STATE(5738),
    [sym_binary] = STATE(5738),
    [sym_unary] = STATE(5738),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5741),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(5740),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(8380),
    [sym__splat_star] = ACTIONS(8382),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(8384),
    [anon_sym_LBRACE] = ACTIONS(7625),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4796),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(8386),
    [sym_identifier] = ACTIONS(8386),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3031] = {
    [anon_sym_EQ] = ACTIONS(8388),
    [sym_comment] = ACTIONS(87),
  },
  [3032] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8390),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8392),
    [anon_sym_DASH_EQ] = ACTIONS(8392),
    [anon_sym_STAR_EQ] = ACTIONS(8392),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8392),
    [anon_sym_SLASH_EQ] = ACTIONS(8392),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8392),
    [anon_sym_PIPE_EQ] = ACTIONS(8392),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8392),
    [anon_sym_AMP_EQ] = ACTIONS(8392),
    [anon_sym_PERCENT_EQ] = ACTIONS(8392),
    [anon_sym_GT_GT_EQ] = ACTIONS(8392),
    [anon_sym_LT_LT_EQ] = ACTIONS(8392),
    [anon_sym_CARET_EQ] = ACTIONS(8392),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3033] = {
    [sym_string] = STATE(5744),
    [aux_sym_chained_string_repeat1] = STATE(5744),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3034] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(8366),
    [anon_sym_or] = ACTIONS(8366),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [3035] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [3036] = {
    [sym_string] = STATE(3088),
    [aux_sym_chained_string_repeat1] = STATE(3088),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3037] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5745),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(5745),
    [sym_operator_assignment] = STATE(5745),
    [sym_conditional] = STATE(5745),
    [sym_range] = STATE(5745),
    [sym_binary] = STATE(5745),
    [sym_unary] = STATE(5745),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3038] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(8366),
    [anon_sym_or] = ACTIONS(8366),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [3039] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5746),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5746),
    [sym_operator_assignment] = STATE(5746),
    [sym_conditional] = STATE(5746),
    [sym_range] = STATE(5746),
    [sym_binary] = STATE(5746),
    [sym_unary] = STATE(5746),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3040] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5747),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5747),
    [sym_operator_assignment] = STATE(5747),
    [sym_conditional] = STATE(5747),
    [sym_range] = STATE(5747),
    [sym_binary] = STATE(5747),
    [sym_unary] = STATE(5747),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3041] = {
    [sym__keyword_colon] = ACTIONS(8394),
    [sym_comment] = ACTIONS(87),
  },
  [3042] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5749),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5749),
    [sym_operator_assignment] = STATE(5749),
    [sym_conditional] = STATE(5749),
    [sym_range] = STATE(5749),
    [sym_binary] = STATE(5749),
    [sym_unary] = STATE(5749),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3043] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8394),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_in] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3044] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [3045] = {
    [sym_heredoc_body] = STATE(5751),
    [aux_sym_call_repeat1] = STATE(5751),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3046] = {
    [sym_heredoc_body] = STATE(5751),
    [aux_sym_call_repeat1] = STATE(5751),
    [aux_sym_argument_list_repeat1] = STATE(5753),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8396),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3047] = {
    [sym_string] = STATE(3088),
    [aux_sym_chained_string_repeat1] = STATE(3088),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(8398),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3048] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_in] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [3049] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [3050] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5755),
    [sym_operator_assignment] = STATE(5755),
    [sym_conditional] = STATE(5755),
    [sym_range] = STATE(5755),
    [sym_binary] = STATE(5755),
    [sym_unary] = STATE(5755),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3051] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5756),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5756),
    [sym_operator_assignment] = STATE(5756),
    [sym_conditional] = STATE(5756),
    [sym_range] = STATE(5756),
    [sym_binary] = STATE(5756),
    [sym_unary] = STATE(5756),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3052] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5757),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5757),
    [sym_operator_assignment] = STATE(5757),
    [sym_conditional] = STATE(5757),
    [sym_range] = STATE(5757),
    [sym_binary] = STATE(5757),
    [sym_unary] = STATE(5757),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3053] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5758),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5758),
    [sym_operator_assignment] = STATE(5758),
    [sym_conditional] = STATE(5758),
    [sym_range] = STATE(5758),
    [sym_binary] = STATE(5758),
    [sym_unary] = STATE(5758),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3054] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5759),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5759),
    [sym_operator_assignment] = STATE(5759),
    [sym_conditional] = STATE(5759),
    [sym_range] = STATE(5759),
    [sym_binary] = STATE(5759),
    [sym_unary] = STATE(5759),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3055] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5760),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5760),
    [sym_operator_assignment] = STATE(5760),
    [sym_conditional] = STATE(5760),
    [sym_range] = STATE(5760),
    [sym_binary] = STATE(5760),
    [sym_unary] = STATE(5760),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3056] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5761),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(5761),
    [sym_operator_assignment] = STATE(5761),
    [sym_conditional] = STATE(5761),
    [sym_range] = STATE(5761),
    [sym_binary] = STATE(5761),
    [sym_unary] = STATE(5761),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3057] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(5762),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(5762),
    [sym_operator_assignment] = STATE(5762),
    [sym_conditional] = STATE(5762),
    [sym_range] = STATE(5762),
    [sym_binary] = STATE(5762),
    [sym_unary] = STATE(5762),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3058] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5763),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5763),
    [sym_operator_assignment] = STATE(5763),
    [sym_conditional] = STATE(5763),
    [sym_range] = STATE(5763),
    [sym_binary] = STATE(5763),
    [sym_unary] = STATE(5763),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3059] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5764),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5764),
    [sym_operator_assignment] = STATE(5764),
    [sym_conditional] = STATE(5764),
    [sym_range] = STATE(5764),
    [sym_binary] = STATE(5764),
    [sym_unary] = STATE(5764),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3060] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5765),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5765),
    [sym_operator_assignment] = STATE(5765),
    [sym_conditional] = STATE(5765),
    [sym_range] = STATE(5765),
    [sym_binary] = STATE(5765),
    [sym_unary] = STATE(5765),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3061] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5766),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5766),
    [sym_operator_assignment] = STATE(5766),
    [sym_conditional] = STATE(5766),
    [sym_range] = STATE(5766),
    [sym_binary] = STATE(5766),
    [sym_unary] = STATE(5766),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3062] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5767),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5767),
    [sym_operator_assignment] = STATE(5767),
    [sym_conditional] = STATE(5767),
    [sym_range] = STATE(5767),
    [sym_binary] = STATE(5767),
    [sym_unary] = STATE(5767),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3063] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5768),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(5768),
    [sym_operator_assignment] = STATE(5768),
    [sym_conditional] = STATE(5768),
    [sym_range] = STATE(5768),
    [sym_binary] = STATE(5768),
    [sym_unary] = STATE(5768),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3064] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5770),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(5770),
    [sym_operator_assignment] = STATE(5770),
    [sym_conditional] = STATE(5770),
    [sym_range] = STATE(5770),
    [sym_binary] = STATE(5770),
    [sym_unary] = STATE(5770),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3065] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5771),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(5771),
    [sym_operator_assignment] = STATE(5771),
    [sym_conditional] = STATE(5771),
    [sym_range] = STATE(5771),
    [sym_binary] = STATE(5771),
    [sym_unary] = STATE(5771),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3066] = {
    [sym__keyword_colon] = ACTIONS(8402),
    [sym_comment] = ACTIONS(87),
  },
  [3067] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5773),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(5773),
    [sym_operator_assignment] = STATE(5773),
    [sym_conditional] = STATE(5773),
    [sym_range] = STATE(5773),
    [sym_binary] = STATE(5773),
    [sym_unary] = STATE(5773),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3068] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3076),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_argument_list] = STATE(2072),
    [sym__argument_list_with_parens] = STATE(3077),
    [sym__argument] = STATE(3078),
    [sym_splat_argument] = STATE(3078),
    [sym_hash_splat_argument] = STATE(3078),
    [sym_block_argument] = STATE(3078),
    [sym_assignment] = STATE(3076),
    [sym_operator_assignment] = STATE(3076),
    [sym_conditional] = STATE(3076),
    [sym_range] = STATE(3076),
    [sym_binary] = STATE(3076),
    [sym_unary] = STATE(3076),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3081),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3078),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(4776),
    [sym__splat_star] = ACTIONS(4778),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4796),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(4800),
    [sym_identifier] = ACTIONS(4800),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3069] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3076),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_argument_list] = STATE(2073),
    [sym__argument_list_with_parens] = STATE(3077),
    [sym__argument] = STATE(3078),
    [sym_splat_argument] = STATE(3078),
    [sym_hash_splat_argument] = STATE(3078),
    [sym_block_argument] = STATE(3078),
    [sym_assignment] = STATE(3076),
    [sym_operator_assignment] = STATE(3076),
    [sym_conditional] = STATE(3076),
    [sym_range] = STATE(3076),
    [sym_binary] = STATE(3076),
    [sym_unary] = STATE(3076),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3081),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3078),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(4776),
    [sym__splat_star] = ACTIONS(4778),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_in] = ACTIONS(415),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4796),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(4800),
    [sym_identifier] = ACTIONS(4800),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3070] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3076),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_argument_list] = STATE(2074),
    [sym__argument_list_with_parens] = STATE(3077),
    [sym__argument] = STATE(3078),
    [sym_splat_argument] = STATE(3078),
    [sym_hash_splat_argument] = STATE(3078),
    [sym_block_argument] = STATE(3078),
    [sym_assignment] = STATE(3076),
    [sym_operator_assignment] = STATE(3076),
    [sym_conditional] = STATE(3076),
    [sym_range] = STATE(3076),
    [sym_binary] = STATE(3076),
    [sym_unary] = STATE(3076),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3081),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3078),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(4776),
    [sym__splat_star] = ACTIONS(4778),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_in] = ACTIONS(419),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4796),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(4800),
    [sym_identifier] = ACTIONS(4800),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3071] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3076),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_argument_list] = STATE(2075),
    [sym__argument_list_with_parens] = STATE(3077),
    [sym__argument] = STATE(3078),
    [sym_splat_argument] = STATE(3078),
    [sym_hash_splat_argument] = STATE(3078),
    [sym_block_argument] = STATE(3078),
    [sym_assignment] = STATE(3076),
    [sym_operator_assignment] = STATE(3076),
    [sym_conditional] = STATE(3076),
    [sym_range] = STATE(3076),
    [sym_binary] = STATE(3076),
    [sym_unary] = STATE(3076),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3081),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3078),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(4776),
    [sym__splat_star] = ACTIONS(4778),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4796),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(4800),
    [sym_identifier] = ACTIONS(4800),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3072] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5774),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(5774),
    [sym_operator_assignment] = STATE(5774),
    [sym_conditional] = STATE(5774),
    [sym_range] = STATE(5774),
    [sym_binary] = STATE(5774),
    [sym_unary] = STATE(5774),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3073] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5775),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(5775),
    [sym_operator_assignment] = STATE(5775),
    [sym_conditional] = STATE(5775),
    [sym_range] = STATE(5775),
    [sym_binary] = STATE(5775),
    [sym_unary] = STATE(5775),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3074] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2095),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(2095),
    [sym_operator_assignment] = STATE(2095),
    [sym_conditional] = STATE(2095),
    [sym_range] = STATE(2095),
    [sym_binary] = STATE(2095),
    [sym_unary] = STATE(2095),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3075] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8402),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_in] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3076] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [3077] = {
    [sym_heredoc_body] = STATE(5789),
    [aux_sym_call_repeat1] = STATE(5789),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3078] = {
    [sym_heredoc_body] = STATE(5789),
    [aux_sym_call_repeat1] = STATE(5789),
    [aux_sym_argument_list_repeat1] = STATE(5791),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8432),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3079] = {
    [anon_sym_EQ] = ACTIONS(8434),
    [sym_comment] = ACTIONS(87),
  },
  [3080] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8436),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8438),
    [anon_sym_DASH_EQ] = ACTIONS(8438),
    [anon_sym_STAR_EQ] = ACTIONS(8438),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8438),
    [anon_sym_SLASH_EQ] = ACTIONS(8438),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8438),
    [anon_sym_PIPE_EQ] = ACTIONS(8438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8438),
    [anon_sym_AMP_EQ] = ACTIONS(8438),
    [anon_sym_PERCENT_EQ] = ACTIONS(8438),
    [anon_sym_GT_GT_EQ] = ACTIONS(8438),
    [anon_sym_LT_LT_EQ] = ACTIONS(8438),
    [anon_sym_CARET_EQ] = ACTIONS(8438),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3081] = {
    [sym_string] = STATE(5795),
    [aux_sym_chained_string_repeat1] = STATE(5795),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(8440),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3082] = {
    [sym_heredoc_body] = STATE(5796),
    [aux_sym_call_repeat1] = STATE(5796),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_in] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [3083] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1140),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym__argument] = STATE(4990),
    [sym_splat_argument] = STATE(4990),
    [sym_hash_splat_argument] = STATE(4990),
    [sym_block_argument] = STATE(4990),
    [sym_assignment] = STATE(1140),
    [sym_operator_assignment] = STATE(1140),
    [sym_conditional] = STATE(1140),
    [sym_range] = STATE(1140),
    [sym_binary] = STATE(1140),
    [sym_unary] = STATE(1140),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1146),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(5797),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4990),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1953),
    [sym__splat_star] = ACTIONS(1955),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__identifier_hash_key] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1961),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1979),
    [sym_identifier] = ACTIONS(1979),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3084] = {
    [sym_heredoc_body] = STATE(5798),
    [aux_sym_call_repeat1] = STATE(5798),
    [aux_sym_argument_list_repeat1] = STATE(5799),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4802),
    [anon_sym_in] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [3085] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5800),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_splat_argument] = STATE(5801),
    [sym_assignment] = STATE(5800),
    [sym_operator_assignment] = STATE(5800),
    [sym_conditional] = STATE(5800),
    [sym_range] = STATE(5800),
    [sym_binary] = STATE(5800),
    [sym_unary] = STATE(5800),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(5801),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(4734),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3086] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5802),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(5802),
    [sym_operator_assignment] = STATE(5802),
    [sym_conditional] = STATE(5802),
    [sym_range] = STATE(5802),
    [sym_binary] = STATE(5802),
    [sym_unary] = STATE(5802),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3087] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5803),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(5803),
    [sym_operator_assignment] = STATE(5803),
    [sym_conditional] = STATE(5803),
    [sym_range] = STATE(5803),
    [sym_binary] = STATE(5803),
    [sym_unary] = STATE(5803),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3088] = {
    [sym_string] = STATE(5804),
    [aux_sym_chained_string_repeat1] = STATE(5804),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [3089] = {
    [sym__line_break] = ACTIONS(8442),
    [sym__heredoc_body_start] = ACTIONS(8442),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(8442),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(8442),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [3090] = {
    [sym__statements] = STATE(5806),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(8444),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3091] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5807),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(5807),
    [sym_operator_assignment] = STATE(5807),
    [sym_conditional] = STATE(5807),
    [sym_range] = STATE(5807),
    [sym_binary] = STATE(5807),
    [sym_unary] = STATE(5807),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3092] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1164),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(5808),
    [sym__argument] = STATE(5809),
    [sym_splat_argument] = STATE(5809),
    [sym_hash_splat_argument] = STATE(5809),
    [sym_block_argument] = STATE(5809),
    [sym_assignment] = STATE(1164),
    [sym_operator_assignment] = STATE(1164),
    [sym_conditional] = STATE(1164),
    [sym_range] = STATE(1164),
    [sym_binary] = STATE(1164),
    [sym_unary] = STATE(1164),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1170),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5809),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(1989),
    [sym__splat_star] = ACTIONS(1991),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2013),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3093] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1164),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(5808),
    [sym__argument] = STATE(5809),
    [sym_splat_argument] = STATE(5809),
    [sym_hash_splat_argument] = STATE(5809),
    [sym_block_argument] = STATE(5809),
    [sym_assignment] = STATE(1164),
    [sym_operator_assignment] = STATE(1164),
    [sym_conditional] = STATE(1164),
    [sym_range] = STATE(1164),
    [sym_binary] = STATE(1164),
    [sym_unary] = STATE(1164),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1170),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5809),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(1989),
    [sym__splat_star] = ACTIONS(1991),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2013),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3094] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1164),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(5808),
    [sym__argument] = STATE(5809),
    [sym_splat_argument] = STATE(5809),
    [sym_hash_splat_argument] = STATE(5809),
    [sym_block_argument] = STATE(5809),
    [sym_assignment] = STATE(1164),
    [sym_operator_assignment] = STATE(1164),
    [sym_conditional] = STATE(1164),
    [sym_range] = STATE(1164),
    [sym_binary] = STATE(1164),
    [sym_unary] = STATE(1164),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1170),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5809),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(1989),
    [sym__splat_star] = ACTIONS(1991),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2013),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3095] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1164),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(5808),
    [sym__argument] = STATE(5809),
    [sym_splat_argument] = STATE(5809),
    [sym_hash_splat_argument] = STATE(5809),
    [sym_block_argument] = STATE(5809),
    [sym_assignment] = STATE(1164),
    [sym_operator_assignment] = STATE(1164),
    [sym_conditional] = STATE(1164),
    [sym_range] = STATE(1164),
    [sym_binary] = STATE(1164),
    [sym_unary] = STATE(1164),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1170),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5809),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(1989),
    [sym__splat_star] = ACTIONS(1991),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2013),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3096] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5810),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(5810),
    [sym_operator_assignment] = STATE(5810),
    [sym_conditional] = STATE(5810),
    [sym_range] = STATE(5810),
    [sym_binary] = STATE(5810),
    [sym_unary] = STATE(5810),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3097] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5811),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(5811),
    [sym_operator_assignment] = STATE(5811),
    [sym_conditional] = STATE(5811),
    [sym_range] = STATE(5811),
    [sym_binary] = STATE(5811),
    [sym_unary] = STATE(5811),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3098] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3099] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8458),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [3100] = {
    [anon_sym_EQ] = ACTIONS(8476),
    [sym_comment] = ACTIONS(87),
  },
  [3101] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8478),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8480),
    [anon_sym_DASH_EQ] = ACTIONS(8480),
    [anon_sym_STAR_EQ] = ACTIONS(8480),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8480),
    [anon_sym_SLASH_EQ] = ACTIONS(8480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8480),
    [anon_sym_PIPE_EQ] = ACTIONS(8480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8480),
    [anon_sym_AMP_EQ] = ACTIONS(8480),
    [anon_sym_PERCENT_EQ] = ACTIONS(8480),
    [anon_sym_GT_GT_EQ] = ACTIONS(8480),
    [anon_sym_LT_LT_EQ] = ACTIONS(8480),
    [anon_sym_CARET_EQ] = ACTIONS(8480),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3102] = {
    [sym_string] = STATE(5826),
    [aux_sym_chained_string_repeat1] = STATE(5826),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3103] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8458),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [3104] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [3105] = {
    [sym_string] = STATE(3138),
    [aux_sym_chained_string_repeat1] = STATE(3138),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3106] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5827),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(5827),
    [sym_operator_assignment] = STATE(5827),
    [sym_conditional] = STATE(5827),
    [sym_range] = STATE(5827),
    [sym_binary] = STATE(5827),
    [sym_unary] = STATE(5827),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3107] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8458),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [3108] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5828),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5828),
    [sym_operator_assignment] = STATE(5828),
    [sym_conditional] = STATE(5828),
    [sym_range] = STATE(5828),
    [sym_binary] = STATE(5828),
    [sym_unary] = STATE(5828),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3109] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5829),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5829),
    [sym_operator_assignment] = STATE(5829),
    [sym_conditional] = STATE(5829),
    [sym_range] = STATE(5829),
    [sym_binary] = STATE(5829),
    [sym_unary] = STATE(5829),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3110] = {
    [sym__keyword_colon] = ACTIONS(8482),
    [sym_comment] = ACTIONS(87),
  },
  [3111] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5831),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5831),
    [sym_operator_assignment] = STATE(5831),
    [sym_conditional] = STATE(5831),
    [sym_range] = STATE(5831),
    [sym_binary] = STATE(5831),
    [sym_unary] = STATE(5831),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3112] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8482),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3113] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [3114] = {
    [sym_heredoc_body] = STATE(5833),
    [aux_sym_call_repeat1] = STATE(5833),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3115] = {
    [sym_heredoc_body] = STATE(5833),
    [aux_sym_call_repeat1] = STATE(5833),
    [aux_sym_argument_list_repeat1] = STATE(5835),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8484),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3116] = {
    [sym_string] = STATE(3138),
    [aux_sym_chained_string_repeat1] = STATE(3138),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(8486),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3117] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [3118] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [3119] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5837),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5837),
    [sym_operator_assignment] = STATE(5837),
    [sym_conditional] = STATE(5837),
    [sym_range] = STATE(5837),
    [sym_binary] = STATE(5837),
    [sym_unary] = STATE(5837),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3120] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5838),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5838),
    [sym_operator_assignment] = STATE(5838),
    [sym_conditional] = STATE(5838),
    [sym_range] = STATE(5838),
    [sym_binary] = STATE(5838),
    [sym_unary] = STATE(5838),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3121] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5839),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5839),
    [sym_operator_assignment] = STATE(5839),
    [sym_conditional] = STATE(5839),
    [sym_range] = STATE(5839),
    [sym_binary] = STATE(5839),
    [sym_unary] = STATE(5839),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3122] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5840),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5840),
    [sym_operator_assignment] = STATE(5840),
    [sym_conditional] = STATE(5840),
    [sym_range] = STATE(5840),
    [sym_binary] = STATE(5840),
    [sym_unary] = STATE(5840),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3123] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5841),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5841),
    [sym_operator_assignment] = STATE(5841),
    [sym_conditional] = STATE(5841),
    [sym_range] = STATE(5841),
    [sym_binary] = STATE(5841),
    [sym_unary] = STATE(5841),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3124] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5842),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5842),
    [sym_operator_assignment] = STATE(5842),
    [sym_conditional] = STATE(5842),
    [sym_range] = STATE(5842),
    [sym_binary] = STATE(5842),
    [sym_unary] = STATE(5842),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3125] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5843),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(5843),
    [sym_operator_assignment] = STATE(5843),
    [sym_conditional] = STATE(5843),
    [sym_range] = STATE(5843),
    [sym_binary] = STATE(5843),
    [sym_unary] = STATE(5843),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3126] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(5844),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(5844),
    [sym_operator_assignment] = STATE(5844),
    [sym_conditional] = STATE(5844),
    [sym_range] = STATE(5844),
    [sym_binary] = STATE(5844),
    [sym_unary] = STATE(5844),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3127] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5845),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5845),
    [sym_operator_assignment] = STATE(5845),
    [sym_conditional] = STATE(5845),
    [sym_range] = STATE(5845),
    [sym_binary] = STATE(5845),
    [sym_unary] = STATE(5845),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3128] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5846),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5846),
    [sym_operator_assignment] = STATE(5846),
    [sym_conditional] = STATE(5846),
    [sym_range] = STATE(5846),
    [sym_binary] = STATE(5846),
    [sym_unary] = STATE(5846),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3129] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5847),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5847),
    [sym_operator_assignment] = STATE(5847),
    [sym_conditional] = STATE(5847),
    [sym_range] = STATE(5847),
    [sym_binary] = STATE(5847),
    [sym_unary] = STATE(5847),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3130] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5848),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5848),
    [sym_operator_assignment] = STATE(5848),
    [sym_conditional] = STATE(5848),
    [sym_range] = STATE(5848),
    [sym_binary] = STATE(5848),
    [sym_unary] = STATE(5848),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3131] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5849),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5849),
    [sym_operator_assignment] = STATE(5849),
    [sym_conditional] = STATE(5849),
    [sym_range] = STATE(5849),
    [sym_binary] = STATE(5849),
    [sym_unary] = STATE(5849),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3132] = {
    [sym_heredoc_body] = STATE(5850),
    [aux_sym_call_repeat1] = STATE(5850),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [3133] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1164),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(1164),
    [sym_operator_assignment] = STATE(1164),
    [sym_conditional] = STATE(1164),
    [sym_range] = STATE(1164),
    [sym_binary] = STATE(1164),
    [sym_unary] = STATE(1164),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1170),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(5851),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(1989),
    [sym__splat_star] = ACTIONS(1991),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__identifier_hash_key] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8488),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2013),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3134] = {
    [sym_heredoc_body] = STATE(5852),
    [aux_sym_call_repeat1] = STATE(5852),
    [aux_sym_argument_list_repeat1] = STATE(5853),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [3135] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5854),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_splat_argument] = STATE(5855),
    [sym_assignment] = STATE(5854),
    [sym_operator_assignment] = STATE(5854),
    [sym_conditional] = STATE(5854),
    [sym_range] = STATE(5854),
    [sym_binary] = STATE(5854),
    [sym_unary] = STATE(5854),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(5855),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(4840),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3136] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5856),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(5856),
    [sym_operator_assignment] = STATE(5856),
    [sym_conditional] = STATE(5856),
    [sym_range] = STATE(5856),
    [sym_binary] = STATE(5856),
    [sym_unary] = STATE(5856),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3137] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5857),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(5857),
    [sym_operator_assignment] = STATE(5857),
    [sym_conditional] = STATE(5857),
    [sym_range] = STATE(5857),
    [sym_binary] = STATE(5857),
    [sym_unary] = STATE(5857),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3138] = {
    [sym_string] = STATE(5858),
    [aux_sym_chained_string_repeat1] = STATE(5858),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [3139] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3140] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [3141] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3142] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [3143] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3144] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3145] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(8490),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [3146] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3147] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3148] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3149] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3150] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3151] = {
    [anon_sym_end] = ACTIONS(8492),
    [sym_comment] = ACTIONS(87),
  },
  [3152] = {
    [sym_when] = STATE(5861),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [3153] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5862),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(5862),
    [sym_operator_assignment] = STATE(5862),
    [sym_conditional] = STATE(5862),
    [sym_range] = STATE(5862),
    [sym_binary] = STATE(5862),
    [sym_unary] = STATE(5862),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3154] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5863),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(5863),
    [sym_operator_assignment] = STATE(5863),
    [sym_conditional] = STATE(5863),
    [sym_range] = STATE(5863),
    [sym_binary] = STATE(5863),
    [sym_unary] = STATE(5863),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3155] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5864),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(5864),
    [sym_operator_assignment] = STATE(5864),
    [sym_conditional] = STATE(5864),
    [sym_range] = STATE(5864),
    [sym_binary] = STATE(5864),
    [sym_unary] = STATE(5864),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3156] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5865),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(5865),
    [sym_operator_assignment] = STATE(5865),
    [sym_conditional] = STATE(5865),
    [sym_range] = STATE(5865),
    [sym_binary] = STATE(5865),
    [sym_unary] = STATE(5865),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3157] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3158] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8498),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(8504),
    [anon_sym_QMARK] = ACTIONS(8506),
    [anon_sym_DOT_DOT] = ACTIONS(8508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8510),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8512),
    [anon_sym_AMP_AMP] = ACTIONS(8512),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(8516),
    [anon_sym_BANG_EQ] = ACTIONS(8512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8512),
    [anon_sym_LT_EQ_GT] = ACTIONS(8512),
    [anon_sym_EQ_TILDE] = ACTIONS(8512),
    [anon_sym_BANG_TILDE] = ACTIONS(8512),
    [anon_sym_LT_EQ] = ACTIONS(8504),
    [anon_sym_GT] = ACTIONS(8504),
    [anon_sym_GT_EQ] = ACTIONS(8518),
    [anon_sym_CARET] = ACTIONS(8520),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [3159] = {
    [aux_sym_exceptions_repeat1] = STATE(5879),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(8524),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [3160] = {
    [anon_sym_EQ] = ACTIONS(8526),
    [sym_comment] = ACTIONS(87),
  },
  [3161] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8528),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8530),
    [anon_sym_DASH_EQ] = ACTIONS(8530),
    [anon_sym_STAR_EQ] = ACTIONS(8530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8530),
    [anon_sym_SLASH_EQ] = ACTIONS(8530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8530),
    [anon_sym_PIPE_EQ] = ACTIONS(8530),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8530),
    [anon_sym_AMP_EQ] = ACTIONS(8530),
    [anon_sym_PERCENT_EQ] = ACTIONS(8530),
    [anon_sym_GT_GT_EQ] = ACTIONS(8530),
    [anon_sym_LT_LT_EQ] = ACTIONS(8530),
    [anon_sym_CARET_EQ] = ACTIONS(8530),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3162] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3163] = {
    [sym_string] = STATE(3163),
    [aux_sym_chained_string_repeat1] = STATE(3163),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [3164] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5882),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(5882),
    [sym_operator_assignment] = STATE(5882),
    [sym_conditional] = STATE(5882),
    [sym_range] = STATE(5882),
    [sym_binary] = STATE(5882),
    [sym_unary] = STATE(5882),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3165] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5883),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(5883),
    [sym_operator_assignment] = STATE(5883),
    [sym_conditional] = STATE(5883),
    [sym_range] = STATE(5883),
    [sym_binary] = STATE(5883),
    [sym_unary] = STATE(5883),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3166] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5889),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(5890),
    [sym__argument] = STATE(5891),
    [sym_splat_argument] = STATE(5891),
    [sym_hash_splat_argument] = STATE(5891),
    [sym_block_argument] = STATE(5891),
    [sym_assignment] = STATE(5889),
    [sym_operator_assignment] = STATE(5889),
    [sym_conditional] = STATE(5889),
    [sym_range] = STATE(5889),
    [sym_binary] = STATE(5889),
    [sym_unary] = STATE(5889),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5892),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5891),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(8532),
    [sym__splat_star] = ACTIONS(8534),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(8536),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5026),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(8538),
    [sym_identifier] = ACTIONS(8538),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3167] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5889),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(5890),
    [sym__argument] = STATE(5891),
    [sym_splat_argument] = STATE(5891),
    [sym_hash_splat_argument] = STATE(5891),
    [sym_block_argument] = STATE(5891),
    [sym_assignment] = STATE(5889),
    [sym_operator_assignment] = STATE(5889),
    [sym_conditional] = STATE(5889),
    [sym_range] = STATE(5889),
    [sym_binary] = STATE(5889),
    [sym_unary] = STATE(5889),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5892),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5891),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(8532),
    [sym__splat_star] = ACTIONS(8534),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(8536),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5026),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(8538),
    [sym_identifier] = ACTIONS(8538),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3168] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5889),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(5890),
    [sym__argument] = STATE(5891),
    [sym_splat_argument] = STATE(5891),
    [sym_hash_splat_argument] = STATE(5891),
    [sym_block_argument] = STATE(5891),
    [sym_assignment] = STATE(5889),
    [sym_operator_assignment] = STATE(5889),
    [sym_conditional] = STATE(5889),
    [sym_range] = STATE(5889),
    [sym_binary] = STATE(5889),
    [sym_unary] = STATE(5889),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5892),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5891),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(8532),
    [sym__splat_star] = ACTIONS(8534),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(8536),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5026),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(8538),
    [sym_identifier] = ACTIONS(8538),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3169] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5889),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(5890),
    [sym__argument] = STATE(5891),
    [sym_splat_argument] = STATE(5891),
    [sym_hash_splat_argument] = STATE(5891),
    [sym_block_argument] = STATE(5891),
    [sym_assignment] = STATE(5889),
    [sym_operator_assignment] = STATE(5889),
    [sym_conditional] = STATE(5889),
    [sym_range] = STATE(5889),
    [sym_binary] = STATE(5889),
    [sym_unary] = STATE(5889),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5892),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5891),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(8532),
    [sym__splat_star] = ACTIONS(8534),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(8536),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5026),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(8538),
    [sym_identifier] = ACTIONS(8538),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3170] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5893),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(5893),
    [sym_operator_assignment] = STATE(5893),
    [sym_conditional] = STATE(5893),
    [sym_range] = STATE(5893),
    [sym_binary] = STATE(5893),
    [sym_unary] = STATE(5893),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3171] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5894),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(5894),
    [sym_operator_assignment] = STATE(5894),
    [sym_conditional] = STATE(5894),
    [sym_range] = STATE(5894),
    [sym_binary] = STATE(5894),
    [sym_unary] = STATE(5894),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3172] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3173] = {
    [sym__then] = STATE(5896),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [aux_sym_when_repeat1] = STATE(5897),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_COMMA] = ACTIONS(8540),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_then] = ACTIONS(8542),
    [sym_comment] = ACTIONS(87),
  },
  [3174] = {
    [sym__line_break] = ACTIONS(8544),
    [sym__heredoc_body_start] = ACTIONS(8544),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(8544),
    [anon_sym_PIPE] = ACTIONS(8550),
    [anon_sym_SEMI] = ACTIONS(8544),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(8556),
    [anon_sym_then] = ACTIONS(8544),
    [anon_sym_QMARK] = ACTIONS(8558),
    [anon_sym_DOT_DOT] = ACTIONS(8560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8562),
    [anon_sym_and] = ACTIONS(8564),
    [anon_sym_or] = ACTIONS(8564),
    [anon_sym_PIPE_PIPE] = ACTIONS(8566),
    [anon_sym_AMP_AMP] = ACTIONS(8566),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(8570),
    [anon_sym_BANG_EQ] = ACTIONS(8566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8566),
    [anon_sym_LT_EQ_GT] = ACTIONS(8566),
    [anon_sym_EQ_TILDE] = ACTIONS(8566),
    [anon_sym_BANG_TILDE] = ACTIONS(8566),
    [anon_sym_LT_EQ] = ACTIONS(8556),
    [anon_sym_GT] = ACTIONS(8556),
    [anon_sym_GT_EQ] = ACTIONS(8572),
    [anon_sym_CARET] = ACTIONS(8574),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [3175] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5915),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(5916),
    [sym__argument] = STATE(5917),
    [sym_splat_argument] = STATE(5917),
    [sym_hash_splat_argument] = STATE(5917),
    [sym_block_argument] = STATE(5917),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(5915),
    [sym_operator_assignment] = STATE(5915),
    [sym_conditional] = STATE(5915),
    [sym_range] = STATE(5915),
    [sym_binary] = STATE(5915),
    [sym_unary] = STATE(5915),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5918),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5917),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(8578),
    [sym__splat_star] = ACTIONS(8580),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(8582),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(8584),
    [sym_identifier] = ACTIONS(8584),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3176] = {
    [sym__line_break] = ACTIONS(8544),
    [sym__heredoc_body_start] = ACTIONS(8544),
    [anon_sym_COMMA] = ACTIONS(8544),
    [anon_sym_SEMI] = ACTIONS(8544),
    [anon_sym_then] = ACTIONS(8544),
    [sym_comment] = ACTIONS(87),
  },
  [3177] = {
    [anon_sym_EQ] = ACTIONS(8586),
    [sym_comment] = ACTIONS(87),
  },
  [3178] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8588),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8590),
    [anon_sym_DASH_EQ] = ACTIONS(8590),
    [anon_sym_STAR_EQ] = ACTIONS(8590),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8590),
    [anon_sym_SLASH_EQ] = ACTIONS(8590),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8590),
    [anon_sym_PIPE_EQ] = ACTIONS(8590),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8590),
    [anon_sym_AMP_EQ] = ACTIONS(8590),
    [anon_sym_PERCENT_EQ] = ACTIONS(8590),
    [anon_sym_GT_GT_EQ] = ACTIONS(8590),
    [anon_sym_LT_LT_EQ] = ACTIONS(8590),
    [anon_sym_CARET_EQ] = ACTIONS(8590),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3179] = {
    [sym_string] = STATE(5921),
    [aux_sym_chained_string_repeat1] = STATE(5921),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3180] = {
    [sym__line_break] = ACTIONS(8592),
    [sym__heredoc_body_start] = ACTIONS(8592),
    [sym__element_reference_left_bracket] = ACTIONS(8592),
    [sym__infix_scope_colons] = ACTIONS(8592),
    [sym__binary_minus] = ACTIONS(8592),
    [sym__binary_star] = ACTIONS(8592),
    [ts_builtin_sym_end] = ACTIONS(8592),
    [anon_sym___END__] = ACTIONS(8592),
    [anon_sym_LBRACE] = ACTIONS(8592),
    [anon_sym_RBRACE] = ACTIONS(8592),
    [anon_sym_RPAREN] = ACTIONS(8592),
    [anon_sym_DOT] = ACTIONS(8594),
    [anon_sym_COMMA] = ACTIONS(8592),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_SEMI] = ACTIONS(8592),
    [anon_sym_STAR_STAR] = ACTIONS(8592),
    [anon_sym_AMP] = ACTIONS(8594),
    [anon_sym_LT] = ACTIONS(8594),
    [anon_sym_end] = ACTIONS(8592),
    [anon_sym_if] = ACTIONS(8592),
    [anon_sym_unless] = ACTIONS(8592),
    [anon_sym_while] = ACTIONS(8592),
    [anon_sym_until] = ACTIONS(8592),
    [anon_sym_rescue] = ACTIONS(8592),
    [anon_sym_do] = ACTIONS(8592),
    [anon_sym_when] = ACTIONS(8592),
    [anon_sym_elsif] = ACTIONS(8592),
    [anon_sym_else] = ACTIONS(8592),
    [anon_sym_then] = ACTIONS(8592),
    [anon_sym_ensure] = ACTIONS(8592),
    [anon_sym_EQ_GT] = ACTIONS(8592),
    [anon_sym_AMP_DOT] = ACTIONS(8592),
    [anon_sym_QMARK] = ACTIONS(8592),
    [anon_sym_DOT_DOT] = ACTIONS(8594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8592),
    [anon_sym_and] = ACTIONS(8592),
    [anon_sym_or] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE] = ACTIONS(8592),
    [anon_sym_AMP_AMP] = ACTIONS(8592),
    [anon_sym_LT_LT] = ACTIONS(8592),
    [anon_sym_GT_GT] = ACTIONS(8592),
    [anon_sym_EQ_EQ] = ACTIONS(8594),
    [anon_sym_BANG_EQ] = ACTIONS(8592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8592),
    [anon_sym_LT_EQ_GT] = ACTIONS(8592),
    [anon_sym_EQ_TILDE] = ACTIONS(8592),
    [anon_sym_BANG_TILDE] = ACTIONS(8592),
    [anon_sym_LT_EQ] = ACTIONS(8594),
    [anon_sym_GT] = ACTIONS(8594),
    [anon_sym_GT_EQ] = ACTIONS(8592),
    [anon_sym_CARET] = ACTIONS(8592),
    [anon_sym_PLUS] = ACTIONS(8592),
    [anon_sym_SLASH] = ACTIONS(8592),
    [anon_sym_PERCENT] = ACTIONS(8592),
    [sym_comment] = ACTIONS(87),
  },
  [3181] = {
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(8596),
    [anon_sym_when] = ACTIONS(8599),
    [sym_comment] = ACTIONS(87),
  },
  [3182] = {
    [sym__simple_symbol] = ACTIONS(6671),
    [sym__string_start] = ACTIONS(6671),
    [sym__symbol_start] = ACTIONS(6671),
    [sym__subshell_start] = ACTIONS(6671),
    [sym__regex_start] = ACTIONS(6671),
    [sym__string_array_start] = ACTIONS(6671),
    [sym__symbol_array_start] = ACTIONS(6671),
    [sym_heredoc_beginning] = ACTIONS(6671),
    [sym__unary_minus] = ACTIONS(6671),
    [ts_builtin_sym_end] = ACTIONS(6671),
    [anon_sym___END__] = ACTIONS(8601),
    [anon_sym_BEGIN] = ACTIONS(8601),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_RBRACE] = ACTIONS(6671),
    [anon_sym_END] = ACTIONS(8601),
    [anon_sym_def] = ACTIONS(8601),
    [anon_sym_LPAREN] = ACTIONS(6671),
    [anon_sym_RPAREN] = ACTIONS(6671),
    [anon_sym_COLON_COLON] = ACTIONS(6671),
    [anon_sym_PIPE] = ACTIONS(6671),
    [anon_sym_SEMI] = ACTIONS(6671),
    [anon_sym_STAR] = ACTIONS(6671),
    [anon_sym_class] = ACTIONS(8601),
    [anon_sym_module] = ACTIONS(8601),
    [anon_sym_end] = ACTIONS(8601),
    [anon_sym_return] = ACTIONS(8601),
    [anon_sym_yield] = ACTIONS(8601),
    [anon_sym_break] = ACTIONS(8601),
    [anon_sym_next] = ACTIONS(8601),
    [sym_redo] = ACTIONS(8601),
    [sym_retry] = ACTIONS(8601),
    [anon_sym_if] = ACTIONS(8601),
    [anon_sym_unless] = ACTIONS(8601),
    [anon_sym_while] = ACTIONS(8601),
    [anon_sym_until] = ACTIONS(8601),
    [anon_sym_rescue] = ACTIONS(8601),
    [anon_sym_for] = ACTIONS(8601),
    [anon_sym_case] = ACTIONS(8601),
    [anon_sym_when] = ACTIONS(8601),
    [anon_sym_elsif] = ACTIONS(8601),
    [anon_sym_else] = ACTIONS(8601),
    [anon_sym_then] = ACTIONS(8601),
    [anon_sym_begin] = ACTIONS(8601),
    [anon_sym_ensure] = ACTIONS(8601),
    [anon_sym_PLUS] = ACTIONS(8601),
    [anon_sym_defined_QMARK] = ACTIONS(6671),
    [anon_sym_not] = ACTIONS(8601),
    [anon_sym_BANG] = ACTIONS(6671),
    [anon_sym_TILDE] = ACTIONS(6671),
    [sym_constant] = ACTIONS(8601),
    [sym_identifier] = ACTIONS(8601),
    [sym_instance_variable] = ACTIONS(6671),
    [sym_class_variable] = ACTIONS(6671),
    [sym_global_variable] = ACTIONS(6671),
    [anon_sym_undef] = ACTIONS(8601),
    [anon_sym_alias] = ACTIONS(8601),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(8601),
    [sym_float] = ACTIONS(8601),
    [sym_complex] = ACTIONS(6671),
    [sym_super] = ACTIONS(8601),
    [anon_sym_true] = ACTIONS(8601),
    [anon_sym_TRUE] = ACTIONS(8601),
    [anon_sym_false] = ACTIONS(8601),
    [anon_sym_FALSE] = ACTIONS(8601),
    [sym_self] = ACTIONS(8601),
    [anon_sym_nil] = ACTIONS(8601),
    [anon_sym_NIL] = ACTIONS(8601),
    [sym_character] = ACTIONS(6671),
    [anon_sym_LBRACK] = ACTIONS(6671),
    [anon_sym_DASH_GT] = ACTIONS(6671),
  },
  [3183] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5922),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(5922),
    [sym_operator_assignment] = STATE(5922),
    [sym_conditional] = STATE(5922),
    [sym_range] = STATE(5922),
    [sym_binary] = STATE(5922),
    [sym_unary] = STATE(5922),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3184] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1208),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(5923),
    [sym__argument] = STATE(5924),
    [sym_splat_argument] = STATE(5924),
    [sym_hash_splat_argument] = STATE(5924),
    [sym_block_argument] = STATE(5924),
    [sym_assignment] = STATE(1208),
    [sym_operator_assignment] = STATE(1208),
    [sym_conditional] = STATE(1208),
    [sym_range] = STATE(1208),
    [sym_binary] = STATE(1208),
    [sym_unary] = STATE(1208),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1214),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5924),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(2071),
    [sym__splat_star] = ACTIONS(2073),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(379),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3185] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1208),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(5923),
    [sym__argument] = STATE(5924),
    [sym_splat_argument] = STATE(5924),
    [sym_hash_splat_argument] = STATE(5924),
    [sym_block_argument] = STATE(5924),
    [sym_assignment] = STATE(1208),
    [sym_operator_assignment] = STATE(1208),
    [sym_conditional] = STATE(1208),
    [sym_range] = STATE(1208),
    [sym_binary] = STATE(1208),
    [sym_unary] = STATE(1208),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1214),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5924),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(2071),
    [sym__splat_star] = ACTIONS(2073),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3186] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1208),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(5923),
    [sym__argument] = STATE(5924),
    [sym_splat_argument] = STATE(5924),
    [sym_hash_splat_argument] = STATE(5924),
    [sym_block_argument] = STATE(5924),
    [sym_assignment] = STATE(1208),
    [sym_operator_assignment] = STATE(1208),
    [sym_conditional] = STATE(1208),
    [sym_range] = STATE(1208),
    [sym_binary] = STATE(1208),
    [sym_unary] = STATE(1208),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1214),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5924),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(2071),
    [sym__splat_star] = ACTIONS(2073),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3187] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1208),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(5923),
    [sym__argument] = STATE(5924),
    [sym_splat_argument] = STATE(5924),
    [sym_hash_splat_argument] = STATE(5924),
    [sym_block_argument] = STATE(5924),
    [sym_assignment] = STATE(1208),
    [sym_operator_assignment] = STATE(1208),
    [sym_conditional] = STATE(1208),
    [sym_range] = STATE(1208),
    [sym_binary] = STATE(1208),
    [sym_unary] = STATE(1208),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1214),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5924),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(2071),
    [sym__splat_star] = ACTIONS(2073),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3188] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5925),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(5925),
    [sym_operator_assignment] = STATE(5925),
    [sym_conditional] = STATE(5925),
    [sym_range] = STATE(5925),
    [sym_binary] = STATE(5925),
    [sym_unary] = STATE(5925),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3189] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5926),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(5926),
    [sym_operator_assignment] = STATE(5926),
    [sym_conditional] = STATE(5926),
    [sym_range] = STATE(5926),
    [sym_binary] = STATE(5926),
    [sym_unary] = STATE(5926),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3190] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3191] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_ensure] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8615),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [3192] = {
    [anon_sym_EQ] = ACTIONS(8633),
    [sym_comment] = ACTIONS(87),
  },
  [3193] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8635),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8637),
    [anon_sym_DASH_EQ] = ACTIONS(8637),
    [anon_sym_STAR_EQ] = ACTIONS(8637),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8637),
    [anon_sym_SLASH_EQ] = ACTIONS(8637),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8637),
    [anon_sym_PIPE_EQ] = ACTIONS(8637),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8637),
    [anon_sym_AMP_EQ] = ACTIONS(8637),
    [anon_sym_PERCENT_EQ] = ACTIONS(8637),
    [anon_sym_GT_GT_EQ] = ACTIONS(8637),
    [anon_sym_LT_LT_EQ] = ACTIONS(8637),
    [anon_sym_CARET_EQ] = ACTIONS(8637),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3194] = {
    [sym_string] = STATE(5941),
    [aux_sym_chained_string_repeat1] = STATE(5941),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3195] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_ensure] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8615),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [3196] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [3197] = {
    [sym_string] = STATE(3239),
    [aux_sym_chained_string_repeat1] = STATE(3239),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3198] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5942),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(5942),
    [sym_operator_assignment] = STATE(5942),
    [sym_conditional] = STATE(5942),
    [sym_range] = STATE(5942),
    [sym_binary] = STATE(5942),
    [sym_unary] = STATE(5942),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3199] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_ensure] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8615),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [3200] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5943),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5943),
    [sym_operator_assignment] = STATE(5943),
    [sym_conditional] = STATE(5943),
    [sym_range] = STATE(5943),
    [sym_binary] = STATE(5943),
    [sym_unary] = STATE(5943),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3201] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5944),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5944),
    [sym_operator_assignment] = STATE(5944),
    [sym_conditional] = STATE(5944),
    [sym_range] = STATE(5944),
    [sym_binary] = STATE(5944),
    [sym_unary] = STATE(5944),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3202] = {
    [sym__keyword_colon] = ACTIONS(8639),
    [sym_comment] = ACTIONS(87),
  },
  [3203] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5946),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5946),
    [sym_operator_assignment] = STATE(5946),
    [sym_conditional] = STATE(5946),
    [sym_range] = STATE(5946),
    [sym_binary] = STATE(5946),
    [sym_unary] = STATE(5946),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3204] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8639),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_ensure] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3205] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_ensure] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [3206] = {
    [sym_heredoc_body] = STATE(5948),
    [aux_sym_call_repeat1] = STATE(5948),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3207] = {
    [sym_heredoc_body] = STATE(5948),
    [aux_sym_call_repeat1] = STATE(5948),
    [aux_sym_argument_list_repeat1] = STATE(5950),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8641),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3208] = {
    [sym_string] = STATE(3239),
    [aux_sym_chained_string_repeat1] = STATE(3239),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(8643),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3209] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [3210] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [3211] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5952),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5952),
    [sym_operator_assignment] = STATE(5952),
    [sym_conditional] = STATE(5952),
    [sym_range] = STATE(5952),
    [sym_binary] = STATE(5952),
    [sym_unary] = STATE(5952),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3212] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5953),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5953),
    [sym_operator_assignment] = STATE(5953),
    [sym_conditional] = STATE(5953),
    [sym_range] = STATE(5953),
    [sym_binary] = STATE(5953),
    [sym_unary] = STATE(5953),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3213] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5954),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5954),
    [sym_operator_assignment] = STATE(5954),
    [sym_conditional] = STATE(5954),
    [sym_range] = STATE(5954),
    [sym_binary] = STATE(5954),
    [sym_unary] = STATE(5954),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3214] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5955),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5955),
    [sym_operator_assignment] = STATE(5955),
    [sym_conditional] = STATE(5955),
    [sym_range] = STATE(5955),
    [sym_binary] = STATE(5955),
    [sym_unary] = STATE(5955),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3215] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5956),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5956),
    [sym_operator_assignment] = STATE(5956),
    [sym_conditional] = STATE(5956),
    [sym_range] = STATE(5956),
    [sym_binary] = STATE(5956),
    [sym_unary] = STATE(5956),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3216] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5957),
    [sym_operator_assignment] = STATE(5957),
    [sym_conditional] = STATE(5957),
    [sym_range] = STATE(5957),
    [sym_binary] = STATE(5957),
    [sym_unary] = STATE(5957),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3217] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5958),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(5958),
    [sym_operator_assignment] = STATE(5958),
    [sym_conditional] = STATE(5958),
    [sym_range] = STATE(5958),
    [sym_binary] = STATE(5958),
    [sym_unary] = STATE(5958),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3218] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(5959),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(5959),
    [sym_operator_assignment] = STATE(5959),
    [sym_conditional] = STATE(5959),
    [sym_range] = STATE(5959),
    [sym_binary] = STATE(5959),
    [sym_unary] = STATE(5959),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3219] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5960),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5960),
    [sym_operator_assignment] = STATE(5960),
    [sym_conditional] = STATE(5960),
    [sym_range] = STATE(5960),
    [sym_binary] = STATE(5960),
    [sym_unary] = STATE(5960),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3220] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5961),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5961),
    [sym_operator_assignment] = STATE(5961),
    [sym_conditional] = STATE(5961),
    [sym_range] = STATE(5961),
    [sym_binary] = STATE(5961),
    [sym_unary] = STATE(5961),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3221] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5962),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5962),
    [sym_operator_assignment] = STATE(5962),
    [sym_conditional] = STATE(5962),
    [sym_range] = STATE(5962),
    [sym_binary] = STATE(5962),
    [sym_unary] = STATE(5962),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3222] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5963),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5963),
    [sym_operator_assignment] = STATE(5963),
    [sym_conditional] = STATE(5963),
    [sym_range] = STATE(5963),
    [sym_binary] = STATE(5963),
    [sym_unary] = STATE(5963),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3223] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5964),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5964),
    [sym_operator_assignment] = STATE(5964),
    [sym_conditional] = STATE(5964),
    [sym_range] = STATE(5964),
    [sym_binary] = STATE(5964),
    [sym_unary] = STATE(5964),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3224] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5965),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(5965),
    [sym_operator_assignment] = STATE(5965),
    [sym_conditional] = STATE(5965),
    [sym_range] = STATE(5965),
    [sym_binary] = STATE(5965),
    [sym_unary] = STATE(5965),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3225] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5966),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(5966),
    [sym_operator_assignment] = STATE(5966),
    [sym_conditional] = STATE(5966),
    [sym_range] = STATE(5966),
    [sym_binary] = STATE(5966),
    [sym_unary] = STATE(5966),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3226] = {
    [sym__keyword_colon] = ACTIONS(8645),
    [sym_comment] = ACTIONS(87),
  },
  [3227] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5968),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(5968),
    [sym_operator_assignment] = STATE(5968),
    [sym_conditional] = STATE(5968),
    [sym_range] = STATE(5968),
    [sym_binary] = STATE(5968),
    [sym_unary] = STATE(5968),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3228] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8645),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_ensure] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3229] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_ensure] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [3230] = {
    [sym_heredoc_body] = STATE(5970),
    [aux_sym_call_repeat1] = STATE(5970),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3231] = {
    [sym_heredoc_body] = STATE(5970),
    [aux_sym_call_repeat1] = STATE(5970),
    [aux_sym_argument_list_repeat1] = STATE(5972),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8647),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3232] = {
    [sym_string] = STATE(3501),
    [aux_sym_chained_string_repeat1] = STATE(3501),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(8649),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3233] = {
    [sym_heredoc_body] = STATE(5974),
    [aux_sym_call_repeat1] = STATE(5974),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [3234] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1208),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(1208),
    [sym_operator_assignment] = STATE(1208),
    [sym_conditional] = STATE(1208),
    [sym_range] = STATE(1208),
    [sym_binary] = STATE(1208),
    [sym_unary] = STATE(1208),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1214),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(5975),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(2071),
    [sym__splat_star] = ACTIONS(2073),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__identifier_hash_key] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8651),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3235] = {
    [sym_heredoc_body] = STATE(5976),
    [aux_sym_call_repeat1] = STATE(5976),
    [aux_sym_argument_list_repeat1] = STATE(5977),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(5004),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [3236] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5978),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_splat_argument] = STATE(5979),
    [sym_assignment] = STATE(5978),
    [sym_operator_assignment] = STATE(5978),
    [sym_conditional] = STATE(5978),
    [sym_range] = STATE(5978),
    [sym_binary] = STATE(5978),
    [sym_unary] = STATE(5978),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(5979),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(4958),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3237] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5980),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(5980),
    [sym_operator_assignment] = STATE(5980),
    [sym_conditional] = STATE(5980),
    [sym_range] = STATE(5980),
    [sym_binary] = STATE(5980),
    [sym_unary] = STATE(5980),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3238] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5981),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(5981),
    [sym_operator_assignment] = STATE(5981),
    [sym_conditional] = STATE(5981),
    [sym_range] = STATE(5981),
    [sym_binary] = STATE(5981),
    [sym_unary] = STATE(5981),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3239] = {
    [sym_string] = STATE(5982),
    [aux_sym_chained_string_repeat1] = STATE(5982),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_ensure] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [3240] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5062),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(5064),
    [anon_sym_DOT_DOT] = ACTIONS(5066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5068),
    [anon_sym_and] = ACTIONS(5070),
    [anon_sym_or] = ACTIONS(5070),
    [anon_sym_PIPE_PIPE] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5072),
    [anon_sym_LT_EQ_GT] = ACTIONS(5072),
    [anon_sym_EQ_TILDE] = ACTIONS(5072),
    [anon_sym_BANG_TILDE] = ACTIONS(5072),
    [anon_sym_LT_EQ] = ACTIONS(5062),
    [anon_sym_GT] = ACTIONS(5062),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [3241] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [3242] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5983),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(5983),
    [sym_operator_assignment] = STATE(5983),
    [sym_conditional] = STATE(5983),
    [sym_range] = STATE(5983),
    [sym_binary] = STATE(5983),
    [sym_unary] = STATE(5983),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3243] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5984),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(5984),
    [sym_operator_assignment] = STATE(5984),
    [sym_conditional] = STATE(5984),
    [sym_range] = STATE(5984),
    [sym_binary] = STATE(5984),
    [sym_unary] = STATE(5984),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3244] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5985),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(5985),
    [sym_operator_assignment] = STATE(5985),
    [sym_conditional] = STATE(5985),
    [sym_range] = STATE(5985),
    [sym_binary] = STATE(5985),
    [sym_unary] = STATE(5985),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3245] = {
    [sym__keyword_colon] = ACTIONS(8655),
    [sym_comment] = ACTIONS(87),
  },
  [3246] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5987),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(5987),
    [sym_operator_assignment] = STATE(5987),
    [sym_conditional] = STATE(5987),
    [sym_range] = STATE(5987),
    [sym_binary] = STATE(5987),
    [sym_unary] = STATE(5987),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3247] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5988),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(5988),
    [sym_operator_assignment] = STATE(5988),
    [sym_conditional] = STATE(5988),
    [sym_range] = STATE(5988),
    [sym_binary] = STATE(5988),
    [sym_unary] = STATE(5988),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3248] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5989),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(5989),
    [sym_operator_assignment] = STATE(5989),
    [sym_conditional] = STATE(5989),
    [sym_range] = STATE(5989),
    [sym_binary] = STATE(5989),
    [sym_unary] = STATE(5989),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3249] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3250] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8655),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_then] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3251] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [3252] = {
    [sym_heredoc_body] = STATE(6003),
    [aux_sym_call_repeat1] = STATE(6003),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3253] = {
    [sym_heredoc_body] = STATE(6003),
    [aux_sym_call_repeat1] = STATE(6003),
    [aux_sym_argument_list_repeat1] = STATE(6005),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8687),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3254] = {
    [anon_sym_EQ] = ACTIONS(8689),
    [sym_comment] = ACTIONS(87),
  },
  [3255] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8691),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8693),
    [anon_sym_DASH_EQ] = ACTIONS(8693),
    [anon_sym_STAR_EQ] = ACTIONS(8693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8693),
    [anon_sym_SLASH_EQ] = ACTIONS(8693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8693),
    [anon_sym_PIPE_EQ] = ACTIONS(8693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8693),
    [anon_sym_AMP_EQ] = ACTIONS(8693),
    [anon_sym_PERCENT_EQ] = ACTIONS(8693),
    [anon_sym_GT_GT_EQ] = ACTIONS(8693),
    [anon_sym_LT_LT_EQ] = ACTIONS(8693),
    [anon_sym_CARET_EQ] = ACTIONS(8693),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3256] = {
    [sym_string] = STATE(3305),
    [aux_sym_chained_string_repeat1] = STATE(3305),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(8695),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3257] = {
    [sym__line_break] = ACTIONS(563),
    [sym__heredoc_body_start] = ACTIONS(563),
    [sym__element_reference_left_bracket] = ACTIONS(563),
    [sym__infix_scope_colons] = ACTIONS(563),
    [anon_sym_DOT] = ACTIONS(563),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_then] = ACTIONS(563),
    [anon_sym_AMP_DOT] = ACTIONS(563),
    [sym_comment] = ACTIONS(87),
  },
  [3258] = {
    [sym__line_break] = ACTIONS(567),
    [sym__heredoc_body_start] = ACTIONS(567),
    [sym__element_reference_left_bracket] = ACTIONS(567),
    [sym__infix_scope_colons] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(567),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_then] = ACTIONS(567),
    [anon_sym_AMP_DOT] = ACTIONS(567),
    [sym_comment] = ACTIONS(87),
  },
  [3259] = {
    [sym__line_break] = ACTIONS(571),
    [sym__heredoc_body_start] = ACTIONS(571),
    [sym__element_reference_left_bracket] = ACTIONS(571),
    [sym__infix_scope_colons] = ACTIONS(571),
    [anon_sym_DOT] = ACTIONS(571),
    [anon_sym_SEMI] = ACTIONS(571),
    [anon_sym_then] = ACTIONS(571),
    [anon_sym_AMP_DOT] = ACTIONS(571),
    [sym_comment] = ACTIONS(87),
  },
  [3260] = {
    [sym__element_reference_left_bracket] = ACTIONS(8697),
    [sym__infix_scope_colons] = ACTIONS(1527),
    [anon_sym_DOT] = ACTIONS(8699),
    [anon_sym_AMP_DOT] = ACTIONS(8699),
    [sym_comment] = ACTIONS(87),
  },
  [3261] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6027),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_argument_list] = STATE(6028),
    [sym__argument_list_with_parens] = STATE(6029),
    [sym__argument] = STATE(6030),
    [sym_splat_argument] = STATE(6030),
    [sym_hash_splat_argument] = STATE(6030),
    [sym_block_argument] = STATE(6030),
    [sym_do_block] = STATE(6031),
    [sym_block] = STATE(6031),
    [sym_assignment] = STATE(6027),
    [sym_operator_assignment] = STATE(6027),
    [sym_conditional] = STATE(6027),
    [sym_range] = STATE(6027),
    [sym_binary] = STATE(6027),
    [sym_unary] = STATE(6027),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6034),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(6030),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(8701),
    [sym__splat_star] = ACTIONS(8703),
    [sym__argument_list_left_paren] = ACTIONS(8705),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__identifier_hash_key] = ACTIONS(8709),
    [anon_sym_LBRACE] = ACTIONS(8711),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8713),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(8723),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(8733),
    [sym_identifier] = ACTIONS(8733),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3262] = {
    [sym__line_break] = ACTIONS(8735),
    [sym__heredoc_body_start] = ACTIONS(8735),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(557),
    [anon_sym_SEMI] = ACTIONS(8735),
    [anon_sym_then] = ACTIONS(8735),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3263] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [3264] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5062),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(5064),
    [anon_sym_DOT_DOT] = ACTIONS(5066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5068),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5072),
    [anon_sym_LT_EQ_GT] = ACTIONS(5072),
    [anon_sym_EQ_TILDE] = ACTIONS(5072),
    [anon_sym_BANG_TILDE] = ACTIONS(5072),
    [anon_sym_LT_EQ] = ACTIONS(5062),
    [anon_sym_GT] = ACTIONS(5062),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [3265] = {
    [sym_rescue] = STATE(6035),
    [anon_sym_end] = ACTIONS(8737),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(8737),
    [anon_sym_ensure] = ACTIONS(8737),
    [sym_comment] = ACTIONS(87),
  },
  [3266] = {
    [anon_sym_end] = ACTIONS(8737),
    [anon_sym_else] = ACTIONS(8737),
    [anon_sym_ensure] = ACTIONS(8737),
    [sym_comment] = ACTIONS(87),
  },
  [3267] = {
    [sym__statements] = STATE(6036),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym_rescue] = STATE(6035),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(8739),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(8739),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(8739),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3268] = {
    [sym__then] = STATE(6037),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_then] = ACTIONS(8741),
    [sym_comment] = ACTIONS(87),
  },
  [3269] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6038),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6038),
    [sym_operator_assignment] = STATE(6038),
    [sym_conditional] = STATE(6038),
    [sym_range] = STATE(6038),
    [sym_binary] = STATE(6038),
    [sym_unary] = STATE(6038),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3270] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6039),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6039),
    [sym_operator_assignment] = STATE(6039),
    [sym_conditional] = STATE(6039),
    [sym_range] = STATE(6039),
    [sym_binary] = STATE(6039),
    [sym_unary] = STATE(6039),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3271] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6040),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6040),
    [sym_operator_assignment] = STATE(6040),
    [sym_conditional] = STATE(6040),
    [sym_range] = STATE(6040),
    [sym_binary] = STATE(6040),
    [sym_unary] = STATE(6040),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3272] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6041),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6041),
    [sym_operator_assignment] = STATE(6041),
    [sym_conditional] = STATE(6041),
    [sym_range] = STATE(6041),
    [sym_binary] = STATE(6041),
    [sym_unary] = STATE(6041),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3273] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6042),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6042),
    [sym_operator_assignment] = STATE(6042),
    [sym_conditional] = STATE(6042),
    [sym_range] = STATE(6042),
    [sym_binary] = STATE(6042),
    [sym_unary] = STATE(6042),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3274] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6043),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6043),
    [sym_operator_assignment] = STATE(6043),
    [sym_conditional] = STATE(6043),
    [sym_range] = STATE(6043),
    [sym_binary] = STATE(6043),
    [sym_unary] = STATE(6043),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3275] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6044),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6044),
    [sym_operator_assignment] = STATE(6044),
    [sym_conditional] = STATE(6044),
    [sym_range] = STATE(6044),
    [sym_binary] = STATE(6044),
    [sym_unary] = STATE(6044),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3276] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6045),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6045),
    [sym_operator_assignment] = STATE(6045),
    [sym_conditional] = STATE(6045),
    [sym_range] = STATE(6045),
    [sym_binary] = STATE(6045),
    [sym_unary] = STATE(6045),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3277] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6046),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6046),
    [sym_operator_assignment] = STATE(6046),
    [sym_conditional] = STATE(6046),
    [sym_range] = STATE(6046),
    [sym_binary] = STATE(6046),
    [sym_unary] = STATE(6046),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3278] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6047),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6047),
    [sym_operator_assignment] = STATE(6047),
    [sym_conditional] = STATE(6047),
    [sym_range] = STATE(6047),
    [sym_binary] = STATE(6047),
    [sym_unary] = STATE(6047),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3279] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6048),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6048),
    [sym_operator_assignment] = STATE(6048),
    [sym_conditional] = STATE(6048),
    [sym_range] = STATE(6048),
    [sym_binary] = STATE(6048),
    [sym_unary] = STATE(6048),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3280] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6049),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6049),
    [sym_operator_assignment] = STATE(6049),
    [sym_conditional] = STATE(6049),
    [sym_range] = STATE(6049),
    [sym_binary] = STATE(6049),
    [sym_unary] = STATE(6049),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3281] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6050),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(6050),
    [sym_operator_assignment] = STATE(6050),
    [sym_conditional] = STATE(6050),
    [sym_range] = STATE(6050),
    [sym_binary] = STATE(6050),
    [sym_unary] = STATE(6050),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3282] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6052),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(6052),
    [sym_operator_assignment] = STATE(6052),
    [sym_conditional] = STATE(6052),
    [sym_range] = STATE(6052),
    [sym_binary] = STATE(6052),
    [sym_unary] = STATE(6052),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3283] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6053),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(6053),
    [sym_operator_assignment] = STATE(6053),
    [sym_conditional] = STATE(6053),
    [sym_range] = STATE(6053),
    [sym_binary] = STATE(6053),
    [sym_unary] = STATE(6053),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3284] = {
    [sym__keyword_colon] = ACTIONS(8745),
    [sym_comment] = ACTIONS(87),
  },
  [3285] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6055),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(6055),
    [sym_operator_assignment] = STATE(6055),
    [sym_conditional] = STATE(6055),
    [sym_range] = STATE(6055),
    [sym_binary] = STATE(6055),
    [sym_unary] = STATE(6055),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3286] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3294),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(3296),
    [sym__argument] = STATE(3297),
    [sym_splat_argument] = STATE(3297),
    [sym_hash_splat_argument] = STATE(3297),
    [sym_block_argument] = STATE(3297),
    [sym_assignment] = STATE(3294),
    [sym_operator_assignment] = STATE(3294),
    [sym_conditional] = STATE(3294),
    [sym_range] = STATE(3294),
    [sym_binary] = STATE(3294),
    [sym_unary] = STATE(3294),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3300),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3297),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5084),
    [sym__splat_star] = ACTIONS(5086),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5108),
    [sym_identifier] = ACTIONS(5108),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3287] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3294),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(3296),
    [sym__argument] = STATE(3297),
    [sym_splat_argument] = STATE(3297),
    [sym_hash_splat_argument] = STATE(3297),
    [sym_block_argument] = STATE(3297),
    [sym_assignment] = STATE(3294),
    [sym_operator_assignment] = STATE(3294),
    [sym_conditional] = STATE(3294),
    [sym_range] = STATE(3294),
    [sym_binary] = STATE(3294),
    [sym_unary] = STATE(3294),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3300),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3297),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5084),
    [sym__splat_star] = ACTIONS(5086),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5108),
    [sym_identifier] = ACTIONS(5108),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3288] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3294),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(3296),
    [sym__argument] = STATE(3297),
    [sym_splat_argument] = STATE(3297),
    [sym_hash_splat_argument] = STATE(3297),
    [sym_block_argument] = STATE(3297),
    [sym_assignment] = STATE(3294),
    [sym_operator_assignment] = STATE(3294),
    [sym_conditional] = STATE(3294),
    [sym_range] = STATE(3294),
    [sym_binary] = STATE(3294),
    [sym_unary] = STATE(3294),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3300),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3297),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5084),
    [sym__splat_star] = ACTIONS(5086),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5108),
    [sym_identifier] = ACTIONS(5108),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3289] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3294),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(3296),
    [sym__argument] = STATE(3297),
    [sym_splat_argument] = STATE(3297),
    [sym_hash_splat_argument] = STATE(3297),
    [sym_block_argument] = STATE(3297),
    [sym_assignment] = STATE(3294),
    [sym_operator_assignment] = STATE(3294),
    [sym_conditional] = STATE(3294),
    [sym_range] = STATE(3294),
    [sym_binary] = STATE(3294),
    [sym_unary] = STATE(3294),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3300),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3297),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5084),
    [sym__splat_star] = ACTIONS(5086),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5108),
    [sym_identifier] = ACTIONS(5108),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3290] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6056),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(6056),
    [sym_operator_assignment] = STATE(6056),
    [sym_conditional] = STATE(6056),
    [sym_range] = STATE(6056),
    [sym_binary] = STATE(6056),
    [sym_unary] = STATE(6056),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3291] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6057),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(6057),
    [sym_operator_assignment] = STATE(6057),
    [sym_conditional] = STATE(6057),
    [sym_range] = STATE(6057),
    [sym_binary] = STATE(6057),
    [sym_unary] = STATE(6057),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3292] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3293] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8745),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_then] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3294] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_then] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [3295] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3294),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(3296),
    [sym__argument] = STATE(3297),
    [sym_splat_argument] = STATE(3297),
    [sym_hash_splat_argument] = STATE(3297),
    [sym_block_argument] = STATE(3297),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(3294),
    [sym_operator_assignment] = STATE(3294),
    [sym_conditional] = STATE(3294),
    [sym_range] = STATE(3294),
    [sym_binary] = STATE(3294),
    [sym_unary] = STATE(3294),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3300),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3297),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(5084),
    [sym__splat_star] = ACTIONS(5086),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5108),
    [sym_identifier] = ACTIONS(5108),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3296] = {
    [sym_heredoc_body] = STATE(6071),
    [aux_sym_call_repeat1] = STATE(6071),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3297] = {
    [sym_heredoc_body] = STATE(6071),
    [aux_sym_call_repeat1] = STATE(6071),
    [aux_sym_argument_list_repeat1] = STATE(6073),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8775),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3298] = {
    [anon_sym_EQ] = ACTIONS(8777),
    [sym_comment] = ACTIONS(87),
  },
  [3299] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8779),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8781),
    [anon_sym_DASH_EQ] = ACTIONS(8781),
    [anon_sym_STAR_EQ] = ACTIONS(8781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8781),
    [anon_sym_SLASH_EQ] = ACTIONS(8781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8781),
    [anon_sym_PIPE_EQ] = ACTIONS(8781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8781),
    [anon_sym_AMP_EQ] = ACTIONS(8781),
    [anon_sym_PERCENT_EQ] = ACTIONS(8781),
    [anon_sym_GT_GT_EQ] = ACTIONS(8781),
    [anon_sym_LT_LT_EQ] = ACTIONS(8781),
    [anon_sym_CARET_EQ] = ACTIONS(8781),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3300] = {
    [sym_string] = STATE(6077),
    [aux_sym_chained_string_repeat1] = STATE(6077),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(8783),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3301] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1228),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_splat_argument] = STATE(6078),
    [sym_assignment] = STATE(1228),
    [sym_operator_assignment] = STATE(1228),
    [sym_conditional] = STATE(1228),
    [sym_range] = STATE(1228),
    [sym_binary] = STATE(1228),
    [sym_unary] = STATE(1228),
    [sym__arg_or_splat_arg] = STATE(6078),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(2101),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3302] = {
    [aux_sym_exceptions_repeat1] = STATE(6079),
    [sym__line_break] = ACTIONS(8785),
    [sym__heredoc_body_start] = ACTIONS(8785),
    [anon_sym_COMMA] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(8785),
    [anon_sym_then] = ACTIONS(8785),
    [anon_sym_EQ_GT] = ACTIONS(8785),
    [sym_comment] = ACTIONS(87),
  },
  [3303] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6081),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_splat_argument] = STATE(6082),
    [sym_assignment] = STATE(6081),
    [sym_operator_assignment] = STATE(6081),
    [sym_conditional] = STATE(6081),
    [sym_range] = STATE(6081),
    [sym_binary] = STATE(6081),
    [sym_unary] = STATE(6081),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(6082),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(8787),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3304] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6083),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(6083),
    [sym_operator_assignment] = STATE(6083),
    [sym_conditional] = STATE(6083),
    [sym_range] = STATE(6083),
    [sym_binary] = STATE(6083),
    [sym_unary] = STATE(6083),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3305] = {
    [sym_string] = STATE(6084),
    [aux_sym_chained_string_repeat1] = STATE(6084),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_then] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [3306] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [3307] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6093),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(6093),
    [sym_operator_assignment] = STATE(6093),
    [sym_conditional] = STATE(6093),
    [sym_range] = STATE(6093),
    [sym_binary] = STATE(6093),
    [sym_unary] = STATE(6093),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3308] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6097),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(6097),
    [sym_operator_assignment] = STATE(6097),
    [sym_conditional] = STATE(6097),
    [sym_range] = STATE(6097),
    [sym_binary] = STATE(6097),
    [sym_unary] = STATE(6097),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3309] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6098),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(6098),
    [sym_operator_assignment] = STATE(6098),
    [sym_conditional] = STATE(6098),
    [sym_range] = STATE(6098),
    [sym_binary] = STATE(6098),
    [sym_unary] = STATE(6098),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3310] = {
    [sym__keyword_colon] = ACTIONS(8809),
    [sym_comment] = ACTIONS(87),
  },
  [3311] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6101),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(6101),
    [sym_operator_assignment] = STATE(6101),
    [sym_conditional] = STATE(6101),
    [sym_range] = STATE(6101),
    [sym_binary] = STATE(6101),
    [sym_unary] = STATE(6101),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3312] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6107),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(6108),
    [sym__argument] = STATE(6109),
    [sym_splat_argument] = STATE(6109),
    [sym_hash_splat_argument] = STATE(6109),
    [sym_block_argument] = STATE(6109),
    [sym_assignment] = STATE(6107),
    [sym_operator_assignment] = STATE(6107),
    [sym_conditional] = STATE(6107),
    [sym_range] = STATE(6107),
    [sym_binary] = STATE(6107),
    [sym_unary] = STATE(6107),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6110),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(6109),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(8811),
    [sym__splat_star] = ACTIONS(8813),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(8815),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(379),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(8817),
    [sym_identifier] = ACTIONS(8817),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3313] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6107),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(6108),
    [sym__argument] = STATE(6109),
    [sym_splat_argument] = STATE(6109),
    [sym_hash_splat_argument] = STATE(6109),
    [sym_block_argument] = STATE(6109),
    [sym_assignment] = STATE(6107),
    [sym_operator_assignment] = STATE(6107),
    [sym_conditional] = STATE(6107),
    [sym_range] = STATE(6107),
    [sym_binary] = STATE(6107),
    [sym_unary] = STATE(6107),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6110),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(6109),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(8811),
    [sym__splat_star] = ACTIONS(8813),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(8815),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(415),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(8817),
    [sym_identifier] = ACTIONS(8817),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3314] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6107),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(6108),
    [sym__argument] = STATE(6109),
    [sym_splat_argument] = STATE(6109),
    [sym_hash_splat_argument] = STATE(6109),
    [sym_block_argument] = STATE(6109),
    [sym_assignment] = STATE(6107),
    [sym_operator_assignment] = STATE(6107),
    [sym_conditional] = STATE(6107),
    [sym_range] = STATE(6107),
    [sym_binary] = STATE(6107),
    [sym_unary] = STATE(6107),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6110),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(6109),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(8811),
    [sym__splat_star] = ACTIONS(8813),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(8815),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(419),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(8817),
    [sym_identifier] = ACTIONS(8817),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3315] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6107),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(6108),
    [sym__argument] = STATE(6109),
    [sym_splat_argument] = STATE(6109),
    [sym_hash_splat_argument] = STATE(6109),
    [sym_block_argument] = STATE(6109),
    [sym_assignment] = STATE(6107),
    [sym_operator_assignment] = STATE(6107),
    [sym_conditional] = STATE(6107),
    [sym_range] = STATE(6107),
    [sym_binary] = STATE(6107),
    [sym_unary] = STATE(6107),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6110),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(6109),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(8811),
    [sym__splat_star] = ACTIONS(8813),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(8815),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(423),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(8817),
    [sym_identifier] = ACTIONS(8817),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3316] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6111),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(6111),
    [sym_operator_assignment] = STATE(6111),
    [sym_conditional] = STATE(6111),
    [sym_range] = STATE(6111),
    [sym_binary] = STATE(6111),
    [sym_unary] = STATE(6111),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3317] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6112),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(6112),
    [sym_operator_assignment] = STATE(6112),
    [sym_conditional] = STATE(6112),
    [sym_range] = STATE(6112),
    [sym_binary] = STATE(6112),
    [sym_unary] = STATE(6112),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3318] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3319] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8809),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_ensure] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3320] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_ensure] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(8831),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [3321] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6131),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(6132),
    [sym__argument] = STATE(6133),
    [sym_splat_argument] = STATE(6133),
    [sym_hash_splat_argument] = STATE(6133),
    [sym_block_argument] = STATE(6133),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(6131),
    [sym_operator_assignment] = STATE(6131),
    [sym_conditional] = STATE(6131),
    [sym_range] = STATE(6131),
    [sym_binary] = STATE(6131),
    [sym_unary] = STATE(6131),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6134),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6133),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(8851),
    [sym__splat_star] = ACTIONS(8853),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(8855),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(775),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(8857),
    [sym_identifier] = ACTIONS(8857),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3322] = {
    [sym_heredoc_body] = STATE(6135),
    [aux_sym_call_repeat1] = STATE(6135),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3323] = {
    [sym_heredoc_body] = STATE(6135),
    [aux_sym_call_repeat1] = STATE(6135),
    [aux_sym_argument_list_repeat1] = STATE(6137),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8859),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3324] = {
    [anon_sym_EQ] = ACTIONS(8861),
    [sym_comment] = ACTIONS(87),
  },
  [3325] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8863),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8865),
    [anon_sym_DASH_EQ] = ACTIONS(8865),
    [anon_sym_STAR_EQ] = ACTIONS(8865),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8865),
    [anon_sym_SLASH_EQ] = ACTIONS(8865),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8865),
    [anon_sym_PIPE_EQ] = ACTIONS(8865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8865),
    [anon_sym_AMP_EQ] = ACTIONS(8865),
    [anon_sym_PERCENT_EQ] = ACTIONS(8865),
    [anon_sym_GT_GT_EQ] = ACTIONS(8865),
    [anon_sym_LT_LT_EQ] = ACTIONS(8865),
    [anon_sym_CARET_EQ] = ACTIONS(8865),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3326] = {
    [sym_string] = STATE(6141),
    [aux_sym_chained_string_repeat1] = STATE(6141),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(8867),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3327] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [3328] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_DOT_DOT] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [3329] = {
    [aux_sym_undef_repeat1] = STATE(6142),
    [sym__line_break] = ACTIONS(2283),
    [sym__heredoc_body_start] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_end] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_unless] = ACTIONS(2283),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_until] = ACTIONS(2283),
    [anon_sym_rescue] = ACTIONS(2283),
    [anon_sym_ensure] = ACTIONS(2283),
    [sym_comment] = ACTIONS(87),
  },
  [3330] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1246),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1247),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(1247),
    [sym_operator_assignment] = STATE(1247),
    [sym_conditional] = STATE(1247),
    [sym_range] = STATE(1247),
    [sym_binary] = STATE(1247),
    [sym_unary] = STATE(1247),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2529),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(2529),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [anon_sym_undef] = ACTIONS(2157),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3331] = {
    [sym_heredoc_body] = STATE(6143),
    [sym__terminator] = STATE(6143),
    [aux_sym__statements_repeat1] = STATE(6144),
    [sym__line_break] = ACTIONS(8869),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(8869),
    [anon_sym_end] = ACTIONS(2527),
    [anon_sym_ensure] = ACTIONS(2527),
    [sym_comment] = ACTIONS(87),
  },
  [3332] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6145),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6145),
    [sym_operator_assignment] = STATE(6145),
    [sym_conditional] = STATE(6145),
    [sym_range] = STATE(6145),
    [sym_binary] = STATE(6145),
    [sym_unary] = STATE(6145),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3333] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6146),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6146),
    [sym_operator_assignment] = STATE(6146),
    [sym_conditional] = STATE(6146),
    [sym_range] = STATE(6146),
    [sym_binary] = STATE(6146),
    [sym_unary] = STATE(6146),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3334] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6147),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6147),
    [sym_operator_assignment] = STATE(6147),
    [sym_conditional] = STATE(6147),
    [sym_range] = STATE(6147),
    [sym_binary] = STATE(6147),
    [sym_unary] = STATE(6147),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3335] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6148),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6148),
    [sym_operator_assignment] = STATE(6148),
    [sym_conditional] = STATE(6148),
    [sym_range] = STATE(6148),
    [sym_binary] = STATE(6148),
    [sym_unary] = STATE(6148),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3336] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6149),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6149),
    [sym_operator_assignment] = STATE(6149),
    [sym_conditional] = STATE(6149),
    [sym_range] = STATE(6149),
    [sym_binary] = STATE(6149),
    [sym_unary] = STATE(6149),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3337] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6150),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6150),
    [sym_operator_assignment] = STATE(6150),
    [sym_conditional] = STATE(6150),
    [sym_range] = STATE(6150),
    [sym_binary] = STATE(6150),
    [sym_unary] = STATE(6150),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3338] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6151),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6151),
    [sym_operator_assignment] = STATE(6151),
    [sym_conditional] = STATE(6151),
    [sym_range] = STATE(6151),
    [sym_binary] = STATE(6151),
    [sym_unary] = STATE(6151),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3339] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6152),
    [sym_operator_assignment] = STATE(6152),
    [sym_conditional] = STATE(6152),
    [sym_range] = STATE(6152),
    [sym_binary] = STATE(6152),
    [sym_unary] = STATE(6152),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3340] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6153),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6153),
    [sym_operator_assignment] = STATE(6153),
    [sym_conditional] = STATE(6153),
    [sym_range] = STATE(6153),
    [sym_binary] = STATE(6153),
    [sym_unary] = STATE(6153),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3341] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6154),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6154),
    [sym_operator_assignment] = STATE(6154),
    [sym_conditional] = STATE(6154),
    [sym_range] = STATE(6154),
    [sym_binary] = STATE(6154),
    [sym_unary] = STATE(6154),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3342] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6155),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6155),
    [sym_operator_assignment] = STATE(6155),
    [sym_conditional] = STATE(6155),
    [sym_range] = STATE(6155),
    [sym_binary] = STATE(6155),
    [sym_unary] = STATE(6155),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3343] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6156),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6156),
    [sym_operator_assignment] = STATE(6156),
    [sym_conditional] = STATE(6156),
    [sym_range] = STATE(6156),
    [sym_binary] = STATE(6156),
    [sym_unary] = STATE(6156),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3344] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6157),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6157),
    [sym_operator_assignment] = STATE(6157),
    [sym_conditional] = STATE(6157),
    [sym_range] = STATE(6157),
    [sym_binary] = STATE(6157),
    [sym_unary] = STATE(6157),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3345] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6158),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6158),
    [sym_operator_assignment] = STATE(6158),
    [sym_conditional] = STATE(6158),
    [sym_range] = STATE(6158),
    [sym_binary] = STATE(6158),
    [sym_unary] = STATE(6158),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3346] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6159),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6159),
    [sym_operator_assignment] = STATE(6159),
    [sym_conditional] = STATE(6159),
    [sym_range] = STATE(6159),
    [sym_binary] = STATE(6159),
    [sym_unary] = STATE(6159),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3347] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6160),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6160),
    [sym_operator_assignment] = STATE(6160),
    [sym_conditional] = STATE(6160),
    [sym_range] = STATE(6160),
    [sym_binary] = STATE(6160),
    [sym_unary] = STATE(6160),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3348] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6161),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6161),
    [sym_operator_assignment] = STATE(6161),
    [sym_conditional] = STATE(6161),
    [sym_range] = STATE(6161),
    [sym_binary] = STATE(6161),
    [sym_unary] = STATE(6161),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3349] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6170),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(6170),
    [sym_operator_assignment] = STATE(6170),
    [sym_conditional] = STATE(6170),
    [sym_range] = STATE(6170),
    [sym_binary] = STATE(6170),
    [sym_unary] = STATE(6170),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3350] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6175),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(6175),
    [sym_operator_assignment] = STATE(6175),
    [sym_conditional] = STATE(6175),
    [sym_range] = STATE(6175),
    [sym_binary] = STATE(6175),
    [sym_unary] = STATE(6175),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3351] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6176),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(6176),
    [sym_operator_assignment] = STATE(6176),
    [sym_conditional] = STATE(6176),
    [sym_range] = STATE(6176),
    [sym_binary] = STATE(6176),
    [sym_unary] = STATE(6176),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3352] = {
    [sym__keyword_colon] = ACTIONS(8895),
    [sym_comment] = ACTIONS(87),
  },
  [3353] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6179),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(6179),
    [sym_operator_assignment] = STATE(6179),
    [sym_conditional] = STATE(6179),
    [sym_range] = STATE(6179),
    [sym_binary] = STATE(6179),
    [sym_unary] = STATE(6179),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3354] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6131),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(6132),
    [sym__argument] = STATE(6133),
    [sym_splat_argument] = STATE(6133),
    [sym_hash_splat_argument] = STATE(6133),
    [sym_block_argument] = STATE(6133),
    [sym_assignment] = STATE(6131),
    [sym_operator_assignment] = STATE(6131),
    [sym_conditional] = STATE(6131),
    [sym_range] = STATE(6131),
    [sym_binary] = STATE(6131),
    [sym_unary] = STATE(6131),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6134),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6133),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(8851),
    [sym__splat_star] = ACTIONS(8853),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(8855),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(379),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(8857),
    [sym_identifier] = ACTIONS(8857),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3355] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6131),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(6132),
    [sym__argument] = STATE(6133),
    [sym_splat_argument] = STATE(6133),
    [sym_hash_splat_argument] = STATE(6133),
    [sym_block_argument] = STATE(6133),
    [sym_assignment] = STATE(6131),
    [sym_operator_assignment] = STATE(6131),
    [sym_conditional] = STATE(6131),
    [sym_range] = STATE(6131),
    [sym_binary] = STATE(6131),
    [sym_unary] = STATE(6131),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6134),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6133),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(8851),
    [sym__splat_star] = ACTIONS(8853),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(8855),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(415),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(8857),
    [sym_identifier] = ACTIONS(8857),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3356] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6131),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(6132),
    [sym__argument] = STATE(6133),
    [sym_splat_argument] = STATE(6133),
    [sym_hash_splat_argument] = STATE(6133),
    [sym_block_argument] = STATE(6133),
    [sym_assignment] = STATE(6131),
    [sym_operator_assignment] = STATE(6131),
    [sym_conditional] = STATE(6131),
    [sym_range] = STATE(6131),
    [sym_binary] = STATE(6131),
    [sym_unary] = STATE(6131),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6134),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6133),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(8851),
    [sym__splat_star] = ACTIONS(8853),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(8855),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(419),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(8857),
    [sym_identifier] = ACTIONS(8857),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3357] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6131),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(6132),
    [sym__argument] = STATE(6133),
    [sym_splat_argument] = STATE(6133),
    [sym_hash_splat_argument] = STATE(6133),
    [sym_block_argument] = STATE(6133),
    [sym_assignment] = STATE(6131),
    [sym_operator_assignment] = STATE(6131),
    [sym_conditional] = STATE(6131),
    [sym_range] = STATE(6131),
    [sym_binary] = STATE(6131),
    [sym_unary] = STATE(6131),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6134),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6133),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(8851),
    [sym__splat_star] = ACTIONS(8853),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(8855),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(423),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(8857),
    [sym_identifier] = ACTIONS(8857),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3358] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6180),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(6180),
    [sym_operator_assignment] = STATE(6180),
    [sym_conditional] = STATE(6180),
    [sym_range] = STATE(6180),
    [sym_binary] = STATE(6180),
    [sym_unary] = STATE(6180),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3359] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6181),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(6181),
    [sym_operator_assignment] = STATE(6181),
    [sym_conditional] = STATE(6181),
    [sym_range] = STATE(6181),
    [sym_binary] = STATE(6181),
    [sym_unary] = STATE(6181),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3360] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3361] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8895),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_ensure] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3362] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_ensure] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(8909),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [3363] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6131),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(6132),
    [sym__argument] = STATE(6133),
    [sym_splat_argument] = STATE(6133),
    [sym_hash_splat_argument] = STATE(6133),
    [sym_block_argument] = STATE(6133),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(6131),
    [sym_operator_assignment] = STATE(6131),
    [sym_conditional] = STATE(6131),
    [sym_range] = STATE(6131),
    [sym_binary] = STATE(6131),
    [sym_unary] = STATE(6131),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6134),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6133),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(8851),
    [sym__splat_star] = ACTIONS(8853),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(8855),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(775),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(8857),
    [sym_identifier] = ACTIONS(8857),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3364] = {
    [sym_heredoc_body] = STATE(6195),
    [aux_sym_call_repeat1] = STATE(6195),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3365] = {
    [sym_heredoc_body] = STATE(6195),
    [aux_sym_call_repeat1] = STATE(6195),
    [aux_sym_argument_list_repeat1] = STATE(6197),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8927),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3366] = {
    [anon_sym_EQ] = ACTIONS(8929),
    [sym_comment] = ACTIONS(87),
  },
  [3367] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(8931),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(8933),
    [anon_sym_DASH_EQ] = ACTIONS(8933),
    [anon_sym_STAR_EQ] = ACTIONS(8933),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8933),
    [anon_sym_SLASH_EQ] = ACTIONS(8933),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8933),
    [anon_sym_PIPE_EQ] = ACTIONS(8933),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8933),
    [anon_sym_AMP_EQ] = ACTIONS(8933),
    [anon_sym_PERCENT_EQ] = ACTIONS(8933),
    [anon_sym_GT_GT_EQ] = ACTIONS(8933),
    [anon_sym_LT_LT_EQ] = ACTIONS(8933),
    [anon_sym_CARET_EQ] = ACTIONS(8933),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3368] = {
    [sym_string] = STATE(6201),
    [aux_sym_chained_string_repeat1] = STATE(6201),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(8935),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3369] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6207),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_splat_argument] = STATE(6208),
    [sym_assignment] = STATE(6207),
    [sym_operator_assignment] = STATE(6207),
    [sym_conditional] = STATE(6207),
    [sym_range] = STATE(6207),
    [sym_binary] = STATE(6207),
    [sym_unary] = STATE(6207),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(6208),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(8937),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3370] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6211),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(6211),
    [sym_operator_assignment] = STATE(6211),
    [sym_conditional] = STATE(6211),
    [sym_range] = STATE(6211),
    [sym_binary] = STATE(6211),
    [sym_unary] = STATE(6211),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3371] = {
    [sym_string] = STATE(6212),
    [aux_sym_chained_string_repeat1] = STATE(6212),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_ensure] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [3372] = {
    [anon_sym_end] = ACTIONS(8949),
    [anon_sym_ensure] = ACTIONS(8949),
    [sym_comment] = ACTIONS(87),
  },
  [3373] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [3374] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6221),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(6221),
    [sym_operator_assignment] = STATE(6221),
    [sym_conditional] = STATE(6221),
    [sym_range] = STATE(6221),
    [sym_binary] = STATE(6221),
    [sym_unary] = STATE(6221),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3375] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6225),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(6225),
    [sym_operator_assignment] = STATE(6225),
    [sym_conditional] = STATE(6225),
    [sym_range] = STATE(6225),
    [sym_binary] = STATE(6225),
    [sym_unary] = STATE(6225),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3376] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6226),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(6226),
    [sym_operator_assignment] = STATE(6226),
    [sym_conditional] = STATE(6226),
    [sym_range] = STATE(6226),
    [sym_binary] = STATE(6226),
    [sym_unary] = STATE(6226),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3377] = {
    [sym__keyword_colon] = ACTIONS(8971),
    [sym_comment] = ACTIONS(87),
  },
  [3378] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6229),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(6229),
    [sym_operator_assignment] = STATE(6229),
    [sym_conditional] = STATE(6229),
    [sym_range] = STATE(6229),
    [sym_binary] = STATE(6229),
    [sym_unary] = STATE(6229),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3379] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6235),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(6236),
    [sym__argument] = STATE(6237),
    [sym_splat_argument] = STATE(6237),
    [sym_hash_splat_argument] = STATE(6237),
    [sym_block_argument] = STATE(6237),
    [sym_assignment] = STATE(6235),
    [sym_operator_assignment] = STATE(6235),
    [sym_conditional] = STATE(6235),
    [sym_range] = STATE(6235),
    [sym_binary] = STATE(6235),
    [sym_unary] = STATE(6235),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6238),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(6237),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(8973),
    [sym__splat_star] = ACTIONS(8975),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(8977),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(8979),
    [sym_identifier] = ACTIONS(8979),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3380] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6235),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(6236),
    [sym__argument] = STATE(6237),
    [sym_splat_argument] = STATE(6237),
    [sym_hash_splat_argument] = STATE(6237),
    [sym_block_argument] = STATE(6237),
    [sym_assignment] = STATE(6235),
    [sym_operator_assignment] = STATE(6235),
    [sym_conditional] = STATE(6235),
    [sym_range] = STATE(6235),
    [sym_binary] = STATE(6235),
    [sym_unary] = STATE(6235),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6238),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(6237),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(8973),
    [sym__splat_star] = ACTIONS(8975),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(8977),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(8979),
    [sym_identifier] = ACTIONS(8979),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3381] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6235),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(6236),
    [sym__argument] = STATE(6237),
    [sym_splat_argument] = STATE(6237),
    [sym_hash_splat_argument] = STATE(6237),
    [sym_block_argument] = STATE(6237),
    [sym_assignment] = STATE(6235),
    [sym_operator_assignment] = STATE(6235),
    [sym_conditional] = STATE(6235),
    [sym_range] = STATE(6235),
    [sym_binary] = STATE(6235),
    [sym_unary] = STATE(6235),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6238),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(6237),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(8973),
    [sym__splat_star] = ACTIONS(8975),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(8977),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(8979),
    [sym_identifier] = ACTIONS(8979),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3382] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6235),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(6236),
    [sym__argument] = STATE(6237),
    [sym_splat_argument] = STATE(6237),
    [sym_hash_splat_argument] = STATE(6237),
    [sym_block_argument] = STATE(6237),
    [sym_assignment] = STATE(6235),
    [sym_operator_assignment] = STATE(6235),
    [sym_conditional] = STATE(6235),
    [sym_range] = STATE(6235),
    [sym_binary] = STATE(6235),
    [sym_unary] = STATE(6235),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6238),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(6237),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(8973),
    [sym__splat_star] = ACTIONS(8975),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(8977),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(8979),
    [sym_identifier] = ACTIONS(8979),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3383] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6239),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(6239),
    [sym_operator_assignment] = STATE(6239),
    [sym_conditional] = STATE(6239),
    [sym_range] = STATE(6239),
    [sym_binary] = STATE(6239),
    [sym_unary] = STATE(6239),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3384] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6240),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(6240),
    [sym_operator_assignment] = STATE(6240),
    [sym_conditional] = STATE(6240),
    [sym_range] = STATE(6240),
    [sym_binary] = STATE(6240),
    [sym_unary] = STATE(6240),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3385] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3386] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(8971),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3387] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(8993),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [3388] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6259),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(6260),
    [sym__argument] = STATE(6261),
    [sym_splat_argument] = STATE(6261),
    [sym_hash_splat_argument] = STATE(6261),
    [sym_block_argument] = STATE(6261),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(6259),
    [sym_operator_assignment] = STATE(6259),
    [sym_conditional] = STATE(6259),
    [sym_range] = STATE(6259),
    [sym_binary] = STATE(6259),
    [sym_unary] = STATE(6259),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6262),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6261),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(9013),
    [sym__splat_star] = ACTIONS(9015),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(9017),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(9019),
    [sym_identifier] = ACTIONS(9019),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3389] = {
    [sym_heredoc_body] = STATE(6263),
    [aux_sym_call_repeat1] = STATE(6263),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3390] = {
    [sym_heredoc_body] = STATE(6263),
    [aux_sym_call_repeat1] = STATE(6263),
    [aux_sym_argument_list_repeat1] = STATE(6265),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9021),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3391] = {
    [anon_sym_EQ] = ACTIONS(9023),
    [sym_comment] = ACTIONS(87),
  },
  [3392] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(9025),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(9027),
    [anon_sym_DASH_EQ] = ACTIONS(9027),
    [anon_sym_STAR_EQ] = ACTIONS(9027),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9027),
    [anon_sym_SLASH_EQ] = ACTIONS(9027),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9027),
    [anon_sym_PIPE_EQ] = ACTIONS(9027),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9027),
    [anon_sym_AMP_EQ] = ACTIONS(9027),
    [anon_sym_PERCENT_EQ] = ACTIONS(9027),
    [anon_sym_GT_GT_EQ] = ACTIONS(9027),
    [anon_sym_LT_LT_EQ] = ACTIONS(9027),
    [anon_sym_CARET_EQ] = ACTIONS(9027),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3393] = {
    [sym_string] = STATE(6269),
    [aux_sym_chained_string_repeat1] = STATE(6269),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(9029),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3394] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [3395] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_DOT_DOT] = ACTIONS(5298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [3396] = {
    [aux_sym_undef_repeat1] = STATE(6270),
    [sym__line_break] = ACTIONS(2283),
    [sym__heredoc_body_start] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_end] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_unless] = ACTIONS(2283),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_until] = ACTIONS(2283),
    [anon_sym_rescue] = ACTIONS(2283),
    [sym_comment] = ACTIONS(87),
  },
  [3397] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2529),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3398] = {
    [sym_heredoc_body] = STATE(6271),
    [sym__terminator] = STATE(6271),
    [aux_sym__statements_repeat1] = STATE(6272),
    [sym__line_break] = ACTIONS(9031),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(9031),
    [anon_sym_end] = ACTIONS(2527),
    [sym_comment] = ACTIONS(87),
  },
  [3399] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6273),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6273),
    [sym_operator_assignment] = STATE(6273),
    [sym_conditional] = STATE(6273),
    [sym_range] = STATE(6273),
    [sym_binary] = STATE(6273),
    [sym_unary] = STATE(6273),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3400] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6274),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6274),
    [sym_operator_assignment] = STATE(6274),
    [sym_conditional] = STATE(6274),
    [sym_range] = STATE(6274),
    [sym_binary] = STATE(6274),
    [sym_unary] = STATE(6274),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3401] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6275),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6275),
    [sym_operator_assignment] = STATE(6275),
    [sym_conditional] = STATE(6275),
    [sym_range] = STATE(6275),
    [sym_binary] = STATE(6275),
    [sym_unary] = STATE(6275),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3402] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6276),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6276),
    [sym_operator_assignment] = STATE(6276),
    [sym_conditional] = STATE(6276),
    [sym_range] = STATE(6276),
    [sym_binary] = STATE(6276),
    [sym_unary] = STATE(6276),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3403] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6277),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6277),
    [sym_operator_assignment] = STATE(6277),
    [sym_conditional] = STATE(6277),
    [sym_range] = STATE(6277),
    [sym_binary] = STATE(6277),
    [sym_unary] = STATE(6277),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3404] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6278),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6278),
    [sym_operator_assignment] = STATE(6278),
    [sym_conditional] = STATE(6278),
    [sym_range] = STATE(6278),
    [sym_binary] = STATE(6278),
    [sym_unary] = STATE(6278),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3405] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6279),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6279),
    [sym_operator_assignment] = STATE(6279),
    [sym_conditional] = STATE(6279),
    [sym_range] = STATE(6279),
    [sym_binary] = STATE(6279),
    [sym_unary] = STATE(6279),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3406] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6280),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6280),
    [sym_operator_assignment] = STATE(6280),
    [sym_conditional] = STATE(6280),
    [sym_range] = STATE(6280),
    [sym_binary] = STATE(6280),
    [sym_unary] = STATE(6280),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3407] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6281),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6281),
    [sym_operator_assignment] = STATE(6281),
    [sym_conditional] = STATE(6281),
    [sym_range] = STATE(6281),
    [sym_binary] = STATE(6281),
    [sym_unary] = STATE(6281),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3408] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6282),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6282),
    [sym_operator_assignment] = STATE(6282),
    [sym_conditional] = STATE(6282),
    [sym_range] = STATE(6282),
    [sym_binary] = STATE(6282),
    [sym_unary] = STATE(6282),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3409] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6283),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6283),
    [sym_operator_assignment] = STATE(6283),
    [sym_conditional] = STATE(6283),
    [sym_range] = STATE(6283),
    [sym_binary] = STATE(6283),
    [sym_unary] = STATE(6283),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3410] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6284),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6284),
    [sym_operator_assignment] = STATE(6284),
    [sym_conditional] = STATE(6284),
    [sym_range] = STATE(6284),
    [sym_binary] = STATE(6284),
    [sym_unary] = STATE(6284),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3411] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6285),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6285),
    [sym_operator_assignment] = STATE(6285),
    [sym_conditional] = STATE(6285),
    [sym_range] = STATE(6285),
    [sym_binary] = STATE(6285),
    [sym_unary] = STATE(6285),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3412] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6286),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6286),
    [sym_operator_assignment] = STATE(6286),
    [sym_conditional] = STATE(6286),
    [sym_range] = STATE(6286),
    [sym_binary] = STATE(6286),
    [sym_unary] = STATE(6286),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3413] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6287),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6287),
    [sym_operator_assignment] = STATE(6287),
    [sym_conditional] = STATE(6287),
    [sym_range] = STATE(6287),
    [sym_binary] = STATE(6287),
    [sym_unary] = STATE(6287),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3414] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6288),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6288),
    [sym_operator_assignment] = STATE(6288),
    [sym_conditional] = STATE(6288),
    [sym_range] = STATE(6288),
    [sym_binary] = STATE(6288),
    [sym_unary] = STATE(6288),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3415] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6289),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6289),
    [sym_operator_assignment] = STATE(6289),
    [sym_conditional] = STATE(6289),
    [sym_range] = STATE(6289),
    [sym_binary] = STATE(6289),
    [sym_unary] = STATE(6289),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3416] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6298),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(6298),
    [sym_operator_assignment] = STATE(6298),
    [sym_conditional] = STATE(6298),
    [sym_range] = STATE(6298),
    [sym_binary] = STATE(6298),
    [sym_unary] = STATE(6298),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3417] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6303),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(6303),
    [sym_operator_assignment] = STATE(6303),
    [sym_conditional] = STATE(6303),
    [sym_range] = STATE(6303),
    [sym_binary] = STATE(6303),
    [sym_unary] = STATE(6303),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3418] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6304),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(6304),
    [sym_operator_assignment] = STATE(6304),
    [sym_conditional] = STATE(6304),
    [sym_range] = STATE(6304),
    [sym_binary] = STATE(6304),
    [sym_unary] = STATE(6304),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3419] = {
    [sym__keyword_colon] = ACTIONS(9057),
    [sym_comment] = ACTIONS(87),
  },
  [3420] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6307),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(6307),
    [sym_operator_assignment] = STATE(6307),
    [sym_conditional] = STATE(6307),
    [sym_range] = STATE(6307),
    [sym_binary] = STATE(6307),
    [sym_unary] = STATE(6307),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3421] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6259),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(6260),
    [sym__argument] = STATE(6261),
    [sym_splat_argument] = STATE(6261),
    [sym_hash_splat_argument] = STATE(6261),
    [sym_block_argument] = STATE(6261),
    [sym_assignment] = STATE(6259),
    [sym_operator_assignment] = STATE(6259),
    [sym_conditional] = STATE(6259),
    [sym_range] = STATE(6259),
    [sym_binary] = STATE(6259),
    [sym_unary] = STATE(6259),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6262),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6261),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(9013),
    [sym__splat_star] = ACTIONS(9015),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(9017),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(9019),
    [sym_identifier] = ACTIONS(9019),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3422] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6259),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(6260),
    [sym__argument] = STATE(6261),
    [sym_splat_argument] = STATE(6261),
    [sym_hash_splat_argument] = STATE(6261),
    [sym_block_argument] = STATE(6261),
    [sym_assignment] = STATE(6259),
    [sym_operator_assignment] = STATE(6259),
    [sym_conditional] = STATE(6259),
    [sym_range] = STATE(6259),
    [sym_binary] = STATE(6259),
    [sym_unary] = STATE(6259),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6262),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6261),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(9013),
    [sym__splat_star] = ACTIONS(9015),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(9017),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(9019),
    [sym_identifier] = ACTIONS(9019),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3423] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6259),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(6260),
    [sym__argument] = STATE(6261),
    [sym_splat_argument] = STATE(6261),
    [sym_hash_splat_argument] = STATE(6261),
    [sym_block_argument] = STATE(6261),
    [sym_assignment] = STATE(6259),
    [sym_operator_assignment] = STATE(6259),
    [sym_conditional] = STATE(6259),
    [sym_range] = STATE(6259),
    [sym_binary] = STATE(6259),
    [sym_unary] = STATE(6259),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6262),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6261),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(9013),
    [sym__splat_star] = ACTIONS(9015),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(9017),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(9019),
    [sym_identifier] = ACTIONS(9019),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3424] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6259),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(6260),
    [sym__argument] = STATE(6261),
    [sym_splat_argument] = STATE(6261),
    [sym_hash_splat_argument] = STATE(6261),
    [sym_block_argument] = STATE(6261),
    [sym_assignment] = STATE(6259),
    [sym_operator_assignment] = STATE(6259),
    [sym_conditional] = STATE(6259),
    [sym_range] = STATE(6259),
    [sym_binary] = STATE(6259),
    [sym_unary] = STATE(6259),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6262),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6261),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(9013),
    [sym__splat_star] = ACTIONS(9015),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(9017),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(9019),
    [sym_identifier] = ACTIONS(9019),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3425] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6308),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(6308),
    [sym_operator_assignment] = STATE(6308),
    [sym_conditional] = STATE(6308),
    [sym_range] = STATE(6308),
    [sym_binary] = STATE(6308),
    [sym_unary] = STATE(6308),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3426] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6309),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(6309),
    [sym_operator_assignment] = STATE(6309),
    [sym_conditional] = STATE(6309),
    [sym_range] = STATE(6309),
    [sym_binary] = STATE(6309),
    [sym_unary] = STATE(6309),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3427] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3428] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(9057),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3429] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(9071),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [3430] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6259),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(6260),
    [sym__argument] = STATE(6261),
    [sym_splat_argument] = STATE(6261),
    [sym_hash_splat_argument] = STATE(6261),
    [sym_block_argument] = STATE(6261),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(6259),
    [sym_operator_assignment] = STATE(6259),
    [sym_conditional] = STATE(6259),
    [sym_range] = STATE(6259),
    [sym_binary] = STATE(6259),
    [sym_unary] = STATE(6259),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6262),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6261),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(9013),
    [sym__splat_star] = ACTIONS(9015),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(9017),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(9019),
    [sym_identifier] = ACTIONS(9019),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3431] = {
    [sym_heredoc_body] = STATE(6323),
    [aux_sym_call_repeat1] = STATE(6323),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3432] = {
    [sym_heredoc_body] = STATE(6323),
    [aux_sym_call_repeat1] = STATE(6323),
    [aux_sym_argument_list_repeat1] = STATE(6325),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9089),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3433] = {
    [anon_sym_EQ] = ACTIONS(9091),
    [sym_comment] = ACTIONS(87),
  },
  [3434] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(9093),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(9095),
    [anon_sym_DASH_EQ] = ACTIONS(9095),
    [anon_sym_STAR_EQ] = ACTIONS(9095),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9095),
    [anon_sym_SLASH_EQ] = ACTIONS(9095),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9095),
    [anon_sym_PIPE_EQ] = ACTIONS(9095),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9095),
    [anon_sym_AMP_EQ] = ACTIONS(9095),
    [anon_sym_PERCENT_EQ] = ACTIONS(9095),
    [anon_sym_GT_GT_EQ] = ACTIONS(9095),
    [anon_sym_LT_LT_EQ] = ACTIONS(9095),
    [anon_sym_CARET_EQ] = ACTIONS(9095),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3435] = {
    [sym_string] = STATE(6329),
    [aux_sym_chained_string_repeat1] = STATE(6329),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(9097),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3436] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6335),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_splat_argument] = STATE(6336),
    [sym_assignment] = STATE(6335),
    [sym_operator_assignment] = STATE(6335),
    [sym_conditional] = STATE(6335),
    [sym_range] = STATE(6335),
    [sym_binary] = STATE(6335),
    [sym_unary] = STATE(6335),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(6336),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(9099),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3437] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6339),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(6339),
    [sym_operator_assignment] = STATE(6339),
    [sym_conditional] = STATE(6339),
    [sym_range] = STATE(6339),
    [sym_binary] = STATE(6339),
    [sym_unary] = STATE(6339),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3438] = {
    [sym_string] = STATE(6340),
    [aux_sym_chained_string_repeat1] = STATE(6340),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [3439] = {
    [aux_sym_undef_repeat1] = STATE(6341),
    [sym__line_break] = ACTIONS(5442),
    [sym__heredoc_body_start] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym_end] = ACTIONS(5442),
    [anon_sym_if] = ACTIONS(5442),
    [anon_sym_unless] = ACTIONS(5442),
    [anon_sym_while] = ACTIONS(5442),
    [anon_sym_until] = ACTIONS(5442),
    [anon_sym_rescue] = ACTIONS(5442),
    [anon_sym_else] = ACTIONS(5442),
    [anon_sym_ensure] = ACTIONS(5442),
    [sym_comment] = ACTIONS(87),
  },
  [3440] = {
    [sym__line_break] = ACTIONS(9111),
    [sym__heredoc_body_start] = ACTIONS(9111),
    [sym__element_reference_left_bracket] = ACTIONS(9111),
    [sym__infix_scope_colons] = ACTIONS(9111),
    [sym__binary_minus] = ACTIONS(9111),
    [sym__binary_star] = ACTIONS(9111),
    [ts_builtin_sym_end] = ACTIONS(9111),
    [anon_sym___END__] = ACTIONS(9111),
    [anon_sym_LBRACE] = ACTIONS(9111),
    [anon_sym_RBRACE] = ACTIONS(9111),
    [anon_sym_RPAREN] = ACTIONS(9111),
    [anon_sym_DOT] = ACTIONS(9113),
    [anon_sym_COMMA] = ACTIONS(9111),
    [anon_sym_PIPE] = ACTIONS(9113),
    [anon_sym_SEMI] = ACTIONS(9111),
    [anon_sym_STAR_STAR] = ACTIONS(9111),
    [anon_sym_AMP] = ACTIONS(9113),
    [anon_sym_LT] = ACTIONS(9113),
    [anon_sym_end] = ACTIONS(9111),
    [anon_sym_if] = ACTIONS(9111),
    [anon_sym_unless] = ACTIONS(9111),
    [anon_sym_while] = ACTIONS(9111),
    [anon_sym_until] = ACTIONS(9111),
    [anon_sym_rescue] = ACTIONS(9111),
    [anon_sym_do] = ACTIONS(9111),
    [anon_sym_when] = ACTIONS(9111),
    [anon_sym_elsif] = ACTIONS(9111),
    [anon_sym_else] = ACTIONS(9111),
    [anon_sym_then] = ACTIONS(9111),
    [anon_sym_ensure] = ACTIONS(9111),
    [anon_sym_EQ_GT] = ACTIONS(9111),
    [anon_sym_AMP_DOT] = ACTIONS(9111),
    [anon_sym_QMARK] = ACTIONS(9111),
    [anon_sym_DOT_DOT] = ACTIONS(9113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9111),
    [anon_sym_and] = ACTIONS(9111),
    [anon_sym_or] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE] = ACTIONS(9111),
    [anon_sym_AMP_AMP] = ACTIONS(9111),
    [anon_sym_LT_LT] = ACTIONS(9111),
    [anon_sym_GT_GT] = ACTIONS(9111),
    [anon_sym_EQ_EQ] = ACTIONS(9113),
    [anon_sym_BANG_EQ] = ACTIONS(9111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9111),
    [anon_sym_LT_EQ_GT] = ACTIONS(9111),
    [anon_sym_EQ_TILDE] = ACTIONS(9111),
    [anon_sym_BANG_TILDE] = ACTIONS(9111),
    [anon_sym_LT_EQ] = ACTIONS(9113),
    [anon_sym_GT] = ACTIONS(9113),
    [anon_sym_GT_EQ] = ACTIONS(9111),
    [anon_sym_CARET] = ACTIONS(9111),
    [anon_sym_PLUS] = ACTIONS(9111),
    [anon_sym_SLASH] = ACTIONS(9111),
    [anon_sym_PERCENT] = ACTIONS(9111),
    [sym_comment] = ACTIONS(87),
  },
  [3441] = {
    [anon_sym_end] = ACTIONS(9115),
    [sym_comment] = ACTIONS(87),
  },
  [3442] = {
    [sym_ensure] = STATE(6343),
    [anon_sym_end] = ACTIONS(9115),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [3443] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5772),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(5772),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(5772),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(5772),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3444] = {
    [sym_heredoc_body] = STATE(6344),
    [sym__terminator] = STATE(6344),
    [aux_sym__statements_repeat1] = STATE(3444),
    [sym__line_break] = ACTIONS(9117),
    [sym__heredoc_body_start] = ACTIONS(5777),
    [anon_sym_SEMI] = ACTIONS(9117),
    [anon_sym_end] = ACTIONS(5768),
    [anon_sym_rescue] = ACTIONS(5768),
    [anon_sym_else] = ACTIONS(5768),
    [anon_sym_ensure] = ACTIONS(5768),
    [sym_comment] = ACTIONS(87),
  },
  [3445] = {
    [sym__line_break] = ACTIONS(5780),
    [sym__heredoc_body_start] = ACTIONS(5780),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(5780),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_unless] = ACTIONS(5780),
    [anon_sym_while] = ACTIONS(5780),
    [anon_sym_until] = ACTIONS(5780),
    [anon_sym_rescue] = ACTIONS(5780),
    [anon_sym_else] = ACTIONS(5780),
    [anon_sym_ensure] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(2221),
    [anon_sym_DOT_DOT] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_and] = ACTIONS(2227),
    [anon_sym_or] = ACTIONS(2227),
    [anon_sym_PIPE_PIPE] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3446] = {
    [sym__line_break] = ACTIONS(5782),
    [sym__heredoc_body_start] = ACTIONS(5782),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(5782),
    [anon_sym_if] = ACTIONS(5782),
    [anon_sym_unless] = ACTIONS(5782),
    [anon_sym_while] = ACTIONS(5782),
    [anon_sym_until] = ACTIONS(5782),
    [anon_sym_rescue] = ACTIONS(5782),
    [anon_sym_else] = ACTIONS(5782),
    [anon_sym_ensure] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(2221),
    [anon_sym_DOT_DOT] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_and] = ACTIONS(2227),
    [anon_sym_or] = ACTIONS(2227),
    [anon_sym_PIPE_PIPE] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3447] = {
    [sym__line_break] = ACTIONS(5784),
    [sym__heredoc_body_start] = ACTIONS(5784),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(5784),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_unless] = ACTIONS(5784),
    [anon_sym_while] = ACTIONS(5784),
    [anon_sym_until] = ACTIONS(5784),
    [anon_sym_rescue] = ACTIONS(5784),
    [anon_sym_else] = ACTIONS(5784),
    [anon_sym_ensure] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(2221),
    [anon_sym_DOT_DOT] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_and] = ACTIONS(2227),
    [anon_sym_or] = ACTIONS(2227),
    [anon_sym_PIPE_PIPE] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3448] = {
    [sym__line_break] = ACTIONS(5786),
    [sym__heredoc_body_start] = ACTIONS(5786),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(5786),
    [anon_sym_if] = ACTIONS(5786),
    [anon_sym_unless] = ACTIONS(5786),
    [anon_sym_while] = ACTIONS(5786),
    [anon_sym_until] = ACTIONS(5786),
    [anon_sym_rescue] = ACTIONS(5786),
    [anon_sym_else] = ACTIONS(5786),
    [anon_sym_ensure] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(2221),
    [anon_sym_DOT_DOT] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_and] = ACTIONS(2227),
    [anon_sym_or] = ACTIONS(2227),
    [anon_sym_PIPE_PIPE] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3449] = {
    [sym__line_break] = ACTIONS(5788),
    [sym__heredoc_body_start] = ACTIONS(5788),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(5788),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(5788),
    [anon_sym_if] = ACTIONS(5788),
    [anon_sym_unless] = ACTIONS(5788),
    [anon_sym_while] = ACTIONS(5788),
    [anon_sym_until] = ACTIONS(5788),
    [anon_sym_rescue] = ACTIONS(5788),
    [anon_sym_else] = ACTIONS(5788),
    [anon_sym_ensure] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(2221),
    [anon_sym_DOT_DOT] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_and] = ACTIONS(2227),
    [anon_sym_or] = ACTIONS(2227),
    [anon_sym_PIPE_PIPE] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3450] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3451] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [3452] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3453] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [3454] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3455] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3456] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(9120),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [3457] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3458] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(2221),
    [anon_sym_DOT_DOT] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3459] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3460] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3461] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3462] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6346),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(6346),
    [sym_operator_assignment] = STATE(6346),
    [sym_conditional] = STATE(6346),
    [sym_range] = STATE(6346),
    [sym_binary] = STATE(6346),
    [sym_unary] = STATE(6346),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3463] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1309),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(1311),
    [sym__argument] = STATE(1312),
    [sym_splat_argument] = STATE(1312),
    [sym_hash_splat_argument] = STATE(1312),
    [sym_block_argument] = STATE(1312),
    [sym_assignment] = STATE(1309),
    [sym_operator_assignment] = STATE(1309),
    [sym_conditional] = STATE(1309),
    [sym_range] = STATE(1309),
    [sym_binary] = STATE(1309),
    [sym_unary] = STATE(1309),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1315),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1312),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(2241),
    [sym__splat_star] = ACTIONS(2243),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(379),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2265),
    [sym_identifier] = ACTIONS(2265),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3464] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1309),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(1311),
    [sym__argument] = STATE(1312),
    [sym_splat_argument] = STATE(1312),
    [sym_hash_splat_argument] = STATE(1312),
    [sym_block_argument] = STATE(1312),
    [sym_assignment] = STATE(1309),
    [sym_operator_assignment] = STATE(1309),
    [sym_conditional] = STATE(1309),
    [sym_range] = STATE(1309),
    [sym_binary] = STATE(1309),
    [sym_unary] = STATE(1309),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1315),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1312),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(2241),
    [sym__splat_star] = ACTIONS(2243),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2265),
    [sym_identifier] = ACTIONS(2265),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3465] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1309),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(1311),
    [sym__argument] = STATE(1312),
    [sym_splat_argument] = STATE(1312),
    [sym_hash_splat_argument] = STATE(1312),
    [sym_block_argument] = STATE(1312),
    [sym_assignment] = STATE(1309),
    [sym_operator_assignment] = STATE(1309),
    [sym_conditional] = STATE(1309),
    [sym_range] = STATE(1309),
    [sym_binary] = STATE(1309),
    [sym_unary] = STATE(1309),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1315),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1312),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(2241),
    [sym__splat_star] = ACTIONS(2243),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2265),
    [sym_identifier] = ACTIONS(2265),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3466] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1309),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(1311),
    [sym__argument] = STATE(1312),
    [sym_splat_argument] = STATE(1312),
    [sym_hash_splat_argument] = STATE(1312),
    [sym_block_argument] = STATE(1312),
    [sym_assignment] = STATE(1309),
    [sym_operator_assignment] = STATE(1309),
    [sym_conditional] = STATE(1309),
    [sym_range] = STATE(1309),
    [sym_binary] = STATE(1309),
    [sym_unary] = STATE(1309),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1315),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1312),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(2241),
    [sym__splat_star] = ACTIONS(2243),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2265),
    [sym_identifier] = ACTIONS(2265),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3467] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6347),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(6347),
    [sym_operator_assignment] = STATE(6347),
    [sym_conditional] = STATE(6347),
    [sym_range] = STATE(6347),
    [sym_binary] = STATE(6347),
    [sym_unary] = STATE(6347),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3468] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6348),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(6348),
    [sym_operator_assignment] = STATE(6348),
    [sym_conditional] = STATE(6348),
    [sym_range] = STATE(6348),
    [sym_binary] = STATE(6348),
    [sym_unary] = STATE(6348),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3469] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3470] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_ensure] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(9134),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [3471] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1309),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(1311),
    [sym__argument] = STATE(1312),
    [sym_splat_argument] = STATE(1312),
    [sym_hash_splat_argument] = STATE(1312),
    [sym_block_argument] = STATE(1312),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(1309),
    [sym_operator_assignment] = STATE(1309),
    [sym_conditional] = STATE(1309),
    [sym_range] = STATE(1309),
    [sym_binary] = STATE(1309),
    [sym_unary] = STATE(1309),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1315),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1312),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(2241),
    [sym__splat_star] = ACTIONS(2243),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(775),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2265),
    [sym_identifier] = ACTIONS(2265),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3472] = {
    [anon_sym_EQ] = ACTIONS(9150),
    [sym_comment] = ACTIONS(87),
  },
  [3473] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(9152),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(9154),
    [anon_sym_DASH_EQ] = ACTIONS(9154),
    [anon_sym_STAR_EQ] = ACTIONS(9154),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9154),
    [anon_sym_SLASH_EQ] = ACTIONS(9154),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9154),
    [anon_sym_PIPE_EQ] = ACTIONS(9154),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9154),
    [anon_sym_AMP_EQ] = ACTIONS(9154),
    [anon_sym_PERCENT_EQ] = ACTIONS(9154),
    [anon_sym_GT_GT_EQ] = ACTIONS(9154),
    [anon_sym_LT_LT_EQ] = ACTIONS(9154),
    [anon_sym_CARET_EQ] = ACTIONS(9154),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3474] = {
    [sym_string] = STATE(6363),
    [aux_sym_chained_string_repeat1] = STATE(6363),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3475] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_ensure] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(9134),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [3476] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [3477] = {
    [sym_string] = STATE(3501),
    [aux_sym_chained_string_repeat1] = STATE(3501),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3478] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6364),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(6364),
    [sym_operator_assignment] = STATE(6364),
    [sym_conditional] = STATE(6364),
    [sym_range] = STATE(6364),
    [sym_binary] = STATE(6364),
    [sym_unary] = STATE(6364),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3479] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_ensure] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(9134),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [3480] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [3481] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [3482] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6365),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6365),
    [sym_operator_assignment] = STATE(6365),
    [sym_conditional] = STATE(6365),
    [sym_range] = STATE(6365),
    [sym_binary] = STATE(6365),
    [sym_unary] = STATE(6365),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3483] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6366),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6366),
    [sym_operator_assignment] = STATE(6366),
    [sym_conditional] = STATE(6366),
    [sym_range] = STATE(6366),
    [sym_binary] = STATE(6366),
    [sym_unary] = STATE(6366),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3484] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6367),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6367),
    [sym_operator_assignment] = STATE(6367),
    [sym_conditional] = STATE(6367),
    [sym_range] = STATE(6367),
    [sym_binary] = STATE(6367),
    [sym_unary] = STATE(6367),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3485] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6368),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6368),
    [sym_operator_assignment] = STATE(6368),
    [sym_conditional] = STATE(6368),
    [sym_range] = STATE(6368),
    [sym_binary] = STATE(6368),
    [sym_unary] = STATE(6368),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3486] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6369),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6369),
    [sym_operator_assignment] = STATE(6369),
    [sym_conditional] = STATE(6369),
    [sym_range] = STATE(6369),
    [sym_binary] = STATE(6369),
    [sym_unary] = STATE(6369),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3487] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6370),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6370),
    [sym_operator_assignment] = STATE(6370),
    [sym_conditional] = STATE(6370),
    [sym_range] = STATE(6370),
    [sym_binary] = STATE(6370),
    [sym_unary] = STATE(6370),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3488] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6371),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(6371),
    [sym_operator_assignment] = STATE(6371),
    [sym_conditional] = STATE(6371),
    [sym_range] = STATE(6371),
    [sym_binary] = STATE(6371),
    [sym_unary] = STATE(6371),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3489] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6372),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6372),
    [sym_operator_assignment] = STATE(6372),
    [sym_conditional] = STATE(6372),
    [sym_range] = STATE(6372),
    [sym_binary] = STATE(6372),
    [sym_unary] = STATE(6372),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3490] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6373),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6373),
    [sym_operator_assignment] = STATE(6373),
    [sym_conditional] = STATE(6373),
    [sym_range] = STATE(6373),
    [sym_binary] = STATE(6373),
    [sym_unary] = STATE(6373),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3491] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6374),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6374),
    [sym_operator_assignment] = STATE(6374),
    [sym_conditional] = STATE(6374),
    [sym_range] = STATE(6374),
    [sym_binary] = STATE(6374),
    [sym_unary] = STATE(6374),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3492] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6375),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6375),
    [sym_operator_assignment] = STATE(6375),
    [sym_conditional] = STATE(6375),
    [sym_range] = STATE(6375),
    [sym_binary] = STATE(6375),
    [sym_unary] = STATE(6375),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3493] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6376),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6376),
    [sym_operator_assignment] = STATE(6376),
    [sym_conditional] = STATE(6376),
    [sym_range] = STATE(6376),
    [sym_binary] = STATE(6376),
    [sym_unary] = STATE(6376),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3494] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6377),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6377),
    [sym_operator_assignment] = STATE(6377),
    [sym_conditional] = STATE(6377),
    [sym_range] = STATE(6377),
    [sym_binary] = STATE(6377),
    [sym_unary] = STATE(6377),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3495] = {
    [sym_heredoc_body] = STATE(6378),
    [aux_sym_call_repeat1] = STATE(6378),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [3496] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1309),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(1309),
    [sym_operator_assignment] = STATE(1309),
    [sym_conditional] = STATE(1309),
    [sym_range] = STATE(1309),
    [sym_binary] = STATE(1309),
    [sym_unary] = STATE(1309),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1315),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(6379),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(2241),
    [sym__splat_star] = ACTIONS(2243),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__identifier_hash_key] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(9156),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2265),
    [sym_identifier] = ACTIONS(2265),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3497] = {
    [sym_heredoc_body] = STATE(6380),
    [aux_sym_call_repeat1] = STATE(6380),
    [aux_sym_argument_list_repeat1] = STATE(6381),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(5416),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [3498] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6382),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_splat_argument] = STATE(6383),
    [sym_assignment] = STATE(6382),
    [sym_operator_assignment] = STATE(6382),
    [sym_conditional] = STATE(6382),
    [sym_range] = STATE(6382),
    [sym_binary] = STATE(6382),
    [sym_unary] = STATE(6382),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(6383),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(4998),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3499] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6384),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(6384),
    [sym_operator_assignment] = STATE(6384),
    [sym_conditional] = STATE(6384),
    [sym_range] = STATE(6384),
    [sym_binary] = STATE(6384),
    [sym_unary] = STATE(6384),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3500] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6385),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(6385),
    [sym_operator_assignment] = STATE(6385),
    [sym_conditional] = STATE(6385),
    [sym_range] = STATE(6385),
    [sym_binary] = STATE(6385),
    [sym_unary] = STATE(6385),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3501] = {
    [sym_string] = STATE(6386),
    [aux_sym_chained_string_repeat1] = STATE(6386),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_ensure] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [3502] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6387),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(6387),
    [sym_operator_assignment] = STATE(6387),
    [sym_conditional] = STATE(6387),
    [sym_range] = STATE(6387),
    [sym_binary] = STATE(6387),
    [sym_unary] = STATE(6387),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3503] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6388),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(6388),
    [sym_operator_assignment] = STATE(6388),
    [sym_conditional] = STATE(6388),
    [sym_range] = STATE(6388),
    [sym_binary] = STATE(6388),
    [sym_unary] = STATE(6388),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3504] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6389),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(6389),
    [sym_operator_assignment] = STATE(6389),
    [sym_conditional] = STATE(6389),
    [sym_range] = STATE(6389),
    [sym_binary] = STATE(6389),
    [sym_unary] = STATE(6389),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3505] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6390),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(6390),
    [sym_operator_assignment] = STATE(6390),
    [sym_conditional] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_binary] = STATE(6390),
    [sym_unary] = STATE(6390),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3506] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3507] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(9162),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(9166),
    [anon_sym_LT] = ACTIONS(9168),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_ensure] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(9170),
    [anon_sym_DOT_DOT] = ACTIONS(9172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9174),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(9176),
    [anon_sym_AMP_AMP] = ACTIONS(9176),
    [anon_sym_LT_LT] = ACTIONS(9178),
    [anon_sym_GT_GT] = ACTIONS(9178),
    [anon_sym_EQ_EQ] = ACTIONS(9180),
    [anon_sym_BANG_EQ] = ACTIONS(9176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9176),
    [anon_sym_LT_EQ_GT] = ACTIONS(9176),
    [anon_sym_EQ_TILDE] = ACTIONS(9176),
    [anon_sym_BANG_TILDE] = ACTIONS(9176),
    [anon_sym_LT_EQ] = ACTIONS(9168),
    [anon_sym_GT] = ACTIONS(9168),
    [anon_sym_GT_EQ] = ACTIONS(9182),
    [anon_sym_CARET] = ACTIONS(9184),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [3508] = {
    [aux_sym_exceptions_repeat1] = STATE(6404),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(9188),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [3509] = {
    [anon_sym_EQ] = ACTIONS(9190),
    [sym_comment] = ACTIONS(87),
  },
  [3510] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(9192),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(9194),
    [anon_sym_DASH_EQ] = ACTIONS(9194),
    [anon_sym_STAR_EQ] = ACTIONS(9194),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9194),
    [anon_sym_SLASH_EQ] = ACTIONS(9194),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9194),
    [anon_sym_PIPE_EQ] = ACTIONS(9194),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9194),
    [anon_sym_AMP_EQ] = ACTIONS(9194),
    [anon_sym_PERCENT_EQ] = ACTIONS(9194),
    [anon_sym_GT_GT_EQ] = ACTIONS(9194),
    [anon_sym_LT_LT_EQ] = ACTIONS(9194),
    [anon_sym_CARET_EQ] = ACTIONS(9194),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3511] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(2221),
    [anon_sym_DOT_DOT] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [3512] = {
    [sym_string] = STATE(3512),
    [aux_sym_chained_string_repeat1] = STATE(3512),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_ensure] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [3513] = {
    [sym__line_break] = ACTIONS(9196),
    [sym__heredoc_body_start] = ACTIONS(9196),
    [ts_builtin_sym_end] = ACTIONS(9196),
    [anon_sym___END__] = ACTIONS(9196),
    [anon_sym_RBRACE] = ACTIONS(9196),
    [anon_sym_RPAREN] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9196),
    [anon_sym_SEMI] = ACTIONS(9196),
    [anon_sym_end] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [anon_sym_when] = ACTIONS(9196),
    [anon_sym_elsif] = ACTIONS(9196),
    [anon_sym_else] = ACTIONS(9196),
    [anon_sym_then] = ACTIONS(9196),
    [anon_sym_ensure] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [3514] = {
    [aux_sym_undef_repeat1] = STATE(3514),
    [sym__line_break] = ACTIONS(9196),
    [sym__heredoc_body_start] = ACTIONS(9196),
    [ts_builtin_sym_end] = ACTIONS(9196),
    [anon_sym___END__] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9198),
    [anon_sym_SEMI] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [3515] = {
    [sym__simple_symbol] = ACTIONS(2941),
    [sym__symbol_start] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_DOT_DOT] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_GT_GT] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2941),
    [sym_constant] = ACTIONS(2941),
    [sym_identifier] = ACTIONS(2941),
    [sym_instance_variable] = ACTIONS(2941),
    [sym_class_variable] = ACTIONS(2941),
    [sym_global_variable] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_AT] = ACTIONS(2941),
    [anon_sym_DASH_AT] = ACTIONS(2941),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2943),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(2941),
    [anon_sym_BQUOTE] = ACTIONS(2941),
    [sym_comment] = ACTIONS(87),
  },
  [3516] = {
    [sym__string_start] = ACTIONS(2929),
    [sym__heredoc_body_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__keyword_colon] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [anon_sym_rescue] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [anon_sym_RBRACK] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_COLON] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_GT_GT] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(87),
  },
  [3517] = {
    [sym__heredoc_body_start] = ACTIONS(2941),
    [sym__element_reference_left_bracket] = ACTIONS(2941),
    [sym__infix_scope_colons] = ACTIONS(2941),
    [sym__binary_minus] = ACTIONS(2941),
    [sym__binary_star] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_unless] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_until] = ACTIONS(2941),
    [anon_sym_rescue] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_EQ_GT] = ACTIONS(2941),
    [anon_sym_RBRACK] = ACTIONS(2941),
    [anon_sym_AMP_DOT] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_COLON] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(2941),
    [anon_sym_or] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_GT_GT] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [sym_comment] = ACTIONS(87),
  },
  [3518] = {
    [sym__heredoc_body_start] = ACTIONS(2945),
    [sym__element_reference_left_bracket] = ACTIONS(2945),
    [sym__infix_scope_colons] = ACTIONS(2945),
    [sym__binary_minus] = ACTIONS(2945),
    [sym__binary_star] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_unless] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_until] = ACTIONS(2945),
    [anon_sym_rescue] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [anon_sym_RBRACK] = ACTIONS(2945),
    [anon_sym_AMP_DOT] = ACTIONS(2945),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_COLON] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2945),
    [anon_sym_or] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_GT_GT] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(87),
  },
  [3519] = {
    [sym__heredoc_body_start] = ACTIONS(2949),
    [sym__element_reference_left_bracket] = ACTIONS(2949),
    [sym__infix_scope_colons] = ACTIONS(2949),
    [sym__binary_minus] = ACTIONS(2949),
    [sym__binary_star] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_unless] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_until] = ACTIONS(2949),
    [anon_sym_rescue] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [anon_sym_RBRACK] = ACTIONS(2949),
    [anon_sym_AMP_DOT] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_and] = ACTIONS(2949),
    [anon_sym_or] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(87),
  },
  [3520] = {
    [sym__heredoc_body_start] = ACTIONS(2955),
    [sym__element_reference_left_bracket] = ACTIONS(2955),
    [sym__infix_scope_colons] = ACTIONS(2955),
    [sym__binary_minus] = ACTIONS(2955),
    [sym__binary_star] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_unless] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_until] = ACTIONS(2955),
    [anon_sym_rescue] = ACTIONS(2955),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [anon_sym_RBRACK] = ACTIONS(2955),
    [anon_sym_AMP_DOT] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_GT_GT] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(87),
  },
  [3521] = {
    [sym__string_end] = ACTIONS(9201),
    [sym_comment] = ACTIONS(87),
  },
  [3522] = {
    [aux_sym_string_array_repeat1] = STATE(6410),
    [sym__string_end] = ACTIONS(9203),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9205),
  },
  [3523] = {
    [sym__heredoc_body_start] = ACTIONS(2965),
    [sym__element_reference_left_bracket] = ACTIONS(2965),
    [sym__infix_scope_colons] = ACTIONS(2965),
    [sym__binary_minus] = ACTIONS(2965),
    [sym__binary_star] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_unless] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_until] = ACTIONS(2965),
    [anon_sym_rescue] = ACTIONS(2965),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [anon_sym_RBRACK] = ACTIONS(2965),
    [anon_sym_AMP_DOT] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_COLON] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2965),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(87),
  },
  [3524] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(9207),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [3525] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(9207),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9209),
  },
  [3526] = {
    [sym__heredoc_body_start] = ACTIONS(2984),
    [sym__element_reference_left_bracket] = ACTIONS(2984),
    [sym__infix_scope_colons] = ACTIONS(2984),
    [sym__binary_minus] = ACTIONS(2984),
    [sym__binary_star] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2984),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_STAR_STAR] = ACTIONS(2984),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(2986),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_unless] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_until] = ACTIONS(2984),
    [anon_sym_rescue] = ACTIONS(2984),
    [anon_sym_in] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_EQ_GT] = ACTIONS(2984),
    [anon_sym_RBRACK] = ACTIONS(2984),
    [anon_sym_AMP_DOT] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_COLON] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_and] = ACTIONS(2984),
    [anon_sym_or] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE] = ACTIONS(2984),
    [anon_sym_AMP_AMP] = ACTIONS(2984),
    [anon_sym_LT_LT] = ACTIONS(2984),
    [anon_sym_GT_GT] = ACTIONS(2984),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_CARET] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_SLASH] = ACTIONS(2984),
    [anon_sym_PERCENT] = ACTIONS(2984),
    [sym_comment] = ACTIONS(87),
  },
  [3527] = {
    [sym__string_end] = ACTIONS(9211),
    [sym_comment] = ACTIONS(87),
  },
  [3528] = {
    [aux_sym_symbol_array_repeat1] = STATE(6416),
    [sym__string_end] = ACTIONS(9213),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9215),
  },
  [3529] = {
    [sym__heredoc_body_start] = ACTIONS(2994),
    [sym__element_reference_left_bracket] = ACTIONS(2994),
    [sym__infix_scope_colons] = ACTIONS(2994),
    [sym__binary_minus] = ACTIONS(2994),
    [sym__binary_star] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_RPAREN] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_unless] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_until] = ACTIONS(2994),
    [anon_sym_rescue] = ACTIONS(2994),
    [anon_sym_in] = ACTIONS(2994),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_EQ_GT] = ACTIONS(2994),
    [anon_sym_RBRACK] = ACTIONS(2994),
    [anon_sym_AMP_DOT] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2994),
    [anon_sym_COLON] = ACTIONS(2994),
    [anon_sym_DOT_DOT] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2994),
    [anon_sym_and] = ACTIONS(2994),
    [anon_sym_or] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_LT_LT] = ACTIONS(2994),
    [anon_sym_GT_GT] = ACTIONS(2994),
    [anon_sym_EQ_EQ] = ACTIONS(2996),
    [anon_sym_BANG_EQ] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2994),
    [anon_sym_LT_EQ_GT] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2994),
    [anon_sym_BANG_TILDE] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT] = ACTIONS(2996),
    [anon_sym_GT_EQ] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_SLASH] = ACTIONS(2994),
    [anon_sym_PERCENT] = ACTIONS(2994),
    [sym_comment] = ACTIONS(87),
  },
  [3530] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(9217),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [3531] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(9217),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9219),
  },
  [3532] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [3533] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6423),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(6423),
    [sym_operator_assignment] = STATE(6423),
    [sym_conditional] = STATE(6423),
    [sym_range] = STATE(6423),
    [sym_binary] = STATE(6423),
    [sym_unary] = STATE(6423),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3534] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6426),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(6426),
    [sym_operator_assignment] = STATE(6426),
    [sym_conditional] = STATE(6426),
    [sym_range] = STATE(6426),
    [sym_binary] = STATE(6426),
    [sym_unary] = STATE(6426),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3535] = {
    [sym__keyword_colon] = ACTIONS(9231),
    [sym_comment] = ACTIONS(87),
  },
  [3536] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6428),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(6428),
    [sym_operator_assignment] = STATE(6428),
    [sym_conditional] = STATE(6428),
    [sym_range] = STATE(6428),
    [sym_binary] = STATE(6428),
    [sym_unary] = STATE(6428),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3537] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(9231),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_RBRACK] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3538] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(9233),
    [anon_sym_RBRACK] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [3539] = {
    [sym_heredoc_body] = STATE(6430),
    [aux_sym_call_repeat1] = STATE(6430),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_RBRACK] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3540] = {
    [sym_heredoc_body] = STATE(6430),
    [aux_sym_call_repeat1] = STATE(6430),
    [aux_sym_argument_list_repeat1] = STATE(6432),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9235),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_RBRACK] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3541] = {
    [sym_string] = STATE(1462),
    [aux_sym_chained_string_repeat1] = STATE(1462),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(9237),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3542] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [3543] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [3544] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6434),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6434),
    [sym_operator_assignment] = STATE(6434),
    [sym_conditional] = STATE(6434),
    [sym_range] = STATE(6434),
    [sym_binary] = STATE(6434),
    [sym_unary] = STATE(6434),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3545] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6435),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6435),
    [sym_operator_assignment] = STATE(6435),
    [sym_conditional] = STATE(6435),
    [sym_range] = STATE(6435),
    [sym_binary] = STATE(6435),
    [sym_unary] = STATE(6435),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3546] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6436),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6436),
    [sym_operator_assignment] = STATE(6436),
    [sym_conditional] = STATE(6436),
    [sym_range] = STATE(6436),
    [sym_binary] = STATE(6436),
    [sym_unary] = STATE(6436),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3547] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6437),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6437),
    [sym_operator_assignment] = STATE(6437),
    [sym_conditional] = STATE(6437),
    [sym_range] = STATE(6437),
    [sym_binary] = STATE(6437),
    [sym_unary] = STATE(6437),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3548] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6438),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6438),
    [sym_operator_assignment] = STATE(6438),
    [sym_conditional] = STATE(6438),
    [sym_range] = STATE(6438),
    [sym_binary] = STATE(6438),
    [sym_unary] = STATE(6438),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3549] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6439),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6439),
    [sym_operator_assignment] = STATE(6439),
    [sym_conditional] = STATE(6439),
    [sym_range] = STATE(6439),
    [sym_binary] = STATE(6439),
    [sym_unary] = STATE(6439),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3550] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6440),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6440),
    [sym_operator_assignment] = STATE(6440),
    [sym_conditional] = STATE(6440),
    [sym_range] = STATE(6440),
    [sym_binary] = STATE(6440),
    [sym_unary] = STATE(6440),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3551] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6441),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6441),
    [sym_operator_assignment] = STATE(6441),
    [sym_conditional] = STATE(6441),
    [sym_range] = STATE(6441),
    [sym_binary] = STATE(6441),
    [sym_unary] = STATE(6441),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3552] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6442),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6442),
    [sym_operator_assignment] = STATE(6442),
    [sym_conditional] = STATE(6442),
    [sym_range] = STATE(6442),
    [sym_binary] = STATE(6442),
    [sym_unary] = STATE(6442),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3553] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6443),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6443),
    [sym_operator_assignment] = STATE(6443),
    [sym_conditional] = STATE(6443),
    [sym_range] = STATE(6443),
    [sym_binary] = STATE(6443),
    [sym_unary] = STATE(6443),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3554] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6444),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6444),
    [sym_operator_assignment] = STATE(6444),
    [sym_conditional] = STATE(6444),
    [sym_range] = STATE(6444),
    [sym_binary] = STATE(6444),
    [sym_unary] = STATE(6444),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3555] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6445),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6445),
    [sym_operator_assignment] = STATE(6445),
    [sym_conditional] = STATE(6445),
    [sym_range] = STATE(6445),
    [sym_binary] = STATE(6445),
    [sym_unary] = STATE(6445),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3556] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(6454),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(6454),
    [sym_operator_assignment] = STATE(6454),
    [sym_conditional] = STATE(6454),
    [sym_range] = STATE(6454),
    [sym_binary] = STATE(6454),
    [sym_unary] = STATE(6454),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [3557] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(6459),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(6459),
    [sym_operator_assignment] = STATE(6459),
    [sym_conditional] = STATE(6459),
    [sym_range] = STATE(6459),
    [sym_binary] = STATE(6459),
    [sym_unary] = STATE(6459),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [3558] = {
    [sym__keyword_colon] = ACTIONS(9261),
    [sym_comment] = ACTIONS(87),
  },
  [3559] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(6461),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(6461),
    [sym_operator_assignment] = STATE(6461),
    [sym_conditional] = STATE(6461),
    [sym_range] = STATE(6461),
    [sym_binary] = STATE(6461),
    [sym_unary] = STATE(6461),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [3560] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(9261),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_RBRACK] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3561] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(9263),
    [anon_sym_RBRACK] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [3562] = {
    [sym_heredoc_body] = STATE(6463),
    [aux_sym_call_repeat1] = STATE(6463),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_RBRACK] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3563] = {
    [sym_heredoc_body] = STATE(6463),
    [aux_sym_call_repeat1] = STATE(6463),
    [aux_sym_argument_list_repeat1] = STATE(6465),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9265),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_RBRACK] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3564] = {
    [sym_string] = STATE(3686),
    [aux_sym_chained_string_repeat1] = STATE(3686),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(9267),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3565] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6468),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_splat_argument] = STATE(6469),
    [sym_assignment] = STATE(6468),
    [sym_operator_assignment] = STATE(6468),
    [sym_conditional] = STATE(6468),
    [sym_range] = STATE(6468),
    [sym_binary] = STATE(6468),
    [sym_unary] = STATE(6468),
    [sym_right_assignment_list] = STATE(3693),
    [sym__arg_or_splat_arg] = STATE(6469),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(9269),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3566] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6470),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(6470),
    [sym_operator_assignment] = STATE(6470),
    [sym_conditional] = STATE(6470),
    [sym_range] = STATE(6470),
    [sym_binary] = STATE(6470),
    [sym_unary] = STATE(6470),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3567] = {
    [sym_string] = STATE(6471),
    [aux_sym_chained_string_repeat1] = STATE(6471),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_RBRACK] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [3568] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [3569] = {
    [sym__heredoc_body_start] = ACTIONS(3480),
    [sym__element_reference_left_bracket] = ACTIONS(3480),
    [sym__infix_scope_colons] = ACTIONS(3480),
    [sym__binary_minus] = ACTIONS(3480),
    [sym__binary_star] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_DOT] = ACTIONS(3482),
    [anon_sym_COMMA] = ACTIONS(3480),
    [anon_sym_PIPE] = ACTIONS(3482),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_STAR_STAR] = ACTIONS(3480),
    [anon_sym_AMP] = ACTIONS(3482),
    [anon_sym_EQ] = ACTIONS(3482),
    [anon_sym_LT] = ACTIONS(3482),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_unless] = ACTIONS(3480),
    [anon_sym_while] = ACTIONS(3480),
    [anon_sym_until] = ACTIONS(3480),
    [anon_sym_rescue] = ACTIONS(3480),
    [anon_sym_in] = ACTIONS(3480),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_EQ_GT] = ACTIONS(3480),
    [anon_sym_RBRACK] = ACTIONS(3480),
    [anon_sym_AMP_DOT] = ACTIONS(3480),
    [anon_sym_QMARK] = ACTIONS(3480),
    [anon_sym_COLON] = ACTIONS(3480),
    [anon_sym_DOT_DOT] = ACTIONS(3482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3480),
    [anon_sym_and] = ACTIONS(3480),
    [anon_sym_or] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE] = ACTIONS(3480),
    [anon_sym_AMP_AMP] = ACTIONS(3480),
    [anon_sym_LT_LT] = ACTIONS(3480),
    [anon_sym_GT_GT] = ACTIONS(3480),
    [anon_sym_EQ_EQ] = ACTIONS(3482),
    [anon_sym_BANG_EQ] = ACTIONS(3480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3480),
    [anon_sym_LT_EQ_GT] = ACTIONS(3480),
    [anon_sym_EQ_TILDE] = ACTIONS(3480),
    [anon_sym_BANG_TILDE] = ACTIONS(3480),
    [anon_sym_LT_EQ] = ACTIONS(3482),
    [anon_sym_GT] = ACTIONS(3482),
    [anon_sym_GT_EQ] = ACTIONS(3480),
    [anon_sym_CARET] = ACTIONS(3480),
    [anon_sym_PLUS] = ACTIONS(3480),
    [anon_sym_SLASH] = ACTIONS(3480),
    [anon_sym_PERCENT] = ACTIONS(3480),
    [sym_comment] = ACTIONS(87),
  },
  [3570] = {
    [anon_sym_RBRACE] = ACTIONS(9271),
    [sym_comment] = ACTIONS(87),
  },
  [3571] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(9273),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(3534),
    [anon_sym_or] = ACTIONS(3534),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [3572] = {
    [sym__method_rest] = STATE(6474),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(1363),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [3573] = {
    [sym__statements] = STATE(1399),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1400),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1401),
    [sym_rescue] = STATE(1402),
    [sym__body_statement] = STATE(6475),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9275),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3574] = {
    [sym__heredoc_body_start] = ACTIONS(3716),
    [sym__element_reference_left_bracket] = ACTIONS(3716),
    [sym__infix_scope_colons] = ACTIONS(3716),
    [sym__binary_minus] = ACTIONS(3716),
    [sym__binary_star] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_RBRACE] = ACTIONS(3716),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_DOT] = ACTIONS(3718),
    [anon_sym_COMMA] = ACTIONS(3716),
    [anon_sym_PIPE] = ACTIONS(3718),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym_STAR_STAR] = ACTIONS(3716),
    [anon_sym_AMP] = ACTIONS(3718),
    [anon_sym_EQ] = ACTIONS(3718),
    [anon_sym_LT] = ACTIONS(3718),
    [anon_sym_if] = ACTIONS(3716),
    [anon_sym_unless] = ACTIONS(3716),
    [anon_sym_while] = ACTIONS(3716),
    [anon_sym_until] = ACTIONS(3716),
    [anon_sym_rescue] = ACTIONS(3716),
    [anon_sym_in] = ACTIONS(3716),
    [anon_sym_do] = ACTIONS(3716),
    [anon_sym_EQ_GT] = ACTIONS(3716),
    [anon_sym_RBRACK] = ACTIONS(3716),
    [anon_sym_AMP_DOT] = ACTIONS(3716),
    [anon_sym_QMARK] = ACTIONS(3716),
    [anon_sym_COLON] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3716),
    [anon_sym_and] = ACTIONS(3716),
    [anon_sym_or] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE] = ACTIONS(3716),
    [anon_sym_AMP_AMP] = ACTIONS(3716),
    [anon_sym_LT_LT] = ACTIONS(3716),
    [anon_sym_GT_GT] = ACTIONS(3716),
    [anon_sym_EQ_EQ] = ACTIONS(3718),
    [anon_sym_BANG_EQ] = ACTIONS(3716),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3716),
    [anon_sym_LT_EQ_GT] = ACTIONS(3716),
    [anon_sym_EQ_TILDE] = ACTIONS(3716),
    [anon_sym_BANG_TILDE] = ACTIONS(3716),
    [anon_sym_LT_EQ] = ACTIONS(3718),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_GT_EQ] = ACTIONS(3716),
    [anon_sym_CARET] = ACTIONS(3716),
    [anon_sym_PLUS] = ACTIONS(3716),
    [anon_sym_SLASH] = ACTIONS(3716),
    [anon_sym_PERCENT] = ACTIONS(3716),
    [sym_comment] = ACTIONS(87),
  },
  [3575] = {
    [sym_heredoc_body] = STATE(6476),
    [sym__terminator] = STATE(6476),
    [sym__line_break] = ACTIONS(9277),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(9277),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3576] = {
    [sym_heredoc_body] = STATE(6477),
    [sym__terminator] = STATE(6477),
    [sym__line_break] = ACTIONS(9279),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(9279),
    [sym_comment] = ACTIONS(87),
  },
  [3577] = {
    [sym__statements] = STATE(1399),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1400),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1401),
    [sym_rescue] = STATE(1402),
    [sym__body_statement] = STATE(6478),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9281),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3578] = {
    [sym__heredoc_body_start] = ACTIONS(4122),
    [sym__element_reference_left_bracket] = ACTIONS(4122),
    [sym__infix_scope_colons] = ACTIONS(4122),
    [sym__binary_minus] = ACTIONS(4122),
    [sym__binary_star] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_STAR_STAR] = ACTIONS(4122),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_unless] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(4122),
    [anon_sym_until] = ACTIONS(4122),
    [anon_sym_rescue] = ACTIONS(4122),
    [anon_sym_in] = ACTIONS(4122),
    [anon_sym_do] = ACTIONS(4122),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_AMP_DOT] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ_GT] = ACTIONS(4122),
    [anon_sym_EQ_TILDE] = ACTIONS(4122),
    [anon_sym_BANG_TILDE] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4122),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(87),
  },
  [3579] = {
    [sym__statements] = STATE(1399),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1400),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1401),
    [sym_rescue] = STATE(1402),
    [sym__body_statement] = STATE(6479),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9283),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3580] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [3581] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_RBRACK] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [3582] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [3583] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6480),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6480),
    [sym_operator_assignment] = STATE(6480),
    [sym_conditional] = STATE(6480),
    [sym_range] = STATE(6480),
    [sym_binary] = STATE(6480),
    [sym_unary] = STATE(6480),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3584] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_RBRACK] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [3585] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [3586] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [3587] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6481),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6481),
    [sym_operator_assignment] = STATE(6481),
    [sym_conditional] = STATE(6481),
    [sym_range] = STATE(6481),
    [sym_binary] = STATE(6481),
    [sym_unary] = STATE(6481),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3588] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6482),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6482),
    [sym_operator_assignment] = STATE(6482),
    [sym_conditional] = STATE(6482),
    [sym_range] = STATE(6482),
    [sym_binary] = STATE(6482),
    [sym_unary] = STATE(6482),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3589] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6483),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6483),
    [sym_operator_assignment] = STATE(6483),
    [sym_conditional] = STATE(6483),
    [sym_range] = STATE(6483),
    [sym_binary] = STATE(6483),
    [sym_unary] = STATE(6483),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3590] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6484),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6484),
    [sym_operator_assignment] = STATE(6484),
    [sym_conditional] = STATE(6484),
    [sym_range] = STATE(6484),
    [sym_binary] = STATE(6484),
    [sym_unary] = STATE(6484),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3591] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6485),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6485),
    [sym_operator_assignment] = STATE(6485),
    [sym_conditional] = STATE(6485),
    [sym_range] = STATE(6485),
    [sym_binary] = STATE(6485),
    [sym_unary] = STATE(6485),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3592] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6486),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6486),
    [sym_operator_assignment] = STATE(6486),
    [sym_conditional] = STATE(6486),
    [sym_range] = STATE(6486),
    [sym_binary] = STATE(6486),
    [sym_unary] = STATE(6486),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3593] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6487),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6487),
    [sym_operator_assignment] = STATE(6487),
    [sym_conditional] = STATE(6487),
    [sym_range] = STATE(6487),
    [sym_binary] = STATE(6487),
    [sym_unary] = STATE(6487),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3594] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6488),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6488),
    [sym_operator_assignment] = STATE(6488),
    [sym_conditional] = STATE(6488),
    [sym_range] = STATE(6488),
    [sym_binary] = STATE(6488),
    [sym_unary] = STATE(6488),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3595] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6489),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6489),
    [sym_operator_assignment] = STATE(6489),
    [sym_conditional] = STATE(6489),
    [sym_range] = STATE(6489),
    [sym_binary] = STATE(6489),
    [sym_unary] = STATE(6489),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3596] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6490),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6490),
    [sym_operator_assignment] = STATE(6490),
    [sym_conditional] = STATE(6490),
    [sym_range] = STATE(6490),
    [sym_binary] = STATE(6490),
    [sym_unary] = STATE(6490),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3597] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6491),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6491),
    [sym_operator_assignment] = STATE(6491),
    [sym_conditional] = STATE(6491),
    [sym_range] = STATE(6491),
    [sym_binary] = STATE(6491),
    [sym_unary] = STATE(6491),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3598] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6492),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6492),
    [sym_operator_assignment] = STATE(6492),
    [sym_conditional] = STATE(6492),
    [sym_range] = STATE(6492),
    [sym_binary] = STATE(6492),
    [sym_unary] = STATE(6492),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3599] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6493),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6493),
    [sym_operator_assignment] = STATE(6493),
    [sym_conditional] = STATE(6493),
    [sym_range] = STATE(6493),
    [sym_binary] = STATE(6493),
    [sym_unary] = STATE(6493),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3600] = {
    [sym_heredoc_body] = STATE(6494),
    [aux_sym_call_repeat1] = STATE(6494),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_RBRACK] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [3601] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1382),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(1382),
    [sym_operator_assignment] = STATE(1382),
    [sym_conditional] = STATE(1382),
    [sym_range] = STATE(1382),
    [sym_binary] = STATE(1382),
    [sym_unary] = STATE(1382),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1388),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(6495),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(2351),
    [sym__splat_star] = ACTIONS(2353),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__identifier_hash_key] = ACTIONS(2357),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(9285),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2367),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3602] = {
    [sym_heredoc_body] = STATE(6496),
    [aux_sym_call_repeat1] = STATE(6496),
    [aux_sym_argument_list_repeat1] = STATE(6497),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(5574),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_RBRACK] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [3603] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6498),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_splat_argument] = STATE(6499),
    [sym_assignment] = STATE(6498),
    [sym_operator_assignment] = STATE(6498),
    [sym_conditional] = STATE(6498),
    [sym_range] = STATE(6498),
    [sym_binary] = STATE(6498),
    [sym_unary] = STATE(6498),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(6499),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(2353),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3604] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6500),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6500),
    [sym_operator_assignment] = STATE(6500),
    [sym_conditional] = STATE(6500),
    [sym_range] = STATE(6500),
    [sym_binary] = STATE(6500),
    [sym_unary] = STATE(6500),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3605] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6501),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(6501),
    [sym_operator_assignment] = STATE(6501),
    [sym_conditional] = STATE(6501),
    [sym_range] = STATE(6501),
    [sym_binary] = STATE(6501),
    [sym_unary] = STATE(6501),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3606] = {
    [sym__statements] = STATE(6503),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(6504),
    [sym_else] = STATE(6504),
    [sym__if_tail] = STATE(6504),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(6505),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(6505),
    [sym__line_break] = ACTIONS(9287),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9289),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3607] = {
    [sym__statements] = STATE(6507),
    [sym__top_level_statement] = STATE(2886),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(6508),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9291),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3608] = {
    [sym__statements] = STATE(6510),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9293),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3609] = {
    [sym__statements] = STATE(6512),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9295),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3610] = {
    [sym__do] = STATE(6513),
    [sym_heredoc_body] = STATE(6513),
    [sym__terminator] = STATE(6513),
    [sym__line_break] = ACTIONS(9297),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(9297),
    [anon_sym_do] = ACTIONS(9297),
    [sym_comment] = ACTIONS(87),
  },
  [3611] = {
    [sym_when] = STATE(6514),
    [aux_sym_case_repeat1] = STATE(6515),
    [anon_sym_SEMI] = ACTIONS(9299),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [3612] = {
    [anon_sym_end] = ACTIONS(9301),
    [sym_comment] = ACTIONS(87),
  },
  [3613] = {
    [sym_when] = STATE(6514),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [3614] = {
    [sym__heredoc_body_start] = ACTIONS(5352),
    [sym__element_reference_left_bracket] = ACTIONS(5352),
    [sym__infix_scope_colons] = ACTIONS(5352),
    [sym__binary_minus] = ACTIONS(5352),
    [sym__binary_star] = ACTIONS(5352),
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_STAR_STAR] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_EQ] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_if] = ACTIONS(5352),
    [anon_sym_unless] = ACTIONS(5352),
    [anon_sym_while] = ACTIONS(5352),
    [anon_sym_until] = ACTIONS(5352),
    [anon_sym_rescue] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5352),
    [anon_sym_do] = ACTIONS(5352),
    [anon_sym_EQ_GT] = ACTIONS(5352),
    [anon_sym_RBRACK] = ACTIONS(5352),
    [anon_sym_AMP_DOT] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_COLON] = ACTIONS(5352),
    [anon_sym_DOT_DOT] = ACTIONS(5354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_and] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5352),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_EQ_TILDE] = ACTIONS(5352),
    [anon_sym_BANG_TILDE] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5352),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5352),
    [sym_comment] = ACTIONS(87),
  },
  [3615] = {
    [sym_ensure] = STATE(6518),
    [anon_sym_end] = ACTIONS(9303),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [3616] = {
    [anon_sym_end] = ACTIONS(9303),
    [sym_comment] = ACTIONS(87),
  },
  [3617] = {
    [sym_else] = STATE(6519),
    [sym_ensure] = STATE(6518),
    [anon_sym_end] = ACTIONS(9303),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [3618] = {
    [sym__heredoc_body_start] = ACTIONS(5438),
    [sym__element_reference_left_bracket] = ACTIONS(5438),
    [sym__infix_scope_colons] = ACTIONS(5438),
    [sym__binary_minus] = ACTIONS(5438),
    [sym__binary_star] = ACTIONS(5438),
    [anon_sym_LBRACE] = ACTIONS(5438),
    [anon_sym_RBRACE] = ACTIONS(5438),
    [anon_sym_RPAREN] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5438),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym_STAR_STAR] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_if] = ACTIONS(5438),
    [anon_sym_unless] = ACTIONS(5438),
    [anon_sym_while] = ACTIONS(5438),
    [anon_sym_until] = ACTIONS(5438),
    [anon_sym_rescue] = ACTIONS(5438),
    [anon_sym_in] = ACTIONS(5438),
    [anon_sym_do] = ACTIONS(5438),
    [anon_sym_EQ_GT] = ACTIONS(5438),
    [anon_sym_RBRACK] = ACTIONS(5438),
    [anon_sym_AMP_DOT] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5438),
    [anon_sym_COLON] = ACTIONS(5438),
    [anon_sym_DOT_DOT] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5438),
    [anon_sym_EQ_TILDE] = ACTIONS(5438),
    [anon_sym_BANG_TILDE] = ACTIONS(5438),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [sym_comment] = ACTIONS(87),
  },
  [3619] = {
    [sym__heredoc_body_start] = ACTIONS(5672),
    [sym__element_reference_left_bracket] = ACTIONS(5672),
    [sym__infix_scope_colons] = ACTIONS(5672),
    [sym__binary_minus] = ACTIONS(5672),
    [sym__binary_star] = ACTIONS(5672),
    [anon_sym_LBRACE] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_STAR_STAR] = ACTIONS(5672),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_if] = ACTIONS(5672),
    [anon_sym_unless] = ACTIONS(5672),
    [anon_sym_while] = ACTIONS(5672),
    [anon_sym_until] = ACTIONS(5672),
    [anon_sym_rescue] = ACTIONS(5672),
    [anon_sym_in] = ACTIONS(5672),
    [anon_sym_do] = ACTIONS(5672),
    [anon_sym_EQ_GT] = ACTIONS(5672),
    [anon_sym_RBRACK] = ACTIONS(5672),
    [anon_sym_AMP_DOT] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_LT_LT] = ACTIONS(5672),
    [anon_sym_GT_GT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5674),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ_GT] = ACTIONS(5672),
    [anon_sym_EQ_TILDE] = ACTIONS(5672),
    [anon_sym_BANG_TILDE] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5672),
    [anon_sym_SLASH] = ACTIONS(5672),
    [anon_sym_PERCENT] = ACTIONS(5672),
    [sym_comment] = ACTIONS(87),
  },
  [3620] = {
    [anon_sym_RBRACK] = ACTIONS(9305),
    [sym_comment] = ACTIONS(87),
  },
  [3621] = {
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5684),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_in] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(5684),
    [anon_sym_RBRACK] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5684),
    [anon_sym_AMP_AMP] = ACTIONS(5684),
    [anon_sym_LT_LT] = ACTIONS(5684),
    [anon_sym_GT_GT] = ACTIONS(5684),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5684),
    [anon_sym_SLASH] = ACTIONS(5684),
    [anon_sym_PERCENT] = ACTIONS(5684),
    [sym_comment] = ACTIONS(87),
  },
  [3622] = {
    [anon_sym_RBRACE] = ACTIONS(9307),
    [sym_comment] = ACTIONS(87),
  },
  [3623] = {
    [sym__statements] = STATE(6522),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(9307),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3624] = {
    [sym__heredoc_body_start] = ACTIONS(5724),
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [sym__binary_minus] = ACTIONS(5724),
    [sym__binary_star] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym_STAR_STAR] = ACTIONS(5724),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_if] = ACTIONS(5724),
    [anon_sym_unless] = ACTIONS(5724),
    [anon_sym_while] = ACTIONS(5724),
    [anon_sym_until] = ACTIONS(5724),
    [anon_sym_rescue] = ACTIONS(5724),
    [anon_sym_in] = ACTIONS(5724),
    [anon_sym_do] = ACTIONS(5724),
    [anon_sym_EQ_GT] = ACTIONS(5724),
    [anon_sym_RBRACK] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_COLON] = ACTIONS(5724),
    [anon_sym_DOT_DOT] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_LT_LT] = ACTIONS(5724),
    [anon_sym_GT_GT] = ACTIONS(5724),
    [anon_sym_EQ_EQ] = ACTIONS(5726),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_EQ_TILDE] = ACTIONS(5724),
    [anon_sym_BANG_TILDE] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_CARET] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5724),
    [anon_sym_SLASH] = ACTIONS(5724),
    [anon_sym_PERCENT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(87),
  },
  [3625] = {
    [anon_sym_end] = ACTIONS(9309),
    [sym_comment] = ACTIONS(87),
  },
  [3626] = {
    [sym__statements] = STATE(6524),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(6525),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(6525),
    [sym__line_break] = ACTIONS(9311),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9313),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3627] = {
    [sym__statements] = STATE(6524),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(6526),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9313),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3628] = {
    [sym__heredoc_body_start] = ACTIONS(5760),
    [sym__element_reference_left_bracket] = ACTIONS(5760),
    [sym__infix_scope_colons] = ACTIONS(5760),
    [sym__binary_minus] = ACTIONS(5760),
    [sym__binary_star] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym_STAR_STAR] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_if] = ACTIONS(5760),
    [anon_sym_unless] = ACTIONS(5760),
    [anon_sym_while] = ACTIONS(5760),
    [anon_sym_until] = ACTIONS(5760),
    [anon_sym_rescue] = ACTIONS(5760),
    [anon_sym_in] = ACTIONS(5760),
    [anon_sym_do] = ACTIONS(5760),
    [anon_sym_EQ_GT] = ACTIONS(5760),
    [anon_sym_RBRACK] = ACTIONS(5760),
    [anon_sym_AMP_DOT] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym_DOT_DOT] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5762),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_EQ_TILDE] = ACTIONS(5760),
    [anon_sym_BANG_TILDE] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(87),
  },
  [3629] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [3630] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_RBRACK] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [3631] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [3632] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [3633] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [3634] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [3635] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [3636] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(9315),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [3637] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2405),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ_GT] = ACTIONS(2409),
    [anon_sym_EQ_TILDE] = ACTIONS(2409),
    [anon_sym_BANG_TILDE] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_GT_EQ] = ACTIONS(2415),
    [anon_sym_CARET] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [3638] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2405),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ_GT] = ACTIONS(2409),
    [anon_sym_EQ_TILDE] = ACTIONS(2409),
    [anon_sym_BANG_TILDE] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_GT_EQ] = ACTIONS(2415),
    [anon_sym_CARET] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [3639] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ_GT] = ACTIONS(2409),
    [anon_sym_EQ_TILDE] = ACTIONS(2409),
    [anon_sym_BANG_TILDE] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_GT_EQ] = ACTIONS(2415),
    [anon_sym_CARET] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [3640] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [3641] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [3642] = {
    [sym__heredoc_body_start] = ACTIONS(5904),
    [sym__element_reference_left_bracket] = ACTIONS(5904),
    [sym__infix_scope_colons] = ACTIONS(5904),
    [sym__binary_minus] = ACTIONS(5904),
    [sym__binary_star] = ACTIONS(5904),
    [anon_sym_LBRACE] = ACTIONS(5904),
    [anon_sym_RBRACE] = ACTIONS(5904),
    [anon_sym_RPAREN] = ACTIONS(5904),
    [anon_sym_DOT] = ACTIONS(5906),
    [anon_sym_COMMA] = ACTIONS(5904),
    [anon_sym_PIPE] = ACTIONS(5906),
    [anon_sym_SEMI] = ACTIONS(5904),
    [anon_sym_STAR_STAR] = ACTIONS(5906),
    [anon_sym_AMP] = ACTIONS(5906),
    [anon_sym_EQ] = ACTIONS(5906),
    [anon_sym_LT] = ACTIONS(5906),
    [anon_sym_if] = ACTIONS(5904),
    [anon_sym_unless] = ACTIONS(5904),
    [anon_sym_while] = ACTIONS(5904),
    [anon_sym_until] = ACTIONS(5904),
    [anon_sym_rescue] = ACTIONS(5904),
    [anon_sym_in] = ACTIONS(5904),
    [anon_sym_do] = ACTIONS(5904),
    [anon_sym_EQ_GT] = ACTIONS(5904),
    [anon_sym_RBRACK] = ACTIONS(5904),
    [anon_sym_AMP_DOT] = ACTIONS(5904),
    [anon_sym_PLUS_EQ] = ACTIONS(5904),
    [anon_sym_DASH_EQ] = ACTIONS(5904),
    [anon_sym_STAR_EQ] = ACTIONS(5904),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5904),
    [anon_sym_SLASH_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5904),
    [anon_sym_AMP_EQ] = ACTIONS(5904),
    [anon_sym_PERCENT_EQ] = ACTIONS(5904),
    [anon_sym_GT_GT_EQ] = ACTIONS(5904),
    [anon_sym_LT_LT_EQ] = ACTIONS(5904),
    [anon_sym_CARET_EQ] = ACTIONS(5904),
    [anon_sym_QMARK] = ACTIONS(5904),
    [anon_sym_COLON] = ACTIONS(5904),
    [anon_sym_DOT_DOT] = ACTIONS(5906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5904),
    [anon_sym_and] = ACTIONS(5904),
    [anon_sym_or] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE] = ACTIONS(5906),
    [anon_sym_AMP_AMP] = ACTIONS(5906),
    [anon_sym_LT_LT] = ACTIONS(5906),
    [anon_sym_GT_GT] = ACTIONS(5906),
    [anon_sym_EQ_EQ] = ACTIONS(5906),
    [anon_sym_BANG_EQ] = ACTIONS(5904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5904),
    [anon_sym_LT_EQ_GT] = ACTIONS(5904),
    [anon_sym_EQ_TILDE] = ACTIONS(5904),
    [anon_sym_BANG_TILDE] = ACTIONS(5904),
    [anon_sym_LT_EQ] = ACTIONS(5906),
    [anon_sym_GT] = ACTIONS(5906),
    [anon_sym_GT_EQ] = ACTIONS(5904),
    [anon_sym_CARET] = ACTIONS(5906),
    [anon_sym_PLUS] = ACTIONS(5906),
    [anon_sym_SLASH] = ACTIONS(5906),
    [anon_sym_PERCENT] = ACTIONS(5906),
    [sym_comment] = ACTIONS(87),
  },
  [3643] = {
    [sym_heredoc_body] = STATE(6529),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(9317),
    [sym_comment] = ACTIONS(87),
  },
  [3644] = {
    [anon_sym_RBRACK] = ACTIONS(9317),
    [sym_comment] = ACTIONS(87),
  },
  [3645] = {
    [sym__simple_symbol] = ACTIONS(5910),
    [sym__string_start] = ACTIONS(5910),
    [sym__symbol_start] = ACTIONS(5910),
    [sym__subshell_start] = ACTIONS(5910),
    [sym__regex_start] = ACTIONS(5910),
    [sym__string_array_start] = ACTIONS(5910),
    [sym__symbol_array_start] = ACTIONS(5910),
    [sym__heredoc_body_start] = ACTIONS(5910),
    [sym_heredoc_beginning] = ACTIONS(5910),
    [sym__element_reference_left_bracket] = ACTIONS(5910),
    [sym__block_ampersand] = ACTIONS(5910),
    [sym__splat_star] = ACTIONS(5910),
    [sym__argument_list_left_paren] = ACTIONS(5910),
    [sym__infix_scope_colons] = ACTIONS(5910),
    [sym__unary_minus] = ACTIONS(5910),
    [sym__binary_minus] = ACTIONS(5910),
    [sym__binary_star] = ACTIONS(5910),
    [sym__identifier_hash_key] = ACTIONS(5910),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_RBRACE] = ACTIONS(5910),
    [anon_sym_def] = ACTIONS(5912),
    [anon_sym_LPAREN] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_COLON_COLON] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_STAR_STAR] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_EQ] = ACTIONS(5912),
    [anon_sym_class] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_module] = ACTIONS(5912),
    [anon_sym_return] = ACTIONS(5912),
    [anon_sym_yield] = ACTIONS(5912),
    [anon_sym_break] = ACTIONS(5912),
    [anon_sym_next] = ACTIONS(5912),
    [sym_redo] = ACTIONS(5912),
    [sym_retry] = ACTIONS(5912),
    [anon_sym_if] = ACTIONS(5912),
    [anon_sym_unless] = ACTIONS(5912),
    [anon_sym_while] = ACTIONS(5912),
    [anon_sym_until] = ACTIONS(5912),
    [anon_sym_rescue] = ACTIONS(5912),
    [anon_sym_for] = ACTIONS(5912),
    [anon_sym_in] = ACTIONS(5912),
    [anon_sym_do] = ACTIONS(5912),
    [anon_sym_case] = ACTIONS(5912),
    [anon_sym_begin] = ACTIONS(5912),
    [anon_sym_EQ_GT] = ACTIONS(5910),
    [anon_sym_RBRACK] = ACTIONS(5910),
    [anon_sym_AMP_DOT] = ACTIONS(5910),
    [anon_sym_PLUS_EQ] = ACTIONS(5910),
    [anon_sym_DASH_EQ] = ACTIONS(5910),
    [anon_sym_STAR_EQ] = ACTIONS(5910),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5910),
    [anon_sym_SLASH_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5910),
    [anon_sym_AMP_EQ] = ACTIONS(5910),
    [anon_sym_PERCENT_EQ] = ACTIONS(5910),
    [anon_sym_GT_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_LT_EQ] = ACTIONS(5910),
    [anon_sym_CARET_EQ] = ACTIONS(5910),
    [anon_sym_QMARK] = ACTIONS(5912),
    [anon_sym_COLON] = ACTIONS(5912),
    [anon_sym_DOT_DOT] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_and] = ACTIONS(5912),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_PIPE_PIPE] = ACTIONS(5912),
    [anon_sym_AMP_AMP] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5912),
    [anon_sym_GT_GT] = ACTIONS(5912),
    [anon_sym_EQ_EQ] = ACTIONS(5912),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_EQ_TILDE] = ACTIONS(5910),
    [anon_sym_BANG_TILDE] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5912),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_CARET] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5912),
    [anon_sym_defined_QMARK] = ACTIONS(5910),
    [anon_sym_not] = ACTIONS(5912),
    [anon_sym_BANG] = ACTIONS(5912),
    [anon_sym_TILDE] = ACTIONS(5910),
    [sym_constant] = ACTIONS(5912),
    [sym_identifier] = ACTIONS(5912),
    [sym_instance_variable] = ACTIONS(5910),
    [sym_class_variable] = ACTIONS(5910),
    [sym_global_variable] = ACTIONS(5910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5912),
    [sym_float] = ACTIONS(5912),
    [sym_complex] = ACTIONS(5910),
    [sym_super] = ACTIONS(5912),
    [anon_sym_true] = ACTIONS(5912),
    [anon_sym_TRUE] = ACTIONS(5912),
    [anon_sym_false] = ACTIONS(5912),
    [anon_sym_FALSE] = ACTIONS(5912),
    [sym_self] = ACTIONS(5912),
    [anon_sym_nil] = ACTIONS(5912),
    [anon_sym_NIL] = ACTIONS(5912),
    [sym_character] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
  },
  [3646] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(6531),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(6532),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(9319),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3647] = {
    [sym__simple_symbol] = ACTIONS(1267),
    [sym__string_start] = ACTIONS(1267),
    [sym__symbol_start] = ACTIONS(1267),
    [sym__subshell_start] = ACTIONS(1267),
    [sym__regex_start] = ACTIONS(1267),
    [sym__string_array_start] = ACTIONS(1267),
    [sym__symbol_array_start] = ACTIONS(1267),
    [sym__heredoc_body_start] = ACTIONS(1267),
    [sym_heredoc_beginning] = ACTIONS(1267),
    [sym__element_reference_left_bracket] = ACTIONS(1267),
    [sym__block_ampersand] = ACTIONS(1267),
    [sym__splat_star] = ACTIONS(1267),
    [sym__argument_list_left_paren] = ACTIONS(1267),
    [sym__infix_scope_colons] = ACTIONS(1267),
    [sym__unary_minus] = ACTIONS(1267),
    [sym__binary_minus] = ACTIONS(1267),
    [sym__binary_star] = ACTIONS(1267),
    [sym__identifier_hash_key] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_def] = ACTIONS(1269),
    [anon_sym_LPAREN] = ACTIONS(1267),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [anon_sym_DOT] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_yield] = ACTIONS(1269),
    [anon_sym_break] = ACTIONS(1269),
    [anon_sym_next] = ACTIONS(1269),
    [sym_redo] = ACTIONS(1269),
    [sym_retry] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1269),
    [anon_sym_unless] = ACTIONS(1269),
    [anon_sym_while] = ACTIONS(1269),
    [anon_sym_until] = ACTIONS(1269),
    [anon_sym_rescue] = ACTIONS(1269),
    [anon_sym_for] = ACTIONS(1269),
    [anon_sym_in] = ACTIONS(1269),
    [anon_sym_do] = ACTIONS(1269),
    [anon_sym_case] = ACTIONS(1269),
    [anon_sym_begin] = ACTIONS(1269),
    [anon_sym_EQ_GT] = ACTIONS(1267),
    [anon_sym_RBRACK] = ACTIONS(1267),
    [anon_sym_AMP_DOT] = ACTIONS(1267),
    [anon_sym_PLUS_EQ] = ACTIONS(1267),
    [anon_sym_DASH_EQ] = ACTIONS(1267),
    [anon_sym_STAR_EQ] = ACTIONS(1267),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1267),
    [anon_sym_SLASH_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1267),
    [anon_sym_AMP_EQ] = ACTIONS(1267),
    [anon_sym_PERCENT_EQ] = ACTIONS(1267),
    [anon_sym_GT_GT_EQ] = ACTIONS(1267),
    [anon_sym_LT_LT_EQ] = ACTIONS(1267),
    [anon_sym_CARET_EQ] = ACTIONS(1267),
    [anon_sym_QMARK] = ACTIONS(1269),
    [anon_sym_COLON] = ACTIONS(1269),
    [anon_sym_DOT_DOT] = ACTIONS(1269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1267),
    [anon_sym_and] = ACTIONS(1269),
    [anon_sym_or] = ACTIONS(1269),
    [anon_sym_PIPE_PIPE] = ACTIONS(1269),
    [anon_sym_AMP_AMP] = ACTIONS(1269),
    [anon_sym_LT_LT] = ACTIONS(1269),
    [anon_sym_GT_GT] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_BANG_EQ] = ACTIONS(1267),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1267),
    [anon_sym_LT_EQ_GT] = ACTIONS(1267),
    [anon_sym_EQ_TILDE] = ACTIONS(1267),
    [anon_sym_BANG_TILDE] = ACTIONS(1267),
    [anon_sym_LT_EQ] = ACTIONS(1269),
    [anon_sym_GT] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1267),
    [anon_sym_not] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1267),
    [sym_constant] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1269),
    [sym_instance_variable] = ACTIONS(1267),
    [sym_class_variable] = ACTIONS(1267),
    [sym_global_variable] = ACTIONS(1267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1269),
    [sym_float] = ACTIONS(1269),
    [sym_complex] = ACTIONS(1267),
    [sym_super] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1269),
    [anon_sym_TRUE] = ACTIONS(1269),
    [anon_sym_false] = ACTIONS(1269),
    [anon_sym_FALSE] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [anon_sym_nil] = ACTIONS(1269),
    [anon_sym_NIL] = ACTIONS(1269),
    [sym_character] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1267),
    [anon_sym_DASH_GT] = ACTIONS(1267),
  },
  [3648] = {
    [sym__simple_symbol] = ACTIONS(5920),
    [sym__string_start] = ACTIONS(5920),
    [sym__symbol_start] = ACTIONS(5920),
    [sym__subshell_start] = ACTIONS(5920),
    [sym__regex_start] = ACTIONS(5920),
    [sym__string_array_start] = ACTIONS(5920),
    [sym__symbol_array_start] = ACTIONS(5920),
    [sym__heredoc_body_start] = ACTIONS(5920),
    [sym_heredoc_beginning] = ACTIONS(5920),
    [sym__element_reference_left_bracket] = ACTIONS(5920),
    [sym__block_ampersand] = ACTIONS(5920),
    [sym__splat_star] = ACTIONS(5920),
    [sym__argument_list_left_paren] = ACTIONS(5920),
    [sym__infix_scope_colons] = ACTIONS(5920),
    [sym__unary_minus] = ACTIONS(5920),
    [sym__binary_minus] = ACTIONS(5920),
    [sym__binary_star] = ACTIONS(5920),
    [sym__identifier_hash_key] = ACTIONS(5920),
    [anon_sym_LBRACE] = ACTIONS(5920),
    [anon_sym_RBRACE] = ACTIONS(5920),
    [anon_sym_def] = ACTIONS(5922),
    [anon_sym_LPAREN] = ACTIONS(5920),
    [anon_sym_RPAREN] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5922),
    [anon_sym_COLON_COLON] = ACTIONS(5920),
    [anon_sym_COMMA] = ACTIONS(5920),
    [anon_sym_PIPE] = ACTIONS(5922),
    [anon_sym_SEMI] = ACTIONS(5920),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_STAR_STAR] = ACTIONS(5922),
    [anon_sym_AMP] = ACTIONS(5922),
    [anon_sym_EQ] = ACTIONS(5922),
    [anon_sym_class] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(5922),
    [anon_sym_module] = ACTIONS(5922),
    [anon_sym_return] = ACTIONS(5922),
    [anon_sym_yield] = ACTIONS(5922),
    [anon_sym_break] = ACTIONS(5922),
    [anon_sym_next] = ACTIONS(5922),
    [sym_redo] = ACTIONS(5922),
    [sym_retry] = ACTIONS(5922),
    [anon_sym_if] = ACTIONS(5922),
    [anon_sym_unless] = ACTIONS(5922),
    [anon_sym_while] = ACTIONS(5922),
    [anon_sym_until] = ACTIONS(5922),
    [anon_sym_rescue] = ACTIONS(5922),
    [anon_sym_for] = ACTIONS(5922),
    [anon_sym_in] = ACTIONS(5922),
    [anon_sym_do] = ACTIONS(5922),
    [anon_sym_case] = ACTIONS(5922),
    [anon_sym_begin] = ACTIONS(5922),
    [anon_sym_EQ_GT] = ACTIONS(5920),
    [anon_sym_RBRACK] = ACTIONS(5920),
    [anon_sym_AMP_DOT] = ACTIONS(5920),
    [anon_sym_PLUS_EQ] = ACTIONS(5920),
    [anon_sym_DASH_EQ] = ACTIONS(5920),
    [anon_sym_STAR_EQ] = ACTIONS(5920),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5920),
    [anon_sym_SLASH_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5920),
    [anon_sym_AMP_EQ] = ACTIONS(5920),
    [anon_sym_PERCENT_EQ] = ACTIONS(5920),
    [anon_sym_GT_GT_EQ] = ACTIONS(5920),
    [anon_sym_LT_LT_EQ] = ACTIONS(5920),
    [anon_sym_CARET_EQ] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_COLON] = ACTIONS(5922),
    [anon_sym_DOT_DOT] = ACTIONS(5922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5920),
    [anon_sym_and] = ACTIONS(5922),
    [anon_sym_or] = ACTIONS(5922),
    [anon_sym_PIPE_PIPE] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5922),
    [anon_sym_LT_LT] = ACTIONS(5922),
    [anon_sym_GT_GT] = ACTIONS(5922),
    [anon_sym_EQ_EQ] = ACTIONS(5922),
    [anon_sym_BANG_EQ] = ACTIONS(5920),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5920),
    [anon_sym_LT_EQ_GT] = ACTIONS(5920),
    [anon_sym_EQ_TILDE] = ACTIONS(5920),
    [anon_sym_BANG_TILDE] = ACTIONS(5920),
    [anon_sym_LT_EQ] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(5922),
    [anon_sym_GT_EQ] = ACTIONS(5920),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_PLUS] = ACTIONS(5922),
    [anon_sym_SLASH] = ACTIONS(5922),
    [anon_sym_PERCENT] = ACTIONS(5922),
    [anon_sym_defined_QMARK] = ACTIONS(5920),
    [anon_sym_not] = ACTIONS(5922),
    [anon_sym_BANG] = ACTIONS(5922),
    [anon_sym_TILDE] = ACTIONS(5920),
    [sym_constant] = ACTIONS(5922),
    [sym_identifier] = ACTIONS(5922),
    [sym_instance_variable] = ACTIONS(5920),
    [sym_class_variable] = ACTIONS(5920),
    [sym_global_variable] = ACTIONS(5920),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5922),
    [sym_float] = ACTIONS(5922),
    [sym_complex] = ACTIONS(5920),
    [sym_super] = ACTIONS(5922),
    [anon_sym_true] = ACTIONS(5922),
    [anon_sym_TRUE] = ACTIONS(5922),
    [anon_sym_false] = ACTIONS(5922),
    [anon_sym_FALSE] = ACTIONS(5922),
    [sym_self] = ACTIONS(5922),
    [anon_sym_nil] = ACTIONS(5922),
    [anon_sym_NIL] = ACTIONS(5922),
    [sym_character] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
  },
  [3649] = {
    [sym__simple_symbol] = ACTIONS(5924),
    [sym__string_start] = ACTIONS(5924),
    [sym__symbol_start] = ACTIONS(5924),
    [sym__subshell_start] = ACTIONS(5924),
    [sym__regex_start] = ACTIONS(5924),
    [sym__string_array_start] = ACTIONS(5924),
    [sym__symbol_array_start] = ACTIONS(5924),
    [sym__heredoc_body_start] = ACTIONS(5924),
    [sym_heredoc_beginning] = ACTIONS(5924),
    [sym__element_reference_left_bracket] = ACTIONS(5924),
    [sym__block_ampersand] = ACTIONS(5924),
    [sym__splat_star] = ACTIONS(5924),
    [sym__argument_list_left_paren] = ACTIONS(5924),
    [sym__infix_scope_colons] = ACTIONS(5924),
    [sym__unary_minus] = ACTIONS(5924),
    [sym__binary_minus] = ACTIONS(5924),
    [sym__binary_star] = ACTIONS(5924),
    [sym__identifier_hash_key] = ACTIONS(5924),
    [anon_sym_LBRACE] = ACTIONS(5924),
    [anon_sym_RBRACE] = ACTIONS(5924),
    [anon_sym_def] = ACTIONS(5926),
    [anon_sym_LPAREN] = ACTIONS(5924),
    [anon_sym_RPAREN] = ACTIONS(5924),
    [anon_sym_DOT] = ACTIONS(5926),
    [anon_sym_COLON_COLON] = ACTIONS(5924),
    [anon_sym_COMMA] = ACTIONS(5924),
    [anon_sym_PIPE] = ACTIONS(5926),
    [anon_sym_SEMI] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_STAR_STAR] = ACTIONS(5926),
    [anon_sym_AMP] = ACTIONS(5926),
    [anon_sym_EQ] = ACTIONS(5926),
    [anon_sym_class] = ACTIONS(5926),
    [anon_sym_LT] = ACTIONS(5926),
    [anon_sym_module] = ACTIONS(5926),
    [anon_sym_return] = ACTIONS(5926),
    [anon_sym_yield] = ACTIONS(5926),
    [anon_sym_break] = ACTIONS(5926),
    [anon_sym_next] = ACTIONS(5926),
    [sym_redo] = ACTIONS(5926),
    [sym_retry] = ACTIONS(5926),
    [anon_sym_if] = ACTIONS(5926),
    [anon_sym_unless] = ACTIONS(5926),
    [anon_sym_while] = ACTIONS(5926),
    [anon_sym_until] = ACTIONS(5926),
    [anon_sym_rescue] = ACTIONS(5926),
    [anon_sym_for] = ACTIONS(5926),
    [anon_sym_in] = ACTIONS(5926),
    [anon_sym_do] = ACTIONS(5926),
    [anon_sym_case] = ACTIONS(5926),
    [anon_sym_begin] = ACTIONS(5926),
    [anon_sym_EQ_GT] = ACTIONS(5924),
    [anon_sym_RBRACK] = ACTIONS(5924),
    [anon_sym_AMP_DOT] = ACTIONS(5924),
    [anon_sym_PLUS_EQ] = ACTIONS(5924),
    [anon_sym_DASH_EQ] = ACTIONS(5924),
    [anon_sym_STAR_EQ] = ACTIONS(5924),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5924),
    [anon_sym_SLASH_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5924),
    [anon_sym_AMP_EQ] = ACTIONS(5924),
    [anon_sym_PERCENT_EQ] = ACTIONS(5924),
    [anon_sym_GT_GT_EQ] = ACTIONS(5924),
    [anon_sym_LT_LT_EQ] = ACTIONS(5924),
    [anon_sym_CARET_EQ] = ACTIONS(5924),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_COLON] = ACTIONS(5926),
    [anon_sym_DOT_DOT] = ACTIONS(5926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5924),
    [anon_sym_and] = ACTIONS(5926),
    [anon_sym_or] = ACTIONS(5926),
    [anon_sym_PIPE_PIPE] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_LT_LT] = ACTIONS(5926),
    [anon_sym_GT_GT] = ACTIONS(5926),
    [anon_sym_EQ_EQ] = ACTIONS(5926),
    [anon_sym_BANG_EQ] = ACTIONS(5924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5924),
    [anon_sym_LT_EQ_GT] = ACTIONS(5924),
    [anon_sym_EQ_TILDE] = ACTIONS(5924),
    [anon_sym_BANG_TILDE] = ACTIONS(5924),
    [anon_sym_LT_EQ] = ACTIONS(5926),
    [anon_sym_GT] = ACTIONS(5926),
    [anon_sym_GT_EQ] = ACTIONS(5924),
    [anon_sym_CARET] = ACTIONS(5926),
    [anon_sym_PLUS] = ACTIONS(5926),
    [anon_sym_SLASH] = ACTIONS(5926),
    [anon_sym_PERCENT] = ACTIONS(5926),
    [anon_sym_defined_QMARK] = ACTIONS(5924),
    [anon_sym_not] = ACTIONS(5926),
    [anon_sym_BANG] = ACTIONS(5926),
    [anon_sym_TILDE] = ACTIONS(5924),
    [sym_constant] = ACTIONS(5926),
    [sym_identifier] = ACTIONS(5926),
    [sym_instance_variable] = ACTIONS(5924),
    [sym_class_variable] = ACTIONS(5924),
    [sym_global_variable] = ACTIONS(5924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5926),
    [sym_float] = ACTIONS(5926),
    [sym_complex] = ACTIONS(5924),
    [sym_super] = ACTIONS(5926),
    [anon_sym_true] = ACTIONS(5926),
    [anon_sym_TRUE] = ACTIONS(5926),
    [anon_sym_false] = ACTIONS(5926),
    [anon_sym_FALSE] = ACTIONS(5926),
    [sym_self] = ACTIONS(5926),
    [anon_sym_nil] = ACTIONS(5926),
    [anon_sym_NIL] = ACTIONS(5926),
    [sym_character] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5924),
    [anon_sym_DASH_GT] = ACTIONS(5924),
  },
  [3650] = {
    [sym_argument_list_with_parens] = STATE(6533),
    [sym__argument_list_with_parens] = STATE(3649),
    [sym_operator] = STATE(6533),
    [sym_heredoc_body] = STATE(3808),
    [aux_sym_call_repeat1] = STATE(3808),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(5614),
    [anon_sym_PIPE] = ACTIONS(5616),
    [anon_sym_STAR] = ACTIONS(5618),
    [anon_sym_STAR_STAR] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(5616),
    [anon_sym_LT] = ACTIONS(5618),
    [anon_sym_DOT_DOT] = ACTIONS(5616),
    [anon_sym_LT_LT] = ACTIONS(5616),
    [anon_sym_GT_GT] = ACTIONS(5616),
    [anon_sym_EQ_EQ] = ACTIONS(5618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5616),
    [anon_sym_LT_EQ_GT] = ACTIONS(5616),
    [anon_sym_EQ_TILDE] = ACTIONS(5616),
    [anon_sym_BANG_TILDE] = ACTIONS(5616),
    [anon_sym_LT_EQ] = ACTIONS(5618),
    [anon_sym_GT] = ACTIONS(5618),
    [anon_sym_GT_EQ] = ACTIONS(5616),
    [anon_sym_CARET] = ACTIONS(5616),
    [anon_sym_PLUS] = ACTIONS(5618),
    [anon_sym_SLASH] = ACTIONS(5616),
    [anon_sym_PERCENT] = ACTIONS(5616),
    [anon_sym_BANG] = ACTIONS(5618),
    [anon_sym_TILDE] = ACTIONS(5616),
    [sym_constant] = ACTIONS(9321),
    [sym_identifier] = ACTIONS(9321),
    [anon_sym_DASH] = ACTIONS(5618),
    [anon_sym_PLUS_AT] = ACTIONS(5616),
    [anon_sym_DASH_AT] = ACTIONS(5616),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(5618),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(5616),
    [anon_sym_BQUOTE] = ACTIONS(5616),
    [sym_comment] = ACTIONS(87),
  },
  [3651] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [3652] = {
    [sym_string] = STATE(3686),
    [aux_sym_chained_string_repeat1] = STATE(3686),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3653] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_RBRACK] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [3654] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [3655] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6534),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6534),
    [sym_operator_assignment] = STATE(6534),
    [sym_conditional] = STATE(6534),
    [sym_range] = STATE(6534),
    [sym_binary] = STATE(6534),
    [sym_unary] = STATE(6534),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3656] = {
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_EQ_GT] = ACTIONS(5684),
    [anon_sym_RBRACK] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [3657] = {
    [anon_sym_RBRACE] = ACTIONS(9323),
    [sym_comment] = ACTIONS(87),
  },
  [3658] = {
    [sym__statements] = STATE(6536),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(9323),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3659] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_RBRACK] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [3660] = {
    [sym__heredoc_body_start] = ACTIONS(5724),
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [sym__binary_minus] = ACTIONS(5724),
    [sym__binary_star] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym_STAR_STAR] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_if] = ACTIONS(5724),
    [anon_sym_unless] = ACTIONS(5724),
    [anon_sym_while] = ACTIONS(5724),
    [anon_sym_until] = ACTIONS(5724),
    [anon_sym_rescue] = ACTIONS(5724),
    [anon_sym_in] = ACTIONS(5724),
    [anon_sym_do] = ACTIONS(5724),
    [anon_sym_EQ_GT] = ACTIONS(5724),
    [anon_sym_RBRACK] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [anon_sym_PLUS_EQ] = ACTIONS(5724),
    [anon_sym_DASH_EQ] = ACTIONS(5724),
    [anon_sym_STAR_EQ] = ACTIONS(5724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5724),
    [anon_sym_SLASH_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5724),
    [anon_sym_AMP_EQ] = ACTIONS(5724),
    [anon_sym_PERCENT_EQ] = ACTIONS(5724),
    [anon_sym_GT_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_LT_EQ] = ACTIONS(5724),
    [anon_sym_CARET_EQ] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_COLON] = ACTIONS(5724),
    [anon_sym_DOT_DOT] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5726),
    [anon_sym_AMP_AMP] = ACTIONS(5726),
    [anon_sym_LT_LT] = ACTIONS(5726),
    [anon_sym_GT_GT] = ACTIONS(5726),
    [anon_sym_EQ_EQ] = ACTIONS(5726),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_EQ_TILDE] = ACTIONS(5724),
    [anon_sym_BANG_TILDE] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_CARET] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_SLASH] = ACTIONS(5726),
    [anon_sym_PERCENT] = ACTIONS(5726),
    [sym_comment] = ACTIONS(87),
  },
  [3661] = {
    [anon_sym_end] = ACTIONS(9325),
    [sym_comment] = ACTIONS(87),
  },
  [3662] = {
    [sym__statements] = STATE(6538),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(6539),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(6539),
    [sym__line_break] = ACTIONS(9327),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9329),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3663] = {
    [sym__statements] = STATE(6538),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(6540),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9329),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3664] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [3665] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [3666] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6541),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6541),
    [sym_operator_assignment] = STATE(6541),
    [sym_conditional] = STATE(6541),
    [sym_range] = STATE(6541),
    [sym_binary] = STATE(6541),
    [sym_unary] = STATE(6541),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3667] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6542),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6542),
    [sym_operator_assignment] = STATE(6542),
    [sym_conditional] = STATE(6542),
    [sym_range] = STATE(6542),
    [sym_binary] = STATE(6542),
    [sym_unary] = STATE(6542),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3668] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6543),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6543),
    [sym_operator_assignment] = STATE(6543),
    [sym_conditional] = STATE(6543),
    [sym_range] = STATE(6543),
    [sym_binary] = STATE(6543),
    [sym_unary] = STATE(6543),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3669] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6544),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6544),
    [sym_operator_assignment] = STATE(6544),
    [sym_conditional] = STATE(6544),
    [sym_range] = STATE(6544),
    [sym_binary] = STATE(6544),
    [sym_unary] = STATE(6544),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3670] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6545),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6545),
    [sym_operator_assignment] = STATE(6545),
    [sym_conditional] = STATE(6545),
    [sym_range] = STATE(6545),
    [sym_binary] = STATE(6545),
    [sym_unary] = STATE(6545),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3671] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6546),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6546),
    [sym_operator_assignment] = STATE(6546),
    [sym_conditional] = STATE(6546),
    [sym_range] = STATE(6546),
    [sym_binary] = STATE(6546),
    [sym_unary] = STATE(6546),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3672] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6547),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6547),
    [sym_operator_assignment] = STATE(6547),
    [sym_conditional] = STATE(6547),
    [sym_range] = STATE(6547),
    [sym_binary] = STATE(6547),
    [sym_unary] = STATE(6547),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3673] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6548),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6548),
    [sym_operator_assignment] = STATE(6548),
    [sym_conditional] = STATE(6548),
    [sym_range] = STATE(6548),
    [sym_binary] = STATE(6548),
    [sym_unary] = STATE(6548),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3674] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6549),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6549),
    [sym_operator_assignment] = STATE(6549),
    [sym_conditional] = STATE(6549),
    [sym_range] = STATE(6549),
    [sym_binary] = STATE(6549),
    [sym_unary] = STATE(6549),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3675] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6550),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6550),
    [sym_operator_assignment] = STATE(6550),
    [sym_conditional] = STATE(6550),
    [sym_range] = STATE(6550),
    [sym_binary] = STATE(6550),
    [sym_unary] = STATE(6550),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3676] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6551),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6551),
    [sym_operator_assignment] = STATE(6551),
    [sym_conditional] = STATE(6551),
    [sym_range] = STATE(6551),
    [sym_binary] = STATE(6551),
    [sym_unary] = STATE(6551),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3677] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6552),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6552),
    [sym_operator_assignment] = STATE(6552),
    [sym_conditional] = STATE(6552),
    [sym_range] = STATE(6552),
    [sym_binary] = STATE(6552),
    [sym_unary] = STATE(6552),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3678] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6553),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6553),
    [sym_operator_assignment] = STATE(6553),
    [sym_conditional] = STATE(6553),
    [sym_range] = STATE(6553),
    [sym_binary] = STATE(6553),
    [sym_unary] = STATE(6553),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3679] = {
    [sym__heredoc_body_start] = ACTIONS(6134),
    [sym__element_reference_left_bracket] = ACTIONS(6134),
    [sym__infix_scope_colons] = ACTIONS(6134),
    [sym__binary_minus] = ACTIONS(6134),
    [sym__binary_star] = ACTIONS(6134),
    [anon_sym_LBRACE] = ACTIONS(6134),
    [anon_sym_RBRACE] = ACTIONS(6134),
    [anon_sym_RPAREN] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6136),
    [anon_sym_COMMA] = ACTIONS(6134),
    [anon_sym_PIPE] = ACTIONS(6136),
    [anon_sym_SEMI] = ACTIONS(6134),
    [anon_sym_STAR_STAR] = ACTIONS(6136),
    [anon_sym_AMP] = ACTIONS(6136),
    [anon_sym_EQ] = ACTIONS(6136),
    [anon_sym_LT] = ACTIONS(6136),
    [anon_sym_if] = ACTIONS(6134),
    [anon_sym_unless] = ACTIONS(6134),
    [anon_sym_while] = ACTIONS(6134),
    [anon_sym_until] = ACTIONS(6134),
    [anon_sym_rescue] = ACTIONS(6134),
    [anon_sym_in] = ACTIONS(6134),
    [anon_sym_do] = ACTIONS(6134),
    [anon_sym_EQ_GT] = ACTIONS(6134),
    [anon_sym_RBRACK] = ACTIONS(6134),
    [anon_sym_AMP_DOT] = ACTIONS(6134),
    [anon_sym_PLUS_EQ] = ACTIONS(6134),
    [anon_sym_DASH_EQ] = ACTIONS(6134),
    [anon_sym_STAR_EQ] = ACTIONS(6134),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6134),
    [anon_sym_SLASH_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6134),
    [anon_sym_AMP_EQ] = ACTIONS(6134),
    [anon_sym_PERCENT_EQ] = ACTIONS(6134),
    [anon_sym_GT_GT_EQ] = ACTIONS(6134),
    [anon_sym_LT_LT_EQ] = ACTIONS(6134),
    [anon_sym_CARET_EQ] = ACTIONS(6134),
    [anon_sym_QMARK] = ACTIONS(6134),
    [anon_sym_COLON] = ACTIONS(6134),
    [anon_sym_DOT_DOT] = ACTIONS(6136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6134),
    [anon_sym_and] = ACTIONS(6134),
    [anon_sym_or] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE] = ACTIONS(6136),
    [anon_sym_AMP_AMP] = ACTIONS(6136),
    [anon_sym_LT_LT] = ACTIONS(6136),
    [anon_sym_GT_GT] = ACTIONS(6136),
    [anon_sym_EQ_EQ] = ACTIONS(6136),
    [anon_sym_BANG_EQ] = ACTIONS(6134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6134),
    [anon_sym_LT_EQ_GT] = ACTIONS(6134),
    [anon_sym_EQ_TILDE] = ACTIONS(6134),
    [anon_sym_BANG_TILDE] = ACTIONS(6134),
    [anon_sym_LT_EQ] = ACTIONS(6136),
    [anon_sym_GT] = ACTIONS(6136),
    [anon_sym_GT_EQ] = ACTIONS(6134),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PLUS] = ACTIONS(6136),
    [anon_sym_SLASH] = ACTIONS(6136),
    [anon_sym_PERCENT] = ACTIONS(6136),
    [sym_comment] = ACTIONS(87),
  },
  [3680] = {
    [sym_heredoc_body] = STATE(6554),
    [aux_sym_call_repeat1] = STATE(6554),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_RBRACK] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [3681] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1447),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym__argument] = STATE(4608),
    [sym_splat_argument] = STATE(4608),
    [sym_hash_splat_argument] = STATE(4608),
    [sym_block_argument] = STATE(4608),
    [sym_assignment] = STATE(1447),
    [sym_operator_assignment] = STATE(1447),
    [sym_conditional] = STATE(1447),
    [sym_range] = STATE(1447),
    [sym_binary] = STATE(1447),
    [sym_unary] = STATE(1447),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1455),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(6555),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4608),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(2429),
    [sym__splat_star] = ACTIONS(2431),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__identifier_hash_key] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(9331),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2457),
    [sym_identifier] = ACTIONS(2457),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3682] = {
    [sym_heredoc_body] = STATE(6556),
    [aux_sym_call_repeat1] = STATE(6556),
    [aux_sym_argument_list_repeat1] = STATE(6557),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(5662),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_RBRACK] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [3683] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6558),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_splat_argument] = STATE(6559),
    [sym_assignment] = STATE(6558),
    [sym_operator_assignment] = STATE(6558),
    [sym_conditional] = STATE(6558),
    [sym_range] = STATE(6558),
    [sym_binary] = STATE(6558),
    [sym_unary] = STATE(6558),
    [sym_right_assignment_list] = STATE(4613),
    [sym__arg_or_splat_arg] = STATE(6559),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(2431),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3684] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6560),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6560),
    [sym_operator_assignment] = STATE(6560),
    [sym_conditional] = STATE(6560),
    [sym_range] = STATE(6560),
    [sym_binary] = STATE(6560),
    [sym_unary] = STATE(6560),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3685] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6561),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(6561),
    [sym_operator_assignment] = STATE(6561),
    [sym_conditional] = STATE(6561),
    [sym_range] = STATE(6561),
    [sym_binary] = STATE(6561),
    [sym_unary] = STATE(6561),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3686] = {
    [sym_string] = STATE(6562),
    [aux_sym_chained_string_repeat1] = STATE(6562),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_RBRACK] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [3687] = {
    [sym__line_break] = ACTIONS(9333),
    [sym__heredoc_body_start] = ACTIONS(9333),
    [sym__element_reference_left_bracket] = ACTIONS(9333),
    [sym__infix_scope_colons] = ACTIONS(9333),
    [sym__binary_minus] = ACTIONS(9333),
    [sym__binary_star] = ACTIONS(9333),
    [ts_builtin_sym_end] = ACTIONS(9333),
    [anon_sym___END__] = ACTIONS(9333),
    [anon_sym_LBRACE] = ACTIONS(9333),
    [anon_sym_RBRACE] = ACTIONS(9333),
    [anon_sym_RPAREN] = ACTIONS(9333),
    [anon_sym_DOT] = ACTIONS(9335),
    [anon_sym_COMMA] = ACTIONS(9333),
    [anon_sym_PIPE] = ACTIONS(9335),
    [anon_sym_SEMI] = ACTIONS(9333),
    [anon_sym_STAR_STAR] = ACTIONS(9333),
    [anon_sym_AMP] = ACTIONS(9335),
    [anon_sym_LT] = ACTIONS(9335),
    [anon_sym_end] = ACTIONS(9333),
    [anon_sym_if] = ACTIONS(9333),
    [anon_sym_unless] = ACTIONS(9333),
    [anon_sym_while] = ACTIONS(9333),
    [anon_sym_until] = ACTIONS(9333),
    [anon_sym_rescue] = ACTIONS(9333),
    [anon_sym_do] = ACTIONS(9333),
    [anon_sym_when] = ACTIONS(9333),
    [anon_sym_elsif] = ACTIONS(9333),
    [anon_sym_else] = ACTIONS(9333),
    [anon_sym_then] = ACTIONS(9333),
    [anon_sym_ensure] = ACTIONS(9333),
    [anon_sym_EQ_GT] = ACTIONS(9333),
    [anon_sym_AMP_DOT] = ACTIONS(9333),
    [anon_sym_QMARK] = ACTIONS(9333),
    [anon_sym_DOT_DOT] = ACTIONS(9335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9333),
    [anon_sym_and] = ACTIONS(9333),
    [anon_sym_or] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE] = ACTIONS(9333),
    [anon_sym_AMP_AMP] = ACTIONS(9333),
    [anon_sym_LT_LT] = ACTIONS(9333),
    [anon_sym_GT_GT] = ACTIONS(9333),
    [anon_sym_EQ_EQ] = ACTIONS(9335),
    [anon_sym_BANG_EQ] = ACTIONS(9333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9333),
    [anon_sym_LT_EQ_GT] = ACTIONS(9333),
    [anon_sym_EQ_TILDE] = ACTIONS(9333),
    [anon_sym_BANG_TILDE] = ACTIONS(9333),
    [anon_sym_LT_EQ] = ACTIONS(9335),
    [anon_sym_GT] = ACTIONS(9335),
    [anon_sym_GT_EQ] = ACTIONS(9333),
    [anon_sym_CARET] = ACTIONS(9333),
    [anon_sym_PLUS] = ACTIONS(9333),
    [anon_sym_SLASH] = ACTIONS(9333),
    [anon_sym_PERCENT] = ACTIONS(9333),
    [sym_comment] = ACTIONS(87),
  },
  [3688] = {
    [sym_interpolation] = STATE(6564),
    [aux_sym_heredoc_body_repeat1] = STATE(6564),
    [sym__heredoc_content] = ACTIONS(9337),
    [sym_heredoc_end] = ACTIONS(9339),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(9337),
  },
  [3689] = {
    [sym__heredoc_body_start] = ACTIONS(9341),
    [anon_sym_RPAREN] = ACTIONS(9341),
    [anon_sym_RBRACK] = ACTIONS(9341),
    [sym_comment] = ACTIONS(87),
  },
  [3690] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(6565),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(9341),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(9341),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3691] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6566),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(6566),
    [sym_operator_assignment] = STATE(6566),
    [sym_conditional] = STATE(6566),
    [sym_range] = STATE(6566),
    [sym_binary] = STATE(6566),
    [sym_unary] = STATE(6566),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3692] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_RBRACK] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2405),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ_GT] = ACTIONS(2409),
    [anon_sym_EQ_TILDE] = ACTIONS(2409),
    [anon_sym_BANG_TILDE] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_GT_EQ] = ACTIONS(2415),
    [anon_sym_CARET] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [3693] = {
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_RBRACK] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [3694] = {
    [aux_sym_exceptions_repeat1] = STATE(6568),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_RBRACK] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [3695] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_RBRACK] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2405),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ_GT] = ACTIONS(2409),
    [anon_sym_EQ_TILDE] = ACTIONS(2409),
    [anon_sym_BANG_TILDE] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_GT_EQ] = ACTIONS(2415),
    [anon_sym_CARET] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [3696] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [3697] = {
    [sym_string] = STATE(3697),
    [aux_sym_chained_string_repeat1] = STATE(3697),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_RBRACK] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [3698] = {
    [anon_sym_PIPE] = ACTIONS(9346),
    [anon_sym_SEMI] = ACTIONS(9348),
    [sym_comment] = ACTIONS(87),
  },
  [3699] = {
    [sym__simple_symbol] = ACTIONS(9350),
    [sym__string_start] = ACTIONS(9350),
    [sym__symbol_start] = ACTIONS(9350),
    [sym__subshell_start] = ACTIONS(9350),
    [sym__regex_start] = ACTIONS(9350),
    [sym__string_array_start] = ACTIONS(9350),
    [sym__symbol_array_start] = ACTIONS(9350),
    [sym_heredoc_beginning] = ACTIONS(9350),
    [sym__unary_minus] = ACTIONS(9350),
    [anon_sym_BEGIN] = ACTIONS(9352),
    [anon_sym_LBRACE] = ACTIONS(9350),
    [anon_sym_RBRACE] = ACTIONS(9350),
    [anon_sym_END] = ACTIONS(9352),
    [anon_sym_def] = ACTIONS(9352),
    [anon_sym_LPAREN] = ACTIONS(9350),
    [anon_sym_COLON_COLON] = ACTIONS(9350),
    [anon_sym_SEMI] = ACTIONS(9350),
    [anon_sym_STAR] = ACTIONS(9350),
    [anon_sym_class] = ACTIONS(9352),
    [anon_sym_module] = ACTIONS(9352),
    [anon_sym_return] = ACTIONS(9352),
    [anon_sym_yield] = ACTIONS(9352),
    [anon_sym_break] = ACTIONS(9352),
    [anon_sym_next] = ACTIONS(9352),
    [sym_redo] = ACTIONS(9352),
    [sym_retry] = ACTIONS(9352),
    [anon_sym_if] = ACTIONS(9352),
    [anon_sym_unless] = ACTIONS(9352),
    [anon_sym_while] = ACTIONS(9352),
    [anon_sym_until] = ACTIONS(9352),
    [anon_sym_for] = ACTIONS(9352),
    [anon_sym_case] = ACTIONS(9352),
    [anon_sym_begin] = ACTIONS(9352),
    [anon_sym_PLUS] = ACTIONS(9352),
    [anon_sym_defined_QMARK] = ACTIONS(9350),
    [anon_sym_not] = ACTIONS(9352),
    [anon_sym_BANG] = ACTIONS(9350),
    [anon_sym_TILDE] = ACTIONS(9350),
    [sym_constant] = ACTIONS(9352),
    [sym_identifier] = ACTIONS(9352),
    [sym_instance_variable] = ACTIONS(9350),
    [sym_class_variable] = ACTIONS(9350),
    [sym_global_variable] = ACTIONS(9350),
    [anon_sym_undef] = ACTIONS(9352),
    [anon_sym_alias] = ACTIONS(9352),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(9352),
    [sym_float] = ACTIONS(9352),
    [sym_complex] = ACTIONS(9350),
    [sym_super] = ACTIONS(9352),
    [anon_sym_true] = ACTIONS(9352),
    [anon_sym_TRUE] = ACTIONS(9352),
    [anon_sym_false] = ACTIONS(9352),
    [anon_sym_FALSE] = ACTIONS(9352),
    [sym_self] = ACTIONS(9352),
    [anon_sym_nil] = ACTIONS(9352),
    [anon_sym_NIL] = ACTIONS(9352),
    [sym_character] = ACTIONS(9350),
    [anon_sym_LBRACK] = ACTIONS(9350),
    [anon_sym_DASH_GT] = ACTIONS(9350),
  },
  [3700] = {
    [sym_identifier] = ACTIONS(9354),
    [sym_comment] = ACTIONS(87),
  },
  [3701] = {
    [sym__keyword_colon] = ACTIONS(9356),
    [anon_sym_COMMA] = ACTIONS(2511),
    [anon_sym_PIPE] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_EQ] = ACTIONS(9358),
    [sym_comment] = ACTIONS(87),
  },
  [3702] = {
    [aux_sym_method_parameters_repeat1] = STATE(6575),
    [anon_sym_COMMA] = ACTIONS(9360),
    [anon_sym_PIPE] = ACTIONS(9346),
    [anon_sym_SEMI] = ACTIONS(9348),
    [sym_comment] = ACTIONS(87),
  },
  [3703] = {
    [sym__line_break] = ACTIONS(9362),
    [sym__heredoc_body_start] = ACTIONS(9362),
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [sym__binary_minus] = ACTIONS(9362),
    [sym__binary_star] = ACTIONS(9362),
    [ts_builtin_sym_end] = ACTIONS(9362),
    [anon_sym___END__] = ACTIONS(9362),
    [anon_sym_LBRACE] = ACTIONS(9362),
    [anon_sym_RBRACE] = ACTIONS(9362),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9364),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_PIPE] = ACTIONS(9364),
    [anon_sym_SEMI] = ACTIONS(9362),
    [anon_sym_STAR_STAR] = ACTIONS(9362),
    [anon_sym_AMP] = ACTIONS(9364),
    [anon_sym_LT] = ACTIONS(9364),
    [anon_sym_end] = ACTIONS(9362),
    [anon_sym_if] = ACTIONS(9362),
    [anon_sym_unless] = ACTIONS(9362),
    [anon_sym_while] = ACTIONS(9362),
    [anon_sym_until] = ACTIONS(9362),
    [anon_sym_rescue] = ACTIONS(9362),
    [anon_sym_do] = ACTIONS(9362),
    [anon_sym_when] = ACTIONS(9362),
    [anon_sym_elsif] = ACTIONS(9362),
    [anon_sym_else] = ACTIONS(9362),
    [anon_sym_then] = ACTIONS(9362),
    [anon_sym_ensure] = ACTIONS(9362),
    [anon_sym_EQ_GT] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [anon_sym_QMARK] = ACTIONS(9362),
    [anon_sym_DOT_DOT] = ACTIONS(9364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9362),
    [anon_sym_and] = ACTIONS(9362),
    [anon_sym_or] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE] = ACTIONS(9362),
    [anon_sym_AMP_AMP] = ACTIONS(9362),
    [anon_sym_LT_LT] = ACTIONS(9362),
    [anon_sym_GT_GT] = ACTIONS(9362),
    [anon_sym_EQ_EQ] = ACTIONS(9364),
    [anon_sym_BANG_EQ] = ACTIONS(9362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9362),
    [anon_sym_LT_EQ_GT] = ACTIONS(9362),
    [anon_sym_EQ_TILDE] = ACTIONS(9362),
    [anon_sym_BANG_TILDE] = ACTIONS(9362),
    [anon_sym_LT_EQ] = ACTIONS(9364),
    [anon_sym_GT] = ACTIONS(9364),
    [anon_sym_GT_EQ] = ACTIONS(9362),
    [anon_sym_CARET] = ACTIONS(9362),
    [anon_sym_PLUS] = ACTIONS(9362),
    [anon_sym_SLASH] = ACTIONS(9362),
    [anon_sym_PERCENT] = ACTIONS(9362),
    [sym_comment] = ACTIONS(87),
  },
  [3704] = {
    [anon_sym_RBRACE] = ACTIONS(9366),
    [sym_comment] = ACTIONS(87),
  },
  [3705] = {
    [aux_sym_method_parameters_repeat1] = STATE(6578),
    [anon_sym_RPAREN] = ACTIONS(9368),
    [anon_sym_COMMA] = ACTIONS(5706),
    [sym_comment] = ACTIONS(87),
  },
  [3706] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6579),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(6579),
    [sym_operator_assignment] = STATE(6579),
    [sym_conditional] = STATE(6579),
    [sym_range] = STATE(6579),
    [sym_binary] = STATE(6579),
    [sym_unary] = STATE(6579),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(5736),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_COMMA] = ACTIONS(5736),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3707] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6580),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(6580),
    [sym_operator_assignment] = STATE(6580),
    [sym_conditional] = STATE(6580),
    [sym_range] = STATE(6580),
    [sym_binary] = STATE(6580),
    [sym_unary] = STATE(6580),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3708] = {
    [anon_sym_LBRACE] = ACTIONS(9370),
    [anon_sym_do] = ACTIONS(9370),
    [sym_comment] = ACTIONS(87),
  },
  [3709] = {
    [sym__formal_parameter] = STATE(6581),
    [sym__simple_formal_parameter] = STATE(6581),
    [sym_destructured_parameter] = STATE(6581),
    [sym_splat_parameter] = STATE(6581),
    [sym_hash_splat_parameter] = STATE(6581),
    [sym_block_parameter] = STATE(6581),
    [sym_keyword_parameter] = STATE(6581),
    [sym_optional_parameter] = STATE(6581),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(2485),
    [sym_comment] = ACTIONS(87),
  },
  [3710] = {
    [aux_sym_method_parameters_repeat1] = STATE(6583),
    [anon_sym_RPAREN] = ACTIONS(9372),
    [anon_sym_COMMA] = ACTIONS(5706),
    [sym_comment] = ACTIONS(87),
  },
  [3711] = {
    [sym__statements] = STATE(6585),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(6586),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(9374),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3712] = {
    [sym__statements] = STATE(6588),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(6589),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(6590),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(6590),
    [sym__line_break] = ACTIONS(9376),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9378),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3713] = {
    [sym_do_block] = STATE(6591),
    [sym_block] = STATE(6591),
    [anon_sym_LBRACE] = ACTIONS(5714),
    [anon_sym_do] = ACTIONS(9380),
    [sym_comment] = ACTIONS(87),
  },
  [3714] = {
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2521),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [sym_comment] = ACTIONS(87),
  },
  [3715] = {
    [anon_sym_PIPE] = ACTIONS(9382),
    [anon_sym_SEMI] = ACTIONS(9384),
    [sym_comment] = ACTIONS(87),
  },
  [3716] = {
    [sym__line_break] = ACTIONS(9350),
    [sym__simple_symbol] = ACTIONS(9350),
    [sym__string_start] = ACTIONS(9350),
    [sym__symbol_start] = ACTIONS(9350),
    [sym__subshell_start] = ACTIONS(9350),
    [sym__regex_start] = ACTIONS(9350),
    [sym__string_array_start] = ACTIONS(9350),
    [sym__symbol_array_start] = ACTIONS(9350),
    [sym__heredoc_body_start] = ACTIONS(9350),
    [sym_heredoc_beginning] = ACTIONS(9350),
    [sym__unary_minus] = ACTIONS(9350),
    [anon_sym_BEGIN] = ACTIONS(9352),
    [anon_sym_LBRACE] = ACTIONS(9350),
    [anon_sym_END] = ACTIONS(9352),
    [anon_sym_def] = ACTIONS(9352),
    [anon_sym_LPAREN] = ACTIONS(9350),
    [anon_sym_COLON_COLON] = ACTIONS(9350),
    [anon_sym_SEMI] = ACTIONS(9350),
    [anon_sym_STAR] = ACTIONS(9350),
    [anon_sym_class] = ACTIONS(9352),
    [anon_sym_module] = ACTIONS(9352),
    [anon_sym_end] = ACTIONS(9352),
    [anon_sym_return] = ACTIONS(9352),
    [anon_sym_yield] = ACTIONS(9352),
    [anon_sym_break] = ACTIONS(9352),
    [anon_sym_next] = ACTIONS(9352),
    [sym_redo] = ACTIONS(9352),
    [sym_retry] = ACTIONS(9352),
    [anon_sym_if] = ACTIONS(9352),
    [anon_sym_unless] = ACTIONS(9352),
    [anon_sym_while] = ACTIONS(9352),
    [anon_sym_until] = ACTIONS(9352),
    [anon_sym_for] = ACTIONS(9352),
    [anon_sym_case] = ACTIONS(9352),
    [anon_sym_begin] = ACTIONS(9352),
    [anon_sym_PLUS] = ACTIONS(9352),
    [anon_sym_defined_QMARK] = ACTIONS(9350),
    [anon_sym_not] = ACTIONS(9352),
    [anon_sym_BANG] = ACTIONS(9350),
    [anon_sym_TILDE] = ACTIONS(9350),
    [sym_constant] = ACTIONS(9352),
    [sym_identifier] = ACTIONS(9352),
    [sym_instance_variable] = ACTIONS(9350),
    [sym_class_variable] = ACTIONS(9350),
    [sym_global_variable] = ACTIONS(9350),
    [anon_sym_undef] = ACTIONS(9352),
    [anon_sym_alias] = ACTIONS(9352),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(9352),
    [sym_float] = ACTIONS(9352),
    [sym_complex] = ACTIONS(9350),
    [sym_super] = ACTIONS(9352),
    [anon_sym_true] = ACTIONS(9352),
    [anon_sym_TRUE] = ACTIONS(9352),
    [anon_sym_false] = ACTIONS(9352),
    [anon_sym_FALSE] = ACTIONS(9352),
    [sym_self] = ACTIONS(9352),
    [anon_sym_nil] = ACTIONS(9352),
    [anon_sym_NIL] = ACTIONS(9352),
    [sym_character] = ACTIONS(9350),
    [anon_sym_LBRACK] = ACTIONS(9350),
    [anon_sym_DASH_GT] = ACTIONS(9350),
  },
  [3717] = {
    [sym_identifier] = ACTIONS(9386),
    [sym_comment] = ACTIONS(87),
  },
  [3718] = {
    [aux_sym_method_parameters_repeat1] = STATE(6596),
    [anon_sym_COMMA] = ACTIONS(9388),
    [anon_sym_PIPE] = ACTIONS(9382),
    [anon_sym_SEMI] = ACTIONS(9384),
    [sym_comment] = ACTIONS(87),
  },
  [3719] = {
    [sym__line_break] = ACTIONS(9390),
    [sym__heredoc_body_start] = ACTIONS(9390),
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [sym__binary_minus] = ACTIONS(9390),
    [sym__binary_star] = ACTIONS(9390),
    [ts_builtin_sym_end] = ACTIONS(9390),
    [anon_sym___END__] = ACTIONS(9390),
    [anon_sym_LBRACE] = ACTIONS(9390),
    [anon_sym_RBRACE] = ACTIONS(9390),
    [anon_sym_RPAREN] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9392),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_PIPE] = ACTIONS(9392),
    [anon_sym_SEMI] = ACTIONS(9390),
    [anon_sym_STAR_STAR] = ACTIONS(9390),
    [anon_sym_AMP] = ACTIONS(9392),
    [anon_sym_LT] = ACTIONS(9392),
    [anon_sym_end] = ACTIONS(9390),
    [anon_sym_if] = ACTIONS(9390),
    [anon_sym_unless] = ACTIONS(9390),
    [anon_sym_while] = ACTIONS(9390),
    [anon_sym_until] = ACTIONS(9390),
    [anon_sym_rescue] = ACTIONS(9390),
    [anon_sym_do] = ACTIONS(9390),
    [anon_sym_when] = ACTIONS(9390),
    [anon_sym_elsif] = ACTIONS(9390),
    [anon_sym_else] = ACTIONS(9390),
    [anon_sym_then] = ACTIONS(9390),
    [anon_sym_ensure] = ACTIONS(9390),
    [anon_sym_EQ_GT] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [anon_sym_QMARK] = ACTIONS(9390),
    [anon_sym_DOT_DOT] = ACTIONS(9392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9390),
    [anon_sym_and] = ACTIONS(9390),
    [anon_sym_or] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE] = ACTIONS(9390),
    [anon_sym_AMP_AMP] = ACTIONS(9390),
    [anon_sym_LT_LT] = ACTIONS(9390),
    [anon_sym_GT_GT] = ACTIONS(9390),
    [anon_sym_EQ_EQ] = ACTIONS(9392),
    [anon_sym_BANG_EQ] = ACTIONS(9390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9390),
    [anon_sym_LT_EQ_GT] = ACTIONS(9390),
    [anon_sym_EQ_TILDE] = ACTIONS(9390),
    [anon_sym_BANG_TILDE] = ACTIONS(9390),
    [anon_sym_LT_EQ] = ACTIONS(9392),
    [anon_sym_GT] = ACTIONS(9392),
    [anon_sym_GT_EQ] = ACTIONS(9390),
    [anon_sym_CARET] = ACTIONS(9390),
    [anon_sym_PLUS] = ACTIONS(9390),
    [anon_sym_SLASH] = ACTIONS(9390),
    [anon_sym_PERCENT] = ACTIONS(9390),
    [sym_comment] = ACTIONS(87),
  },
  [3720] = {
    [anon_sym_end] = ACTIONS(9394),
    [sym_comment] = ACTIONS(87),
  },
  [3721] = {
    [sym__statements] = STATE(6598),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9396),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3722] = {
    [sym__statements] = STATE(6598),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(6599),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(6599),
    [sym__line_break] = ACTIONS(9398),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9396),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3723] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6600),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(6600),
    [sym_operator_assignment] = STATE(6600),
    [sym_conditional] = STATE(6600),
    [sym_range] = STATE(6600),
    [sym_binary] = STATE(6600),
    [sym_unary] = STATE(6600),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3724] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5150),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(587),
    [sym__argument_list_with_parens] = STATE(5151),
    [sym__argument] = STATE(5152),
    [sym_splat_argument] = STATE(5152),
    [sym_hash_splat_argument] = STATE(5152),
    [sym_block_argument] = STATE(5152),
    [sym_assignment] = STATE(5150),
    [sym_operator_assignment] = STATE(5150),
    [sym_conditional] = STATE(5150),
    [sym_range] = STATE(5150),
    [sym_binary] = STATE(5150),
    [sym_unary] = STATE(5150),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5153),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5152),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(7652),
    [sym__splat_star] = ACTIONS(7654),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(7658),
    [sym_identifier] = ACTIONS(7658),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3725] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5150),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(593),
    [sym__argument_list_with_parens] = STATE(5151),
    [sym__argument] = STATE(5152),
    [sym_splat_argument] = STATE(5152),
    [sym_hash_splat_argument] = STATE(5152),
    [sym_block_argument] = STATE(5152),
    [sym_assignment] = STATE(5150),
    [sym_operator_assignment] = STATE(5150),
    [sym_conditional] = STATE(5150),
    [sym_range] = STATE(5150),
    [sym_binary] = STATE(5150),
    [sym_unary] = STATE(5150),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5153),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5152),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(7652),
    [sym__splat_star] = ACTIONS(7654),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(7658),
    [sym_identifier] = ACTIONS(7658),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3726] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5150),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(594),
    [sym__argument_list_with_parens] = STATE(5151),
    [sym__argument] = STATE(5152),
    [sym_splat_argument] = STATE(5152),
    [sym_hash_splat_argument] = STATE(5152),
    [sym_block_argument] = STATE(5152),
    [sym_assignment] = STATE(5150),
    [sym_operator_assignment] = STATE(5150),
    [sym_conditional] = STATE(5150),
    [sym_range] = STATE(5150),
    [sym_binary] = STATE(5150),
    [sym_unary] = STATE(5150),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5153),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5152),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(7652),
    [sym__splat_star] = ACTIONS(7654),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(7658),
    [sym_identifier] = ACTIONS(7658),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3727] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5150),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(595),
    [sym__argument_list_with_parens] = STATE(5151),
    [sym__argument] = STATE(5152),
    [sym_splat_argument] = STATE(5152),
    [sym_hash_splat_argument] = STATE(5152),
    [sym_block_argument] = STATE(5152),
    [sym_assignment] = STATE(5150),
    [sym_operator_assignment] = STATE(5150),
    [sym_conditional] = STATE(5150),
    [sym_range] = STATE(5150),
    [sym_binary] = STATE(5150),
    [sym_unary] = STATE(5150),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5153),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5152),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(7652),
    [sym__splat_star] = ACTIONS(7654),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(7658),
    [sym_identifier] = ACTIONS(7658),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3728] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6601),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(6601),
    [sym_operator_assignment] = STATE(6601),
    [sym_conditional] = STATE(6601),
    [sym_range] = STATE(6601),
    [sym_binary] = STATE(6601),
    [sym_unary] = STATE(6601),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3729] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6602),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(6602),
    [sym_operator_assignment] = STATE(6602),
    [sym_conditional] = STATE(6602),
    [sym_range] = STATE(6602),
    [sym_binary] = STATE(6602),
    [sym_unary] = STATE(6602),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3730] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(611),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(611),
    [sym_operator_assignment] = STATE(611),
    [sym_conditional] = STATE(611),
    [sym_range] = STATE(611),
    [sym_binary] = STATE(611),
    [sym_unary] = STATE(611),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3731] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(9404),
    [anon_sym_COMMA] = ACTIONS(9404),
    [anon_sym_PIPE] = ACTIONS(9406),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(9412),
    [anon_sym_do] = ACTIONS(9404),
    [anon_sym_QMARK] = ACTIONS(9414),
    [anon_sym_DOT_DOT] = ACTIONS(9416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9418),
    [anon_sym_and] = ACTIONS(9420),
    [anon_sym_or] = ACTIONS(9420),
    [anon_sym_PIPE_PIPE] = ACTIONS(9422),
    [anon_sym_AMP_AMP] = ACTIONS(9422),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(9426),
    [anon_sym_BANG_EQ] = ACTIONS(9422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9422),
    [anon_sym_LT_EQ_GT] = ACTIONS(9422),
    [anon_sym_EQ_TILDE] = ACTIONS(9422),
    [anon_sym_BANG_TILDE] = ACTIONS(9422),
    [anon_sym_LT_EQ] = ACTIONS(9412),
    [anon_sym_GT] = ACTIONS(9412),
    [anon_sym_GT_EQ] = ACTIONS(9428),
    [anon_sym_CARET] = ACTIONS(9430),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [3732] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4976),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(6616),
    [sym__argument_list_with_parens] = STATE(4977),
    [sym__argument] = STATE(4978),
    [sym_splat_argument] = STATE(4978),
    [sym_hash_splat_argument] = STATE(4978),
    [sym_block_argument] = STATE(4978),
    [sym_do_block] = STATE(1762),
    [sym_block] = STATE(1762),
    [sym_assignment] = STATE(4976),
    [sym_operator_assignment] = STATE(4976),
    [sym_conditional] = STATE(4976),
    [sym_range] = STATE(4976),
    [sym_binary] = STATE(4976),
    [sym_unary] = STATE(4976),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4979),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4978),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(7485),
    [sym__splat_star] = ACTIONS(7487),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(9434),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(7491),
    [sym_identifier] = ACTIONS(7491),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3733] = {
    [anon_sym_EQ] = ACTIONS(9436),
    [sym_comment] = ACTIONS(87),
  },
  [3734] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(9438),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(9440),
    [anon_sym_DASH_EQ] = ACTIONS(9440),
    [anon_sym_STAR_EQ] = ACTIONS(9440),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9440),
    [anon_sym_SLASH_EQ] = ACTIONS(9440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9440),
    [anon_sym_PIPE_EQ] = ACTIONS(9440),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9440),
    [anon_sym_AMP_EQ] = ACTIONS(9440),
    [anon_sym_PERCENT_EQ] = ACTIONS(9440),
    [anon_sym_GT_GT_EQ] = ACTIONS(9440),
    [anon_sym_LT_LT_EQ] = ACTIONS(9440),
    [anon_sym_CARET_EQ] = ACTIONS(9440),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3735] = {
    [sym_string] = STATE(6619),
    [aux_sym_chained_string_repeat1] = STATE(6619),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3736] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_PIPE] = ACTIONS(9406),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(9412),
    [anon_sym_do] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9414),
    [anon_sym_DOT_DOT] = ACTIONS(9416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9418),
    [anon_sym_and] = ACTIONS(9420),
    [anon_sym_or] = ACTIONS(9420),
    [anon_sym_PIPE_PIPE] = ACTIONS(9422),
    [anon_sym_AMP_AMP] = ACTIONS(9422),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(9426),
    [anon_sym_BANG_EQ] = ACTIONS(9422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9422),
    [anon_sym_LT_EQ_GT] = ACTIONS(9422),
    [anon_sym_EQ_TILDE] = ACTIONS(9422),
    [anon_sym_BANG_TILDE] = ACTIONS(9422),
    [anon_sym_LT_EQ] = ACTIONS(9412),
    [anon_sym_GT] = ACTIONS(9412),
    [anon_sym_GT_EQ] = ACTIONS(9428),
    [anon_sym_CARET] = ACTIONS(9430),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [3737] = {
    [anon_sym_LBRACE] = ACTIONS(9444),
    [anon_sym_COMMA] = ACTIONS(9444),
    [anon_sym_do] = ACTIONS(9444),
    [sym_comment] = ACTIONS(87),
  },
  [3738] = {
    [aux_sym_lambda_parameters_repeat1] = STATE(3738),
    [anon_sym_LBRACE] = ACTIONS(9444),
    [anon_sym_COMMA] = ACTIONS(9446),
    [anon_sym_do] = ACTIONS(9444),
    [sym_comment] = ACTIONS(87),
  },
  [3739] = {
    [ts_builtin_sym_end] = ACTIONS(9449),
    [sym_comment] = ACTIONS(87),
  },
  [3740] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(47),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(49),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(49),
    [sym_operator_assignment] = STATE(49),
    [sym_conditional] = STATE(49),
    [sym_range] = STATE(49),
    [sym_binary] = STATE(49),
    [sym_unary] = STATE(49),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3741] = {
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_COLON] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [3742] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6628),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(6628),
    [sym_operator_assignment] = STATE(6628),
    [sym_conditional] = STATE(6628),
    [sym_range] = STATE(6628),
    [sym_binary] = STATE(6628),
    [sym_unary] = STATE(6628),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3743] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6633),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(6633),
    [sym_operator_assignment] = STATE(6633),
    [sym_conditional] = STATE(6633),
    [sym_range] = STATE(6633),
    [sym_binary] = STATE(6633),
    [sym_unary] = STATE(6633),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3744] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6634),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(6634),
    [sym_operator_assignment] = STATE(6634),
    [sym_conditional] = STATE(6634),
    [sym_range] = STATE(6634),
    [sym_binary] = STATE(6634),
    [sym_unary] = STATE(6634),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3745] = {
    [sym__keyword_colon] = ACTIONS(9475),
    [sym_comment] = ACTIONS(87),
  },
  [3746] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6637),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(6637),
    [sym_operator_assignment] = STATE(6637),
    [sym_conditional] = STATE(6637),
    [sym_range] = STATE(6637),
    [sym_binary] = STATE(6637),
    [sym_unary] = STATE(6637),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3747] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6643),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(6644),
    [sym__argument] = STATE(6645),
    [sym_splat_argument] = STATE(6645),
    [sym_hash_splat_argument] = STATE(6645),
    [sym_block_argument] = STATE(6645),
    [sym_assignment] = STATE(6643),
    [sym_operator_assignment] = STATE(6643),
    [sym_conditional] = STATE(6643),
    [sym_range] = STATE(6643),
    [sym_binary] = STATE(6643),
    [sym_unary] = STATE(6643),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6646),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6645),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(9477),
    [sym__splat_star] = ACTIONS(9479),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(9481),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(9483),
    [sym_identifier] = ACTIONS(9483),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3748] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6643),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(6644),
    [sym__argument] = STATE(6645),
    [sym_splat_argument] = STATE(6645),
    [sym_hash_splat_argument] = STATE(6645),
    [sym_block_argument] = STATE(6645),
    [sym_assignment] = STATE(6643),
    [sym_operator_assignment] = STATE(6643),
    [sym_conditional] = STATE(6643),
    [sym_range] = STATE(6643),
    [sym_binary] = STATE(6643),
    [sym_unary] = STATE(6643),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6646),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6645),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(9477),
    [sym__splat_star] = ACTIONS(9479),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(9481),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_COLON] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(9483),
    [sym_identifier] = ACTIONS(9483),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3749] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6643),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(6644),
    [sym__argument] = STATE(6645),
    [sym_splat_argument] = STATE(6645),
    [sym_hash_splat_argument] = STATE(6645),
    [sym_block_argument] = STATE(6645),
    [sym_assignment] = STATE(6643),
    [sym_operator_assignment] = STATE(6643),
    [sym_conditional] = STATE(6643),
    [sym_range] = STATE(6643),
    [sym_binary] = STATE(6643),
    [sym_unary] = STATE(6643),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6646),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6645),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(9477),
    [sym__splat_star] = ACTIONS(9479),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(9481),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_COLON] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(9483),
    [sym_identifier] = ACTIONS(9483),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3750] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6643),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(6644),
    [sym__argument] = STATE(6645),
    [sym_splat_argument] = STATE(6645),
    [sym_hash_splat_argument] = STATE(6645),
    [sym_block_argument] = STATE(6645),
    [sym_assignment] = STATE(6643),
    [sym_operator_assignment] = STATE(6643),
    [sym_conditional] = STATE(6643),
    [sym_range] = STATE(6643),
    [sym_binary] = STATE(6643),
    [sym_unary] = STATE(6643),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6646),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6645),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(9477),
    [sym__splat_star] = ACTIONS(9479),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(9481),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_COLON] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(9483),
    [sym_identifier] = ACTIONS(9483),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3751] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6647),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(6647),
    [sym_operator_assignment] = STATE(6647),
    [sym_conditional] = STATE(6647),
    [sym_range] = STATE(6647),
    [sym_binary] = STATE(6647),
    [sym_unary] = STATE(6647),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3752] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6648),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(6648),
    [sym_operator_assignment] = STATE(6648),
    [sym_conditional] = STATE(6648),
    [sym_range] = STATE(6648),
    [sym_binary] = STATE(6648),
    [sym_unary] = STATE(6648),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3753] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3754] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(9475),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3755] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(9497),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(1631),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [3756] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6667),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(1449),
    [sym__argument_list_with_parens] = STATE(6668),
    [sym__argument] = STATE(6669),
    [sym_splat_argument] = STATE(6669),
    [sym_hash_splat_argument] = STATE(6669),
    [sym_block_argument] = STATE(6669),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(6667),
    [sym_operator_assignment] = STATE(6667),
    [sym_conditional] = STATE(6667),
    [sym_range] = STATE(6667),
    [sym_binary] = STATE(6667),
    [sym_unary] = STATE(6667),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6670),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(6669),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(9517),
    [sym__splat_star] = ACTIONS(9519),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(9521),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(2447),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(9523),
    [sym_identifier] = ACTIONS(9523),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3757] = {
    [sym_heredoc_body] = STATE(6671),
    [aux_sym_call_repeat1] = STATE(6671),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3758] = {
    [sym_heredoc_body] = STATE(6671),
    [aux_sym_call_repeat1] = STATE(6671),
    [aux_sym_argument_list_repeat1] = STATE(6673),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9525),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3759] = {
    [anon_sym_EQ] = ACTIONS(9527),
    [sym_comment] = ACTIONS(87),
  },
  [3760] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(9529),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(9531),
    [anon_sym_DASH_EQ] = ACTIONS(9531),
    [anon_sym_STAR_EQ] = ACTIONS(9531),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9531),
    [anon_sym_SLASH_EQ] = ACTIONS(9531),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9531),
    [anon_sym_PIPE_EQ] = ACTIONS(9531),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9531),
    [anon_sym_AMP_EQ] = ACTIONS(9531),
    [anon_sym_PERCENT_EQ] = ACTIONS(9531),
    [anon_sym_GT_GT_EQ] = ACTIONS(9531),
    [anon_sym_LT_LT_EQ] = ACTIONS(9531),
    [anon_sym_CARET_EQ] = ACTIONS(9531),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3761] = {
    [sym_string] = STATE(6677),
    [aux_sym_chained_string_repeat1] = STATE(6677),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(9533),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3762] = {
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [3763] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [3764] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6678),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6678),
    [sym_operator_assignment] = STATE(6678),
    [sym_conditional] = STATE(6678),
    [sym_range] = STATE(6678),
    [sym_binary] = STATE(6678),
    [sym_unary] = STATE(6678),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3765] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6679),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6679),
    [sym_operator_assignment] = STATE(6679),
    [sym_conditional] = STATE(6679),
    [sym_range] = STATE(6679),
    [sym_binary] = STATE(6679),
    [sym_unary] = STATE(6679),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3766] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6680),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6680),
    [sym_operator_assignment] = STATE(6680),
    [sym_conditional] = STATE(6680),
    [sym_range] = STATE(6680),
    [sym_binary] = STATE(6680),
    [sym_unary] = STATE(6680),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3767] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6681),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6681),
    [sym_operator_assignment] = STATE(6681),
    [sym_conditional] = STATE(6681),
    [sym_range] = STATE(6681),
    [sym_binary] = STATE(6681),
    [sym_unary] = STATE(6681),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3768] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6682),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6682),
    [sym_operator_assignment] = STATE(6682),
    [sym_conditional] = STATE(6682),
    [sym_range] = STATE(6682),
    [sym_binary] = STATE(6682),
    [sym_unary] = STATE(6682),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3769] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6683),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6683),
    [sym_operator_assignment] = STATE(6683),
    [sym_conditional] = STATE(6683),
    [sym_range] = STATE(6683),
    [sym_binary] = STATE(6683),
    [sym_unary] = STATE(6683),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3770] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6684),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6684),
    [sym_operator_assignment] = STATE(6684),
    [sym_conditional] = STATE(6684),
    [sym_range] = STATE(6684),
    [sym_binary] = STATE(6684),
    [sym_unary] = STATE(6684),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3771] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6685),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(55),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(55),
    [sym_assignment] = STATE(6685),
    [sym_operator_assignment] = STATE(6685),
    [sym_conditional] = STATE(6685),
    [sym_range] = STATE(6685),
    [sym_binary] = STATE(6685),
    [sym_unary] = STATE(6685),
    [sym_left_assignment_list] = STATE(52),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(55),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(55),
    [sym_false] = STATE(55),
    [sym_nil] = STATE(55),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(56),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_next] = ACTIONS(53),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_defined_QMARK] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3772] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6686),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6686),
    [sym_operator_assignment] = STATE(6686),
    [sym_conditional] = STATE(6686),
    [sym_range] = STATE(6686),
    [sym_binary] = STATE(6686),
    [sym_unary] = STATE(6686),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3773] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6687),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6687),
    [sym_operator_assignment] = STATE(6687),
    [sym_conditional] = STATE(6687),
    [sym_range] = STATE(6687),
    [sym_binary] = STATE(6687),
    [sym_unary] = STATE(6687),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3774] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6688),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6688),
    [sym_operator_assignment] = STATE(6688),
    [sym_conditional] = STATE(6688),
    [sym_range] = STATE(6688),
    [sym_binary] = STATE(6688),
    [sym_unary] = STATE(6688),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3775] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6689),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6689),
    [sym_operator_assignment] = STATE(6689),
    [sym_conditional] = STATE(6689),
    [sym_range] = STATE(6689),
    [sym_binary] = STATE(6689),
    [sym_unary] = STATE(6689),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3776] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6690),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6690),
    [sym_operator_assignment] = STATE(6690),
    [sym_conditional] = STATE(6690),
    [sym_range] = STATE(6690),
    [sym_binary] = STATE(6690),
    [sym_unary] = STATE(6690),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3777] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(6699),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(6699),
    [sym_operator_assignment] = STATE(6699),
    [sym_conditional] = STATE(6699),
    [sym_range] = STATE(6699),
    [sym_binary] = STATE(6699),
    [sym_unary] = STATE(6699),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [3778] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(6704),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(6704),
    [sym_operator_assignment] = STATE(6704),
    [sym_conditional] = STATE(6704),
    [sym_range] = STATE(6704),
    [sym_binary] = STATE(6704),
    [sym_unary] = STATE(6704),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [3779] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6705),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(6705),
    [sym_operator_assignment] = STATE(6705),
    [sym_conditional] = STATE(6705),
    [sym_range] = STATE(6705),
    [sym_binary] = STATE(6705),
    [sym_unary] = STATE(6705),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3780] = {
    [sym__keyword_colon] = ACTIONS(9559),
    [sym_comment] = ACTIONS(87),
  },
  [3781] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(6708),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(6708),
    [sym_operator_assignment] = STATE(6708),
    [sym_conditional] = STATE(6708),
    [sym_range] = STATE(6708),
    [sym_binary] = STATE(6708),
    [sym_unary] = STATE(6708),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [3782] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6667),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(2072),
    [sym__argument_list_with_parens] = STATE(6668),
    [sym__argument] = STATE(6669),
    [sym_splat_argument] = STATE(6669),
    [sym_hash_splat_argument] = STATE(6669),
    [sym_block_argument] = STATE(6669),
    [sym_assignment] = STATE(6667),
    [sym_operator_assignment] = STATE(6667),
    [sym_conditional] = STATE(6667),
    [sym_range] = STATE(6667),
    [sym_binary] = STATE(6667),
    [sym_unary] = STATE(6667),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6670),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(6669),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(9517),
    [sym__splat_star] = ACTIONS(9519),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(9521),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(9523),
    [sym_identifier] = ACTIONS(9523),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3783] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6667),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(2073),
    [sym__argument_list_with_parens] = STATE(6668),
    [sym__argument] = STATE(6669),
    [sym_splat_argument] = STATE(6669),
    [sym_hash_splat_argument] = STATE(6669),
    [sym_block_argument] = STATE(6669),
    [sym_assignment] = STATE(6667),
    [sym_operator_assignment] = STATE(6667),
    [sym_conditional] = STATE(6667),
    [sym_range] = STATE(6667),
    [sym_binary] = STATE(6667),
    [sym_unary] = STATE(6667),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6670),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(6669),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(9517),
    [sym__splat_star] = ACTIONS(9519),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(9521),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_COLON] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(9523),
    [sym_identifier] = ACTIONS(9523),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3784] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6667),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(2074),
    [sym__argument_list_with_parens] = STATE(6668),
    [sym__argument] = STATE(6669),
    [sym_splat_argument] = STATE(6669),
    [sym_hash_splat_argument] = STATE(6669),
    [sym_block_argument] = STATE(6669),
    [sym_assignment] = STATE(6667),
    [sym_operator_assignment] = STATE(6667),
    [sym_conditional] = STATE(6667),
    [sym_range] = STATE(6667),
    [sym_binary] = STATE(6667),
    [sym_unary] = STATE(6667),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6670),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(6669),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(9517),
    [sym__splat_star] = ACTIONS(9519),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(9521),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_COLON] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(9523),
    [sym_identifier] = ACTIONS(9523),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3785] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6667),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(2075),
    [sym__argument_list_with_parens] = STATE(6668),
    [sym__argument] = STATE(6669),
    [sym_splat_argument] = STATE(6669),
    [sym_hash_splat_argument] = STATE(6669),
    [sym_block_argument] = STATE(6669),
    [sym_assignment] = STATE(6667),
    [sym_operator_assignment] = STATE(6667),
    [sym_conditional] = STATE(6667),
    [sym_range] = STATE(6667),
    [sym_binary] = STATE(6667),
    [sym_unary] = STATE(6667),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6670),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(6669),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(9517),
    [sym__splat_star] = ACTIONS(9519),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(9521),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_COLON] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(9523),
    [sym_identifier] = ACTIONS(9523),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3786] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6709),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(6709),
    [sym_operator_assignment] = STATE(6709),
    [sym_conditional] = STATE(6709),
    [sym_range] = STATE(6709),
    [sym_binary] = STATE(6709),
    [sym_unary] = STATE(6709),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3787] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6710),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(6710),
    [sym_operator_assignment] = STATE(6710),
    [sym_conditional] = STATE(6710),
    [sym_range] = STATE(6710),
    [sym_binary] = STATE(6710),
    [sym_unary] = STATE(6710),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3788] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2095),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(2095),
    [sym_operator_assignment] = STATE(2095),
    [sym_conditional] = STATE(2095),
    [sym_range] = STATE(2095),
    [sym_binary] = STATE(2095),
    [sym_unary] = STATE(2095),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3789] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(9559),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3790] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(9573),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(1631),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [3791] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6667),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(2117),
    [sym__argument_list_with_parens] = STATE(6668),
    [sym__argument] = STATE(6669),
    [sym_splat_argument] = STATE(6669),
    [sym_hash_splat_argument] = STATE(6669),
    [sym_block_argument] = STATE(6669),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(6667),
    [sym_operator_assignment] = STATE(6667),
    [sym_conditional] = STATE(6667),
    [sym_range] = STATE(6667),
    [sym_binary] = STATE(6667),
    [sym_unary] = STATE(6667),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6670),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(6669),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(9517),
    [sym__splat_star] = ACTIONS(9519),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(9521),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(9523),
    [sym_identifier] = ACTIONS(9523),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [3792] = {
    [sym_heredoc_body] = STATE(6724),
    [aux_sym_call_repeat1] = STATE(6724),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3793] = {
    [sym_heredoc_body] = STATE(6724),
    [aux_sym_call_repeat1] = STATE(6724),
    [aux_sym_argument_list_repeat1] = STATE(6726),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9591),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3794] = {
    [anon_sym_EQ] = ACTIONS(9593),
    [sym_comment] = ACTIONS(87),
  },
  [3795] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(9595),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(9597),
    [anon_sym_DASH_EQ] = ACTIONS(9597),
    [anon_sym_STAR_EQ] = ACTIONS(9597),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9597),
    [anon_sym_SLASH_EQ] = ACTIONS(9597),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9597),
    [anon_sym_PIPE_EQ] = ACTIONS(9597),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9597),
    [anon_sym_AMP_EQ] = ACTIONS(9597),
    [anon_sym_PERCENT_EQ] = ACTIONS(9597),
    [anon_sym_GT_GT_EQ] = ACTIONS(9597),
    [anon_sym_LT_LT_EQ] = ACTIONS(9597),
    [anon_sym_CARET_EQ] = ACTIONS(9597),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3796] = {
    [sym_string] = STATE(6730),
    [aux_sym_chained_string_repeat1] = STATE(6730),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(9599),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3797] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6740),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_splat_argument] = STATE(6741),
    [sym_assignment] = STATE(6740),
    [sym_operator_assignment] = STATE(6740),
    [sym_conditional] = STATE(6740),
    [sym_range] = STATE(6740),
    [sym_binary] = STATE(6740),
    [sym_unary] = STATE(6740),
    [sym_right_assignment_list] = STATE(2138),
    [sym__arg_or_splat_arg] = STATE(6741),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(9601),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3798] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6745),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6745),
    [sym_operator_assignment] = STATE(6745),
    [sym_conditional] = STATE(6745),
    [sym_range] = STATE(6745),
    [sym_binary] = STATE(6745),
    [sym_unary] = STATE(6745),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3799] = {
    [sym_string] = STATE(6746),
    [aux_sym_chained_string_repeat1] = STATE(6746),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [3800] = {
    [sym__line_break] = ACTIONS(9621),
    [sym__heredoc_body_start] = ACTIONS(9621),
    [sym__element_reference_left_bracket] = ACTIONS(9621),
    [sym__infix_scope_colons] = ACTIONS(9621),
    [sym__binary_minus] = ACTIONS(9621),
    [sym__binary_star] = ACTIONS(9621),
    [ts_builtin_sym_end] = ACTIONS(9621),
    [anon_sym___END__] = ACTIONS(9621),
    [anon_sym_LBRACE] = ACTIONS(9621),
    [anon_sym_RBRACE] = ACTIONS(9621),
    [anon_sym_RPAREN] = ACTIONS(9621),
    [anon_sym_DOT] = ACTIONS(9623),
    [anon_sym_COMMA] = ACTIONS(9621),
    [anon_sym_PIPE] = ACTIONS(9623),
    [anon_sym_SEMI] = ACTIONS(9621),
    [anon_sym_STAR_STAR] = ACTIONS(9623),
    [anon_sym_AMP] = ACTIONS(9623),
    [anon_sym_EQ] = ACTIONS(9623),
    [anon_sym_LT] = ACTIONS(9623),
    [anon_sym_end] = ACTIONS(9621),
    [anon_sym_if] = ACTIONS(9621),
    [anon_sym_unless] = ACTIONS(9621),
    [anon_sym_while] = ACTIONS(9621),
    [anon_sym_until] = ACTIONS(9621),
    [anon_sym_rescue] = ACTIONS(9621),
    [anon_sym_do] = ACTIONS(9621),
    [anon_sym_when] = ACTIONS(9621),
    [anon_sym_elsif] = ACTIONS(9621),
    [anon_sym_else] = ACTIONS(9621),
    [anon_sym_then] = ACTIONS(9621),
    [anon_sym_ensure] = ACTIONS(9621),
    [anon_sym_AMP_DOT] = ACTIONS(9621),
    [anon_sym_PLUS_EQ] = ACTIONS(9621),
    [anon_sym_DASH_EQ] = ACTIONS(9621),
    [anon_sym_STAR_EQ] = ACTIONS(9621),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9621),
    [anon_sym_SLASH_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9621),
    [anon_sym_AMP_EQ] = ACTIONS(9621),
    [anon_sym_PERCENT_EQ] = ACTIONS(9621),
    [anon_sym_GT_GT_EQ] = ACTIONS(9621),
    [anon_sym_LT_LT_EQ] = ACTIONS(9621),
    [anon_sym_CARET_EQ] = ACTIONS(9621),
    [anon_sym_QMARK] = ACTIONS(9621),
    [anon_sym_DOT_DOT] = ACTIONS(9623),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9621),
    [anon_sym_and] = ACTIONS(9621),
    [anon_sym_or] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE] = ACTIONS(9623),
    [anon_sym_AMP_AMP] = ACTIONS(9623),
    [anon_sym_LT_LT] = ACTIONS(9623),
    [anon_sym_GT_GT] = ACTIONS(9623),
    [anon_sym_EQ_EQ] = ACTIONS(9623),
    [anon_sym_BANG_EQ] = ACTIONS(9621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9621),
    [anon_sym_LT_EQ_GT] = ACTIONS(9621),
    [anon_sym_EQ_TILDE] = ACTIONS(9621),
    [anon_sym_BANG_TILDE] = ACTIONS(9621),
    [anon_sym_LT_EQ] = ACTIONS(9623),
    [anon_sym_GT] = ACTIONS(9623),
    [anon_sym_GT_EQ] = ACTIONS(9621),
    [anon_sym_CARET] = ACTIONS(9623),
    [anon_sym_PLUS] = ACTIONS(9623),
    [anon_sym_SLASH] = ACTIONS(9623),
    [anon_sym_PERCENT] = ACTIONS(9623),
    [sym_comment] = ACTIONS(87),
  },
  [3801] = {
    [anon_sym_RBRACK] = ACTIONS(9625),
    [sym_comment] = ACTIONS(87),
  },
  [3802] = {
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym__argument_list_left_paren] = ACTIONS(3138),
    [anon_sym_PIPE] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_STAR_STAR] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_LT_LT] = ACTIONS(3138),
    [anon_sym_GT_GT] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_CARET] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(4930),
    [anon_sym_TILDE] = ACTIONS(3138),
    [sym_constant] = ACTIONS(3138),
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(4930),
    [anon_sym_PLUS_AT] = ACTIONS(3138),
    [anon_sym_DASH_AT] = ACTIONS(3138),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(4930),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(3138),
    [anon_sym_BQUOTE] = ACTIONS(3138),
    [sym_comment] = ACTIONS(87),
  },
  [3803] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(9627),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [3804] = {
    [sym__line_break] = ACTIONS(4198),
    [sym__simple_symbol] = ACTIONS(4198),
    [sym__string_start] = ACTIONS(4198),
    [sym__symbol_start] = ACTIONS(4198),
    [sym__subshell_start] = ACTIONS(4198),
    [sym__regex_start] = ACTIONS(4198),
    [sym__string_array_start] = ACTIONS(4198),
    [sym__symbol_array_start] = ACTIONS(4198),
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym_heredoc_beginning] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__block_ampersand] = ACTIONS(4198),
    [sym__splat_star] = ACTIONS(4198),
    [sym__argument_list_left_paren] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__unary_minus] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [sym__identifier_hash_key] = ACTIONS(4198),
    [ts_builtin_sym_end] = ACTIONS(4198),
    [anon_sym___END__] = ACTIONS(4200),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_def] = ACTIONS(4200),
    [anon_sym_LPAREN] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COLON_COLON] = ACTIONS(4198),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR] = ACTIONS(4200),
    [anon_sym_STAR_STAR] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_class] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_module] = ACTIONS(4200),
    [anon_sym_end] = ACTIONS(4200),
    [anon_sym_return] = ACTIONS(4200),
    [anon_sym_yield] = ACTIONS(4200),
    [anon_sym_break] = ACTIONS(4200),
    [anon_sym_next] = ACTIONS(4200),
    [sym_redo] = ACTIONS(4200),
    [sym_retry] = ACTIONS(4200),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_unless] = ACTIONS(4200),
    [anon_sym_while] = ACTIONS(4200),
    [anon_sym_until] = ACTIONS(4200),
    [anon_sym_rescue] = ACTIONS(4200),
    [anon_sym_for] = ACTIONS(4200),
    [anon_sym_do] = ACTIONS(4200),
    [anon_sym_case] = ACTIONS(4200),
    [anon_sym_when] = ACTIONS(4200),
    [anon_sym_elsif] = ACTIONS(4200),
    [anon_sym_else] = ACTIONS(4200),
    [anon_sym_then] = ACTIONS(4200),
    [anon_sym_begin] = ACTIONS(4200),
    [anon_sym_ensure] = ACTIONS(4200),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS_EQ] = ACTIONS(4198),
    [anon_sym_DASH_EQ] = ACTIONS(4198),
    [anon_sym_STAR_EQ] = ACTIONS(4198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4198),
    [anon_sym_SLASH_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4198),
    [anon_sym_AMP_EQ] = ACTIONS(4198),
    [anon_sym_PERCENT_EQ] = ACTIONS(4198),
    [anon_sym_GT_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_LT_EQ] = ACTIONS(4198),
    [anon_sym_CARET_EQ] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4200),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4200),
    [anon_sym_or] = ACTIONS(4200),
    [anon_sym_PIPE_PIPE] = ACTIONS(4200),
    [anon_sym_AMP_AMP] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [anon_sym_defined_QMARK] = ACTIONS(4198),
    [anon_sym_not] = ACTIONS(4200),
    [anon_sym_BANG] = ACTIONS(4200),
    [anon_sym_TILDE] = ACTIONS(4198),
    [sym_constant] = ACTIONS(4200),
    [sym_identifier] = ACTIONS(4200),
    [sym_instance_variable] = ACTIONS(4198),
    [sym_class_variable] = ACTIONS(4198),
    [sym_global_variable] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4200),
    [sym_float] = ACTIONS(4200),
    [sym_complex] = ACTIONS(4198),
    [sym_super] = ACTIONS(4200),
    [anon_sym_true] = ACTIONS(4200),
    [anon_sym_TRUE] = ACTIONS(4200),
    [anon_sym_false] = ACTIONS(4200),
    [anon_sym_FALSE] = ACTIONS(4200),
    [sym_self] = ACTIONS(4200),
    [anon_sym_nil] = ACTIONS(4200),
    [anon_sym_NIL] = ACTIONS(4200),
    [sym_character] = ACTIONS(4198),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [anon_sym_DASH_GT] = ACTIONS(4198),
  },
  [3805] = {
    [sym_heredoc_body] = STATE(6750),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(9629),
    [sym_comment] = ACTIONS(87),
  },
  [3806] = {
    [anon_sym_RPAREN] = ACTIONS(9629),
    [sym_comment] = ACTIONS(87),
  },
  [3807] = {
    [sym__line_break] = ACTIONS(9631),
    [sym__simple_symbol] = ACTIONS(9631),
    [sym__string_start] = ACTIONS(9631),
    [sym__symbol_start] = ACTIONS(9631),
    [sym__subshell_start] = ACTIONS(9631),
    [sym__regex_start] = ACTIONS(9631),
    [sym__string_array_start] = ACTIONS(9631),
    [sym__symbol_array_start] = ACTIONS(9631),
    [sym__heredoc_body_start] = ACTIONS(9631),
    [sym_heredoc_beginning] = ACTIONS(9631),
    [sym__element_reference_left_bracket] = ACTIONS(9631),
    [sym__block_ampersand] = ACTIONS(9631),
    [sym__splat_star] = ACTIONS(9631),
    [sym__argument_list_left_paren] = ACTIONS(9631),
    [sym__infix_scope_colons] = ACTIONS(9631),
    [sym__unary_minus] = ACTIONS(9631),
    [sym__binary_minus] = ACTIONS(9631),
    [sym__binary_star] = ACTIONS(9631),
    [sym__identifier_hash_key] = ACTIONS(9631),
    [ts_builtin_sym_end] = ACTIONS(9631),
    [anon_sym___END__] = ACTIONS(9633),
    [anon_sym_LBRACE] = ACTIONS(9631),
    [anon_sym_RBRACE] = ACTIONS(9631),
    [anon_sym_def] = ACTIONS(9633),
    [anon_sym_LPAREN] = ACTIONS(9631),
    [anon_sym_RPAREN] = ACTIONS(9631),
    [anon_sym_DOT] = ACTIONS(9633),
    [anon_sym_COLON_COLON] = ACTIONS(9631),
    [anon_sym_COMMA] = ACTIONS(9631),
    [anon_sym_PIPE] = ACTIONS(9633),
    [anon_sym_SEMI] = ACTIONS(9631),
    [anon_sym_STAR] = ACTIONS(9633),
    [anon_sym_STAR_STAR] = ACTIONS(9633),
    [anon_sym_AMP] = ACTIONS(9633),
    [anon_sym_EQ] = ACTIONS(9633),
    [anon_sym_class] = ACTIONS(9633),
    [anon_sym_LT] = ACTIONS(9633),
    [anon_sym_module] = ACTIONS(9633),
    [anon_sym_end] = ACTIONS(9633),
    [anon_sym_return] = ACTIONS(9633),
    [anon_sym_yield] = ACTIONS(9633),
    [anon_sym_break] = ACTIONS(9633),
    [anon_sym_next] = ACTIONS(9633),
    [sym_redo] = ACTIONS(9633),
    [sym_retry] = ACTIONS(9633),
    [anon_sym_if] = ACTIONS(9633),
    [anon_sym_unless] = ACTIONS(9633),
    [anon_sym_while] = ACTIONS(9633),
    [anon_sym_until] = ACTIONS(9633),
    [anon_sym_rescue] = ACTIONS(9633),
    [anon_sym_for] = ACTIONS(9633),
    [anon_sym_do] = ACTIONS(9633),
    [anon_sym_case] = ACTIONS(9633),
    [anon_sym_when] = ACTIONS(9633),
    [anon_sym_elsif] = ACTIONS(9633),
    [anon_sym_else] = ACTIONS(9633),
    [anon_sym_then] = ACTIONS(9633),
    [anon_sym_begin] = ACTIONS(9633),
    [anon_sym_ensure] = ACTIONS(9633),
    [anon_sym_AMP_DOT] = ACTIONS(9631),
    [anon_sym_PLUS_EQ] = ACTIONS(9631),
    [anon_sym_DASH_EQ] = ACTIONS(9631),
    [anon_sym_STAR_EQ] = ACTIONS(9631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9631),
    [anon_sym_SLASH_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9631),
    [anon_sym_AMP_EQ] = ACTIONS(9631),
    [anon_sym_PERCENT_EQ] = ACTIONS(9631),
    [anon_sym_GT_GT_EQ] = ACTIONS(9631),
    [anon_sym_LT_LT_EQ] = ACTIONS(9631),
    [anon_sym_CARET_EQ] = ACTIONS(9631),
    [anon_sym_QMARK] = ACTIONS(9633),
    [anon_sym_DOT_DOT] = ACTIONS(9633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9631),
    [anon_sym_and] = ACTIONS(9633),
    [anon_sym_or] = ACTIONS(9633),
    [anon_sym_PIPE_PIPE] = ACTIONS(9633),
    [anon_sym_AMP_AMP] = ACTIONS(9633),
    [anon_sym_LT_LT] = ACTIONS(9633),
    [anon_sym_GT_GT] = ACTIONS(9633),
    [anon_sym_EQ_EQ] = ACTIONS(9633),
    [anon_sym_BANG_EQ] = ACTIONS(9631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9631),
    [anon_sym_LT_EQ_GT] = ACTIONS(9631),
    [anon_sym_EQ_TILDE] = ACTIONS(9631),
    [anon_sym_BANG_TILDE] = ACTIONS(9631),
    [anon_sym_LT_EQ] = ACTIONS(9633),
    [anon_sym_GT] = ACTIONS(9633),
    [anon_sym_GT_EQ] = ACTIONS(9631),
    [anon_sym_CARET] = ACTIONS(9633),
    [anon_sym_PLUS] = ACTIONS(9633),
    [anon_sym_SLASH] = ACTIONS(9633),
    [anon_sym_PERCENT] = ACTIONS(9633),
    [anon_sym_defined_QMARK] = ACTIONS(9631),
    [anon_sym_not] = ACTIONS(9633),
    [anon_sym_BANG] = ACTIONS(9633),
    [anon_sym_TILDE] = ACTIONS(9631),
    [sym_constant] = ACTIONS(9633),
    [sym_identifier] = ACTIONS(9633),
    [sym_instance_variable] = ACTIONS(9631),
    [sym_class_variable] = ACTIONS(9631),
    [sym_global_variable] = ACTIONS(9631),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(9633),
    [sym_float] = ACTIONS(9633),
    [sym_complex] = ACTIONS(9631),
    [sym_super] = ACTIONS(9633),
    [anon_sym_true] = ACTIONS(9633),
    [anon_sym_TRUE] = ACTIONS(9633),
    [anon_sym_false] = ACTIONS(9633),
    [anon_sym_FALSE] = ACTIONS(9633),
    [sym_self] = ACTIONS(9633),
    [anon_sym_nil] = ACTIONS(9633),
    [anon_sym_NIL] = ACTIONS(9633),
    [sym_character] = ACTIONS(9631),
    [anon_sym_LBRACK] = ACTIONS(9631),
    [anon_sym_DASH_GT] = ACTIONS(9631),
  },
  [3808] = {
    [sym_heredoc_body] = STATE(3808),
    [aux_sym_call_repeat1] = STATE(3808),
    [sym__heredoc_body_start] = ACTIONS(9635),
    [sym__argument_list_left_paren] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7800),
    [anon_sym_STAR] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7800),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_DOT_DOT] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [anon_sym_BANG] = ACTIONS(7805),
    [anon_sym_TILDE] = ACTIONS(7800),
    [sym_constant] = ACTIONS(7800),
    [sym_identifier] = ACTIONS(7800),
    [anon_sym_DASH] = ACTIONS(7805),
    [anon_sym_PLUS_AT] = ACTIONS(7800),
    [anon_sym_DASH_AT] = ACTIONS(7800),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(7805),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(7800),
    [anon_sym_BQUOTE] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [3809] = {
    [sym__line_break] = ACTIONS(2929),
    [sym__string_start] = ACTIONS(2929),
    [sym__heredoc_body_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__keyword_colon] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [ts_builtin_sym_end] = ACTIONS(2929),
    [anon_sym___END__] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_end] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [anon_sym_rescue] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_when] = ACTIONS(2929),
    [anon_sym_elsif] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_then] = ACTIONS(2929),
    [anon_sym_ensure] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2929),
    [anon_sym_AMP_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_GT_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_LT_EQ] = ACTIONS(2929),
    [anon_sym_CARET_EQ] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_LT_LT] = ACTIONS(2931),
    [anon_sym_GT_GT] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(87),
  },
  [3810] = {
    [sym__line_break] = ACTIONS(2941),
    [sym__heredoc_body_start] = ACTIONS(2941),
    [sym__element_reference_left_bracket] = ACTIONS(2941),
    [sym__infix_scope_colons] = ACTIONS(2941),
    [sym__binary_minus] = ACTIONS(2941),
    [sym__binary_star] = ACTIONS(2941),
    [ts_builtin_sym_end] = ACTIONS(2941),
    [anon_sym___END__] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_end] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_unless] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_until] = ACTIONS(2941),
    [anon_sym_rescue] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_when] = ACTIONS(2941),
    [anon_sym_elsif] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_then] = ACTIONS(2941),
    [anon_sym_ensure] = ACTIONS(2941),
    [anon_sym_EQ_GT] = ACTIONS(2941),
    [anon_sym_AMP_DOT] = ACTIONS(2941),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2941),
    [anon_sym_AMP_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_GT_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_LT_EQ] = ACTIONS(2941),
    [anon_sym_CARET_EQ] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(2941),
    [anon_sym_or] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2943),
    [anon_sym_GT_GT] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(87),
  },
  [3811] = {
    [sym__line_break] = ACTIONS(2945),
    [sym__heredoc_body_start] = ACTIONS(2945),
    [sym__element_reference_left_bracket] = ACTIONS(2945),
    [sym__infix_scope_colons] = ACTIONS(2945),
    [sym__binary_minus] = ACTIONS(2945),
    [sym__binary_star] = ACTIONS(2945),
    [ts_builtin_sym_end] = ACTIONS(2945),
    [anon_sym___END__] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_end] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_unless] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_until] = ACTIONS(2945),
    [anon_sym_rescue] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_when] = ACTIONS(2945),
    [anon_sym_elsif] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_then] = ACTIONS(2945),
    [anon_sym_ensure] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [anon_sym_AMP_DOT] = ACTIONS(2945),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_GT_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_LT_EQ] = ACTIONS(2945),
    [anon_sym_CARET_EQ] = ACTIONS(2945),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2945),
    [anon_sym_or] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2947),
    [anon_sym_GT_GT] = ACTIONS(2947),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(87),
  },
  [3812] = {
    [sym__line_break] = ACTIONS(2949),
    [sym__heredoc_body_start] = ACTIONS(2949),
    [sym__element_reference_left_bracket] = ACTIONS(2949),
    [sym__infix_scope_colons] = ACTIONS(2949),
    [sym__binary_minus] = ACTIONS(2949),
    [sym__binary_star] = ACTIONS(2949),
    [ts_builtin_sym_end] = ACTIONS(2949),
    [anon_sym___END__] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_end] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_unless] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_until] = ACTIONS(2949),
    [anon_sym_rescue] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_when] = ACTIONS(2949),
    [anon_sym_elsif] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_then] = ACTIONS(2949),
    [anon_sym_ensure] = ACTIONS(2949),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [anon_sym_AMP_DOT] = ACTIONS(2949),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2949),
    [anon_sym_AMP_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_GT_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_LT_EQ] = ACTIONS(2949),
    [anon_sym_CARET_EQ] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_and] = ACTIONS(2949),
    [anon_sym_or] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_GT_GT] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(87),
  },
  [3813] = {
    [sym__line_break] = ACTIONS(2955),
    [sym__heredoc_body_start] = ACTIONS(2955),
    [sym__element_reference_left_bracket] = ACTIONS(2955),
    [sym__infix_scope_colons] = ACTIONS(2955),
    [sym__binary_minus] = ACTIONS(2955),
    [sym__binary_star] = ACTIONS(2955),
    [ts_builtin_sym_end] = ACTIONS(2955),
    [anon_sym___END__] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_end] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_unless] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_until] = ACTIONS(2955),
    [anon_sym_rescue] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_when] = ACTIONS(2955),
    [anon_sym_elsif] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_then] = ACTIONS(2955),
    [anon_sym_ensure] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [anon_sym_AMP_DOT] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2957),
    [anon_sym_GT_GT] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [sym_comment] = ACTIONS(87),
  },
  [3814] = {
    [sym__string_end] = ACTIONS(9638),
    [sym_comment] = ACTIONS(87),
  },
  [3815] = {
    [aux_sym_string_array_repeat1] = STATE(6754),
    [sym__string_end] = ACTIONS(9640),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9642),
  },
  [3816] = {
    [sym__line_break] = ACTIONS(2965),
    [sym__heredoc_body_start] = ACTIONS(2965),
    [sym__element_reference_left_bracket] = ACTIONS(2965),
    [sym__infix_scope_colons] = ACTIONS(2965),
    [sym__binary_minus] = ACTIONS(2965),
    [sym__binary_star] = ACTIONS(2965),
    [ts_builtin_sym_end] = ACTIONS(2965),
    [anon_sym___END__] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_end] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_unless] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_until] = ACTIONS(2965),
    [anon_sym_rescue] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_when] = ACTIONS(2965),
    [anon_sym_elsif] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_then] = ACTIONS(2965),
    [anon_sym_ensure] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [anon_sym_AMP_DOT] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_GT_GT] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [sym_comment] = ACTIONS(87),
  },
  [3817] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(9644),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [3818] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(9644),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9646),
  },
  [3819] = {
    [sym__line_break] = ACTIONS(2984),
    [sym__heredoc_body_start] = ACTIONS(2984),
    [sym__element_reference_left_bracket] = ACTIONS(2984),
    [sym__infix_scope_colons] = ACTIONS(2984),
    [sym__binary_minus] = ACTIONS(2984),
    [sym__binary_star] = ACTIONS(2984),
    [ts_builtin_sym_end] = ACTIONS(2984),
    [anon_sym___END__] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2984),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_STAR_STAR] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(2986),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_end] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_unless] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_until] = ACTIONS(2984),
    [anon_sym_rescue] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_when] = ACTIONS(2984),
    [anon_sym_elsif] = ACTIONS(2984),
    [anon_sym_else] = ACTIONS(2984),
    [anon_sym_then] = ACTIONS(2984),
    [anon_sym_ensure] = ACTIONS(2984),
    [anon_sym_EQ_GT] = ACTIONS(2984),
    [anon_sym_AMP_DOT] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(2984),
    [anon_sym_DASH_EQ] = ACTIONS(2984),
    [anon_sym_STAR_EQ] = ACTIONS(2984),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2984),
    [anon_sym_AMP_EQ] = ACTIONS(2984),
    [anon_sym_PERCENT_EQ] = ACTIONS(2984),
    [anon_sym_GT_GT_EQ] = ACTIONS(2984),
    [anon_sym_LT_LT_EQ] = ACTIONS(2984),
    [anon_sym_CARET_EQ] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_and] = ACTIONS(2984),
    [anon_sym_or] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_GT_GT] = ACTIONS(2986),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_CARET] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [sym_comment] = ACTIONS(87),
  },
  [3820] = {
    [sym__string_end] = ACTIONS(9648),
    [sym_comment] = ACTIONS(87),
  },
  [3821] = {
    [aux_sym_symbol_array_repeat1] = STATE(6760),
    [sym__string_end] = ACTIONS(9650),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9652),
  },
  [3822] = {
    [sym__line_break] = ACTIONS(2994),
    [sym__heredoc_body_start] = ACTIONS(2994),
    [sym__element_reference_left_bracket] = ACTIONS(2994),
    [sym__infix_scope_colons] = ACTIONS(2994),
    [sym__binary_minus] = ACTIONS(2994),
    [sym__binary_star] = ACTIONS(2994),
    [ts_builtin_sym_end] = ACTIONS(2994),
    [anon_sym___END__] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_RPAREN] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2996),
    [anon_sym_end] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_unless] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_until] = ACTIONS(2994),
    [anon_sym_rescue] = ACTIONS(2994),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_when] = ACTIONS(2994),
    [anon_sym_elsif] = ACTIONS(2994),
    [anon_sym_else] = ACTIONS(2994),
    [anon_sym_then] = ACTIONS(2994),
    [anon_sym_ensure] = ACTIONS(2994),
    [anon_sym_EQ_GT] = ACTIONS(2994),
    [anon_sym_AMP_DOT] = ACTIONS(2994),
    [anon_sym_PLUS_EQ] = ACTIONS(2994),
    [anon_sym_DASH_EQ] = ACTIONS(2994),
    [anon_sym_STAR_EQ] = ACTIONS(2994),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2994),
    [anon_sym_SLASH_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_EQ] = ACTIONS(2994),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2994),
    [anon_sym_AMP_EQ] = ACTIONS(2994),
    [anon_sym_PERCENT_EQ] = ACTIONS(2994),
    [anon_sym_GT_GT_EQ] = ACTIONS(2994),
    [anon_sym_LT_LT_EQ] = ACTIONS(2994),
    [anon_sym_CARET_EQ] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2994),
    [anon_sym_DOT_DOT] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2994),
    [anon_sym_and] = ACTIONS(2994),
    [anon_sym_or] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2996),
    [anon_sym_LT_LT] = ACTIONS(2996),
    [anon_sym_GT_GT] = ACTIONS(2996),
    [anon_sym_EQ_EQ] = ACTIONS(2996),
    [anon_sym_BANG_EQ] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2994),
    [anon_sym_LT_EQ_GT] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2994),
    [anon_sym_BANG_TILDE] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT] = ACTIONS(2996),
    [anon_sym_GT_EQ] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_SLASH] = ACTIONS(2996),
    [anon_sym_PERCENT] = ACTIONS(2996),
    [sym_comment] = ACTIONS(87),
  },
  [3823] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(9654),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [3824] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(9654),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9656),
  },
  [3825] = {
    [sym__line_break] = ACTIONS(839),
    [sym__string_start] = ACTIONS(839),
    [sym__heredoc_body_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [ts_builtin_sym_end] = ACTIONS(839),
    [anon_sym___END__] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_end] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_unless] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(839),
    [anon_sym_until] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(839),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_when] = ACTIONS(839),
    [anon_sym_elsif] = ACTIONS(839),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_then] = ACTIONS(839),
    [anon_sym_ensure] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_PLUS_EQ] = ACTIONS(839),
    [anon_sym_DASH_EQ] = ACTIONS(839),
    [anon_sym_STAR_EQ] = ACTIONS(839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(839),
    [anon_sym_SLASH_EQ] = ACTIONS(839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(839),
    [anon_sym_PIPE_EQ] = ACTIONS(839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(839),
    [anon_sym_AMP_EQ] = ACTIONS(839),
    [anon_sym_PERCENT_EQ] = ACTIONS(839),
    [anon_sym_GT_GT_EQ] = ACTIONS(839),
    [anon_sym_LT_LT_EQ] = ACTIONS(839),
    [anon_sym_CARET_EQ] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(841),
    [anon_sym_LT_LT] = ACTIONS(841),
    [anon_sym_GT_GT] = ACTIONS(841),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(841),
    [anon_sym_PERCENT] = ACTIONS(841),
    [sym_comment] = ACTIONS(87),
  },
  [3826] = {
    [sym__string_end] = ACTIONS(9658),
    [sym_comment] = ACTIONS(87),
  },
  [3827] = {
    [sym__line_break] = ACTIONS(891),
    [sym__heredoc_body_start] = ACTIONS(891),
    [sym__element_reference_left_bracket] = ACTIONS(891),
    [sym__infix_scope_colons] = ACTIONS(891),
    [sym__binary_minus] = ACTIONS(891),
    [sym__binary_star] = ACTIONS(891),
    [ts_builtin_sym_end] = ACTIONS(891),
    [anon_sym___END__] = ACTIONS(891),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_STAR_STAR] = ACTIONS(893),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_end] = ACTIONS(891),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_unless] = ACTIONS(891),
    [anon_sym_while] = ACTIONS(891),
    [anon_sym_until] = ACTIONS(891),
    [anon_sym_rescue] = ACTIONS(891),
    [anon_sym_do] = ACTIONS(891),
    [anon_sym_when] = ACTIONS(891),
    [anon_sym_elsif] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(891),
    [anon_sym_then] = ACTIONS(891),
    [anon_sym_ensure] = ACTIONS(891),
    [anon_sym_AMP_DOT] = ACTIONS(891),
    [anon_sym_PLUS_EQ] = ACTIONS(891),
    [anon_sym_DASH_EQ] = ACTIONS(891),
    [anon_sym_STAR_EQ] = ACTIONS(891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(891),
    [anon_sym_SLASH_EQ] = ACTIONS(891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(891),
    [anon_sym_PIPE_EQ] = ACTIONS(891),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(891),
    [anon_sym_AMP_EQ] = ACTIONS(891),
    [anon_sym_PERCENT_EQ] = ACTIONS(891),
    [anon_sym_GT_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_LT_EQ] = ACTIONS(891),
    [anon_sym_CARET_EQ] = ACTIONS(891),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(891),
    [anon_sym_and] = ACTIONS(891),
    [anon_sym_or] = ACTIONS(891),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ_GT] = ACTIONS(891),
    [anon_sym_EQ_TILDE] = ACTIONS(891),
    [anon_sym_BANG_TILDE] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [sym_comment] = ACTIONS(87),
  },
  [3828] = {
    [sym__string_end] = ACTIONS(9660),
    [sym_comment] = ACTIONS(87),
  },
  [3829] = {
    [sym__line_break] = ACTIONS(897),
    [sym__heredoc_body_start] = ACTIONS(897),
    [sym__element_reference_left_bracket] = ACTIONS(897),
    [sym__infix_scope_colons] = ACTIONS(897),
    [sym__binary_minus] = ACTIONS(897),
    [sym__binary_star] = ACTIONS(897),
    [ts_builtin_sym_end] = ACTIONS(897),
    [anon_sym___END__] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(899),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_STAR_STAR] = ACTIONS(899),
    [anon_sym_AMP] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_end] = ACTIONS(897),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_unless] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_until] = ACTIONS(897),
    [anon_sym_rescue] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(897),
    [anon_sym_elsif] = ACTIONS(897),
    [anon_sym_else] = ACTIONS(897),
    [anon_sym_then] = ACTIONS(897),
    [anon_sym_ensure] = ACTIONS(897),
    [anon_sym_AMP_DOT] = ACTIONS(897),
    [anon_sym_PLUS_EQ] = ACTIONS(897),
    [anon_sym_DASH_EQ] = ACTIONS(897),
    [anon_sym_STAR_EQ] = ACTIONS(897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(897),
    [anon_sym_SLASH_EQ] = ACTIONS(897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(897),
    [anon_sym_PIPE_EQ] = ACTIONS(897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(897),
    [anon_sym_AMP_EQ] = ACTIONS(897),
    [anon_sym_PERCENT_EQ] = ACTIONS(897),
    [anon_sym_GT_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_LT_EQ] = ACTIONS(897),
    [anon_sym_CARET_EQ] = ACTIONS(897),
    [anon_sym_QMARK] = ACTIONS(897),
    [anon_sym_DOT_DOT] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(897),
    [anon_sym_and] = ACTIONS(897),
    [anon_sym_or] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(899),
    [anon_sym_AMP_AMP] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(899),
    [anon_sym_GT_GT] = ACTIONS(899),
    [anon_sym_EQ_EQ] = ACTIONS(899),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_EQ_TILDE] = ACTIONS(897),
    [anon_sym_BANG_TILDE] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(899),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_SLASH] = ACTIONS(899),
    [anon_sym_PERCENT] = ACTIONS(899),
    [sym_comment] = ACTIONS(87),
  },
  [3830] = {
    [sym__string_end] = ACTIONS(9662),
    [sym_comment] = ACTIONS(87),
  },
  [3831] = {
    [sym__line_break] = ACTIONS(903),
    [sym__heredoc_body_start] = ACTIONS(903),
    [sym__element_reference_left_bracket] = ACTIONS(903),
    [sym__infix_scope_colons] = ACTIONS(903),
    [sym__binary_minus] = ACTIONS(903),
    [sym__binary_star] = ACTIONS(903),
    [ts_builtin_sym_end] = ACTIONS(903),
    [anon_sym___END__] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(903),
    [anon_sym_PIPE] = ACTIONS(905),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_STAR_STAR] = ACTIONS(905),
    [anon_sym_AMP] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(905),
    [anon_sym_LT] = ACTIONS(905),
    [anon_sym_end] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(903),
    [anon_sym_unless] = ACTIONS(903),
    [anon_sym_while] = ACTIONS(903),
    [anon_sym_until] = ACTIONS(903),
    [anon_sym_rescue] = ACTIONS(903),
    [anon_sym_do] = ACTIONS(903),
    [anon_sym_when] = ACTIONS(903),
    [anon_sym_elsif] = ACTIONS(903),
    [anon_sym_else] = ACTIONS(903),
    [anon_sym_then] = ACTIONS(903),
    [anon_sym_ensure] = ACTIONS(903),
    [anon_sym_AMP_DOT] = ACTIONS(903),
    [anon_sym_PLUS_EQ] = ACTIONS(903),
    [anon_sym_DASH_EQ] = ACTIONS(903),
    [anon_sym_STAR_EQ] = ACTIONS(903),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(903),
    [anon_sym_SLASH_EQ] = ACTIONS(903),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(903),
    [anon_sym_PIPE_EQ] = ACTIONS(903),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(903),
    [anon_sym_AMP_EQ] = ACTIONS(903),
    [anon_sym_PERCENT_EQ] = ACTIONS(903),
    [anon_sym_GT_GT_EQ] = ACTIONS(903),
    [anon_sym_LT_LT_EQ] = ACTIONS(903),
    [anon_sym_CARET_EQ] = ACTIONS(903),
    [anon_sym_QMARK] = ACTIONS(903),
    [anon_sym_DOT_DOT] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(903),
    [anon_sym_and] = ACTIONS(903),
    [anon_sym_or] = ACTIONS(903),
    [anon_sym_PIPE_PIPE] = ACTIONS(905),
    [anon_sym_AMP_AMP] = ACTIONS(905),
    [anon_sym_LT_LT] = ACTIONS(905),
    [anon_sym_GT_GT] = ACTIONS(905),
    [anon_sym_EQ_EQ] = ACTIONS(905),
    [anon_sym_BANG_EQ] = ACTIONS(903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(903),
    [anon_sym_LT_EQ_GT] = ACTIONS(903),
    [anon_sym_EQ_TILDE] = ACTIONS(903),
    [anon_sym_BANG_TILDE] = ACTIONS(903),
    [anon_sym_LT_EQ] = ACTIONS(905),
    [anon_sym_GT] = ACTIONS(905),
    [anon_sym_GT_EQ] = ACTIONS(903),
    [anon_sym_CARET] = ACTIONS(905),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_PERCENT] = ACTIONS(905),
    [sym_comment] = ACTIONS(87),
  },
  [3832] = {
    [sym__string_end] = ACTIONS(9664),
    [sym_comment] = ACTIONS(87),
  },
  [3833] = {
    [sym__line_break] = ACTIONS(909),
    [sym__heredoc_body_start] = ACTIONS(909),
    [sym__element_reference_left_bracket] = ACTIONS(909),
    [sym__infix_scope_colons] = ACTIONS(909),
    [sym__binary_minus] = ACTIONS(909),
    [sym__binary_star] = ACTIONS(909),
    [ts_builtin_sym_end] = ACTIONS(909),
    [anon_sym___END__] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_STAR_STAR] = ACTIONS(911),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_end] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_unless] = ACTIONS(909),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_until] = ACTIONS(909),
    [anon_sym_rescue] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_elsif] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_then] = ACTIONS(909),
    [anon_sym_ensure] = ACTIONS(909),
    [anon_sym_AMP_DOT] = ACTIONS(909),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_and] = ACTIONS(909),
    [anon_sym_or] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(911),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ_GT] = ACTIONS(909),
    [anon_sym_EQ_TILDE] = ACTIONS(909),
    [anon_sym_BANG_TILDE] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [sym_comment] = ACTIONS(87),
  },
  [3834] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(6769),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(9666),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9668),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [3835] = {
    [aux_sym_string_array_repeat1] = STATE(6772),
    [sym__string_end] = ACTIONS(9670),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9672),
  },
  [3836] = {
    [sym__line_break] = ACTIONS(927),
    [sym__heredoc_body_start] = ACTIONS(927),
    [sym__element_reference_left_bracket] = ACTIONS(927),
    [sym__infix_scope_colons] = ACTIONS(927),
    [sym__binary_minus] = ACTIONS(927),
    [sym__binary_star] = ACTIONS(927),
    [ts_builtin_sym_end] = ACTIONS(927),
    [anon_sym___END__] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_RPAREN] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym_STAR_STAR] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_EQ] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_end] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_unless] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(927),
    [anon_sym_until] = ACTIONS(927),
    [anon_sym_rescue] = ACTIONS(927),
    [anon_sym_do] = ACTIONS(927),
    [anon_sym_when] = ACTIONS(927),
    [anon_sym_elsif] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(927),
    [anon_sym_then] = ACTIONS(927),
    [anon_sym_ensure] = ACTIONS(927),
    [anon_sym_AMP_DOT] = ACTIONS(927),
    [anon_sym_PLUS_EQ] = ACTIONS(927),
    [anon_sym_DASH_EQ] = ACTIONS(927),
    [anon_sym_STAR_EQ] = ACTIONS(927),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(927),
    [anon_sym_SLASH_EQ] = ACTIONS(927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(927),
    [anon_sym_PIPE_EQ] = ACTIONS(927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(927),
    [anon_sym_AMP_EQ] = ACTIONS(927),
    [anon_sym_PERCENT_EQ] = ACTIONS(927),
    [anon_sym_GT_GT_EQ] = ACTIONS(927),
    [anon_sym_LT_LT_EQ] = ACTIONS(927),
    [anon_sym_CARET_EQ] = ACTIONS(927),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_DOT_DOT] = ACTIONS(929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(927),
    [anon_sym_and] = ACTIONS(927),
    [anon_sym_or] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(929),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(927),
    [anon_sym_LT_EQ_GT] = ACTIONS(927),
    [anon_sym_EQ_TILDE] = ACTIONS(927),
    [anon_sym_BANG_TILDE] = ACTIONS(927),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(927),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(929),
    [sym_comment] = ACTIONS(87),
  },
  [3837] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(6775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(9674),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9676),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [3838] = {
    [aux_sym_symbol_array_repeat1] = STATE(6778),
    [sym__string_end] = ACTIONS(9678),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9680),
  },
  [3839] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [ts_builtin_sym_end] = ACTIONS(939),
    [anon_sym___END__] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [3840] = {
    [sym__line_break] = ACTIONS(997),
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(997),
    [sym__infix_scope_colons] = ACTIONS(997),
    [sym__binary_minus] = ACTIONS(997),
    [sym__binary_star] = ACTIONS(997),
    [ts_builtin_sym_end] = ACTIONS(997),
    [anon_sym___END__] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_RPAREN] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(997),
    [anon_sym_STAR_STAR] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_EQ] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_end] = ACTIONS(997),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_unless] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(997),
    [anon_sym_until] = ACTIONS(997),
    [anon_sym_rescue] = ACTIONS(997),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_when] = ACTIONS(997),
    [anon_sym_elsif] = ACTIONS(997),
    [anon_sym_else] = ACTIONS(997),
    [anon_sym_then] = ACTIONS(997),
    [anon_sym_ensure] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(997),
    [anon_sym_PLUS_EQ] = ACTIONS(997),
    [anon_sym_DASH_EQ] = ACTIONS(997),
    [anon_sym_STAR_EQ] = ACTIONS(997),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(997),
    [anon_sym_SLASH_EQ] = ACTIONS(997),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(997),
    [anon_sym_PIPE_EQ] = ACTIONS(997),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(997),
    [anon_sym_AMP_EQ] = ACTIONS(997),
    [anon_sym_PERCENT_EQ] = ACTIONS(997),
    [anon_sym_GT_GT_EQ] = ACTIONS(997),
    [anon_sym_LT_LT_EQ] = ACTIONS(997),
    [anon_sym_CARET_EQ] = ACTIONS(997),
    [anon_sym_QMARK] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(997),
    [anon_sym_and] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(997),
    [anon_sym_PIPE_PIPE] = ACTIONS(999),
    [anon_sym_AMP_AMP] = ACTIONS(999),
    [anon_sym_LT_LT] = ACTIONS(999),
    [anon_sym_GT_GT] = ACTIONS(999),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(997),
    [anon_sym_LT_EQ_GT] = ACTIONS(997),
    [anon_sym_EQ_TILDE] = ACTIONS(997),
    [anon_sym_BANG_TILDE] = ACTIONS(997),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(999),
    [anon_sym_GT_EQ] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_SLASH] = ACTIONS(999),
    [anon_sym_PERCENT] = ACTIONS(999),
    [sym_comment] = ACTIONS(87),
  },
  [3841] = {
    [anon_sym_RBRACE] = ACTIONS(9682),
    [sym_comment] = ACTIONS(87),
  },
  [3842] = {
    [sym_heredoc_body] = STATE(6780),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACE] = ACTIONS(9682),
    [sym_comment] = ACTIONS(87),
  },
  [3843] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6781),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(6781),
    [sym_operator_assignment] = STATE(6781),
    [sym_conditional] = STATE(6781),
    [sym_range] = STATE(6781),
    [sym_binary] = STATE(6781),
    [sym_unary] = STATE(6781),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3844] = {
    [sym__line_break] = ACTIONS(1277),
    [sym__heredoc_body_start] = ACTIONS(1277),
    [sym__element_reference_left_bracket] = ACTIONS(1277),
    [sym__infix_scope_colons] = ACTIONS(1277),
    [sym__binary_minus] = ACTIONS(1277),
    [sym__binary_star] = ACTIONS(1277),
    [ts_builtin_sym_end] = ACTIONS(1277),
    [anon_sym___END__] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_RPAREN] = ACTIONS(1277),
    [anon_sym_DOT] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(1277),
    [anon_sym_PIPE] = ACTIONS(1279),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym_STAR_STAR] = ACTIONS(1279),
    [anon_sym_AMP] = ACTIONS(1279),
    [anon_sym_EQ] = ACTIONS(1279),
    [anon_sym_LT] = ACTIONS(1279),
    [anon_sym_end] = ACTIONS(1277),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_unless] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_until] = ACTIONS(1277),
    [anon_sym_rescue] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_when] = ACTIONS(1277),
    [anon_sym_elsif] = ACTIONS(1277),
    [anon_sym_else] = ACTIONS(1277),
    [anon_sym_then] = ACTIONS(1277),
    [anon_sym_ensure] = ACTIONS(1277),
    [anon_sym_AMP_DOT] = ACTIONS(1277),
    [anon_sym_PLUS_EQ] = ACTIONS(1277),
    [anon_sym_DASH_EQ] = ACTIONS(1277),
    [anon_sym_STAR_EQ] = ACTIONS(1277),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1277),
    [anon_sym_SLASH_EQ] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1277),
    [anon_sym_PIPE_EQ] = ACTIONS(1277),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1277),
    [anon_sym_AMP_EQ] = ACTIONS(1277),
    [anon_sym_PERCENT_EQ] = ACTIONS(1277),
    [anon_sym_GT_GT_EQ] = ACTIONS(1277),
    [anon_sym_LT_LT_EQ] = ACTIONS(1277),
    [anon_sym_CARET_EQ] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(1277),
    [anon_sym_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1277),
    [anon_sym_and] = ACTIONS(1277),
    [anon_sym_or] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE] = ACTIONS(1279),
    [anon_sym_AMP_AMP] = ACTIONS(1279),
    [anon_sym_LT_LT] = ACTIONS(1279),
    [anon_sym_GT_GT] = ACTIONS(1279),
    [anon_sym_EQ_EQ] = ACTIONS(1279),
    [anon_sym_BANG_EQ] = ACTIONS(1277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1277),
    [anon_sym_LT_EQ_GT] = ACTIONS(1277),
    [anon_sym_EQ_TILDE] = ACTIONS(1277),
    [anon_sym_BANG_TILDE] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(1279),
    [anon_sym_GT] = ACTIONS(1279),
    [anon_sym_GT_EQ] = ACTIONS(1277),
    [anon_sym_CARET] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_SLASH] = ACTIONS(1279),
    [anon_sym_PERCENT] = ACTIONS(1279),
    [sym_comment] = ACTIONS(87),
  },
  [3845] = {
    [anon_sym_DOT] = ACTIONS(9684),
    [anon_sym_COLON_COLON] = ACTIONS(9684),
    [sym_comment] = ACTIONS(87),
  },
  [3846] = {
    [sym_method_parameters] = STATE(6783),
    [sym__simple_formal_parameter] = STATE(715),
    [sym_splat_parameter] = STATE(715),
    [sym_hash_splat_parameter] = STATE(715),
    [sym_block_parameter] = STATE(715),
    [sym_keyword_parameter] = STATE(715),
    [sym_optional_parameter] = STATE(715),
    [sym_heredoc_body] = STATE(6783),
    [sym__terminator] = STATE(6783),
    [sym__line_break] = ACTIONS(9686),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(9686),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_comment] = ACTIONS(87),
  },
  [3847] = {
    [sym__line_break] = ACTIONS(1295),
    [sym__heredoc_body_start] = ACTIONS(1295),
    [sym__element_reference_left_bracket] = ACTIONS(1295),
    [sym__infix_scope_colons] = ACTIONS(1295),
    [sym__binary_minus] = ACTIONS(1295),
    [sym__binary_star] = ACTIONS(1295),
    [ts_builtin_sym_end] = ACTIONS(1295),
    [anon_sym___END__] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_RPAREN] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1295),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_STAR_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_end] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_unless] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_until] = ACTIONS(1295),
    [anon_sym_rescue] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_when] = ACTIONS(1295),
    [anon_sym_elsif] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(1295),
    [anon_sym_then] = ACTIONS(1295),
    [anon_sym_ensure] = ACTIONS(1295),
    [anon_sym_AMP_DOT] = ACTIONS(1295),
    [anon_sym_PLUS_EQ] = ACTIONS(1295),
    [anon_sym_DASH_EQ] = ACTIONS(1295),
    [anon_sym_STAR_EQ] = ACTIONS(1295),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1295),
    [anon_sym_SLASH_EQ] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1295),
    [anon_sym_AMP_EQ] = ACTIONS(1295),
    [anon_sym_PERCENT_EQ] = ACTIONS(1295),
    [anon_sym_GT_GT_EQ] = ACTIONS(1295),
    [anon_sym_LT_LT_EQ] = ACTIONS(1295),
    [anon_sym_CARET_EQ] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1295),
    [anon_sym_DOT_DOT] = ACTIONS(1297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1295),
    [anon_sym_and] = ACTIONS(1295),
    [anon_sym_or] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1297),
    [anon_sym_AMP_AMP] = ACTIONS(1297),
    [anon_sym_LT_LT] = ACTIONS(1297),
    [anon_sym_GT_GT] = ACTIONS(1297),
    [anon_sym_EQ_EQ] = ACTIONS(1297),
    [anon_sym_BANG_EQ] = ACTIONS(1295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ_GT] = ACTIONS(1295),
    [anon_sym_EQ_TILDE] = ACTIONS(1295),
    [anon_sym_BANG_TILDE] = ACTIONS(1295),
    [anon_sym_LT_EQ] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_CARET] = ACTIONS(1297),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1297),
    [sym_comment] = ACTIONS(87),
  },
  [3848] = {
    [anon_sym_RPAREN] = ACTIONS(9688),
    [sym_comment] = ACTIONS(87),
  },
  [3849] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6785),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(6785),
    [sym_operator_assignment] = STATE(6785),
    [sym_conditional] = STATE(6785),
    [sym_range] = STATE(6785),
    [sym_binary] = STATE(6785),
    [sym_unary] = STATE(6785),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3850] = {
    [sym_superclass] = STATE(6786),
    [sym_heredoc_body] = STATE(6787),
    [sym__terminator] = STATE(6787),
    [sym__line_break] = ACTIONS(9690),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(9690),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3851] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_superclass] = STATE(6786),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(6787),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(6787),
    [sym__line_break] = ACTIONS(9690),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(9690),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3852] = {
    [sym_heredoc_body] = STATE(6789),
    [sym__terminator] = STATE(6789),
    [sym__line_break] = ACTIONS(9692),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(9692),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(9694),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3853] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(6789),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(6789),
    [sym__line_break] = ACTIONS(9692),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(9692),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_end] = ACTIONS(9694),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [3854] = {
    [sym__line_break] = ACTIONS(1689),
    [sym__heredoc_body_start] = ACTIONS(1689),
    [sym__element_reference_left_bracket] = ACTIONS(1689),
    [sym__infix_scope_colons] = ACTIONS(1689),
    [sym__binary_minus] = ACTIONS(1689),
    [sym__binary_star] = ACTIONS(1689),
    [ts_builtin_sym_end] = ACTIONS(1689),
    [anon_sym___END__] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_STAR_STAR] = ACTIONS(1691),
    [anon_sym_AMP] = ACTIONS(1691),
    [anon_sym_EQ] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_end] = ACTIONS(1689),
    [anon_sym_if] = ACTIONS(1689),
    [anon_sym_unless] = ACTIONS(1689),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_until] = ACTIONS(1689),
    [anon_sym_rescue] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(1689),
    [anon_sym_when] = ACTIONS(1689),
    [anon_sym_elsif] = ACTIONS(1689),
    [anon_sym_else] = ACTIONS(1689),
    [anon_sym_then] = ACTIONS(1689),
    [anon_sym_ensure] = ACTIONS(1689),
    [anon_sym_AMP_DOT] = ACTIONS(1689),
    [anon_sym_PLUS_EQ] = ACTIONS(1689),
    [anon_sym_DASH_EQ] = ACTIONS(1689),
    [anon_sym_STAR_EQ] = ACTIONS(1689),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1689),
    [anon_sym_SLASH_EQ] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1689),
    [anon_sym_PIPE_EQ] = ACTIONS(1689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1689),
    [anon_sym_AMP_EQ] = ACTIONS(1689),
    [anon_sym_PERCENT_EQ] = ACTIONS(1689),
    [anon_sym_GT_GT_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT_EQ] = ACTIONS(1689),
    [anon_sym_CARET_EQ] = ACTIONS(1689),
    [anon_sym_QMARK] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1689),
    [anon_sym_and] = ACTIONS(1689),
    [anon_sym_or] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE] = ACTIONS(1691),
    [anon_sym_AMP_AMP] = ACTIONS(1691),
    [anon_sym_LT_LT] = ACTIONS(1691),
    [anon_sym_GT_GT] = ACTIONS(1691),
    [anon_sym_EQ_EQ] = ACTIONS(1691),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1689),
    [anon_sym_LT_EQ_GT] = ACTIONS(1689),
    [anon_sym_EQ_TILDE] = ACTIONS(1689),
    [anon_sym_BANG_TILDE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PERCENT] = ACTIONS(1691),
    [sym_comment] = ACTIONS(87),
  },
  [3855] = {
    [sym__line_break] = ACTIONS(1709),
    [sym__heredoc_body_start] = ACTIONS(1709),
    [sym__element_reference_left_bracket] = ACTIONS(1709),
    [sym__infix_scope_colons] = ACTIONS(1709),
    [sym__binary_minus] = ACTIONS(1709),
    [sym__binary_star] = ACTIONS(1709),
    [ts_builtin_sym_end] = ACTIONS(1709),
    [anon_sym___END__] = ACTIONS(1709),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1711),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_end] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_unless] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_until] = ACTIONS(1709),
    [anon_sym_rescue] = ACTIONS(1709),
    [anon_sym_do] = ACTIONS(1709),
    [anon_sym_when] = ACTIONS(1709),
    [anon_sym_elsif] = ACTIONS(1709),
    [anon_sym_else] = ACTIONS(1709),
    [anon_sym_then] = ACTIONS(1709),
    [anon_sym_ensure] = ACTIONS(1709),
    [anon_sym_AMP_DOT] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1711),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(87),
  },
  [3856] = {
    [sym__line_break] = ACTIONS(1713),
    [sym__heredoc_body_start] = ACTIONS(1713),
    [sym__element_reference_left_bracket] = ACTIONS(1713),
    [sym__infix_scope_colons] = ACTIONS(1713),
    [sym__binary_minus] = ACTIONS(1713),
    [sym__binary_star] = ACTIONS(1713),
    [ts_builtin_sym_end] = ACTIONS(1713),
    [anon_sym___END__] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_RBRACE] = ACTIONS(1713),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_STAR_STAR] = ACTIONS(1715),
    [anon_sym_AMP] = ACTIONS(1715),
    [anon_sym_EQ] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_end] = ACTIONS(1713),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_unless] = ACTIONS(1713),
    [anon_sym_while] = ACTIONS(1713),
    [anon_sym_until] = ACTIONS(1713),
    [anon_sym_rescue] = ACTIONS(1713),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_when] = ACTIONS(1713),
    [anon_sym_elsif] = ACTIONS(1713),
    [anon_sym_else] = ACTIONS(1713),
    [anon_sym_then] = ACTIONS(1713),
    [anon_sym_ensure] = ACTIONS(1713),
    [anon_sym_AMP_DOT] = ACTIONS(1713),
    [anon_sym_PLUS_EQ] = ACTIONS(1713),
    [anon_sym_DASH_EQ] = ACTIONS(1713),
    [anon_sym_STAR_EQ] = ACTIONS(1713),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1713),
    [anon_sym_SLASH_EQ] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1713),
    [anon_sym_PIPE_EQ] = ACTIONS(1713),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1713),
    [anon_sym_AMP_EQ] = ACTIONS(1713),
    [anon_sym_PERCENT_EQ] = ACTIONS(1713),
    [anon_sym_GT_GT_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT_EQ] = ACTIONS(1713),
    [anon_sym_CARET_EQ] = ACTIONS(1713),
    [anon_sym_QMARK] = ACTIONS(1713),
    [anon_sym_DOT_DOT] = ACTIONS(1715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1713),
    [anon_sym_and] = ACTIONS(1713),
    [anon_sym_or] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE] = ACTIONS(1715),
    [anon_sym_AMP_AMP] = ACTIONS(1715),
    [anon_sym_LT_LT] = ACTIONS(1715),
    [anon_sym_GT_GT] = ACTIONS(1715),
    [anon_sym_EQ_EQ] = ACTIONS(1715),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1713),
    [anon_sym_LT_EQ_GT] = ACTIONS(1713),
    [anon_sym_EQ_TILDE] = ACTIONS(1713),
    [anon_sym_BANG_TILDE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PERCENT] = ACTIONS(1715),
    [sym_comment] = ACTIONS(87),
  },
  [3857] = {
    [sym__line_break] = ACTIONS(1717),
    [sym__heredoc_body_start] = ACTIONS(1717),
    [sym__element_reference_left_bracket] = ACTIONS(1717),
    [sym__infix_scope_colons] = ACTIONS(1717),
    [sym__binary_minus] = ACTIONS(1717),
    [sym__binary_star] = ACTIONS(1717),
    [ts_builtin_sym_end] = ACTIONS(1717),
    [anon_sym___END__] = ACTIONS(1717),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_STAR_STAR] = ACTIONS(1719),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_EQ] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_end] = ACTIONS(1717),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_unless] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_until] = ACTIONS(1717),
    [anon_sym_rescue] = ACTIONS(1717),
    [anon_sym_do] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(1717),
    [anon_sym_elsif] = ACTIONS(1717),
    [anon_sym_else] = ACTIONS(1717),
    [anon_sym_then] = ACTIONS(1717),
    [anon_sym_ensure] = ACTIONS(1717),
    [anon_sym_AMP_DOT] = ACTIONS(1717),
    [anon_sym_PLUS_EQ] = ACTIONS(1717),
    [anon_sym_DASH_EQ] = ACTIONS(1717),
    [anon_sym_STAR_EQ] = ACTIONS(1717),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1717),
    [anon_sym_SLASH_EQ] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1717),
    [anon_sym_PIPE_EQ] = ACTIONS(1717),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1717),
    [anon_sym_AMP_EQ] = ACTIONS(1717),
    [anon_sym_PERCENT_EQ] = ACTIONS(1717),
    [anon_sym_GT_GT_EQ] = ACTIONS(1717),
    [anon_sym_LT_LT_EQ] = ACTIONS(1717),
    [anon_sym_CARET_EQ] = ACTIONS(1717),
    [anon_sym_QMARK] = ACTIONS(1717),
    [anon_sym_DOT_DOT] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(1717),
    [anon_sym_or] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE] = ACTIONS(1719),
    [anon_sym_AMP_AMP] = ACTIONS(1719),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1717),
    [anon_sym_LT_EQ_GT] = ACTIONS(1717),
    [anon_sym_EQ_TILDE] = ACTIONS(1717),
    [anon_sym_BANG_TILDE] = ACTIONS(1717),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1717),
    [anon_sym_CARET] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_PERCENT] = ACTIONS(1719),
    [sym_comment] = ACTIONS(87),
  },
  [3858] = {
    [sym__then] = STATE(6790),
    [sym_heredoc_body] = STATE(1027),
    [sym__terminator] = STATE(1027),
    [sym__line_break] = ACTIONS(1751),
    [sym__heredoc_body_start] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(9696),
    [sym_comment] = ACTIONS(87),
  },
  [3859] = {
    [sym__then] = STATE(6791),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(9698),
    [sym_comment] = ACTIONS(87),
  },
  [3860] = {
    [sym__do] = STATE(6792),
    [sym_heredoc_body] = STATE(6792),
    [sym__terminator] = STATE(6792),
    [sym__line_break] = ACTIONS(9700),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(9700),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(9700),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [3861] = {
    [sym__do] = STATE(6793),
    [sym_heredoc_body] = STATE(6793),
    [sym__terminator] = STATE(6793),
    [sym__line_break] = ACTIONS(9702),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(9702),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(9702),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [3862] = {
    [sym_in] = STATE(6794),
    [anon_sym_in] = ACTIONS(1985),
    [sym_comment] = ACTIONS(87),
  },
  [3863] = {
    [sym_heredoc_body] = STATE(6795),
    [sym__terminator] = STATE(6795),
    [sym__line_break] = ACTIONS(9704),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(9704),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3864] = {
    [sym_when] = STATE(6796),
    [aux_sym_case_repeat1] = STATE(6797),
    [anon_sym_SEMI] = ACTIONS(9706),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [3865] = {
    [sym_else] = STATE(6799),
    [sym_ensure] = STATE(6800),
    [sym_rescue] = STATE(6801),
    [anon_sym_end] = ACTIONS(9708),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [3866] = {
    [sym_ensure] = STATE(6800),
    [anon_sym_end] = ACTIONS(9708),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [3867] = {
    [anon_sym_end] = ACTIONS(9708),
    [sym_comment] = ACTIONS(87),
  },
  [3868] = {
    [sym_else] = STATE(6799),
    [sym_ensure] = STATE(6800),
    [anon_sym_end] = ACTIONS(9708),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [3869] = {
    [sym__line_break] = ACTIONS(2205),
    [sym__heredoc_body_start] = ACTIONS(2205),
    [sym__element_reference_left_bracket] = ACTIONS(2205),
    [sym__infix_scope_colons] = ACTIONS(2205),
    [sym__binary_minus] = ACTIONS(2205),
    [sym__binary_star] = ACTIONS(2205),
    [ts_builtin_sym_end] = ACTIONS(2205),
    [anon_sym___END__] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_STAR_STAR] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_EQ] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_end] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_unless] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_until] = ACTIONS(2205),
    [anon_sym_rescue] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_when] = ACTIONS(2205),
    [anon_sym_elsif] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_then] = ACTIONS(2205),
    [anon_sym_ensure] = ACTIONS(2205),
    [anon_sym_AMP_DOT] = ACTIONS(2205),
    [anon_sym_PLUS_EQ] = ACTIONS(2205),
    [anon_sym_DASH_EQ] = ACTIONS(2205),
    [anon_sym_STAR_EQ] = ACTIONS(2205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2205),
    [anon_sym_SLASH_EQ] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2205),
    [anon_sym_PIPE_EQ] = ACTIONS(2205),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2205),
    [anon_sym_AMP_EQ] = ACTIONS(2205),
    [anon_sym_PERCENT_EQ] = ACTIONS(2205),
    [anon_sym_GT_GT_EQ] = ACTIONS(2205),
    [anon_sym_LT_LT_EQ] = ACTIONS(2205),
    [anon_sym_CARET_EQ] = ACTIONS(2205),
    [anon_sym_QMARK] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_and] = ACTIONS(2205),
    [anon_sym_or] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_LT_LT] = ACTIONS(2207),
    [anon_sym_GT_GT] = ACTIONS(2207),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_LT_EQ_GT] = ACTIONS(2205),
    [anon_sym_EQ_TILDE] = ACTIONS(2205),
    [anon_sym_BANG_TILDE] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_SLASH] = ACTIONS(2207),
    [anon_sym_PERCENT] = ACTIONS(2207),
    [sym_comment] = ACTIONS(87),
  },
  [3870] = {
    [sym__statements] = STATE(3865),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(3866),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(3867),
    [sym_rescue] = STATE(3868),
    [sym__body_statement] = STATE(6802),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9710),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3871] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [3872] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [3873] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2281),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [3874] = {
    [sym__line_break] = ACTIONS(2291),
    [sym__heredoc_body_start] = ACTIONS(2291),
    [sym__element_reference_left_bracket] = ACTIONS(2291),
    [sym__infix_scope_colons] = ACTIONS(2291),
    [sym__binary_minus] = ACTIONS(2291),
    [sym__binary_star] = ACTIONS(2291),
    [ts_builtin_sym_end] = ACTIONS(2291),
    [anon_sym___END__] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2291),
    [anon_sym_RBRACE] = ACTIONS(2291),
    [anon_sym_RPAREN] = ACTIONS(2291),
    [anon_sym_DOT] = ACTIONS(2293),
    [anon_sym_COMMA] = ACTIONS(2291),
    [anon_sym_PIPE] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2291),
    [anon_sym_STAR_STAR] = ACTIONS(2293),
    [anon_sym_AMP] = ACTIONS(2293),
    [anon_sym_EQ] = ACTIONS(2293),
    [anon_sym_LT] = ACTIONS(2293),
    [anon_sym_end] = ACTIONS(2291),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_unless] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_until] = ACTIONS(2291),
    [anon_sym_rescue] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_when] = ACTIONS(2291),
    [anon_sym_elsif] = ACTIONS(2291),
    [anon_sym_else] = ACTIONS(2291),
    [anon_sym_then] = ACTIONS(2291),
    [anon_sym_ensure] = ACTIONS(2291),
    [anon_sym_AMP_DOT] = ACTIONS(2291),
    [anon_sym_PLUS_EQ] = ACTIONS(2291),
    [anon_sym_DASH_EQ] = ACTIONS(2291),
    [anon_sym_STAR_EQ] = ACTIONS(2291),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2291),
    [anon_sym_SLASH_EQ] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2291),
    [anon_sym_PIPE_EQ] = ACTIONS(2291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2291),
    [anon_sym_AMP_EQ] = ACTIONS(2291),
    [anon_sym_PERCENT_EQ] = ACTIONS(2291),
    [anon_sym_GT_GT_EQ] = ACTIONS(2291),
    [anon_sym_LT_LT_EQ] = ACTIONS(2291),
    [anon_sym_CARET_EQ] = ACTIONS(2291),
    [anon_sym_QMARK] = ACTIONS(2291),
    [anon_sym_DOT_DOT] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2291),
    [anon_sym_and] = ACTIONS(2291),
    [anon_sym_or] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE] = ACTIONS(2293),
    [anon_sym_AMP_AMP] = ACTIONS(2293),
    [anon_sym_LT_LT] = ACTIONS(2293),
    [anon_sym_GT_GT] = ACTIONS(2293),
    [anon_sym_EQ_EQ] = ACTIONS(2293),
    [anon_sym_BANG_EQ] = ACTIONS(2291),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2291),
    [anon_sym_LT_EQ_GT] = ACTIONS(2291),
    [anon_sym_EQ_TILDE] = ACTIONS(2291),
    [anon_sym_BANG_TILDE] = ACTIONS(2291),
    [anon_sym_LT_EQ] = ACTIONS(2293),
    [anon_sym_GT] = ACTIONS(2293),
    [anon_sym_GT_EQ] = ACTIONS(2291),
    [anon_sym_CARET] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_SLASH] = ACTIONS(2293),
    [anon_sym_PERCENT] = ACTIONS(2293),
    [sym_comment] = ACTIONS(87),
  },
  [3875] = {
    [sym__line_break] = ACTIONS(2375),
    [sym__heredoc_body_start] = ACTIONS(2375),
    [sym__element_reference_left_bracket] = ACTIONS(2375),
    [sym__infix_scope_colons] = ACTIONS(2375),
    [sym__binary_minus] = ACTIONS(2375),
    [sym__binary_star] = ACTIONS(2375),
    [ts_builtin_sym_end] = ACTIONS(2375),
    [anon_sym___END__] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_RBRACE] = ACTIONS(2375),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_COMMA] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2375),
    [anon_sym_STAR_STAR] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(2377),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LT] = ACTIONS(2377),
    [anon_sym_end] = ACTIONS(2375),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_unless] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(2375),
    [anon_sym_until] = ACTIONS(2375),
    [anon_sym_rescue] = ACTIONS(2375),
    [anon_sym_do] = ACTIONS(2375),
    [anon_sym_when] = ACTIONS(2375),
    [anon_sym_elsif] = ACTIONS(2375),
    [anon_sym_else] = ACTIONS(2375),
    [anon_sym_then] = ACTIONS(2375),
    [anon_sym_ensure] = ACTIONS(2375),
    [anon_sym_AMP_DOT] = ACTIONS(2375),
    [anon_sym_PLUS_EQ] = ACTIONS(2375),
    [anon_sym_DASH_EQ] = ACTIONS(2375),
    [anon_sym_STAR_EQ] = ACTIONS(2375),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2375),
    [anon_sym_SLASH_EQ] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2375),
    [anon_sym_PIPE_EQ] = ACTIONS(2375),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2375),
    [anon_sym_AMP_EQ] = ACTIONS(2375),
    [anon_sym_PERCENT_EQ] = ACTIONS(2375),
    [anon_sym_GT_GT_EQ] = ACTIONS(2375),
    [anon_sym_LT_LT_EQ] = ACTIONS(2375),
    [anon_sym_CARET_EQ] = ACTIONS(2375),
    [anon_sym_QMARK] = ACTIONS(2375),
    [anon_sym_DOT_DOT] = ACTIONS(2377),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2375),
    [anon_sym_and] = ACTIONS(2375),
    [anon_sym_or] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE] = ACTIONS(2377),
    [anon_sym_AMP_AMP] = ACTIONS(2377),
    [anon_sym_LT_LT] = ACTIONS(2377),
    [anon_sym_GT_GT] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2375),
    [anon_sym_LT_EQ_GT] = ACTIONS(2375),
    [anon_sym_EQ_TILDE] = ACTIONS(2375),
    [anon_sym_BANG_TILDE] = ACTIONS(2375),
    [anon_sym_LT_EQ] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2375),
    [anon_sym_CARET] = ACTIONS(2377),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_SLASH] = ACTIONS(2377),
    [anon_sym_PERCENT] = ACTIONS(2377),
    [sym_comment] = ACTIONS(87),
  },
  [3876] = {
    [sym_heredoc_body] = STATE(6804),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(9712),
    [sym_comment] = ACTIONS(87),
  },
  [3877] = {
    [anon_sym_RBRACK] = ACTIONS(9712),
    [sym_comment] = ACTIONS(87),
  },
  [3878] = {
    [sym_do_block] = STATE(6805),
    [sym_block] = STATE(6805),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2757),
    [sym_comment] = ACTIONS(87),
  },
  [3879] = {
    [sym__line_break] = ACTIONS(2521),
    [sym__heredoc_body_start] = ACTIONS(2521),
    [sym__element_reference_left_bracket] = ACTIONS(2521),
    [sym__infix_scope_colons] = ACTIONS(2521),
    [sym__binary_minus] = ACTIONS(2521),
    [sym__binary_star] = ACTIONS(2521),
    [ts_builtin_sym_end] = ACTIONS(2521),
    [anon_sym___END__] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_STAR_STAR] = ACTIONS(2523),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_EQ] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_end] = ACTIONS(2521),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_unless] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_until] = ACTIONS(2521),
    [anon_sym_rescue] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_when] = ACTIONS(2521),
    [anon_sym_elsif] = ACTIONS(2521),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_then] = ACTIONS(2521),
    [anon_sym_ensure] = ACTIONS(2521),
    [anon_sym_AMP_DOT] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2521),
    [anon_sym_DASH_EQ] = ACTIONS(2521),
    [anon_sym_STAR_EQ] = ACTIONS(2521),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2521),
    [anon_sym_SLASH_EQ] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2521),
    [anon_sym_PIPE_EQ] = ACTIONS(2521),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2521),
    [anon_sym_AMP_EQ] = ACTIONS(2521),
    [anon_sym_PERCENT_EQ] = ACTIONS(2521),
    [anon_sym_GT_GT_EQ] = ACTIONS(2521),
    [anon_sym_LT_LT_EQ] = ACTIONS(2521),
    [anon_sym_CARET_EQ] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_DOT_DOT] = ACTIONS(2523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2521),
    [anon_sym_and] = ACTIONS(2521),
    [anon_sym_or] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2523),
    [anon_sym_AMP_AMP] = ACTIONS(2523),
    [anon_sym_LT_LT] = ACTIONS(2523),
    [anon_sym_GT_GT] = ACTIONS(2523),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2521),
    [anon_sym_LT_EQ_GT] = ACTIONS(2521),
    [anon_sym_EQ_TILDE] = ACTIONS(2521),
    [anon_sym_BANG_TILDE] = ACTIONS(2521),
    [anon_sym_LT_EQ] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_GT_EQ] = ACTIONS(2521),
    [anon_sym_CARET] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_SLASH] = ACTIONS(2523),
    [anon_sym_PERCENT] = ACTIONS(2523),
    [sym_comment] = ACTIONS(87),
  },
  [3880] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6806),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6806),
    [sym_operator_assignment] = STATE(6806),
    [sym_conditional] = STATE(6806),
    [sym_range] = STATE(6806),
    [sym_binary] = STATE(6806),
    [sym_unary] = STATE(6806),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3881] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6807),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6807),
    [sym_operator_assignment] = STATE(6807),
    [sym_conditional] = STATE(6807),
    [sym_range] = STATE(6807),
    [sym_binary] = STATE(6807),
    [sym_unary] = STATE(6807),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3882] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6808),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6808),
    [sym_operator_assignment] = STATE(6808),
    [sym_conditional] = STATE(6808),
    [sym_range] = STATE(6808),
    [sym_binary] = STATE(6808),
    [sym_unary] = STATE(6808),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3883] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6809),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6809),
    [sym_operator_assignment] = STATE(6809),
    [sym_conditional] = STATE(6809),
    [sym_range] = STATE(6809),
    [sym_binary] = STATE(6809),
    [sym_unary] = STATE(6809),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3884] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6810),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6810),
    [sym_operator_assignment] = STATE(6810),
    [sym_conditional] = STATE(6810),
    [sym_range] = STATE(6810),
    [sym_binary] = STATE(6810),
    [sym_unary] = STATE(6810),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3885] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6811),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6811),
    [sym_operator_assignment] = STATE(6811),
    [sym_conditional] = STATE(6811),
    [sym_range] = STATE(6811),
    [sym_binary] = STATE(6811),
    [sym_unary] = STATE(6811),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3886] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6812),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6812),
    [sym_operator_assignment] = STATE(6812),
    [sym_conditional] = STATE(6812),
    [sym_range] = STATE(6812),
    [sym_binary] = STATE(6812),
    [sym_unary] = STATE(6812),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3887] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6813),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6813),
    [sym_operator_assignment] = STATE(6813),
    [sym_conditional] = STATE(6813),
    [sym_range] = STATE(6813),
    [sym_binary] = STATE(6813),
    [sym_unary] = STATE(6813),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3888] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6814),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6814),
    [sym_operator_assignment] = STATE(6814),
    [sym_conditional] = STATE(6814),
    [sym_range] = STATE(6814),
    [sym_binary] = STATE(6814),
    [sym_unary] = STATE(6814),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3889] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6815),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6815),
    [sym_operator_assignment] = STATE(6815),
    [sym_conditional] = STATE(6815),
    [sym_range] = STATE(6815),
    [sym_binary] = STATE(6815),
    [sym_unary] = STATE(6815),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3890] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6816),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6816),
    [sym_operator_assignment] = STATE(6816),
    [sym_conditional] = STATE(6816),
    [sym_range] = STATE(6816),
    [sym_binary] = STATE(6816),
    [sym_unary] = STATE(6816),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3891] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6817),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6817),
    [sym_operator_assignment] = STATE(6817),
    [sym_conditional] = STATE(6817),
    [sym_range] = STATE(6817),
    [sym_binary] = STATE(6817),
    [sym_unary] = STATE(6817),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3892] = {
    [sym__statements] = STATE(1597),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(1598),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(1604),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(1605),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(9714),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3893] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6819),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_splat_argument] = STATE(6821),
    [sym_assignment] = STATE(6819),
    [sym_operator_assignment] = STATE(6819),
    [sym_conditional] = STATE(6819),
    [sym_range] = STATE(6819),
    [sym_binary] = STATE(6819),
    [sym_unary] = STATE(6819),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(6821),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(767),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3894] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6822),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(6822),
    [sym_operator_assignment] = STATE(6822),
    [sym_conditional] = STATE(6822),
    [sym_range] = STATE(6822),
    [sym_binary] = STATE(6822),
    [sym_unary] = STATE(6822),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [3895] = {
    [sym_string] = STATE(6823),
    [aux_sym_chained_string_repeat1] = STATE(6823),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [ts_builtin_sym_end] = ACTIONS(2785),
    [anon_sym___END__] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [3896] = {
    [sym__line_break] = ACTIONS(7758),
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [ts_builtin_sym_end] = ACTIONS(7758),
    [anon_sym___END__] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RBRACE] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR_STAR] = ACTIONS(7760),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_end] = ACTIONS(7758),
    [anon_sym_if] = ACTIONS(7758),
    [anon_sym_unless] = ACTIONS(7758),
    [anon_sym_while] = ACTIONS(7758),
    [anon_sym_until] = ACTIONS(7758),
    [anon_sym_rescue] = ACTIONS(7758),
    [anon_sym_do] = ACTIONS(7758),
    [anon_sym_when] = ACTIONS(7758),
    [anon_sym_elsif] = ACTIONS(7758),
    [anon_sym_else] = ACTIONS(7758),
    [anon_sym_then] = ACTIONS(7758),
    [anon_sym_ensure] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS_EQ] = ACTIONS(7758),
    [anon_sym_DASH_EQ] = ACTIONS(7758),
    [anon_sym_STAR_EQ] = ACTIONS(7758),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7758),
    [anon_sym_SLASH_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7758),
    [anon_sym_AMP_EQ] = ACTIONS(7758),
    [anon_sym_PERCENT_EQ] = ACTIONS(7758),
    [anon_sym_GT_GT_EQ] = ACTIONS(7758),
    [anon_sym_LT_LT_EQ] = ACTIONS(7758),
    [anon_sym_CARET_EQ] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7758),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7758),
    [anon_sym_or] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE] = ACTIONS(7760),
    [anon_sym_AMP_AMP] = ACTIONS(7760),
    [anon_sym_LT_LT] = ACTIONS(7760),
    [anon_sym_GT_GT] = ACTIONS(7760),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7760),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_SLASH] = ACTIONS(7760),
    [anon_sym_PERCENT] = ACTIONS(7760),
    [sym_comment] = ACTIONS(87),
  },
  [3897] = {
    [anon_sym_RPAREN] = ACTIONS(9716),
    [sym_comment] = ACTIONS(87),
  },
  [3898] = {
    [sym__line_break] = ACTIONS(839),
    [sym__string_start] = ACTIONS(839),
    [sym__heredoc_body_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [ts_builtin_sym_end] = ACTIONS(839),
    [anon_sym___END__] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_end] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_unless] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(839),
    [anon_sym_until] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(839),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_when] = ACTIONS(839),
    [anon_sym_elsif] = ACTIONS(839),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_then] = ACTIONS(839),
    [anon_sym_ensure] = ACTIONS(839),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_PLUS_EQ] = ACTIONS(839),
    [anon_sym_DASH_EQ] = ACTIONS(839),
    [anon_sym_STAR_EQ] = ACTIONS(839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(839),
    [anon_sym_SLASH_EQ] = ACTIONS(839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(839),
    [anon_sym_PIPE_EQ] = ACTIONS(839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(839),
    [anon_sym_AMP_EQ] = ACTIONS(839),
    [anon_sym_PERCENT_EQ] = ACTIONS(839),
    [anon_sym_GT_GT_EQ] = ACTIONS(839),
    [anon_sym_LT_LT_EQ] = ACTIONS(839),
    [anon_sym_CARET_EQ] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(841),
    [anon_sym_LT_LT] = ACTIONS(841),
    [anon_sym_GT_GT] = ACTIONS(841),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(841),
    [anon_sym_PERCENT] = ACTIONS(841),
    [sym_comment] = ACTIONS(87),
  },
  [3899] = {
    [sym__string_end] = ACTIONS(9718),
    [sym_comment] = ACTIONS(87),
  },
  [3900] = {
    [sym__line_break] = ACTIONS(997),
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(997),
    [sym__infix_scope_colons] = ACTIONS(997),
    [sym__binary_minus] = ACTIONS(997),
    [sym__binary_star] = ACTIONS(997),
    [ts_builtin_sym_end] = ACTIONS(997),
    [anon_sym___END__] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_RPAREN] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(997),
    [anon_sym_STAR_STAR] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_EQ] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_end] = ACTIONS(997),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_unless] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(997),
    [anon_sym_until] = ACTIONS(997),
    [anon_sym_rescue] = ACTIONS(997),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_when] = ACTIONS(997),
    [anon_sym_elsif] = ACTIONS(997),
    [anon_sym_else] = ACTIONS(997),
    [anon_sym_then] = ACTIONS(997),
    [anon_sym_ensure] = ACTIONS(997),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(997),
    [anon_sym_PLUS_EQ] = ACTIONS(997),
    [anon_sym_DASH_EQ] = ACTIONS(997),
    [anon_sym_STAR_EQ] = ACTIONS(997),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(997),
    [anon_sym_SLASH_EQ] = ACTIONS(997),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(997),
    [anon_sym_PIPE_EQ] = ACTIONS(997),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(997),
    [anon_sym_AMP_EQ] = ACTIONS(997),
    [anon_sym_PERCENT_EQ] = ACTIONS(997),
    [anon_sym_GT_GT_EQ] = ACTIONS(997),
    [anon_sym_LT_LT_EQ] = ACTIONS(997),
    [anon_sym_CARET_EQ] = ACTIONS(997),
    [anon_sym_QMARK] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(997),
    [anon_sym_and] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(997),
    [anon_sym_PIPE_PIPE] = ACTIONS(999),
    [anon_sym_AMP_AMP] = ACTIONS(999),
    [anon_sym_LT_LT] = ACTIONS(999),
    [anon_sym_GT_GT] = ACTIONS(999),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(997),
    [anon_sym_LT_EQ_GT] = ACTIONS(997),
    [anon_sym_EQ_TILDE] = ACTIONS(997),
    [anon_sym_BANG_TILDE] = ACTIONS(997),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(999),
    [anon_sym_GT_EQ] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_SLASH] = ACTIONS(999),
    [anon_sym_PERCENT] = ACTIONS(999),
    [sym_comment] = ACTIONS(87),
  },
  [3901] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(6681),
    [anon_sym___END__] = ACTIONS(6681),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [3902] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [3903] = {
    [sym_string] = STATE(3940),
    [aux_sym_chained_string_repeat1] = STATE(3940),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3904] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6826),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(6826),
    [sym_operator_assignment] = STATE(6826),
    [sym_conditional] = STATE(6826),
    [sym_range] = STATE(6826),
    [sym_binary] = STATE(6826),
    [sym_unary] = STATE(6826),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3905] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6827),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(6827),
    [sym_operator_assignment] = STATE(6827),
    [sym_conditional] = STATE(6827),
    [sym_range] = STATE(6827),
    [sym_binary] = STATE(6827),
    [sym_unary] = STATE(6827),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3906] = {
    [sym__keyword_colon] = ACTIONS(9720),
    [sym_comment] = ACTIONS(87),
  },
  [3907] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6829),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(6829),
    [sym_operator_assignment] = STATE(6829),
    [sym_conditional] = STATE(6829),
    [sym_range] = STATE(6829),
    [sym_binary] = STATE(6829),
    [sym_unary] = STATE(6829),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3908] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(9720),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3909] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [3910] = {
    [sym_heredoc_body] = STATE(6831),
    [aux_sym_call_repeat1] = STATE(6831),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3911] = {
    [sym_heredoc_body] = STATE(6831),
    [aux_sym_call_repeat1] = STATE(6831),
    [aux_sym_argument_list_repeat1] = STATE(6833),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9722),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [3912] = {
    [sym_string] = STATE(4251),
    [aux_sym_chained_string_repeat1] = STATE(4251),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(9724),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [3913] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [3914] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(6046),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(6050),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(6056),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(6058),
    [anon_sym_DOT_DOT] = ACTIONS(6060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6062),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(6066),
    [anon_sym_AMP_AMP] = ACTIONS(6066),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(6070),
    [anon_sym_BANG_EQ] = ACTIONS(6066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6066),
    [anon_sym_LT_EQ_GT] = ACTIONS(6066),
    [anon_sym_EQ_TILDE] = ACTIONS(6066),
    [anon_sym_BANG_TILDE] = ACTIONS(6066),
    [anon_sym_LT_EQ] = ACTIONS(6056),
    [anon_sym_GT] = ACTIONS(6056),
    [anon_sym_GT_EQ] = ACTIONS(6072),
    [anon_sym_CARET] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [3915] = {
    [sym__line_break] = ACTIONS(9362),
    [sym__heredoc_body_start] = ACTIONS(9362),
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [sym__binary_minus] = ACTIONS(9362),
    [sym__binary_star] = ACTIONS(9362),
    [ts_builtin_sym_end] = ACTIONS(9362),
    [anon_sym___END__] = ACTIONS(9362),
    [anon_sym_LBRACE] = ACTIONS(9362),
    [anon_sym_RBRACE] = ACTIONS(9362),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9364),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_PIPE] = ACTIONS(9364),
    [anon_sym_SEMI] = ACTIONS(9362),
    [anon_sym_STAR_STAR] = ACTIONS(9364),
    [anon_sym_AMP] = ACTIONS(9364),
    [anon_sym_EQ] = ACTIONS(9364),
    [anon_sym_LT] = ACTIONS(9364),
    [anon_sym_end] = ACTIONS(9362),
    [anon_sym_if] = ACTIONS(9362),
    [anon_sym_unless] = ACTIONS(9362),
    [anon_sym_while] = ACTIONS(9362),
    [anon_sym_until] = ACTIONS(9362),
    [anon_sym_rescue] = ACTIONS(9362),
    [anon_sym_do] = ACTIONS(9362),
    [anon_sym_when] = ACTIONS(9362),
    [anon_sym_elsif] = ACTIONS(9362),
    [anon_sym_else] = ACTIONS(9362),
    [anon_sym_then] = ACTIONS(9362),
    [anon_sym_ensure] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [anon_sym_PLUS_EQ] = ACTIONS(9362),
    [anon_sym_DASH_EQ] = ACTIONS(9362),
    [anon_sym_STAR_EQ] = ACTIONS(9362),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9362),
    [anon_sym_SLASH_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9362),
    [anon_sym_AMP_EQ] = ACTIONS(9362),
    [anon_sym_PERCENT_EQ] = ACTIONS(9362),
    [anon_sym_GT_GT_EQ] = ACTIONS(9362),
    [anon_sym_LT_LT_EQ] = ACTIONS(9362),
    [anon_sym_CARET_EQ] = ACTIONS(9362),
    [anon_sym_QMARK] = ACTIONS(9362),
    [anon_sym_DOT_DOT] = ACTIONS(9364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9362),
    [anon_sym_and] = ACTIONS(9362),
    [anon_sym_or] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE] = ACTIONS(9364),
    [anon_sym_AMP_AMP] = ACTIONS(9364),
    [anon_sym_LT_LT] = ACTIONS(9364),
    [anon_sym_GT_GT] = ACTIONS(9364),
    [anon_sym_EQ_EQ] = ACTIONS(9364),
    [anon_sym_BANG_EQ] = ACTIONS(9362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9362),
    [anon_sym_LT_EQ_GT] = ACTIONS(9362),
    [anon_sym_EQ_TILDE] = ACTIONS(9362),
    [anon_sym_BANG_TILDE] = ACTIONS(9362),
    [anon_sym_LT_EQ] = ACTIONS(9364),
    [anon_sym_GT] = ACTIONS(9364),
    [anon_sym_GT_EQ] = ACTIONS(9362),
    [anon_sym_CARET] = ACTIONS(9364),
    [anon_sym_PLUS] = ACTIONS(9364),
    [anon_sym_SLASH] = ACTIONS(9364),
    [anon_sym_PERCENT] = ACTIONS(9364),
    [sym_comment] = ACTIONS(87),
  },
  [3916] = {
    [anon_sym_RBRACE] = ACTIONS(9726),
    [sym_comment] = ACTIONS(87),
  },
  [3917] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6836),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6836),
    [sym_operator_assignment] = STATE(6836),
    [sym_conditional] = STATE(6836),
    [sym_range] = STATE(6836),
    [sym_binary] = STATE(6836),
    [sym_unary] = STATE(6836),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3918] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6837),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6837),
    [sym_operator_assignment] = STATE(6837),
    [sym_conditional] = STATE(6837),
    [sym_range] = STATE(6837),
    [sym_binary] = STATE(6837),
    [sym_unary] = STATE(6837),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3919] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6838),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6838),
    [sym_operator_assignment] = STATE(6838),
    [sym_conditional] = STATE(6838),
    [sym_range] = STATE(6838),
    [sym_binary] = STATE(6838),
    [sym_unary] = STATE(6838),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3920] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6839),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6839),
    [sym_operator_assignment] = STATE(6839),
    [sym_conditional] = STATE(6839),
    [sym_range] = STATE(6839),
    [sym_binary] = STATE(6839),
    [sym_unary] = STATE(6839),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3921] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6840),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6840),
    [sym_operator_assignment] = STATE(6840),
    [sym_conditional] = STATE(6840),
    [sym_range] = STATE(6840),
    [sym_binary] = STATE(6840),
    [sym_unary] = STATE(6840),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3922] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6841),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6841),
    [sym_operator_assignment] = STATE(6841),
    [sym_conditional] = STATE(6841),
    [sym_range] = STATE(6841),
    [sym_binary] = STATE(6841),
    [sym_unary] = STATE(6841),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3923] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6842),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6842),
    [sym_operator_assignment] = STATE(6842),
    [sym_conditional] = STATE(6842),
    [sym_range] = STATE(6842),
    [sym_binary] = STATE(6842),
    [sym_unary] = STATE(6842),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [3924] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6843),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6843),
    [sym_operator_assignment] = STATE(6843),
    [sym_conditional] = STATE(6843),
    [sym_range] = STATE(6843),
    [sym_binary] = STATE(6843),
    [sym_unary] = STATE(6843),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3925] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6844),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6844),
    [sym_operator_assignment] = STATE(6844),
    [sym_conditional] = STATE(6844),
    [sym_range] = STATE(6844),
    [sym_binary] = STATE(6844),
    [sym_unary] = STATE(6844),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3926] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6845),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6845),
    [sym_operator_assignment] = STATE(6845),
    [sym_conditional] = STATE(6845),
    [sym_range] = STATE(6845),
    [sym_binary] = STATE(6845),
    [sym_unary] = STATE(6845),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3927] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6846),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6846),
    [sym_operator_assignment] = STATE(6846),
    [sym_conditional] = STATE(6846),
    [sym_range] = STATE(6846),
    [sym_binary] = STATE(6846),
    [sym_unary] = STATE(6846),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3928] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6847),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6847),
    [sym_operator_assignment] = STATE(6847),
    [sym_conditional] = STATE(6847),
    [sym_range] = STATE(6847),
    [sym_binary] = STATE(6847),
    [sym_unary] = STATE(6847),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3929] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6848),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(6848),
    [sym_operator_assignment] = STATE(6848),
    [sym_conditional] = STATE(6848),
    [sym_range] = STATE(6848),
    [sym_binary] = STATE(6848),
    [sym_unary] = STATE(6848),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3930] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6849),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(6849),
    [sym_operator_assignment] = STATE(6849),
    [sym_conditional] = STATE(6849),
    [sym_range] = STATE(6849),
    [sym_binary] = STATE(6849),
    [sym_unary] = STATE(6849),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3931] = {
    [sym__keyword_colon] = ACTIONS(9728),
    [sym_comment] = ACTIONS(87),
  },
  [3932] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6851),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(6851),
    [sym_operator_assignment] = STATE(6851),
    [sym_conditional] = STATE(6851),
    [sym_range] = STATE(6851),
    [sym_binary] = STATE(6851),
    [sym_unary] = STATE(6851),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3933] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(9728),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [3934] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [3935] = {
    [sym_heredoc_body] = STATE(6853),
    [aux_sym_call_repeat1] = STATE(6853),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3936] = {
    [sym_heredoc_body] = STATE(6853),
    [aux_sym_call_repeat1] = STATE(6853),
    [aux_sym_argument_list_repeat1] = STATE(6855),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9730),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [3937] = {
    [sym_string] = STATE(4311),
    [aux_sym_chained_string_repeat1] = STATE(4311),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(9732),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [3938] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6862),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_splat_argument] = STATE(6863),
    [sym_assignment] = STATE(6862),
    [sym_operator_assignment] = STATE(6862),
    [sym_conditional] = STATE(6862),
    [sym_range] = STATE(6862),
    [sym_binary] = STATE(6862),
    [sym_unary] = STATE(6862),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(6863),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(9734),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3939] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6866),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(6866),
    [sym_operator_assignment] = STATE(6866),
    [sym_conditional] = STATE(6866),
    [sym_range] = STATE(6866),
    [sym_binary] = STATE(6866),
    [sym_unary] = STATE(6866),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3940] = {
    [sym_string] = STATE(6867),
    [aux_sym_chained_string_repeat1] = STATE(6867),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [3941] = {
    [sym__line_break] = ACTIONS(3480),
    [sym__heredoc_body_start] = ACTIONS(3480),
    [sym__element_reference_left_bracket] = ACTIONS(3480),
    [sym__infix_scope_colons] = ACTIONS(3480),
    [sym__binary_minus] = ACTIONS(3480),
    [sym__binary_star] = ACTIONS(3480),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [anon_sym___END__] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_DOT] = ACTIONS(3482),
    [anon_sym_COMMA] = ACTIONS(3480),
    [anon_sym_PIPE] = ACTIONS(3482),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_STAR_STAR] = ACTIONS(3482),
    [anon_sym_AMP] = ACTIONS(3482),
    [anon_sym_EQ] = ACTIONS(3482),
    [anon_sym_LT] = ACTIONS(3482),
    [anon_sym_end] = ACTIONS(3480),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_unless] = ACTIONS(3480),
    [anon_sym_while] = ACTIONS(3480),
    [anon_sym_until] = ACTIONS(3480),
    [anon_sym_rescue] = ACTIONS(3480),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_when] = ACTIONS(3480),
    [anon_sym_elsif] = ACTIONS(3480),
    [anon_sym_else] = ACTIONS(3480),
    [anon_sym_then] = ACTIONS(3480),
    [anon_sym_ensure] = ACTIONS(3480),
    [anon_sym_EQ_GT] = ACTIONS(3480),
    [anon_sym_AMP_DOT] = ACTIONS(3480),
    [anon_sym_PLUS_EQ] = ACTIONS(3480),
    [anon_sym_DASH_EQ] = ACTIONS(3480),
    [anon_sym_STAR_EQ] = ACTIONS(3480),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3480),
    [anon_sym_SLASH_EQ] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3480),
    [anon_sym_PIPE_EQ] = ACTIONS(3480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3480),
    [anon_sym_AMP_EQ] = ACTIONS(3480),
    [anon_sym_PERCENT_EQ] = ACTIONS(3480),
    [anon_sym_GT_GT_EQ] = ACTIONS(3480),
    [anon_sym_LT_LT_EQ] = ACTIONS(3480),
    [anon_sym_CARET_EQ] = ACTIONS(3480),
    [anon_sym_QMARK] = ACTIONS(3480),
    [anon_sym_DOT_DOT] = ACTIONS(3482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3480),
    [anon_sym_and] = ACTIONS(3480),
    [anon_sym_or] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE] = ACTIONS(3482),
    [anon_sym_AMP_AMP] = ACTIONS(3482),
    [anon_sym_LT_LT] = ACTIONS(3482),
    [anon_sym_GT_GT] = ACTIONS(3482),
    [anon_sym_EQ_EQ] = ACTIONS(3482),
    [anon_sym_BANG_EQ] = ACTIONS(3480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3480),
    [anon_sym_LT_EQ_GT] = ACTIONS(3480),
    [anon_sym_EQ_TILDE] = ACTIONS(3480),
    [anon_sym_BANG_TILDE] = ACTIONS(3480),
    [anon_sym_LT_EQ] = ACTIONS(3482),
    [anon_sym_GT] = ACTIONS(3482),
    [anon_sym_GT_EQ] = ACTIONS(3480),
    [anon_sym_CARET] = ACTIONS(3482),
    [anon_sym_PLUS] = ACTIONS(3482),
    [anon_sym_SLASH] = ACTIONS(3482),
    [anon_sym_PERCENT] = ACTIONS(3482),
    [sym_comment] = ACTIONS(87),
  },
  [3942] = {
    [anon_sym_RBRACE] = ACTIONS(9746),
    [sym_comment] = ACTIONS(87),
  },
  [3943] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(9748),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(3534),
    [anon_sym_or] = ACTIONS(3534),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [3944] = {
    [sym__method_rest] = STATE(6870),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(1609),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [3945] = {
    [sym__statements] = STATE(1633),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1634),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1635),
    [sym_rescue] = STATE(1636),
    [sym__body_statement] = STATE(6871),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9750),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3946] = {
    [sym__line_break] = ACTIONS(3716),
    [sym__heredoc_body_start] = ACTIONS(3716),
    [sym__element_reference_left_bracket] = ACTIONS(3716),
    [sym__infix_scope_colons] = ACTIONS(3716),
    [sym__binary_minus] = ACTIONS(3716),
    [sym__binary_star] = ACTIONS(3716),
    [ts_builtin_sym_end] = ACTIONS(3716),
    [anon_sym___END__] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_RBRACE] = ACTIONS(3716),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_DOT] = ACTIONS(3718),
    [anon_sym_COMMA] = ACTIONS(3716),
    [anon_sym_PIPE] = ACTIONS(3718),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym_STAR_STAR] = ACTIONS(3718),
    [anon_sym_AMP] = ACTIONS(3718),
    [anon_sym_EQ] = ACTIONS(3718),
    [anon_sym_LT] = ACTIONS(3718),
    [anon_sym_end] = ACTIONS(3716),
    [anon_sym_if] = ACTIONS(3716),
    [anon_sym_unless] = ACTIONS(3716),
    [anon_sym_while] = ACTIONS(3716),
    [anon_sym_until] = ACTIONS(3716),
    [anon_sym_rescue] = ACTIONS(3716),
    [anon_sym_do] = ACTIONS(3716),
    [anon_sym_when] = ACTIONS(3716),
    [anon_sym_elsif] = ACTIONS(3716),
    [anon_sym_else] = ACTIONS(3716),
    [anon_sym_then] = ACTIONS(3716),
    [anon_sym_ensure] = ACTIONS(3716),
    [anon_sym_EQ_GT] = ACTIONS(3716),
    [anon_sym_AMP_DOT] = ACTIONS(3716),
    [anon_sym_PLUS_EQ] = ACTIONS(3716),
    [anon_sym_DASH_EQ] = ACTIONS(3716),
    [anon_sym_STAR_EQ] = ACTIONS(3716),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3716),
    [anon_sym_SLASH_EQ] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3716),
    [anon_sym_PIPE_EQ] = ACTIONS(3716),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3716),
    [anon_sym_AMP_EQ] = ACTIONS(3716),
    [anon_sym_PERCENT_EQ] = ACTIONS(3716),
    [anon_sym_GT_GT_EQ] = ACTIONS(3716),
    [anon_sym_LT_LT_EQ] = ACTIONS(3716),
    [anon_sym_CARET_EQ] = ACTIONS(3716),
    [anon_sym_QMARK] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3716),
    [anon_sym_and] = ACTIONS(3716),
    [anon_sym_or] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE] = ACTIONS(3718),
    [anon_sym_AMP_AMP] = ACTIONS(3718),
    [anon_sym_LT_LT] = ACTIONS(3718),
    [anon_sym_GT_GT] = ACTIONS(3718),
    [anon_sym_EQ_EQ] = ACTIONS(3718),
    [anon_sym_BANG_EQ] = ACTIONS(3716),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3716),
    [anon_sym_LT_EQ_GT] = ACTIONS(3716),
    [anon_sym_EQ_TILDE] = ACTIONS(3716),
    [anon_sym_BANG_TILDE] = ACTIONS(3716),
    [anon_sym_LT_EQ] = ACTIONS(3718),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_GT_EQ] = ACTIONS(3716),
    [anon_sym_CARET] = ACTIONS(3718),
    [anon_sym_PLUS] = ACTIONS(3718),
    [anon_sym_SLASH] = ACTIONS(3718),
    [anon_sym_PERCENT] = ACTIONS(3718),
    [sym_comment] = ACTIONS(87),
  },
  [3947] = {
    [sym_heredoc_body] = STATE(6872),
    [sym__terminator] = STATE(6872),
    [sym__line_break] = ACTIONS(9752),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(9752),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [3948] = {
    [sym_heredoc_body] = STATE(6873),
    [sym__terminator] = STATE(6873),
    [sym__line_break] = ACTIONS(9754),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(9754),
    [sym_comment] = ACTIONS(87),
  },
  [3949] = {
    [sym__statements] = STATE(1633),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1634),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1635),
    [sym_rescue] = STATE(1636),
    [sym__body_statement] = STATE(6874),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9756),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3950] = {
    [sym__line_break] = ACTIONS(4122),
    [sym__heredoc_body_start] = ACTIONS(4122),
    [sym__element_reference_left_bracket] = ACTIONS(4122),
    [sym__infix_scope_colons] = ACTIONS(4122),
    [sym__binary_minus] = ACTIONS(4122),
    [sym__binary_star] = ACTIONS(4122),
    [ts_builtin_sym_end] = ACTIONS(4122),
    [anon_sym___END__] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_STAR_STAR] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_end] = ACTIONS(4122),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_unless] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(4122),
    [anon_sym_until] = ACTIONS(4122),
    [anon_sym_rescue] = ACTIONS(4122),
    [anon_sym_do] = ACTIONS(4122),
    [anon_sym_when] = ACTIONS(4122),
    [anon_sym_elsif] = ACTIONS(4122),
    [anon_sym_else] = ACTIONS(4122),
    [anon_sym_then] = ACTIONS(4122),
    [anon_sym_ensure] = ACTIONS(4122),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_AMP_DOT] = ACTIONS(4122),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4124),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ_GT] = ACTIONS(4122),
    [anon_sym_EQ_TILDE] = ACTIONS(4122),
    [anon_sym_BANG_TILDE] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4124),
    [sym_comment] = ACTIONS(87),
  },
  [3951] = {
    [sym__statements] = STATE(1633),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1634),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1635),
    [sym_rescue] = STATE(1636),
    [sym__body_statement] = STATE(6875),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9758),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3952] = {
    [sym__statements] = STATE(6877),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(6878),
    [sym_else] = STATE(6878),
    [sym__if_tail] = STATE(6878),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(6879),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(6879),
    [sym__line_break] = ACTIONS(9760),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9762),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3953] = {
    [sym__statements] = STATE(6881),
    [sym__top_level_statement] = STATE(2886),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(6882),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9764),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3954] = {
    [sym__statements] = STATE(6884),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9766),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3955] = {
    [sym__statements] = STATE(6886),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9768),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3956] = {
    [sym__do] = STATE(6887),
    [sym_heredoc_body] = STATE(6887),
    [sym__terminator] = STATE(6887),
    [sym__line_break] = ACTIONS(9770),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(9770),
    [anon_sym_do] = ACTIONS(9770),
    [sym_comment] = ACTIONS(87),
  },
  [3957] = {
    [sym__line_break] = ACTIONS(9390),
    [sym__heredoc_body_start] = ACTIONS(9390),
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [sym__binary_minus] = ACTIONS(9390),
    [sym__binary_star] = ACTIONS(9390),
    [ts_builtin_sym_end] = ACTIONS(9390),
    [anon_sym___END__] = ACTIONS(9390),
    [anon_sym_LBRACE] = ACTIONS(9390),
    [anon_sym_RBRACE] = ACTIONS(9390),
    [anon_sym_RPAREN] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9392),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_PIPE] = ACTIONS(9392),
    [anon_sym_SEMI] = ACTIONS(9390),
    [anon_sym_STAR_STAR] = ACTIONS(9392),
    [anon_sym_AMP] = ACTIONS(9392),
    [anon_sym_EQ] = ACTIONS(9392),
    [anon_sym_LT] = ACTIONS(9392),
    [anon_sym_end] = ACTIONS(9390),
    [anon_sym_if] = ACTIONS(9390),
    [anon_sym_unless] = ACTIONS(9390),
    [anon_sym_while] = ACTIONS(9390),
    [anon_sym_until] = ACTIONS(9390),
    [anon_sym_rescue] = ACTIONS(9390),
    [anon_sym_do] = ACTIONS(9390),
    [anon_sym_when] = ACTIONS(9390),
    [anon_sym_elsif] = ACTIONS(9390),
    [anon_sym_else] = ACTIONS(9390),
    [anon_sym_then] = ACTIONS(9390),
    [anon_sym_ensure] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [anon_sym_PLUS_EQ] = ACTIONS(9390),
    [anon_sym_DASH_EQ] = ACTIONS(9390),
    [anon_sym_STAR_EQ] = ACTIONS(9390),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9390),
    [anon_sym_SLASH_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9390),
    [anon_sym_AMP_EQ] = ACTIONS(9390),
    [anon_sym_PERCENT_EQ] = ACTIONS(9390),
    [anon_sym_GT_GT_EQ] = ACTIONS(9390),
    [anon_sym_LT_LT_EQ] = ACTIONS(9390),
    [anon_sym_CARET_EQ] = ACTIONS(9390),
    [anon_sym_QMARK] = ACTIONS(9390),
    [anon_sym_DOT_DOT] = ACTIONS(9392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9390),
    [anon_sym_and] = ACTIONS(9390),
    [anon_sym_or] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE] = ACTIONS(9392),
    [anon_sym_AMP_AMP] = ACTIONS(9392),
    [anon_sym_LT_LT] = ACTIONS(9392),
    [anon_sym_GT_GT] = ACTIONS(9392),
    [anon_sym_EQ_EQ] = ACTIONS(9392),
    [anon_sym_BANG_EQ] = ACTIONS(9390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9390),
    [anon_sym_LT_EQ_GT] = ACTIONS(9390),
    [anon_sym_EQ_TILDE] = ACTIONS(9390),
    [anon_sym_BANG_TILDE] = ACTIONS(9390),
    [anon_sym_LT_EQ] = ACTIONS(9392),
    [anon_sym_GT] = ACTIONS(9392),
    [anon_sym_GT_EQ] = ACTIONS(9390),
    [anon_sym_CARET] = ACTIONS(9392),
    [anon_sym_PLUS] = ACTIONS(9392),
    [anon_sym_SLASH] = ACTIONS(9392),
    [anon_sym_PERCENT] = ACTIONS(9392),
    [sym_comment] = ACTIONS(87),
  },
  [3958] = {
    [anon_sym_end] = ACTIONS(9772),
    [sym_comment] = ACTIONS(87),
  },
  [3959] = {
    [sym__statements] = STATE(6889),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9774),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3960] = {
    [sym__statements] = STATE(6889),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(6890),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(6890),
    [sym__line_break] = ACTIONS(9776),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9774),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [3961] = {
    [sym_when] = STATE(6891),
    [aux_sym_case_repeat1] = STATE(6892),
    [anon_sym_SEMI] = ACTIONS(9778),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [3962] = {
    [anon_sym_end] = ACTIONS(9780),
    [sym_comment] = ACTIONS(87),
  },
  [3963] = {
    [sym_when] = STATE(6891),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [3964] = {
    [sym__line_break] = ACTIONS(5352),
    [sym__heredoc_body_start] = ACTIONS(5352),
    [sym__element_reference_left_bracket] = ACTIONS(5352),
    [sym__infix_scope_colons] = ACTIONS(5352),
    [sym__binary_minus] = ACTIONS(5352),
    [sym__binary_star] = ACTIONS(5352),
    [ts_builtin_sym_end] = ACTIONS(5352),
    [anon_sym___END__] = ACTIONS(5352),
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_STAR_STAR] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_EQ] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_end] = ACTIONS(5352),
    [anon_sym_if] = ACTIONS(5352),
    [anon_sym_unless] = ACTIONS(5352),
    [anon_sym_while] = ACTIONS(5352),
    [anon_sym_until] = ACTIONS(5352),
    [anon_sym_rescue] = ACTIONS(5352),
    [anon_sym_do] = ACTIONS(5352),
    [anon_sym_when] = ACTIONS(5352),
    [anon_sym_elsif] = ACTIONS(5352),
    [anon_sym_else] = ACTIONS(5352),
    [anon_sym_then] = ACTIONS(5352),
    [anon_sym_ensure] = ACTIONS(5352),
    [anon_sym_EQ_GT] = ACTIONS(5352),
    [anon_sym_AMP_DOT] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_DOT_DOT] = ACTIONS(5354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_and] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_LT_LT] = ACTIONS(5354),
    [anon_sym_GT_GT] = ACTIONS(5354),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_EQ_TILDE] = ACTIONS(5352),
    [anon_sym_BANG_TILDE] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5354),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_SLASH] = ACTIONS(5354),
    [anon_sym_PERCENT] = ACTIONS(5354),
    [sym_comment] = ACTIONS(87),
  },
  [3965] = {
    [sym_ensure] = STATE(6895),
    [anon_sym_end] = ACTIONS(9782),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [3966] = {
    [anon_sym_end] = ACTIONS(9782),
    [sym_comment] = ACTIONS(87),
  },
  [3967] = {
    [sym_else] = STATE(6896),
    [sym_ensure] = STATE(6895),
    [anon_sym_end] = ACTIONS(9782),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [3968] = {
    [sym__line_break] = ACTIONS(5438),
    [sym__heredoc_body_start] = ACTIONS(5438),
    [sym__element_reference_left_bracket] = ACTIONS(5438),
    [sym__infix_scope_colons] = ACTIONS(5438),
    [sym__binary_minus] = ACTIONS(5438),
    [sym__binary_star] = ACTIONS(5438),
    [ts_builtin_sym_end] = ACTIONS(5438),
    [anon_sym___END__] = ACTIONS(5438),
    [anon_sym_LBRACE] = ACTIONS(5438),
    [anon_sym_RBRACE] = ACTIONS(5438),
    [anon_sym_RPAREN] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5438),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym_STAR_STAR] = ACTIONS(5440),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_end] = ACTIONS(5438),
    [anon_sym_if] = ACTIONS(5438),
    [anon_sym_unless] = ACTIONS(5438),
    [anon_sym_while] = ACTIONS(5438),
    [anon_sym_until] = ACTIONS(5438),
    [anon_sym_rescue] = ACTIONS(5438),
    [anon_sym_do] = ACTIONS(5438),
    [anon_sym_when] = ACTIONS(5438),
    [anon_sym_elsif] = ACTIONS(5438),
    [anon_sym_else] = ACTIONS(5438),
    [anon_sym_then] = ACTIONS(5438),
    [anon_sym_ensure] = ACTIONS(5438),
    [anon_sym_EQ_GT] = ACTIONS(5438),
    [anon_sym_AMP_DOT] = ACTIONS(5438),
    [anon_sym_PLUS_EQ] = ACTIONS(5438),
    [anon_sym_DASH_EQ] = ACTIONS(5438),
    [anon_sym_STAR_EQ] = ACTIONS(5438),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5438),
    [anon_sym_SLASH_EQ] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5438),
    [anon_sym_PIPE_EQ] = ACTIONS(5438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5438),
    [anon_sym_AMP_EQ] = ACTIONS(5438),
    [anon_sym_PERCENT_EQ] = ACTIONS(5438),
    [anon_sym_GT_GT_EQ] = ACTIONS(5438),
    [anon_sym_LT_LT_EQ] = ACTIONS(5438),
    [anon_sym_CARET_EQ] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5438),
    [anon_sym_DOT_DOT] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_LT_LT] = ACTIONS(5440),
    [anon_sym_GT_GT] = ACTIONS(5440),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5438),
    [anon_sym_EQ_TILDE] = ACTIONS(5438),
    [anon_sym_BANG_TILDE] = ACTIONS(5438),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5440),
    [anon_sym_SLASH] = ACTIONS(5440),
    [anon_sym_PERCENT] = ACTIONS(5440),
    [sym_comment] = ACTIONS(87),
  },
  [3969] = {
    [sym__line_break] = ACTIONS(5672),
    [sym__heredoc_body_start] = ACTIONS(5672),
    [sym__element_reference_left_bracket] = ACTIONS(5672),
    [sym__infix_scope_colons] = ACTIONS(5672),
    [sym__binary_minus] = ACTIONS(5672),
    [sym__binary_star] = ACTIONS(5672),
    [ts_builtin_sym_end] = ACTIONS(5672),
    [anon_sym___END__] = ACTIONS(5672),
    [anon_sym_LBRACE] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_STAR_STAR] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_end] = ACTIONS(5672),
    [anon_sym_if] = ACTIONS(5672),
    [anon_sym_unless] = ACTIONS(5672),
    [anon_sym_while] = ACTIONS(5672),
    [anon_sym_until] = ACTIONS(5672),
    [anon_sym_rescue] = ACTIONS(5672),
    [anon_sym_do] = ACTIONS(5672),
    [anon_sym_when] = ACTIONS(5672),
    [anon_sym_elsif] = ACTIONS(5672),
    [anon_sym_else] = ACTIONS(5672),
    [anon_sym_then] = ACTIONS(5672),
    [anon_sym_ensure] = ACTIONS(5672),
    [anon_sym_EQ_GT] = ACTIONS(5672),
    [anon_sym_AMP_DOT] = ACTIONS(5672),
    [anon_sym_PLUS_EQ] = ACTIONS(5672),
    [anon_sym_DASH_EQ] = ACTIONS(5672),
    [anon_sym_STAR_EQ] = ACTIONS(5672),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5672),
    [anon_sym_SLASH_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5672),
    [anon_sym_AMP_EQ] = ACTIONS(5672),
    [anon_sym_PERCENT_EQ] = ACTIONS(5672),
    [anon_sym_GT_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_LT_EQ] = ACTIONS(5672),
    [anon_sym_CARET_EQ] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5674),
    [anon_sym_AMP_AMP] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5674),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5674),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ_GT] = ACTIONS(5672),
    [anon_sym_EQ_TILDE] = ACTIONS(5672),
    [anon_sym_BANG_TILDE] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5674),
    [sym_comment] = ACTIONS(87),
  },
  [3970] = {
    [anon_sym_RBRACK] = ACTIONS(9784),
    [sym_comment] = ACTIONS(87),
  },
  [3971] = {
    [sym__line_break] = ACTIONS(5684),
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [ts_builtin_sym_end] = ACTIONS(5684),
    [anon_sym___END__] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_end] = ACTIONS(5684),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_when] = ACTIONS(5684),
    [anon_sym_elsif] = ACTIONS(5684),
    [anon_sym_else] = ACTIONS(5684),
    [anon_sym_then] = ACTIONS(5684),
    [anon_sym_ensure] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [3972] = {
    [sym__line_break] = ACTIONS(5760),
    [sym__heredoc_body_start] = ACTIONS(5760),
    [sym__element_reference_left_bracket] = ACTIONS(5760),
    [sym__infix_scope_colons] = ACTIONS(5760),
    [sym__binary_minus] = ACTIONS(5760),
    [sym__binary_star] = ACTIONS(5760),
    [ts_builtin_sym_end] = ACTIONS(5760),
    [anon_sym___END__] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym_STAR_STAR] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_end] = ACTIONS(5760),
    [anon_sym_if] = ACTIONS(5760),
    [anon_sym_unless] = ACTIONS(5760),
    [anon_sym_while] = ACTIONS(5760),
    [anon_sym_until] = ACTIONS(5760),
    [anon_sym_rescue] = ACTIONS(5760),
    [anon_sym_do] = ACTIONS(5760),
    [anon_sym_when] = ACTIONS(5760),
    [anon_sym_elsif] = ACTIONS(5760),
    [anon_sym_else] = ACTIONS(5760),
    [anon_sym_then] = ACTIONS(5760),
    [anon_sym_ensure] = ACTIONS(5760),
    [anon_sym_EQ_GT] = ACTIONS(5760),
    [anon_sym_AMP_DOT] = ACTIONS(5760),
    [anon_sym_PLUS_EQ] = ACTIONS(5760),
    [anon_sym_DASH_EQ] = ACTIONS(5760),
    [anon_sym_STAR_EQ] = ACTIONS(5760),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5760),
    [anon_sym_SLASH_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5760),
    [anon_sym_AMP_EQ] = ACTIONS(5760),
    [anon_sym_PERCENT_EQ] = ACTIONS(5760),
    [anon_sym_GT_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_LT_EQ] = ACTIONS(5760),
    [anon_sym_CARET_EQ] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_DOT_DOT] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5762),
    [anon_sym_AMP_AMP] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5762),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5762),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_EQ_TILDE] = ACTIONS(5760),
    [anon_sym_BANG_TILDE] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5762),
    [sym_comment] = ACTIONS(87),
  },
  [3973] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(5790),
    [anon_sym___END__] = ACTIONS(5790),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [3974] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [ts_builtin_sym_end] = ACTIONS(5794),
    [anon_sym___END__] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [3975] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [3976] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [3977] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [3978] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [3979] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(6897),
    [anon_sym___END__] = ACTIONS(6897),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [3980] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(9786),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [3981] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(5902),
    [anon_sym___END__] = ACTIONS(5902),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [3982] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [3983] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [3984] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [3985] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [3986] = {
    [sym__line_break] = ACTIONS(5684),
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [ts_builtin_sym_end] = ACTIONS(5684),
    [anon_sym___END__] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_end] = ACTIONS(5684),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_when] = ACTIONS(5684),
    [anon_sym_elsif] = ACTIONS(5684),
    [anon_sym_else] = ACTIONS(5684),
    [anon_sym_then] = ACTIONS(5684),
    [anon_sym_ensure] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [3987] = {
    [sym__line_break] = ACTIONS(3138),
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym__element_reference_left_bracket] = ACTIONS(3138),
    [sym__infix_scope_colons] = ACTIONS(3138),
    [sym__binary_minus] = ACTIONS(3138),
    [sym__binary_star] = ACTIONS(3138),
    [ts_builtin_sym_end] = ACTIONS(3138),
    [anon_sym___END__] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_STAR_STAR] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_end] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_unless] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_until] = ACTIONS(3138),
    [anon_sym_rescue] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_when] = ACTIONS(3138),
    [anon_sym_elsif] = ACTIONS(3138),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_then] = ACTIONS(3138),
    [anon_sym_ensure] = ACTIONS(3138),
    [anon_sym_AMP_DOT] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4930),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(87),
  },
  [3988] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(9788),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [3989] = {
    [sym_heredoc_body] = STATE(3989),
    [aux_sym_call_repeat1] = STATE(3989),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [ts_builtin_sym_end] = ACTIONS(7800),
    [anon_sym___END__] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [3990] = {
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [ts_builtin_sym_end] = ACTIONS(7811),
    [anon_sym___END__] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(7811),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_when] = ACTIONS(7811),
    [anon_sym_elsif] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_ensure] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [3991] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(441),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(441),
    [sym_operator_assignment] = STATE(441),
    [sym_conditional] = STATE(441),
    [sym_range] = STATE(441),
    [sym_binary] = STATE(441),
    [sym_unary] = STATE(441),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(450),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(765),
    [sym__splat_star] = ACTIONS(767),
    [sym__unary_minus] = ACTIONS(771),
    [sym__identifier_hash_key] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(6142),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(813),
    [sym_identifier] = ACTIONS(813),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [3992] = {
    [sym_heredoc_body] = STATE(3989),
    [aux_sym_call_repeat1] = STATE(3989),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [ts_builtin_sym_end] = ACTIONS(7815),
    [anon_sym___END__] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [3993] = {
    [aux_sym_argument_list_repeat1] = STATE(3993),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [ts_builtin_sym_end] = ACTIONS(7811),
    [anon_sym___END__] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(9793),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [3994] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(5050),
    [anon_sym___END__] = ACTIONS(5050),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [3995] = {
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [ts_builtin_sym_end] = ACTIONS(6174),
    [anon_sym___END__] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_when] = ACTIONS(6174),
    [anon_sym_elsif] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [3996] = {
    [aux_sym_exceptions_repeat1] = STATE(6902),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [ts_builtin_sym_end] = ACTIONS(6174),
    [anon_sym___END__] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [3997] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(6188),
    [anon_sym___END__] = ACTIONS(6188),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [3998] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(7025),
    [anon_sym___END__] = ACTIONS(7025),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [3999] = {
    [sym_string] = STATE(3999),
    [aux_sym_chained_string_repeat1] = STATE(3999),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [ts_builtin_sym_end] = ACTIONS(6190),
    [anon_sym___END__] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [4000] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(4170),
    [anon_sym___END__] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(6148),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(6152),
    [anon_sym_LT] = ACTIONS(6154),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(6156),
    [anon_sym_DOT_DOT] = ACTIONS(6158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6160),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6162),
    [anon_sym_AMP_AMP] = ACTIONS(6162),
    [anon_sym_LT_LT] = ACTIONS(6164),
    [anon_sym_GT_GT] = ACTIONS(6164),
    [anon_sym_EQ_EQ] = ACTIONS(6166),
    [anon_sym_BANG_EQ] = ACTIONS(6162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6162),
    [anon_sym_LT_EQ_GT] = ACTIONS(6162),
    [anon_sym_EQ_TILDE] = ACTIONS(6162),
    [anon_sym_BANG_TILDE] = ACTIONS(6162),
    [anon_sym_LT_EQ] = ACTIONS(6154),
    [anon_sym_GT] = ACTIONS(6154),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [4001] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [ts_builtin_sym_end] = ACTIONS(939),
    [anon_sym___END__] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [4002] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [4003] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym___END__] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(6148),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(6152),
    [anon_sym_LT] = ACTIONS(6154),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(6156),
    [anon_sym_DOT_DOT] = ACTIONS(6158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6160),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(6162),
    [anon_sym_AMP_AMP] = ACTIONS(6162),
    [anon_sym_LT_LT] = ACTIONS(6164),
    [anon_sym_GT_GT] = ACTIONS(6164),
    [anon_sym_EQ_EQ] = ACTIONS(6166),
    [anon_sym_BANG_EQ] = ACTIONS(6162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6162),
    [anon_sym_LT_EQ_GT] = ACTIONS(6162),
    [anon_sym_EQ_TILDE] = ACTIONS(6162),
    [anon_sym_BANG_TILDE] = ACTIONS(6162),
    [anon_sym_LT_EQ] = ACTIONS(6154),
    [anon_sym_GT] = ACTIONS(6154),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [4004] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6903),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6903),
    [sym_operator_assignment] = STATE(6903),
    [sym_conditional] = STATE(6903),
    [sym_range] = STATE(6903),
    [sym_binary] = STATE(6903),
    [sym_unary] = STATE(6903),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4005] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6904),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6904),
    [sym_operator_assignment] = STATE(6904),
    [sym_conditional] = STATE(6904),
    [sym_range] = STATE(6904),
    [sym_binary] = STATE(6904),
    [sym_unary] = STATE(6904),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4006] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6905),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6905),
    [sym_operator_assignment] = STATE(6905),
    [sym_conditional] = STATE(6905),
    [sym_range] = STATE(6905),
    [sym_binary] = STATE(6905),
    [sym_unary] = STATE(6905),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4007] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6906),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6906),
    [sym_operator_assignment] = STATE(6906),
    [sym_conditional] = STATE(6906),
    [sym_range] = STATE(6906),
    [sym_binary] = STATE(6906),
    [sym_unary] = STATE(6906),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4008] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6907),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6907),
    [sym_operator_assignment] = STATE(6907),
    [sym_conditional] = STATE(6907),
    [sym_range] = STATE(6907),
    [sym_binary] = STATE(6907),
    [sym_unary] = STATE(6907),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4009] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6908),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6908),
    [sym_operator_assignment] = STATE(6908),
    [sym_conditional] = STATE(6908),
    [sym_range] = STATE(6908),
    [sym_binary] = STATE(6908),
    [sym_unary] = STATE(6908),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4010] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6909),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6909),
    [sym_operator_assignment] = STATE(6909),
    [sym_conditional] = STATE(6909),
    [sym_range] = STATE(6909),
    [sym_binary] = STATE(6909),
    [sym_unary] = STATE(6909),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4011] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6910),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6910),
    [sym_operator_assignment] = STATE(6910),
    [sym_conditional] = STATE(6910),
    [sym_range] = STATE(6910),
    [sym_binary] = STATE(6910),
    [sym_unary] = STATE(6910),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4012] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6911),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6911),
    [sym_operator_assignment] = STATE(6911),
    [sym_conditional] = STATE(6911),
    [sym_range] = STATE(6911),
    [sym_binary] = STATE(6911),
    [sym_unary] = STATE(6911),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4013] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6912),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6912),
    [sym_operator_assignment] = STATE(6912),
    [sym_conditional] = STATE(6912),
    [sym_range] = STATE(6912),
    [sym_binary] = STATE(6912),
    [sym_unary] = STATE(6912),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4014] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6913),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6913),
    [sym_operator_assignment] = STATE(6913),
    [sym_conditional] = STATE(6913),
    [sym_range] = STATE(6913),
    [sym_binary] = STATE(6913),
    [sym_unary] = STATE(6913),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4015] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6914),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6914),
    [sym_operator_assignment] = STATE(6914),
    [sym_conditional] = STATE(6914),
    [sym_range] = STATE(6914),
    [sym_binary] = STATE(6914),
    [sym_unary] = STATE(6914),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4016] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1679),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(1679),
    [sym_operator_assignment] = STATE(1679),
    [sym_conditional] = STATE(1679),
    [sym_range] = STATE(1679),
    [sym_binary] = STATE(1679),
    [sym_unary] = STATE(1679),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(2771),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4017] = {
    [aux_sym_exceptions_repeat1] = STATE(6916),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [ts_builtin_sym_end] = ACTIONS(9799),
    [anon_sym___END__] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(6178),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [4018] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1679),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_splat_argument] = STATE(6917),
    [sym_assignment] = STATE(1679),
    [sym_operator_assignment] = STATE(1679),
    [sym_conditional] = STATE(1679),
    [sym_range] = STATE(1679),
    [sym_binary] = STATE(1679),
    [sym_unary] = STATE(1679),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(6917),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(2771),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4019] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6918),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(6918),
    [sym_operator_assignment] = STATE(6918),
    [sym_conditional] = STATE(6918),
    [sym_range] = STATE(6918),
    [sym_binary] = STATE(6918),
    [sym_unary] = STATE(6918),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4020] = {
    [sym__string_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [anon_sym_rescue] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_COLON] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_GT_GT] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(87),
  },
  [4021] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6919),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(6919),
    [sym_operator_assignment] = STATE(6919),
    [sym_conditional] = STATE(6919),
    [sym_range] = STATE(6919),
    [sym_binary] = STATE(6919),
    [sym_unary] = STATE(6919),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4022] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(6920),
    [sym__argument] = STATE(6921),
    [sym_splat_argument] = STATE(6921),
    [sym_hash_splat_argument] = STATE(6921),
    [sym_block_argument] = STATE(6921),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6921),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4023] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(6920),
    [sym__argument] = STATE(6921),
    [sym_splat_argument] = STATE(6921),
    [sym_hash_splat_argument] = STATE(6921),
    [sym_block_argument] = STATE(6921),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6921),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4024] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(6920),
    [sym__argument] = STATE(6921),
    [sym_splat_argument] = STATE(6921),
    [sym_hash_splat_argument] = STATE(6921),
    [sym_block_argument] = STATE(6921),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6921),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4025] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(6920),
    [sym__argument] = STATE(6921),
    [sym_splat_argument] = STATE(6921),
    [sym_hash_splat_argument] = STATE(6921),
    [sym_block_argument] = STATE(6921),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6921),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4026] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6922),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(6922),
    [sym_operator_assignment] = STATE(6922),
    [sym_conditional] = STATE(6922),
    [sym_range] = STATE(6922),
    [sym_binary] = STATE(6922),
    [sym_unary] = STATE(6922),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4027] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6923),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(6923),
    [sym_operator_assignment] = STATE(6923),
    [sym_conditional] = STATE(6923),
    [sym_range] = STATE(6923),
    [sym_binary] = STATE(6923),
    [sym_unary] = STATE(6923),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4028] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4029] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(9815),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [4030] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1757),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(1936),
    [sym__argument_list_with_parens] = STATE(1760),
    [sym__argument] = STATE(1761),
    [sym_splat_argument] = STATE(1761),
    [sym_hash_splat_argument] = STATE(1761),
    [sym_block_argument] = STATE(1761),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(1757),
    [sym_operator_assignment] = STATE(1757),
    [sym_conditional] = STATE(1757),
    [sym_range] = STATE(1757),
    [sym_binary] = STATE(1757),
    [sym_unary] = STATE(1757),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1765),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1761),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(2887),
    [sym__splat_star] = ACTIONS(2889),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4031] = {
    [anon_sym_EQ] = ACTIONS(9833),
    [sym_comment] = ACTIONS(87),
  },
  [4032] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(9835),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(9837),
    [anon_sym_DASH_EQ] = ACTIONS(9837),
    [anon_sym_STAR_EQ] = ACTIONS(9837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9837),
    [anon_sym_SLASH_EQ] = ACTIONS(9837),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9837),
    [anon_sym_PIPE_EQ] = ACTIONS(9837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9837),
    [anon_sym_AMP_EQ] = ACTIONS(9837),
    [anon_sym_PERCENT_EQ] = ACTIONS(9837),
    [anon_sym_GT_GT_EQ] = ACTIONS(9837),
    [anon_sym_LT_LT_EQ] = ACTIONS(9837),
    [anon_sym_CARET_EQ] = ACTIONS(9837),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4033] = {
    [sym_string] = STATE(6938),
    [aux_sym_chained_string_repeat1] = STATE(6938),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4034] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(9815),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [4035] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [4036] = {
    [sym_string] = STATE(4078),
    [aux_sym_chained_string_repeat1] = STATE(4078),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4037] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6939),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(6939),
    [sym_operator_assignment] = STATE(6939),
    [sym_conditional] = STATE(6939),
    [sym_range] = STATE(6939),
    [sym_binary] = STATE(6939),
    [sym_unary] = STATE(6939),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4038] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(9815),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [4039] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6940),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6940),
    [sym_operator_assignment] = STATE(6940),
    [sym_conditional] = STATE(6940),
    [sym_range] = STATE(6940),
    [sym_binary] = STATE(6940),
    [sym_unary] = STATE(6940),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4040] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6941),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6941),
    [sym_operator_assignment] = STATE(6941),
    [sym_conditional] = STATE(6941),
    [sym_range] = STATE(6941),
    [sym_binary] = STATE(6941),
    [sym_unary] = STATE(6941),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4041] = {
    [sym__keyword_colon] = ACTIONS(9839),
    [sym_comment] = ACTIONS(87),
  },
  [4042] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6943),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6943),
    [sym_operator_assignment] = STATE(6943),
    [sym_conditional] = STATE(6943),
    [sym_range] = STATE(6943),
    [sym_binary] = STATE(6943),
    [sym_unary] = STATE(6943),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4043] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(9839),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [4044] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [4045] = {
    [sym_heredoc_body] = STATE(6945),
    [aux_sym_call_repeat1] = STATE(6945),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4046] = {
    [sym_heredoc_body] = STATE(6945),
    [aux_sym_call_repeat1] = STATE(6945),
    [aux_sym_argument_list_repeat1] = STATE(6947),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9841),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4047] = {
    [sym_string] = STATE(4078),
    [aux_sym_chained_string_repeat1] = STATE(4078),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(9843),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4048] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [4049] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [4050] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6949),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6949),
    [sym_operator_assignment] = STATE(6949),
    [sym_conditional] = STATE(6949),
    [sym_range] = STATE(6949),
    [sym_binary] = STATE(6949),
    [sym_unary] = STATE(6949),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4051] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6950),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6950),
    [sym_operator_assignment] = STATE(6950),
    [sym_conditional] = STATE(6950),
    [sym_range] = STATE(6950),
    [sym_binary] = STATE(6950),
    [sym_unary] = STATE(6950),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4052] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6951),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6951),
    [sym_operator_assignment] = STATE(6951),
    [sym_conditional] = STATE(6951),
    [sym_range] = STATE(6951),
    [sym_binary] = STATE(6951),
    [sym_unary] = STATE(6951),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4053] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6952),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6952),
    [sym_operator_assignment] = STATE(6952),
    [sym_conditional] = STATE(6952),
    [sym_range] = STATE(6952),
    [sym_binary] = STATE(6952),
    [sym_unary] = STATE(6952),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4054] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6953),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6953),
    [sym_operator_assignment] = STATE(6953),
    [sym_conditional] = STATE(6953),
    [sym_range] = STATE(6953),
    [sym_binary] = STATE(6953),
    [sym_unary] = STATE(6953),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4055] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6954),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6954),
    [sym_operator_assignment] = STATE(6954),
    [sym_conditional] = STATE(6954),
    [sym_range] = STATE(6954),
    [sym_binary] = STATE(6954),
    [sym_unary] = STATE(6954),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4056] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6955),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(6955),
    [sym_operator_assignment] = STATE(6955),
    [sym_conditional] = STATE(6955),
    [sym_range] = STATE(6955),
    [sym_binary] = STATE(6955),
    [sym_unary] = STATE(6955),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4057] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6956),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(6956),
    [sym_operator_assignment] = STATE(6956),
    [sym_conditional] = STATE(6956),
    [sym_range] = STATE(6956),
    [sym_binary] = STATE(6956),
    [sym_unary] = STATE(6956),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4058] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6957),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6957),
    [sym_operator_assignment] = STATE(6957),
    [sym_conditional] = STATE(6957),
    [sym_range] = STATE(6957),
    [sym_binary] = STATE(6957),
    [sym_unary] = STATE(6957),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4059] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6958),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6958),
    [sym_operator_assignment] = STATE(6958),
    [sym_conditional] = STATE(6958),
    [sym_range] = STATE(6958),
    [sym_binary] = STATE(6958),
    [sym_unary] = STATE(6958),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4060] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6959),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6959),
    [sym_operator_assignment] = STATE(6959),
    [sym_conditional] = STATE(6959),
    [sym_range] = STATE(6959),
    [sym_binary] = STATE(6959),
    [sym_unary] = STATE(6959),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4061] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6960),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6960),
    [sym_operator_assignment] = STATE(6960),
    [sym_conditional] = STATE(6960),
    [sym_range] = STATE(6960),
    [sym_binary] = STATE(6960),
    [sym_unary] = STATE(6960),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4062] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6961),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6961),
    [sym_operator_assignment] = STATE(6961),
    [sym_conditional] = STATE(6961),
    [sym_range] = STATE(6961),
    [sym_binary] = STATE(6961),
    [sym_unary] = STATE(6961),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4063] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6962),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(6962),
    [sym_operator_assignment] = STATE(6962),
    [sym_conditional] = STATE(6962),
    [sym_range] = STATE(6962),
    [sym_binary] = STATE(6962),
    [sym_unary] = STATE(6962),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4064] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6963),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(6963),
    [sym_operator_assignment] = STATE(6963),
    [sym_conditional] = STATE(6963),
    [sym_range] = STATE(6963),
    [sym_binary] = STATE(6963),
    [sym_unary] = STATE(6963),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4065] = {
    [sym__keyword_colon] = ACTIONS(9845),
    [sym_comment] = ACTIONS(87),
  },
  [4066] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6965),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(6965),
    [sym_operator_assignment] = STATE(6965),
    [sym_conditional] = STATE(6965),
    [sym_range] = STATE(6965),
    [sym_binary] = STATE(6965),
    [sym_unary] = STATE(6965),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4067] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(9845),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [4068] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [4069] = {
    [sym_heredoc_body] = STATE(6967),
    [aux_sym_call_repeat1] = STATE(6967),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [4070] = {
    [sym_heredoc_body] = STATE(6967),
    [aux_sym_call_repeat1] = STATE(6967),
    [aux_sym_argument_list_repeat1] = STATE(6969),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9847),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [4071] = {
    [sym_string] = STATE(4186),
    [aux_sym_chained_string_repeat1] = STATE(4186),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(9849),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4072] = {
    [sym_heredoc_body] = STATE(6971),
    [aux_sym_call_repeat1] = STATE(6971),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4073] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(6972),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(9851),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4074] = {
    [sym_heredoc_body] = STATE(6973),
    [aux_sym_call_repeat1] = STATE(6973),
    [aux_sym_argument_list_repeat1] = STATE(6974),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(6273),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4075] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6975),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_splat_argument] = STATE(6976),
    [sym_assignment] = STATE(6975),
    [sym_operator_assignment] = STATE(6975),
    [sym_conditional] = STATE(6975),
    [sym_range] = STATE(6975),
    [sym_binary] = STATE(6975),
    [sym_unary] = STATE(6975),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(6976),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(6227),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4076] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6977),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(6977),
    [sym_operator_assignment] = STATE(6977),
    [sym_conditional] = STATE(6977),
    [sym_range] = STATE(6977),
    [sym_binary] = STATE(6977),
    [sym_unary] = STATE(6977),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4077] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6978),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(6978),
    [sym_operator_assignment] = STATE(6978),
    [sym_conditional] = STATE(6978),
    [sym_range] = STATE(6978),
    [sym_binary] = STATE(6978),
    [sym_unary] = STATE(6978),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4078] = {
    [sym_string] = STATE(6979),
    [aux_sym_chained_string_repeat1] = STATE(6979),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [4079] = {
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_unless] = ACTIONS(891),
    [anon_sym_while] = ACTIONS(891),
    [anon_sym_until] = ACTIONS(891),
    [anon_sym_rescue] = ACTIONS(891),
    [sym_comment] = ACTIONS(87),
  },
  [4080] = {
    [sym__string_end] = ACTIONS(9853),
    [sym_comment] = ACTIONS(87),
  },
  [4081] = {
    [anon_sym_RBRACE] = ACTIONS(3584),
    [anon_sym_COMMA] = ACTIONS(3584),
    [anon_sym_if] = ACTIONS(3584),
    [anon_sym_unless] = ACTIONS(3584),
    [anon_sym_while] = ACTIONS(3584),
    [anon_sym_until] = ACTIONS(3584),
    [anon_sym_rescue] = ACTIONS(3584),
    [sym_comment] = ACTIONS(87),
  },
  [4082] = {
    [sym_operator] = STATE(1716),
    [sym__method_name] = STATE(6981),
    [sym_setter] = STATE(1716),
    [sym_symbol] = STATE(1716),
    [sym__simple_symbol] = ACTIONS(2823),
    [sym__symbol_start] = ACTIONS(2825),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2829),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_GT_GT] = ACTIONS(2827),
    [anon_sym_EQ_EQ] = ACTIONS(2829),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2827),
    [anon_sym_LT_EQ_GT] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2827),
    [anon_sym_BANG_TILDE] = ACTIONS(2827),
    [anon_sym_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT] = ACTIONS(2829),
    [anon_sym_GT_EQ] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2827),
    [sym_constant] = ACTIONS(2831),
    [sym_identifier] = ACTIONS(2833),
    [sym_instance_variable] = ACTIONS(2831),
    [sym_class_variable] = ACTIONS(2831),
    [sym_global_variable] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_AT] = ACTIONS(2827),
    [anon_sym_DASH_AT] = ACTIONS(2827),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(2827),
    [anon_sym_BQUOTE] = ACTIONS(2827),
    [sym_comment] = ACTIONS(87),
  },
  [4083] = {
    [aux_sym_undef_repeat1] = STATE(6982),
    [anon_sym_RBRACE] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(6287),
    [anon_sym_if] = ACTIONS(5442),
    [anon_sym_unless] = ACTIONS(5442),
    [anon_sym_while] = ACTIONS(5442),
    [anon_sym_until] = ACTIONS(5442),
    [anon_sym_rescue] = ACTIONS(5442),
    [sym_comment] = ACTIONS(87),
  },
  [4084] = {
    [anon_sym_RBRACE] = ACTIONS(5446),
    [anon_sym_if] = ACTIONS(5446),
    [anon_sym_unless] = ACTIONS(5446),
    [anon_sym_while] = ACTIONS(5446),
    [anon_sym_until] = ACTIONS(5446),
    [anon_sym_rescue] = ACTIONS(5446),
    [sym_comment] = ACTIONS(87),
  },
  [4085] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5780),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_unless] = ACTIONS(5780),
    [anon_sym_while] = ACTIONS(5780),
    [anon_sym_until] = ACTIONS(5780),
    [anon_sym_rescue] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(2859),
    [anon_sym_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4086] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(5782),
    [anon_sym_unless] = ACTIONS(5782),
    [anon_sym_while] = ACTIONS(5782),
    [anon_sym_until] = ACTIONS(5782),
    [anon_sym_rescue] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(2859),
    [anon_sym_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4087] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5784),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_unless] = ACTIONS(5784),
    [anon_sym_while] = ACTIONS(5784),
    [anon_sym_until] = ACTIONS(5784),
    [anon_sym_rescue] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(2859),
    [anon_sym_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4088] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(5786),
    [anon_sym_unless] = ACTIONS(5786),
    [anon_sym_while] = ACTIONS(5786),
    [anon_sym_until] = ACTIONS(5786),
    [anon_sym_rescue] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(2859),
    [anon_sym_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4089] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5788),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(5788),
    [anon_sym_unless] = ACTIONS(5788),
    [anon_sym_while] = ACTIONS(5788),
    [anon_sym_until] = ACTIONS(5788),
    [anon_sym_rescue] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(2859),
    [anon_sym_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4090] = {
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4091] = {
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [4092] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4093] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [4094] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4095] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4096] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(9855),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [4097] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4098] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(2859),
    [anon_sym_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4099] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4100] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4101] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4102] = {
    [sym__element_reference_left_bracket] = ACTIONS(5904),
    [sym__infix_scope_colons] = ACTIONS(5904),
    [sym__binary_minus] = ACTIONS(5904),
    [sym__binary_star] = ACTIONS(5904),
    [anon_sym_LBRACE] = ACTIONS(5904),
    [anon_sym_RBRACE] = ACTIONS(5904),
    [anon_sym_RPAREN] = ACTIONS(5904),
    [anon_sym_DOT] = ACTIONS(5906),
    [anon_sym_COMMA] = ACTIONS(5904),
    [anon_sym_PIPE] = ACTIONS(5906),
    [anon_sym_SEMI] = ACTIONS(5904),
    [anon_sym_STAR_STAR] = ACTIONS(5906),
    [anon_sym_AMP] = ACTIONS(5906),
    [anon_sym_EQ] = ACTIONS(5906),
    [anon_sym_LT] = ACTIONS(5906),
    [anon_sym_if] = ACTIONS(5904),
    [anon_sym_unless] = ACTIONS(5904),
    [anon_sym_while] = ACTIONS(5904),
    [anon_sym_until] = ACTIONS(5904),
    [anon_sym_rescue] = ACTIONS(5904),
    [anon_sym_do] = ACTIONS(5904),
    [anon_sym_AMP_DOT] = ACTIONS(5904),
    [anon_sym_PLUS_EQ] = ACTIONS(5904),
    [anon_sym_DASH_EQ] = ACTIONS(5904),
    [anon_sym_STAR_EQ] = ACTIONS(5904),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5904),
    [anon_sym_SLASH_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5904),
    [anon_sym_AMP_EQ] = ACTIONS(5904),
    [anon_sym_PERCENT_EQ] = ACTIONS(5904),
    [anon_sym_GT_GT_EQ] = ACTIONS(5904),
    [anon_sym_LT_LT_EQ] = ACTIONS(5904),
    [anon_sym_CARET_EQ] = ACTIONS(5904),
    [anon_sym_QMARK] = ACTIONS(5904),
    [anon_sym_COLON] = ACTIONS(5904),
    [anon_sym_DOT_DOT] = ACTIONS(5906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5904),
    [anon_sym_and] = ACTIONS(5904),
    [anon_sym_or] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE] = ACTIONS(5906),
    [anon_sym_AMP_AMP] = ACTIONS(5906),
    [anon_sym_LT_LT] = ACTIONS(5906),
    [anon_sym_GT_GT] = ACTIONS(5906),
    [anon_sym_EQ_EQ] = ACTIONS(5906),
    [anon_sym_BANG_EQ] = ACTIONS(5904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5904),
    [anon_sym_LT_EQ_GT] = ACTIONS(5904),
    [anon_sym_EQ_TILDE] = ACTIONS(5904),
    [anon_sym_BANG_TILDE] = ACTIONS(5904),
    [anon_sym_LT_EQ] = ACTIONS(5906),
    [anon_sym_GT] = ACTIONS(5906),
    [anon_sym_GT_EQ] = ACTIONS(5904),
    [anon_sym_CARET] = ACTIONS(5906),
    [anon_sym_PLUS] = ACTIONS(5906),
    [anon_sym_SLASH] = ACTIONS(5906),
    [anon_sym_PERCENT] = ACTIONS(5906),
    [sym_comment] = ACTIONS(87),
  },
  [4103] = {
    [sym_heredoc_body] = STATE(6985),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(9857),
    [sym_comment] = ACTIONS(87),
  },
  [4104] = {
    [anon_sym_RBRACK] = ACTIONS(9857),
    [sym_comment] = ACTIONS(87),
  },
  [4105] = {
    [sym__simple_symbol] = ACTIONS(5910),
    [sym__string_start] = ACTIONS(5910),
    [sym__symbol_start] = ACTIONS(5910),
    [sym__subshell_start] = ACTIONS(5910),
    [sym__regex_start] = ACTIONS(5910),
    [sym__string_array_start] = ACTIONS(5910),
    [sym__symbol_array_start] = ACTIONS(5910),
    [sym_heredoc_beginning] = ACTIONS(5910),
    [sym__element_reference_left_bracket] = ACTIONS(5910),
    [sym__block_ampersand] = ACTIONS(5910),
    [sym__splat_star] = ACTIONS(5910),
    [sym__argument_list_left_paren] = ACTIONS(5910),
    [sym__infix_scope_colons] = ACTIONS(5910),
    [sym__unary_minus] = ACTIONS(5910),
    [sym__binary_minus] = ACTIONS(5910),
    [sym__binary_star] = ACTIONS(5910),
    [sym__identifier_hash_key] = ACTIONS(5910),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_RBRACE] = ACTIONS(5910),
    [anon_sym_def] = ACTIONS(5912),
    [anon_sym_LPAREN] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_COLON_COLON] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_STAR_STAR] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_EQ] = ACTIONS(5912),
    [anon_sym_class] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_module] = ACTIONS(5912),
    [anon_sym_return] = ACTIONS(5912),
    [anon_sym_yield] = ACTIONS(5912),
    [anon_sym_break] = ACTIONS(5912),
    [anon_sym_next] = ACTIONS(5912),
    [sym_redo] = ACTIONS(5912),
    [sym_retry] = ACTIONS(5912),
    [anon_sym_if] = ACTIONS(5912),
    [anon_sym_unless] = ACTIONS(5912),
    [anon_sym_while] = ACTIONS(5912),
    [anon_sym_until] = ACTIONS(5912),
    [anon_sym_rescue] = ACTIONS(5912),
    [anon_sym_for] = ACTIONS(5912),
    [anon_sym_do] = ACTIONS(5912),
    [anon_sym_case] = ACTIONS(5912),
    [anon_sym_begin] = ACTIONS(5912),
    [anon_sym_AMP_DOT] = ACTIONS(5910),
    [anon_sym_PLUS_EQ] = ACTIONS(5910),
    [anon_sym_DASH_EQ] = ACTIONS(5910),
    [anon_sym_STAR_EQ] = ACTIONS(5910),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5910),
    [anon_sym_SLASH_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5910),
    [anon_sym_AMP_EQ] = ACTIONS(5910),
    [anon_sym_PERCENT_EQ] = ACTIONS(5910),
    [anon_sym_GT_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_LT_EQ] = ACTIONS(5910),
    [anon_sym_CARET_EQ] = ACTIONS(5910),
    [anon_sym_QMARK] = ACTIONS(5912),
    [anon_sym_COLON] = ACTIONS(5912),
    [anon_sym_DOT_DOT] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_and] = ACTIONS(5912),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_PIPE_PIPE] = ACTIONS(5912),
    [anon_sym_AMP_AMP] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5912),
    [anon_sym_GT_GT] = ACTIONS(5912),
    [anon_sym_EQ_EQ] = ACTIONS(5912),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_EQ_TILDE] = ACTIONS(5910),
    [anon_sym_BANG_TILDE] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5912),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_CARET] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5912),
    [anon_sym_defined_QMARK] = ACTIONS(5910),
    [anon_sym_not] = ACTIONS(5912),
    [anon_sym_BANG] = ACTIONS(5912),
    [anon_sym_TILDE] = ACTIONS(5910),
    [sym_constant] = ACTIONS(5912),
    [sym_identifier] = ACTIONS(5912),
    [sym_instance_variable] = ACTIONS(5910),
    [sym_class_variable] = ACTIONS(5910),
    [sym_global_variable] = ACTIONS(5910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5912),
    [sym_float] = ACTIONS(5912),
    [sym_complex] = ACTIONS(5910),
    [sym_super] = ACTIONS(5912),
    [anon_sym_true] = ACTIONS(5912),
    [anon_sym_TRUE] = ACTIONS(5912),
    [anon_sym_false] = ACTIONS(5912),
    [anon_sym_FALSE] = ACTIONS(5912),
    [sym_self] = ACTIONS(5912),
    [anon_sym_nil] = ACTIONS(5912),
    [anon_sym_NIL] = ACTIONS(5912),
    [sym_character] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
  },
  [4106] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(6987),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(6988),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(9859),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4107] = {
    [sym__simple_symbol] = ACTIONS(1267),
    [sym__string_start] = ACTIONS(1267),
    [sym__symbol_start] = ACTIONS(1267),
    [sym__subshell_start] = ACTIONS(1267),
    [sym__regex_start] = ACTIONS(1267),
    [sym__string_array_start] = ACTIONS(1267),
    [sym__symbol_array_start] = ACTIONS(1267),
    [sym_heredoc_beginning] = ACTIONS(1267),
    [sym__element_reference_left_bracket] = ACTIONS(1267),
    [sym__block_ampersand] = ACTIONS(1267),
    [sym__splat_star] = ACTIONS(1267),
    [sym__argument_list_left_paren] = ACTIONS(1267),
    [sym__infix_scope_colons] = ACTIONS(1267),
    [sym__unary_minus] = ACTIONS(1267),
    [sym__binary_minus] = ACTIONS(1267),
    [sym__binary_star] = ACTIONS(1267),
    [sym__identifier_hash_key] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_def] = ACTIONS(1269),
    [anon_sym_LPAREN] = ACTIONS(1267),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [anon_sym_DOT] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_yield] = ACTIONS(1269),
    [anon_sym_break] = ACTIONS(1269),
    [anon_sym_next] = ACTIONS(1269),
    [sym_redo] = ACTIONS(1269),
    [sym_retry] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1269),
    [anon_sym_unless] = ACTIONS(1269),
    [anon_sym_while] = ACTIONS(1269),
    [anon_sym_until] = ACTIONS(1269),
    [anon_sym_rescue] = ACTIONS(1269),
    [anon_sym_for] = ACTIONS(1269),
    [anon_sym_do] = ACTIONS(1269),
    [anon_sym_case] = ACTIONS(1269),
    [anon_sym_begin] = ACTIONS(1269),
    [anon_sym_AMP_DOT] = ACTIONS(1267),
    [anon_sym_PLUS_EQ] = ACTIONS(1267),
    [anon_sym_DASH_EQ] = ACTIONS(1267),
    [anon_sym_STAR_EQ] = ACTIONS(1267),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1267),
    [anon_sym_SLASH_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1267),
    [anon_sym_AMP_EQ] = ACTIONS(1267),
    [anon_sym_PERCENT_EQ] = ACTIONS(1267),
    [anon_sym_GT_GT_EQ] = ACTIONS(1267),
    [anon_sym_LT_LT_EQ] = ACTIONS(1267),
    [anon_sym_CARET_EQ] = ACTIONS(1267),
    [anon_sym_QMARK] = ACTIONS(1269),
    [anon_sym_COLON] = ACTIONS(1269),
    [anon_sym_DOT_DOT] = ACTIONS(1269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1267),
    [anon_sym_and] = ACTIONS(1269),
    [anon_sym_or] = ACTIONS(1269),
    [anon_sym_PIPE_PIPE] = ACTIONS(1269),
    [anon_sym_AMP_AMP] = ACTIONS(1269),
    [anon_sym_LT_LT] = ACTIONS(1269),
    [anon_sym_GT_GT] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_BANG_EQ] = ACTIONS(1267),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1267),
    [anon_sym_LT_EQ_GT] = ACTIONS(1267),
    [anon_sym_EQ_TILDE] = ACTIONS(1267),
    [anon_sym_BANG_TILDE] = ACTIONS(1267),
    [anon_sym_LT_EQ] = ACTIONS(1269),
    [anon_sym_GT] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1267),
    [anon_sym_not] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1267),
    [sym_constant] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1269),
    [sym_instance_variable] = ACTIONS(1267),
    [sym_class_variable] = ACTIONS(1267),
    [sym_global_variable] = ACTIONS(1267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1269),
    [sym_float] = ACTIONS(1269),
    [sym_complex] = ACTIONS(1267),
    [sym_super] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1269),
    [anon_sym_TRUE] = ACTIONS(1269),
    [anon_sym_false] = ACTIONS(1269),
    [anon_sym_FALSE] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [anon_sym_nil] = ACTIONS(1269),
    [anon_sym_NIL] = ACTIONS(1269),
    [sym_character] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1267),
    [anon_sym_DASH_GT] = ACTIONS(1267),
  },
  [4108] = {
    [sym__simple_symbol] = ACTIONS(5920),
    [sym__string_start] = ACTIONS(5920),
    [sym__symbol_start] = ACTIONS(5920),
    [sym__subshell_start] = ACTIONS(5920),
    [sym__regex_start] = ACTIONS(5920),
    [sym__string_array_start] = ACTIONS(5920),
    [sym__symbol_array_start] = ACTIONS(5920),
    [sym_heredoc_beginning] = ACTIONS(5920),
    [sym__element_reference_left_bracket] = ACTIONS(5920),
    [sym__block_ampersand] = ACTIONS(5920),
    [sym__splat_star] = ACTIONS(5920),
    [sym__argument_list_left_paren] = ACTIONS(5920),
    [sym__infix_scope_colons] = ACTIONS(5920),
    [sym__unary_minus] = ACTIONS(5920),
    [sym__binary_minus] = ACTIONS(5920),
    [sym__binary_star] = ACTIONS(5920),
    [sym__identifier_hash_key] = ACTIONS(5920),
    [anon_sym_LBRACE] = ACTIONS(5920),
    [anon_sym_RBRACE] = ACTIONS(5920),
    [anon_sym_def] = ACTIONS(5922),
    [anon_sym_LPAREN] = ACTIONS(5920),
    [anon_sym_RPAREN] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5922),
    [anon_sym_COLON_COLON] = ACTIONS(5920),
    [anon_sym_COMMA] = ACTIONS(5920),
    [anon_sym_PIPE] = ACTIONS(5922),
    [anon_sym_SEMI] = ACTIONS(5920),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_STAR_STAR] = ACTIONS(5922),
    [anon_sym_AMP] = ACTIONS(5922),
    [anon_sym_EQ] = ACTIONS(5922),
    [anon_sym_class] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(5922),
    [anon_sym_module] = ACTIONS(5922),
    [anon_sym_return] = ACTIONS(5922),
    [anon_sym_yield] = ACTIONS(5922),
    [anon_sym_break] = ACTIONS(5922),
    [anon_sym_next] = ACTIONS(5922),
    [sym_redo] = ACTIONS(5922),
    [sym_retry] = ACTIONS(5922),
    [anon_sym_if] = ACTIONS(5922),
    [anon_sym_unless] = ACTIONS(5922),
    [anon_sym_while] = ACTIONS(5922),
    [anon_sym_until] = ACTIONS(5922),
    [anon_sym_rescue] = ACTIONS(5922),
    [anon_sym_for] = ACTIONS(5922),
    [anon_sym_do] = ACTIONS(5922),
    [anon_sym_case] = ACTIONS(5922),
    [anon_sym_begin] = ACTIONS(5922),
    [anon_sym_AMP_DOT] = ACTIONS(5920),
    [anon_sym_PLUS_EQ] = ACTIONS(5920),
    [anon_sym_DASH_EQ] = ACTIONS(5920),
    [anon_sym_STAR_EQ] = ACTIONS(5920),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5920),
    [anon_sym_SLASH_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5920),
    [anon_sym_AMP_EQ] = ACTIONS(5920),
    [anon_sym_PERCENT_EQ] = ACTIONS(5920),
    [anon_sym_GT_GT_EQ] = ACTIONS(5920),
    [anon_sym_LT_LT_EQ] = ACTIONS(5920),
    [anon_sym_CARET_EQ] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_COLON] = ACTIONS(5922),
    [anon_sym_DOT_DOT] = ACTIONS(5922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5920),
    [anon_sym_and] = ACTIONS(5922),
    [anon_sym_or] = ACTIONS(5922),
    [anon_sym_PIPE_PIPE] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5922),
    [anon_sym_LT_LT] = ACTIONS(5922),
    [anon_sym_GT_GT] = ACTIONS(5922),
    [anon_sym_EQ_EQ] = ACTIONS(5922),
    [anon_sym_BANG_EQ] = ACTIONS(5920),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5920),
    [anon_sym_LT_EQ_GT] = ACTIONS(5920),
    [anon_sym_EQ_TILDE] = ACTIONS(5920),
    [anon_sym_BANG_TILDE] = ACTIONS(5920),
    [anon_sym_LT_EQ] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(5922),
    [anon_sym_GT_EQ] = ACTIONS(5920),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_PLUS] = ACTIONS(5922),
    [anon_sym_SLASH] = ACTIONS(5922),
    [anon_sym_PERCENT] = ACTIONS(5922),
    [anon_sym_defined_QMARK] = ACTIONS(5920),
    [anon_sym_not] = ACTIONS(5922),
    [anon_sym_BANG] = ACTIONS(5922),
    [anon_sym_TILDE] = ACTIONS(5920),
    [sym_constant] = ACTIONS(5922),
    [sym_identifier] = ACTIONS(5922),
    [sym_instance_variable] = ACTIONS(5920),
    [sym_class_variable] = ACTIONS(5920),
    [sym_global_variable] = ACTIONS(5920),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5922),
    [sym_float] = ACTIONS(5922),
    [sym_complex] = ACTIONS(5920),
    [sym_super] = ACTIONS(5922),
    [anon_sym_true] = ACTIONS(5922),
    [anon_sym_TRUE] = ACTIONS(5922),
    [anon_sym_false] = ACTIONS(5922),
    [anon_sym_FALSE] = ACTIONS(5922),
    [sym_self] = ACTIONS(5922),
    [anon_sym_nil] = ACTIONS(5922),
    [anon_sym_NIL] = ACTIONS(5922),
    [sym_character] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
  },
  [4109] = {
    [sym__simple_symbol] = ACTIONS(5924),
    [sym__string_start] = ACTIONS(5924),
    [sym__symbol_start] = ACTIONS(5924),
    [sym__subshell_start] = ACTIONS(5924),
    [sym__regex_start] = ACTIONS(5924),
    [sym__string_array_start] = ACTIONS(5924),
    [sym__symbol_array_start] = ACTIONS(5924),
    [sym_heredoc_beginning] = ACTIONS(5924),
    [sym__element_reference_left_bracket] = ACTIONS(5924),
    [sym__block_ampersand] = ACTIONS(5924),
    [sym__splat_star] = ACTIONS(5924),
    [sym__argument_list_left_paren] = ACTIONS(5924),
    [sym__infix_scope_colons] = ACTIONS(5924),
    [sym__unary_minus] = ACTIONS(5924),
    [sym__binary_minus] = ACTIONS(5924),
    [sym__binary_star] = ACTIONS(5924),
    [sym__identifier_hash_key] = ACTIONS(5924),
    [anon_sym_LBRACE] = ACTIONS(5924),
    [anon_sym_RBRACE] = ACTIONS(5924),
    [anon_sym_def] = ACTIONS(5926),
    [anon_sym_LPAREN] = ACTIONS(5924),
    [anon_sym_RPAREN] = ACTIONS(5924),
    [anon_sym_DOT] = ACTIONS(5926),
    [anon_sym_COLON_COLON] = ACTIONS(5924),
    [anon_sym_COMMA] = ACTIONS(5924),
    [anon_sym_PIPE] = ACTIONS(5926),
    [anon_sym_SEMI] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_STAR_STAR] = ACTIONS(5926),
    [anon_sym_AMP] = ACTIONS(5926),
    [anon_sym_EQ] = ACTIONS(5926),
    [anon_sym_class] = ACTIONS(5926),
    [anon_sym_LT] = ACTIONS(5926),
    [anon_sym_module] = ACTIONS(5926),
    [anon_sym_return] = ACTIONS(5926),
    [anon_sym_yield] = ACTIONS(5926),
    [anon_sym_break] = ACTIONS(5926),
    [anon_sym_next] = ACTIONS(5926),
    [sym_redo] = ACTIONS(5926),
    [sym_retry] = ACTIONS(5926),
    [anon_sym_if] = ACTIONS(5926),
    [anon_sym_unless] = ACTIONS(5926),
    [anon_sym_while] = ACTIONS(5926),
    [anon_sym_until] = ACTIONS(5926),
    [anon_sym_rescue] = ACTIONS(5926),
    [anon_sym_for] = ACTIONS(5926),
    [anon_sym_do] = ACTIONS(5926),
    [anon_sym_case] = ACTIONS(5926),
    [anon_sym_begin] = ACTIONS(5926),
    [anon_sym_AMP_DOT] = ACTIONS(5924),
    [anon_sym_PLUS_EQ] = ACTIONS(5924),
    [anon_sym_DASH_EQ] = ACTIONS(5924),
    [anon_sym_STAR_EQ] = ACTIONS(5924),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5924),
    [anon_sym_SLASH_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5924),
    [anon_sym_AMP_EQ] = ACTIONS(5924),
    [anon_sym_PERCENT_EQ] = ACTIONS(5924),
    [anon_sym_GT_GT_EQ] = ACTIONS(5924),
    [anon_sym_LT_LT_EQ] = ACTIONS(5924),
    [anon_sym_CARET_EQ] = ACTIONS(5924),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_COLON] = ACTIONS(5926),
    [anon_sym_DOT_DOT] = ACTIONS(5926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5924),
    [anon_sym_and] = ACTIONS(5926),
    [anon_sym_or] = ACTIONS(5926),
    [anon_sym_PIPE_PIPE] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_LT_LT] = ACTIONS(5926),
    [anon_sym_GT_GT] = ACTIONS(5926),
    [anon_sym_EQ_EQ] = ACTIONS(5926),
    [anon_sym_BANG_EQ] = ACTIONS(5924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5924),
    [anon_sym_LT_EQ_GT] = ACTIONS(5924),
    [anon_sym_EQ_TILDE] = ACTIONS(5924),
    [anon_sym_BANG_TILDE] = ACTIONS(5924),
    [anon_sym_LT_EQ] = ACTIONS(5926),
    [anon_sym_GT] = ACTIONS(5926),
    [anon_sym_GT_EQ] = ACTIONS(5924),
    [anon_sym_CARET] = ACTIONS(5926),
    [anon_sym_PLUS] = ACTIONS(5926),
    [anon_sym_SLASH] = ACTIONS(5926),
    [anon_sym_PERCENT] = ACTIONS(5926),
    [anon_sym_defined_QMARK] = ACTIONS(5924),
    [anon_sym_not] = ACTIONS(5926),
    [anon_sym_BANG] = ACTIONS(5926),
    [anon_sym_TILDE] = ACTIONS(5924),
    [sym_constant] = ACTIONS(5926),
    [sym_identifier] = ACTIONS(5926),
    [sym_instance_variable] = ACTIONS(5924),
    [sym_class_variable] = ACTIONS(5924),
    [sym_global_variable] = ACTIONS(5924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5926),
    [sym_float] = ACTIONS(5926),
    [sym_complex] = ACTIONS(5924),
    [sym_super] = ACTIONS(5926),
    [anon_sym_true] = ACTIONS(5926),
    [anon_sym_TRUE] = ACTIONS(5926),
    [anon_sym_false] = ACTIONS(5926),
    [anon_sym_FALSE] = ACTIONS(5926),
    [sym_self] = ACTIONS(5926),
    [anon_sym_nil] = ACTIONS(5926),
    [anon_sym_NIL] = ACTIONS(5926),
    [sym_character] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5924),
    [anon_sym_DASH_GT] = ACTIONS(5924),
  },
  [4110] = {
    [sym_argument_list_with_parens] = STATE(6989),
    [sym__argument_list_with_parens] = STATE(4109),
    [sym_operator] = STATE(6989),
    [sym_heredoc_body] = STATE(3808),
    [aux_sym_call_repeat1] = STATE(3808),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(6297),
    [anon_sym_PIPE] = ACTIONS(6299),
    [anon_sym_STAR] = ACTIONS(6301),
    [anon_sym_STAR_STAR] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(6299),
    [anon_sym_LT] = ACTIONS(6301),
    [anon_sym_DOT_DOT] = ACTIONS(6299),
    [anon_sym_LT_LT] = ACTIONS(6299),
    [anon_sym_GT_GT] = ACTIONS(6299),
    [anon_sym_EQ_EQ] = ACTIONS(6301),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6299),
    [anon_sym_LT_EQ_GT] = ACTIONS(6299),
    [anon_sym_EQ_TILDE] = ACTIONS(6299),
    [anon_sym_BANG_TILDE] = ACTIONS(6299),
    [anon_sym_LT_EQ] = ACTIONS(6301),
    [anon_sym_GT] = ACTIONS(6301),
    [anon_sym_GT_EQ] = ACTIONS(6299),
    [anon_sym_CARET] = ACTIONS(6299),
    [anon_sym_PLUS] = ACTIONS(6301),
    [anon_sym_SLASH] = ACTIONS(6299),
    [anon_sym_PERCENT] = ACTIONS(6299),
    [anon_sym_BANG] = ACTIONS(6301),
    [anon_sym_TILDE] = ACTIONS(6299),
    [sym_constant] = ACTIONS(9861),
    [sym_identifier] = ACTIONS(9861),
    [anon_sym_DASH] = ACTIONS(6301),
    [anon_sym_PLUS_AT] = ACTIONS(6299),
    [anon_sym_DASH_AT] = ACTIONS(6299),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(6301),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(6299),
    [anon_sym_BQUOTE] = ACTIONS(6299),
    [sym_comment] = ACTIONS(87),
  },
  [4111] = {
    [sym__heredoc_body_start] = ACTIONS(101),
    [sym__element_reference_left_bracket] = ACTIONS(101),
    [sym__infix_scope_colons] = ACTIONS(101),
    [sym__binary_minus] = ACTIONS(101),
    [sym__binary_star] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_RPAREN] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(103),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_STAR_STAR] = ACTIONS(103),
    [anon_sym_AMP] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(103),
    [anon_sym_LT] = ACTIONS(103),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_unless] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_until] = ACTIONS(101),
    [anon_sym_rescue] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_AMP_DOT] = ACTIONS(101),
    [anon_sym_PLUS_EQ] = ACTIONS(101),
    [anon_sym_DASH_EQ] = ACTIONS(101),
    [anon_sym_STAR_EQ] = ACTIONS(101),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(101),
    [anon_sym_SLASH_EQ] = ACTIONS(101),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(101),
    [anon_sym_PIPE_EQ] = ACTIONS(101),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(101),
    [anon_sym_AMP_EQ] = ACTIONS(101),
    [anon_sym_PERCENT_EQ] = ACTIONS(101),
    [anon_sym_GT_GT_EQ] = ACTIONS(101),
    [anon_sym_LT_LT_EQ] = ACTIONS(101),
    [anon_sym_CARET_EQ] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_and] = ACTIONS(101),
    [anon_sym_or] = ACTIONS(101),
    [anon_sym_PIPE_PIPE] = ACTIONS(103),
    [anon_sym_AMP_AMP] = ACTIONS(103),
    [anon_sym_LT_LT] = ACTIONS(103),
    [anon_sym_GT_GT] = ACTIONS(103),
    [anon_sym_EQ_EQ] = ACTIONS(103),
    [anon_sym_BANG_EQ] = ACTIONS(101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(101),
    [anon_sym_LT_EQ_GT] = ACTIONS(101),
    [anon_sym_EQ_TILDE] = ACTIONS(101),
    [anon_sym_BANG_TILDE] = ACTIONS(101),
    [anon_sym_LT_EQ] = ACTIONS(103),
    [anon_sym_GT] = ACTIONS(103),
    [anon_sym_GT_EQ] = ACTIONS(101),
    [anon_sym_CARET] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(103),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_PERCENT] = ACTIONS(103),
    [sym_comment] = ACTIONS(87),
  },
  [4112] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(6991),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(9863),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [4113] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(6993),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(9865),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [4114] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(6995),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(9867),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [4115] = {
    [sym_interpolation] = STATE(60),
    [sym__literal_contents] = STATE(6997),
    [aux_sym__literal_contents_repeat1] = STATE(60),
    [sym__string_content] = ACTIONS(105),
    [sym__string_end] = ACTIONS(9869),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(111),
    [sym_escape_sequence] = ACTIONS(105),
  },
  [4116] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(7000),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(9871),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9873),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [4117] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(7003),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(9875),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(9877),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [4118] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7004),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(7004),
    [sym_operator_assignment] = STATE(7004),
    [sym_conditional] = STATE(7004),
    [sym_range] = STATE(7004),
    [sym_binary] = STATE(7004),
    [sym_unary] = STATE(7004),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4119] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(117),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(117),
    [sym_operator_assignment] = STATE(117),
    [sym_conditional] = STATE(117),
    [sym_range] = STATE(117),
    [sym_binary] = STATE(117),
    [sym_unary] = STATE(117),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(123),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_heredoc_body] = STATE(7006),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym__hash_items] = STATE(7007),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(139),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(9879),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(209),
    [sym_identifier] = ACTIONS(209),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4120] = {
    [sym__method_rest] = STATE(7009),
    [sym__variable] = STATE(7010),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(7011),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(9881),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(239),
    [sym_identifier] = ACTIONS(241),
    [sym_instance_variable] = ACTIONS(239),
    [sym_class_variable] = ACTIONS(239),
    [sym_global_variable] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
    [sym_super] = ACTIONS(9883),
    [sym_self] = ACTIONS(9883),
  },
  [4121] = {
    [sym__statements] = STATE(7013),
    [sym__top_level_statement] = STATE(150),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(155),
    [sym__simple_mlhs] = STATE(156),
    [sym_destructured_left_assignment] = STATE(156),
    [sym_rest_assignment] = STATE(156),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(9885),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4122] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(7016),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(9887),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(9889),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [4123] = {
    [sym_method] = STATE(197),
    [sym_singleton_method] = STATE(197),
    [sym_class] = STATE(197),
    [sym_singleton_class] = STATE(197),
    [sym_module] = STATE(197),
    [sym_return] = STATE(197),
    [sym_yield] = STATE(197),
    [sym_break] = STATE(197),
    [sym_next] = STATE(197),
    [sym_while] = STATE(197),
    [sym_until] = STATE(197),
    [sym_for] = STATE(197),
    [sym_case] = STATE(197),
    [sym_if] = STATE(197),
    [sym_unless] = STATE(197),
    [sym_begin] = STATE(197),
    [sym__primary] = STATE(197),
    [sym_parenthesized_statements] = STATE(197),
    [sym_element_reference] = STATE(197),
    [sym_scope_resolution] = STATE(7018),
    [sym_call] = STATE(199),
    [sym_method_call] = STATE(197),
    [sym__lhs] = STATE(197),
    [sym__variable] = STATE(199),
    [sym_rational] = STATE(197),
    [sym_true] = STATE(197),
    [sym_false] = STATE(197),
    [sym_nil] = STATE(197),
    [sym_chained_string] = STATE(197),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(197),
    [sym_string_array] = STATE(197),
    [sym_symbol_array] = STATE(197),
    [sym_symbol] = STATE(197),
    [sym_regex] = STATE(197),
    [sym_array] = STATE(197),
    [sym_hash] = STATE(197),
    [sym_lambda] = STATE(197),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(353),
    [sym_retry] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(9891),
    [sym_identifier] = ACTIONS(357),
    [sym_instance_variable] = ACTIONS(359),
    [sym_class_variable] = ACTIONS(359),
    [sym_global_variable] = ACTIONS(359),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(353),
    [sym_complex] = ACTIONS(347),
    [sym_super] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(357),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [4124] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1757),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(7019),
    [sym__argument_list_with_parens] = STATE(1760),
    [sym__argument] = STATE(1761),
    [sym_splat_argument] = STATE(1761),
    [sym_hash_splat_argument] = STATE(1761),
    [sym_block_argument] = STATE(1761),
    [sym_assignment] = STATE(1757),
    [sym_operator_assignment] = STATE(1757),
    [sym_conditional] = STATE(1757),
    [sym_range] = STATE(1757),
    [sym_binary] = STATE(1757),
    [sym_unary] = STATE(1757),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1765),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1761),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(2887),
    [sym__splat_star] = ACTIONS(2889),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4125] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1757),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(7020),
    [sym__argument_list_with_parens] = STATE(1760),
    [sym__argument] = STATE(1761),
    [sym_splat_argument] = STATE(1761),
    [sym_hash_splat_argument] = STATE(1761),
    [sym_block_argument] = STATE(1761),
    [sym_assignment] = STATE(1757),
    [sym_operator_assignment] = STATE(1757),
    [sym_conditional] = STATE(1757),
    [sym_range] = STATE(1757),
    [sym_binary] = STATE(1757),
    [sym_unary] = STATE(1757),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1765),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1761),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(2887),
    [sym__splat_star] = ACTIONS(2889),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4126] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1757),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(7021),
    [sym__argument_list_with_parens] = STATE(1760),
    [sym__argument] = STATE(1761),
    [sym_splat_argument] = STATE(1761),
    [sym_hash_splat_argument] = STATE(1761),
    [sym_block_argument] = STATE(1761),
    [sym_assignment] = STATE(1757),
    [sym_operator_assignment] = STATE(1757),
    [sym_conditional] = STATE(1757),
    [sym_range] = STATE(1757),
    [sym_binary] = STATE(1757),
    [sym_unary] = STATE(1757),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1765),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1761),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(2887),
    [sym__splat_star] = ACTIONS(2889),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4127] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1757),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(7022),
    [sym__argument_list_with_parens] = STATE(1760),
    [sym__argument] = STATE(1761),
    [sym_splat_argument] = STATE(1761),
    [sym_hash_splat_argument] = STATE(1761),
    [sym_block_argument] = STATE(1761),
    [sym_assignment] = STATE(1757),
    [sym_operator_assignment] = STATE(1757),
    [sym_conditional] = STATE(1757),
    [sym_range] = STATE(1757),
    [sym_binary] = STATE(1757),
    [sym_unary] = STATE(1757),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1765),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1761),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(2887),
    [sym__splat_star] = ACTIONS(2889),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4128] = {
    [sym__statement] = STATE(7023),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4129] = {
    [sym__statement] = STATE(7024),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(243),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(243),
    [sym_operator_assignment] = STATE(243),
    [sym_conditional] = STATE(243),
    [sym_range] = STATE(243),
    [sym_binary] = STATE(243),
    [sym_unary] = STATE(243),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [anon_sym_undef] = ACTIONS(447),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4130] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7025),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(7025),
    [sym_operator_assignment] = STATE(7025),
    [sym_conditional] = STATE(7025),
    [sym_range] = STATE(7025),
    [sym_binary] = STATE(7025),
    [sym_unary] = STATE(7025),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4131] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7026),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(7026),
    [sym_operator_assignment] = STATE(7026),
    [sym_conditional] = STATE(7026),
    [sym_range] = STATE(7026),
    [sym_binary] = STATE(7026),
    [sym_unary] = STATE(7026),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4132] = {
    [sym_method] = STATE(190),
    [sym_singleton_method] = STATE(190),
    [sym_class] = STATE(190),
    [sym_singleton_class] = STATE(190),
    [sym_module] = STATE(190),
    [sym_return] = STATE(190),
    [sym_yield] = STATE(190),
    [sym_break] = STATE(190),
    [sym_next] = STATE(190),
    [sym_while] = STATE(190),
    [sym_until] = STATE(190),
    [sym_for] = STATE(190),
    [sym_case] = STATE(190),
    [sym_if] = STATE(190),
    [sym_unless] = STATE(190),
    [sym_begin] = STATE(190),
    [sym__primary] = STATE(190),
    [sym_parenthesized_statements] = STATE(190),
    [sym_element_reference] = STATE(268),
    [sym_scope_resolution] = STATE(265),
    [sym_call] = STATE(265),
    [sym_method_call] = STATE(268),
    [sym__mlhs] = STATE(7027),
    [sym__simple_mlhs] = STATE(267),
    [sym_destructured_left_assignment] = STATE(267),
    [sym_rest_assignment] = STATE(267),
    [sym__lhs] = STATE(268),
    [sym__variable] = STATE(265),
    [sym_rational] = STATE(190),
    [sym_true] = STATE(268),
    [sym_false] = STATE(268),
    [sym_nil] = STATE(268),
    [sym_chained_string] = STATE(190),
    [sym_string] = STATE(193),
    [sym_subshell] = STATE(190),
    [sym_string_array] = STATE(190),
    [sym_symbol_array] = STATE(190),
    [sym_symbol] = STATE(190),
    [sym_regex] = STATE(190),
    [sym_array] = STATE(190),
    [sym_hash] = STATE(190),
    [sym_lambda] = STATE(190),
    [sym__simple_symbol] = ACTIONS(277),
    [sym__string_start] = ACTIONS(279),
    [sym__symbol_start] = ACTIONS(281),
    [sym__subshell_start] = ACTIONS(283),
    [sym__regex_start] = ACTIONS(285),
    [sym__string_array_start] = ACTIONS(287),
    [sym__symbol_array_start] = ACTIONS(289),
    [sym_heredoc_beginning] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_def] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(313),
    [sym_redo] = ACTIONS(315),
    [sym_retry] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_unless] = ACTIONS(319),
    [anon_sym_while] = ACTIONS(321),
    [anon_sym_until] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_constant] = ACTIONS(475),
    [sym_identifier] = ACTIONS(475),
    [sym_instance_variable] = ACTIONS(477),
    [sym_class_variable] = ACTIONS(477),
    [sym_global_variable] = ACTIONS(477),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(335),
    [sym_float] = ACTIONS(315),
    [sym_complex] = ACTIONS(291),
    [sym_super] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(337),
    [anon_sym_TRUE] = ACTIONS(337),
    [anon_sym_false] = ACTIONS(339),
    [anon_sym_FALSE] = ACTIONS(339),
    [sym_self] = ACTIONS(475),
    [anon_sym_nil] = ACTIONS(341),
    [anon_sym_NIL] = ACTIONS(341),
    [sym_character] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
  },
  [4133] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7028),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(7028),
    [sym_operator_assignment] = STATE(7028),
    [sym_conditional] = STATE(7028),
    [sym_range] = STATE(7028),
    [sym_binary] = STATE(7028),
    [sym_unary] = STATE(7028),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(7029),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__terminator] = STATE(7029),
    [sym__line_break] = ACTIONS(9893),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(9893),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4134] = {
    [sym__statements] = STATE(7030),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(7031),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(7032),
    [sym_rescue] = STATE(7033),
    [sym__body_statement] = STATE(7034),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(7035),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(7035),
    [sym__line_break] = ACTIONS(9895),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9897),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4135] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7036),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(7036),
    [sym_operator_assignment] = STATE(7036),
    [sym_conditional] = STATE(7036),
    [sym_range] = STATE(7036),
    [sym_binary] = STATE(7036),
    [sym_unary] = STATE(7036),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4136] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7037),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(7037),
    [sym_operator_assignment] = STATE(7037),
    [sym_conditional] = STATE(7037),
    [sym_range] = STATE(7037),
    [sym_binary] = STATE(7037),
    [sym_unary] = STATE(7037),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4137] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7038),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(7038),
    [sym_operator_assignment] = STATE(7038),
    [sym_conditional] = STATE(7038),
    [sym_range] = STATE(7038),
    [sym_binary] = STATE(7038),
    [sym_unary] = STATE(7038),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4138] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
    [anon_sym_r] = ACTIONS(9899),
  },
  [4139] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(7041),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(7042),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(9901),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4140] = {
    [sym_lambda_parameters] = STATE(7043),
    [sym__simple_formal_parameter] = STATE(379),
    [sym_splat_parameter] = STATE(379),
    [sym_hash_splat_parameter] = STATE(379),
    [sym_block_parameter] = STATE(379),
    [sym_keyword_parameter] = STATE(379),
    [sym_optional_parameter] = STATE(379),
    [sym_do_block] = STATE(7044),
    [sym_block] = STATE(7044),
    [anon_sym_LBRACE] = ACTIONS(6837),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(3246),
    [sym_identifier] = ACTIONS(677),
    [sym_comment] = ACTIONS(87),
  },
  [4141] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(9915),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [4142] = {
    [sym__heredoc_body_start] = ACTIONS(735),
    [sym__element_reference_left_bracket] = ACTIONS(3220),
    [sym__infix_scope_colons] = ACTIONS(3222),
    [sym__binary_minus] = ACTIONS(735),
    [sym__binary_star] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_COMMA] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(743),
    [anon_sym_AMP] = ACTIONS(743),
    [anon_sym_EQ] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_unless] = ACTIONS(735),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_until] = ACTIONS(735),
    [anon_sym_rescue] = ACTIONS(735),
    [anon_sym_in] = ACTIONS(735),
    [anon_sym_do] = ACTIONS(735),
    [anon_sym_RBRACK] = ACTIONS(735),
    [anon_sym_AMP_DOT] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(735),
    [anon_sym_DASH_EQ] = ACTIONS(735),
    [anon_sym_STAR_EQ] = ACTIONS(735),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(735),
    [anon_sym_SLASH_EQ] = ACTIONS(735),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(735),
    [anon_sym_PIPE_EQ] = ACTIONS(735),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(735),
    [anon_sym_AMP_EQ] = ACTIONS(735),
    [anon_sym_PERCENT_EQ] = ACTIONS(735),
    [anon_sym_GT_GT_EQ] = ACTIONS(735),
    [anon_sym_LT_LT_EQ] = ACTIONS(735),
    [anon_sym_CARET_EQ] = ACTIONS(735),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(735),
    [anon_sym_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(735),
    [anon_sym_or] = ACTIONS(735),
    [anon_sym_PIPE_PIPE] = ACTIONS(743),
    [anon_sym_AMP_AMP] = ACTIONS(743),
    [anon_sym_LT_LT] = ACTIONS(743),
    [anon_sym_GT_GT] = ACTIONS(743),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(735),
    [anon_sym_LT_EQ_GT] = ACTIONS(735),
    [anon_sym_EQ_TILDE] = ACTIONS(735),
    [anon_sym_BANG_TILDE] = ACTIONS(735),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(743),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(743),
    [anon_sym_PLUS] = ACTIONS(743),
    [anon_sym_SLASH] = ACTIONS(743),
    [anon_sym_PERCENT] = ACTIONS(743),
    [sym_comment] = ACTIONS(87),
  },
  [4143] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1757),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_argument_list] = STATE(5106),
    [sym__argument_list_with_parens] = STATE(1760),
    [sym__argument] = STATE(1761),
    [sym_splat_argument] = STATE(1761),
    [sym_hash_splat_argument] = STATE(1761),
    [sym_block_argument] = STATE(1761),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(1757),
    [sym_operator_assignment] = STATE(1757),
    [sym_conditional] = STATE(1757),
    [sym_range] = STATE(1757),
    [sym_binary] = STATE(1757),
    [sym_unary] = STATE(1757),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1765),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1761),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(2887),
    [sym__splat_star] = ACTIONS(2889),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(7625),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4144] = {
    [anon_sym_EQ] = ACTIONS(9931),
    [sym_comment] = ACTIONS(87),
  },
  [4145] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(9935),
    [anon_sym_DASH_EQ] = ACTIONS(9935),
    [anon_sym_STAR_EQ] = ACTIONS(9935),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9935),
    [anon_sym_SLASH_EQ] = ACTIONS(9935),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9935),
    [anon_sym_PIPE_EQ] = ACTIONS(9935),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9935),
    [anon_sym_AMP_EQ] = ACTIONS(9935),
    [anon_sym_PERCENT_EQ] = ACTIONS(9935),
    [anon_sym_GT_GT_EQ] = ACTIONS(9935),
    [anon_sym_LT_LT_EQ] = ACTIONS(9935),
    [anon_sym_CARET_EQ] = ACTIONS(9935),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4146] = {
    [sym_string] = STATE(7059),
    [aux_sym_chained_string_repeat1] = STATE(7059),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4147] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(9915),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [4148] = {
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR_STAR] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_if] = ACTIONS(4198),
    [anon_sym_unless] = ACTIONS(4198),
    [anon_sym_while] = ACTIONS(4198),
    [anon_sym_until] = ACTIONS(4198),
    [anon_sym_rescue] = ACTIONS(4198),
    [anon_sym_in] = ACTIONS(4198),
    [anon_sym_do] = ACTIONS(4198),
    [anon_sym_RBRACK] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS_EQ] = ACTIONS(4198),
    [anon_sym_DASH_EQ] = ACTIONS(4198),
    [anon_sym_STAR_EQ] = ACTIONS(4198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4198),
    [anon_sym_SLASH_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4198),
    [anon_sym_AMP_EQ] = ACTIONS(4198),
    [anon_sym_PERCENT_EQ] = ACTIONS(4198),
    [anon_sym_GT_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_LT_EQ] = ACTIONS(4198),
    [anon_sym_CARET_EQ] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4198),
    [anon_sym_COLON] = ACTIONS(4198),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4198),
    [anon_sym_or] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE] = ACTIONS(4200),
    [anon_sym_AMP_AMP] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [sym_comment] = ACTIONS(87),
  },
  [4149] = {
    [sym_heredoc_body] = STATE(7061),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(9937),
    [sym_comment] = ACTIONS(87),
  },
  [4150] = {
    [anon_sym_RPAREN] = ACTIONS(9937),
    [sym_comment] = ACTIONS(87),
  },
  [4151] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [4152] = {
    [sym_string] = STATE(4186),
    [aux_sym_chained_string_repeat1] = STATE(4186),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4153] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7062),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(7062),
    [sym_operator_assignment] = STATE(7062),
    [sym_conditional] = STATE(7062),
    [sym_range] = STATE(7062),
    [sym_binary] = STATE(7062),
    [sym_unary] = STATE(7062),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4154] = {
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [4155] = {
    [anon_sym_RBRACE] = ACTIONS(9939),
    [sym_comment] = ACTIONS(87),
  },
  [4156] = {
    [sym__statements] = STATE(7064),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(9939),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4157] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(9915),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [4158] = {
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [sym__binary_minus] = ACTIONS(5724),
    [sym__binary_star] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym_STAR_STAR] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_if] = ACTIONS(5724),
    [anon_sym_unless] = ACTIONS(5724),
    [anon_sym_while] = ACTIONS(5724),
    [anon_sym_until] = ACTIONS(5724),
    [anon_sym_rescue] = ACTIONS(5724),
    [anon_sym_do] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [anon_sym_PLUS_EQ] = ACTIONS(5724),
    [anon_sym_DASH_EQ] = ACTIONS(5724),
    [anon_sym_STAR_EQ] = ACTIONS(5724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5724),
    [anon_sym_SLASH_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5724),
    [anon_sym_AMP_EQ] = ACTIONS(5724),
    [anon_sym_PERCENT_EQ] = ACTIONS(5724),
    [anon_sym_GT_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_LT_EQ] = ACTIONS(5724),
    [anon_sym_CARET_EQ] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_COLON] = ACTIONS(5724),
    [anon_sym_DOT_DOT] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5726),
    [anon_sym_AMP_AMP] = ACTIONS(5726),
    [anon_sym_LT_LT] = ACTIONS(5726),
    [anon_sym_GT_GT] = ACTIONS(5726),
    [anon_sym_EQ_EQ] = ACTIONS(5726),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_EQ_TILDE] = ACTIONS(5724),
    [anon_sym_BANG_TILDE] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_CARET] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_SLASH] = ACTIONS(5726),
    [anon_sym_PERCENT] = ACTIONS(5726),
    [sym_comment] = ACTIONS(87),
  },
  [4159] = {
    [anon_sym_end] = ACTIONS(9941),
    [sym_comment] = ACTIONS(87),
  },
  [4160] = {
    [sym__statements] = STATE(7066),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(7067),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(7067),
    [sym__line_break] = ACTIONS(9943),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4161] = {
    [sym__statements] = STATE(7066),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(7068),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4162] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [4163] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [4164] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7069),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7069),
    [sym_operator_assignment] = STATE(7069),
    [sym_conditional] = STATE(7069),
    [sym_range] = STATE(7069),
    [sym_binary] = STATE(7069),
    [sym_unary] = STATE(7069),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4165] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7070),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7070),
    [sym_operator_assignment] = STATE(7070),
    [sym_conditional] = STATE(7070),
    [sym_range] = STATE(7070),
    [sym_binary] = STATE(7070),
    [sym_unary] = STATE(7070),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4166] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7071),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7071),
    [sym_operator_assignment] = STATE(7071),
    [sym_conditional] = STATE(7071),
    [sym_range] = STATE(7071),
    [sym_binary] = STATE(7071),
    [sym_unary] = STATE(7071),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4167] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7072),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7072),
    [sym_operator_assignment] = STATE(7072),
    [sym_conditional] = STATE(7072),
    [sym_range] = STATE(7072),
    [sym_binary] = STATE(7072),
    [sym_unary] = STATE(7072),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4168] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7073),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7073),
    [sym_operator_assignment] = STATE(7073),
    [sym_conditional] = STATE(7073),
    [sym_range] = STATE(7073),
    [sym_binary] = STATE(7073),
    [sym_unary] = STATE(7073),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4169] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7074),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7074),
    [sym_operator_assignment] = STATE(7074),
    [sym_conditional] = STATE(7074),
    [sym_range] = STATE(7074),
    [sym_binary] = STATE(7074),
    [sym_unary] = STATE(7074),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4170] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7075),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(7075),
    [sym_operator_assignment] = STATE(7075),
    [sym_conditional] = STATE(7075),
    [sym_range] = STATE(7075),
    [sym_binary] = STATE(7075),
    [sym_unary] = STATE(7075),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4171] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7076),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7076),
    [sym_operator_assignment] = STATE(7076),
    [sym_conditional] = STATE(7076),
    [sym_range] = STATE(7076),
    [sym_binary] = STATE(7076),
    [sym_unary] = STATE(7076),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4172] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7077),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7077),
    [sym_operator_assignment] = STATE(7077),
    [sym_conditional] = STATE(7077),
    [sym_range] = STATE(7077),
    [sym_binary] = STATE(7077),
    [sym_unary] = STATE(7077),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4173] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7078),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7078),
    [sym_operator_assignment] = STATE(7078),
    [sym_conditional] = STATE(7078),
    [sym_range] = STATE(7078),
    [sym_binary] = STATE(7078),
    [sym_unary] = STATE(7078),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4174] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7079),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7079),
    [sym_operator_assignment] = STATE(7079),
    [sym_conditional] = STATE(7079),
    [sym_range] = STATE(7079),
    [sym_binary] = STATE(7079),
    [sym_unary] = STATE(7079),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4175] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7080),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7080),
    [sym_operator_assignment] = STATE(7080),
    [sym_conditional] = STATE(7080),
    [sym_range] = STATE(7080),
    [sym_binary] = STATE(7080),
    [sym_unary] = STATE(7080),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4176] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7081),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7081),
    [sym_operator_assignment] = STATE(7081),
    [sym_conditional] = STATE(7081),
    [sym_range] = STATE(7081),
    [sym_binary] = STATE(7081),
    [sym_unary] = STATE(7081),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4177] = {
    [sym__statements] = STATE(4155),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(4156),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(9947),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4178] = {
    [sym__element_reference_left_bracket] = ACTIONS(6134),
    [sym__infix_scope_colons] = ACTIONS(6134),
    [sym__binary_minus] = ACTIONS(6134),
    [sym__binary_star] = ACTIONS(6134),
    [anon_sym_LBRACE] = ACTIONS(6134),
    [anon_sym_RBRACE] = ACTIONS(6134),
    [anon_sym_RPAREN] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6136),
    [anon_sym_COMMA] = ACTIONS(6134),
    [anon_sym_PIPE] = ACTIONS(6136),
    [anon_sym_SEMI] = ACTIONS(6134),
    [anon_sym_STAR_STAR] = ACTIONS(6136),
    [anon_sym_AMP] = ACTIONS(6136),
    [anon_sym_EQ] = ACTIONS(6136),
    [anon_sym_LT] = ACTIONS(6136),
    [anon_sym_if] = ACTIONS(6134),
    [anon_sym_unless] = ACTIONS(6134),
    [anon_sym_while] = ACTIONS(6134),
    [anon_sym_until] = ACTIONS(6134),
    [anon_sym_rescue] = ACTIONS(6134),
    [anon_sym_do] = ACTIONS(6134),
    [anon_sym_AMP_DOT] = ACTIONS(6134),
    [anon_sym_PLUS_EQ] = ACTIONS(6134),
    [anon_sym_DASH_EQ] = ACTIONS(6134),
    [anon_sym_STAR_EQ] = ACTIONS(6134),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6134),
    [anon_sym_SLASH_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6134),
    [anon_sym_AMP_EQ] = ACTIONS(6134),
    [anon_sym_PERCENT_EQ] = ACTIONS(6134),
    [anon_sym_GT_GT_EQ] = ACTIONS(6134),
    [anon_sym_LT_LT_EQ] = ACTIONS(6134),
    [anon_sym_CARET_EQ] = ACTIONS(6134),
    [anon_sym_QMARK] = ACTIONS(6134),
    [anon_sym_COLON] = ACTIONS(6134),
    [anon_sym_DOT_DOT] = ACTIONS(6136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6134),
    [anon_sym_and] = ACTIONS(6134),
    [anon_sym_or] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE] = ACTIONS(6136),
    [anon_sym_AMP_AMP] = ACTIONS(6136),
    [anon_sym_LT_LT] = ACTIONS(6136),
    [anon_sym_GT_GT] = ACTIONS(6136),
    [anon_sym_EQ_EQ] = ACTIONS(6136),
    [anon_sym_BANG_EQ] = ACTIONS(6134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6134),
    [anon_sym_LT_EQ_GT] = ACTIONS(6134),
    [anon_sym_EQ_TILDE] = ACTIONS(6134),
    [anon_sym_BANG_TILDE] = ACTIONS(6134),
    [anon_sym_LT_EQ] = ACTIONS(6136),
    [anon_sym_GT] = ACTIONS(6136),
    [anon_sym_GT_EQ] = ACTIONS(6134),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PLUS] = ACTIONS(6136),
    [anon_sym_SLASH] = ACTIONS(6136),
    [anon_sym_PERCENT] = ACTIONS(6136),
    [sym_comment] = ACTIONS(87),
  },
  [4179] = {
    [sym_interpolation] = STATE(7084),
    [aux_sym_heredoc_body_repeat1] = STATE(7084),
    [sym__heredoc_content] = ACTIONS(9949),
    [sym_heredoc_end] = ACTIONS(9951),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(9949),
  },
  [4180] = {
    [sym_heredoc_body] = STATE(7085),
    [aux_sym_call_repeat1] = STATE(7085),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [4181] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1757),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym__argument] = STATE(7086),
    [sym_splat_argument] = STATE(7086),
    [sym_hash_splat_argument] = STATE(7086),
    [sym_block_argument] = STATE(7086),
    [sym_assignment] = STATE(1757),
    [sym_operator_assignment] = STATE(1757),
    [sym_conditional] = STATE(1757),
    [sym_range] = STATE(1757),
    [sym_binary] = STATE(1757),
    [sym_unary] = STATE(1757),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1765),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(7087),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7086),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(2887),
    [sym__splat_star] = ACTIONS(2889),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__identifier_hash_key] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(9953),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4182] = {
    [sym_heredoc_body] = STATE(7088),
    [aux_sym_call_repeat1] = STATE(7088),
    [aux_sym_argument_list_repeat1] = STATE(7089),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(6423),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [4183] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7090),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_splat_argument] = STATE(7091),
    [sym_assignment] = STATE(7090),
    [sym_operator_assignment] = STATE(7090),
    [sym_conditional] = STATE(7090),
    [sym_range] = STATE(7090),
    [sym_binary] = STATE(7090),
    [sym_unary] = STATE(7090),
    [sym_right_assignment_list] = STATE(4613),
    [sym__arg_or_splat_arg] = STATE(7091),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(6267),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4184] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7092),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(7092),
    [sym_operator_assignment] = STATE(7092),
    [sym_conditional] = STATE(7092),
    [sym_range] = STATE(7092),
    [sym_binary] = STATE(7092),
    [sym_unary] = STATE(7092),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4185] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7093),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(7093),
    [sym_operator_assignment] = STATE(7093),
    [sym_conditional] = STATE(7093),
    [sym_range] = STATE(7093),
    [sym_binary] = STATE(7093),
    [sym_unary] = STATE(7093),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4186] = {
    [sym_string] = STATE(7094),
    [aux_sym_chained_string_repeat1] = STATE(7094),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [4187] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7095),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(7095),
    [sym_operator_assignment] = STATE(7095),
    [sym_conditional] = STATE(7095),
    [sym_range] = STATE(7095),
    [sym_binary] = STATE(7095),
    [sym_unary] = STATE(7095),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4188] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7096),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(7096),
    [sym_operator_assignment] = STATE(7096),
    [sym_conditional] = STATE(7096),
    [sym_range] = STATE(7096),
    [sym_binary] = STATE(7096),
    [sym_unary] = STATE(7096),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4189] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(587),
    [sym__argument_list_with_parens] = STATE(6920),
    [sym__argument] = STATE(6921),
    [sym_splat_argument] = STATE(6921),
    [sym_hash_splat_argument] = STATE(6921),
    [sym_block_argument] = STATE(6921),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6921),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4190] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(593),
    [sym__argument_list_with_parens] = STATE(6920),
    [sym__argument] = STATE(6921),
    [sym_splat_argument] = STATE(6921),
    [sym_hash_splat_argument] = STATE(6921),
    [sym_block_argument] = STATE(6921),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6921),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4191] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(594),
    [sym__argument_list_with_parens] = STATE(6920),
    [sym__argument] = STATE(6921),
    [sym_splat_argument] = STATE(6921),
    [sym_hash_splat_argument] = STATE(6921),
    [sym_block_argument] = STATE(6921),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6921),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4192] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_argument_list] = STATE(595),
    [sym__argument_list_with_parens] = STATE(6920),
    [sym__argument] = STATE(6921),
    [sym_splat_argument] = STATE(6921),
    [sym_hash_splat_argument] = STATE(6921),
    [sym_block_argument] = STATE(6921),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(6921),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4193] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7097),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(7097),
    [sym_operator_assignment] = STATE(7097),
    [sym_conditional] = STATE(7097),
    [sym_range] = STATE(7097),
    [sym_binary] = STATE(7097),
    [sym_unary] = STATE(7097),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4194] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7098),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(7098),
    [sym_operator_assignment] = STATE(7098),
    [sym_conditional] = STATE(7098),
    [sym_range] = STATE(7098),
    [sym_binary] = STATE(7098),
    [sym_unary] = STATE(7098),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4195] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(611),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(611),
    [sym_operator_assignment] = STATE(611),
    [sym_conditional] = STATE(611),
    [sym_range] = STATE(611),
    [sym_binary] = STATE(611),
    [sym_unary] = STATE(611),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4196] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(9959),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(9963),
    [anon_sym_LT] = ACTIONS(9965),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(9967),
    [anon_sym_DOT_DOT] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(9973),
    [anon_sym_AMP_AMP] = ACTIONS(9973),
    [anon_sym_LT_LT] = ACTIONS(9975),
    [anon_sym_GT_GT] = ACTIONS(9975),
    [anon_sym_EQ_EQ] = ACTIONS(9977),
    [anon_sym_BANG_EQ] = ACTIONS(9973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9973),
    [anon_sym_LT_EQ_GT] = ACTIONS(9973),
    [anon_sym_EQ_TILDE] = ACTIONS(9973),
    [anon_sym_BANG_TILDE] = ACTIONS(9973),
    [anon_sym_LT_EQ] = ACTIONS(9965),
    [anon_sym_GT] = ACTIONS(9965),
    [anon_sym_GT_EQ] = ACTIONS(9979),
    [anon_sym_CARET] = ACTIONS(9981),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [4197] = {
    [aux_sym_exceptions_repeat1] = STATE(7112),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(9985),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [4198] = {
    [anon_sym_EQ] = ACTIONS(9987),
    [sym_comment] = ACTIONS(87),
  },
  [4199] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(9989),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(9991),
    [anon_sym_DASH_EQ] = ACTIONS(9991),
    [anon_sym_STAR_EQ] = ACTIONS(9991),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9991),
    [anon_sym_SLASH_EQ] = ACTIONS(9991),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9991),
    [anon_sym_PIPE_EQ] = ACTIONS(9991),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9991),
    [anon_sym_AMP_EQ] = ACTIONS(9991),
    [anon_sym_PERCENT_EQ] = ACTIONS(9991),
    [anon_sym_GT_GT_EQ] = ACTIONS(9991),
    [anon_sym_LT_LT_EQ] = ACTIONS(9991),
    [anon_sym_CARET_EQ] = ACTIONS(9991),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4200] = {
    [sym_string] = STATE(7115),
    [aux_sym_chained_string_repeat1] = STATE(7115),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4201] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(2859),
    [anon_sym_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [4202] = {
    [sym_string] = STATE(4202),
    [aux_sym_chained_string_repeat1] = STATE(4202),
    [sym__string_start] = ACTIONS(7027),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [4203] = {
    [sym__line_break] = ACTIONS(9993),
    [sym__heredoc_body_start] = ACTIONS(9993),
    [sym__element_reference_left_bracket] = ACTIONS(9993),
    [sym__infix_scope_colons] = ACTIONS(9993),
    [sym__binary_minus] = ACTIONS(9993),
    [sym__binary_star] = ACTIONS(9993),
    [ts_builtin_sym_end] = ACTIONS(9993),
    [anon_sym___END__] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_RBRACE] = ACTIONS(9993),
    [anon_sym_RPAREN] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9995),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_PIPE] = ACTIONS(9995),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_STAR_STAR] = ACTIONS(9993),
    [anon_sym_AMP] = ACTIONS(9995),
    [anon_sym_LT] = ACTIONS(9995),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_unless] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [anon_sym_until] = ACTIONS(9993),
    [anon_sym_rescue] = ACTIONS(9993),
    [anon_sym_do] = ACTIONS(9993),
    [anon_sym_when] = ACTIONS(9993),
    [anon_sym_elsif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_then] = ACTIONS(9993),
    [anon_sym_ensure] = ACTIONS(9993),
    [anon_sym_EQ_GT] = ACTIONS(9993),
    [anon_sym_AMP_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DOT_DOT] = ACTIONS(9995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_and] = ACTIONS(9993),
    [anon_sym_or] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE] = ACTIONS(9993),
    [anon_sym_AMP_AMP] = ACTIONS(9993),
    [anon_sym_LT_LT] = ACTIONS(9993),
    [anon_sym_GT_GT] = ACTIONS(9993),
    [anon_sym_EQ_EQ] = ACTIONS(9995),
    [anon_sym_BANG_EQ] = ACTIONS(9993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9993),
    [anon_sym_LT_EQ_GT] = ACTIONS(9993),
    [anon_sym_EQ_TILDE] = ACTIONS(9993),
    [anon_sym_BANG_TILDE] = ACTIONS(9993),
    [anon_sym_LT_EQ] = ACTIONS(9995),
    [anon_sym_GT] = ACTIONS(9995),
    [anon_sym_GT_EQ] = ACTIONS(9993),
    [anon_sym_CARET] = ACTIONS(9993),
    [anon_sym_PLUS] = ACTIONS(9993),
    [anon_sym_SLASH] = ACTIONS(9993),
    [anon_sym_PERCENT] = ACTIONS(9993),
    [sym_comment] = ACTIONS(87),
  },
  [4204] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(9997),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4205] = {
    [sym__line_break] = ACTIONS(9999),
    [sym__heredoc_body_start] = ACTIONS(9999),
    [sym__element_reference_left_bracket] = ACTIONS(9999),
    [sym__infix_scope_colons] = ACTIONS(9999),
    [sym__binary_minus] = ACTIONS(9999),
    [sym__binary_star] = ACTIONS(9999),
    [ts_builtin_sym_end] = ACTIONS(9999),
    [anon_sym___END__] = ACTIONS(9999),
    [anon_sym_LBRACE] = ACTIONS(9999),
    [anon_sym_RBRACE] = ACTIONS(9999),
    [anon_sym_RPAREN] = ACTIONS(9999),
    [anon_sym_DOT] = ACTIONS(10001),
    [anon_sym_COMMA] = ACTIONS(9999),
    [anon_sym_PIPE] = ACTIONS(10001),
    [anon_sym_SEMI] = ACTIONS(9999),
    [anon_sym_STAR_STAR] = ACTIONS(9999),
    [anon_sym_AMP] = ACTIONS(10001),
    [anon_sym_LT] = ACTIONS(10001),
    [anon_sym_end] = ACTIONS(9999),
    [anon_sym_if] = ACTIONS(9999),
    [anon_sym_unless] = ACTIONS(9999),
    [anon_sym_while] = ACTIONS(9999),
    [anon_sym_until] = ACTIONS(9999),
    [anon_sym_rescue] = ACTIONS(9999),
    [anon_sym_do] = ACTIONS(9999),
    [anon_sym_when] = ACTIONS(9999),
    [anon_sym_elsif] = ACTIONS(9999),
    [anon_sym_else] = ACTIONS(9999),
    [anon_sym_then] = ACTIONS(9999),
    [anon_sym_ensure] = ACTIONS(9999),
    [anon_sym_EQ_GT] = ACTIONS(9999),
    [anon_sym_AMP_DOT] = ACTIONS(9999),
    [anon_sym_QMARK] = ACTIONS(9999),
    [anon_sym_DOT_DOT] = ACTIONS(10001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9999),
    [anon_sym_and] = ACTIONS(9999),
    [anon_sym_or] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE] = ACTIONS(9999),
    [anon_sym_AMP_AMP] = ACTIONS(9999),
    [anon_sym_LT_LT] = ACTIONS(9999),
    [anon_sym_GT_GT] = ACTIONS(9999),
    [anon_sym_EQ_EQ] = ACTIONS(10001),
    [anon_sym_BANG_EQ] = ACTIONS(9999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9999),
    [anon_sym_LT_EQ_GT] = ACTIONS(9999),
    [anon_sym_EQ_TILDE] = ACTIONS(9999),
    [anon_sym_BANG_TILDE] = ACTIONS(9999),
    [anon_sym_LT_EQ] = ACTIONS(10001),
    [anon_sym_GT] = ACTIONS(10001),
    [anon_sym_GT_EQ] = ACTIONS(9999),
    [anon_sym_CARET] = ACTIONS(9999),
    [anon_sym_PLUS] = ACTIONS(9999),
    [anon_sym_SLASH] = ACTIONS(9999),
    [anon_sym_PERCENT] = ACTIONS(9999),
    [sym_comment] = ACTIONS(87),
  },
  [4206] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4207] = {
    [sym__line_break] = ACTIONS(10003),
    [sym__heredoc_body_start] = ACTIONS(10003),
    [sym__element_reference_left_bracket] = ACTIONS(10003),
    [sym__infix_scope_colons] = ACTIONS(10003),
    [sym__binary_minus] = ACTIONS(10003),
    [sym__binary_star] = ACTIONS(10003),
    [ts_builtin_sym_end] = ACTIONS(10003),
    [anon_sym___END__] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_RBRACE] = ACTIONS(10003),
    [anon_sym_RPAREN] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10005),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_PIPE] = ACTIONS(10005),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_STAR_STAR] = ACTIONS(10003),
    [anon_sym_AMP] = ACTIONS(10005),
    [anon_sym_LT] = ACTIONS(10005),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_unless] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [anon_sym_until] = ACTIONS(10003),
    [anon_sym_rescue] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_when] = ACTIONS(10003),
    [anon_sym_elsif] = ACTIONS(10003),
    [anon_sym_else] = ACTIONS(10003),
    [anon_sym_then] = ACTIONS(10003),
    [anon_sym_ensure] = ACTIONS(10003),
    [anon_sym_EQ_GT] = ACTIONS(10003),
    [anon_sym_AMP_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_DOT_DOT] = ACTIONS(10005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_and] = ACTIONS(10003),
    [anon_sym_or] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE] = ACTIONS(10003),
    [anon_sym_AMP_AMP] = ACTIONS(10003),
    [anon_sym_LT_LT] = ACTIONS(10003),
    [anon_sym_GT_GT] = ACTIONS(10003),
    [anon_sym_EQ_EQ] = ACTIONS(10005),
    [anon_sym_BANG_EQ] = ACTIONS(10003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10003),
    [anon_sym_LT_EQ_GT] = ACTIONS(10003),
    [anon_sym_EQ_TILDE] = ACTIONS(10003),
    [anon_sym_BANG_TILDE] = ACTIONS(10003),
    [anon_sym_LT_EQ] = ACTIONS(10005),
    [anon_sym_GT] = ACTIONS(10005),
    [anon_sym_GT_EQ] = ACTIONS(10003),
    [anon_sym_CARET] = ACTIONS(10003),
    [anon_sym_PLUS] = ACTIONS(10003),
    [anon_sym_SLASH] = ACTIONS(10003),
    [anon_sym_PERCENT] = ACTIONS(10003),
    [sym_comment] = ACTIONS(87),
  },
  [4208] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10007),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4209] = {
    [sym__line_break] = ACTIONS(10009),
    [sym__heredoc_body_start] = ACTIONS(10009),
    [sym__element_reference_left_bracket] = ACTIONS(10009),
    [sym__infix_scope_colons] = ACTIONS(10009),
    [sym__binary_minus] = ACTIONS(10009),
    [sym__binary_star] = ACTIONS(10009),
    [ts_builtin_sym_end] = ACTIONS(10009),
    [anon_sym___END__] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_PIPE] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_STAR_STAR] = ACTIONS(10009),
    [anon_sym_AMP] = ACTIONS(10011),
    [anon_sym_LT] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10009),
    [anon_sym_if] = ACTIONS(10009),
    [anon_sym_unless] = ACTIONS(10009),
    [anon_sym_while] = ACTIONS(10009),
    [anon_sym_until] = ACTIONS(10009),
    [anon_sym_rescue] = ACTIONS(10009),
    [anon_sym_do] = ACTIONS(10009),
    [anon_sym_when] = ACTIONS(10009),
    [anon_sym_elsif] = ACTIONS(10009),
    [anon_sym_else] = ACTIONS(10009),
    [anon_sym_then] = ACTIONS(10009),
    [anon_sym_ensure] = ACTIONS(10009),
    [anon_sym_EQ_GT] = ACTIONS(10009),
    [anon_sym_AMP_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_DOT_DOT] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_and] = ACTIONS(10009),
    [anon_sym_or] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE] = ACTIONS(10009),
    [anon_sym_AMP_AMP] = ACTIONS(10009),
    [anon_sym_LT_LT] = ACTIONS(10009),
    [anon_sym_GT_GT] = ACTIONS(10009),
    [anon_sym_EQ_EQ] = ACTIONS(10011),
    [anon_sym_BANG_EQ] = ACTIONS(10009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10009),
    [anon_sym_LT_EQ_GT] = ACTIONS(10009),
    [anon_sym_EQ_TILDE] = ACTIONS(10009),
    [anon_sym_BANG_TILDE] = ACTIONS(10009),
    [anon_sym_LT_EQ] = ACTIONS(10011),
    [anon_sym_GT] = ACTIONS(10011),
    [anon_sym_GT_EQ] = ACTIONS(10009),
    [anon_sym_CARET] = ACTIONS(10009),
    [anon_sym_PLUS] = ACTIONS(10009),
    [anon_sym_SLASH] = ACTIONS(10009),
    [anon_sym_PERCENT] = ACTIONS(10009),
    [sym_comment] = ACTIONS(87),
  },
  [4210] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4211] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7118),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(7118),
    [sym_operator_assignment] = STATE(7118),
    [sym_conditional] = STATE(7118),
    [sym_range] = STATE(7118),
    [sym_binary] = STATE(7118),
    [sym_unary] = STATE(7118),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4212] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1800),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(7119),
    [sym__argument] = STATE(7120),
    [sym_splat_argument] = STATE(7120),
    [sym_hash_splat_argument] = STATE(7120),
    [sym_block_argument] = STATE(7120),
    [sym_assignment] = STATE(1800),
    [sym_operator_assignment] = STATE(1800),
    [sym_conditional] = STATE(1800),
    [sym_range] = STATE(1800),
    [sym_binary] = STATE(1800),
    [sym_unary] = STATE(1800),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1805),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(7120),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3006),
    [sym__splat_star] = ACTIONS(3008),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3030),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4213] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1800),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(7119),
    [sym__argument] = STATE(7120),
    [sym_splat_argument] = STATE(7120),
    [sym_hash_splat_argument] = STATE(7120),
    [sym_block_argument] = STATE(7120),
    [sym_assignment] = STATE(1800),
    [sym_operator_assignment] = STATE(1800),
    [sym_conditional] = STATE(1800),
    [sym_range] = STATE(1800),
    [sym_binary] = STATE(1800),
    [sym_unary] = STATE(1800),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1805),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(7120),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3006),
    [sym__splat_star] = ACTIONS(3008),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3030),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4214] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1800),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(7119),
    [sym__argument] = STATE(7120),
    [sym_splat_argument] = STATE(7120),
    [sym_hash_splat_argument] = STATE(7120),
    [sym_block_argument] = STATE(7120),
    [sym_assignment] = STATE(1800),
    [sym_operator_assignment] = STATE(1800),
    [sym_conditional] = STATE(1800),
    [sym_range] = STATE(1800),
    [sym_binary] = STATE(1800),
    [sym_unary] = STATE(1800),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1805),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(7120),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3006),
    [sym__splat_star] = ACTIONS(3008),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3030),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4215] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1800),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(7119),
    [sym__argument] = STATE(7120),
    [sym_splat_argument] = STATE(7120),
    [sym_hash_splat_argument] = STATE(7120),
    [sym_block_argument] = STATE(7120),
    [sym_assignment] = STATE(1800),
    [sym_operator_assignment] = STATE(1800),
    [sym_conditional] = STATE(1800),
    [sym_range] = STATE(1800),
    [sym_binary] = STATE(1800),
    [sym_unary] = STATE(1800),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1805),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(7120),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3006),
    [sym__splat_star] = ACTIONS(3008),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3030),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4216] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7121),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(7121),
    [sym_operator_assignment] = STATE(7121),
    [sym_conditional] = STATE(7121),
    [sym_range] = STATE(7121),
    [sym_binary] = STATE(7121),
    [sym_unary] = STATE(7121),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4217] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7122),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(7122),
    [sym_operator_assignment] = STATE(7122),
    [sym_conditional] = STATE(7122),
    [sym_range] = STATE(7122),
    [sym_binary] = STATE(7122),
    [sym_unary] = STATE(7122),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4218] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4219] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(10025),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [4220] = {
    [anon_sym_EQ] = ACTIONS(10043),
    [sym_comment] = ACTIONS(87),
  },
  [4221] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(10045),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(10047),
    [anon_sym_DASH_EQ] = ACTIONS(10047),
    [anon_sym_STAR_EQ] = ACTIONS(10047),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10047),
    [anon_sym_SLASH_EQ] = ACTIONS(10047),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10047),
    [anon_sym_PIPE_EQ] = ACTIONS(10047),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10047),
    [anon_sym_AMP_EQ] = ACTIONS(10047),
    [anon_sym_PERCENT_EQ] = ACTIONS(10047),
    [anon_sym_GT_GT_EQ] = ACTIONS(10047),
    [anon_sym_LT_LT_EQ] = ACTIONS(10047),
    [anon_sym_CARET_EQ] = ACTIONS(10047),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4222] = {
    [sym_string] = STATE(7137),
    [aux_sym_chained_string_repeat1] = STATE(7137),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4223] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(10025),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [4224] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [4225] = {
    [sym_string] = STATE(4251),
    [aux_sym_chained_string_repeat1] = STATE(4251),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4226] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7138),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(7138),
    [sym_operator_assignment] = STATE(7138),
    [sym_conditional] = STATE(7138),
    [sym_range] = STATE(7138),
    [sym_binary] = STATE(7138),
    [sym_unary] = STATE(7138),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4227] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(10025),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [4228] = {
    [sym_heredoc_body] = STATE(7139),
    [aux_sym_call_repeat1] = STATE(7139),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4229] = {
    [sym_heredoc_body] = STATE(7139),
    [aux_sym_call_repeat1] = STATE(7139),
    [aux_sym_argument_list_repeat1] = STATE(7140),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9722),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4230] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [4231] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [4232] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7141),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7141),
    [sym_operator_assignment] = STATE(7141),
    [sym_conditional] = STATE(7141),
    [sym_range] = STATE(7141),
    [sym_binary] = STATE(7141),
    [sym_unary] = STATE(7141),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4233] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7142),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7142),
    [sym_operator_assignment] = STATE(7142),
    [sym_conditional] = STATE(7142),
    [sym_range] = STATE(7142),
    [sym_binary] = STATE(7142),
    [sym_unary] = STATE(7142),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4234] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7143),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7143),
    [sym_operator_assignment] = STATE(7143),
    [sym_conditional] = STATE(7143),
    [sym_range] = STATE(7143),
    [sym_binary] = STATE(7143),
    [sym_unary] = STATE(7143),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4235] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7144),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7144),
    [sym_operator_assignment] = STATE(7144),
    [sym_conditional] = STATE(7144),
    [sym_range] = STATE(7144),
    [sym_binary] = STATE(7144),
    [sym_unary] = STATE(7144),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4236] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7145),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7145),
    [sym_operator_assignment] = STATE(7145),
    [sym_conditional] = STATE(7145),
    [sym_range] = STATE(7145),
    [sym_binary] = STATE(7145),
    [sym_unary] = STATE(7145),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4237] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7146),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7146),
    [sym_operator_assignment] = STATE(7146),
    [sym_conditional] = STATE(7146),
    [sym_range] = STATE(7146),
    [sym_binary] = STATE(7146),
    [sym_unary] = STATE(7146),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4238] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7147),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(7147),
    [sym_operator_assignment] = STATE(7147),
    [sym_conditional] = STATE(7147),
    [sym_range] = STATE(7147),
    [sym_binary] = STATE(7147),
    [sym_unary] = STATE(7147),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4239] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7148),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7148),
    [sym_operator_assignment] = STATE(7148),
    [sym_conditional] = STATE(7148),
    [sym_range] = STATE(7148),
    [sym_binary] = STATE(7148),
    [sym_unary] = STATE(7148),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4240] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7149),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7149),
    [sym_operator_assignment] = STATE(7149),
    [sym_conditional] = STATE(7149),
    [sym_range] = STATE(7149),
    [sym_binary] = STATE(7149),
    [sym_unary] = STATE(7149),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4241] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7150),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7150),
    [sym_operator_assignment] = STATE(7150),
    [sym_conditional] = STATE(7150),
    [sym_range] = STATE(7150),
    [sym_binary] = STATE(7150),
    [sym_unary] = STATE(7150),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4242] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7151),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7151),
    [sym_operator_assignment] = STATE(7151),
    [sym_conditional] = STATE(7151),
    [sym_range] = STATE(7151),
    [sym_binary] = STATE(7151),
    [sym_unary] = STATE(7151),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4243] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7152),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7152),
    [sym_operator_assignment] = STATE(7152),
    [sym_conditional] = STATE(7152),
    [sym_range] = STATE(7152),
    [sym_binary] = STATE(7152),
    [sym_unary] = STATE(7152),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4244] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7153),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7153),
    [sym_operator_assignment] = STATE(7153),
    [sym_conditional] = STATE(7153),
    [sym_range] = STATE(7153),
    [sym_binary] = STATE(7153),
    [sym_unary] = STATE(7153),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4245] = {
    [sym_heredoc_body] = STATE(7154),
    [aux_sym_call_repeat1] = STATE(7154),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4246] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1800),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(1800),
    [sym_operator_assignment] = STATE(1800),
    [sym_conditional] = STATE(1800),
    [sym_range] = STATE(1800),
    [sym_binary] = STATE(1800),
    [sym_unary] = STATE(1800),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1805),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(7155),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(3006),
    [sym__splat_star] = ACTIONS(3008),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__identifier_hash_key] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10049),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3030),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4247] = {
    [sym_heredoc_body] = STATE(7156),
    [aux_sym_call_repeat1] = STATE(7156),
    [aux_sym_argument_list_repeat1] = STATE(7157),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(6557),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4248] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7158),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_splat_argument] = STATE(7159),
    [sym_assignment] = STATE(7158),
    [sym_operator_assignment] = STATE(7158),
    [sym_conditional] = STATE(7158),
    [sym_range] = STATE(7158),
    [sym_binary] = STATE(7158),
    [sym_unary] = STATE(7158),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(7159),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(6038),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4249] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7160),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(7160),
    [sym_operator_assignment] = STATE(7160),
    [sym_conditional] = STATE(7160),
    [sym_range] = STATE(7160),
    [sym_binary] = STATE(7160),
    [sym_unary] = STATE(7160),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4250] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7161),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(7161),
    [sym_operator_assignment] = STATE(7161),
    [sym_conditional] = STATE(7161),
    [sym_range] = STATE(7161),
    [sym_binary] = STATE(7161),
    [sym_unary] = STATE(7161),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4251] = {
    [sym_string] = STATE(7162),
    [aux_sym_chained_string_repeat1] = STATE(7162),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [4252] = {
    [aux_sym_undef_repeat1] = STATE(7163),
    [sym__line_break] = ACTIONS(5442),
    [sym__heredoc_body_start] = ACTIONS(5442),
    [anon_sym_RBRACE] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym_if] = ACTIONS(5442),
    [anon_sym_unless] = ACTIONS(5442),
    [anon_sym_while] = ACTIONS(5442),
    [anon_sym_until] = ACTIONS(5442),
    [anon_sym_rescue] = ACTIONS(5442),
    [sym_comment] = ACTIONS(87),
  },
  [4253] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(5770),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4254] = {
    [sym_heredoc_body] = STATE(7164),
    [sym__terminator] = STATE(7164),
    [aux_sym__statements_repeat1] = STATE(4254),
    [sym__line_break] = ACTIONS(10051),
    [sym__heredoc_body_start] = ACTIONS(5777),
    [anon_sym_RBRACE] = ACTIONS(5768),
    [anon_sym_SEMI] = ACTIONS(10051),
    [sym_comment] = ACTIONS(87),
  },
  [4255] = {
    [sym__line_break] = ACTIONS(5780),
    [sym__heredoc_body_start] = ACTIONS(5780),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5780),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_unless] = ACTIONS(5780),
    [anon_sym_while] = ACTIONS(5780),
    [anon_sym_until] = ACTIONS(5780),
    [anon_sym_rescue] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3064),
    [anon_sym_or] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4256] = {
    [sym__line_break] = ACTIONS(5782),
    [sym__heredoc_body_start] = ACTIONS(5782),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(5782),
    [anon_sym_unless] = ACTIONS(5782),
    [anon_sym_while] = ACTIONS(5782),
    [anon_sym_until] = ACTIONS(5782),
    [anon_sym_rescue] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3064),
    [anon_sym_or] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4257] = {
    [sym__line_break] = ACTIONS(5784),
    [sym__heredoc_body_start] = ACTIONS(5784),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5784),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_unless] = ACTIONS(5784),
    [anon_sym_while] = ACTIONS(5784),
    [anon_sym_until] = ACTIONS(5784),
    [anon_sym_rescue] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3064),
    [anon_sym_or] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4258] = {
    [sym__line_break] = ACTIONS(5786),
    [sym__heredoc_body_start] = ACTIONS(5786),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(5786),
    [anon_sym_unless] = ACTIONS(5786),
    [anon_sym_while] = ACTIONS(5786),
    [anon_sym_until] = ACTIONS(5786),
    [anon_sym_rescue] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3064),
    [anon_sym_or] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4259] = {
    [sym__line_break] = ACTIONS(5788),
    [sym__heredoc_body_start] = ACTIONS(5788),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5788),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(5788),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(5788),
    [anon_sym_unless] = ACTIONS(5788),
    [anon_sym_while] = ACTIONS(5788),
    [anon_sym_until] = ACTIONS(5788),
    [anon_sym_rescue] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3064),
    [anon_sym_or] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4260] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4261] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [4262] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4263] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [4264] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4265] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4266] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10054),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [4267] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4268] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4269] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4270] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4271] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4272] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7166),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(7166),
    [sym_operator_assignment] = STATE(7166),
    [sym_conditional] = STATE(7166),
    [sym_range] = STATE(7166),
    [sym_binary] = STATE(7166),
    [sym_unary] = STATE(7166),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4273] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1842),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(1844),
    [sym__argument] = STATE(1845),
    [sym_splat_argument] = STATE(1845),
    [sym_hash_splat_argument] = STATE(1845),
    [sym_block_argument] = STATE(1845),
    [sym_assignment] = STATE(1842),
    [sym_operator_assignment] = STATE(1842),
    [sym_conditional] = STATE(1842),
    [sym_range] = STATE(1842),
    [sym_binary] = STATE(1842),
    [sym_unary] = STATE(1842),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1848),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1845),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3078),
    [sym__splat_star] = ACTIONS(3080),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(3102),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4274] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1842),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(1844),
    [sym__argument] = STATE(1845),
    [sym_splat_argument] = STATE(1845),
    [sym_hash_splat_argument] = STATE(1845),
    [sym_block_argument] = STATE(1845),
    [sym_assignment] = STATE(1842),
    [sym_operator_assignment] = STATE(1842),
    [sym_conditional] = STATE(1842),
    [sym_range] = STATE(1842),
    [sym_binary] = STATE(1842),
    [sym_unary] = STATE(1842),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1848),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1845),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3078),
    [sym__splat_star] = ACTIONS(3080),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(3102),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4275] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1842),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(1844),
    [sym__argument] = STATE(1845),
    [sym_splat_argument] = STATE(1845),
    [sym_hash_splat_argument] = STATE(1845),
    [sym_block_argument] = STATE(1845),
    [sym_assignment] = STATE(1842),
    [sym_operator_assignment] = STATE(1842),
    [sym_conditional] = STATE(1842),
    [sym_range] = STATE(1842),
    [sym_binary] = STATE(1842),
    [sym_unary] = STATE(1842),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1848),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1845),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3078),
    [sym__splat_star] = ACTIONS(3080),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(3102),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4276] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1842),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(1844),
    [sym__argument] = STATE(1845),
    [sym_splat_argument] = STATE(1845),
    [sym_hash_splat_argument] = STATE(1845),
    [sym_block_argument] = STATE(1845),
    [sym_assignment] = STATE(1842),
    [sym_operator_assignment] = STATE(1842),
    [sym_conditional] = STATE(1842),
    [sym_range] = STATE(1842),
    [sym_binary] = STATE(1842),
    [sym_unary] = STATE(1842),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1848),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1845),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3078),
    [sym__splat_star] = ACTIONS(3080),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(3102),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4277] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7167),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(7167),
    [sym_operator_assignment] = STATE(7167),
    [sym_conditional] = STATE(7167),
    [sym_range] = STATE(7167),
    [sym_binary] = STATE(7167),
    [sym_unary] = STATE(7167),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4278] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7168),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(7168),
    [sym_operator_assignment] = STATE(7168),
    [sym_conditional] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_binary] = STATE(7168),
    [sym_unary] = STATE(7168),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4279] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4280] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(10068),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [4281] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1842),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(1844),
    [sym__argument] = STATE(1845),
    [sym_splat_argument] = STATE(1845),
    [sym_hash_splat_argument] = STATE(1845),
    [sym_block_argument] = STATE(1845),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(1842),
    [sym_operator_assignment] = STATE(1842),
    [sym_conditional] = STATE(1842),
    [sym_range] = STATE(1842),
    [sym_binary] = STATE(1842),
    [sym_unary] = STATE(1842),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1848),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(1845),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(3078),
    [sym__splat_star] = ACTIONS(3080),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(3102),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4282] = {
    [anon_sym_EQ] = ACTIONS(10084),
    [sym_comment] = ACTIONS(87),
  },
  [4283] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(10086),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(10088),
    [anon_sym_DASH_EQ] = ACTIONS(10088),
    [anon_sym_STAR_EQ] = ACTIONS(10088),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10088),
    [anon_sym_SLASH_EQ] = ACTIONS(10088),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10088),
    [anon_sym_PIPE_EQ] = ACTIONS(10088),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10088),
    [anon_sym_AMP_EQ] = ACTIONS(10088),
    [anon_sym_PERCENT_EQ] = ACTIONS(10088),
    [anon_sym_GT_GT_EQ] = ACTIONS(10088),
    [anon_sym_LT_LT_EQ] = ACTIONS(10088),
    [anon_sym_CARET_EQ] = ACTIONS(10088),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4284] = {
    [sym_string] = STATE(7183),
    [aux_sym_chained_string_repeat1] = STATE(7183),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4285] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(10068),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [4286] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [4287] = {
    [sym_string] = STATE(4311),
    [aux_sym_chained_string_repeat1] = STATE(4311),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4288] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7184),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(7184),
    [sym_operator_assignment] = STATE(7184),
    [sym_conditional] = STATE(7184),
    [sym_range] = STATE(7184),
    [sym_binary] = STATE(7184),
    [sym_unary] = STATE(7184),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4289] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(10068),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [4290] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [4291] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [4292] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7185),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7185),
    [sym_operator_assignment] = STATE(7185),
    [sym_conditional] = STATE(7185),
    [sym_range] = STATE(7185),
    [sym_binary] = STATE(7185),
    [sym_unary] = STATE(7185),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4293] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7186),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7186),
    [sym_operator_assignment] = STATE(7186),
    [sym_conditional] = STATE(7186),
    [sym_range] = STATE(7186),
    [sym_binary] = STATE(7186),
    [sym_unary] = STATE(7186),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4294] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7187),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7187),
    [sym_operator_assignment] = STATE(7187),
    [sym_conditional] = STATE(7187),
    [sym_range] = STATE(7187),
    [sym_binary] = STATE(7187),
    [sym_unary] = STATE(7187),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4295] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7188),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7188),
    [sym_operator_assignment] = STATE(7188),
    [sym_conditional] = STATE(7188),
    [sym_range] = STATE(7188),
    [sym_binary] = STATE(7188),
    [sym_unary] = STATE(7188),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4296] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7189),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7189),
    [sym_operator_assignment] = STATE(7189),
    [sym_conditional] = STATE(7189),
    [sym_range] = STATE(7189),
    [sym_binary] = STATE(7189),
    [sym_unary] = STATE(7189),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4297] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7190),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7190),
    [sym_operator_assignment] = STATE(7190),
    [sym_conditional] = STATE(7190),
    [sym_range] = STATE(7190),
    [sym_binary] = STATE(7190),
    [sym_unary] = STATE(7190),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4298] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7191),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(7191),
    [sym_operator_assignment] = STATE(7191),
    [sym_conditional] = STATE(7191),
    [sym_range] = STATE(7191),
    [sym_binary] = STATE(7191),
    [sym_unary] = STATE(7191),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4299] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7192),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7192),
    [sym_operator_assignment] = STATE(7192),
    [sym_conditional] = STATE(7192),
    [sym_range] = STATE(7192),
    [sym_binary] = STATE(7192),
    [sym_unary] = STATE(7192),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4300] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7193),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7193),
    [sym_operator_assignment] = STATE(7193),
    [sym_conditional] = STATE(7193),
    [sym_range] = STATE(7193),
    [sym_binary] = STATE(7193),
    [sym_unary] = STATE(7193),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4301] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7194),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7194),
    [sym_operator_assignment] = STATE(7194),
    [sym_conditional] = STATE(7194),
    [sym_range] = STATE(7194),
    [sym_binary] = STATE(7194),
    [sym_unary] = STATE(7194),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4302] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7195),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7195),
    [sym_operator_assignment] = STATE(7195),
    [sym_conditional] = STATE(7195),
    [sym_range] = STATE(7195),
    [sym_binary] = STATE(7195),
    [sym_unary] = STATE(7195),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4303] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7196),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7196),
    [sym_operator_assignment] = STATE(7196),
    [sym_conditional] = STATE(7196),
    [sym_range] = STATE(7196),
    [sym_binary] = STATE(7196),
    [sym_unary] = STATE(7196),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4304] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7197),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7197),
    [sym_operator_assignment] = STATE(7197),
    [sym_conditional] = STATE(7197),
    [sym_range] = STATE(7197),
    [sym_binary] = STATE(7197),
    [sym_unary] = STATE(7197),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4305] = {
    [sym_heredoc_body] = STATE(7198),
    [aux_sym_call_repeat1] = STATE(7198),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [4306] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1842),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(1842),
    [sym_operator_assignment] = STATE(1842),
    [sym_conditional] = STATE(1842),
    [sym_range] = STATE(1842),
    [sym_binary] = STATE(1842),
    [sym_unary] = STATE(1842),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1848),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(7199),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(3078),
    [sym__splat_star] = ACTIONS(3080),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__identifier_hash_key] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10090),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(3102),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4307] = {
    [sym_heredoc_body] = STATE(7200),
    [aux_sym_call_repeat1] = STATE(7200),
    [aux_sym_argument_list_repeat1] = STATE(7201),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(6627),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [4308] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7202),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_splat_argument] = STATE(7203),
    [sym_assignment] = STATE(7202),
    [sym_operator_assignment] = STATE(7202),
    [sym_conditional] = STATE(7202),
    [sym_range] = STATE(7202),
    [sym_binary] = STATE(7202),
    [sym_unary] = STATE(7202),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(7203),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(6080),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4309] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7204),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(7204),
    [sym_operator_assignment] = STATE(7204),
    [sym_conditional] = STATE(7204),
    [sym_range] = STATE(7204),
    [sym_binary] = STATE(7204),
    [sym_unary] = STATE(7204),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4310] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7205),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(7205),
    [sym_operator_assignment] = STATE(7205),
    [sym_conditional] = STATE(7205),
    [sym_range] = STATE(7205),
    [sym_binary] = STATE(7205),
    [sym_unary] = STATE(7205),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4311] = {
    [sym_string] = STATE(7206),
    [aux_sym_chained_string_repeat1] = STATE(7206),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [4312] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7207),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(7207),
    [sym_operator_assignment] = STATE(7207),
    [sym_conditional] = STATE(7207),
    [sym_range] = STATE(7207),
    [sym_binary] = STATE(7207),
    [sym_unary] = STATE(7207),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4313] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7208),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(7208),
    [sym_operator_assignment] = STATE(7208),
    [sym_conditional] = STATE(7208),
    [sym_range] = STATE(7208),
    [sym_binary] = STATE(7208),
    [sym_unary] = STATE(7208),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4314] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7209),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(7209),
    [sym_operator_assignment] = STATE(7209),
    [sym_conditional] = STATE(7209),
    [sym_range] = STATE(7209),
    [sym_binary] = STATE(7209),
    [sym_unary] = STATE(7209),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4315] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7210),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(7210),
    [sym_operator_assignment] = STATE(7210),
    [sym_conditional] = STATE(7210),
    [sym_range] = STATE(7210),
    [sym_binary] = STATE(7210),
    [sym_unary] = STATE(7210),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4316] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4317] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(10096),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(10100),
    [anon_sym_LT] = ACTIONS(10102),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(10104),
    [anon_sym_DOT_DOT] = ACTIONS(10106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10108),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(10110),
    [anon_sym_AMP_AMP] = ACTIONS(10110),
    [anon_sym_LT_LT] = ACTIONS(10112),
    [anon_sym_GT_GT] = ACTIONS(10112),
    [anon_sym_EQ_EQ] = ACTIONS(10114),
    [anon_sym_BANG_EQ] = ACTIONS(10110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10110),
    [anon_sym_LT_EQ_GT] = ACTIONS(10110),
    [anon_sym_EQ_TILDE] = ACTIONS(10110),
    [anon_sym_BANG_TILDE] = ACTIONS(10110),
    [anon_sym_LT_EQ] = ACTIONS(10102),
    [anon_sym_GT] = ACTIONS(10102),
    [anon_sym_GT_EQ] = ACTIONS(10116),
    [anon_sym_CARET] = ACTIONS(10118),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [4318] = {
    [aux_sym_exceptions_repeat1] = STATE(7224),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(10122),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [4319] = {
    [anon_sym_EQ] = ACTIONS(10124),
    [sym_comment] = ACTIONS(87),
  },
  [4320] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(10126),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(10128),
    [anon_sym_DASH_EQ] = ACTIONS(10128),
    [anon_sym_STAR_EQ] = ACTIONS(10128),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10128),
    [anon_sym_SLASH_EQ] = ACTIONS(10128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10128),
    [anon_sym_PIPE_EQ] = ACTIONS(10128),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10128),
    [anon_sym_AMP_EQ] = ACTIONS(10128),
    [anon_sym_PERCENT_EQ] = ACTIONS(10128),
    [anon_sym_GT_GT_EQ] = ACTIONS(10128),
    [anon_sym_LT_LT_EQ] = ACTIONS(10128),
    [anon_sym_CARET_EQ] = ACTIONS(10128),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4321] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [4322] = {
    [sym_string] = STATE(4322),
    [aux_sym_chained_string_repeat1] = STATE(4322),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [4323] = {
    [sym__element_reference_left_bracket] = ACTIONS(6453),
    [sym__infix_scope_colons] = ACTIONS(6453),
    [sym__binary_minus] = ACTIONS(6453),
    [sym__binary_star] = ACTIONS(6453),
    [anon_sym_LBRACE] = ACTIONS(6453),
    [anon_sym_RBRACE] = ACTIONS(6453),
    [anon_sym_RPAREN] = ACTIONS(6453),
    [anon_sym_DOT] = ACTIONS(6455),
    [anon_sym_COMMA] = ACTIONS(6453),
    [anon_sym_PIPE] = ACTIONS(6455),
    [anon_sym_SEMI] = ACTIONS(6453),
    [anon_sym_STAR_STAR] = ACTIONS(6453),
    [anon_sym_AMP] = ACTIONS(6455),
    [anon_sym_LT] = ACTIONS(6455),
    [anon_sym_if] = ACTIONS(6453),
    [anon_sym_unless] = ACTIONS(6453),
    [anon_sym_while] = ACTIONS(6453),
    [anon_sym_until] = ACTIONS(6453),
    [anon_sym_rescue] = ACTIONS(6453),
    [anon_sym_do] = ACTIONS(6453),
    [anon_sym_EQ_GT] = ACTIONS(6453),
    [anon_sym_AMP_DOT] = ACTIONS(6453),
    [anon_sym_QMARK] = ACTIONS(6453),
    [anon_sym_COLON] = ACTIONS(6453),
    [anon_sym_DOT_DOT] = ACTIONS(6455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6453),
    [anon_sym_and] = ACTIONS(6453),
    [anon_sym_or] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE] = ACTIONS(6453),
    [anon_sym_AMP_AMP] = ACTIONS(6453),
    [anon_sym_LT_LT] = ACTIONS(6453),
    [anon_sym_GT_GT] = ACTIONS(6453),
    [anon_sym_EQ_EQ] = ACTIONS(6455),
    [anon_sym_BANG_EQ] = ACTIONS(6453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6453),
    [anon_sym_LT_EQ_GT] = ACTIONS(6453),
    [anon_sym_EQ_TILDE] = ACTIONS(6453),
    [anon_sym_BANG_TILDE] = ACTIONS(6453),
    [anon_sym_LT_EQ] = ACTIONS(6455),
    [anon_sym_GT] = ACTIONS(6455),
    [anon_sym_GT_EQ] = ACTIONS(6453),
    [anon_sym_CARET] = ACTIONS(6453),
    [anon_sym_PLUS] = ACTIONS(6453),
    [anon_sym_SLASH] = ACTIONS(6453),
    [anon_sym_PERCENT] = ACTIONS(6453),
    [sym_comment] = ACTIONS(87),
  },
  [4324] = {
    [sym__element_reference_left_bracket] = ACTIONS(6457),
    [sym__infix_scope_colons] = ACTIONS(6457),
    [sym__binary_minus] = ACTIONS(6457),
    [sym__binary_star] = ACTIONS(6457),
    [anon_sym_LBRACE] = ACTIONS(6457),
    [anon_sym_RBRACE] = ACTIONS(6457),
    [anon_sym_RPAREN] = ACTIONS(6457),
    [anon_sym_DOT] = ACTIONS(6459),
    [anon_sym_COMMA] = ACTIONS(6457),
    [anon_sym_PIPE] = ACTIONS(6459),
    [anon_sym_SEMI] = ACTIONS(6457),
    [anon_sym_STAR_STAR] = ACTIONS(6457),
    [anon_sym_AMP] = ACTIONS(6459),
    [anon_sym_LT] = ACTIONS(6459),
    [anon_sym_if] = ACTIONS(6457),
    [anon_sym_unless] = ACTIONS(6457),
    [anon_sym_while] = ACTIONS(6457),
    [anon_sym_until] = ACTIONS(6457),
    [anon_sym_rescue] = ACTIONS(6457),
    [anon_sym_do] = ACTIONS(6457),
    [anon_sym_EQ_GT] = ACTIONS(6457),
    [anon_sym_AMP_DOT] = ACTIONS(6457),
    [anon_sym_QMARK] = ACTIONS(6457),
    [anon_sym_COLON] = ACTIONS(6457),
    [anon_sym_DOT_DOT] = ACTIONS(6459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6457),
    [anon_sym_and] = ACTIONS(6457),
    [anon_sym_or] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE] = ACTIONS(6457),
    [anon_sym_AMP_AMP] = ACTIONS(6457),
    [anon_sym_LT_LT] = ACTIONS(6457),
    [anon_sym_GT_GT] = ACTIONS(6457),
    [anon_sym_EQ_EQ] = ACTIONS(6459),
    [anon_sym_BANG_EQ] = ACTIONS(6457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6457),
    [anon_sym_LT_EQ_GT] = ACTIONS(6457),
    [anon_sym_EQ_TILDE] = ACTIONS(6457),
    [anon_sym_BANG_TILDE] = ACTIONS(6457),
    [anon_sym_LT_EQ] = ACTIONS(6459),
    [anon_sym_GT] = ACTIONS(6459),
    [anon_sym_GT_EQ] = ACTIONS(6457),
    [anon_sym_CARET] = ACTIONS(6457),
    [anon_sym_PLUS] = ACTIONS(6457),
    [anon_sym_SLASH] = ACTIONS(6457),
    [anon_sym_PERCENT] = ACTIONS(6457),
    [sym_comment] = ACTIONS(87),
  },
  [4325] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10130),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4326] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(10130),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10132),
  },
  [4327] = {
    [sym__element_reference_left_bracket] = ACTIONS(6465),
    [sym__infix_scope_colons] = ACTIONS(6465),
    [sym__binary_minus] = ACTIONS(6465),
    [sym__binary_star] = ACTIONS(6465),
    [anon_sym_LBRACE] = ACTIONS(6465),
    [anon_sym_RBRACE] = ACTIONS(6465),
    [anon_sym_RPAREN] = ACTIONS(6465),
    [anon_sym_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6465),
    [anon_sym_PIPE] = ACTIONS(6467),
    [anon_sym_SEMI] = ACTIONS(6465),
    [anon_sym_STAR_STAR] = ACTIONS(6465),
    [anon_sym_AMP] = ACTIONS(6467),
    [anon_sym_LT] = ACTIONS(6467),
    [anon_sym_if] = ACTIONS(6465),
    [anon_sym_unless] = ACTIONS(6465),
    [anon_sym_while] = ACTIONS(6465),
    [anon_sym_until] = ACTIONS(6465),
    [anon_sym_rescue] = ACTIONS(6465),
    [anon_sym_do] = ACTIONS(6465),
    [anon_sym_EQ_GT] = ACTIONS(6465),
    [anon_sym_AMP_DOT] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6465),
    [anon_sym_COLON] = ACTIONS(6465),
    [anon_sym_DOT_DOT] = ACTIONS(6467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6465),
    [anon_sym_AMP_AMP] = ACTIONS(6465),
    [anon_sym_LT_LT] = ACTIONS(6465),
    [anon_sym_GT_GT] = ACTIONS(6465),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6465),
    [anon_sym_EQ_TILDE] = ACTIONS(6465),
    [anon_sym_BANG_TILDE] = ACTIONS(6465),
    [anon_sym_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6467),
    [anon_sym_GT_EQ] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6465),
    [anon_sym_PLUS] = ACTIONS(6465),
    [anon_sym_SLASH] = ACTIONS(6465),
    [anon_sym_PERCENT] = ACTIONS(6465),
    [sym_comment] = ACTIONS(87),
  },
  [4328] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10134),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4329] = {
    [sym__element_reference_left_bracket] = ACTIONS(6478),
    [sym__infix_scope_colons] = ACTIONS(6478),
    [sym__binary_minus] = ACTIONS(6478),
    [sym__binary_star] = ACTIONS(6478),
    [anon_sym_LBRACE] = ACTIONS(6478),
    [anon_sym_RBRACE] = ACTIONS(6478),
    [anon_sym_RPAREN] = ACTIONS(6478),
    [anon_sym_DOT] = ACTIONS(6480),
    [anon_sym_COMMA] = ACTIONS(6478),
    [anon_sym_PIPE] = ACTIONS(6480),
    [anon_sym_SEMI] = ACTIONS(6478),
    [anon_sym_STAR_STAR] = ACTIONS(6478),
    [anon_sym_AMP] = ACTIONS(6480),
    [anon_sym_LT] = ACTIONS(6480),
    [anon_sym_if] = ACTIONS(6478),
    [anon_sym_unless] = ACTIONS(6478),
    [anon_sym_while] = ACTIONS(6478),
    [anon_sym_until] = ACTIONS(6478),
    [anon_sym_rescue] = ACTIONS(6478),
    [anon_sym_do] = ACTIONS(6478),
    [anon_sym_EQ_GT] = ACTIONS(6478),
    [anon_sym_AMP_DOT] = ACTIONS(6478),
    [anon_sym_QMARK] = ACTIONS(6478),
    [anon_sym_COLON] = ACTIONS(6478),
    [anon_sym_DOT_DOT] = ACTIONS(6480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6478),
    [anon_sym_and] = ACTIONS(6478),
    [anon_sym_or] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE] = ACTIONS(6478),
    [anon_sym_AMP_AMP] = ACTIONS(6478),
    [anon_sym_LT_LT] = ACTIONS(6478),
    [anon_sym_GT_GT] = ACTIONS(6478),
    [anon_sym_EQ_EQ] = ACTIONS(6480),
    [anon_sym_BANG_EQ] = ACTIONS(6478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6478),
    [anon_sym_LT_EQ_GT] = ACTIONS(6478),
    [anon_sym_EQ_TILDE] = ACTIONS(6478),
    [anon_sym_BANG_TILDE] = ACTIONS(6478),
    [anon_sym_LT_EQ] = ACTIONS(6480),
    [anon_sym_GT] = ACTIONS(6480),
    [anon_sym_GT_EQ] = ACTIONS(6478),
    [anon_sym_CARET] = ACTIONS(6478),
    [anon_sym_PLUS] = ACTIONS(6478),
    [anon_sym_SLASH] = ACTIONS(6478),
    [anon_sym_PERCENT] = ACTIONS(6478),
    [sym_comment] = ACTIONS(87),
  },
  [4330] = {
    [sym__element_reference_left_bracket] = ACTIONS(6482),
    [sym__infix_scope_colons] = ACTIONS(6482),
    [sym__binary_minus] = ACTIONS(6482),
    [sym__binary_star] = ACTIONS(6482),
    [anon_sym_LBRACE] = ACTIONS(6482),
    [anon_sym_RBRACE] = ACTIONS(6482),
    [anon_sym_RPAREN] = ACTIONS(6482),
    [anon_sym_DOT] = ACTIONS(6484),
    [anon_sym_COMMA] = ACTIONS(6482),
    [anon_sym_PIPE] = ACTIONS(6484),
    [anon_sym_SEMI] = ACTIONS(6482),
    [anon_sym_STAR_STAR] = ACTIONS(6482),
    [anon_sym_AMP] = ACTIONS(6484),
    [anon_sym_LT] = ACTIONS(6484),
    [anon_sym_if] = ACTIONS(6482),
    [anon_sym_unless] = ACTIONS(6482),
    [anon_sym_while] = ACTIONS(6482),
    [anon_sym_until] = ACTIONS(6482),
    [anon_sym_rescue] = ACTIONS(6482),
    [anon_sym_do] = ACTIONS(6482),
    [anon_sym_EQ_GT] = ACTIONS(6482),
    [anon_sym_AMP_DOT] = ACTIONS(6482),
    [anon_sym_QMARK] = ACTIONS(6482),
    [anon_sym_COLON] = ACTIONS(6482),
    [anon_sym_DOT_DOT] = ACTIONS(6484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6482),
    [anon_sym_and] = ACTIONS(6482),
    [anon_sym_or] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE] = ACTIONS(6482),
    [anon_sym_AMP_AMP] = ACTIONS(6482),
    [anon_sym_LT_LT] = ACTIONS(6482),
    [anon_sym_GT_GT] = ACTIONS(6482),
    [anon_sym_EQ_EQ] = ACTIONS(6484),
    [anon_sym_BANG_EQ] = ACTIONS(6482),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6482),
    [anon_sym_LT_EQ_GT] = ACTIONS(6482),
    [anon_sym_EQ_TILDE] = ACTIONS(6482),
    [anon_sym_BANG_TILDE] = ACTIONS(6482),
    [anon_sym_LT_EQ] = ACTIONS(6484),
    [anon_sym_GT] = ACTIONS(6484),
    [anon_sym_GT_EQ] = ACTIONS(6482),
    [anon_sym_CARET] = ACTIONS(6482),
    [anon_sym_PLUS] = ACTIONS(6482),
    [anon_sym_SLASH] = ACTIONS(6482),
    [anon_sym_PERCENT] = ACTIONS(6482),
    [sym_comment] = ACTIONS(87),
  },
  [4331] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10136),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4332] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(10136),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10138),
  },
  [4333] = {
    [sym__element_reference_left_bracket] = ACTIONS(6490),
    [sym__infix_scope_colons] = ACTIONS(6490),
    [sym__binary_minus] = ACTIONS(6490),
    [sym__binary_star] = ACTIONS(6490),
    [anon_sym_LBRACE] = ACTIONS(6490),
    [anon_sym_RBRACE] = ACTIONS(6490),
    [anon_sym_RPAREN] = ACTIONS(6490),
    [anon_sym_DOT] = ACTIONS(6492),
    [anon_sym_COMMA] = ACTIONS(6490),
    [anon_sym_PIPE] = ACTIONS(6492),
    [anon_sym_SEMI] = ACTIONS(6490),
    [anon_sym_STAR_STAR] = ACTIONS(6490),
    [anon_sym_AMP] = ACTIONS(6492),
    [anon_sym_LT] = ACTIONS(6492),
    [anon_sym_if] = ACTIONS(6490),
    [anon_sym_unless] = ACTIONS(6490),
    [anon_sym_while] = ACTIONS(6490),
    [anon_sym_until] = ACTIONS(6490),
    [anon_sym_rescue] = ACTIONS(6490),
    [anon_sym_do] = ACTIONS(6490),
    [anon_sym_EQ_GT] = ACTIONS(6490),
    [anon_sym_AMP_DOT] = ACTIONS(6490),
    [anon_sym_QMARK] = ACTIONS(6490),
    [anon_sym_COLON] = ACTIONS(6490),
    [anon_sym_DOT_DOT] = ACTIONS(6492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6490),
    [anon_sym_and] = ACTIONS(6490),
    [anon_sym_or] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE] = ACTIONS(6490),
    [anon_sym_AMP_AMP] = ACTIONS(6490),
    [anon_sym_LT_LT] = ACTIONS(6490),
    [anon_sym_GT_GT] = ACTIONS(6490),
    [anon_sym_EQ_EQ] = ACTIONS(6492),
    [anon_sym_BANG_EQ] = ACTIONS(6490),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6490),
    [anon_sym_LT_EQ_GT] = ACTIONS(6490),
    [anon_sym_EQ_TILDE] = ACTIONS(6490),
    [anon_sym_BANG_TILDE] = ACTIONS(6490),
    [anon_sym_LT_EQ] = ACTIONS(6492),
    [anon_sym_GT] = ACTIONS(6492),
    [anon_sym_GT_EQ] = ACTIONS(6490),
    [anon_sym_CARET] = ACTIONS(6490),
    [anon_sym_PLUS] = ACTIONS(6490),
    [anon_sym_SLASH] = ACTIONS(6490),
    [anon_sym_PERCENT] = ACTIONS(6490),
    [sym_comment] = ACTIONS(87),
  },
  [4334] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10140),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4335] = {
    [sym__heredoc_content] = ACTIONS(6289),
    [sym_heredoc_end] = ACTIONS(6289),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(6291),
    [sym_escape_sequence] = ACTIONS(6289),
  },
  [4336] = {
    [sym__element_reference_left_bracket] = ACTIONS(7030),
    [sym__infix_scope_colons] = ACTIONS(7030),
    [sym__binary_minus] = ACTIONS(7030),
    [sym__binary_star] = ACTIONS(7030),
    [anon_sym_LBRACE] = ACTIONS(7030),
    [anon_sym_RBRACE] = ACTIONS(7030),
    [anon_sym_RPAREN] = ACTIONS(7030),
    [anon_sym_DOT] = ACTIONS(7032),
    [anon_sym_COMMA] = ACTIONS(7030),
    [anon_sym_PIPE] = ACTIONS(7032),
    [anon_sym_SEMI] = ACTIONS(7030),
    [anon_sym_STAR_STAR] = ACTIONS(7030),
    [anon_sym_AMP] = ACTIONS(7032),
    [anon_sym_LT] = ACTIONS(7032),
    [anon_sym_if] = ACTIONS(7030),
    [anon_sym_unless] = ACTIONS(7030),
    [anon_sym_while] = ACTIONS(7030),
    [anon_sym_until] = ACTIONS(7030),
    [anon_sym_rescue] = ACTIONS(7030),
    [anon_sym_do] = ACTIONS(7030),
    [anon_sym_EQ_GT] = ACTIONS(7030),
    [anon_sym_AMP_DOT] = ACTIONS(7030),
    [anon_sym_QMARK] = ACTIONS(7030),
    [anon_sym_COLON] = ACTIONS(7030),
    [anon_sym_DOT_DOT] = ACTIONS(7032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7030),
    [anon_sym_and] = ACTIONS(7030),
    [anon_sym_or] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE] = ACTIONS(7030),
    [anon_sym_AMP_AMP] = ACTIONS(7030),
    [anon_sym_LT_LT] = ACTIONS(7030),
    [anon_sym_GT_GT] = ACTIONS(7030),
    [anon_sym_EQ_EQ] = ACTIONS(7032),
    [anon_sym_BANG_EQ] = ACTIONS(7030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7030),
    [anon_sym_LT_EQ_GT] = ACTIONS(7030),
    [anon_sym_EQ_TILDE] = ACTIONS(7030),
    [anon_sym_BANG_TILDE] = ACTIONS(7030),
    [anon_sym_LT_EQ] = ACTIONS(7032),
    [anon_sym_GT] = ACTIONS(7032),
    [anon_sym_GT_EQ] = ACTIONS(7030),
    [anon_sym_CARET] = ACTIONS(7030),
    [anon_sym_PLUS] = ACTIONS(7030),
    [anon_sym_SLASH] = ACTIONS(7030),
    [anon_sym_PERCENT] = ACTIONS(7030),
    [sym_comment] = ACTIONS(87),
  },
  [4337] = {
    [anon_sym_DOT] = ACTIONS(10142),
    [anon_sym_COLON_COLON] = ACTIONS(10142),
    [sym_comment] = ACTIONS(87),
  },
  [4338] = {
    [sym__element_reference_left_bracket] = ACTIONS(7186),
    [sym__infix_scope_colons] = ACTIONS(7186),
    [sym__binary_minus] = ACTIONS(7186),
    [sym__binary_star] = ACTIONS(7186),
    [anon_sym_LBRACE] = ACTIONS(7186),
    [anon_sym_RBRACE] = ACTIONS(7186),
    [anon_sym_RPAREN] = ACTIONS(7186),
    [anon_sym_DOT] = ACTIONS(7188),
    [anon_sym_COMMA] = ACTIONS(7186),
    [anon_sym_PIPE] = ACTIONS(7188),
    [anon_sym_SEMI] = ACTIONS(7186),
    [anon_sym_STAR_STAR] = ACTIONS(7186),
    [anon_sym_AMP] = ACTIONS(7188),
    [anon_sym_LT] = ACTIONS(7188),
    [anon_sym_if] = ACTIONS(7186),
    [anon_sym_unless] = ACTIONS(7186),
    [anon_sym_while] = ACTIONS(7186),
    [anon_sym_until] = ACTIONS(7186),
    [anon_sym_rescue] = ACTIONS(7186),
    [anon_sym_do] = ACTIONS(7186),
    [anon_sym_EQ_GT] = ACTIONS(7186),
    [anon_sym_AMP_DOT] = ACTIONS(7186),
    [anon_sym_QMARK] = ACTIONS(7186),
    [anon_sym_COLON] = ACTIONS(7186),
    [anon_sym_DOT_DOT] = ACTIONS(7188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7186),
    [anon_sym_and] = ACTIONS(7186),
    [anon_sym_or] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7186),
    [anon_sym_AMP_AMP] = ACTIONS(7186),
    [anon_sym_LT_LT] = ACTIONS(7186),
    [anon_sym_GT_GT] = ACTIONS(7186),
    [anon_sym_EQ_EQ] = ACTIONS(7188),
    [anon_sym_BANG_EQ] = ACTIONS(7186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7186),
    [anon_sym_LT_EQ_GT] = ACTIONS(7186),
    [anon_sym_EQ_TILDE] = ACTIONS(7186),
    [anon_sym_BANG_TILDE] = ACTIONS(7186),
    [anon_sym_LT_EQ] = ACTIONS(7188),
    [anon_sym_GT] = ACTIONS(7188),
    [anon_sym_GT_EQ] = ACTIONS(7186),
    [anon_sym_CARET] = ACTIONS(7186),
    [anon_sym_PLUS] = ACTIONS(7186),
    [anon_sym_SLASH] = ACTIONS(7186),
    [anon_sym_PERCENT] = ACTIONS(7186),
    [sym_comment] = ACTIONS(87),
  },
  [4339] = {
    [sym__element_reference_left_bracket] = ACTIONS(7202),
    [sym__infix_scope_colons] = ACTIONS(7202),
    [sym__binary_minus] = ACTIONS(7202),
    [sym__binary_star] = ACTIONS(7202),
    [anon_sym_LBRACE] = ACTIONS(7202),
    [anon_sym_RBRACE] = ACTIONS(7202),
    [anon_sym_RPAREN] = ACTIONS(7202),
    [anon_sym_DOT] = ACTIONS(7204),
    [anon_sym_COMMA] = ACTIONS(7202),
    [anon_sym_PIPE] = ACTIONS(7204),
    [anon_sym_SEMI] = ACTIONS(7202),
    [anon_sym_STAR_STAR] = ACTIONS(7202),
    [anon_sym_AMP] = ACTIONS(7204),
    [anon_sym_LT] = ACTIONS(7204),
    [anon_sym_if] = ACTIONS(7202),
    [anon_sym_unless] = ACTIONS(7202),
    [anon_sym_while] = ACTIONS(7202),
    [anon_sym_until] = ACTIONS(7202),
    [anon_sym_rescue] = ACTIONS(7202),
    [anon_sym_do] = ACTIONS(7202),
    [anon_sym_EQ_GT] = ACTIONS(7202),
    [anon_sym_AMP_DOT] = ACTIONS(7202),
    [anon_sym_QMARK] = ACTIONS(7202),
    [anon_sym_COLON] = ACTIONS(7202),
    [anon_sym_DOT_DOT] = ACTIONS(7204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7202),
    [anon_sym_and] = ACTIONS(7202),
    [anon_sym_or] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE] = ACTIONS(7202),
    [anon_sym_AMP_AMP] = ACTIONS(7202),
    [anon_sym_LT_LT] = ACTIONS(7202),
    [anon_sym_GT_GT] = ACTIONS(7202),
    [anon_sym_EQ_EQ] = ACTIONS(7204),
    [anon_sym_BANG_EQ] = ACTIONS(7202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7202),
    [anon_sym_LT_EQ_GT] = ACTIONS(7202),
    [anon_sym_EQ_TILDE] = ACTIONS(7202),
    [anon_sym_BANG_TILDE] = ACTIONS(7202),
    [anon_sym_LT_EQ] = ACTIONS(7204),
    [anon_sym_GT] = ACTIONS(7204),
    [anon_sym_GT_EQ] = ACTIONS(7202),
    [anon_sym_CARET] = ACTIONS(7202),
    [anon_sym_PLUS] = ACTIONS(7202),
    [anon_sym_SLASH] = ACTIONS(7202),
    [anon_sym_PERCENT] = ACTIONS(7202),
    [sym_comment] = ACTIONS(87),
  },
  [4340] = {
    [sym__string_start] = ACTIONS(2929),
    [sym__heredoc_body_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [anon_sym_rescue] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [anon_sym_RBRACK] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_COLON] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_GT_GT] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(87),
  },
  [4341] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7234),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(7234),
    [sym_operator_assignment] = STATE(7234),
    [sym_conditional] = STATE(7234),
    [sym_range] = STATE(7234),
    [sym_binary] = STATE(7234),
    [sym_unary] = STATE(7234),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4342] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7235),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(7235),
    [sym_operator_assignment] = STATE(7235),
    [sym_conditional] = STATE(7235),
    [sym_range] = STATE(7235),
    [sym_binary] = STATE(7235),
    [sym_unary] = STATE(7235),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4343] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7236),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(7236),
    [sym_operator_assignment] = STATE(7236),
    [sym_conditional] = STATE(7236),
    [sym_range] = STATE(7236),
    [sym_binary] = STATE(7236),
    [sym_unary] = STATE(7236),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4344] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4345] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(10156),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [4346] = {
    [anon_sym_EQ] = ACTIONS(10174),
    [sym_comment] = ACTIONS(87),
  },
  [4347] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(10176),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(10178),
    [anon_sym_DASH_EQ] = ACTIONS(10178),
    [anon_sym_STAR_EQ] = ACTIONS(10178),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10178),
    [anon_sym_SLASH_EQ] = ACTIONS(10178),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10178),
    [anon_sym_PIPE_EQ] = ACTIONS(10178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10178),
    [anon_sym_AMP_EQ] = ACTIONS(10178),
    [anon_sym_PERCENT_EQ] = ACTIONS(10178),
    [anon_sym_GT_GT_EQ] = ACTIONS(10178),
    [anon_sym_LT_LT_EQ] = ACTIONS(10178),
    [anon_sym_CARET_EQ] = ACTIONS(10178),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4348] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(10156),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [4349] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [4350] = {
    [sym_string] = STATE(4392),
    [aux_sym_chained_string_repeat1] = STATE(4392),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4351] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7251),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(7251),
    [sym_operator_assignment] = STATE(7251),
    [sym_conditional] = STATE(7251),
    [sym_range] = STATE(7251),
    [sym_binary] = STATE(7251),
    [sym_unary] = STATE(7251),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4352] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(10156),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [4353] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7252),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7252),
    [sym_operator_assignment] = STATE(7252),
    [sym_conditional] = STATE(7252),
    [sym_range] = STATE(7252),
    [sym_binary] = STATE(7252),
    [sym_unary] = STATE(7252),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4354] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7253),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7253),
    [sym_operator_assignment] = STATE(7253),
    [sym_conditional] = STATE(7253),
    [sym_range] = STATE(7253),
    [sym_binary] = STATE(7253),
    [sym_unary] = STATE(7253),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4355] = {
    [sym__keyword_colon] = ACTIONS(10180),
    [sym_comment] = ACTIONS(87),
  },
  [4356] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7255),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7255),
    [sym_operator_assignment] = STATE(7255),
    [sym_conditional] = STATE(7255),
    [sym_range] = STATE(7255),
    [sym_binary] = STATE(7255),
    [sym_unary] = STATE(7255),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4357] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(10180),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [4358] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [4359] = {
    [sym_heredoc_body] = STATE(7257),
    [aux_sym_call_repeat1] = STATE(7257),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4360] = {
    [sym_heredoc_body] = STATE(7257),
    [aux_sym_call_repeat1] = STATE(7257),
    [aux_sym_argument_list_repeat1] = STATE(7259),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(10182),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4361] = {
    [sym_string] = STATE(4392),
    [aux_sym_chained_string_repeat1] = STATE(4392),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(10184),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4362] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [4363] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [4364] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7261),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7261),
    [sym_operator_assignment] = STATE(7261),
    [sym_conditional] = STATE(7261),
    [sym_range] = STATE(7261),
    [sym_binary] = STATE(7261),
    [sym_unary] = STATE(7261),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4365] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7262),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7262),
    [sym_operator_assignment] = STATE(7262),
    [sym_conditional] = STATE(7262),
    [sym_range] = STATE(7262),
    [sym_binary] = STATE(7262),
    [sym_unary] = STATE(7262),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4366] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7263),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7263),
    [sym_operator_assignment] = STATE(7263),
    [sym_conditional] = STATE(7263),
    [sym_range] = STATE(7263),
    [sym_binary] = STATE(7263),
    [sym_unary] = STATE(7263),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4367] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7264),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7264),
    [sym_operator_assignment] = STATE(7264),
    [sym_conditional] = STATE(7264),
    [sym_range] = STATE(7264),
    [sym_binary] = STATE(7264),
    [sym_unary] = STATE(7264),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4368] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7265),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7265),
    [sym_operator_assignment] = STATE(7265),
    [sym_conditional] = STATE(7265),
    [sym_range] = STATE(7265),
    [sym_binary] = STATE(7265),
    [sym_unary] = STATE(7265),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4369] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7266),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7266),
    [sym_operator_assignment] = STATE(7266),
    [sym_conditional] = STATE(7266),
    [sym_range] = STATE(7266),
    [sym_binary] = STATE(7266),
    [sym_unary] = STATE(7266),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4370] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7267),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(7267),
    [sym_operator_assignment] = STATE(7267),
    [sym_conditional] = STATE(7267),
    [sym_range] = STATE(7267),
    [sym_binary] = STATE(7267),
    [sym_unary] = STATE(7267),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4371] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7268),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7268),
    [sym_operator_assignment] = STATE(7268),
    [sym_conditional] = STATE(7268),
    [sym_range] = STATE(7268),
    [sym_binary] = STATE(7268),
    [sym_unary] = STATE(7268),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4372] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7269),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7269),
    [sym_operator_assignment] = STATE(7269),
    [sym_conditional] = STATE(7269),
    [sym_range] = STATE(7269),
    [sym_binary] = STATE(7269),
    [sym_unary] = STATE(7269),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4373] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7270),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7270),
    [sym_operator_assignment] = STATE(7270),
    [sym_conditional] = STATE(7270),
    [sym_range] = STATE(7270),
    [sym_binary] = STATE(7270),
    [sym_unary] = STATE(7270),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4374] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7271),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7271),
    [sym_operator_assignment] = STATE(7271),
    [sym_conditional] = STATE(7271),
    [sym_range] = STATE(7271),
    [sym_binary] = STATE(7271),
    [sym_unary] = STATE(7271),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4375] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7272),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7272),
    [sym_operator_assignment] = STATE(7272),
    [sym_conditional] = STATE(7272),
    [sym_range] = STATE(7272),
    [sym_binary] = STATE(7272),
    [sym_unary] = STATE(7272),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4376] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7273),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7273),
    [sym_operator_assignment] = STATE(7273),
    [sym_conditional] = STATE(7273),
    [sym_range] = STATE(7273),
    [sym_binary] = STATE(7273),
    [sym_unary] = STATE(7273),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4377] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7274),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7274),
    [sym_operator_assignment] = STATE(7274),
    [sym_conditional] = STATE(7274),
    [sym_range] = STATE(7274),
    [sym_binary] = STATE(7274),
    [sym_unary] = STATE(7274),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4378] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7275),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7275),
    [sym_operator_assignment] = STATE(7275),
    [sym_conditional] = STATE(7275),
    [sym_range] = STATE(7275),
    [sym_binary] = STATE(7275),
    [sym_unary] = STATE(7275),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4379] = {
    [sym__keyword_colon] = ACTIONS(10186),
    [sym_comment] = ACTIONS(87),
  },
  [4380] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7277),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7277),
    [sym_operator_assignment] = STATE(7277),
    [sym_conditional] = STATE(7277),
    [sym_range] = STATE(7277),
    [sym_binary] = STATE(7277),
    [sym_unary] = STATE(7277),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4381] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(10186),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [4382] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [4383] = {
    [sym_heredoc_body] = STATE(7279),
    [aux_sym_call_repeat1] = STATE(7279),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [4384] = {
    [sym_heredoc_body] = STATE(7279),
    [aux_sym_call_repeat1] = STATE(7279),
    [aux_sym_argument_list_repeat1] = STATE(7281),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(10188),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [4385] = {
    [sym_string] = STATE(4462),
    [aux_sym_chained_string_repeat1] = STATE(4462),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(10190),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4386] = {
    [sym_heredoc_body] = STATE(7283),
    [aux_sym_call_repeat1] = STATE(7283),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4387] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1895),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(1895),
    [sym_operator_assignment] = STATE(1895),
    [sym_conditional] = STATE(1895),
    [sym_range] = STATE(1895),
    [sym_binary] = STATE(1895),
    [sym_unary] = STATE(1895),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(7284),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(3156),
    [sym__splat_star] = ACTIONS(3158),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__identifier_hash_key] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10192),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3180),
    [sym_identifier] = ACTIONS(3180),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4388] = {
    [sym_heredoc_body] = STATE(7285),
    [aux_sym_call_repeat1] = STATE(7285),
    [aux_sym_argument_list_repeat1] = STATE(7286),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(6753),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4389] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7287),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_splat_argument] = STATE(7288),
    [sym_assignment] = STATE(7287),
    [sym_operator_assignment] = STATE(7287),
    [sym_conditional] = STATE(7287),
    [sym_range] = STATE(7287),
    [sym_binary] = STATE(7287),
    [sym_unary] = STATE(7287),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(7288),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(6707),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4390] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7289),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(7289),
    [sym_operator_assignment] = STATE(7289),
    [sym_conditional] = STATE(7289),
    [sym_range] = STATE(7289),
    [sym_binary] = STATE(7289),
    [sym_unary] = STATE(7289),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4391] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7290),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(7290),
    [sym_operator_assignment] = STATE(7290),
    [sym_conditional] = STATE(7290),
    [sym_range] = STATE(7290),
    [sym_binary] = STATE(7290),
    [sym_unary] = STATE(7290),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4392] = {
    [sym_string] = STATE(7291),
    [aux_sym_chained_string_repeat1] = STATE(7291),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [4393] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [4394] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [4395] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [4396] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [4397] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [4398] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [4399] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10194),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [4400] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [4401] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [4402] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [4403] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [4404] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [4405] = {
    [sym__heredoc_body_start] = ACTIONS(5904),
    [sym__element_reference_left_bracket] = ACTIONS(5904),
    [sym__infix_scope_colons] = ACTIONS(5904),
    [sym__binary_minus] = ACTIONS(5904),
    [sym__binary_star] = ACTIONS(5904),
    [anon_sym_LBRACE] = ACTIONS(5904),
    [anon_sym_RBRACE] = ACTIONS(5904),
    [anon_sym_RPAREN] = ACTIONS(5904),
    [anon_sym_DOT] = ACTIONS(5906),
    [anon_sym_COMMA] = ACTIONS(5904),
    [anon_sym_PIPE] = ACTIONS(5906),
    [anon_sym_SEMI] = ACTIONS(5904),
    [anon_sym_STAR_STAR] = ACTIONS(5906),
    [anon_sym_AMP] = ACTIONS(5906),
    [anon_sym_EQ] = ACTIONS(5906),
    [anon_sym_LT] = ACTIONS(5906),
    [anon_sym_if] = ACTIONS(5904),
    [anon_sym_unless] = ACTIONS(5904),
    [anon_sym_while] = ACTIONS(5904),
    [anon_sym_until] = ACTIONS(5904),
    [anon_sym_rescue] = ACTIONS(5904),
    [anon_sym_in] = ACTIONS(5904),
    [anon_sym_do] = ACTIONS(5904),
    [anon_sym_RBRACK] = ACTIONS(5904),
    [anon_sym_AMP_DOT] = ACTIONS(5904),
    [anon_sym_PLUS_EQ] = ACTIONS(5904),
    [anon_sym_DASH_EQ] = ACTIONS(5904),
    [anon_sym_STAR_EQ] = ACTIONS(5904),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5904),
    [anon_sym_SLASH_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5904),
    [anon_sym_AMP_EQ] = ACTIONS(5904),
    [anon_sym_PERCENT_EQ] = ACTIONS(5904),
    [anon_sym_GT_GT_EQ] = ACTIONS(5904),
    [anon_sym_LT_LT_EQ] = ACTIONS(5904),
    [anon_sym_CARET_EQ] = ACTIONS(5904),
    [anon_sym_QMARK] = ACTIONS(5904),
    [anon_sym_COLON] = ACTIONS(5904),
    [anon_sym_DOT_DOT] = ACTIONS(5906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5904),
    [anon_sym_and] = ACTIONS(5904),
    [anon_sym_or] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE] = ACTIONS(5906),
    [anon_sym_AMP_AMP] = ACTIONS(5906),
    [anon_sym_LT_LT] = ACTIONS(5906),
    [anon_sym_GT_GT] = ACTIONS(5906),
    [anon_sym_EQ_EQ] = ACTIONS(5906),
    [anon_sym_BANG_EQ] = ACTIONS(5904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5904),
    [anon_sym_LT_EQ_GT] = ACTIONS(5904),
    [anon_sym_EQ_TILDE] = ACTIONS(5904),
    [anon_sym_BANG_TILDE] = ACTIONS(5904),
    [anon_sym_LT_EQ] = ACTIONS(5906),
    [anon_sym_GT] = ACTIONS(5906),
    [anon_sym_GT_EQ] = ACTIONS(5904),
    [anon_sym_CARET] = ACTIONS(5906),
    [anon_sym_PLUS] = ACTIONS(5906),
    [anon_sym_SLASH] = ACTIONS(5906),
    [anon_sym_PERCENT] = ACTIONS(5906),
    [sym_comment] = ACTIONS(87),
  },
  [4406] = {
    [sym_heredoc_body] = STATE(7294),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(10196),
    [sym_comment] = ACTIONS(87),
  },
  [4407] = {
    [anon_sym_RBRACK] = ACTIONS(10196),
    [sym_comment] = ACTIONS(87),
  },
  [4408] = {
    [sym__simple_symbol] = ACTIONS(5910),
    [sym__string_start] = ACTIONS(5910),
    [sym__symbol_start] = ACTIONS(5910),
    [sym__subshell_start] = ACTIONS(5910),
    [sym__regex_start] = ACTIONS(5910),
    [sym__string_array_start] = ACTIONS(5910),
    [sym__symbol_array_start] = ACTIONS(5910),
    [sym__heredoc_body_start] = ACTIONS(5910),
    [sym_heredoc_beginning] = ACTIONS(5910),
    [sym__element_reference_left_bracket] = ACTIONS(5910),
    [sym__block_ampersand] = ACTIONS(5910),
    [sym__splat_star] = ACTIONS(5910),
    [sym__argument_list_left_paren] = ACTIONS(5910),
    [sym__infix_scope_colons] = ACTIONS(5910),
    [sym__unary_minus] = ACTIONS(5910),
    [sym__binary_minus] = ACTIONS(5910),
    [sym__binary_star] = ACTIONS(5910),
    [sym__identifier_hash_key] = ACTIONS(5910),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_RBRACE] = ACTIONS(5910),
    [anon_sym_def] = ACTIONS(5912),
    [anon_sym_LPAREN] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_COLON_COLON] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_STAR_STAR] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_EQ] = ACTIONS(5912),
    [anon_sym_class] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_module] = ACTIONS(5912),
    [anon_sym_return] = ACTIONS(5912),
    [anon_sym_yield] = ACTIONS(5912),
    [anon_sym_break] = ACTIONS(5912),
    [anon_sym_next] = ACTIONS(5912),
    [sym_redo] = ACTIONS(5912),
    [sym_retry] = ACTIONS(5912),
    [anon_sym_if] = ACTIONS(5912),
    [anon_sym_unless] = ACTIONS(5912),
    [anon_sym_while] = ACTIONS(5912),
    [anon_sym_until] = ACTIONS(5912),
    [anon_sym_rescue] = ACTIONS(5912),
    [anon_sym_for] = ACTIONS(5912),
    [anon_sym_in] = ACTIONS(5912),
    [anon_sym_do] = ACTIONS(5912),
    [anon_sym_case] = ACTIONS(5912),
    [anon_sym_begin] = ACTIONS(5912),
    [anon_sym_RBRACK] = ACTIONS(5910),
    [anon_sym_AMP_DOT] = ACTIONS(5910),
    [anon_sym_PLUS_EQ] = ACTIONS(5910),
    [anon_sym_DASH_EQ] = ACTIONS(5910),
    [anon_sym_STAR_EQ] = ACTIONS(5910),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5910),
    [anon_sym_SLASH_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5910),
    [anon_sym_AMP_EQ] = ACTIONS(5910),
    [anon_sym_PERCENT_EQ] = ACTIONS(5910),
    [anon_sym_GT_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_LT_EQ] = ACTIONS(5910),
    [anon_sym_CARET_EQ] = ACTIONS(5910),
    [anon_sym_QMARK] = ACTIONS(5912),
    [anon_sym_COLON] = ACTIONS(5912),
    [anon_sym_DOT_DOT] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_and] = ACTIONS(5912),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_PIPE_PIPE] = ACTIONS(5912),
    [anon_sym_AMP_AMP] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5912),
    [anon_sym_GT_GT] = ACTIONS(5912),
    [anon_sym_EQ_EQ] = ACTIONS(5912),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_EQ_TILDE] = ACTIONS(5910),
    [anon_sym_BANG_TILDE] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5912),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_CARET] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5912),
    [anon_sym_defined_QMARK] = ACTIONS(5910),
    [anon_sym_not] = ACTIONS(5912),
    [anon_sym_BANG] = ACTIONS(5912),
    [anon_sym_TILDE] = ACTIONS(5910),
    [sym_constant] = ACTIONS(5912),
    [sym_identifier] = ACTIONS(5912),
    [sym_instance_variable] = ACTIONS(5910),
    [sym_class_variable] = ACTIONS(5910),
    [sym_global_variable] = ACTIONS(5910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5912),
    [sym_float] = ACTIONS(5912),
    [sym_complex] = ACTIONS(5910),
    [sym_super] = ACTIONS(5912),
    [anon_sym_true] = ACTIONS(5912),
    [anon_sym_TRUE] = ACTIONS(5912),
    [anon_sym_false] = ACTIONS(5912),
    [anon_sym_FALSE] = ACTIONS(5912),
    [sym_self] = ACTIONS(5912),
    [anon_sym_nil] = ACTIONS(5912),
    [anon_sym_NIL] = ACTIONS(5912),
    [sym_character] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
  },
  [4409] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(7296),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(7297),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(10198),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4410] = {
    [sym__simple_symbol] = ACTIONS(1267),
    [sym__string_start] = ACTIONS(1267),
    [sym__symbol_start] = ACTIONS(1267),
    [sym__subshell_start] = ACTIONS(1267),
    [sym__regex_start] = ACTIONS(1267),
    [sym__string_array_start] = ACTIONS(1267),
    [sym__symbol_array_start] = ACTIONS(1267),
    [sym__heredoc_body_start] = ACTIONS(1267),
    [sym_heredoc_beginning] = ACTIONS(1267),
    [sym__element_reference_left_bracket] = ACTIONS(1267),
    [sym__block_ampersand] = ACTIONS(1267),
    [sym__splat_star] = ACTIONS(1267),
    [sym__argument_list_left_paren] = ACTIONS(1267),
    [sym__infix_scope_colons] = ACTIONS(1267),
    [sym__unary_minus] = ACTIONS(1267),
    [sym__binary_minus] = ACTIONS(1267),
    [sym__binary_star] = ACTIONS(1267),
    [sym__identifier_hash_key] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_def] = ACTIONS(1269),
    [anon_sym_LPAREN] = ACTIONS(1267),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [anon_sym_DOT] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_yield] = ACTIONS(1269),
    [anon_sym_break] = ACTIONS(1269),
    [anon_sym_next] = ACTIONS(1269),
    [sym_redo] = ACTIONS(1269),
    [sym_retry] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1269),
    [anon_sym_unless] = ACTIONS(1269),
    [anon_sym_while] = ACTIONS(1269),
    [anon_sym_until] = ACTIONS(1269),
    [anon_sym_rescue] = ACTIONS(1269),
    [anon_sym_for] = ACTIONS(1269),
    [anon_sym_in] = ACTIONS(1269),
    [anon_sym_do] = ACTIONS(1269),
    [anon_sym_case] = ACTIONS(1269),
    [anon_sym_begin] = ACTIONS(1269),
    [anon_sym_RBRACK] = ACTIONS(1267),
    [anon_sym_AMP_DOT] = ACTIONS(1267),
    [anon_sym_PLUS_EQ] = ACTIONS(1267),
    [anon_sym_DASH_EQ] = ACTIONS(1267),
    [anon_sym_STAR_EQ] = ACTIONS(1267),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1267),
    [anon_sym_SLASH_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_PIPE_EQ] = ACTIONS(1267),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1267),
    [anon_sym_AMP_EQ] = ACTIONS(1267),
    [anon_sym_PERCENT_EQ] = ACTIONS(1267),
    [anon_sym_GT_GT_EQ] = ACTIONS(1267),
    [anon_sym_LT_LT_EQ] = ACTIONS(1267),
    [anon_sym_CARET_EQ] = ACTIONS(1267),
    [anon_sym_QMARK] = ACTIONS(1269),
    [anon_sym_COLON] = ACTIONS(1269),
    [anon_sym_DOT_DOT] = ACTIONS(1269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1267),
    [anon_sym_and] = ACTIONS(1269),
    [anon_sym_or] = ACTIONS(1269),
    [anon_sym_PIPE_PIPE] = ACTIONS(1269),
    [anon_sym_AMP_AMP] = ACTIONS(1269),
    [anon_sym_LT_LT] = ACTIONS(1269),
    [anon_sym_GT_GT] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_BANG_EQ] = ACTIONS(1267),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1267),
    [anon_sym_LT_EQ_GT] = ACTIONS(1267),
    [anon_sym_EQ_TILDE] = ACTIONS(1267),
    [anon_sym_BANG_TILDE] = ACTIONS(1267),
    [anon_sym_LT_EQ] = ACTIONS(1269),
    [anon_sym_GT] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1267),
    [anon_sym_not] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1267),
    [sym_constant] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1269),
    [sym_instance_variable] = ACTIONS(1267),
    [sym_class_variable] = ACTIONS(1267),
    [sym_global_variable] = ACTIONS(1267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1269),
    [sym_float] = ACTIONS(1269),
    [sym_complex] = ACTIONS(1267),
    [sym_super] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1269),
    [anon_sym_TRUE] = ACTIONS(1269),
    [anon_sym_false] = ACTIONS(1269),
    [anon_sym_FALSE] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [anon_sym_nil] = ACTIONS(1269),
    [anon_sym_NIL] = ACTIONS(1269),
    [sym_character] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1267),
    [anon_sym_DASH_GT] = ACTIONS(1267),
  },
  [4411] = {
    [sym__simple_symbol] = ACTIONS(5920),
    [sym__string_start] = ACTIONS(5920),
    [sym__symbol_start] = ACTIONS(5920),
    [sym__subshell_start] = ACTIONS(5920),
    [sym__regex_start] = ACTIONS(5920),
    [sym__string_array_start] = ACTIONS(5920),
    [sym__symbol_array_start] = ACTIONS(5920),
    [sym__heredoc_body_start] = ACTIONS(5920),
    [sym_heredoc_beginning] = ACTIONS(5920),
    [sym__element_reference_left_bracket] = ACTIONS(5920),
    [sym__block_ampersand] = ACTIONS(5920),
    [sym__splat_star] = ACTIONS(5920),
    [sym__argument_list_left_paren] = ACTIONS(5920),
    [sym__infix_scope_colons] = ACTIONS(5920),
    [sym__unary_minus] = ACTIONS(5920),
    [sym__binary_minus] = ACTIONS(5920),
    [sym__binary_star] = ACTIONS(5920),
    [sym__identifier_hash_key] = ACTIONS(5920),
    [anon_sym_LBRACE] = ACTIONS(5920),
    [anon_sym_RBRACE] = ACTIONS(5920),
    [anon_sym_def] = ACTIONS(5922),
    [anon_sym_LPAREN] = ACTIONS(5920),
    [anon_sym_RPAREN] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5922),
    [anon_sym_COLON_COLON] = ACTIONS(5920),
    [anon_sym_COMMA] = ACTIONS(5920),
    [anon_sym_PIPE] = ACTIONS(5922),
    [anon_sym_SEMI] = ACTIONS(5920),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_STAR_STAR] = ACTIONS(5922),
    [anon_sym_AMP] = ACTIONS(5922),
    [anon_sym_EQ] = ACTIONS(5922),
    [anon_sym_class] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(5922),
    [anon_sym_module] = ACTIONS(5922),
    [anon_sym_return] = ACTIONS(5922),
    [anon_sym_yield] = ACTIONS(5922),
    [anon_sym_break] = ACTIONS(5922),
    [anon_sym_next] = ACTIONS(5922),
    [sym_redo] = ACTIONS(5922),
    [sym_retry] = ACTIONS(5922),
    [anon_sym_if] = ACTIONS(5922),
    [anon_sym_unless] = ACTIONS(5922),
    [anon_sym_while] = ACTIONS(5922),
    [anon_sym_until] = ACTIONS(5922),
    [anon_sym_rescue] = ACTIONS(5922),
    [anon_sym_for] = ACTIONS(5922),
    [anon_sym_in] = ACTIONS(5922),
    [anon_sym_do] = ACTIONS(5922),
    [anon_sym_case] = ACTIONS(5922),
    [anon_sym_begin] = ACTIONS(5922),
    [anon_sym_RBRACK] = ACTIONS(5920),
    [anon_sym_AMP_DOT] = ACTIONS(5920),
    [anon_sym_PLUS_EQ] = ACTIONS(5920),
    [anon_sym_DASH_EQ] = ACTIONS(5920),
    [anon_sym_STAR_EQ] = ACTIONS(5920),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5920),
    [anon_sym_SLASH_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5920),
    [anon_sym_AMP_EQ] = ACTIONS(5920),
    [anon_sym_PERCENT_EQ] = ACTIONS(5920),
    [anon_sym_GT_GT_EQ] = ACTIONS(5920),
    [anon_sym_LT_LT_EQ] = ACTIONS(5920),
    [anon_sym_CARET_EQ] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_COLON] = ACTIONS(5922),
    [anon_sym_DOT_DOT] = ACTIONS(5922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5920),
    [anon_sym_and] = ACTIONS(5922),
    [anon_sym_or] = ACTIONS(5922),
    [anon_sym_PIPE_PIPE] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5922),
    [anon_sym_LT_LT] = ACTIONS(5922),
    [anon_sym_GT_GT] = ACTIONS(5922),
    [anon_sym_EQ_EQ] = ACTIONS(5922),
    [anon_sym_BANG_EQ] = ACTIONS(5920),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5920),
    [anon_sym_LT_EQ_GT] = ACTIONS(5920),
    [anon_sym_EQ_TILDE] = ACTIONS(5920),
    [anon_sym_BANG_TILDE] = ACTIONS(5920),
    [anon_sym_LT_EQ] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(5922),
    [anon_sym_GT_EQ] = ACTIONS(5920),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_PLUS] = ACTIONS(5922),
    [anon_sym_SLASH] = ACTIONS(5922),
    [anon_sym_PERCENT] = ACTIONS(5922),
    [anon_sym_defined_QMARK] = ACTIONS(5920),
    [anon_sym_not] = ACTIONS(5922),
    [anon_sym_BANG] = ACTIONS(5922),
    [anon_sym_TILDE] = ACTIONS(5920),
    [sym_constant] = ACTIONS(5922),
    [sym_identifier] = ACTIONS(5922),
    [sym_instance_variable] = ACTIONS(5920),
    [sym_class_variable] = ACTIONS(5920),
    [sym_global_variable] = ACTIONS(5920),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5922),
    [sym_float] = ACTIONS(5922),
    [sym_complex] = ACTIONS(5920),
    [sym_super] = ACTIONS(5922),
    [anon_sym_true] = ACTIONS(5922),
    [anon_sym_TRUE] = ACTIONS(5922),
    [anon_sym_false] = ACTIONS(5922),
    [anon_sym_FALSE] = ACTIONS(5922),
    [sym_self] = ACTIONS(5922),
    [anon_sym_nil] = ACTIONS(5922),
    [anon_sym_NIL] = ACTIONS(5922),
    [sym_character] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
  },
  [4412] = {
    [sym__simple_symbol] = ACTIONS(5924),
    [sym__string_start] = ACTIONS(5924),
    [sym__symbol_start] = ACTIONS(5924),
    [sym__subshell_start] = ACTIONS(5924),
    [sym__regex_start] = ACTIONS(5924),
    [sym__string_array_start] = ACTIONS(5924),
    [sym__symbol_array_start] = ACTIONS(5924),
    [sym__heredoc_body_start] = ACTIONS(5924),
    [sym_heredoc_beginning] = ACTIONS(5924),
    [sym__element_reference_left_bracket] = ACTIONS(5924),
    [sym__block_ampersand] = ACTIONS(5924),
    [sym__splat_star] = ACTIONS(5924),
    [sym__argument_list_left_paren] = ACTIONS(5924),
    [sym__infix_scope_colons] = ACTIONS(5924),
    [sym__unary_minus] = ACTIONS(5924),
    [sym__binary_minus] = ACTIONS(5924),
    [sym__binary_star] = ACTIONS(5924),
    [sym__identifier_hash_key] = ACTIONS(5924),
    [anon_sym_LBRACE] = ACTIONS(5924),
    [anon_sym_RBRACE] = ACTIONS(5924),
    [anon_sym_def] = ACTIONS(5926),
    [anon_sym_LPAREN] = ACTIONS(5924),
    [anon_sym_RPAREN] = ACTIONS(5924),
    [anon_sym_DOT] = ACTIONS(5926),
    [anon_sym_COLON_COLON] = ACTIONS(5924),
    [anon_sym_COMMA] = ACTIONS(5924),
    [anon_sym_PIPE] = ACTIONS(5926),
    [anon_sym_SEMI] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_STAR_STAR] = ACTIONS(5926),
    [anon_sym_AMP] = ACTIONS(5926),
    [anon_sym_EQ] = ACTIONS(5926),
    [anon_sym_class] = ACTIONS(5926),
    [anon_sym_LT] = ACTIONS(5926),
    [anon_sym_module] = ACTIONS(5926),
    [anon_sym_return] = ACTIONS(5926),
    [anon_sym_yield] = ACTIONS(5926),
    [anon_sym_break] = ACTIONS(5926),
    [anon_sym_next] = ACTIONS(5926),
    [sym_redo] = ACTIONS(5926),
    [sym_retry] = ACTIONS(5926),
    [anon_sym_if] = ACTIONS(5926),
    [anon_sym_unless] = ACTIONS(5926),
    [anon_sym_while] = ACTIONS(5926),
    [anon_sym_until] = ACTIONS(5926),
    [anon_sym_rescue] = ACTIONS(5926),
    [anon_sym_for] = ACTIONS(5926),
    [anon_sym_in] = ACTIONS(5926),
    [anon_sym_do] = ACTIONS(5926),
    [anon_sym_case] = ACTIONS(5926),
    [anon_sym_begin] = ACTIONS(5926),
    [anon_sym_RBRACK] = ACTIONS(5924),
    [anon_sym_AMP_DOT] = ACTIONS(5924),
    [anon_sym_PLUS_EQ] = ACTIONS(5924),
    [anon_sym_DASH_EQ] = ACTIONS(5924),
    [anon_sym_STAR_EQ] = ACTIONS(5924),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5924),
    [anon_sym_SLASH_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5924),
    [anon_sym_AMP_EQ] = ACTIONS(5924),
    [anon_sym_PERCENT_EQ] = ACTIONS(5924),
    [anon_sym_GT_GT_EQ] = ACTIONS(5924),
    [anon_sym_LT_LT_EQ] = ACTIONS(5924),
    [anon_sym_CARET_EQ] = ACTIONS(5924),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_COLON] = ACTIONS(5926),
    [anon_sym_DOT_DOT] = ACTIONS(5926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5924),
    [anon_sym_and] = ACTIONS(5926),
    [anon_sym_or] = ACTIONS(5926),
    [anon_sym_PIPE_PIPE] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_LT_LT] = ACTIONS(5926),
    [anon_sym_GT_GT] = ACTIONS(5926),
    [anon_sym_EQ_EQ] = ACTIONS(5926),
    [anon_sym_BANG_EQ] = ACTIONS(5924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5924),
    [anon_sym_LT_EQ_GT] = ACTIONS(5924),
    [anon_sym_EQ_TILDE] = ACTIONS(5924),
    [anon_sym_BANG_TILDE] = ACTIONS(5924),
    [anon_sym_LT_EQ] = ACTIONS(5926),
    [anon_sym_GT] = ACTIONS(5926),
    [anon_sym_GT_EQ] = ACTIONS(5924),
    [anon_sym_CARET] = ACTIONS(5926),
    [anon_sym_PLUS] = ACTIONS(5926),
    [anon_sym_SLASH] = ACTIONS(5926),
    [anon_sym_PERCENT] = ACTIONS(5926),
    [anon_sym_defined_QMARK] = ACTIONS(5924),
    [anon_sym_not] = ACTIONS(5926),
    [anon_sym_BANG] = ACTIONS(5926),
    [anon_sym_TILDE] = ACTIONS(5924),
    [sym_constant] = ACTIONS(5926),
    [sym_identifier] = ACTIONS(5926),
    [sym_instance_variable] = ACTIONS(5924),
    [sym_class_variable] = ACTIONS(5924),
    [sym_global_variable] = ACTIONS(5924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5926),
    [sym_float] = ACTIONS(5926),
    [sym_complex] = ACTIONS(5924),
    [sym_super] = ACTIONS(5926),
    [anon_sym_true] = ACTIONS(5926),
    [anon_sym_TRUE] = ACTIONS(5926),
    [anon_sym_false] = ACTIONS(5926),
    [anon_sym_FALSE] = ACTIONS(5926),
    [sym_self] = ACTIONS(5926),
    [anon_sym_nil] = ACTIONS(5926),
    [anon_sym_NIL] = ACTIONS(5926),
    [sym_character] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5924),
    [anon_sym_DASH_GT] = ACTIONS(5924),
  },
  [4413] = {
    [sym_argument_list_with_parens] = STATE(7298),
    [sym__argument_list_with_parens] = STATE(4412),
    [sym_operator] = STATE(7298),
    [sym_heredoc_body] = STATE(3808),
    [aux_sym_call_repeat1] = STATE(3808),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(6767),
    [anon_sym_PIPE] = ACTIONS(6769),
    [anon_sym_STAR] = ACTIONS(6771),
    [anon_sym_STAR_STAR] = ACTIONS(6769),
    [anon_sym_AMP] = ACTIONS(6769),
    [anon_sym_LT] = ACTIONS(6771),
    [anon_sym_DOT_DOT] = ACTIONS(6769),
    [anon_sym_LT_LT] = ACTIONS(6769),
    [anon_sym_GT_GT] = ACTIONS(6769),
    [anon_sym_EQ_EQ] = ACTIONS(6771),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6769),
    [anon_sym_LT_EQ_GT] = ACTIONS(6769),
    [anon_sym_EQ_TILDE] = ACTIONS(6769),
    [anon_sym_BANG_TILDE] = ACTIONS(6769),
    [anon_sym_LT_EQ] = ACTIONS(6771),
    [anon_sym_GT] = ACTIONS(6771),
    [anon_sym_GT_EQ] = ACTIONS(6769),
    [anon_sym_CARET] = ACTIONS(6769),
    [anon_sym_PLUS] = ACTIONS(6771),
    [anon_sym_SLASH] = ACTIONS(6769),
    [anon_sym_PERCENT] = ACTIONS(6769),
    [anon_sym_BANG] = ACTIONS(6771),
    [anon_sym_TILDE] = ACTIONS(6769),
    [sym_constant] = ACTIONS(10200),
    [sym_identifier] = ACTIONS(10200),
    [anon_sym_DASH] = ACTIONS(6771),
    [anon_sym_PLUS_AT] = ACTIONS(6769),
    [anon_sym_DASH_AT] = ACTIONS(6769),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(6771),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(6769),
    [anon_sym_BQUOTE] = ACTIONS(6769),
    [sym_comment] = ACTIONS(87),
  },
  [4414] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7299),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(7299),
    [sym_operator_assignment] = STATE(7299),
    [sym_conditional] = STATE(7299),
    [sym_range] = STATE(7299),
    [sym_binary] = STATE(7299),
    [sym_unary] = STATE(7299),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4415] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1934),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(7019),
    [sym__argument_list_with_parens] = STATE(1937),
    [sym__argument] = STATE(1938),
    [sym_splat_argument] = STATE(1938),
    [sym_hash_splat_argument] = STATE(1938),
    [sym_block_argument] = STATE(1938),
    [sym_assignment] = STATE(1934),
    [sym_operator_assignment] = STATE(1934),
    [sym_conditional] = STATE(1934),
    [sym_range] = STATE(1934),
    [sym_binary] = STATE(1934),
    [sym_unary] = STATE(1934),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1942),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1938),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3228),
    [sym__splat_star] = ACTIONS(3230),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3256),
    [sym_identifier] = ACTIONS(3256),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4416] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1934),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(7020),
    [sym__argument_list_with_parens] = STATE(1937),
    [sym__argument] = STATE(1938),
    [sym_splat_argument] = STATE(1938),
    [sym_hash_splat_argument] = STATE(1938),
    [sym_block_argument] = STATE(1938),
    [sym_assignment] = STATE(1934),
    [sym_operator_assignment] = STATE(1934),
    [sym_conditional] = STATE(1934),
    [sym_range] = STATE(1934),
    [sym_binary] = STATE(1934),
    [sym_unary] = STATE(1934),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1942),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1938),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3228),
    [sym__splat_star] = ACTIONS(3230),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3256),
    [sym_identifier] = ACTIONS(3256),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4417] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1934),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(7021),
    [sym__argument_list_with_parens] = STATE(1937),
    [sym__argument] = STATE(1938),
    [sym_splat_argument] = STATE(1938),
    [sym_hash_splat_argument] = STATE(1938),
    [sym_block_argument] = STATE(1938),
    [sym_assignment] = STATE(1934),
    [sym_operator_assignment] = STATE(1934),
    [sym_conditional] = STATE(1934),
    [sym_range] = STATE(1934),
    [sym_binary] = STATE(1934),
    [sym_unary] = STATE(1934),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1942),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1938),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3228),
    [sym__splat_star] = ACTIONS(3230),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3256),
    [sym_identifier] = ACTIONS(3256),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4418] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1934),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(7022),
    [sym__argument_list_with_parens] = STATE(1937),
    [sym__argument] = STATE(1938),
    [sym_splat_argument] = STATE(1938),
    [sym_hash_splat_argument] = STATE(1938),
    [sym_block_argument] = STATE(1938),
    [sym_assignment] = STATE(1934),
    [sym_operator_assignment] = STATE(1934),
    [sym_conditional] = STATE(1934),
    [sym_range] = STATE(1934),
    [sym_binary] = STATE(1934),
    [sym_unary] = STATE(1934),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1942),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1938),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3228),
    [sym__splat_star] = ACTIONS(3230),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3256),
    [sym_identifier] = ACTIONS(3256),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4419] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7300),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(7300),
    [sym_operator_assignment] = STATE(7300),
    [sym_conditional] = STATE(7300),
    [sym_range] = STATE(7300),
    [sym_binary] = STATE(7300),
    [sym_unary] = STATE(7300),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4420] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7301),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(7301),
    [sym_operator_assignment] = STATE(7301),
    [sym_conditional] = STATE(7301),
    [sym_range] = STATE(7301),
    [sym_binary] = STATE(7301),
    [sym_unary] = STATE(7301),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4421] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7038),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(7038),
    [sym_operator_assignment] = STATE(7038),
    [sym_conditional] = STATE(7038),
    [sym_range] = STATE(7038),
    [sym_binary] = STATE(7038),
    [sym_unary] = STATE(7038),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4422] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(10214),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [4423] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1934),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_argument_list] = STATE(5106),
    [sym__argument_list_with_parens] = STATE(1937),
    [sym__argument] = STATE(1938),
    [sym_splat_argument] = STATE(1938),
    [sym_hash_splat_argument] = STATE(1938),
    [sym_block_argument] = STATE(1938),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(1934),
    [sym_operator_assignment] = STATE(1934),
    [sym_conditional] = STATE(1934),
    [sym_range] = STATE(1934),
    [sym_binary] = STATE(1934),
    [sym_unary] = STATE(1934),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1942),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(1938),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(3228),
    [sym__splat_star] = ACTIONS(3230),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(7625),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3256),
    [sym_identifier] = ACTIONS(3256),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4424] = {
    [anon_sym_EQ] = ACTIONS(10230),
    [sym_comment] = ACTIONS(87),
  },
  [4425] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(10232),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(10234),
    [anon_sym_DASH_EQ] = ACTIONS(10234),
    [anon_sym_STAR_EQ] = ACTIONS(10234),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10234),
    [anon_sym_SLASH_EQ] = ACTIONS(10234),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10234),
    [anon_sym_PIPE_EQ] = ACTIONS(10234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10234),
    [anon_sym_AMP_EQ] = ACTIONS(10234),
    [anon_sym_PERCENT_EQ] = ACTIONS(10234),
    [anon_sym_GT_GT_EQ] = ACTIONS(10234),
    [anon_sym_LT_LT_EQ] = ACTIONS(10234),
    [anon_sym_CARET_EQ] = ACTIONS(10234),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4426] = {
    [sym_string] = STATE(7316),
    [aux_sym_chained_string_repeat1] = STATE(7316),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4427] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(10214),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [4428] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [4429] = {
    [sym_string] = STATE(4462),
    [aux_sym_chained_string_repeat1] = STATE(4462),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4430] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7317),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(7317),
    [sym_operator_assignment] = STATE(7317),
    [sym_conditional] = STATE(7317),
    [sym_range] = STATE(7317),
    [sym_binary] = STATE(7317),
    [sym_unary] = STATE(7317),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4431] = {
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_RBRACK] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [4432] = {
    [anon_sym_RBRACE] = ACTIONS(10236),
    [sym_comment] = ACTIONS(87),
  },
  [4433] = {
    [sym__statements] = STATE(7319),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(10236),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4434] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(10214),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [4435] = {
    [sym__heredoc_body_start] = ACTIONS(5724),
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [sym__binary_minus] = ACTIONS(5724),
    [sym__binary_star] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym_STAR_STAR] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_if] = ACTIONS(5724),
    [anon_sym_unless] = ACTIONS(5724),
    [anon_sym_while] = ACTIONS(5724),
    [anon_sym_until] = ACTIONS(5724),
    [anon_sym_rescue] = ACTIONS(5724),
    [anon_sym_in] = ACTIONS(5724),
    [anon_sym_do] = ACTIONS(5724),
    [anon_sym_RBRACK] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [anon_sym_PLUS_EQ] = ACTIONS(5724),
    [anon_sym_DASH_EQ] = ACTIONS(5724),
    [anon_sym_STAR_EQ] = ACTIONS(5724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5724),
    [anon_sym_SLASH_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5724),
    [anon_sym_AMP_EQ] = ACTIONS(5724),
    [anon_sym_PERCENT_EQ] = ACTIONS(5724),
    [anon_sym_GT_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_LT_EQ] = ACTIONS(5724),
    [anon_sym_CARET_EQ] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_COLON] = ACTIONS(5724),
    [anon_sym_DOT_DOT] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5726),
    [anon_sym_AMP_AMP] = ACTIONS(5726),
    [anon_sym_LT_LT] = ACTIONS(5726),
    [anon_sym_GT_GT] = ACTIONS(5726),
    [anon_sym_EQ_EQ] = ACTIONS(5726),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_EQ_TILDE] = ACTIONS(5724),
    [anon_sym_BANG_TILDE] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_CARET] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_SLASH] = ACTIONS(5726),
    [anon_sym_PERCENT] = ACTIONS(5726),
    [sym_comment] = ACTIONS(87),
  },
  [4436] = {
    [anon_sym_end] = ACTIONS(10238),
    [sym_comment] = ACTIONS(87),
  },
  [4437] = {
    [sym__statements] = STATE(7321),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(7322),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(7322),
    [sym__line_break] = ACTIONS(10240),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10242),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4438] = {
    [sym__statements] = STATE(7321),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(7323),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10242),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4439] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [4440] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [4441] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7324),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7324),
    [sym_operator_assignment] = STATE(7324),
    [sym_conditional] = STATE(7324),
    [sym_range] = STATE(7324),
    [sym_binary] = STATE(7324),
    [sym_unary] = STATE(7324),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4442] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7325),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7325),
    [sym_operator_assignment] = STATE(7325),
    [sym_conditional] = STATE(7325),
    [sym_range] = STATE(7325),
    [sym_binary] = STATE(7325),
    [sym_unary] = STATE(7325),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4443] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7326),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7326),
    [sym_operator_assignment] = STATE(7326),
    [sym_conditional] = STATE(7326),
    [sym_range] = STATE(7326),
    [sym_binary] = STATE(7326),
    [sym_unary] = STATE(7326),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4444] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7327),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7327),
    [sym_operator_assignment] = STATE(7327),
    [sym_conditional] = STATE(7327),
    [sym_range] = STATE(7327),
    [sym_binary] = STATE(7327),
    [sym_unary] = STATE(7327),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4445] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7328),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7328),
    [sym_operator_assignment] = STATE(7328),
    [sym_conditional] = STATE(7328),
    [sym_range] = STATE(7328),
    [sym_binary] = STATE(7328),
    [sym_unary] = STATE(7328),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4446] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7329),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7329),
    [sym_operator_assignment] = STATE(7329),
    [sym_conditional] = STATE(7329),
    [sym_range] = STATE(7329),
    [sym_binary] = STATE(7329),
    [sym_unary] = STATE(7329),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4447] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7330),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(7330),
    [sym_operator_assignment] = STATE(7330),
    [sym_conditional] = STATE(7330),
    [sym_range] = STATE(7330),
    [sym_binary] = STATE(7330),
    [sym_unary] = STATE(7330),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4448] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7331),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7331),
    [sym_operator_assignment] = STATE(7331),
    [sym_conditional] = STATE(7331),
    [sym_range] = STATE(7331),
    [sym_binary] = STATE(7331),
    [sym_unary] = STATE(7331),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4449] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7332),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7332),
    [sym_operator_assignment] = STATE(7332),
    [sym_conditional] = STATE(7332),
    [sym_range] = STATE(7332),
    [sym_binary] = STATE(7332),
    [sym_unary] = STATE(7332),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4450] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7333),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7333),
    [sym_operator_assignment] = STATE(7333),
    [sym_conditional] = STATE(7333),
    [sym_range] = STATE(7333),
    [sym_binary] = STATE(7333),
    [sym_unary] = STATE(7333),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4451] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7334),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7334),
    [sym_operator_assignment] = STATE(7334),
    [sym_conditional] = STATE(7334),
    [sym_range] = STATE(7334),
    [sym_binary] = STATE(7334),
    [sym_unary] = STATE(7334),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4452] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7335),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7335),
    [sym_operator_assignment] = STATE(7335),
    [sym_conditional] = STATE(7335),
    [sym_range] = STATE(7335),
    [sym_binary] = STATE(7335),
    [sym_unary] = STATE(7335),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4453] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7336),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7336),
    [sym_operator_assignment] = STATE(7336),
    [sym_conditional] = STATE(7336),
    [sym_range] = STATE(7336),
    [sym_binary] = STATE(7336),
    [sym_unary] = STATE(7336),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4454] = {
    [sym__statements] = STATE(4432),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(4433),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(10244),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4455] = {
    [sym__heredoc_body_start] = ACTIONS(6134),
    [sym__element_reference_left_bracket] = ACTIONS(6134),
    [sym__infix_scope_colons] = ACTIONS(6134),
    [sym__binary_minus] = ACTIONS(6134),
    [sym__binary_star] = ACTIONS(6134),
    [anon_sym_LBRACE] = ACTIONS(6134),
    [anon_sym_RBRACE] = ACTIONS(6134),
    [anon_sym_RPAREN] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6136),
    [anon_sym_COMMA] = ACTIONS(6134),
    [anon_sym_PIPE] = ACTIONS(6136),
    [anon_sym_SEMI] = ACTIONS(6134),
    [anon_sym_STAR_STAR] = ACTIONS(6136),
    [anon_sym_AMP] = ACTIONS(6136),
    [anon_sym_EQ] = ACTIONS(6136),
    [anon_sym_LT] = ACTIONS(6136),
    [anon_sym_if] = ACTIONS(6134),
    [anon_sym_unless] = ACTIONS(6134),
    [anon_sym_while] = ACTIONS(6134),
    [anon_sym_until] = ACTIONS(6134),
    [anon_sym_rescue] = ACTIONS(6134),
    [anon_sym_in] = ACTIONS(6134),
    [anon_sym_do] = ACTIONS(6134),
    [anon_sym_RBRACK] = ACTIONS(6134),
    [anon_sym_AMP_DOT] = ACTIONS(6134),
    [anon_sym_PLUS_EQ] = ACTIONS(6134),
    [anon_sym_DASH_EQ] = ACTIONS(6134),
    [anon_sym_STAR_EQ] = ACTIONS(6134),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6134),
    [anon_sym_SLASH_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6134),
    [anon_sym_AMP_EQ] = ACTIONS(6134),
    [anon_sym_PERCENT_EQ] = ACTIONS(6134),
    [anon_sym_GT_GT_EQ] = ACTIONS(6134),
    [anon_sym_LT_LT_EQ] = ACTIONS(6134),
    [anon_sym_CARET_EQ] = ACTIONS(6134),
    [anon_sym_QMARK] = ACTIONS(6134),
    [anon_sym_COLON] = ACTIONS(6134),
    [anon_sym_DOT_DOT] = ACTIONS(6136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6134),
    [anon_sym_and] = ACTIONS(6134),
    [anon_sym_or] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE] = ACTIONS(6136),
    [anon_sym_AMP_AMP] = ACTIONS(6136),
    [anon_sym_LT_LT] = ACTIONS(6136),
    [anon_sym_GT_GT] = ACTIONS(6136),
    [anon_sym_EQ_EQ] = ACTIONS(6136),
    [anon_sym_BANG_EQ] = ACTIONS(6134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6134),
    [anon_sym_LT_EQ_GT] = ACTIONS(6134),
    [anon_sym_EQ_TILDE] = ACTIONS(6134),
    [anon_sym_BANG_TILDE] = ACTIONS(6134),
    [anon_sym_LT_EQ] = ACTIONS(6136),
    [anon_sym_GT] = ACTIONS(6136),
    [anon_sym_GT_EQ] = ACTIONS(6134),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PLUS] = ACTIONS(6136),
    [anon_sym_SLASH] = ACTIONS(6136),
    [anon_sym_PERCENT] = ACTIONS(6136),
    [sym_comment] = ACTIONS(87),
  },
  [4456] = {
    [sym_heredoc_body] = STATE(7338),
    [aux_sym_call_repeat1] = STATE(7338),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [4457] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1934),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym__argument] = STATE(7086),
    [sym_splat_argument] = STATE(7086),
    [sym_hash_splat_argument] = STATE(7086),
    [sym_block_argument] = STATE(7086),
    [sym_assignment] = STATE(1934),
    [sym_operator_assignment] = STATE(1934),
    [sym_conditional] = STATE(1934),
    [sym_range] = STATE(1934),
    [sym_binary] = STATE(1934),
    [sym_unary] = STATE(1934),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1942),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(7339),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7086),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(3228),
    [sym__splat_star] = ACTIONS(3230),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__identifier_hash_key] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10246),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3256),
    [sym_identifier] = ACTIONS(3256),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4458] = {
    [sym_heredoc_body] = STATE(7340),
    [aux_sym_call_repeat1] = STATE(7340),
    [aux_sym_argument_list_repeat1] = STATE(7341),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(6841),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [4459] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7342),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_splat_argument] = STATE(7343),
    [sym_assignment] = STATE(7342),
    [sym_operator_assignment] = STATE(7342),
    [sym_conditional] = STATE(7342),
    [sym_range] = STATE(7342),
    [sym_binary] = STATE(7342),
    [sym_unary] = STATE(7342),
    [sym_right_assignment_list] = STATE(4613),
    [sym__arg_or_splat_arg] = STATE(7343),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(6747),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4460] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7344),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(7344),
    [sym_operator_assignment] = STATE(7344),
    [sym_conditional] = STATE(7344),
    [sym_range] = STATE(7344),
    [sym_binary] = STATE(7344),
    [sym_unary] = STATE(7344),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4461] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7345),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(7345),
    [sym_operator_assignment] = STATE(7345),
    [sym_conditional] = STATE(7345),
    [sym_range] = STATE(7345),
    [sym_binary] = STATE(7345),
    [sym_unary] = STATE(7345),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4462] = {
    [sym_string] = STATE(7346),
    [aux_sym_chained_string_repeat1] = STATE(7346),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [4463] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7347),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(7347),
    [sym_operator_assignment] = STATE(7347),
    [sym_conditional] = STATE(7347),
    [sym_range] = STATE(7347),
    [sym_binary] = STATE(7347),
    [sym_unary] = STATE(7347),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4464] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [4465] = {
    [aux_sym_exceptions_repeat1] = STATE(7349),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [4466] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [4467] = {
    [sym_string] = STATE(4467),
    [aux_sym_chained_string_repeat1] = STATE(4467),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [4468] = {
    [sym__statements] = STATE(603),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(604),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(605),
    [sym_rescue] = STATE(606),
    [sym__body_statement] = STATE(7350),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10248),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4469] = {
    [sym__statements] = STATE(603),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(604),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(605),
    [sym_rescue] = STATE(606),
    [sym__body_statement] = STATE(7351),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10250),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4470] = {
    [sym__element_reference_left_bracket] = ACTIONS(7648),
    [sym__infix_scope_colons] = ACTIONS(7648),
    [sym__binary_minus] = ACTIONS(7648),
    [sym__binary_star] = ACTIONS(7648),
    [anon_sym_LBRACE] = ACTIONS(7648),
    [anon_sym_RBRACE] = ACTIONS(7648),
    [anon_sym_RPAREN] = ACTIONS(7648),
    [anon_sym_DOT] = ACTIONS(7650),
    [anon_sym_COMMA] = ACTIONS(7648),
    [anon_sym_PIPE] = ACTIONS(7650),
    [anon_sym_SEMI] = ACTIONS(7648),
    [anon_sym_STAR_STAR] = ACTIONS(7648),
    [anon_sym_AMP] = ACTIONS(7650),
    [anon_sym_LT] = ACTIONS(7650),
    [anon_sym_if] = ACTIONS(7648),
    [anon_sym_unless] = ACTIONS(7648),
    [anon_sym_while] = ACTIONS(7648),
    [anon_sym_until] = ACTIONS(7648),
    [anon_sym_rescue] = ACTIONS(7648),
    [anon_sym_do] = ACTIONS(7648),
    [anon_sym_EQ_GT] = ACTIONS(7648),
    [anon_sym_AMP_DOT] = ACTIONS(7648),
    [anon_sym_QMARK] = ACTIONS(7648),
    [anon_sym_COLON] = ACTIONS(7648),
    [anon_sym_DOT_DOT] = ACTIONS(7650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7648),
    [anon_sym_and] = ACTIONS(7648),
    [anon_sym_or] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE] = ACTIONS(7648),
    [anon_sym_AMP_AMP] = ACTIONS(7648),
    [anon_sym_LT_LT] = ACTIONS(7648),
    [anon_sym_GT_GT] = ACTIONS(7648),
    [anon_sym_EQ_EQ] = ACTIONS(7650),
    [anon_sym_BANG_EQ] = ACTIONS(7648),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7648),
    [anon_sym_LT_EQ_GT] = ACTIONS(7648),
    [anon_sym_EQ_TILDE] = ACTIONS(7648),
    [anon_sym_BANG_TILDE] = ACTIONS(7648),
    [anon_sym_LT_EQ] = ACTIONS(7650),
    [anon_sym_GT] = ACTIONS(7650),
    [anon_sym_GT_EQ] = ACTIONS(7648),
    [anon_sym_CARET] = ACTIONS(7648),
    [anon_sym_PLUS] = ACTIONS(7648),
    [anon_sym_SLASH] = ACTIONS(7648),
    [anon_sym_PERCENT] = ACTIONS(7648),
    [sym_comment] = ACTIONS(87),
  },
  [4471] = {
    [sym__element_reference_left_bracket] = ACTIONS(7704),
    [sym__infix_scope_colons] = ACTIONS(7704),
    [sym__binary_minus] = ACTIONS(7704),
    [sym__binary_star] = ACTIONS(7704),
    [anon_sym_LBRACE] = ACTIONS(7704),
    [anon_sym_RBRACE] = ACTIONS(7704),
    [anon_sym_RPAREN] = ACTIONS(7704),
    [anon_sym_DOT] = ACTIONS(7706),
    [anon_sym_COMMA] = ACTIONS(7704),
    [anon_sym_PIPE] = ACTIONS(7706),
    [anon_sym_SEMI] = ACTIONS(7704),
    [anon_sym_STAR_STAR] = ACTIONS(7704),
    [anon_sym_AMP] = ACTIONS(7706),
    [anon_sym_LT] = ACTIONS(7706),
    [anon_sym_if] = ACTIONS(7704),
    [anon_sym_unless] = ACTIONS(7704),
    [anon_sym_while] = ACTIONS(7704),
    [anon_sym_until] = ACTIONS(7704),
    [anon_sym_rescue] = ACTIONS(7704),
    [anon_sym_do] = ACTIONS(7704),
    [anon_sym_EQ_GT] = ACTIONS(7704),
    [anon_sym_AMP_DOT] = ACTIONS(7704),
    [anon_sym_QMARK] = ACTIONS(7704),
    [anon_sym_COLON] = ACTIONS(7704),
    [anon_sym_DOT_DOT] = ACTIONS(7706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7704),
    [anon_sym_and] = ACTIONS(7704),
    [anon_sym_or] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE] = ACTIONS(7704),
    [anon_sym_AMP_AMP] = ACTIONS(7704),
    [anon_sym_LT_LT] = ACTIONS(7704),
    [anon_sym_GT_GT] = ACTIONS(7704),
    [anon_sym_EQ_EQ] = ACTIONS(7706),
    [anon_sym_BANG_EQ] = ACTIONS(7704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7704),
    [anon_sym_LT_EQ_GT] = ACTIONS(7704),
    [anon_sym_EQ_TILDE] = ACTIONS(7704),
    [anon_sym_BANG_TILDE] = ACTIONS(7704),
    [anon_sym_LT_EQ] = ACTIONS(7706),
    [anon_sym_GT] = ACTIONS(7706),
    [anon_sym_GT_EQ] = ACTIONS(7704),
    [anon_sym_CARET] = ACTIONS(7704),
    [anon_sym_PLUS] = ACTIONS(7704),
    [anon_sym_SLASH] = ACTIONS(7704),
    [anon_sym_PERCENT] = ACTIONS(7704),
    [sym_comment] = ACTIONS(87),
  },
  [4472] = {
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RBRACE] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR_STAR] = ACTIONS(7758),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_if] = ACTIONS(7758),
    [anon_sym_unless] = ACTIONS(7758),
    [anon_sym_while] = ACTIONS(7758),
    [anon_sym_until] = ACTIONS(7758),
    [anon_sym_rescue] = ACTIONS(7758),
    [anon_sym_in] = ACTIONS(7758),
    [anon_sym_do] = ACTIONS(7758),
    [anon_sym_EQ_GT] = ACTIONS(7758),
    [anon_sym_RBRACK] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7758),
    [anon_sym_COLON] = ACTIONS(7758),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7758),
    [anon_sym_or] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE] = ACTIONS(7758),
    [anon_sym_AMP_AMP] = ACTIONS(7758),
    [anon_sym_LT_LT] = ACTIONS(7758),
    [anon_sym_GT_GT] = ACTIONS(7758),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7758),
    [anon_sym_PLUS] = ACTIONS(7758),
    [anon_sym_SLASH] = ACTIONS(7758),
    [anon_sym_PERCENT] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
  },
  [4473] = {
    [anon_sym_RPAREN] = ACTIONS(10252),
    [sym_comment] = ACTIONS(87),
  },
  [4474] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4475] = {
    [sym_heredoc_body] = STATE(7353),
    [aux_sym_call_repeat1] = STATE(7353),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4476] = {
    [sym_heredoc_body] = STATE(7354),
    [aux_sym_call_repeat1] = STATE(7354),
    [aux_sym_argument_list_repeat1] = STATE(4496),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4477] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4478] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [4479] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4480] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [4481] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4482] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4483] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4484] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10254),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [4485] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4486] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4487] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4488] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4489] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4490] = {
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym__element_reference_left_bracket] = ACTIONS(3138),
    [sym__infix_scope_colons] = ACTIONS(3138),
    [sym__binary_minus] = ACTIONS(3138),
    [sym__binary_star] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_STAR_STAR] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_unless] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_until] = ACTIONS(3138),
    [anon_sym_rescue] = ACTIONS(3138),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [anon_sym_RBRACK] = ACTIONS(3138),
    [anon_sym_AMP_DOT] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_COLON] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_LT_LT] = ACTIONS(3138),
    [anon_sym_GT_GT] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_CARET] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(87),
  },
  [4491] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(10256),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [4492] = {
    [sym_heredoc_body] = STATE(4492),
    [aux_sym_call_repeat1] = STATE(4492),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [4493] = {
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(7811),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_in] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_RBRACK] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_COLON] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [4494] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(585),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(585),
    [sym_operator_assignment] = STATE(585),
    [sym_conditional] = STATE(585),
    [sym_range] = STATE(585),
    [sym_binary] = STATE(585),
    [sym_unary] = STATE(585),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(592),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1051),
    [sym__splat_star] = ACTIONS(1053),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__identifier_hash_key] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(6867),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1077),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4495] = {
    [sym_heredoc_body] = STATE(4492),
    [aux_sym_call_repeat1] = STATE(4492),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [4496] = {
    [aux_sym_argument_list_repeat1] = STATE(4496),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(10261),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [4497] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4498] = {
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_in] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_RBRACK] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [4499] = {
    [aux_sym_exceptions_repeat1] = STATE(7359),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [4500] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4501] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4502] = {
    [sym_string] = STATE(4502),
    [aux_sym_chained_string_repeat1] = STATE(4502),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [4503] = {
    [sym__element_reference_left_bracket] = ACTIONS(7880),
    [sym__infix_scope_colons] = ACTIONS(7880),
    [sym__binary_minus] = ACTIONS(7880),
    [sym__binary_star] = ACTIONS(7880),
    [anon_sym_LBRACE] = ACTIONS(7880),
    [anon_sym_RBRACE] = ACTIONS(7880),
    [anon_sym_RPAREN] = ACTIONS(7880),
    [anon_sym_DOT] = ACTIONS(7882),
    [anon_sym_COMMA] = ACTIONS(7880),
    [anon_sym_PIPE] = ACTIONS(7882),
    [anon_sym_SEMI] = ACTIONS(7880),
    [anon_sym_STAR_STAR] = ACTIONS(7880),
    [anon_sym_AMP] = ACTIONS(7882),
    [anon_sym_LT] = ACTIONS(7882),
    [anon_sym_if] = ACTIONS(7880),
    [anon_sym_unless] = ACTIONS(7880),
    [anon_sym_while] = ACTIONS(7880),
    [anon_sym_until] = ACTIONS(7880),
    [anon_sym_rescue] = ACTIONS(7880),
    [anon_sym_do] = ACTIONS(7880),
    [anon_sym_EQ_GT] = ACTIONS(7880),
    [anon_sym_AMP_DOT] = ACTIONS(7880),
    [anon_sym_QMARK] = ACTIONS(7880),
    [anon_sym_COLON] = ACTIONS(7880),
    [anon_sym_DOT_DOT] = ACTIONS(7882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7880),
    [anon_sym_and] = ACTIONS(7880),
    [anon_sym_or] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE] = ACTIONS(7880),
    [anon_sym_AMP_AMP] = ACTIONS(7880),
    [anon_sym_LT_LT] = ACTIONS(7880),
    [anon_sym_GT_GT] = ACTIONS(7880),
    [anon_sym_EQ_EQ] = ACTIONS(7882),
    [anon_sym_BANG_EQ] = ACTIONS(7880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7880),
    [anon_sym_LT_EQ_GT] = ACTIONS(7880),
    [anon_sym_EQ_TILDE] = ACTIONS(7880),
    [anon_sym_BANG_TILDE] = ACTIONS(7880),
    [anon_sym_LT_EQ] = ACTIONS(7882),
    [anon_sym_GT] = ACTIONS(7882),
    [anon_sym_GT_EQ] = ACTIONS(7880),
    [anon_sym_CARET] = ACTIONS(7880),
    [anon_sym_PLUS] = ACTIONS(7880),
    [anon_sym_SLASH] = ACTIONS(7880),
    [anon_sym_PERCENT] = ACTIONS(7880),
    [sym_comment] = ACTIONS(87),
  },
  [4504] = {
    [sym_elsif] = STATE(7361),
    [sym_else] = STATE(7361),
    [sym__if_tail] = STATE(7361),
    [anon_sym_end] = ACTIONS(10264),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [4505] = {
    [anon_sym_end] = ACTIONS(10264),
    [sym_comment] = ACTIONS(87),
  },
  [4506] = {
    [sym__statements] = STATE(7362),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(7361),
    [sym_else] = STATE(7361),
    [sym__if_tail] = STATE(7361),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10266),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4507] = {
    [sym__element_reference_left_bracket] = ACTIONS(8084),
    [sym__infix_scope_colons] = ACTIONS(8084),
    [sym__binary_minus] = ACTIONS(8084),
    [sym__binary_star] = ACTIONS(8084),
    [anon_sym_LBRACE] = ACTIONS(8084),
    [anon_sym_RBRACE] = ACTIONS(8084),
    [anon_sym_RPAREN] = ACTIONS(8084),
    [anon_sym_DOT] = ACTIONS(8086),
    [anon_sym_COMMA] = ACTIONS(8084),
    [anon_sym_PIPE] = ACTIONS(8086),
    [anon_sym_SEMI] = ACTIONS(8084),
    [anon_sym_STAR_STAR] = ACTIONS(8084),
    [anon_sym_AMP] = ACTIONS(8086),
    [anon_sym_LT] = ACTIONS(8086),
    [anon_sym_if] = ACTIONS(8084),
    [anon_sym_unless] = ACTIONS(8084),
    [anon_sym_while] = ACTIONS(8084),
    [anon_sym_until] = ACTIONS(8084),
    [anon_sym_rescue] = ACTIONS(8084),
    [anon_sym_do] = ACTIONS(8084),
    [anon_sym_EQ_GT] = ACTIONS(8084),
    [anon_sym_AMP_DOT] = ACTIONS(8084),
    [anon_sym_QMARK] = ACTIONS(8084),
    [anon_sym_COLON] = ACTIONS(8084),
    [anon_sym_DOT_DOT] = ACTIONS(8086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8084),
    [anon_sym_and] = ACTIONS(8084),
    [anon_sym_or] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE] = ACTIONS(8084),
    [anon_sym_AMP_AMP] = ACTIONS(8084),
    [anon_sym_LT_LT] = ACTIONS(8084),
    [anon_sym_GT_GT] = ACTIONS(8084),
    [anon_sym_EQ_EQ] = ACTIONS(8086),
    [anon_sym_BANG_EQ] = ACTIONS(8084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8084),
    [anon_sym_LT_EQ_GT] = ACTIONS(8084),
    [anon_sym_EQ_TILDE] = ACTIONS(8084),
    [anon_sym_BANG_TILDE] = ACTIONS(8084),
    [anon_sym_LT_EQ] = ACTIONS(8086),
    [anon_sym_GT] = ACTIONS(8086),
    [anon_sym_GT_EQ] = ACTIONS(8084),
    [anon_sym_CARET] = ACTIONS(8084),
    [anon_sym_PLUS] = ACTIONS(8084),
    [anon_sym_SLASH] = ACTIONS(8084),
    [anon_sym_PERCENT] = ACTIONS(8084),
    [sym_comment] = ACTIONS(87),
  },
  [4508] = {
    [sym_else] = STATE(7364),
    [anon_sym_end] = ACTIONS(10268),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [4509] = {
    [anon_sym_end] = ACTIONS(10268),
    [sym_comment] = ACTIONS(87),
  },
  [4510] = {
    [sym__element_reference_left_bracket] = ACTIONS(8254),
    [sym__infix_scope_colons] = ACTIONS(8254),
    [sym__binary_minus] = ACTIONS(8254),
    [sym__binary_star] = ACTIONS(8254),
    [anon_sym_LBRACE] = ACTIONS(8254),
    [anon_sym_RBRACE] = ACTIONS(8254),
    [anon_sym_RPAREN] = ACTIONS(8254),
    [anon_sym_DOT] = ACTIONS(8256),
    [anon_sym_COMMA] = ACTIONS(8254),
    [anon_sym_PIPE] = ACTIONS(8256),
    [anon_sym_SEMI] = ACTIONS(8254),
    [anon_sym_STAR_STAR] = ACTIONS(8254),
    [anon_sym_AMP] = ACTIONS(8256),
    [anon_sym_LT] = ACTIONS(8256),
    [anon_sym_if] = ACTIONS(8254),
    [anon_sym_unless] = ACTIONS(8254),
    [anon_sym_while] = ACTIONS(8254),
    [anon_sym_until] = ACTIONS(8254),
    [anon_sym_rescue] = ACTIONS(8254),
    [anon_sym_do] = ACTIONS(8254),
    [anon_sym_EQ_GT] = ACTIONS(8254),
    [anon_sym_AMP_DOT] = ACTIONS(8254),
    [anon_sym_QMARK] = ACTIONS(8254),
    [anon_sym_COLON] = ACTIONS(8254),
    [anon_sym_DOT_DOT] = ACTIONS(8256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8254),
    [anon_sym_and] = ACTIONS(8254),
    [anon_sym_or] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE] = ACTIONS(8254),
    [anon_sym_AMP_AMP] = ACTIONS(8254),
    [anon_sym_LT_LT] = ACTIONS(8254),
    [anon_sym_GT_GT] = ACTIONS(8254),
    [anon_sym_EQ_EQ] = ACTIONS(8256),
    [anon_sym_BANG_EQ] = ACTIONS(8254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8254),
    [anon_sym_LT_EQ_GT] = ACTIONS(8254),
    [anon_sym_EQ_TILDE] = ACTIONS(8254),
    [anon_sym_BANG_TILDE] = ACTIONS(8254),
    [anon_sym_LT_EQ] = ACTIONS(8256),
    [anon_sym_GT] = ACTIONS(8256),
    [anon_sym_GT_EQ] = ACTIONS(8254),
    [anon_sym_CARET] = ACTIONS(8254),
    [anon_sym_PLUS] = ACTIONS(8254),
    [anon_sym_SLASH] = ACTIONS(8254),
    [anon_sym_PERCENT] = ACTIONS(8254),
    [sym_comment] = ACTIONS(87),
  },
  [4511] = {
    [anon_sym_end] = ACTIONS(10270),
    [sym_comment] = ACTIONS(87),
  },
  [4512] = {
    [sym__element_reference_left_bracket] = ACTIONS(8334),
    [sym__infix_scope_colons] = ACTIONS(8334),
    [sym__binary_minus] = ACTIONS(8334),
    [sym__binary_star] = ACTIONS(8334),
    [anon_sym_LBRACE] = ACTIONS(8334),
    [anon_sym_RBRACE] = ACTIONS(8334),
    [anon_sym_RPAREN] = ACTIONS(8334),
    [anon_sym_DOT] = ACTIONS(8336),
    [anon_sym_COMMA] = ACTIONS(8334),
    [anon_sym_PIPE] = ACTIONS(8336),
    [anon_sym_SEMI] = ACTIONS(8334),
    [anon_sym_STAR_STAR] = ACTIONS(8334),
    [anon_sym_AMP] = ACTIONS(8336),
    [anon_sym_LT] = ACTIONS(8336),
    [anon_sym_if] = ACTIONS(8334),
    [anon_sym_unless] = ACTIONS(8334),
    [anon_sym_while] = ACTIONS(8334),
    [anon_sym_until] = ACTIONS(8334),
    [anon_sym_rescue] = ACTIONS(8334),
    [anon_sym_do] = ACTIONS(8334),
    [anon_sym_EQ_GT] = ACTIONS(8334),
    [anon_sym_AMP_DOT] = ACTIONS(8334),
    [anon_sym_QMARK] = ACTIONS(8334),
    [anon_sym_COLON] = ACTIONS(8334),
    [anon_sym_DOT_DOT] = ACTIONS(8336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8334),
    [anon_sym_and] = ACTIONS(8334),
    [anon_sym_or] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE] = ACTIONS(8334),
    [anon_sym_AMP_AMP] = ACTIONS(8334),
    [anon_sym_LT_LT] = ACTIONS(8334),
    [anon_sym_GT_GT] = ACTIONS(8334),
    [anon_sym_EQ_EQ] = ACTIONS(8336),
    [anon_sym_BANG_EQ] = ACTIONS(8334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8334),
    [anon_sym_LT_EQ_GT] = ACTIONS(8334),
    [anon_sym_EQ_TILDE] = ACTIONS(8334),
    [anon_sym_BANG_TILDE] = ACTIONS(8334),
    [anon_sym_LT_EQ] = ACTIONS(8336),
    [anon_sym_GT] = ACTIONS(8336),
    [anon_sym_GT_EQ] = ACTIONS(8334),
    [anon_sym_CARET] = ACTIONS(8334),
    [anon_sym_PLUS] = ACTIONS(8334),
    [anon_sym_SLASH] = ACTIONS(8334),
    [anon_sym_PERCENT] = ACTIONS(8334),
    [sym_comment] = ACTIONS(87),
  },
  [4513] = {
    [anon_sym_end] = ACTIONS(10272),
    [sym_comment] = ACTIONS(87),
  },
  [4514] = {
    [sym__statements] = STATE(7368),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10274),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4515] = {
    [anon_sym_end] = ACTIONS(10276),
    [sym_comment] = ACTIONS(87),
  },
  [4516] = {
    [sym_when] = STATE(7370),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [4517] = {
    [sym__element_reference_left_bracket] = ACTIONS(8592),
    [sym__infix_scope_colons] = ACTIONS(8592),
    [sym__binary_minus] = ACTIONS(8592),
    [sym__binary_star] = ACTIONS(8592),
    [anon_sym_LBRACE] = ACTIONS(8592),
    [anon_sym_RBRACE] = ACTIONS(8592),
    [anon_sym_RPAREN] = ACTIONS(8592),
    [anon_sym_DOT] = ACTIONS(8594),
    [anon_sym_COMMA] = ACTIONS(8592),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_SEMI] = ACTIONS(8592),
    [anon_sym_STAR_STAR] = ACTIONS(8592),
    [anon_sym_AMP] = ACTIONS(8594),
    [anon_sym_LT] = ACTIONS(8594),
    [anon_sym_if] = ACTIONS(8592),
    [anon_sym_unless] = ACTIONS(8592),
    [anon_sym_while] = ACTIONS(8592),
    [anon_sym_until] = ACTIONS(8592),
    [anon_sym_rescue] = ACTIONS(8592),
    [anon_sym_do] = ACTIONS(8592),
    [anon_sym_EQ_GT] = ACTIONS(8592),
    [anon_sym_AMP_DOT] = ACTIONS(8592),
    [anon_sym_QMARK] = ACTIONS(8592),
    [anon_sym_COLON] = ACTIONS(8592),
    [anon_sym_DOT_DOT] = ACTIONS(8594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8592),
    [anon_sym_and] = ACTIONS(8592),
    [anon_sym_or] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE] = ACTIONS(8592),
    [anon_sym_AMP_AMP] = ACTIONS(8592),
    [anon_sym_LT_LT] = ACTIONS(8592),
    [anon_sym_GT_GT] = ACTIONS(8592),
    [anon_sym_EQ_EQ] = ACTIONS(8594),
    [anon_sym_BANG_EQ] = ACTIONS(8592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8592),
    [anon_sym_LT_EQ_GT] = ACTIONS(8592),
    [anon_sym_EQ_TILDE] = ACTIONS(8592),
    [anon_sym_BANG_TILDE] = ACTIONS(8592),
    [anon_sym_LT_EQ] = ACTIONS(8594),
    [anon_sym_GT] = ACTIONS(8594),
    [anon_sym_GT_EQ] = ACTIONS(8592),
    [anon_sym_CARET] = ACTIONS(8592),
    [anon_sym_PLUS] = ACTIONS(8592),
    [anon_sym_SLASH] = ACTIONS(8592),
    [anon_sym_PERCENT] = ACTIONS(8592),
    [sym_comment] = ACTIONS(87),
  },
  [4518] = {
    [sym__element_reference_left_bracket] = ACTIONS(9111),
    [sym__infix_scope_colons] = ACTIONS(9111),
    [sym__binary_minus] = ACTIONS(9111),
    [sym__binary_star] = ACTIONS(9111),
    [anon_sym_LBRACE] = ACTIONS(9111),
    [anon_sym_RBRACE] = ACTIONS(9111),
    [anon_sym_RPAREN] = ACTIONS(9111),
    [anon_sym_DOT] = ACTIONS(9113),
    [anon_sym_COMMA] = ACTIONS(9111),
    [anon_sym_PIPE] = ACTIONS(9113),
    [anon_sym_SEMI] = ACTIONS(9111),
    [anon_sym_STAR_STAR] = ACTIONS(9111),
    [anon_sym_AMP] = ACTIONS(9113),
    [anon_sym_LT] = ACTIONS(9113),
    [anon_sym_if] = ACTIONS(9111),
    [anon_sym_unless] = ACTIONS(9111),
    [anon_sym_while] = ACTIONS(9111),
    [anon_sym_until] = ACTIONS(9111),
    [anon_sym_rescue] = ACTIONS(9111),
    [anon_sym_do] = ACTIONS(9111),
    [anon_sym_EQ_GT] = ACTIONS(9111),
    [anon_sym_AMP_DOT] = ACTIONS(9111),
    [anon_sym_QMARK] = ACTIONS(9111),
    [anon_sym_COLON] = ACTIONS(9111),
    [anon_sym_DOT_DOT] = ACTIONS(9113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9111),
    [anon_sym_and] = ACTIONS(9111),
    [anon_sym_or] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE] = ACTIONS(9111),
    [anon_sym_AMP_AMP] = ACTIONS(9111),
    [anon_sym_LT_LT] = ACTIONS(9111),
    [anon_sym_GT_GT] = ACTIONS(9111),
    [anon_sym_EQ_EQ] = ACTIONS(9113),
    [anon_sym_BANG_EQ] = ACTIONS(9111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9111),
    [anon_sym_LT_EQ_GT] = ACTIONS(9111),
    [anon_sym_EQ_TILDE] = ACTIONS(9111),
    [anon_sym_BANG_TILDE] = ACTIONS(9111),
    [anon_sym_LT_EQ] = ACTIONS(9113),
    [anon_sym_GT] = ACTIONS(9113),
    [anon_sym_GT_EQ] = ACTIONS(9111),
    [anon_sym_CARET] = ACTIONS(9111),
    [anon_sym_PLUS] = ACTIONS(9111),
    [anon_sym_SLASH] = ACTIONS(9111),
    [anon_sym_PERCENT] = ACTIONS(9111),
    [sym_comment] = ACTIONS(87),
  },
  [4519] = {
    [anon_sym_end] = ACTIONS(10278),
    [sym_comment] = ACTIONS(87),
  },
  [4520] = {
    [sym_ensure] = STATE(7372),
    [anon_sym_end] = ACTIONS(10278),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [4521] = {
    [sym__element_reference_left_bracket] = ACTIONS(9333),
    [sym__infix_scope_colons] = ACTIONS(9333),
    [sym__binary_minus] = ACTIONS(9333),
    [sym__binary_star] = ACTIONS(9333),
    [anon_sym_LBRACE] = ACTIONS(9333),
    [anon_sym_RBRACE] = ACTIONS(9333),
    [anon_sym_RPAREN] = ACTIONS(9333),
    [anon_sym_DOT] = ACTIONS(9335),
    [anon_sym_COMMA] = ACTIONS(9333),
    [anon_sym_PIPE] = ACTIONS(9335),
    [anon_sym_SEMI] = ACTIONS(9333),
    [anon_sym_STAR_STAR] = ACTIONS(9333),
    [anon_sym_AMP] = ACTIONS(9335),
    [anon_sym_LT] = ACTIONS(9335),
    [anon_sym_if] = ACTIONS(9333),
    [anon_sym_unless] = ACTIONS(9333),
    [anon_sym_while] = ACTIONS(9333),
    [anon_sym_until] = ACTIONS(9333),
    [anon_sym_rescue] = ACTIONS(9333),
    [anon_sym_do] = ACTIONS(9333),
    [anon_sym_EQ_GT] = ACTIONS(9333),
    [anon_sym_AMP_DOT] = ACTIONS(9333),
    [anon_sym_QMARK] = ACTIONS(9333),
    [anon_sym_COLON] = ACTIONS(9333),
    [anon_sym_DOT_DOT] = ACTIONS(9335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9333),
    [anon_sym_and] = ACTIONS(9333),
    [anon_sym_or] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE] = ACTIONS(9333),
    [anon_sym_AMP_AMP] = ACTIONS(9333),
    [anon_sym_LT_LT] = ACTIONS(9333),
    [anon_sym_GT_GT] = ACTIONS(9333),
    [anon_sym_EQ_EQ] = ACTIONS(9335),
    [anon_sym_BANG_EQ] = ACTIONS(9333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9333),
    [anon_sym_LT_EQ_GT] = ACTIONS(9333),
    [anon_sym_EQ_TILDE] = ACTIONS(9333),
    [anon_sym_BANG_TILDE] = ACTIONS(9333),
    [anon_sym_LT_EQ] = ACTIONS(9335),
    [anon_sym_GT] = ACTIONS(9335),
    [anon_sym_GT_EQ] = ACTIONS(9333),
    [anon_sym_CARET] = ACTIONS(9333),
    [anon_sym_PLUS] = ACTIONS(9333),
    [anon_sym_SLASH] = ACTIONS(9333),
    [anon_sym_PERCENT] = ACTIONS(9333),
    [sym_comment] = ACTIONS(87),
  },
  [4522] = {
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [sym__binary_minus] = ACTIONS(9362),
    [sym__binary_star] = ACTIONS(9362),
    [anon_sym_LBRACE] = ACTIONS(9362),
    [anon_sym_RBRACE] = ACTIONS(9362),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9364),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_PIPE] = ACTIONS(9364),
    [anon_sym_SEMI] = ACTIONS(9362),
    [anon_sym_STAR_STAR] = ACTIONS(9362),
    [anon_sym_AMP] = ACTIONS(9364),
    [anon_sym_LT] = ACTIONS(9364),
    [anon_sym_if] = ACTIONS(9362),
    [anon_sym_unless] = ACTIONS(9362),
    [anon_sym_while] = ACTIONS(9362),
    [anon_sym_until] = ACTIONS(9362),
    [anon_sym_rescue] = ACTIONS(9362),
    [anon_sym_do] = ACTIONS(9362),
    [anon_sym_EQ_GT] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [anon_sym_QMARK] = ACTIONS(9362),
    [anon_sym_COLON] = ACTIONS(9362),
    [anon_sym_DOT_DOT] = ACTIONS(9364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9362),
    [anon_sym_and] = ACTIONS(9362),
    [anon_sym_or] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE] = ACTIONS(9362),
    [anon_sym_AMP_AMP] = ACTIONS(9362),
    [anon_sym_LT_LT] = ACTIONS(9362),
    [anon_sym_GT_GT] = ACTIONS(9362),
    [anon_sym_EQ_EQ] = ACTIONS(9364),
    [anon_sym_BANG_EQ] = ACTIONS(9362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9362),
    [anon_sym_LT_EQ_GT] = ACTIONS(9362),
    [anon_sym_EQ_TILDE] = ACTIONS(9362),
    [anon_sym_BANG_TILDE] = ACTIONS(9362),
    [anon_sym_LT_EQ] = ACTIONS(9364),
    [anon_sym_GT] = ACTIONS(9364),
    [anon_sym_GT_EQ] = ACTIONS(9362),
    [anon_sym_CARET] = ACTIONS(9362),
    [anon_sym_PLUS] = ACTIONS(9362),
    [anon_sym_SLASH] = ACTIONS(9362),
    [anon_sym_PERCENT] = ACTIONS(9362),
    [sym_comment] = ACTIONS(87),
  },
  [4523] = {
    [anon_sym_RBRACE] = ACTIONS(10280),
    [sym_comment] = ACTIONS(87),
  },
  [4524] = {
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [sym__binary_minus] = ACTIONS(9390),
    [sym__binary_star] = ACTIONS(9390),
    [anon_sym_LBRACE] = ACTIONS(9390),
    [anon_sym_RBRACE] = ACTIONS(9390),
    [anon_sym_RPAREN] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9392),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_PIPE] = ACTIONS(9392),
    [anon_sym_SEMI] = ACTIONS(9390),
    [anon_sym_STAR_STAR] = ACTIONS(9390),
    [anon_sym_AMP] = ACTIONS(9392),
    [anon_sym_LT] = ACTIONS(9392),
    [anon_sym_if] = ACTIONS(9390),
    [anon_sym_unless] = ACTIONS(9390),
    [anon_sym_while] = ACTIONS(9390),
    [anon_sym_until] = ACTIONS(9390),
    [anon_sym_rescue] = ACTIONS(9390),
    [anon_sym_do] = ACTIONS(9390),
    [anon_sym_EQ_GT] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [anon_sym_QMARK] = ACTIONS(9390),
    [anon_sym_COLON] = ACTIONS(9390),
    [anon_sym_DOT_DOT] = ACTIONS(9392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9390),
    [anon_sym_and] = ACTIONS(9390),
    [anon_sym_or] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE] = ACTIONS(9390),
    [anon_sym_AMP_AMP] = ACTIONS(9390),
    [anon_sym_LT_LT] = ACTIONS(9390),
    [anon_sym_GT_GT] = ACTIONS(9390),
    [anon_sym_EQ_EQ] = ACTIONS(9392),
    [anon_sym_BANG_EQ] = ACTIONS(9390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9390),
    [anon_sym_LT_EQ_GT] = ACTIONS(9390),
    [anon_sym_EQ_TILDE] = ACTIONS(9390),
    [anon_sym_BANG_TILDE] = ACTIONS(9390),
    [anon_sym_LT_EQ] = ACTIONS(9392),
    [anon_sym_GT] = ACTIONS(9392),
    [anon_sym_GT_EQ] = ACTIONS(9390),
    [anon_sym_CARET] = ACTIONS(9390),
    [anon_sym_PLUS] = ACTIONS(9390),
    [anon_sym_SLASH] = ACTIONS(9390),
    [anon_sym_PERCENT] = ACTIONS(9390),
    [sym_comment] = ACTIONS(87),
  },
  [4525] = {
    [anon_sym_end] = ACTIONS(10282),
    [sym_comment] = ACTIONS(87),
  },
  [4526] = {
    [sym__statements] = STATE(7375),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10284),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4527] = {
    [sym__statements] = STATE(7375),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(7376),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(7376),
    [sym__line_break] = ACTIONS(10286),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10284),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4528] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7377),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(122),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(122),
    [sym_assignment] = STATE(7377),
    [sym_operator_assignment] = STATE(7377),
    [sym_conditional] = STATE(7377),
    [sym_range] = STATE(7377),
    [sym_binary] = STATE(7377),
    [sym_unary] = STATE(7377),
    [sym_left_assignment_list] = STATE(121),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(122),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(122),
    [sym_false] = STATE(122),
    [sym_nil] = STATE(122),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(535),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(177),
    [anon_sym_yield] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_next] = ACTIONS(183),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_defined_QMARK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(207),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4529] = {
    [sym__element_reference_left_bracket] = ACTIONS(9621),
    [sym__infix_scope_colons] = ACTIONS(9621),
    [sym__binary_minus] = ACTIONS(9621),
    [sym__binary_star] = ACTIONS(9621),
    [anon_sym_DOT] = ACTIONS(9623),
    [anon_sym_COMMA] = ACTIONS(9621),
    [anon_sym_PIPE] = ACTIONS(9623),
    [anon_sym_STAR_STAR] = ACTIONS(9623),
    [anon_sym_AMP] = ACTIONS(9623),
    [anon_sym_EQ] = ACTIONS(9623),
    [anon_sym_LT] = ACTIONS(9623),
    [anon_sym_EQ_GT] = ACTIONS(9621),
    [anon_sym_AMP_DOT] = ACTIONS(9621),
    [anon_sym_PLUS_EQ] = ACTIONS(9621),
    [anon_sym_DASH_EQ] = ACTIONS(9621),
    [anon_sym_STAR_EQ] = ACTIONS(9621),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9621),
    [anon_sym_SLASH_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9621),
    [anon_sym_AMP_EQ] = ACTIONS(9621),
    [anon_sym_PERCENT_EQ] = ACTIONS(9621),
    [anon_sym_GT_GT_EQ] = ACTIONS(9621),
    [anon_sym_LT_LT_EQ] = ACTIONS(9621),
    [anon_sym_CARET_EQ] = ACTIONS(9621),
    [anon_sym_QMARK] = ACTIONS(9621),
    [anon_sym_DOT_DOT] = ACTIONS(9623),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9621),
    [anon_sym_and] = ACTIONS(9621),
    [anon_sym_or] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE] = ACTIONS(9623),
    [anon_sym_AMP_AMP] = ACTIONS(9623),
    [anon_sym_LT_LT] = ACTIONS(9623),
    [anon_sym_GT_GT] = ACTIONS(9623),
    [anon_sym_EQ_EQ] = ACTIONS(9623),
    [anon_sym_BANG_EQ] = ACTIONS(9621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9621),
    [anon_sym_LT_EQ_GT] = ACTIONS(9621),
    [anon_sym_EQ_TILDE] = ACTIONS(9621),
    [anon_sym_BANG_TILDE] = ACTIONS(9621),
    [anon_sym_LT_EQ] = ACTIONS(9623),
    [anon_sym_GT] = ACTIONS(9623),
    [anon_sym_GT_EQ] = ACTIONS(9621),
    [anon_sym_CARET] = ACTIONS(9623),
    [anon_sym_PLUS] = ACTIONS(9623),
    [anon_sym_SLASH] = ACTIONS(9623),
    [anon_sym_PERCENT] = ACTIONS(9623),
    [sym_comment] = ACTIONS(87),
  },
  [4530] = {
    [anon_sym_RBRACK] = ACTIONS(10288),
    [sym_comment] = ACTIONS(87),
  },
  [4531] = {
    [sym__simple_symbol] = ACTIONS(4198),
    [sym__string_start] = ACTIONS(4198),
    [sym__symbol_start] = ACTIONS(4198),
    [sym__subshell_start] = ACTIONS(4198),
    [sym__regex_start] = ACTIONS(4198),
    [sym__string_array_start] = ACTIONS(4198),
    [sym__symbol_array_start] = ACTIONS(4198),
    [sym_heredoc_beginning] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__block_ampersand] = ACTIONS(4198),
    [sym__splat_star] = ACTIONS(4198),
    [sym__argument_list_left_paren] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__unary_minus] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [sym__identifier_hash_key] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_def] = ACTIONS(4200),
    [anon_sym_LPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COLON_COLON] = ACTIONS(4198),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_STAR] = ACTIONS(4200),
    [anon_sym_STAR_STAR] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_class] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_module] = ACTIONS(4200),
    [anon_sym_return] = ACTIONS(4200),
    [anon_sym_yield] = ACTIONS(4200),
    [anon_sym_break] = ACTIONS(4200),
    [anon_sym_next] = ACTIONS(4200),
    [sym_redo] = ACTIONS(4200),
    [sym_retry] = ACTIONS(4200),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_unless] = ACTIONS(4200),
    [anon_sym_while] = ACTIONS(4200),
    [anon_sym_until] = ACTIONS(4200),
    [anon_sym_for] = ACTIONS(4200),
    [anon_sym_do] = ACTIONS(4200),
    [anon_sym_case] = ACTIONS(4200),
    [anon_sym_begin] = ACTIONS(4200),
    [anon_sym_EQ_GT] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS_EQ] = ACTIONS(4198),
    [anon_sym_DASH_EQ] = ACTIONS(4198),
    [anon_sym_STAR_EQ] = ACTIONS(4198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4198),
    [anon_sym_SLASH_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4198),
    [anon_sym_AMP_EQ] = ACTIONS(4198),
    [anon_sym_PERCENT_EQ] = ACTIONS(4198),
    [anon_sym_GT_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_LT_EQ] = ACTIONS(4198),
    [anon_sym_CARET_EQ] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4200),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4200),
    [anon_sym_or] = ACTIONS(4200),
    [anon_sym_PIPE_PIPE] = ACTIONS(4200),
    [anon_sym_AMP_AMP] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [anon_sym_defined_QMARK] = ACTIONS(4198),
    [anon_sym_not] = ACTIONS(4200),
    [anon_sym_BANG] = ACTIONS(4200),
    [anon_sym_TILDE] = ACTIONS(4198),
    [sym_constant] = ACTIONS(4200),
    [sym_identifier] = ACTIONS(4200),
    [sym_instance_variable] = ACTIONS(4198),
    [sym_class_variable] = ACTIONS(4198),
    [sym_global_variable] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4200),
    [sym_float] = ACTIONS(4200),
    [sym_complex] = ACTIONS(4198),
    [sym_super] = ACTIONS(4200),
    [anon_sym_true] = ACTIONS(4200),
    [anon_sym_TRUE] = ACTIONS(4200),
    [anon_sym_false] = ACTIONS(4200),
    [anon_sym_FALSE] = ACTIONS(4200),
    [sym_self] = ACTIONS(4200),
    [anon_sym_nil] = ACTIONS(4200),
    [anon_sym_NIL] = ACTIONS(4200),
    [sym_character] = ACTIONS(4198),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [anon_sym_DASH_GT] = ACTIONS(4198),
  },
  [4532] = {
    [sym_heredoc_body] = STATE(7380),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(10290),
    [sym_comment] = ACTIONS(87),
  },
  [4533] = {
    [anon_sym_RPAREN] = ACTIONS(10290),
    [sym_comment] = ACTIONS(87),
  },
  [4534] = {
    [sym__simple_symbol] = ACTIONS(9631),
    [sym__string_start] = ACTIONS(9631),
    [sym__symbol_start] = ACTIONS(9631),
    [sym__subshell_start] = ACTIONS(9631),
    [sym__regex_start] = ACTIONS(9631),
    [sym__string_array_start] = ACTIONS(9631),
    [sym__symbol_array_start] = ACTIONS(9631),
    [sym_heredoc_beginning] = ACTIONS(9631),
    [sym__element_reference_left_bracket] = ACTIONS(9631),
    [sym__block_ampersand] = ACTIONS(9631),
    [sym__splat_star] = ACTIONS(9631),
    [sym__argument_list_left_paren] = ACTIONS(9631),
    [sym__infix_scope_colons] = ACTIONS(9631),
    [sym__unary_minus] = ACTIONS(9631),
    [sym__binary_minus] = ACTIONS(9631),
    [sym__binary_star] = ACTIONS(9631),
    [sym__identifier_hash_key] = ACTIONS(9631),
    [anon_sym_LBRACE] = ACTIONS(9631),
    [anon_sym_def] = ACTIONS(9633),
    [anon_sym_LPAREN] = ACTIONS(9631),
    [anon_sym_DOT] = ACTIONS(9633),
    [anon_sym_COLON_COLON] = ACTIONS(9631),
    [anon_sym_COMMA] = ACTIONS(9631),
    [anon_sym_PIPE] = ACTIONS(9633),
    [anon_sym_STAR] = ACTIONS(9633),
    [anon_sym_STAR_STAR] = ACTIONS(9633),
    [anon_sym_AMP] = ACTIONS(9633),
    [anon_sym_EQ] = ACTIONS(9633),
    [anon_sym_class] = ACTIONS(9633),
    [anon_sym_LT] = ACTIONS(9633),
    [anon_sym_module] = ACTIONS(9633),
    [anon_sym_return] = ACTIONS(9633),
    [anon_sym_yield] = ACTIONS(9633),
    [anon_sym_break] = ACTIONS(9633),
    [anon_sym_next] = ACTIONS(9633),
    [sym_redo] = ACTIONS(9633),
    [sym_retry] = ACTIONS(9633),
    [anon_sym_if] = ACTIONS(9633),
    [anon_sym_unless] = ACTIONS(9633),
    [anon_sym_while] = ACTIONS(9633),
    [anon_sym_until] = ACTIONS(9633),
    [anon_sym_for] = ACTIONS(9633),
    [anon_sym_do] = ACTIONS(9633),
    [anon_sym_case] = ACTIONS(9633),
    [anon_sym_begin] = ACTIONS(9633),
    [anon_sym_EQ_GT] = ACTIONS(9631),
    [anon_sym_AMP_DOT] = ACTIONS(9631),
    [anon_sym_PLUS_EQ] = ACTIONS(9631),
    [anon_sym_DASH_EQ] = ACTIONS(9631),
    [anon_sym_STAR_EQ] = ACTIONS(9631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9631),
    [anon_sym_SLASH_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9631),
    [anon_sym_AMP_EQ] = ACTIONS(9631),
    [anon_sym_PERCENT_EQ] = ACTIONS(9631),
    [anon_sym_GT_GT_EQ] = ACTIONS(9631),
    [anon_sym_LT_LT_EQ] = ACTIONS(9631),
    [anon_sym_CARET_EQ] = ACTIONS(9631),
    [anon_sym_QMARK] = ACTIONS(9633),
    [anon_sym_DOT_DOT] = ACTIONS(9633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9631),
    [anon_sym_and] = ACTIONS(9633),
    [anon_sym_or] = ACTIONS(9633),
    [anon_sym_PIPE_PIPE] = ACTIONS(9633),
    [anon_sym_AMP_AMP] = ACTIONS(9633),
    [anon_sym_LT_LT] = ACTIONS(9633),
    [anon_sym_GT_GT] = ACTIONS(9633),
    [anon_sym_EQ_EQ] = ACTIONS(9633),
    [anon_sym_BANG_EQ] = ACTIONS(9631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9631),
    [anon_sym_LT_EQ_GT] = ACTIONS(9631),
    [anon_sym_EQ_TILDE] = ACTIONS(9631),
    [anon_sym_BANG_TILDE] = ACTIONS(9631),
    [anon_sym_LT_EQ] = ACTIONS(9633),
    [anon_sym_GT] = ACTIONS(9633),
    [anon_sym_GT_EQ] = ACTIONS(9631),
    [anon_sym_CARET] = ACTIONS(9633),
    [anon_sym_PLUS] = ACTIONS(9633),
    [anon_sym_SLASH] = ACTIONS(9633),
    [anon_sym_PERCENT] = ACTIONS(9633),
    [anon_sym_defined_QMARK] = ACTIONS(9631),
    [anon_sym_not] = ACTIONS(9633),
    [anon_sym_BANG] = ACTIONS(9633),
    [anon_sym_TILDE] = ACTIONS(9631),
    [sym_constant] = ACTIONS(9633),
    [sym_identifier] = ACTIONS(9633),
    [sym_instance_variable] = ACTIONS(9631),
    [sym_class_variable] = ACTIONS(9631),
    [sym_global_variable] = ACTIONS(9631),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(9633),
    [sym_float] = ACTIONS(9633),
    [sym_complex] = ACTIONS(9631),
    [sym_super] = ACTIONS(9633),
    [anon_sym_true] = ACTIONS(9633),
    [anon_sym_TRUE] = ACTIONS(9633),
    [anon_sym_false] = ACTIONS(9633),
    [anon_sym_FALSE] = ACTIONS(9633),
    [sym_self] = ACTIONS(9633),
    [anon_sym_nil] = ACTIONS(9633),
    [anon_sym_NIL] = ACTIONS(9633),
    [sym_character] = ACTIONS(9631),
    [anon_sym_LBRACK] = ACTIONS(9631),
    [anon_sym_DASH_GT] = ACTIONS(9631),
  },
  [4535] = {
    [sym__string_start] = ACTIONS(2929),
    [sym__heredoc_body_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__keyword_colon] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [anon_sym_rescue] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [anon_sym_RBRACK] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2929),
    [anon_sym_AMP_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_GT_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_LT_EQ] = ACTIONS(2929),
    [anon_sym_CARET_EQ] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_COLON] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_LT_LT] = ACTIONS(2931),
    [anon_sym_GT_GT] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(87),
  },
  [4536] = {
    [sym__heredoc_body_start] = ACTIONS(2941),
    [sym__element_reference_left_bracket] = ACTIONS(2941),
    [sym__infix_scope_colons] = ACTIONS(2941),
    [sym__binary_minus] = ACTIONS(2941),
    [sym__binary_star] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_unless] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_until] = ACTIONS(2941),
    [anon_sym_rescue] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_EQ_GT] = ACTIONS(2941),
    [anon_sym_RBRACK] = ACTIONS(2941),
    [anon_sym_AMP_DOT] = ACTIONS(2941),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2941),
    [anon_sym_AMP_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_GT_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_LT_EQ] = ACTIONS(2941),
    [anon_sym_CARET_EQ] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_COLON] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(2941),
    [anon_sym_or] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2943),
    [anon_sym_GT_GT] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(87),
  },
  [4537] = {
    [sym__heredoc_body_start] = ACTIONS(2945),
    [sym__element_reference_left_bracket] = ACTIONS(2945),
    [sym__infix_scope_colons] = ACTIONS(2945),
    [sym__binary_minus] = ACTIONS(2945),
    [sym__binary_star] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_unless] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_until] = ACTIONS(2945),
    [anon_sym_rescue] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [anon_sym_RBRACK] = ACTIONS(2945),
    [anon_sym_AMP_DOT] = ACTIONS(2945),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_GT_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_LT_EQ] = ACTIONS(2945),
    [anon_sym_CARET_EQ] = ACTIONS(2945),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_COLON] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2945),
    [anon_sym_or] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2947),
    [anon_sym_GT_GT] = ACTIONS(2947),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(87),
  },
  [4538] = {
    [sym__heredoc_body_start] = ACTIONS(2949),
    [sym__element_reference_left_bracket] = ACTIONS(2949),
    [sym__infix_scope_colons] = ACTIONS(2949),
    [sym__binary_minus] = ACTIONS(2949),
    [sym__binary_star] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_unless] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_until] = ACTIONS(2949),
    [anon_sym_rescue] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [anon_sym_RBRACK] = ACTIONS(2949),
    [anon_sym_AMP_DOT] = ACTIONS(2949),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2949),
    [anon_sym_AMP_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_GT_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_LT_EQ] = ACTIONS(2949),
    [anon_sym_CARET_EQ] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_and] = ACTIONS(2949),
    [anon_sym_or] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_GT_GT] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(87),
  },
  [4539] = {
    [sym__heredoc_body_start] = ACTIONS(2955),
    [sym__element_reference_left_bracket] = ACTIONS(2955),
    [sym__infix_scope_colons] = ACTIONS(2955),
    [sym__binary_minus] = ACTIONS(2955),
    [sym__binary_star] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_unless] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_until] = ACTIONS(2955),
    [anon_sym_rescue] = ACTIONS(2955),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [anon_sym_RBRACK] = ACTIONS(2955),
    [anon_sym_AMP_DOT] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2957),
    [anon_sym_GT_GT] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [sym_comment] = ACTIONS(87),
  },
  [4540] = {
    [sym__string_end] = ACTIONS(10292),
    [sym_comment] = ACTIONS(87),
  },
  [4541] = {
    [aux_sym_string_array_repeat1] = STATE(7384),
    [sym__string_end] = ACTIONS(10294),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10296),
  },
  [4542] = {
    [sym__heredoc_body_start] = ACTIONS(2965),
    [sym__element_reference_left_bracket] = ACTIONS(2965),
    [sym__infix_scope_colons] = ACTIONS(2965),
    [sym__binary_minus] = ACTIONS(2965),
    [sym__binary_star] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_unless] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_until] = ACTIONS(2965),
    [anon_sym_rescue] = ACTIONS(2965),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [anon_sym_RBRACK] = ACTIONS(2965),
    [anon_sym_AMP_DOT] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_COLON] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_GT_GT] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [sym_comment] = ACTIONS(87),
  },
  [4543] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10298),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4544] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(10298),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10300),
  },
  [4545] = {
    [sym__heredoc_body_start] = ACTIONS(2984),
    [sym__element_reference_left_bracket] = ACTIONS(2984),
    [sym__infix_scope_colons] = ACTIONS(2984),
    [sym__binary_minus] = ACTIONS(2984),
    [sym__binary_star] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2984),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_STAR_STAR] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(2986),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_unless] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_until] = ACTIONS(2984),
    [anon_sym_rescue] = ACTIONS(2984),
    [anon_sym_in] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_EQ_GT] = ACTIONS(2984),
    [anon_sym_RBRACK] = ACTIONS(2984),
    [anon_sym_AMP_DOT] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(2984),
    [anon_sym_DASH_EQ] = ACTIONS(2984),
    [anon_sym_STAR_EQ] = ACTIONS(2984),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2984),
    [anon_sym_AMP_EQ] = ACTIONS(2984),
    [anon_sym_PERCENT_EQ] = ACTIONS(2984),
    [anon_sym_GT_GT_EQ] = ACTIONS(2984),
    [anon_sym_LT_LT_EQ] = ACTIONS(2984),
    [anon_sym_CARET_EQ] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_COLON] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_and] = ACTIONS(2984),
    [anon_sym_or] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_GT_GT] = ACTIONS(2986),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_CARET] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [sym_comment] = ACTIONS(87),
  },
  [4546] = {
    [sym__string_end] = ACTIONS(10302),
    [sym_comment] = ACTIONS(87),
  },
  [4547] = {
    [aux_sym_symbol_array_repeat1] = STATE(7390),
    [sym__string_end] = ACTIONS(10304),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10306),
  },
  [4548] = {
    [sym__heredoc_body_start] = ACTIONS(2994),
    [sym__element_reference_left_bracket] = ACTIONS(2994),
    [sym__infix_scope_colons] = ACTIONS(2994),
    [sym__binary_minus] = ACTIONS(2994),
    [sym__binary_star] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_RPAREN] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_unless] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_until] = ACTIONS(2994),
    [anon_sym_rescue] = ACTIONS(2994),
    [anon_sym_in] = ACTIONS(2994),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_EQ_GT] = ACTIONS(2994),
    [anon_sym_RBRACK] = ACTIONS(2994),
    [anon_sym_AMP_DOT] = ACTIONS(2994),
    [anon_sym_PLUS_EQ] = ACTIONS(2994),
    [anon_sym_DASH_EQ] = ACTIONS(2994),
    [anon_sym_STAR_EQ] = ACTIONS(2994),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2994),
    [anon_sym_SLASH_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_EQ] = ACTIONS(2994),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2994),
    [anon_sym_AMP_EQ] = ACTIONS(2994),
    [anon_sym_PERCENT_EQ] = ACTIONS(2994),
    [anon_sym_GT_GT_EQ] = ACTIONS(2994),
    [anon_sym_LT_LT_EQ] = ACTIONS(2994),
    [anon_sym_CARET_EQ] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2994),
    [anon_sym_COLON] = ACTIONS(2994),
    [anon_sym_DOT_DOT] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2994),
    [anon_sym_and] = ACTIONS(2994),
    [anon_sym_or] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2996),
    [anon_sym_LT_LT] = ACTIONS(2996),
    [anon_sym_GT_GT] = ACTIONS(2996),
    [anon_sym_EQ_EQ] = ACTIONS(2996),
    [anon_sym_BANG_EQ] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2994),
    [anon_sym_LT_EQ_GT] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2994),
    [anon_sym_BANG_TILDE] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT] = ACTIONS(2996),
    [anon_sym_GT_EQ] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_SLASH] = ACTIONS(2996),
    [anon_sym_PERCENT] = ACTIONS(2996),
    [sym_comment] = ACTIONS(87),
  },
  [4549] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10308),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4550] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(10308),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10310),
  },
  [4551] = {
    [sym__string_start] = ACTIONS(839),
    [sym__heredoc_body_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_unless] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(839),
    [anon_sym_until] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(839),
    [anon_sym_in] = ACTIONS(839),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [anon_sym_RBRACK] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_PLUS_EQ] = ACTIONS(839),
    [anon_sym_DASH_EQ] = ACTIONS(839),
    [anon_sym_STAR_EQ] = ACTIONS(839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(839),
    [anon_sym_SLASH_EQ] = ACTIONS(839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(839),
    [anon_sym_PIPE_EQ] = ACTIONS(839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(839),
    [anon_sym_AMP_EQ] = ACTIONS(839),
    [anon_sym_PERCENT_EQ] = ACTIONS(839),
    [anon_sym_GT_GT_EQ] = ACTIONS(839),
    [anon_sym_LT_LT_EQ] = ACTIONS(839),
    [anon_sym_CARET_EQ] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(841),
    [anon_sym_LT_LT] = ACTIONS(841),
    [anon_sym_GT_GT] = ACTIONS(841),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(841),
    [anon_sym_PERCENT] = ACTIONS(841),
    [sym_comment] = ACTIONS(87),
  },
  [4552] = {
    [sym__string_end] = ACTIONS(10312),
    [sym_comment] = ACTIONS(87),
  },
  [4553] = {
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(997),
    [sym__infix_scope_colons] = ACTIONS(997),
    [sym__binary_minus] = ACTIONS(997),
    [sym__binary_star] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_RPAREN] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(997),
    [anon_sym_STAR_STAR] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_EQ] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_unless] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(997),
    [anon_sym_until] = ACTIONS(997),
    [anon_sym_rescue] = ACTIONS(997),
    [anon_sym_in] = ACTIONS(997),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_RBRACK] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(997),
    [anon_sym_PLUS_EQ] = ACTIONS(997),
    [anon_sym_DASH_EQ] = ACTIONS(997),
    [anon_sym_STAR_EQ] = ACTIONS(997),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(997),
    [anon_sym_SLASH_EQ] = ACTIONS(997),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(997),
    [anon_sym_PIPE_EQ] = ACTIONS(997),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(997),
    [anon_sym_AMP_EQ] = ACTIONS(997),
    [anon_sym_PERCENT_EQ] = ACTIONS(997),
    [anon_sym_GT_GT_EQ] = ACTIONS(997),
    [anon_sym_LT_LT_EQ] = ACTIONS(997),
    [anon_sym_CARET_EQ] = ACTIONS(997),
    [anon_sym_QMARK] = ACTIONS(997),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(997),
    [anon_sym_and] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(997),
    [anon_sym_PIPE_PIPE] = ACTIONS(999),
    [anon_sym_AMP_AMP] = ACTIONS(999),
    [anon_sym_LT_LT] = ACTIONS(999),
    [anon_sym_GT_GT] = ACTIONS(999),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(997),
    [anon_sym_LT_EQ_GT] = ACTIONS(997),
    [anon_sym_EQ_TILDE] = ACTIONS(997),
    [anon_sym_BANG_TILDE] = ACTIONS(997),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(999),
    [anon_sym_GT_EQ] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_SLASH] = ACTIONS(999),
    [anon_sym_PERCENT] = ACTIONS(999),
    [sym_comment] = ACTIONS(87),
  },
  [4554] = {
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RBRACE] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR_STAR] = ACTIONS(7760),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_if] = ACTIONS(7758),
    [anon_sym_unless] = ACTIONS(7758),
    [anon_sym_while] = ACTIONS(7758),
    [anon_sym_until] = ACTIONS(7758),
    [anon_sym_rescue] = ACTIONS(7758),
    [anon_sym_in] = ACTIONS(7758),
    [anon_sym_do] = ACTIONS(7758),
    [anon_sym_EQ_GT] = ACTIONS(7758),
    [anon_sym_RBRACK] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS_EQ] = ACTIONS(7758),
    [anon_sym_DASH_EQ] = ACTIONS(7758),
    [anon_sym_STAR_EQ] = ACTIONS(7758),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7758),
    [anon_sym_SLASH_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7758),
    [anon_sym_AMP_EQ] = ACTIONS(7758),
    [anon_sym_PERCENT_EQ] = ACTIONS(7758),
    [anon_sym_GT_GT_EQ] = ACTIONS(7758),
    [anon_sym_LT_LT_EQ] = ACTIONS(7758),
    [anon_sym_CARET_EQ] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7758),
    [anon_sym_COLON] = ACTIONS(7758),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7758),
    [anon_sym_or] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE] = ACTIONS(7760),
    [anon_sym_AMP_AMP] = ACTIONS(7760),
    [anon_sym_LT_LT] = ACTIONS(7760),
    [anon_sym_GT_GT] = ACTIONS(7760),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7760),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_SLASH] = ACTIONS(7760),
    [anon_sym_PERCENT] = ACTIONS(7760),
    [sym_comment] = ACTIONS(87),
  },
  [4555] = {
    [anon_sym_RPAREN] = ACTIONS(10314),
    [sym_comment] = ACTIONS(87),
  },
  [4556] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4557] = {
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [sym__binary_minus] = ACTIONS(9362),
    [sym__binary_star] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9364),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_PIPE] = ACTIONS(9364),
    [anon_sym_STAR_STAR] = ACTIONS(9364),
    [anon_sym_AMP] = ACTIONS(9364),
    [anon_sym_EQ] = ACTIONS(9364),
    [anon_sym_LT] = ACTIONS(9364),
    [anon_sym_EQ_GT] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [anon_sym_PLUS_EQ] = ACTIONS(9362),
    [anon_sym_DASH_EQ] = ACTIONS(9362),
    [anon_sym_STAR_EQ] = ACTIONS(9362),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9362),
    [anon_sym_SLASH_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9362),
    [anon_sym_AMP_EQ] = ACTIONS(9362),
    [anon_sym_PERCENT_EQ] = ACTIONS(9362),
    [anon_sym_GT_GT_EQ] = ACTIONS(9362),
    [anon_sym_LT_LT_EQ] = ACTIONS(9362),
    [anon_sym_CARET_EQ] = ACTIONS(9362),
    [anon_sym_QMARK] = ACTIONS(9362),
    [anon_sym_DOT_DOT] = ACTIONS(9364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9362),
    [anon_sym_and] = ACTIONS(9362),
    [anon_sym_or] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE] = ACTIONS(9364),
    [anon_sym_AMP_AMP] = ACTIONS(9364),
    [anon_sym_LT_LT] = ACTIONS(9364),
    [anon_sym_GT_GT] = ACTIONS(9364),
    [anon_sym_EQ_EQ] = ACTIONS(9364),
    [anon_sym_BANG_EQ] = ACTIONS(9362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9362),
    [anon_sym_LT_EQ_GT] = ACTIONS(9362),
    [anon_sym_EQ_TILDE] = ACTIONS(9362),
    [anon_sym_BANG_TILDE] = ACTIONS(9362),
    [anon_sym_LT_EQ] = ACTIONS(9364),
    [anon_sym_GT] = ACTIONS(9364),
    [anon_sym_GT_EQ] = ACTIONS(9362),
    [anon_sym_CARET] = ACTIONS(9364),
    [anon_sym_PLUS] = ACTIONS(9364),
    [anon_sym_SLASH] = ACTIONS(9364),
    [anon_sym_PERCENT] = ACTIONS(9364),
    [sym_comment] = ACTIONS(87),
  },
  [4558] = {
    [anon_sym_RBRACE] = ACTIONS(10316),
    [sym_comment] = ACTIONS(87),
  },
  [4559] = {
    [sym__heredoc_body_start] = ACTIONS(3480),
    [sym__element_reference_left_bracket] = ACTIONS(3480),
    [sym__infix_scope_colons] = ACTIONS(3480),
    [sym__binary_minus] = ACTIONS(3480),
    [sym__binary_star] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_DOT] = ACTIONS(3482),
    [anon_sym_COMMA] = ACTIONS(3480),
    [anon_sym_PIPE] = ACTIONS(3482),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_STAR_STAR] = ACTIONS(3482),
    [anon_sym_AMP] = ACTIONS(3482),
    [anon_sym_EQ] = ACTIONS(3482),
    [anon_sym_LT] = ACTIONS(3482),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_unless] = ACTIONS(3480),
    [anon_sym_while] = ACTIONS(3480),
    [anon_sym_until] = ACTIONS(3480),
    [anon_sym_rescue] = ACTIONS(3480),
    [anon_sym_in] = ACTIONS(3480),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_EQ_GT] = ACTIONS(3480),
    [anon_sym_RBRACK] = ACTIONS(3480),
    [anon_sym_AMP_DOT] = ACTIONS(3480),
    [anon_sym_PLUS_EQ] = ACTIONS(3480),
    [anon_sym_DASH_EQ] = ACTIONS(3480),
    [anon_sym_STAR_EQ] = ACTIONS(3480),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3480),
    [anon_sym_SLASH_EQ] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3480),
    [anon_sym_PIPE_EQ] = ACTIONS(3480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3480),
    [anon_sym_AMP_EQ] = ACTIONS(3480),
    [anon_sym_PERCENT_EQ] = ACTIONS(3480),
    [anon_sym_GT_GT_EQ] = ACTIONS(3480),
    [anon_sym_LT_LT_EQ] = ACTIONS(3480),
    [anon_sym_CARET_EQ] = ACTIONS(3480),
    [anon_sym_QMARK] = ACTIONS(3480),
    [anon_sym_COLON] = ACTIONS(3480),
    [anon_sym_DOT_DOT] = ACTIONS(3482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3480),
    [anon_sym_and] = ACTIONS(3480),
    [anon_sym_or] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE] = ACTIONS(3482),
    [anon_sym_AMP_AMP] = ACTIONS(3482),
    [anon_sym_LT_LT] = ACTIONS(3482),
    [anon_sym_GT_GT] = ACTIONS(3482),
    [anon_sym_EQ_EQ] = ACTIONS(3482),
    [anon_sym_BANG_EQ] = ACTIONS(3480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3480),
    [anon_sym_LT_EQ_GT] = ACTIONS(3480),
    [anon_sym_EQ_TILDE] = ACTIONS(3480),
    [anon_sym_BANG_TILDE] = ACTIONS(3480),
    [anon_sym_LT_EQ] = ACTIONS(3482),
    [anon_sym_GT] = ACTIONS(3482),
    [anon_sym_GT_EQ] = ACTIONS(3480),
    [anon_sym_CARET] = ACTIONS(3482),
    [anon_sym_PLUS] = ACTIONS(3482),
    [anon_sym_SLASH] = ACTIONS(3482),
    [anon_sym_PERCENT] = ACTIONS(3482),
    [sym_comment] = ACTIONS(87),
  },
  [4560] = {
    [anon_sym_RBRACE] = ACTIONS(10318),
    [sym_comment] = ACTIONS(87),
  },
  [4561] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(10320),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(3534),
    [anon_sym_or] = ACTIONS(3534),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [4562] = {
    [sym__method_rest] = STATE(7398),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(2063),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [4563] = {
    [sym__statements] = STATE(2087),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(2088),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(2089),
    [sym_rescue] = STATE(2090),
    [sym__body_statement] = STATE(7399),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10322),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4564] = {
    [sym__heredoc_body_start] = ACTIONS(3716),
    [sym__element_reference_left_bracket] = ACTIONS(3716),
    [sym__infix_scope_colons] = ACTIONS(3716),
    [sym__binary_minus] = ACTIONS(3716),
    [sym__binary_star] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_RBRACE] = ACTIONS(3716),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_DOT] = ACTIONS(3718),
    [anon_sym_COMMA] = ACTIONS(3716),
    [anon_sym_PIPE] = ACTIONS(3718),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym_STAR_STAR] = ACTIONS(3718),
    [anon_sym_AMP] = ACTIONS(3718),
    [anon_sym_EQ] = ACTIONS(3718),
    [anon_sym_LT] = ACTIONS(3718),
    [anon_sym_if] = ACTIONS(3716),
    [anon_sym_unless] = ACTIONS(3716),
    [anon_sym_while] = ACTIONS(3716),
    [anon_sym_until] = ACTIONS(3716),
    [anon_sym_rescue] = ACTIONS(3716),
    [anon_sym_in] = ACTIONS(3716),
    [anon_sym_do] = ACTIONS(3716),
    [anon_sym_EQ_GT] = ACTIONS(3716),
    [anon_sym_RBRACK] = ACTIONS(3716),
    [anon_sym_AMP_DOT] = ACTIONS(3716),
    [anon_sym_PLUS_EQ] = ACTIONS(3716),
    [anon_sym_DASH_EQ] = ACTIONS(3716),
    [anon_sym_STAR_EQ] = ACTIONS(3716),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3716),
    [anon_sym_SLASH_EQ] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3716),
    [anon_sym_PIPE_EQ] = ACTIONS(3716),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3716),
    [anon_sym_AMP_EQ] = ACTIONS(3716),
    [anon_sym_PERCENT_EQ] = ACTIONS(3716),
    [anon_sym_GT_GT_EQ] = ACTIONS(3716),
    [anon_sym_LT_LT_EQ] = ACTIONS(3716),
    [anon_sym_CARET_EQ] = ACTIONS(3716),
    [anon_sym_QMARK] = ACTIONS(3716),
    [anon_sym_COLON] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3716),
    [anon_sym_and] = ACTIONS(3716),
    [anon_sym_or] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE] = ACTIONS(3718),
    [anon_sym_AMP_AMP] = ACTIONS(3718),
    [anon_sym_LT_LT] = ACTIONS(3718),
    [anon_sym_GT_GT] = ACTIONS(3718),
    [anon_sym_EQ_EQ] = ACTIONS(3718),
    [anon_sym_BANG_EQ] = ACTIONS(3716),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3716),
    [anon_sym_LT_EQ_GT] = ACTIONS(3716),
    [anon_sym_EQ_TILDE] = ACTIONS(3716),
    [anon_sym_BANG_TILDE] = ACTIONS(3716),
    [anon_sym_LT_EQ] = ACTIONS(3718),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_GT_EQ] = ACTIONS(3716),
    [anon_sym_CARET] = ACTIONS(3718),
    [anon_sym_PLUS] = ACTIONS(3718),
    [anon_sym_SLASH] = ACTIONS(3718),
    [anon_sym_PERCENT] = ACTIONS(3718),
    [sym_comment] = ACTIONS(87),
  },
  [4565] = {
    [sym_heredoc_body] = STATE(7400),
    [sym__terminator] = STATE(7400),
    [sym__line_break] = ACTIONS(10324),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(10324),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [4566] = {
    [sym_heredoc_body] = STATE(7401),
    [sym__terminator] = STATE(7401),
    [sym__line_break] = ACTIONS(10326),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(10326),
    [sym_comment] = ACTIONS(87),
  },
  [4567] = {
    [sym__statements] = STATE(2087),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(2088),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(2089),
    [sym_rescue] = STATE(2090),
    [sym__body_statement] = STATE(7402),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10328),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4568] = {
    [sym__heredoc_body_start] = ACTIONS(4122),
    [sym__element_reference_left_bracket] = ACTIONS(4122),
    [sym__infix_scope_colons] = ACTIONS(4122),
    [sym__binary_minus] = ACTIONS(4122),
    [sym__binary_star] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_STAR_STAR] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_unless] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(4122),
    [anon_sym_until] = ACTIONS(4122),
    [anon_sym_rescue] = ACTIONS(4122),
    [anon_sym_in] = ACTIONS(4122),
    [anon_sym_do] = ACTIONS(4122),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_AMP_DOT] = ACTIONS(4122),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4124),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ_GT] = ACTIONS(4122),
    [anon_sym_EQ_TILDE] = ACTIONS(4122),
    [anon_sym_BANG_TILDE] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4124),
    [sym_comment] = ACTIONS(87),
  },
  [4569] = {
    [sym__statements] = STATE(2087),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(2088),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(2089),
    [sym_rescue] = STATE(2090),
    [sym__body_statement] = STATE(7403),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10330),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4570] = {
    [sym__statements] = STATE(7405),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(7406),
    [sym_else] = STATE(7406),
    [sym__if_tail] = STATE(7406),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(7407),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(7407),
    [sym__line_break] = ACTIONS(10332),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10334),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4571] = {
    [sym__statements] = STATE(7409),
    [sym__top_level_statement] = STATE(2886),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(7410),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10336),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4572] = {
    [sym__statements] = STATE(7412),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10338),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4573] = {
    [sym__statements] = STATE(7414),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10340),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4574] = {
    [sym__do] = STATE(7415),
    [sym_heredoc_body] = STATE(7415),
    [sym__terminator] = STATE(7415),
    [sym__line_break] = ACTIONS(10342),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(10342),
    [anon_sym_do] = ACTIONS(10342),
    [sym_comment] = ACTIONS(87),
  },
  [4575] = {
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [sym__binary_minus] = ACTIONS(9390),
    [sym__binary_star] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9392),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_PIPE] = ACTIONS(9392),
    [anon_sym_STAR_STAR] = ACTIONS(9392),
    [anon_sym_AMP] = ACTIONS(9392),
    [anon_sym_EQ] = ACTIONS(9392),
    [anon_sym_LT] = ACTIONS(9392),
    [anon_sym_EQ_GT] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [anon_sym_PLUS_EQ] = ACTIONS(9390),
    [anon_sym_DASH_EQ] = ACTIONS(9390),
    [anon_sym_STAR_EQ] = ACTIONS(9390),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9390),
    [anon_sym_SLASH_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9390),
    [anon_sym_AMP_EQ] = ACTIONS(9390),
    [anon_sym_PERCENT_EQ] = ACTIONS(9390),
    [anon_sym_GT_GT_EQ] = ACTIONS(9390),
    [anon_sym_LT_LT_EQ] = ACTIONS(9390),
    [anon_sym_CARET_EQ] = ACTIONS(9390),
    [anon_sym_QMARK] = ACTIONS(9390),
    [anon_sym_DOT_DOT] = ACTIONS(9392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9390),
    [anon_sym_and] = ACTIONS(9390),
    [anon_sym_or] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE] = ACTIONS(9392),
    [anon_sym_AMP_AMP] = ACTIONS(9392),
    [anon_sym_LT_LT] = ACTIONS(9392),
    [anon_sym_GT_GT] = ACTIONS(9392),
    [anon_sym_EQ_EQ] = ACTIONS(9392),
    [anon_sym_BANG_EQ] = ACTIONS(9390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9390),
    [anon_sym_LT_EQ_GT] = ACTIONS(9390),
    [anon_sym_EQ_TILDE] = ACTIONS(9390),
    [anon_sym_BANG_TILDE] = ACTIONS(9390),
    [anon_sym_LT_EQ] = ACTIONS(9392),
    [anon_sym_GT] = ACTIONS(9392),
    [anon_sym_GT_EQ] = ACTIONS(9390),
    [anon_sym_CARET] = ACTIONS(9392),
    [anon_sym_PLUS] = ACTIONS(9392),
    [anon_sym_SLASH] = ACTIONS(9392),
    [anon_sym_PERCENT] = ACTIONS(9392),
    [sym_comment] = ACTIONS(87),
  },
  [4576] = {
    [anon_sym_end] = ACTIONS(10344),
    [sym_comment] = ACTIONS(87),
  },
  [4577] = {
    [sym__statements] = STATE(7417),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10346),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4578] = {
    [sym__statements] = STATE(7417),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(7418),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(7418),
    [sym__line_break] = ACTIONS(10348),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10346),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4579] = {
    [sym_when] = STATE(7419),
    [aux_sym_case_repeat1] = STATE(7420),
    [anon_sym_SEMI] = ACTIONS(10350),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [4580] = {
    [anon_sym_end] = ACTIONS(10352),
    [sym_comment] = ACTIONS(87),
  },
  [4581] = {
    [sym_when] = STATE(7419),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [4582] = {
    [sym__heredoc_body_start] = ACTIONS(5352),
    [sym__element_reference_left_bracket] = ACTIONS(5352),
    [sym__infix_scope_colons] = ACTIONS(5352),
    [sym__binary_minus] = ACTIONS(5352),
    [sym__binary_star] = ACTIONS(5352),
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_STAR_STAR] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_EQ] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_if] = ACTIONS(5352),
    [anon_sym_unless] = ACTIONS(5352),
    [anon_sym_while] = ACTIONS(5352),
    [anon_sym_until] = ACTIONS(5352),
    [anon_sym_rescue] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5352),
    [anon_sym_do] = ACTIONS(5352),
    [anon_sym_EQ_GT] = ACTIONS(5352),
    [anon_sym_RBRACK] = ACTIONS(5352),
    [anon_sym_AMP_DOT] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_COLON] = ACTIONS(5352),
    [anon_sym_DOT_DOT] = ACTIONS(5354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_and] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_LT_LT] = ACTIONS(5354),
    [anon_sym_GT_GT] = ACTIONS(5354),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_EQ_TILDE] = ACTIONS(5352),
    [anon_sym_BANG_TILDE] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5354),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_SLASH] = ACTIONS(5354),
    [anon_sym_PERCENT] = ACTIONS(5354),
    [sym_comment] = ACTIONS(87),
  },
  [4583] = {
    [sym_ensure] = STATE(7423),
    [anon_sym_end] = ACTIONS(10354),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [4584] = {
    [anon_sym_end] = ACTIONS(10354),
    [sym_comment] = ACTIONS(87),
  },
  [4585] = {
    [sym_else] = STATE(7424),
    [sym_ensure] = STATE(7423),
    [anon_sym_end] = ACTIONS(10354),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [4586] = {
    [sym__heredoc_body_start] = ACTIONS(5438),
    [sym__element_reference_left_bracket] = ACTIONS(5438),
    [sym__infix_scope_colons] = ACTIONS(5438),
    [sym__binary_minus] = ACTIONS(5438),
    [sym__binary_star] = ACTIONS(5438),
    [anon_sym_LBRACE] = ACTIONS(5438),
    [anon_sym_RBRACE] = ACTIONS(5438),
    [anon_sym_RPAREN] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5438),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym_STAR_STAR] = ACTIONS(5440),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_if] = ACTIONS(5438),
    [anon_sym_unless] = ACTIONS(5438),
    [anon_sym_while] = ACTIONS(5438),
    [anon_sym_until] = ACTIONS(5438),
    [anon_sym_rescue] = ACTIONS(5438),
    [anon_sym_in] = ACTIONS(5438),
    [anon_sym_do] = ACTIONS(5438),
    [anon_sym_EQ_GT] = ACTIONS(5438),
    [anon_sym_RBRACK] = ACTIONS(5438),
    [anon_sym_AMP_DOT] = ACTIONS(5438),
    [anon_sym_PLUS_EQ] = ACTIONS(5438),
    [anon_sym_DASH_EQ] = ACTIONS(5438),
    [anon_sym_STAR_EQ] = ACTIONS(5438),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5438),
    [anon_sym_SLASH_EQ] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5438),
    [anon_sym_PIPE_EQ] = ACTIONS(5438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5438),
    [anon_sym_AMP_EQ] = ACTIONS(5438),
    [anon_sym_PERCENT_EQ] = ACTIONS(5438),
    [anon_sym_GT_GT_EQ] = ACTIONS(5438),
    [anon_sym_LT_LT_EQ] = ACTIONS(5438),
    [anon_sym_CARET_EQ] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5438),
    [anon_sym_COLON] = ACTIONS(5438),
    [anon_sym_DOT_DOT] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_LT_LT] = ACTIONS(5440),
    [anon_sym_GT_GT] = ACTIONS(5440),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5438),
    [anon_sym_EQ_TILDE] = ACTIONS(5438),
    [anon_sym_BANG_TILDE] = ACTIONS(5438),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5440),
    [anon_sym_SLASH] = ACTIONS(5440),
    [anon_sym_PERCENT] = ACTIONS(5440),
    [sym_comment] = ACTIONS(87),
  },
  [4587] = {
    [sym__heredoc_body_start] = ACTIONS(5672),
    [sym__element_reference_left_bracket] = ACTIONS(5672),
    [sym__infix_scope_colons] = ACTIONS(5672),
    [sym__binary_minus] = ACTIONS(5672),
    [sym__binary_star] = ACTIONS(5672),
    [anon_sym_LBRACE] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_STAR_STAR] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_if] = ACTIONS(5672),
    [anon_sym_unless] = ACTIONS(5672),
    [anon_sym_while] = ACTIONS(5672),
    [anon_sym_until] = ACTIONS(5672),
    [anon_sym_rescue] = ACTIONS(5672),
    [anon_sym_in] = ACTIONS(5672),
    [anon_sym_do] = ACTIONS(5672),
    [anon_sym_EQ_GT] = ACTIONS(5672),
    [anon_sym_RBRACK] = ACTIONS(5672),
    [anon_sym_AMP_DOT] = ACTIONS(5672),
    [anon_sym_PLUS_EQ] = ACTIONS(5672),
    [anon_sym_DASH_EQ] = ACTIONS(5672),
    [anon_sym_STAR_EQ] = ACTIONS(5672),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5672),
    [anon_sym_SLASH_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5672),
    [anon_sym_AMP_EQ] = ACTIONS(5672),
    [anon_sym_PERCENT_EQ] = ACTIONS(5672),
    [anon_sym_GT_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_LT_EQ] = ACTIONS(5672),
    [anon_sym_CARET_EQ] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5674),
    [anon_sym_AMP_AMP] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5674),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5674),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ_GT] = ACTIONS(5672),
    [anon_sym_EQ_TILDE] = ACTIONS(5672),
    [anon_sym_BANG_TILDE] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5674),
    [sym_comment] = ACTIONS(87),
  },
  [4588] = {
    [anon_sym_RBRACK] = ACTIONS(10356),
    [sym_comment] = ACTIONS(87),
  },
  [4589] = {
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_in] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(5684),
    [anon_sym_RBRACK] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [4590] = {
    [sym__heredoc_body_start] = ACTIONS(5760),
    [sym__element_reference_left_bracket] = ACTIONS(5760),
    [sym__infix_scope_colons] = ACTIONS(5760),
    [sym__binary_minus] = ACTIONS(5760),
    [sym__binary_star] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym_STAR_STAR] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_if] = ACTIONS(5760),
    [anon_sym_unless] = ACTIONS(5760),
    [anon_sym_while] = ACTIONS(5760),
    [anon_sym_until] = ACTIONS(5760),
    [anon_sym_rescue] = ACTIONS(5760),
    [anon_sym_in] = ACTIONS(5760),
    [anon_sym_do] = ACTIONS(5760),
    [anon_sym_EQ_GT] = ACTIONS(5760),
    [anon_sym_RBRACK] = ACTIONS(5760),
    [anon_sym_AMP_DOT] = ACTIONS(5760),
    [anon_sym_PLUS_EQ] = ACTIONS(5760),
    [anon_sym_DASH_EQ] = ACTIONS(5760),
    [anon_sym_STAR_EQ] = ACTIONS(5760),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5760),
    [anon_sym_SLASH_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5760),
    [anon_sym_AMP_EQ] = ACTIONS(5760),
    [anon_sym_PERCENT_EQ] = ACTIONS(5760),
    [anon_sym_GT_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_LT_EQ] = ACTIONS(5760),
    [anon_sym_CARET_EQ] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym_DOT_DOT] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5762),
    [anon_sym_AMP_AMP] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5762),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5762),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_EQ_TILDE] = ACTIONS(5760),
    [anon_sym_BANG_TILDE] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5762),
    [sym_comment] = ACTIONS(87),
  },
  [4591] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4592] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [4593] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4594] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [4595] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4596] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4597] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4598] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10358),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [4599] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4600] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4601] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4602] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4603] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4604] = {
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_EQ_GT] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [4605] = {
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym__element_reference_left_bracket] = ACTIONS(3138),
    [sym__infix_scope_colons] = ACTIONS(3138),
    [sym__binary_minus] = ACTIONS(3138),
    [sym__binary_star] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_STAR_STAR] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_unless] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_until] = ACTIONS(3138),
    [anon_sym_rescue] = ACTIONS(3138),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [anon_sym_RBRACK] = ACTIONS(3138),
    [anon_sym_AMP_DOT] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_COLON] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4930),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(87),
  },
  [4606] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(10360),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [4607] = {
    [sym_heredoc_body] = STATE(4607),
    [aux_sym_call_repeat1] = STATE(4607),
    [sym__heredoc_body_start] = ACTIONS(10362),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [4608] = {
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(7811),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_in] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_RBRACK] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_COLON] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [4609] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(673),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym__argument] = STATE(7428),
    [sym_splat_argument] = STATE(7428),
    [sym_hash_splat_argument] = STATE(7428),
    [sym_block_argument] = STATE(7428),
    [sym_assignment] = STATE(673),
    [sym_operator_assignment] = STATE(673),
    [sym_conditional] = STATE(673),
    [sym_range] = STATE(673),
    [sym_binary] = STATE(673),
    [sym_unary] = STATE(673),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(682),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7428),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(1159),
    [sym__splat_star] = ACTIONS(1161),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__identifier_hash_key] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(6985),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1213),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4610] = {
    [sym_heredoc_body] = STATE(4607),
    [aux_sym_call_repeat1] = STATE(4607),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [4611] = {
    [aux_sym_argument_list_repeat1] = STATE(4611),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(10365),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [4612] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4613] = {
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_in] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_RBRACK] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [4614] = {
    [aux_sym_exceptions_repeat1] = STATE(7430),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [4615] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4616] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4617] = {
    [sym_string] = STATE(4617),
    [aux_sym_chained_string_repeat1] = STATE(4617),
    [sym__string_start] = ACTIONS(10368),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [4618] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(6991),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(6995),
    [anon_sym_LT] = ACTIONS(6997),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(6999),
    [anon_sym_DOT_DOT] = ACTIONS(7001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7003),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7005),
    [anon_sym_AMP_AMP] = ACTIONS(7005),
    [anon_sym_LT_LT] = ACTIONS(7007),
    [anon_sym_GT_GT] = ACTIONS(7007),
    [anon_sym_EQ_EQ] = ACTIONS(7009),
    [anon_sym_BANG_EQ] = ACTIONS(7005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7005),
    [anon_sym_LT_EQ_GT] = ACTIONS(7005),
    [anon_sym_EQ_TILDE] = ACTIONS(7005),
    [anon_sym_BANG_TILDE] = ACTIONS(7005),
    [anon_sym_LT_EQ] = ACTIONS(6997),
    [anon_sym_GT] = ACTIONS(6997),
    [anon_sym_GT_EQ] = ACTIONS(7011),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [4619] = {
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [4620] = {
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [4621] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(6991),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(6995),
    [anon_sym_LT] = ACTIONS(6997),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(6999),
    [anon_sym_DOT_DOT] = ACTIONS(7001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7003),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7005),
    [anon_sym_AMP_AMP] = ACTIONS(7005),
    [anon_sym_LT_LT] = ACTIONS(7007),
    [anon_sym_GT_GT] = ACTIONS(7007),
    [anon_sym_EQ_EQ] = ACTIONS(7009),
    [anon_sym_BANG_EQ] = ACTIONS(7005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7005),
    [anon_sym_LT_EQ_GT] = ACTIONS(7005),
    [anon_sym_EQ_TILDE] = ACTIONS(7005),
    [anon_sym_BANG_TILDE] = ACTIONS(7005),
    [anon_sym_LT_EQ] = ACTIONS(6997),
    [anon_sym_GT] = ACTIONS(6997),
    [anon_sym_GT_EQ] = ACTIONS(7011),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [4622] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7431),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7431),
    [sym_operator_assignment] = STATE(7431),
    [sym_conditional] = STATE(7431),
    [sym_range] = STATE(7431),
    [sym_binary] = STATE(7431),
    [sym_unary] = STATE(7431),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4623] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7432),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7432),
    [sym_operator_assignment] = STATE(7432),
    [sym_conditional] = STATE(7432),
    [sym_range] = STATE(7432),
    [sym_binary] = STATE(7432),
    [sym_unary] = STATE(7432),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4624] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7433),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7433),
    [sym_operator_assignment] = STATE(7433),
    [sym_conditional] = STATE(7433),
    [sym_range] = STATE(7433),
    [sym_binary] = STATE(7433),
    [sym_unary] = STATE(7433),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4625] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7434),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7434),
    [sym_operator_assignment] = STATE(7434),
    [sym_conditional] = STATE(7434),
    [sym_range] = STATE(7434),
    [sym_binary] = STATE(7434),
    [sym_unary] = STATE(7434),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4626] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7435),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7435),
    [sym_operator_assignment] = STATE(7435),
    [sym_conditional] = STATE(7435),
    [sym_range] = STATE(7435),
    [sym_binary] = STATE(7435),
    [sym_unary] = STATE(7435),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4627] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7436),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7436),
    [sym_operator_assignment] = STATE(7436),
    [sym_conditional] = STATE(7436),
    [sym_range] = STATE(7436),
    [sym_binary] = STATE(7436),
    [sym_unary] = STATE(7436),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4628] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7437),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7437),
    [sym_operator_assignment] = STATE(7437),
    [sym_conditional] = STATE(7437),
    [sym_range] = STATE(7437),
    [sym_binary] = STATE(7437),
    [sym_unary] = STATE(7437),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4629] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7438),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7438),
    [sym_operator_assignment] = STATE(7438),
    [sym_conditional] = STATE(7438),
    [sym_range] = STATE(7438),
    [sym_binary] = STATE(7438),
    [sym_unary] = STATE(7438),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4630] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7439),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7439),
    [sym_operator_assignment] = STATE(7439),
    [sym_conditional] = STATE(7439),
    [sym_range] = STATE(7439),
    [sym_binary] = STATE(7439),
    [sym_unary] = STATE(7439),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4631] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7440),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7440),
    [sym_operator_assignment] = STATE(7440),
    [sym_conditional] = STATE(7440),
    [sym_range] = STATE(7440),
    [sym_binary] = STATE(7440),
    [sym_unary] = STATE(7440),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4632] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7441),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7441),
    [sym_operator_assignment] = STATE(7441),
    [sym_conditional] = STATE(7441),
    [sym_range] = STATE(7441),
    [sym_binary] = STATE(7441),
    [sym_unary] = STATE(7441),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4633] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7442),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7442),
    [sym_operator_assignment] = STATE(7442),
    [sym_conditional] = STATE(7442),
    [sym_range] = STATE(7442),
    [sym_binary] = STATE(7442),
    [sym_unary] = STATE(7442),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4634] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2137),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_splat_argument] = STATE(7443),
    [sym_assignment] = STATE(2137),
    [sym_operator_assignment] = STATE(2137),
    [sym_conditional] = STATE(2137),
    [sym_range] = STATE(2137),
    [sym_binary] = STATE(2137),
    [sym_unary] = STATE(2137),
    [sym__arg_or_splat_arg] = STATE(7443),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__splat_star] = ACTIONS(3460),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4635] = {
    [aux_sym_exceptions_repeat1] = STATE(7444),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(7017),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [4636] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(2137),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_splat_argument] = STATE(7445),
    [sym_assignment] = STATE(2137),
    [sym_operator_assignment] = STATE(2137),
    [sym_conditional] = STATE(2137),
    [sym_range] = STATE(2137),
    [sym_binary] = STATE(2137),
    [sym_unary] = STATE(2137),
    [sym_right_assignment_list] = STATE(2138),
    [sym__arg_or_splat_arg] = STATE(7445),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__splat_star] = ACTIONS(3460),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4637] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(7446),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(7446),
    [sym_operator_assignment] = STATE(7446),
    [sym_conditional] = STATE(7446),
    [sym_range] = STATE(7446),
    [sym_binary] = STATE(7446),
    [sym_unary] = STATE(7446),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4638] = {
    [sym_string] = STATE(7447),
    [aux_sym_chained_string_repeat1] = STATE(7447),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [4639] = {
    [sym__simple_symbol] = ACTIONS(3138),
    [sym__string_start] = ACTIONS(3138),
    [sym__symbol_start] = ACTIONS(3138),
    [sym__subshell_start] = ACTIONS(3138),
    [sym__regex_start] = ACTIONS(3138),
    [sym__string_array_start] = ACTIONS(3138),
    [sym__symbol_array_start] = ACTIONS(3138),
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym_heredoc_beginning] = ACTIONS(3138),
    [sym__unary_minus] = ACTIONS(3138),
    [sym__identifier_hash_key] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_def] = ACTIONS(4930),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_STAR_STAR] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(4930),
    [anon_sym_module] = ACTIONS(4930),
    [anon_sym_return] = ACTIONS(4930),
    [anon_sym_yield] = ACTIONS(4930),
    [anon_sym_break] = ACTIONS(4930),
    [anon_sym_next] = ACTIONS(4930),
    [sym_redo] = ACTIONS(4930),
    [sym_retry] = ACTIONS(4930),
    [anon_sym_if] = ACTIONS(4930),
    [anon_sym_unless] = ACTIONS(4930),
    [anon_sym_while] = ACTIONS(4930),
    [anon_sym_until] = ACTIONS(4930),
    [anon_sym_for] = ACTIONS(4930),
    [anon_sym_case] = ACTIONS(4930),
    [anon_sym_begin] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_defined_QMARK] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(4930),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [sym_constant] = ACTIONS(4930),
    [sym_identifier] = ACTIONS(4930),
    [sym_instance_variable] = ACTIONS(3138),
    [sym_class_variable] = ACTIONS(3138),
    [sym_global_variable] = ACTIONS(3138),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4930),
    [sym_float] = ACTIONS(4930),
    [sym_complex] = ACTIONS(3138),
    [sym_super] = ACTIONS(4930),
    [anon_sym_true] = ACTIONS(4930),
    [anon_sym_TRUE] = ACTIONS(4930),
    [anon_sym_false] = ACTIONS(4930),
    [anon_sym_FALSE] = ACTIONS(4930),
    [sym_self] = ACTIONS(4930),
    [anon_sym_nil] = ACTIONS(4930),
    [anon_sym_NIL] = ACTIONS(4930),
    [sym_character] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
  },
  [4640] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(10371),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [4641] = {
    [sym__heredoc_body_start] = ACTIONS(10373),
    [anon_sym_RBRACE] = ACTIONS(10373),
    [sym_comment] = ACTIONS(87),
  },
  [4642] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7449),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(7449),
    [sym_operator_assignment] = STATE(7449),
    [sym_conditional] = STATE(7449),
    [sym_range] = STATE(7449),
    [sym_binary] = STATE(7449),
    [sym_unary] = STATE(7449),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4643] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7450),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(7450),
    [sym_operator_assignment] = STATE(7450),
    [sym_conditional] = STATE(7450),
    [sym_range] = STATE(7450),
    [sym_binary] = STATE(7450),
    [sym_unary] = STATE(7450),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4644] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7451),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(7451),
    [sym_operator_assignment] = STATE(7451),
    [sym_conditional] = STATE(7451),
    [sym_range] = STATE(7451),
    [sym_binary] = STATE(7451),
    [sym_unary] = STATE(7451),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4645] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4646] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [4647] = {
    [anon_sym_EQ] = ACTIONS(10405),
    [sym_comment] = ACTIONS(87),
  },
  [4648] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(10407),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(10409),
    [anon_sym_DASH_EQ] = ACTIONS(10409),
    [anon_sym_STAR_EQ] = ACTIONS(10409),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10409),
    [anon_sym_SLASH_EQ] = ACTIONS(10409),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10409),
    [anon_sym_PIPE_EQ] = ACTIONS(10409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10409),
    [anon_sym_AMP_EQ] = ACTIONS(10409),
    [anon_sym_PERCENT_EQ] = ACTIONS(10409),
    [anon_sym_GT_GT_EQ] = ACTIONS(10409),
    [anon_sym_LT_LT_EQ] = ACTIONS(10409),
    [anon_sym_CARET_EQ] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4649] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [4650] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [4651] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7466),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(7466),
    [sym_operator_assignment] = STATE(7466),
    [sym_conditional] = STATE(7466),
    [sym_range] = STATE(7466),
    [sym_binary] = STATE(7466),
    [sym_unary] = STATE(7466),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4652] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [4653] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [4654] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [4655] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7467),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7467),
    [sym_operator_assignment] = STATE(7467),
    [sym_conditional] = STATE(7467),
    [sym_range] = STATE(7467),
    [sym_binary] = STATE(7467),
    [sym_unary] = STATE(7467),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4656] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7468),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7468),
    [sym_operator_assignment] = STATE(7468),
    [sym_conditional] = STATE(7468),
    [sym_range] = STATE(7468),
    [sym_binary] = STATE(7468),
    [sym_unary] = STATE(7468),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4657] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7469),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7469),
    [sym_operator_assignment] = STATE(7469),
    [sym_conditional] = STATE(7469),
    [sym_range] = STATE(7469),
    [sym_binary] = STATE(7469),
    [sym_unary] = STATE(7469),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4658] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7470),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7470),
    [sym_operator_assignment] = STATE(7470),
    [sym_conditional] = STATE(7470),
    [sym_range] = STATE(7470),
    [sym_binary] = STATE(7470),
    [sym_unary] = STATE(7470),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4659] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7471),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7471),
    [sym_operator_assignment] = STATE(7471),
    [sym_conditional] = STATE(7471),
    [sym_range] = STATE(7471),
    [sym_binary] = STATE(7471),
    [sym_unary] = STATE(7471),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4660] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7472),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7472),
    [sym_operator_assignment] = STATE(7472),
    [sym_conditional] = STATE(7472),
    [sym_range] = STATE(7472),
    [sym_binary] = STATE(7472),
    [sym_unary] = STATE(7472),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4661] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7473),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(7473),
    [sym_operator_assignment] = STATE(7473),
    [sym_conditional] = STATE(7473),
    [sym_range] = STATE(7473),
    [sym_binary] = STATE(7473),
    [sym_unary] = STATE(7473),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4662] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7474),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7474),
    [sym_operator_assignment] = STATE(7474),
    [sym_conditional] = STATE(7474),
    [sym_range] = STATE(7474),
    [sym_binary] = STATE(7474),
    [sym_unary] = STATE(7474),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4663] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7475),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7475),
    [sym_operator_assignment] = STATE(7475),
    [sym_conditional] = STATE(7475),
    [sym_range] = STATE(7475),
    [sym_binary] = STATE(7475),
    [sym_unary] = STATE(7475),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4664] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7476),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7476),
    [sym_operator_assignment] = STATE(7476),
    [sym_conditional] = STATE(7476),
    [sym_range] = STATE(7476),
    [sym_binary] = STATE(7476),
    [sym_unary] = STATE(7476),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4665] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7477),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7477),
    [sym_operator_assignment] = STATE(7477),
    [sym_conditional] = STATE(7477),
    [sym_range] = STATE(7477),
    [sym_binary] = STATE(7477),
    [sym_unary] = STATE(7477),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4666] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7478),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7478),
    [sym_operator_assignment] = STATE(7478),
    [sym_conditional] = STATE(7478),
    [sym_range] = STATE(7478),
    [sym_binary] = STATE(7478),
    [sym_unary] = STATE(7478),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4667] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7479),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7479),
    [sym_operator_assignment] = STATE(7479),
    [sym_conditional] = STATE(7479),
    [sym_range] = STATE(7479),
    [sym_binary] = STATE(7479),
    [sym_unary] = STATE(7479),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4668] = {
    [sym_heredoc_body] = STATE(7480),
    [aux_sym_call_repeat1] = STATE(7480),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4669] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(7481),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10411),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4670] = {
    [sym_heredoc_body] = STATE(7482),
    [aux_sym_call_repeat1] = STATE(7482),
    [aux_sym_argument_list_repeat1] = STATE(7483),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(7088),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4671] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7484),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_splat_argument] = STATE(7485),
    [sym_assignment] = STATE(7484),
    [sym_operator_assignment] = STATE(7484),
    [sym_conditional] = STATE(7484),
    [sym_range] = STATE(7484),
    [sym_binary] = STATE(7484),
    [sym_unary] = STATE(7484),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(7485),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(4204),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4672] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7486),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7486),
    [sym_operator_assignment] = STATE(7486),
    [sym_conditional] = STATE(7486),
    [sym_range] = STATE(7486),
    [sym_binary] = STATE(7486),
    [sym_unary] = STATE(7486),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4673] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7487),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(7487),
    [sym_operator_assignment] = STATE(7487),
    [sym_conditional] = STATE(7487),
    [sym_range] = STATE(7487),
    [sym_binary] = STATE(7487),
    [sym_unary] = STATE(7487),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4674] = {
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [4675] = {
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [4676] = {
    [sym__method_rest] = STATE(7488),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(137),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [4677] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [4678] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [4679] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [4680] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [4681] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [4682] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [4683] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [4684] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [4685] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [4686] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [4687] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7490),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(7490),
    [sym_operator_assignment] = STATE(7490),
    [sym_conditional] = STATE(7490),
    [sym_range] = STATE(7490),
    [sym_binary] = STATE(7490),
    [sym_unary] = STATE(7490),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4688] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2196),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(7019),
    [sym__argument_list_with_parens] = STATE(2198),
    [sym__argument] = STATE(2199),
    [sym_splat_argument] = STATE(2199),
    [sym_hash_splat_argument] = STATE(2199),
    [sym_block_argument] = STATE(2199),
    [sym_assignment] = STATE(2196),
    [sym_operator_assignment] = STATE(2196),
    [sym_conditional] = STATE(2196),
    [sym_range] = STATE(2196),
    [sym_binary] = STATE(2196),
    [sym_unary] = STATE(2196),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2202),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2199),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3548),
    [sym__splat_star] = ACTIONS(3550),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3572),
    [sym_identifier] = ACTIONS(3572),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4689] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2196),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(7020),
    [sym__argument_list_with_parens] = STATE(2198),
    [sym__argument] = STATE(2199),
    [sym_splat_argument] = STATE(2199),
    [sym_hash_splat_argument] = STATE(2199),
    [sym_block_argument] = STATE(2199),
    [sym_assignment] = STATE(2196),
    [sym_operator_assignment] = STATE(2196),
    [sym_conditional] = STATE(2196),
    [sym_range] = STATE(2196),
    [sym_binary] = STATE(2196),
    [sym_unary] = STATE(2196),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2202),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2199),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3548),
    [sym__splat_star] = ACTIONS(3550),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3572),
    [sym_identifier] = ACTIONS(3572),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4690] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2196),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(7021),
    [sym__argument_list_with_parens] = STATE(2198),
    [sym__argument] = STATE(2199),
    [sym_splat_argument] = STATE(2199),
    [sym_hash_splat_argument] = STATE(2199),
    [sym_block_argument] = STATE(2199),
    [sym_assignment] = STATE(2196),
    [sym_operator_assignment] = STATE(2196),
    [sym_conditional] = STATE(2196),
    [sym_range] = STATE(2196),
    [sym_binary] = STATE(2196),
    [sym_unary] = STATE(2196),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2202),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2199),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3548),
    [sym__splat_star] = ACTIONS(3550),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3572),
    [sym_identifier] = ACTIONS(3572),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4691] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2196),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(7022),
    [sym__argument_list_with_parens] = STATE(2198),
    [sym__argument] = STATE(2199),
    [sym_splat_argument] = STATE(2199),
    [sym_hash_splat_argument] = STATE(2199),
    [sym_block_argument] = STATE(2199),
    [sym_assignment] = STATE(2196),
    [sym_operator_assignment] = STATE(2196),
    [sym_conditional] = STATE(2196),
    [sym_range] = STATE(2196),
    [sym_binary] = STATE(2196),
    [sym_unary] = STATE(2196),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2202),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2199),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3548),
    [sym__splat_star] = ACTIONS(3550),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3572),
    [sym_identifier] = ACTIONS(3572),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4692] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7491),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(7491),
    [sym_operator_assignment] = STATE(7491),
    [sym_conditional] = STATE(7491),
    [sym_range] = STATE(7491),
    [sym_binary] = STATE(7491),
    [sym_unary] = STATE(7491),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4693] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7492),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(7492),
    [sym_operator_assignment] = STATE(7492),
    [sym_conditional] = STATE(7492),
    [sym_range] = STATE(7492),
    [sym_binary] = STATE(7492),
    [sym_unary] = STATE(7492),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4694] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7038),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(7038),
    [sym_operator_assignment] = STATE(7038),
    [sym_conditional] = STATE(7038),
    [sym_range] = STATE(7038),
    [sym_binary] = STATE(7038),
    [sym_unary] = STATE(7038),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4695] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(10427),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [4696] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2196),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_argument_list] = STATE(5106),
    [sym__argument_list_with_parens] = STATE(2198),
    [sym__argument] = STATE(2199),
    [sym_splat_argument] = STATE(2199),
    [sym_hash_splat_argument] = STATE(2199),
    [sym_block_argument] = STATE(2199),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(2196),
    [sym_operator_assignment] = STATE(2196),
    [sym_conditional] = STATE(2196),
    [sym_range] = STATE(2196),
    [sym_binary] = STATE(2196),
    [sym_unary] = STATE(2196),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2202),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(2199),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(3548),
    [sym__splat_star] = ACTIONS(3550),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(7625),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3572),
    [sym_identifier] = ACTIONS(3572),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4697] = {
    [anon_sym_EQ] = ACTIONS(10443),
    [sym_comment] = ACTIONS(87),
  },
  [4698] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(10445),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(10447),
    [anon_sym_DASH_EQ] = ACTIONS(10447),
    [anon_sym_STAR_EQ] = ACTIONS(10447),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10447),
    [anon_sym_SLASH_EQ] = ACTIONS(10447),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10447),
    [anon_sym_PIPE_EQ] = ACTIONS(10447),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10447),
    [anon_sym_AMP_EQ] = ACTIONS(10447),
    [anon_sym_PERCENT_EQ] = ACTIONS(10447),
    [anon_sym_GT_GT_EQ] = ACTIONS(10447),
    [anon_sym_LT_LT_EQ] = ACTIONS(10447),
    [anon_sym_CARET_EQ] = ACTIONS(10447),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4699] = {
    [sym_string] = STATE(7507),
    [aux_sym_chained_string_repeat1] = STATE(7507),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4700] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(10427),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [4701] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [4702] = {
    [sym_string] = STATE(4726),
    [aux_sym_chained_string_repeat1] = STATE(4726),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4703] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7508),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(7508),
    [sym_operator_assignment] = STATE(7508),
    [sym_conditional] = STATE(7508),
    [sym_range] = STATE(7508),
    [sym_binary] = STATE(7508),
    [sym_unary] = STATE(7508),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4704] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(10427),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [4705] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [4706] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [4707] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7509),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7509),
    [sym_operator_assignment] = STATE(7509),
    [sym_conditional] = STATE(7509),
    [sym_range] = STATE(7509),
    [sym_binary] = STATE(7509),
    [sym_unary] = STATE(7509),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4708] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7510),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7510),
    [sym_operator_assignment] = STATE(7510),
    [sym_conditional] = STATE(7510),
    [sym_range] = STATE(7510),
    [sym_binary] = STATE(7510),
    [sym_unary] = STATE(7510),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4709] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7511),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7511),
    [sym_operator_assignment] = STATE(7511),
    [sym_conditional] = STATE(7511),
    [sym_range] = STATE(7511),
    [sym_binary] = STATE(7511),
    [sym_unary] = STATE(7511),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4710] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7512),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7512),
    [sym_operator_assignment] = STATE(7512),
    [sym_conditional] = STATE(7512),
    [sym_range] = STATE(7512),
    [sym_binary] = STATE(7512),
    [sym_unary] = STATE(7512),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4711] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7513),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7513),
    [sym_operator_assignment] = STATE(7513),
    [sym_conditional] = STATE(7513),
    [sym_range] = STATE(7513),
    [sym_binary] = STATE(7513),
    [sym_unary] = STATE(7513),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4712] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7514),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7514),
    [sym_operator_assignment] = STATE(7514),
    [sym_conditional] = STATE(7514),
    [sym_range] = STATE(7514),
    [sym_binary] = STATE(7514),
    [sym_unary] = STATE(7514),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4713] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7515),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(7515),
    [sym_operator_assignment] = STATE(7515),
    [sym_conditional] = STATE(7515),
    [sym_range] = STATE(7515),
    [sym_binary] = STATE(7515),
    [sym_unary] = STATE(7515),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4714] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7516),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7516),
    [sym_operator_assignment] = STATE(7516),
    [sym_conditional] = STATE(7516),
    [sym_range] = STATE(7516),
    [sym_binary] = STATE(7516),
    [sym_unary] = STATE(7516),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4715] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7517),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7517),
    [sym_operator_assignment] = STATE(7517),
    [sym_conditional] = STATE(7517),
    [sym_range] = STATE(7517),
    [sym_binary] = STATE(7517),
    [sym_unary] = STATE(7517),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4716] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7518),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7518),
    [sym_operator_assignment] = STATE(7518),
    [sym_conditional] = STATE(7518),
    [sym_range] = STATE(7518),
    [sym_binary] = STATE(7518),
    [sym_unary] = STATE(7518),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4717] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7519),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7519),
    [sym_operator_assignment] = STATE(7519),
    [sym_conditional] = STATE(7519),
    [sym_range] = STATE(7519),
    [sym_binary] = STATE(7519),
    [sym_unary] = STATE(7519),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4718] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7520),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7520),
    [sym_operator_assignment] = STATE(7520),
    [sym_conditional] = STATE(7520),
    [sym_range] = STATE(7520),
    [sym_binary] = STATE(7520),
    [sym_unary] = STATE(7520),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4719] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7521),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7521),
    [sym_operator_assignment] = STATE(7521),
    [sym_conditional] = STATE(7521),
    [sym_range] = STATE(7521),
    [sym_binary] = STATE(7521),
    [sym_unary] = STATE(7521),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4720] = {
    [sym_heredoc_body] = STATE(7522),
    [aux_sym_call_repeat1] = STATE(7522),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [4721] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2196),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym__argument] = STATE(7086),
    [sym_splat_argument] = STATE(7086),
    [sym_hash_splat_argument] = STATE(7086),
    [sym_block_argument] = STATE(7086),
    [sym_assignment] = STATE(2196),
    [sym_operator_assignment] = STATE(2196),
    [sym_conditional] = STATE(2196),
    [sym_range] = STATE(2196),
    [sym_binary] = STATE(2196),
    [sym_unary] = STATE(2196),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2202),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(7523),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7086),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(3548),
    [sym__splat_star] = ACTIONS(3550),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__identifier_hash_key] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10449),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3572),
    [sym_identifier] = ACTIONS(3572),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4722] = {
    [sym_heredoc_body] = STATE(7524),
    [aux_sym_call_repeat1] = STATE(7524),
    [aux_sym_argument_list_repeat1] = STATE(7525),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(7156),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [4723] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7526),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_splat_argument] = STATE(7527),
    [sym_assignment] = STATE(7526),
    [sym_operator_assignment] = STATE(7526),
    [sym_conditional] = STATE(7526),
    [sym_range] = STATE(7526),
    [sym_binary] = STATE(7526),
    [sym_unary] = STATE(7526),
    [sym_right_assignment_list] = STATE(4613),
    [sym__arg_or_splat_arg] = STATE(7527),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(4246),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4724] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7528),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7528),
    [sym_operator_assignment] = STATE(7528),
    [sym_conditional] = STATE(7528),
    [sym_range] = STATE(7528),
    [sym_binary] = STATE(7528),
    [sym_unary] = STATE(7528),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [4725] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7529),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(7529),
    [sym_operator_assignment] = STATE(7529),
    [sym_conditional] = STATE(7529),
    [sym_range] = STATE(7529),
    [sym_binary] = STATE(7529),
    [sym_unary] = STATE(7529),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4726] = {
    [sym_string] = STATE(7530),
    [aux_sym_chained_string_repeat1] = STATE(7530),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [4727] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7531),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(7531),
    [sym_operator_assignment] = STATE(7531),
    [sym_conditional] = STATE(7531),
    [sym_range] = STATE(7531),
    [sym_binary] = STATE(7531),
    [sym_unary] = STATE(7531),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4728] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7532),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(7532),
    [sym_operator_assignment] = STATE(7532),
    [sym_conditional] = STATE(7532),
    [sym_range] = STATE(7532),
    [sym_binary] = STATE(7532),
    [sym_unary] = STATE(7532),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4729] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(587),
    [sym__argument_list_with_parens] = STATE(5222),
    [sym__argument] = STATE(5223),
    [sym_splat_argument] = STATE(5223),
    [sym_hash_splat_argument] = STATE(5223),
    [sym_block_argument] = STATE(5223),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5223),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4730] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(593),
    [sym__argument_list_with_parens] = STATE(5222),
    [sym__argument] = STATE(5223),
    [sym_splat_argument] = STATE(5223),
    [sym_hash_splat_argument] = STATE(5223),
    [sym_block_argument] = STATE(5223),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5223),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4731] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(594),
    [sym__argument_list_with_parens] = STATE(5222),
    [sym__argument] = STATE(5223),
    [sym_splat_argument] = STATE(5223),
    [sym_hash_splat_argument] = STATE(5223),
    [sym_block_argument] = STATE(5223),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5223),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4732] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_argument_list] = STATE(595),
    [sym__argument_list_with_parens] = STATE(5222),
    [sym__argument] = STATE(5223),
    [sym_splat_argument] = STATE(5223),
    [sym_hash_splat_argument] = STATE(5223),
    [sym_block_argument] = STATE(5223),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(5223),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4733] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7533),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(7533),
    [sym_operator_assignment] = STATE(7533),
    [sym_conditional] = STATE(7533),
    [sym_range] = STATE(7533),
    [sym_binary] = STATE(7533),
    [sym_unary] = STATE(7533),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4734] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7534),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(7534),
    [sym_operator_assignment] = STATE(7534),
    [sym_conditional] = STATE(7534),
    [sym_range] = STATE(7534),
    [sym_binary] = STATE(7534),
    [sym_unary] = STATE(7534),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4735] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(611),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(611),
    [sym_operator_assignment] = STATE(611),
    [sym_conditional] = STATE(611),
    [sym_range] = STATE(611),
    [sym_binary] = STATE(611),
    [sym_unary] = STATE(611),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4736] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(10455),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(10461),
    [anon_sym_QMARK] = ACTIONS(10463),
    [anon_sym_DOT_DOT] = ACTIONS(10465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10467),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(10469),
    [anon_sym_AMP_AMP] = ACTIONS(10469),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(10473),
    [anon_sym_BANG_EQ] = ACTIONS(10469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10469),
    [anon_sym_LT_EQ_GT] = ACTIONS(10469),
    [anon_sym_EQ_TILDE] = ACTIONS(10469),
    [anon_sym_BANG_TILDE] = ACTIONS(10469),
    [anon_sym_LT_EQ] = ACTIONS(10461),
    [anon_sym_GT] = ACTIONS(10461),
    [anon_sym_GT_EQ] = ACTIONS(10475),
    [anon_sym_CARET] = ACTIONS(10477),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [4737] = {
    [aux_sym_exceptions_repeat1] = STATE(7548),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(10481),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [4738] = {
    [anon_sym_EQ] = ACTIONS(10483),
    [sym_comment] = ACTIONS(87),
  },
  [4739] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(10485),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(10487),
    [anon_sym_DASH_EQ] = ACTIONS(10487),
    [anon_sym_STAR_EQ] = ACTIONS(10487),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10487),
    [anon_sym_SLASH_EQ] = ACTIONS(10487),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10487),
    [anon_sym_PIPE_EQ] = ACTIONS(10487),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10487),
    [anon_sym_AMP_EQ] = ACTIONS(10487),
    [anon_sym_PERCENT_EQ] = ACTIONS(10487),
    [anon_sym_GT_GT_EQ] = ACTIONS(10487),
    [anon_sym_LT_LT_EQ] = ACTIONS(10487),
    [anon_sym_CARET_EQ] = ACTIONS(10487),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4740] = {
    [sym_string] = STATE(7551),
    [aux_sym_chained_string_repeat1] = STATE(7551),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4741] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [4742] = {
    [sym_string] = STATE(4742),
    [aux_sym_chained_string_repeat1] = STATE(4742),
    [sym__string_start] = ACTIONS(7027),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [4743] = {
    [sym__simple_symbol] = ACTIONS(10489),
    [sym__string_start] = ACTIONS(10489),
    [sym__symbol_start] = ACTIONS(10489),
    [sym__subshell_start] = ACTIONS(10489),
    [sym__regex_start] = ACTIONS(10489),
    [sym__string_array_start] = ACTIONS(10489),
    [sym__symbol_array_start] = ACTIONS(10489),
    [sym_heredoc_beginning] = ACTIONS(10489),
    [sym__unary_minus] = ACTIONS(10489),
    [anon_sym_BEGIN] = ACTIONS(10491),
    [anon_sym_LBRACE] = ACTIONS(10489),
    [anon_sym_END] = ACTIONS(10491),
    [anon_sym_def] = ACTIONS(10491),
    [anon_sym_LPAREN] = ACTIONS(10489),
    [anon_sym_COLON_COLON] = ACTIONS(10489),
    [anon_sym_SEMI] = ACTIONS(10489),
    [anon_sym_STAR] = ACTIONS(10489),
    [anon_sym_class] = ACTIONS(10491),
    [anon_sym_module] = ACTIONS(10491),
    [anon_sym_end] = ACTIONS(10491),
    [anon_sym_return] = ACTIONS(10491),
    [anon_sym_yield] = ACTIONS(10491),
    [anon_sym_break] = ACTIONS(10491),
    [anon_sym_next] = ACTIONS(10491),
    [sym_redo] = ACTIONS(10491),
    [sym_retry] = ACTIONS(10491),
    [anon_sym_if] = ACTIONS(10491),
    [anon_sym_unless] = ACTIONS(10491),
    [anon_sym_while] = ACTIONS(10491),
    [anon_sym_until] = ACTIONS(10491),
    [anon_sym_rescue] = ACTIONS(10491),
    [anon_sym_for] = ACTIONS(10491),
    [anon_sym_case] = ACTIONS(10491),
    [anon_sym_else] = ACTIONS(10491),
    [anon_sym_begin] = ACTIONS(10491),
    [anon_sym_ensure] = ACTIONS(10491),
    [anon_sym_PLUS] = ACTIONS(10491),
    [anon_sym_defined_QMARK] = ACTIONS(10489),
    [anon_sym_not] = ACTIONS(10491),
    [anon_sym_BANG] = ACTIONS(10489),
    [anon_sym_TILDE] = ACTIONS(10489),
    [sym_constant] = ACTIONS(10491),
    [sym_identifier] = ACTIONS(10491),
    [sym_instance_variable] = ACTIONS(10489),
    [sym_class_variable] = ACTIONS(10489),
    [sym_global_variable] = ACTIONS(10489),
    [anon_sym_undef] = ACTIONS(10491),
    [anon_sym_alias] = ACTIONS(10491),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(10491),
    [sym_float] = ACTIONS(10491),
    [sym_complex] = ACTIONS(10489),
    [sym_super] = ACTIONS(10491),
    [anon_sym_true] = ACTIONS(10491),
    [anon_sym_TRUE] = ACTIONS(10491),
    [anon_sym_false] = ACTIONS(10491),
    [anon_sym_FALSE] = ACTIONS(10491),
    [sym_self] = ACTIONS(10491),
    [anon_sym_nil] = ACTIONS(10491),
    [anon_sym_NIL] = ACTIONS(10491),
    [sym_character] = ACTIONS(10489),
    [anon_sym_LBRACK] = ACTIONS(10489),
    [anon_sym_DASH_GT] = ACTIONS(10489),
  },
  [4744] = {
    [sym_heredoc_body] = STATE(7552),
    [sym__terminator] = STATE(7552),
    [sym__line_break] = ACTIONS(10493),
    [sym__simple_symbol] = ACTIONS(10489),
    [sym__string_start] = ACTIONS(10489),
    [sym__symbol_start] = ACTIONS(10489),
    [sym__subshell_start] = ACTIONS(10489),
    [sym__regex_start] = ACTIONS(10489),
    [sym__string_array_start] = ACTIONS(10489),
    [sym__symbol_array_start] = ACTIONS(10489),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(10489),
    [sym__unary_minus] = ACTIONS(10489),
    [anon_sym_BEGIN] = ACTIONS(10491),
    [anon_sym_LBRACE] = ACTIONS(10489),
    [anon_sym_END] = ACTIONS(10491),
    [anon_sym_def] = ACTIONS(10491),
    [anon_sym_LPAREN] = ACTIONS(10489),
    [anon_sym_COLON_COLON] = ACTIONS(10489),
    [anon_sym_SEMI] = ACTIONS(10493),
    [anon_sym_STAR] = ACTIONS(10489),
    [anon_sym_class] = ACTIONS(10491),
    [anon_sym_module] = ACTIONS(10491),
    [anon_sym_end] = ACTIONS(10491),
    [anon_sym_return] = ACTIONS(10491),
    [anon_sym_yield] = ACTIONS(10491),
    [anon_sym_break] = ACTIONS(10491),
    [anon_sym_next] = ACTIONS(10491),
    [sym_redo] = ACTIONS(10491),
    [sym_retry] = ACTIONS(10491),
    [anon_sym_if] = ACTIONS(10491),
    [anon_sym_unless] = ACTIONS(10491),
    [anon_sym_while] = ACTIONS(10491),
    [anon_sym_until] = ACTIONS(10491),
    [anon_sym_rescue] = ACTIONS(10491),
    [anon_sym_for] = ACTIONS(10491),
    [anon_sym_case] = ACTIONS(10491),
    [anon_sym_else] = ACTIONS(10491),
    [anon_sym_begin] = ACTIONS(10491),
    [anon_sym_ensure] = ACTIONS(10491),
    [anon_sym_PLUS] = ACTIONS(10491),
    [anon_sym_defined_QMARK] = ACTIONS(10489),
    [anon_sym_not] = ACTIONS(10491),
    [anon_sym_BANG] = ACTIONS(10489),
    [anon_sym_TILDE] = ACTIONS(10489),
    [sym_constant] = ACTIONS(10491),
    [sym_identifier] = ACTIONS(10491),
    [sym_instance_variable] = ACTIONS(10489),
    [sym_class_variable] = ACTIONS(10489),
    [sym_global_variable] = ACTIONS(10489),
    [anon_sym_undef] = ACTIONS(10491),
    [anon_sym_alias] = ACTIONS(10491),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(10491),
    [sym_float] = ACTIONS(10491),
    [sym_complex] = ACTIONS(10489),
    [sym_super] = ACTIONS(10491),
    [anon_sym_true] = ACTIONS(10491),
    [anon_sym_TRUE] = ACTIONS(10491),
    [anon_sym_false] = ACTIONS(10491),
    [anon_sym_FALSE] = ACTIONS(10491),
    [sym_self] = ACTIONS(10491),
    [anon_sym_nil] = ACTIONS(10491),
    [anon_sym_NIL] = ACTIONS(10491),
    [sym_character] = ACTIONS(10489),
    [anon_sym_LBRACK] = ACTIONS(10489),
    [anon_sym_DASH_GT] = ACTIONS(10489),
  },
  [4745] = {
    [aux_sym_method_parameters_repeat1] = STATE(6583),
    [anon_sym_RPAREN] = ACTIONS(10495),
    [anon_sym_COMMA] = ACTIONS(5706),
    [sym_comment] = ACTIONS(87),
  },
  [4746] = {
    [sym__statements] = STATE(7555),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(7556),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(10497),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4747] = {
    [sym__statements] = STATE(7558),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(7559),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(7560),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(7560),
    [sym__line_break] = ACTIONS(10499),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10501),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4748] = {
    [sym_do_block] = STATE(7561),
    [sym_block] = STATE(7561),
    [anon_sym_LBRACE] = ACTIONS(7198),
    [anon_sym_do] = ACTIONS(10503),
    [sym_comment] = ACTIONS(87),
  },
  [4749] = {
    [sym__line_break] = ACTIONS(2521),
    [sym__heredoc_body_start] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_SEMI] = ACTIONS(2521),
    [sym_comment] = ACTIONS(87),
  },
  [4750] = {
    [sym__line_break] = ACTIONS(9404),
    [sym__heredoc_body_start] = ACTIONS(9404),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(9404),
    [anon_sym_PIPE] = ACTIONS(8498),
    [anon_sym_SEMI] = ACTIONS(9404),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(8504),
    [anon_sym_QMARK] = ACTIONS(8506),
    [anon_sym_DOT_DOT] = ACTIONS(8508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8510),
    [anon_sym_and] = ACTIONS(10505),
    [anon_sym_or] = ACTIONS(10505),
    [anon_sym_PIPE_PIPE] = ACTIONS(8512),
    [anon_sym_AMP_AMP] = ACTIONS(8512),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(8516),
    [anon_sym_BANG_EQ] = ACTIONS(8512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8512),
    [anon_sym_LT_EQ_GT] = ACTIONS(8512),
    [anon_sym_EQ_TILDE] = ACTIONS(8512),
    [anon_sym_BANG_TILDE] = ACTIONS(8512),
    [anon_sym_LT_EQ] = ACTIONS(8504),
    [anon_sym_GT] = ACTIONS(8504),
    [anon_sym_GT_EQ] = ACTIONS(8518),
    [anon_sym_CARET] = ACTIONS(8520),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [4751] = {
    [sym__line_break] = ACTIONS(9442),
    [sym__heredoc_body_start] = ACTIONS(9442),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_PIPE] = ACTIONS(8498),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(8504),
    [anon_sym_QMARK] = ACTIONS(8506),
    [anon_sym_DOT_DOT] = ACTIONS(8508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8510),
    [anon_sym_and] = ACTIONS(10505),
    [anon_sym_or] = ACTIONS(10505),
    [anon_sym_PIPE_PIPE] = ACTIONS(8512),
    [anon_sym_AMP_AMP] = ACTIONS(8512),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(8516),
    [anon_sym_BANG_EQ] = ACTIONS(8512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8512),
    [anon_sym_LT_EQ_GT] = ACTIONS(8512),
    [anon_sym_EQ_TILDE] = ACTIONS(8512),
    [anon_sym_BANG_TILDE] = ACTIONS(8512),
    [anon_sym_LT_EQ] = ACTIONS(8504),
    [anon_sym_GT] = ACTIONS(8504),
    [anon_sym_GT_EQ] = ACTIONS(8518),
    [anon_sym_CARET] = ACTIONS(8520),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [4752] = {
    [sym__formal_parameter] = STATE(7562),
    [sym__simple_formal_parameter] = STATE(7562),
    [sym_destructured_parameter] = STATE(7562),
    [sym_splat_parameter] = STATE(7562),
    [sym_hash_splat_parameter] = STATE(7562),
    [sym_block_parameter] = STATE(7562),
    [sym_keyword_parameter] = STATE(7562),
    [sym_optional_parameter] = STATE(7562),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(2485),
    [sym_comment] = ACTIONS(87),
  },
  [4753] = {
    [sym_heredoc_body] = STATE(7552),
    [sym__terminator] = STATE(7552),
    [aux_sym_method_parameters_repeat1] = STATE(7564),
    [sym__line_break] = ACTIONS(10493),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_COMMA] = ACTIONS(10507),
    [anon_sym_SEMI] = ACTIONS(10493),
    [sym_comment] = ACTIONS(87),
  },
  [4754] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7565),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(7565),
    [sym_operator_assignment] = STATE(7565),
    [sym_conditional] = STATE(7565),
    [sym_range] = STATE(7565),
    [sym_binary] = STATE(7565),
    [sym_unary] = STATE(7565),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [4755] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7571),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_argument_list] = STATE(5062),
    [sym__argument_list_with_parens] = STATE(7572),
    [sym__argument] = STATE(7573),
    [sym_splat_argument] = STATE(7573),
    [sym_hash_splat_argument] = STATE(7573),
    [sym_block_argument] = STATE(7573),
    [sym_assignment] = STATE(7571),
    [sym_operator_assignment] = STATE(7571),
    [sym_conditional] = STATE(7571),
    [sym_range] = STATE(7571),
    [sym_binary] = STATE(7571),
    [sym_unary] = STATE(7571),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(7574),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7573),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(10509),
    [sym__splat_star] = ACTIONS(10511),
    [sym__argument_list_left_paren] = ACTIONS(7573),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(10513),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(7234),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(10515),
    [sym_identifier] = ACTIONS(10515),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4756] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7571),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_argument_list] = STATE(5066),
    [sym__argument_list_with_parens] = STATE(7572),
    [sym__argument] = STATE(7573),
    [sym_splat_argument] = STATE(7573),
    [sym_hash_splat_argument] = STATE(7573),
    [sym_block_argument] = STATE(7573),
    [sym_assignment] = STATE(7571),
    [sym_operator_assignment] = STATE(7571),
    [sym_conditional] = STATE(7571),
    [sym_range] = STATE(7571),
    [sym_binary] = STATE(7571),
    [sym_unary] = STATE(7571),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(7574),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7573),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(10509),
    [sym__splat_star] = ACTIONS(10511),
    [sym__argument_list_left_paren] = ACTIONS(7573),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(10513),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(7234),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(10515),
    [sym_identifier] = ACTIONS(10515),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4757] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7571),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_argument_list] = STATE(5067),
    [sym__argument_list_with_parens] = STATE(7572),
    [sym__argument] = STATE(7573),
    [sym_splat_argument] = STATE(7573),
    [sym_hash_splat_argument] = STATE(7573),
    [sym_block_argument] = STATE(7573),
    [sym_assignment] = STATE(7571),
    [sym_operator_assignment] = STATE(7571),
    [sym_conditional] = STATE(7571),
    [sym_range] = STATE(7571),
    [sym_binary] = STATE(7571),
    [sym_unary] = STATE(7571),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(7574),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7573),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(10509),
    [sym__splat_star] = ACTIONS(10511),
    [sym__argument_list_left_paren] = ACTIONS(7573),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(10513),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(417),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(7234),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(10515),
    [sym_identifier] = ACTIONS(10515),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4758] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7571),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_argument_list] = STATE(5068),
    [sym__argument_list_with_parens] = STATE(7572),
    [sym__argument] = STATE(7573),
    [sym_splat_argument] = STATE(7573),
    [sym_hash_splat_argument] = STATE(7573),
    [sym_block_argument] = STATE(7573),
    [sym_assignment] = STATE(7571),
    [sym_operator_assignment] = STATE(7571),
    [sym_conditional] = STATE(7571),
    [sym_range] = STATE(7571),
    [sym_binary] = STATE(7571),
    [sym_unary] = STATE(7571),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(7574),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7573),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(10509),
    [sym__splat_star] = ACTIONS(10511),
    [sym__argument_list_left_paren] = ACTIONS(7573),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(10513),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(7234),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(10515),
    [sym_identifier] = ACTIONS(10515),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4759] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7575),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(7575),
    [sym_operator_assignment] = STATE(7575),
    [sym_conditional] = STATE(7575),
    [sym_range] = STATE(7575),
    [sym_binary] = STATE(7575),
    [sym_unary] = STATE(7575),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [4760] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7576),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(7576),
    [sym_operator_assignment] = STATE(7576),
    [sym_conditional] = STATE(7576),
    [sym_range] = STATE(7576),
    [sym_binary] = STATE(7576),
    [sym_unary] = STATE(7576),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [4761] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(5084),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(5084),
    [sym_operator_assignment] = STATE(5084),
    [sym_conditional] = STATE(5084),
    [sym_range] = STATE(5084),
    [sym_binary] = STATE(5084),
    [sym_unary] = STATE(5084),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [4762] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(10535),
    [anon_sym_or] = ACTIONS(10535),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [4763] = {
    [anon_sym_EQ] = ACTIONS(10549),
    [sym_comment] = ACTIONS(87),
  },
  [4764] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(10551),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(10553),
    [anon_sym_DASH_EQ] = ACTIONS(10553),
    [anon_sym_STAR_EQ] = ACTIONS(10553),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10553),
    [anon_sym_SLASH_EQ] = ACTIONS(10553),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10553),
    [anon_sym_PIPE_EQ] = ACTIONS(10553),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10553),
    [anon_sym_AMP_EQ] = ACTIONS(10553),
    [anon_sym_PERCENT_EQ] = ACTIONS(10553),
    [anon_sym_GT_GT_EQ] = ACTIONS(10553),
    [anon_sym_LT_LT_EQ] = ACTIONS(10553),
    [anon_sym_CARET_EQ] = ACTIONS(10553),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4765] = {
    [sym_string] = STATE(7591),
    [aux_sym_chained_string_repeat1] = STATE(7591),
    [sym__string_start] = ACTIONS(3916),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4766] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(10535),
    [anon_sym_or] = ACTIONS(10535),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [4767] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [4768] = {
    [sym_string] = STATE(4801),
    [aux_sym_chained_string_repeat1] = STATE(4801),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4769] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7592),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(7592),
    [sym_operator_assignment] = STATE(7592),
    [sym_conditional] = STATE(7592),
    [sym_range] = STATE(7592),
    [sym_binary] = STATE(7592),
    [sym_unary] = STATE(7592),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [4770] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(10535),
    [anon_sym_or] = ACTIONS(10535),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [4771] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7593),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7593),
    [sym_operator_assignment] = STATE(7593),
    [sym_conditional] = STATE(7593),
    [sym_range] = STATE(7593),
    [sym_binary] = STATE(7593),
    [sym_unary] = STATE(7593),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4772] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7594),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7594),
    [sym_operator_assignment] = STATE(7594),
    [sym_conditional] = STATE(7594),
    [sym_range] = STATE(7594),
    [sym_binary] = STATE(7594),
    [sym_unary] = STATE(7594),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4773] = {
    [sym__keyword_colon] = ACTIONS(10555),
    [sym_comment] = ACTIONS(87),
  },
  [4774] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7596),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7596),
    [sym_operator_assignment] = STATE(7596),
    [sym_conditional] = STATE(7596),
    [sym_range] = STATE(7596),
    [sym_binary] = STATE(7596),
    [sym_unary] = STATE(7596),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4775] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(10555),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [4776] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [4777] = {
    [sym_heredoc_body] = STATE(7598),
    [aux_sym_call_repeat1] = STATE(7598),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4778] = {
    [sym_heredoc_body] = STATE(7598),
    [aux_sym_call_repeat1] = STATE(7598),
    [aux_sym_argument_list_repeat1] = STATE(7600),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(10557),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4779] = {
    [sym_string] = STATE(4801),
    [aux_sym_chained_string_repeat1] = STATE(4801),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(10559),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4780] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [4781] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [4782] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7602),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7602),
    [sym_operator_assignment] = STATE(7602),
    [sym_conditional] = STATE(7602),
    [sym_range] = STATE(7602),
    [sym_binary] = STATE(7602),
    [sym_unary] = STATE(7602),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4783] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7603),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7603),
    [sym_operator_assignment] = STATE(7603),
    [sym_conditional] = STATE(7603),
    [sym_range] = STATE(7603),
    [sym_binary] = STATE(7603),
    [sym_unary] = STATE(7603),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4784] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7604),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7604),
    [sym_operator_assignment] = STATE(7604),
    [sym_conditional] = STATE(7604),
    [sym_range] = STATE(7604),
    [sym_binary] = STATE(7604),
    [sym_unary] = STATE(7604),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4785] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7605),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7605),
    [sym_operator_assignment] = STATE(7605),
    [sym_conditional] = STATE(7605),
    [sym_range] = STATE(7605),
    [sym_binary] = STATE(7605),
    [sym_unary] = STATE(7605),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4786] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7606),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7606),
    [sym_operator_assignment] = STATE(7606),
    [sym_conditional] = STATE(7606),
    [sym_range] = STATE(7606),
    [sym_binary] = STATE(7606),
    [sym_unary] = STATE(7606),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4787] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7607),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7607),
    [sym_operator_assignment] = STATE(7607),
    [sym_conditional] = STATE(7607),
    [sym_range] = STATE(7607),
    [sym_binary] = STATE(7607),
    [sym_unary] = STATE(7607),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4788] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7608),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(7608),
    [sym_operator_assignment] = STATE(7608),
    [sym_conditional] = STATE(7608),
    [sym_range] = STATE(7608),
    [sym_binary] = STATE(7608),
    [sym_unary] = STATE(7608),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [4789] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7609),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7609),
    [sym_operator_assignment] = STATE(7609),
    [sym_conditional] = STATE(7609),
    [sym_range] = STATE(7609),
    [sym_binary] = STATE(7609),
    [sym_unary] = STATE(7609),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4790] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7610),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7610),
    [sym_operator_assignment] = STATE(7610),
    [sym_conditional] = STATE(7610),
    [sym_range] = STATE(7610),
    [sym_binary] = STATE(7610),
    [sym_unary] = STATE(7610),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4791] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7611),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7611),
    [sym_operator_assignment] = STATE(7611),
    [sym_conditional] = STATE(7611),
    [sym_range] = STATE(7611),
    [sym_binary] = STATE(7611),
    [sym_unary] = STATE(7611),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4792] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7612),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7612),
    [sym_operator_assignment] = STATE(7612),
    [sym_conditional] = STATE(7612),
    [sym_range] = STATE(7612),
    [sym_binary] = STATE(7612),
    [sym_unary] = STATE(7612),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4793] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7613),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7613),
    [sym_operator_assignment] = STATE(7613),
    [sym_conditional] = STATE(7613),
    [sym_range] = STATE(7613),
    [sym_binary] = STATE(7613),
    [sym_unary] = STATE(7613),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4794] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7614),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7614),
    [sym_operator_assignment] = STATE(7614),
    [sym_conditional] = STATE(7614),
    [sym_range] = STATE(7614),
    [sym_binary] = STATE(7614),
    [sym_unary] = STATE(7614),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4795] = {
    [sym_heredoc_body] = STATE(7615),
    [aux_sym_call_repeat1] = STATE(7615),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_EQ] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4796] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2231),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym__argument] = STATE(4990),
    [sym_splat_argument] = STATE(4990),
    [sym_hash_splat_argument] = STATE(4990),
    [sym_block_argument] = STATE(4990),
    [sym_assignment] = STATE(2231),
    [sym_operator_assignment] = STATE(2231),
    [sym_conditional] = STATE(2231),
    [sym_range] = STATE(2231),
    [sym_binary] = STATE(2231),
    [sym_unary] = STATE(2231),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2236),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(7616),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4990),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(3608),
    [sym__splat_star] = ACTIONS(3610),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__identifier_hash_key] = ACTIONS(3614),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(3634),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4797] = {
    [sym_heredoc_body] = STATE(7617),
    [aux_sym_call_repeat1] = STATE(7617),
    [aux_sym_argument_list_repeat1] = STATE(7618),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(7272),
    [anon_sym_EQ] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4798] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7619),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_splat_argument] = STATE(7620),
    [sym_assignment] = STATE(7619),
    [sym_operator_assignment] = STATE(7619),
    [sym_conditional] = STATE(7619),
    [sym_range] = STATE(7619),
    [sym_binary] = STATE(7619),
    [sym_unary] = STATE(7619),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(7620),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(7230),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4799] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7621),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(7621),
    [sym_operator_assignment] = STATE(7621),
    [sym_conditional] = STATE(7621),
    [sym_range] = STATE(7621),
    [sym_binary] = STATE(7621),
    [sym_unary] = STATE(7621),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4800] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7622),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(7622),
    [sym_operator_assignment] = STATE(7622),
    [sym_conditional] = STATE(7622),
    [sym_range] = STATE(7622),
    [sym_binary] = STATE(7622),
    [sym_unary] = STATE(7622),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [4801] = {
    [sym_string] = STATE(7623),
    [aux_sym_chained_string_repeat1] = STATE(7623),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [4802] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [4803] = {
    [sym_heredoc_body] = STATE(7624),
    [aux_sym_call_repeat1] = STATE(7624),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4804] = {
    [sym_heredoc_body] = STATE(7624),
    [aux_sym_call_repeat1] = STATE(7624),
    [aux_sym_argument_list_repeat1] = STATE(7625),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(3706),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4805] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [4806] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(7294),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [4807] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7626),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7626),
    [sym_operator_assignment] = STATE(7626),
    [sym_conditional] = STATE(7626),
    [sym_range] = STATE(7626),
    [sym_binary] = STATE(7626),
    [sym_unary] = STATE(7626),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4808] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7627),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7627),
    [sym_operator_assignment] = STATE(7627),
    [sym_conditional] = STATE(7627),
    [sym_range] = STATE(7627),
    [sym_binary] = STATE(7627),
    [sym_unary] = STATE(7627),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4809] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7628),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7628),
    [sym_operator_assignment] = STATE(7628),
    [sym_conditional] = STATE(7628),
    [sym_range] = STATE(7628),
    [sym_binary] = STATE(7628),
    [sym_unary] = STATE(7628),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4810] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7629),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7629),
    [sym_operator_assignment] = STATE(7629),
    [sym_conditional] = STATE(7629),
    [sym_range] = STATE(7629),
    [sym_binary] = STATE(7629),
    [sym_unary] = STATE(7629),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4811] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7630),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7630),
    [sym_operator_assignment] = STATE(7630),
    [sym_conditional] = STATE(7630),
    [sym_range] = STATE(7630),
    [sym_binary] = STATE(7630),
    [sym_unary] = STATE(7630),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4812] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7631),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7631),
    [sym_operator_assignment] = STATE(7631),
    [sym_conditional] = STATE(7631),
    [sym_range] = STATE(7631),
    [sym_binary] = STATE(7631),
    [sym_unary] = STATE(7631),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4813] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7632),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7632),
    [sym_operator_assignment] = STATE(7632),
    [sym_conditional] = STATE(7632),
    [sym_range] = STATE(7632),
    [sym_binary] = STATE(7632),
    [sym_unary] = STATE(7632),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4814] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7633),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7633),
    [sym_operator_assignment] = STATE(7633),
    [sym_conditional] = STATE(7633),
    [sym_range] = STATE(7633),
    [sym_binary] = STATE(7633),
    [sym_unary] = STATE(7633),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4815] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7634),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7634),
    [sym_operator_assignment] = STATE(7634),
    [sym_conditional] = STATE(7634),
    [sym_range] = STATE(7634),
    [sym_binary] = STATE(7634),
    [sym_unary] = STATE(7634),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4816] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7635),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7635),
    [sym_operator_assignment] = STATE(7635),
    [sym_conditional] = STATE(7635),
    [sym_range] = STATE(7635),
    [sym_binary] = STATE(7635),
    [sym_unary] = STATE(7635),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4817] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7636),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7636),
    [sym_operator_assignment] = STATE(7636),
    [sym_conditional] = STATE(7636),
    [sym_range] = STATE(7636),
    [sym_binary] = STATE(7636),
    [sym_unary] = STATE(7636),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4818] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7637),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7637),
    [sym_operator_assignment] = STATE(7637),
    [sym_conditional] = STATE(7637),
    [sym_range] = STATE(7637),
    [sym_binary] = STATE(7637),
    [sym_unary] = STATE(7637),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4819] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7638),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_splat_argument] = STATE(7639),
    [sym_assignment] = STATE(7638),
    [sym_operator_assignment] = STATE(7638),
    [sym_conditional] = STATE(7638),
    [sym_range] = STATE(7638),
    [sym_binary] = STATE(7638),
    [sym_unary] = STATE(7638),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(7639),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(1305),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4820] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7640),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(7640),
    [sym_operator_assignment] = STATE(7640),
    [sym_conditional] = STATE(7640),
    [sym_range] = STATE(7640),
    [sym_binary] = STATE(7640),
    [sym_unary] = STATE(7640),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4821] = {
    [sym_string] = STATE(7641),
    [aux_sym_chained_string_repeat1] = STATE(7641),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [4822] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7294),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [4823] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4824] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4825] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7642),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(7642),
    [sym_operator_assignment] = STATE(7642),
    [sym_conditional] = STATE(7642),
    [sym_range] = STATE(7642),
    [sym_binary] = STATE(7642),
    [sym_unary] = STATE(7642),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4826] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4827] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7643),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(7643),
    [sym_operator_assignment] = STATE(7643),
    [sym_conditional] = STATE(7643),
    [sym_range] = STATE(7643),
    [sym_binary] = STATE(7643),
    [sym_unary] = STATE(7643),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4828] = {
    [sym_heredoc_body] = STATE(7644),
    [aux_sym_call_repeat1] = STATE(7644),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4829] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2259),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(2259),
    [sym_operator_assignment] = STATE(2259),
    [sym_conditional] = STATE(2259),
    [sym_range] = STATE(2259),
    [sym_binary] = STATE(2259),
    [sym_unary] = STATE(2259),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2262),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(7645),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(3658),
    [sym__splat_star] = ACTIONS(3660),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__identifier_hash_key] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10561),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(3664),
    [sym_identifier] = ACTIONS(3664),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4830] = {
    [sym_heredoc_body] = STATE(7646),
    [aux_sym_call_repeat1] = STATE(7646),
    [aux_sym_argument_list_repeat1] = STATE(7647),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(7320),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [4831] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7648),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(7648),
    [sym_operator_assignment] = STATE(7648),
    [sym_conditional] = STATE(7648),
    [sym_range] = STATE(7648),
    [sym_binary] = STATE(7648),
    [sym_unary] = STATE(7648),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4832] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4833] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [4834] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4835] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [4836] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4837] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4838] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7294),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [4839] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10563),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [4840] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4841] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4842] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4843] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4844] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4845] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4846] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4847] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7650),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(7650),
    [sym_operator_assignment] = STATE(7650),
    [sym_conditional] = STATE(7650),
    [sym_range] = STATE(7650),
    [sym_binary] = STATE(7650),
    [sym_unary] = STATE(7650),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4848] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4849] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7651),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(7651),
    [sym_operator_assignment] = STATE(7651),
    [sym_conditional] = STATE(7651),
    [sym_range] = STATE(7651),
    [sym_binary] = STATE(7651),
    [sym_unary] = STATE(7651),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4850] = {
    [sym_heredoc_body] = STATE(7652),
    [aux_sym_call_repeat1] = STATE(7652),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [4851] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2283),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(2283),
    [sym_operator_assignment] = STATE(2283),
    [sym_conditional] = STATE(2283),
    [sym_range] = STATE(2283),
    [sym_binary] = STATE(2283),
    [sym_unary] = STATE(2283),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2286),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(7653),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(3698),
    [sym__splat_star] = ACTIONS(3700),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__identifier_hash_key] = ACTIONS(3702),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10565),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(3704),
    [sym_identifier] = ACTIONS(3704),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4852] = {
    [sym_heredoc_body] = STATE(7654),
    [aux_sym_call_repeat1] = STATE(7654),
    [aux_sym_argument_list_repeat1] = STATE(7655),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(7326),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [4853] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7656),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(7656),
    [sym_operator_assignment] = STATE(7656),
    [sym_conditional] = STATE(7656),
    [sym_range] = STATE(7656),
    [sym_binary] = STATE(7656),
    [sym_unary] = STATE(7656),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4854] = {
    [sym_heredoc_body] = STATE(4854),
    [aux_sym_call_repeat1] = STATE(4854),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [4855] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(731),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(731),
    [sym_operator_assignment] = STATE(731),
    [sym_conditional] = STATE(731),
    [sym_range] = STATE(731),
    [sym_binary] = STATE(731),
    [sym_unary] = STATE(731),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(737),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(1303),
    [sym__splat_star] = ACTIONS(1305),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__identifier_hash_key] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(7330),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1327),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4856] = {
    [sym_heredoc_body] = STATE(4854),
    [aux_sym_call_repeat1] = STATE(4854),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [4857] = {
    [aux_sym_argument_list_repeat1] = STATE(4857),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(10567),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [4858] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4859] = {
    [aux_sym_exceptions_repeat1] = STATE(7658),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [4860] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [4861] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7294),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [4862] = {
    [sym_string] = STATE(4862),
    [aux_sym_chained_string_repeat1] = STATE(4862),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [4863] = {
    [aux_sym_undef_repeat1] = STATE(4863),
    [sym__line_break] = ACTIONS(9196),
    [sym__heredoc_body_start] = ACTIONS(9196),
    [anon_sym_RPAREN] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9198),
    [anon_sym_SEMI] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [4864] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(151),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(152),
    [sym_operator_assignment] = STATE(152),
    [sym_conditional] = STATE(152),
    [sym_range] = STATE(152),
    [sym_binary] = STATE(152),
    [sym_unary] = STATE(152),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [anon_sym_undef] = ACTIONS(271),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4865] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7659),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(157),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(157),
    [sym_assignment] = STATE(7659),
    [sym_operator_assignment] = STATE(7659),
    [sym_conditional] = STATE(7659),
    [sym_range] = STATE(7659),
    [sym_binary] = STATE(7659),
    [sym_unary] = STATE(7659),
    [sym_left_assignment_list] = STATE(154),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(157),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(157),
    [sym_false] = STATE(157),
    [sym_nil] = STATE(157),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(158),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(255),
    [anon_sym_next] = ACTIONS(257),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_defined_QMARK] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4866] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [4867] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [4868] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(7349),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [4869] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7660),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7660),
    [sym_operator_assignment] = STATE(7660),
    [sym_conditional] = STATE(7660),
    [sym_range] = STATE(7660),
    [sym_binary] = STATE(7660),
    [sym_unary] = STATE(7660),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4870] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7661),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7661),
    [sym_operator_assignment] = STATE(7661),
    [sym_conditional] = STATE(7661),
    [sym_range] = STATE(7661),
    [sym_binary] = STATE(7661),
    [sym_unary] = STATE(7661),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4871] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7662),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7662),
    [sym_operator_assignment] = STATE(7662),
    [sym_conditional] = STATE(7662),
    [sym_range] = STATE(7662),
    [sym_binary] = STATE(7662),
    [sym_unary] = STATE(7662),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4872] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7663),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7663),
    [sym_operator_assignment] = STATE(7663),
    [sym_conditional] = STATE(7663),
    [sym_range] = STATE(7663),
    [sym_binary] = STATE(7663),
    [sym_unary] = STATE(7663),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4873] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7664),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7664),
    [sym_operator_assignment] = STATE(7664),
    [sym_conditional] = STATE(7664),
    [sym_range] = STATE(7664),
    [sym_binary] = STATE(7664),
    [sym_unary] = STATE(7664),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4874] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7665),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7665),
    [sym_operator_assignment] = STATE(7665),
    [sym_conditional] = STATE(7665),
    [sym_range] = STATE(7665),
    [sym_binary] = STATE(7665),
    [sym_unary] = STATE(7665),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4875] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7666),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7666),
    [sym_operator_assignment] = STATE(7666),
    [sym_conditional] = STATE(7666),
    [sym_range] = STATE(7666),
    [sym_binary] = STATE(7666),
    [sym_unary] = STATE(7666),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4876] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7667),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7667),
    [sym_operator_assignment] = STATE(7667),
    [sym_conditional] = STATE(7667),
    [sym_range] = STATE(7667),
    [sym_binary] = STATE(7667),
    [sym_unary] = STATE(7667),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4877] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7668),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7668),
    [sym_operator_assignment] = STATE(7668),
    [sym_conditional] = STATE(7668),
    [sym_range] = STATE(7668),
    [sym_binary] = STATE(7668),
    [sym_unary] = STATE(7668),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4878] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7669),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7669),
    [sym_operator_assignment] = STATE(7669),
    [sym_conditional] = STATE(7669),
    [sym_range] = STATE(7669),
    [sym_binary] = STATE(7669),
    [sym_unary] = STATE(7669),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4879] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7670),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7670),
    [sym_operator_assignment] = STATE(7670),
    [sym_conditional] = STATE(7670),
    [sym_range] = STATE(7670),
    [sym_binary] = STATE(7670),
    [sym_unary] = STATE(7670),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4880] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7671),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7671),
    [sym_operator_assignment] = STATE(7671),
    [sym_conditional] = STATE(7671),
    [sym_range] = STATE(7671),
    [sym_binary] = STATE(7671),
    [sym_unary] = STATE(7671),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4881] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7672),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_splat_argument] = STATE(7673),
    [sym_assignment] = STATE(7672),
    [sym_operator_assignment] = STATE(7672),
    [sym_conditional] = STATE(7672),
    [sym_range] = STATE(7672),
    [sym_binary] = STATE(7672),
    [sym_unary] = STATE(7672),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(7673),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(1381),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4882] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7674),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(7674),
    [sym_operator_assignment] = STATE(7674),
    [sym_conditional] = STATE(7674),
    [sym_range] = STATE(7674),
    [sym_binary] = STATE(7674),
    [sym_unary] = STATE(7674),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [4883] = {
    [sym_string] = STATE(7675),
    [aux_sym_chained_string_repeat1] = STATE(7675),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [4884] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7349),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [4885] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4886] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [4887] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4888] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [4889] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4890] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4891] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7349),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [4892] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10570),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [4893] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4894] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4895] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4896] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4897] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4898] = {
    [sym_heredoc_body] = STATE(4898),
    [aux_sym_call_repeat1] = STATE(4898),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [4899] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(774),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(774),
    [sym_operator_assignment] = STATE(774),
    [sym_conditional] = STATE(774),
    [sym_range] = STATE(774),
    [sym_binary] = STATE(774),
    [sym_unary] = STATE(774),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(780),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(1379),
    [sym__splat_star] = ACTIONS(1381),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__identifier_hash_key] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(7371),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1403),
    [sym_identifier] = ACTIONS(1403),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [4900] = {
    [sym_heredoc_body] = STATE(4898),
    [aux_sym_call_repeat1] = STATE(4898),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [4901] = {
    [aux_sym_argument_list_repeat1] = STATE(4901),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(10572),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [4902] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4903] = {
    [aux_sym_exceptions_repeat1] = STATE(7678),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [4904] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [4905] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7349),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [4906] = {
    [sym_string] = STATE(4906),
    [aux_sym_chained_string_repeat1] = STATE(4906),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [4907] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7385),
    [anon_sym_DOT_DOT] = ACTIONS(7387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7389),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7391),
    [anon_sym_AMP_AMP] = ACTIONS(7391),
    [anon_sym_LT_LT] = ACTIONS(7393),
    [anon_sym_GT_GT] = ACTIONS(7393),
    [anon_sym_EQ_EQ] = ACTIONS(7395),
    [anon_sym_BANG_EQ] = ACTIONS(7391),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7391),
    [anon_sym_LT_EQ_GT] = ACTIONS(7391),
    [anon_sym_EQ_TILDE] = ACTIONS(7391),
    [anon_sym_BANG_TILDE] = ACTIONS(7391),
    [anon_sym_LT_EQ] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_GT_EQ] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7399),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [4908] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [4909] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [4910] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(7385),
    [anon_sym_DOT_DOT] = ACTIONS(7387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7389),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7391),
    [anon_sym_AMP_AMP] = ACTIONS(7391),
    [anon_sym_LT_LT] = ACTIONS(7393),
    [anon_sym_GT_GT] = ACTIONS(7393),
    [anon_sym_EQ_EQ] = ACTIONS(7395),
    [anon_sym_BANG_EQ] = ACTIONS(7391),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7391),
    [anon_sym_LT_EQ_GT] = ACTIONS(7391),
    [anon_sym_EQ_TILDE] = ACTIONS(7391),
    [anon_sym_BANG_TILDE] = ACTIONS(7391),
    [anon_sym_LT_EQ] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_GT_EQ] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7399),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [4911] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7679),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7679),
    [sym_operator_assignment] = STATE(7679),
    [sym_conditional] = STATE(7679),
    [sym_range] = STATE(7679),
    [sym_binary] = STATE(7679),
    [sym_unary] = STATE(7679),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4912] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7680),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7680),
    [sym_operator_assignment] = STATE(7680),
    [sym_conditional] = STATE(7680),
    [sym_range] = STATE(7680),
    [sym_binary] = STATE(7680),
    [sym_unary] = STATE(7680),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4913] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7681),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7681),
    [sym_operator_assignment] = STATE(7681),
    [sym_conditional] = STATE(7681),
    [sym_range] = STATE(7681),
    [sym_binary] = STATE(7681),
    [sym_unary] = STATE(7681),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4914] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7682),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7682),
    [sym_operator_assignment] = STATE(7682),
    [sym_conditional] = STATE(7682),
    [sym_range] = STATE(7682),
    [sym_binary] = STATE(7682),
    [sym_unary] = STATE(7682),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4915] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7683),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7683),
    [sym_operator_assignment] = STATE(7683),
    [sym_conditional] = STATE(7683),
    [sym_range] = STATE(7683),
    [sym_binary] = STATE(7683),
    [sym_unary] = STATE(7683),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4916] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7684),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7684),
    [sym_operator_assignment] = STATE(7684),
    [sym_conditional] = STATE(7684),
    [sym_range] = STATE(7684),
    [sym_binary] = STATE(7684),
    [sym_unary] = STATE(7684),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4917] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7685),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7685),
    [sym_operator_assignment] = STATE(7685),
    [sym_conditional] = STATE(7685),
    [sym_range] = STATE(7685),
    [sym_binary] = STATE(7685),
    [sym_unary] = STATE(7685),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4918] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7686),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7686),
    [sym_operator_assignment] = STATE(7686),
    [sym_conditional] = STATE(7686),
    [sym_range] = STATE(7686),
    [sym_binary] = STATE(7686),
    [sym_unary] = STATE(7686),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4919] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7687),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7687),
    [sym_operator_assignment] = STATE(7687),
    [sym_conditional] = STATE(7687),
    [sym_range] = STATE(7687),
    [sym_binary] = STATE(7687),
    [sym_unary] = STATE(7687),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4920] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7688),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7688),
    [sym_operator_assignment] = STATE(7688),
    [sym_conditional] = STATE(7688),
    [sym_range] = STATE(7688),
    [sym_binary] = STATE(7688),
    [sym_unary] = STATE(7688),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4921] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7689),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7689),
    [sym_operator_assignment] = STATE(7689),
    [sym_conditional] = STATE(7689),
    [sym_range] = STATE(7689),
    [sym_binary] = STATE(7689),
    [sym_unary] = STATE(7689),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4922] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7690),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7690),
    [sym_operator_assignment] = STATE(7690),
    [sym_conditional] = STATE(7690),
    [sym_range] = STATE(7690),
    [sym_binary] = STATE(7690),
    [sym_unary] = STATE(7690),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4923] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2359),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(2359),
    [sym_operator_assignment] = STATE(2359),
    [sym_conditional] = STATE(2359),
    [sym_range] = STATE(2359),
    [sym_binary] = STATE(2359),
    [sym_unary] = STATE(2359),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(3788),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4924] = {
    [aux_sym_exceptions_repeat1] = STATE(7691),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [4925] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2359),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_splat_argument] = STATE(7692),
    [sym_assignment] = STATE(2359),
    [sym_operator_assignment] = STATE(2359),
    [sym_conditional] = STATE(2359),
    [sym_range] = STATE(2359),
    [sym_binary] = STATE(2359),
    [sym_unary] = STATE(2359),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(7692),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(3788),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4926] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7693),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(7693),
    [sym_operator_assignment] = STATE(7693),
    [sym_conditional] = STATE(7693),
    [sym_range] = STATE(7693),
    [sym_binary] = STATE(7693),
    [sym_unary] = STATE(7693),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4927] = {
    [sym__element_reference_left_bracket] = ACTIONS(6453),
    [sym__infix_scope_colons] = ACTIONS(6453),
    [anon_sym_DOT] = ACTIONS(6453),
    [anon_sym_AMP_DOT] = ACTIONS(6453),
    [sym_comment] = ACTIONS(87),
  },
  [4928] = {
    [sym__element_reference_left_bracket] = ACTIONS(6457),
    [sym__infix_scope_colons] = ACTIONS(6457),
    [anon_sym_DOT] = ACTIONS(6457),
    [anon_sym_AMP_DOT] = ACTIONS(6457),
    [sym_comment] = ACTIONS(87),
  },
  [4929] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10575),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4930] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(10575),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10577),
  },
  [4931] = {
    [sym__element_reference_left_bracket] = ACTIONS(6465),
    [sym__infix_scope_colons] = ACTIONS(6465),
    [anon_sym_DOT] = ACTIONS(6465),
    [anon_sym_AMP_DOT] = ACTIONS(6465),
    [sym_comment] = ACTIONS(87),
  },
  [4932] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10579),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4933] = {
    [sym__element_reference_left_bracket] = ACTIONS(6478),
    [sym__infix_scope_colons] = ACTIONS(6478),
    [anon_sym_DOT] = ACTIONS(6478),
    [anon_sym_AMP_DOT] = ACTIONS(6478),
    [sym_comment] = ACTIONS(87),
  },
  [4934] = {
    [sym__element_reference_left_bracket] = ACTIONS(6482),
    [sym__infix_scope_colons] = ACTIONS(6482),
    [anon_sym_DOT] = ACTIONS(6482),
    [anon_sym_AMP_DOT] = ACTIONS(6482),
    [sym_comment] = ACTIONS(87),
  },
  [4935] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10581),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4936] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(10581),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10583),
  },
  [4937] = {
    [sym__element_reference_left_bracket] = ACTIONS(6490),
    [sym__infix_scope_colons] = ACTIONS(6490),
    [anon_sym_DOT] = ACTIONS(6490),
    [anon_sym_AMP_DOT] = ACTIONS(6490),
    [sym_comment] = ACTIONS(87),
  },
  [4938] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10585),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [4939] = {
    [sym__element_reference_left_bracket] = ACTIONS(7030),
    [sym__infix_scope_colons] = ACTIONS(7030),
    [anon_sym_DOT] = ACTIONS(7030),
    [anon_sym_AMP_DOT] = ACTIONS(7030),
    [sym_comment] = ACTIONS(87),
  },
  [4940] = {
    [anon_sym_DOT] = ACTIONS(10587),
    [anon_sym_COLON_COLON] = ACTIONS(10587),
    [sym_comment] = ACTIONS(87),
  },
  [4941] = {
    [sym__element_reference_left_bracket] = ACTIONS(7186),
    [sym__infix_scope_colons] = ACTIONS(7186),
    [anon_sym_DOT] = ACTIONS(7186),
    [anon_sym_AMP_DOT] = ACTIONS(7186),
    [sym_comment] = ACTIONS(87),
  },
  [4942] = {
    [sym__element_reference_left_bracket] = ACTIONS(7202),
    [sym__infix_scope_colons] = ACTIONS(7202),
    [anon_sym_DOT] = ACTIONS(7202),
    [anon_sym_AMP_DOT] = ACTIONS(7202),
    [sym_comment] = ACTIONS(87),
  },
  [4943] = {
    [sym__statements] = STATE(836),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(837),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(838),
    [sym_rescue] = STATE(839),
    [sym__body_statement] = STATE(7701),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10589),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4944] = {
    [sym__statements] = STATE(836),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(837),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(838),
    [sym_rescue] = STATE(839),
    [sym__body_statement] = STATE(7702),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10591),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4945] = {
    [sym__element_reference_left_bracket] = ACTIONS(7648),
    [sym__infix_scope_colons] = ACTIONS(7648),
    [anon_sym_DOT] = ACTIONS(7648),
    [anon_sym_AMP_DOT] = ACTIONS(7648),
    [sym_comment] = ACTIONS(87),
  },
  [4946] = {
    [sym__element_reference_left_bracket] = ACTIONS(7704),
    [sym__infix_scope_colons] = ACTIONS(7704),
    [anon_sym_DOT] = ACTIONS(7704),
    [anon_sym_AMP_DOT] = ACTIONS(7704),
    [sym_comment] = ACTIONS(87),
  },
  [4947] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [4948] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7703),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7703),
    [sym_operator_assignment] = STATE(7703),
    [sym_conditional] = STATE(7703),
    [sym_range] = STATE(7703),
    [sym_binary] = STATE(7703),
    [sym_unary] = STATE(7703),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4949] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7704),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7704),
    [sym_operator_assignment] = STATE(7704),
    [sym_conditional] = STATE(7704),
    [sym_range] = STATE(7704),
    [sym_binary] = STATE(7704),
    [sym_unary] = STATE(7704),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4950] = {
    [sym__keyword_colon] = ACTIONS(10593),
    [sym_comment] = ACTIONS(87),
  },
  [4951] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7706),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7706),
    [sym_operator_assignment] = STATE(7706),
    [sym_conditional] = STATE(7706),
    [sym_range] = STATE(7706),
    [sym_binary] = STATE(7706),
    [sym_unary] = STATE(7706),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4952] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(10593),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [4953] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(10595),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [4954] = {
    [sym_heredoc_body] = STATE(7708),
    [aux_sym_call_repeat1] = STATE(7708),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4955] = {
    [sym_heredoc_body] = STATE(7708),
    [aux_sym_call_repeat1] = STATE(7708),
    [aux_sym_argument_list_repeat1] = STATE(7710),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(10597),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [4956] = {
    [sym_string] = STATE(1985),
    [aux_sym_chained_string_repeat1] = STATE(1985),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(10599),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [4957] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [4958] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [4959] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7712),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7712),
    [sym_operator_assignment] = STATE(7712),
    [sym_conditional] = STATE(7712),
    [sym_range] = STATE(7712),
    [sym_binary] = STATE(7712),
    [sym_unary] = STATE(7712),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4960] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7713),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7713),
    [sym_operator_assignment] = STATE(7713),
    [sym_conditional] = STATE(7713),
    [sym_range] = STATE(7713),
    [sym_binary] = STATE(7713),
    [sym_unary] = STATE(7713),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4961] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7714),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7714),
    [sym_operator_assignment] = STATE(7714),
    [sym_conditional] = STATE(7714),
    [sym_range] = STATE(7714),
    [sym_binary] = STATE(7714),
    [sym_unary] = STATE(7714),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4962] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7715),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7715),
    [sym_operator_assignment] = STATE(7715),
    [sym_conditional] = STATE(7715),
    [sym_range] = STATE(7715),
    [sym_binary] = STATE(7715),
    [sym_unary] = STATE(7715),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4963] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7716),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7716),
    [sym_operator_assignment] = STATE(7716),
    [sym_conditional] = STATE(7716),
    [sym_range] = STATE(7716),
    [sym_binary] = STATE(7716),
    [sym_unary] = STATE(7716),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4964] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7717),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7717),
    [sym_operator_assignment] = STATE(7717),
    [sym_conditional] = STATE(7717),
    [sym_range] = STATE(7717),
    [sym_binary] = STATE(7717),
    [sym_unary] = STATE(7717),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4965] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7718),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7718),
    [sym_operator_assignment] = STATE(7718),
    [sym_conditional] = STATE(7718),
    [sym_range] = STATE(7718),
    [sym_binary] = STATE(7718),
    [sym_unary] = STATE(7718),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [4966] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7719),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7719),
    [sym_operator_assignment] = STATE(7719),
    [sym_conditional] = STATE(7719),
    [sym_range] = STATE(7719),
    [sym_binary] = STATE(7719),
    [sym_unary] = STATE(7719),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4967] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7720),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7720),
    [sym_operator_assignment] = STATE(7720),
    [sym_conditional] = STATE(7720),
    [sym_range] = STATE(7720),
    [sym_binary] = STATE(7720),
    [sym_unary] = STATE(7720),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4968] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7721),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7721),
    [sym_operator_assignment] = STATE(7721),
    [sym_conditional] = STATE(7721),
    [sym_range] = STATE(7721),
    [sym_binary] = STATE(7721),
    [sym_unary] = STATE(7721),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4969] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7722),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7722),
    [sym_operator_assignment] = STATE(7722),
    [sym_conditional] = STATE(7722),
    [sym_range] = STATE(7722),
    [sym_binary] = STATE(7722),
    [sym_unary] = STATE(7722),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4970] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7723),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7723),
    [sym_operator_assignment] = STATE(7723),
    [sym_conditional] = STATE(7723),
    [sym_range] = STATE(7723),
    [sym_binary] = STATE(7723),
    [sym_unary] = STATE(7723),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4971] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7732),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(7732),
    [sym_operator_assignment] = STATE(7732),
    [sym_conditional] = STATE(7732),
    [sym_range] = STATE(7732),
    [sym_binary] = STATE(7732),
    [sym_unary] = STATE(7732),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4972] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7736),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(7736),
    [sym_operator_assignment] = STATE(7736),
    [sym_conditional] = STATE(7736),
    [sym_range] = STATE(7736),
    [sym_binary] = STATE(7736),
    [sym_unary] = STATE(7736),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4973] = {
    [sym__keyword_colon] = ACTIONS(10619),
    [sym_comment] = ACTIONS(87),
  },
  [4974] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7738),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(7738),
    [sym_operator_assignment] = STATE(7738),
    [sym_conditional] = STATE(7738),
    [sym_range] = STATE(7738),
    [sym_binary] = STATE(7738),
    [sym_unary] = STATE(7738),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [4975] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(10619),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [4976] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(10621),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [4977] = {
    [sym_heredoc_body] = STATE(7740),
    [aux_sym_call_repeat1] = STATE(7740),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [4978] = {
    [sym_heredoc_body] = STATE(7740),
    [aux_sym_call_repeat1] = STATE(7740),
    [aux_sym_argument_list_repeat1] = STATE(7742),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(10623),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [4979] = {
    [sym_string] = STATE(2127),
    [aux_sym_chained_string_repeat1] = STATE(2127),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(10625),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [4980] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7744),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_splat_argument] = STATE(7745),
    [sym_assignment] = STATE(7744),
    [sym_operator_assignment] = STATE(7744),
    [sym_conditional] = STATE(7744),
    [sym_range] = STATE(7744),
    [sym_binary] = STATE(7744),
    [sym_unary] = STATE(7744),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(7745),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(7447),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4981] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7746),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(7746),
    [sym_operator_assignment] = STATE(7746),
    [sym_conditional] = STATE(7746),
    [sym_range] = STATE(7746),
    [sym_binary] = STATE(7746),
    [sym_unary] = STATE(7746),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4982] = {
    [sym_string] = STATE(7747),
    [aux_sym_chained_string_repeat1] = STATE(7747),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [4983] = {
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7758),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_EQ] = ACTIONS(7758),
    [anon_sym_in] = ACTIONS(7758),
    [anon_sym_do] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
  },
  [4984] = {
    [anon_sym_RPAREN] = ACTIONS(10627),
    [sym_comment] = ACTIONS(87),
  },
  [4985] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(7471),
    [anon_sym_or] = ACTIONS(7471),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [4986] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(7471),
    [anon_sym_or] = ACTIONS(7471),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [4987] = {
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym__element_reference_left_bracket] = ACTIONS(3138),
    [sym__infix_scope_colons] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_AMP_DOT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(87),
  },
  [4988] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(10629),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [4989] = {
    [sym_heredoc_body] = STATE(4989),
    [aux_sym_call_repeat1] = STATE(4989),
    [sym__heredoc_body_start] = ACTIONS(10631),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [4990] = {
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7811),
    [anon_sym_COMMA] = ACTIONS(7811),
    [anon_sym_EQ] = ACTIONS(7811),
    [anon_sym_in] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [4991] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(821),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym__argument] = STATE(7750),
    [sym_splat_argument] = STATE(7750),
    [sym_hash_splat_argument] = STATE(7750),
    [sym_block_argument] = STATE(7750),
    [sym_assignment] = STATE(821),
    [sym_operator_assignment] = STATE(821),
    [sym_conditional] = STATE(821),
    [sym_range] = STATE(821),
    [sym_binary] = STATE(821),
    [sym_unary] = STATE(821),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(825),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7750),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1455),
    [sym__splat_star] = ACTIONS(1457),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__identifier_hash_key] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1463),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1467),
    [sym_identifier] = ACTIONS(1467),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [4992] = {
    [sym_heredoc_body] = STATE(4989),
    [aux_sym_call_repeat1] = STATE(4989),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [4993] = {
    [aux_sym_argument_list_repeat1] = STATE(4993),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7811),
    [anon_sym_COMMA] = ACTIONS(10634),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [4994] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(7471),
    [anon_sym_or] = ACTIONS(7471),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [4995] = {
    [sym__element_reference_left_bracket] = ACTIONS(7880),
    [sym__infix_scope_colons] = ACTIONS(7880),
    [anon_sym_DOT] = ACTIONS(7880),
    [anon_sym_AMP_DOT] = ACTIONS(7880),
    [sym_comment] = ACTIONS(87),
  },
  [4996] = {
    [sym_elsif] = STATE(7752),
    [sym_else] = STATE(7752),
    [sym__if_tail] = STATE(7752),
    [anon_sym_end] = ACTIONS(10637),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [4997] = {
    [anon_sym_end] = ACTIONS(10637),
    [sym_comment] = ACTIONS(87),
  },
  [4998] = {
    [sym__statements] = STATE(7753),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(7752),
    [sym_else] = STATE(7752),
    [sym__if_tail] = STATE(7752),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10639),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [4999] = {
    [sym__element_reference_left_bracket] = ACTIONS(8084),
    [sym__infix_scope_colons] = ACTIONS(8084),
    [anon_sym_DOT] = ACTIONS(8084),
    [anon_sym_AMP_DOT] = ACTIONS(8084),
    [sym_comment] = ACTIONS(87),
  },
  [5000] = {
    [sym_else] = STATE(7755),
    [anon_sym_end] = ACTIONS(10641),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [5001] = {
    [anon_sym_end] = ACTIONS(10641),
    [sym_comment] = ACTIONS(87),
  },
  [5002] = {
    [sym__element_reference_left_bracket] = ACTIONS(8254),
    [sym__infix_scope_colons] = ACTIONS(8254),
    [anon_sym_DOT] = ACTIONS(8254),
    [anon_sym_AMP_DOT] = ACTIONS(8254),
    [sym_comment] = ACTIONS(87),
  },
  [5003] = {
    [anon_sym_end] = ACTIONS(10643),
    [sym_comment] = ACTIONS(87),
  },
  [5004] = {
    [sym__element_reference_left_bracket] = ACTIONS(8334),
    [sym__infix_scope_colons] = ACTIONS(8334),
    [anon_sym_DOT] = ACTIONS(8334),
    [anon_sym_AMP_DOT] = ACTIONS(8334),
    [sym_comment] = ACTIONS(87),
  },
  [5005] = {
    [anon_sym_end] = ACTIONS(10645),
    [sym_comment] = ACTIONS(87),
  },
  [5006] = {
    [sym__statements] = STATE(7759),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10647),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5007] = {
    [anon_sym_end] = ACTIONS(10649),
    [sym_comment] = ACTIONS(87),
  },
  [5008] = {
    [sym_when] = STATE(7761),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [5009] = {
    [sym__element_reference_left_bracket] = ACTIONS(8592),
    [sym__infix_scope_colons] = ACTIONS(8592),
    [anon_sym_DOT] = ACTIONS(8592),
    [anon_sym_AMP_DOT] = ACTIONS(8592),
    [sym_comment] = ACTIONS(87),
  },
  [5010] = {
    [sym__element_reference_left_bracket] = ACTIONS(9111),
    [sym__infix_scope_colons] = ACTIONS(9111),
    [anon_sym_DOT] = ACTIONS(9111),
    [anon_sym_AMP_DOT] = ACTIONS(9111),
    [sym_comment] = ACTIONS(87),
  },
  [5011] = {
    [anon_sym_end] = ACTIONS(10651),
    [sym_comment] = ACTIONS(87),
  },
  [5012] = {
    [sym_ensure] = STATE(7763),
    [anon_sym_end] = ACTIONS(10651),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [5013] = {
    [sym__element_reference_left_bracket] = ACTIONS(9333),
    [sym__infix_scope_colons] = ACTIONS(9333),
    [anon_sym_DOT] = ACTIONS(9333),
    [anon_sym_AMP_DOT] = ACTIONS(9333),
    [sym_comment] = ACTIONS(87),
  },
  [5014] = {
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9362),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_EQ] = ACTIONS(9362),
    [anon_sym_in] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [sym_comment] = ACTIONS(87),
  },
  [5015] = {
    [anon_sym_RBRACE] = ACTIONS(10653),
    [sym_comment] = ACTIONS(87),
  },
  [5016] = {
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [anon_sym_RPAREN] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9390),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_EQ] = ACTIONS(9390),
    [anon_sym_in] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [sym_comment] = ACTIONS(87),
  },
  [5017] = {
    [anon_sym_end] = ACTIONS(10655),
    [sym_comment] = ACTIONS(87),
  },
  [5018] = {
    [sym__statements] = STATE(7766),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10657),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5019] = {
    [sym__statements] = STATE(7766),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(7767),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(7767),
    [sym__line_break] = ACTIONS(10659),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10657),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5020] = {
    [sym__element_reference_left_bracket] = ACTIONS(9621),
    [sym__infix_scope_colons] = ACTIONS(9621),
    [anon_sym_RPAREN] = ACTIONS(9621),
    [anon_sym_DOT] = ACTIONS(9621),
    [anon_sym_COMMA] = ACTIONS(9621),
    [anon_sym_EQ] = ACTIONS(9621),
    [anon_sym_in] = ACTIONS(9621),
    [anon_sym_AMP_DOT] = ACTIONS(9621),
    [sym_comment] = ACTIONS(87),
  },
  [5021] = {
    [anon_sym_RBRACK] = ACTIONS(10661),
    [sym_comment] = ACTIONS(87),
  },
  [5022] = {
    [sym__simple_symbol] = ACTIONS(4198),
    [sym__string_start] = ACTIONS(4198),
    [sym__symbol_start] = ACTIONS(4198),
    [sym__subshell_start] = ACTIONS(4198),
    [sym__regex_start] = ACTIONS(4198),
    [sym__string_array_start] = ACTIONS(4198),
    [sym__symbol_array_start] = ACTIONS(4198),
    [sym_heredoc_beginning] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__block_ampersand] = ACTIONS(4198),
    [sym__splat_star] = ACTIONS(4198),
    [sym__argument_list_left_paren] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__unary_minus] = ACTIONS(4198),
    [sym__identifier_hash_key] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_def] = ACTIONS(4200),
    [anon_sym_LPAREN] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(4198),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_STAR] = ACTIONS(4200),
    [anon_sym_STAR_STAR] = ACTIONS(4198),
    [anon_sym_EQ] = ACTIONS(4198),
    [anon_sym_class] = ACTIONS(4200),
    [anon_sym_module] = ACTIONS(4200),
    [anon_sym_return] = ACTIONS(4200),
    [anon_sym_yield] = ACTIONS(4200),
    [anon_sym_break] = ACTIONS(4200),
    [anon_sym_next] = ACTIONS(4200),
    [sym_redo] = ACTIONS(4200),
    [sym_retry] = ACTIONS(4200),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_unless] = ACTIONS(4200),
    [anon_sym_while] = ACTIONS(4200),
    [anon_sym_until] = ACTIONS(4200),
    [anon_sym_for] = ACTIONS(4200),
    [anon_sym_in] = ACTIONS(4200),
    [anon_sym_do] = ACTIONS(4200),
    [anon_sym_case] = ACTIONS(4200),
    [anon_sym_begin] = ACTIONS(4200),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_defined_QMARK] = ACTIONS(4198),
    [anon_sym_not] = ACTIONS(4200),
    [anon_sym_BANG] = ACTIONS(4198),
    [anon_sym_TILDE] = ACTIONS(4198),
    [sym_constant] = ACTIONS(4200),
    [sym_identifier] = ACTIONS(4200),
    [sym_instance_variable] = ACTIONS(4198),
    [sym_class_variable] = ACTIONS(4198),
    [sym_global_variable] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4200),
    [sym_float] = ACTIONS(4200),
    [sym_complex] = ACTIONS(4198),
    [sym_super] = ACTIONS(4200),
    [anon_sym_true] = ACTIONS(4200),
    [anon_sym_TRUE] = ACTIONS(4200),
    [anon_sym_false] = ACTIONS(4200),
    [anon_sym_FALSE] = ACTIONS(4200),
    [sym_self] = ACTIONS(4200),
    [anon_sym_nil] = ACTIONS(4200),
    [anon_sym_NIL] = ACTIONS(4200),
    [sym_character] = ACTIONS(4198),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [anon_sym_DASH_GT] = ACTIONS(4198),
  },
  [5023] = {
    [sym_heredoc_body] = STATE(7770),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(10663),
    [sym_comment] = ACTIONS(87),
  },
  [5024] = {
    [anon_sym_RPAREN] = ACTIONS(10663),
    [sym_comment] = ACTIONS(87),
  },
  [5025] = {
    [sym__simple_symbol] = ACTIONS(9631),
    [sym__string_start] = ACTIONS(9631),
    [sym__symbol_start] = ACTIONS(9631),
    [sym__subshell_start] = ACTIONS(9631),
    [sym__regex_start] = ACTIONS(9631),
    [sym__string_array_start] = ACTIONS(9631),
    [sym__symbol_array_start] = ACTIONS(9631),
    [sym_heredoc_beginning] = ACTIONS(9631),
    [sym__element_reference_left_bracket] = ACTIONS(9631),
    [sym__block_ampersand] = ACTIONS(9631),
    [sym__splat_star] = ACTIONS(9631),
    [sym__argument_list_left_paren] = ACTIONS(9631),
    [sym__infix_scope_colons] = ACTIONS(9631),
    [sym__unary_minus] = ACTIONS(9631),
    [sym__identifier_hash_key] = ACTIONS(9631),
    [anon_sym_LBRACE] = ACTIONS(9631),
    [anon_sym_def] = ACTIONS(9633),
    [anon_sym_LPAREN] = ACTIONS(9631),
    [anon_sym_RPAREN] = ACTIONS(9631),
    [anon_sym_DOT] = ACTIONS(9631),
    [anon_sym_COLON_COLON] = ACTIONS(9631),
    [anon_sym_COMMA] = ACTIONS(9631),
    [anon_sym_STAR] = ACTIONS(9633),
    [anon_sym_STAR_STAR] = ACTIONS(9631),
    [anon_sym_EQ] = ACTIONS(9631),
    [anon_sym_class] = ACTIONS(9633),
    [anon_sym_module] = ACTIONS(9633),
    [anon_sym_return] = ACTIONS(9633),
    [anon_sym_yield] = ACTIONS(9633),
    [anon_sym_break] = ACTIONS(9633),
    [anon_sym_next] = ACTIONS(9633),
    [sym_redo] = ACTIONS(9633),
    [sym_retry] = ACTIONS(9633),
    [anon_sym_if] = ACTIONS(9633),
    [anon_sym_unless] = ACTIONS(9633),
    [anon_sym_while] = ACTIONS(9633),
    [anon_sym_until] = ACTIONS(9633),
    [anon_sym_for] = ACTIONS(9633),
    [anon_sym_in] = ACTIONS(9633),
    [anon_sym_do] = ACTIONS(9633),
    [anon_sym_case] = ACTIONS(9633),
    [anon_sym_begin] = ACTIONS(9633),
    [anon_sym_AMP_DOT] = ACTIONS(9631),
    [anon_sym_PLUS] = ACTIONS(9633),
    [anon_sym_defined_QMARK] = ACTIONS(9631),
    [anon_sym_not] = ACTIONS(9633),
    [anon_sym_BANG] = ACTIONS(9631),
    [anon_sym_TILDE] = ACTIONS(9631),
    [sym_constant] = ACTIONS(9633),
    [sym_identifier] = ACTIONS(9633),
    [sym_instance_variable] = ACTIONS(9631),
    [sym_class_variable] = ACTIONS(9631),
    [sym_global_variable] = ACTIONS(9631),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(9633),
    [sym_float] = ACTIONS(9633),
    [sym_complex] = ACTIONS(9631),
    [sym_super] = ACTIONS(9633),
    [anon_sym_true] = ACTIONS(9633),
    [anon_sym_TRUE] = ACTIONS(9633),
    [anon_sym_false] = ACTIONS(9633),
    [anon_sym_FALSE] = ACTIONS(9633),
    [sym_self] = ACTIONS(9633),
    [anon_sym_nil] = ACTIONS(9633),
    [anon_sym_NIL] = ACTIONS(9633),
    [sym_character] = ACTIONS(9631),
    [anon_sym_LBRACK] = ACTIONS(9631),
    [anon_sym_DASH_GT] = ACTIONS(9631),
  },
  [5026] = {
    [sym__string_start] = ACTIONS(839),
    [sym__heredoc_body_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_STAR_STAR] = ACTIONS(839),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(839),
    [anon_sym_AMP_AMP] = ACTIONS(839),
    [anon_sym_LT_LT] = ACTIONS(839),
    [anon_sym_GT_GT] = ACTIONS(839),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_SLASH] = ACTIONS(839),
    [anon_sym_PERCENT] = ACTIONS(839),
    [sym_comment] = ACTIONS(87),
  },
  [5027] = {
    [sym__string_end] = ACTIONS(10665),
    [sym_comment] = ACTIONS(87),
  },
  [5028] = {
    [sym__heredoc_body_start] = ACTIONS(891),
    [sym__element_reference_left_bracket] = ACTIONS(891),
    [sym__infix_scope_colons] = ACTIONS(891),
    [sym__binary_minus] = ACTIONS(891),
    [sym__binary_star] = ACTIONS(891),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_STAR_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_do] = ACTIONS(891),
    [anon_sym_AMP_DOT] = ACTIONS(891),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(891),
    [anon_sym_and] = ACTIONS(891),
    [anon_sym_or] = ACTIONS(891),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ_GT] = ACTIONS(891),
    [anon_sym_EQ_TILDE] = ACTIONS(891),
    [anon_sym_BANG_TILDE] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(891),
    [anon_sym_PERCENT] = ACTIONS(891),
    [sym_comment] = ACTIONS(87),
  },
  [5029] = {
    [sym__string_end] = ACTIONS(10667),
    [sym_comment] = ACTIONS(87),
  },
  [5030] = {
    [sym__heredoc_body_start] = ACTIONS(897),
    [sym__element_reference_left_bracket] = ACTIONS(897),
    [sym__infix_scope_colons] = ACTIONS(897),
    [sym__binary_minus] = ACTIONS(897),
    [sym__binary_star] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(899),
    [anon_sym_STAR_STAR] = ACTIONS(897),
    [anon_sym_AMP] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_AMP_DOT] = ACTIONS(897),
    [anon_sym_QMARK] = ACTIONS(897),
    [anon_sym_DOT_DOT] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(897),
    [anon_sym_and] = ACTIONS(897),
    [anon_sym_or] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(897),
    [anon_sym_AMP_AMP] = ACTIONS(897),
    [anon_sym_LT_LT] = ACTIONS(897),
    [anon_sym_GT_GT] = ACTIONS(897),
    [anon_sym_EQ_EQ] = ACTIONS(899),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_EQ_TILDE] = ACTIONS(897),
    [anon_sym_BANG_TILDE] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(897),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_SLASH] = ACTIONS(897),
    [anon_sym_PERCENT] = ACTIONS(897),
    [sym_comment] = ACTIONS(87),
  },
  [5031] = {
    [sym__string_end] = ACTIONS(10669),
    [sym_comment] = ACTIONS(87),
  },
  [5032] = {
    [sym__heredoc_body_start] = ACTIONS(903),
    [sym__element_reference_left_bracket] = ACTIONS(903),
    [sym__infix_scope_colons] = ACTIONS(903),
    [sym__binary_minus] = ACTIONS(903),
    [sym__binary_star] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(903),
    [anon_sym_PIPE] = ACTIONS(905),
    [anon_sym_STAR_STAR] = ACTIONS(903),
    [anon_sym_AMP] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(905),
    [anon_sym_LT] = ACTIONS(905),
    [anon_sym_do] = ACTIONS(903),
    [anon_sym_AMP_DOT] = ACTIONS(903),
    [anon_sym_QMARK] = ACTIONS(903),
    [anon_sym_DOT_DOT] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(903),
    [anon_sym_and] = ACTIONS(903),
    [anon_sym_or] = ACTIONS(903),
    [anon_sym_PIPE_PIPE] = ACTIONS(903),
    [anon_sym_AMP_AMP] = ACTIONS(903),
    [anon_sym_LT_LT] = ACTIONS(903),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_EQ_EQ] = ACTIONS(905),
    [anon_sym_BANG_EQ] = ACTIONS(903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(903),
    [anon_sym_LT_EQ_GT] = ACTIONS(903),
    [anon_sym_EQ_TILDE] = ACTIONS(903),
    [anon_sym_BANG_TILDE] = ACTIONS(903),
    [anon_sym_LT_EQ] = ACTIONS(905),
    [anon_sym_GT] = ACTIONS(905),
    [anon_sym_GT_EQ] = ACTIONS(903),
    [anon_sym_CARET] = ACTIONS(903),
    [anon_sym_PLUS] = ACTIONS(903),
    [anon_sym_SLASH] = ACTIONS(903),
    [anon_sym_PERCENT] = ACTIONS(903),
    [sym_comment] = ACTIONS(87),
  },
  [5033] = {
    [sym__string_end] = ACTIONS(10671),
    [sym_comment] = ACTIONS(87),
  },
  [5034] = {
    [sym__heredoc_body_start] = ACTIONS(909),
    [sym__element_reference_left_bracket] = ACTIONS(909),
    [sym__infix_scope_colons] = ACTIONS(909),
    [sym__binary_minus] = ACTIONS(909),
    [sym__binary_star] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_AMP_DOT] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_and] = ACTIONS(909),
    [anon_sym_or] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(911),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ_GT] = ACTIONS(909),
    [anon_sym_EQ_TILDE] = ACTIONS(909),
    [anon_sym_BANG_TILDE] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [sym_comment] = ACTIONS(87),
  },
  [5035] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(7777),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10673),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10675),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [5036] = {
    [aux_sym_string_array_repeat1] = STATE(7780),
    [sym__string_end] = ACTIONS(10677),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10679),
  },
  [5037] = {
    [sym__heredoc_body_start] = ACTIONS(927),
    [sym__element_reference_left_bracket] = ACTIONS(927),
    [sym__infix_scope_colons] = ACTIONS(927),
    [sym__binary_minus] = ACTIONS(927),
    [sym__binary_star] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_RPAREN] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_STAR_STAR] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_EQ] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_do] = ACTIONS(927),
    [anon_sym_AMP_DOT] = ACTIONS(927),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_DOT_DOT] = ACTIONS(929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(927),
    [anon_sym_and] = ACTIONS(927),
    [anon_sym_or] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(927),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(927),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(927),
    [anon_sym_LT_EQ_GT] = ACTIONS(927),
    [anon_sym_EQ_TILDE] = ACTIONS(927),
    [anon_sym_BANG_TILDE] = ACTIONS(927),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(927),
    [anon_sym_CARET] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [sym_comment] = ACTIONS(87),
  },
  [5038] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(7783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(10681),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10683),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [5039] = {
    [aux_sym_symbol_array_repeat1] = STATE(7786),
    [sym__string_end] = ACTIONS(10685),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(10687),
  },
  [5040] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5041] = {
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(997),
    [sym__infix_scope_colons] = ACTIONS(997),
    [sym__binary_minus] = ACTIONS(997),
    [sym__binary_star] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RPAREN] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_STAR_STAR] = ACTIONS(997),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_EQ] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(997),
    [anon_sym_QMARK] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(997),
    [anon_sym_and] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(997),
    [anon_sym_PIPE_PIPE] = ACTIONS(997),
    [anon_sym_AMP_AMP] = ACTIONS(997),
    [anon_sym_LT_LT] = ACTIONS(997),
    [anon_sym_GT_GT] = ACTIONS(997),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(997),
    [anon_sym_LT_EQ_GT] = ACTIONS(997),
    [anon_sym_EQ_TILDE] = ACTIONS(997),
    [anon_sym_BANG_TILDE] = ACTIONS(997),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(999),
    [anon_sym_GT_EQ] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_SLASH] = ACTIONS(997),
    [anon_sym_PERCENT] = ACTIONS(997),
    [sym_comment] = ACTIONS(87),
  },
  [5042] = {
    [anon_sym_RBRACE] = ACTIONS(10689),
    [sym_comment] = ACTIONS(87),
  },
  [5043] = {
    [sym_heredoc_body] = STATE(7788),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACE] = ACTIONS(10689),
    [sym_comment] = ACTIONS(87),
  },
  [5044] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7789),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(7789),
    [sym_operator_assignment] = STATE(7789),
    [sym_conditional] = STATE(7789),
    [sym_range] = STATE(7789),
    [sym_binary] = STATE(7789),
    [sym_unary] = STATE(7789),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5045] = {
    [sym__heredoc_body_start] = ACTIONS(1277),
    [sym__element_reference_left_bracket] = ACTIONS(1277),
    [sym__infix_scope_colons] = ACTIONS(1277),
    [sym__binary_minus] = ACTIONS(1277),
    [sym__binary_star] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_RPAREN] = ACTIONS(1277),
    [anon_sym_DOT] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(1277),
    [anon_sym_PIPE] = ACTIONS(1279),
    [anon_sym_STAR_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1279),
    [anon_sym_EQ] = ACTIONS(1279),
    [anon_sym_LT] = ACTIONS(1279),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_AMP_DOT] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(1277),
    [anon_sym_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1277),
    [anon_sym_and] = ACTIONS(1277),
    [anon_sym_or] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE] = ACTIONS(1277),
    [anon_sym_AMP_AMP] = ACTIONS(1277),
    [anon_sym_LT_LT] = ACTIONS(1277),
    [anon_sym_GT_GT] = ACTIONS(1277),
    [anon_sym_EQ_EQ] = ACTIONS(1279),
    [anon_sym_BANG_EQ] = ACTIONS(1277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1277),
    [anon_sym_LT_EQ_GT] = ACTIONS(1277),
    [anon_sym_EQ_TILDE] = ACTIONS(1277),
    [anon_sym_BANG_TILDE] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(1279),
    [anon_sym_GT] = ACTIONS(1279),
    [anon_sym_GT_EQ] = ACTIONS(1277),
    [anon_sym_CARET] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(1277),
    [anon_sym_SLASH] = ACTIONS(1277),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [sym_comment] = ACTIONS(87),
  },
  [5046] = {
    [anon_sym_DOT] = ACTIONS(10691),
    [anon_sym_COLON_COLON] = ACTIONS(10691),
    [sym_comment] = ACTIONS(87),
  },
  [5047] = {
    [sym_method_parameters] = STATE(7791),
    [sym__simple_formal_parameter] = STATE(715),
    [sym_splat_parameter] = STATE(715),
    [sym_hash_splat_parameter] = STATE(715),
    [sym_block_parameter] = STATE(715),
    [sym_keyword_parameter] = STATE(715),
    [sym_optional_parameter] = STATE(715),
    [sym_heredoc_body] = STATE(7791),
    [sym__terminator] = STATE(7791),
    [sym__line_break] = ACTIONS(10693),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(10693),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_comment] = ACTIONS(87),
  },
  [5048] = {
    [sym__heredoc_body_start] = ACTIONS(1295),
    [sym__element_reference_left_bracket] = ACTIONS(1295),
    [sym__infix_scope_colons] = ACTIONS(1295),
    [sym__binary_minus] = ACTIONS(1295),
    [sym__binary_star] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RPAREN] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1295),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_STAR_STAR] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_AMP_DOT] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1295),
    [anon_sym_DOT_DOT] = ACTIONS(1297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1295),
    [anon_sym_and] = ACTIONS(1295),
    [anon_sym_or] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1295),
    [anon_sym_AMP_AMP] = ACTIONS(1295),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_EQ_EQ] = ACTIONS(1297),
    [anon_sym_BANG_EQ] = ACTIONS(1295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ_GT] = ACTIONS(1295),
    [anon_sym_EQ_TILDE] = ACTIONS(1295),
    [anon_sym_BANG_TILDE] = ACTIONS(1295),
    [anon_sym_LT_EQ] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_CARET] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_PERCENT] = ACTIONS(1295),
    [sym_comment] = ACTIONS(87),
  },
  [5049] = {
    [anon_sym_RPAREN] = ACTIONS(10695),
    [sym_comment] = ACTIONS(87),
  },
  [5050] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7793),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(7793),
    [sym_operator_assignment] = STATE(7793),
    [sym_conditional] = STATE(7793),
    [sym_range] = STATE(7793),
    [sym_binary] = STATE(7793),
    [sym_unary] = STATE(7793),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5051] = {
    [sym_superclass] = STATE(7794),
    [sym_heredoc_body] = STATE(7795),
    [sym__terminator] = STATE(7795),
    [sym__line_break] = ACTIONS(10697),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(10697),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5052] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_superclass] = STATE(7794),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(7795),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(7795),
    [sym__line_break] = ACTIONS(10697),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(10697),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5053] = {
    [sym_heredoc_body] = STATE(7797),
    [sym__terminator] = STATE(7797),
    [sym__line_break] = ACTIONS(10699),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(10699),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(10701),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5054] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(7797),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(7797),
    [sym__line_break] = ACTIONS(10699),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(10699),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_end] = ACTIONS(10701),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5055] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7798),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7798),
    [sym_operator_assignment] = STATE(7798),
    [sym_conditional] = STATE(7798),
    [sym_range] = STATE(7798),
    [sym_binary] = STATE(7798),
    [sym_unary] = STATE(7798),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5056] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7799),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7799),
    [sym_operator_assignment] = STATE(7799),
    [sym_conditional] = STATE(7799),
    [sym_range] = STATE(7799),
    [sym_binary] = STATE(7799),
    [sym_unary] = STATE(7799),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5057] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(7801),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(7802),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(10703),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5058] = {
    [sym__keyword_colon] = ACTIONS(10705),
    [sym_comment] = ACTIONS(87),
  },
  [5059] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7804),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7804),
    [sym_operator_assignment] = STATE(7804),
    [sym_conditional] = STATE(7804),
    [sym_range] = STATE(7804),
    [sym_binary] = STATE(7804),
    [sym_unary] = STATE(7804),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5060] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(10705),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5061] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(10707),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5062] = {
    [sym__heredoc_body_start] = ACTIONS(1689),
    [sym__element_reference_left_bracket] = ACTIONS(1689),
    [sym__infix_scope_colons] = ACTIONS(1689),
    [sym__binary_minus] = ACTIONS(1689),
    [sym__binary_star] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1691),
    [anon_sym_EQ] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1689),
    [anon_sym_AMP_DOT] = ACTIONS(1689),
    [anon_sym_QMARK] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1689),
    [anon_sym_and] = ACTIONS(1689),
    [anon_sym_or] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_AMP_AMP] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_EQ_EQ] = ACTIONS(1691),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1689),
    [anon_sym_LT_EQ_GT] = ACTIONS(1689),
    [anon_sym_EQ_TILDE] = ACTIONS(1689),
    [anon_sym_BANG_TILDE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1689),
    [anon_sym_PERCENT] = ACTIONS(1689),
    [sym_comment] = ACTIONS(87),
  },
  [5063] = {
    [sym_heredoc_body] = STATE(7807),
    [aux_sym_call_repeat1] = STATE(7807),
    [sym__heredoc_body_start] = ACTIONS(10709),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5064] = {
    [sym_heredoc_body] = STATE(7807),
    [aux_sym_call_repeat1] = STATE(7807),
    [aux_sym_argument_list_repeat1] = STATE(7809),
    [sym__heredoc_body_start] = ACTIONS(10709),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(10711),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5065] = {
    [sym_string] = STATE(2521),
    [aux_sym_chained_string_repeat1] = STATE(2521),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(10713),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [5066] = {
    [sym__heredoc_body_start] = ACTIONS(1709),
    [sym__element_reference_left_bracket] = ACTIONS(1709),
    [sym__infix_scope_colons] = ACTIONS(1709),
    [sym__binary_minus] = ACTIONS(1709),
    [sym__binary_star] = ACTIONS(1709),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1709),
    [anon_sym_AMP_DOT] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [sym_comment] = ACTIONS(87),
  },
  [5067] = {
    [sym__heredoc_body_start] = ACTIONS(1713),
    [sym__element_reference_left_bracket] = ACTIONS(1713),
    [sym__infix_scope_colons] = ACTIONS(1713),
    [sym__binary_minus] = ACTIONS(1713),
    [sym__binary_star] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
    [anon_sym_STAR_STAR] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1715),
    [anon_sym_EQ] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_AMP_DOT] = ACTIONS(1713),
    [anon_sym_QMARK] = ACTIONS(1713),
    [anon_sym_DOT_DOT] = ACTIONS(1715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1713),
    [anon_sym_and] = ACTIONS(1713),
    [anon_sym_or] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_AMP_AMP] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_EQ_EQ] = ACTIONS(1715),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1713),
    [anon_sym_LT_EQ_GT] = ACTIONS(1713),
    [anon_sym_EQ_TILDE] = ACTIONS(1713),
    [anon_sym_BANG_TILDE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_PERCENT] = ACTIONS(1713),
    [sym_comment] = ACTIONS(87),
  },
  [5068] = {
    [sym__heredoc_body_start] = ACTIONS(1717),
    [sym__element_reference_left_bracket] = ACTIONS(1717),
    [sym__infix_scope_colons] = ACTIONS(1717),
    [sym__binary_minus] = ACTIONS(1717),
    [sym__binary_star] = ACTIONS(1717),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_EQ] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1717),
    [anon_sym_AMP_DOT] = ACTIONS(1717),
    [anon_sym_QMARK] = ACTIONS(1717),
    [anon_sym_DOT_DOT] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(1717),
    [anon_sym_or] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE] = ACTIONS(1717),
    [anon_sym_AMP_AMP] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1717),
    [anon_sym_GT_GT] = ACTIONS(1717),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1717),
    [anon_sym_LT_EQ_GT] = ACTIONS(1717),
    [anon_sym_EQ_TILDE] = ACTIONS(1717),
    [anon_sym_BANG_TILDE] = ACTIONS(1717),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1717),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_PLUS] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [sym_comment] = ACTIONS(87),
  },
  [5069] = {
    [sym__then] = STATE(7811),
    [sym_heredoc_body] = STATE(1027),
    [sym__terminator] = STATE(1027),
    [sym__line_break] = ACTIONS(1751),
    [sym__heredoc_body_start] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(10715),
    [sym_comment] = ACTIONS(87),
  },
  [5070] = {
    [sym__then] = STATE(7812),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(10717),
    [sym_comment] = ACTIONS(87),
  },
  [5071] = {
    [sym__do] = STATE(7813),
    [sym_heredoc_body] = STATE(7813),
    [sym__terminator] = STATE(7813),
    [sym__line_break] = ACTIONS(10719),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(10719),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(10719),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [5072] = {
    [sym__do] = STATE(7814),
    [sym_heredoc_body] = STATE(7814),
    [sym__terminator] = STATE(7814),
    [sym__line_break] = ACTIONS(10721),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(10721),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(10721),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [5073] = {
    [sym_in] = STATE(7815),
    [anon_sym_in] = ACTIONS(1985),
    [sym_comment] = ACTIONS(87),
  },
  [5074] = {
    [sym_heredoc_body] = STATE(7816),
    [sym__terminator] = STATE(7816),
    [sym__line_break] = ACTIONS(10723),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(10723),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [5075] = {
    [sym_when] = STATE(7817),
    [aux_sym_case_repeat1] = STATE(7818),
    [anon_sym_SEMI] = ACTIONS(10725),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [5076] = {
    [sym_else] = STATE(7820),
    [sym_ensure] = STATE(7821),
    [sym_rescue] = STATE(7822),
    [anon_sym_end] = ACTIONS(10727),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [5077] = {
    [sym_ensure] = STATE(7821),
    [anon_sym_end] = ACTIONS(10727),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [5078] = {
    [anon_sym_end] = ACTIONS(10727),
    [sym_comment] = ACTIONS(87),
  },
  [5079] = {
    [sym_else] = STATE(7820),
    [sym_ensure] = STATE(7821),
    [anon_sym_end] = ACTIONS(10727),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [5080] = {
    [sym__heredoc_body_start] = ACTIONS(2205),
    [sym__element_reference_left_bracket] = ACTIONS(2205),
    [sym__infix_scope_colons] = ACTIONS(2205),
    [sym__binary_minus] = ACTIONS(2205),
    [sym__binary_star] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_STAR_STAR] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_EQ] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_AMP_DOT] = ACTIONS(2205),
    [anon_sym_QMARK] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_and] = ACTIONS(2205),
    [anon_sym_or] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_GT_GT] = ACTIONS(2205),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_LT_EQ_GT] = ACTIONS(2205),
    [anon_sym_EQ_TILDE] = ACTIONS(2205),
    [anon_sym_BANG_TILDE] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2205),
    [sym_comment] = ACTIONS(87),
  },
  [5081] = {
    [sym__statements] = STATE(5076),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(5077),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(5078),
    [sym_rescue] = STATE(5079),
    [sym__body_statement] = STATE(7823),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10729),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5082] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5083] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [5084] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(2279),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5085] = {
    [sym__heredoc_body_start] = ACTIONS(2291),
    [sym__element_reference_left_bracket] = ACTIONS(2291),
    [sym__infix_scope_colons] = ACTIONS(2291),
    [sym__binary_minus] = ACTIONS(2291),
    [sym__binary_star] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2291),
    [anon_sym_RPAREN] = ACTIONS(2291),
    [anon_sym_DOT] = ACTIONS(2293),
    [anon_sym_COMMA] = ACTIONS(2291),
    [anon_sym_PIPE] = ACTIONS(2293),
    [anon_sym_STAR_STAR] = ACTIONS(2291),
    [anon_sym_AMP] = ACTIONS(2293),
    [anon_sym_EQ] = ACTIONS(2293),
    [anon_sym_LT] = ACTIONS(2293),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_AMP_DOT] = ACTIONS(2291),
    [anon_sym_QMARK] = ACTIONS(2291),
    [anon_sym_DOT_DOT] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2291),
    [anon_sym_and] = ACTIONS(2291),
    [anon_sym_or] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE] = ACTIONS(2291),
    [anon_sym_AMP_AMP] = ACTIONS(2291),
    [anon_sym_LT_LT] = ACTIONS(2291),
    [anon_sym_GT_GT] = ACTIONS(2291),
    [anon_sym_EQ_EQ] = ACTIONS(2293),
    [anon_sym_BANG_EQ] = ACTIONS(2291),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2291),
    [anon_sym_LT_EQ_GT] = ACTIONS(2291),
    [anon_sym_EQ_TILDE] = ACTIONS(2291),
    [anon_sym_BANG_TILDE] = ACTIONS(2291),
    [anon_sym_LT_EQ] = ACTIONS(2293),
    [anon_sym_GT] = ACTIONS(2293),
    [anon_sym_GT_EQ] = ACTIONS(2291),
    [anon_sym_CARET] = ACTIONS(2291),
    [anon_sym_PLUS] = ACTIONS(2291),
    [anon_sym_SLASH] = ACTIONS(2291),
    [anon_sym_PERCENT] = ACTIONS(2291),
    [sym_comment] = ACTIONS(87),
  },
  [5086] = {
    [sym__heredoc_body_start] = ACTIONS(2375),
    [sym__element_reference_left_bracket] = ACTIONS(2375),
    [sym__infix_scope_colons] = ACTIONS(2375),
    [sym__binary_minus] = ACTIONS(2375),
    [sym__binary_star] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_COMMA] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2377),
    [anon_sym_STAR_STAR] = ACTIONS(2375),
    [anon_sym_AMP] = ACTIONS(2377),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LT] = ACTIONS(2377),
    [anon_sym_do] = ACTIONS(2375),
    [anon_sym_AMP_DOT] = ACTIONS(2375),
    [anon_sym_QMARK] = ACTIONS(2375),
    [anon_sym_DOT_DOT] = ACTIONS(2377),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2375),
    [anon_sym_and] = ACTIONS(2375),
    [anon_sym_or] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE] = ACTIONS(2375),
    [anon_sym_AMP_AMP] = ACTIONS(2375),
    [anon_sym_LT_LT] = ACTIONS(2375),
    [anon_sym_GT_GT] = ACTIONS(2375),
    [anon_sym_EQ_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2375),
    [anon_sym_LT_EQ_GT] = ACTIONS(2375),
    [anon_sym_EQ_TILDE] = ACTIONS(2375),
    [anon_sym_BANG_TILDE] = ACTIONS(2375),
    [anon_sym_LT_EQ] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2375),
    [anon_sym_CARET] = ACTIONS(2375),
    [anon_sym_PLUS] = ACTIONS(2375),
    [anon_sym_SLASH] = ACTIONS(2375),
    [anon_sym_PERCENT] = ACTIONS(2375),
    [sym_comment] = ACTIONS(87),
  },
  [5087] = {
    [sym_heredoc_body] = STATE(7825),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(10731),
    [sym_comment] = ACTIONS(87),
  },
  [5088] = {
    [anon_sym_RBRACK] = ACTIONS(10731),
    [sym_comment] = ACTIONS(87),
  },
  [5089] = {
    [sym__statements] = STATE(7827),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(7828),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(10733),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5090] = {
    [sym__statements] = STATE(7830),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(7831),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(7832),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(7832),
    [sym__line_break] = ACTIONS(10735),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10737),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5091] = {
    [sym_do_block] = STATE(7833),
    [sym_block] = STATE(7833),
    [anon_sym_LBRACE] = ACTIONS(7589),
    [anon_sym_do] = ACTIONS(10739),
    [sym_comment] = ACTIONS(87),
  },
  [5092] = {
    [sym__heredoc_body_start] = ACTIONS(2521),
    [sym__element_reference_left_bracket] = ACTIONS(2521),
    [sym__infix_scope_colons] = ACTIONS(2521),
    [sym__binary_minus] = ACTIONS(2521),
    [sym__binary_star] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_STAR_STAR] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_EQ] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_AMP_DOT] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_DOT_DOT] = ACTIONS(2523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2521),
    [anon_sym_and] = ACTIONS(2521),
    [anon_sym_or] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2521),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_LT_LT] = ACTIONS(2521),
    [anon_sym_GT_GT] = ACTIONS(2521),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2521),
    [anon_sym_LT_EQ_GT] = ACTIONS(2521),
    [anon_sym_EQ_TILDE] = ACTIONS(2521),
    [anon_sym_BANG_TILDE] = ACTIONS(2521),
    [anon_sym_LT_EQ] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_GT_EQ] = ACTIONS(2521),
    [anon_sym_CARET] = ACTIONS(2521),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [sym_comment] = ACTIONS(87),
  },
  [5093] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7834),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7834),
    [sym_operator_assignment] = STATE(7834),
    [sym_conditional] = STATE(7834),
    [sym_range] = STATE(7834),
    [sym_binary] = STATE(7834),
    [sym_unary] = STATE(7834),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5094] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7835),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7835),
    [sym_operator_assignment] = STATE(7835),
    [sym_conditional] = STATE(7835),
    [sym_range] = STATE(7835),
    [sym_binary] = STATE(7835),
    [sym_unary] = STATE(7835),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5095] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7836),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7836),
    [sym_operator_assignment] = STATE(7836),
    [sym_conditional] = STATE(7836),
    [sym_range] = STATE(7836),
    [sym_binary] = STATE(7836),
    [sym_unary] = STATE(7836),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5096] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7837),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7837),
    [sym_operator_assignment] = STATE(7837),
    [sym_conditional] = STATE(7837),
    [sym_range] = STATE(7837),
    [sym_binary] = STATE(7837),
    [sym_unary] = STATE(7837),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5097] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7838),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7838),
    [sym_operator_assignment] = STATE(7838),
    [sym_conditional] = STATE(7838),
    [sym_range] = STATE(7838),
    [sym_binary] = STATE(7838),
    [sym_unary] = STATE(7838),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5098] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7839),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7839),
    [sym_operator_assignment] = STATE(7839),
    [sym_conditional] = STATE(7839),
    [sym_range] = STATE(7839),
    [sym_binary] = STATE(7839),
    [sym_unary] = STATE(7839),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5099] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7840),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7840),
    [sym_operator_assignment] = STATE(7840),
    [sym_conditional] = STATE(7840),
    [sym_range] = STATE(7840),
    [sym_binary] = STATE(7840),
    [sym_unary] = STATE(7840),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5100] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7841),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7841),
    [sym_operator_assignment] = STATE(7841),
    [sym_conditional] = STATE(7841),
    [sym_range] = STATE(7841),
    [sym_binary] = STATE(7841),
    [sym_unary] = STATE(7841),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5101] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7842),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7842),
    [sym_operator_assignment] = STATE(7842),
    [sym_conditional] = STATE(7842),
    [sym_range] = STATE(7842),
    [sym_binary] = STATE(7842),
    [sym_unary] = STATE(7842),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5102] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7843),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7843),
    [sym_operator_assignment] = STATE(7843),
    [sym_conditional] = STATE(7843),
    [sym_range] = STATE(7843),
    [sym_binary] = STATE(7843),
    [sym_unary] = STATE(7843),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5103] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7844),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7844),
    [sym_operator_assignment] = STATE(7844),
    [sym_conditional] = STATE(7844),
    [sym_range] = STATE(7844),
    [sym_binary] = STATE(7844),
    [sym_unary] = STATE(7844),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5104] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7845),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7845),
    [sym_operator_assignment] = STATE(7845),
    [sym_conditional] = STATE(7845),
    [sym_range] = STATE(7845),
    [sym_binary] = STATE(7845),
    [sym_unary] = STATE(7845),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5105] = {
    [sym__statements] = STATE(4432),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(4433),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(2058),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(2059),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(10741),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5106] = {
    [sym_do_block] = STATE(4455),
    [sym_block] = STATE(4455),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(6837),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_unless] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_until] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_RBRACK] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [5107] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7847),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_splat_argument] = STATE(7849),
    [sym_assignment] = STATE(7847),
    [sym_operator_assignment] = STATE(7847),
    [sym_conditional] = STATE(7847),
    [sym_range] = STATE(7847),
    [sym_binary] = STATE(7847),
    [sym_unary] = STATE(7847),
    [sym_right_assignment_list] = STATE(7848),
    [sym__arg_or_splat_arg] = STATE(7849),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(7571),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5108] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7850),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(7850),
    [sym_operator_assignment] = STATE(7850),
    [sym_conditional] = STATE(7850),
    [sym_range] = STATE(7850),
    [sym_binary] = STATE(7850),
    [sym_unary] = STATE(7850),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [5109] = {
    [sym_string] = STATE(7851),
    [aux_sym_chained_string_repeat1] = STATE(7851),
    [sym__string_start] = ACTIONS(3916),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [5110] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(7611),
    [anon_sym_or] = ACTIONS(7611),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [5111] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5112] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5113] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7852),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(7852),
    [sym_operator_assignment] = STATE(7852),
    [sym_conditional] = STATE(7852),
    [sym_range] = STATE(7852),
    [sym_binary] = STATE(7852),
    [sym_unary] = STATE(7852),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5114] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5115] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7853),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(7853),
    [sym_operator_assignment] = STATE(7853),
    [sym_conditional] = STATE(7853),
    [sym_range] = STATE(7853),
    [sym_binary] = STATE(7853),
    [sym_unary] = STATE(7853),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5116] = {
    [sym_heredoc_body] = STATE(7854),
    [aux_sym_call_repeat1] = STATE(7854),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5117] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2495),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(2495),
    [sym_operator_assignment] = STATE(2495),
    [sym_conditional] = STATE(2495),
    [sym_range] = STATE(2495),
    [sym_binary] = STATE(2495),
    [sym_unary] = STATE(2495),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2498),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(7855),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(3984),
    [sym__splat_star] = ACTIONS(3986),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__identifier_hash_key] = ACTIONS(3988),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10743),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(3992),
    [sym_identifier] = ACTIONS(3992),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5118] = {
    [sym_heredoc_body] = STATE(7856),
    [aux_sym_call_repeat1] = STATE(7856),
    [aux_sym_argument_list_repeat1] = STATE(7857),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(7635),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5119] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7858),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(7858),
    [sym_operator_assignment] = STATE(7858),
    [sym_conditional] = STATE(7858),
    [sym_range] = STATE(7858),
    [sym_binary] = STATE(7858),
    [sym_unary] = STATE(7858),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5120] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5121] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [5122] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5123] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [5124] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5125] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5126] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(7611),
    [anon_sym_or] = ACTIONS(7611),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [5127] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10745),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [5128] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5129] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5130] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5131] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5132] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5133] = {
    [sym_heredoc_body] = STATE(5133),
    [aux_sym_call_repeat1] = STATE(5133),
    [sym__heredoc_body_start] = ACTIONS(10631),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7800),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_EQ] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [5134] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(867),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym__argument] = STATE(7750),
    [sym_splat_argument] = STATE(7750),
    [sym_hash_splat_argument] = STATE(7750),
    [sym_block_argument] = STATE(7750),
    [sym_assignment] = STATE(867),
    [sym_operator_assignment] = STATE(867),
    [sym_conditional] = STATE(867),
    [sym_range] = STATE(867),
    [sym_binary] = STATE(867),
    [sym_unary] = STATE(867),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(874),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7750),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1489),
    [sym__splat_star] = ACTIONS(1491),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__identifier_hash_key] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1517),
    [sym_identifier] = ACTIONS(1517),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5135] = {
    [sym_heredoc_body] = STATE(5133),
    [aux_sym_call_repeat1] = STATE(5133),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7815),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_EQ] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [5136] = {
    [aux_sym_argument_list_repeat1] = STATE(5136),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7811),
    [anon_sym_COMMA] = ACTIONS(10747),
    [anon_sym_EQ] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [5137] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5138] = {
    [aux_sym_exceptions_repeat1] = STATE(7861),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [5139] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [5140] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(7611),
    [anon_sym_or] = ACTIONS(7611),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [5141] = {
    [sym_string] = STATE(5141),
    [aux_sym_chained_string_repeat1] = STATE(5141),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [5142] = {
    [sym__line_break] = ACTIONS(10750),
    [sym__heredoc_body_start] = ACTIONS(10750),
    [sym__element_reference_left_bracket] = ACTIONS(10750),
    [sym__infix_scope_colons] = ACTIONS(10750),
    [sym__binary_minus] = ACTIONS(10750),
    [sym__binary_star] = ACTIONS(10750),
    [ts_builtin_sym_end] = ACTIONS(10750),
    [anon_sym___END__] = ACTIONS(10750),
    [anon_sym_LBRACE] = ACTIONS(10750),
    [anon_sym_RBRACE] = ACTIONS(10750),
    [anon_sym_RPAREN] = ACTIONS(10750),
    [anon_sym_DOT] = ACTIONS(10752),
    [anon_sym_COMMA] = ACTIONS(10750),
    [anon_sym_PIPE] = ACTIONS(10752),
    [anon_sym_SEMI] = ACTIONS(10750),
    [anon_sym_STAR_STAR] = ACTIONS(10750),
    [anon_sym_AMP] = ACTIONS(10752),
    [anon_sym_LT] = ACTIONS(10752),
    [anon_sym_end] = ACTIONS(10750),
    [anon_sym_if] = ACTIONS(10750),
    [anon_sym_unless] = ACTIONS(10750),
    [anon_sym_while] = ACTIONS(10750),
    [anon_sym_until] = ACTIONS(10750),
    [anon_sym_rescue] = ACTIONS(10750),
    [anon_sym_do] = ACTIONS(10750),
    [anon_sym_when] = ACTIONS(10750),
    [anon_sym_elsif] = ACTIONS(10750),
    [anon_sym_else] = ACTIONS(10750),
    [anon_sym_then] = ACTIONS(10750),
    [anon_sym_ensure] = ACTIONS(10750),
    [anon_sym_EQ_GT] = ACTIONS(10750),
    [anon_sym_AMP_DOT] = ACTIONS(10750),
    [anon_sym_QMARK] = ACTIONS(10750),
    [anon_sym_DOT_DOT] = ACTIONS(10752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10750),
    [anon_sym_and] = ACTIONS(10750),
    [anon_sym_or] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE] = ACTIONS(10750),
    [anon_sym_AMP_AMP] = ACTIONS(10750),
    [anon_sym_LT_LT] = ACTIONS(10750),
    [anon_sym_GT_GT] = ACTIONS(10750),
    [anon_sym_EQ_EQ] = ACTIONS(10752),
    [anon_sym_BANG_EQ] = ACTIONS(10750),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10750),
    [anon_sym_LT_EQ_GT] = ACTIONS(10750),
    [anon_sym_EQ_TILDE] = ACTIONS(10750),
    [anon_sym_BANG_TILDE] = ACTIONS(10750),
    [anon_sym_LT_EQ] = ACTIONS(10752),
    [anon_sym_GT] = ACTIONS(10752),
    [anon_sym_GT_EQ] = ACTIONS(10750),
    [anon_sym_CARET] = ACTIONS(10750),
    [anon_sym_PLUS] = ACTIONS(10750),
    [anon_sym_SLASH] = ACTIONS(10750),
    [anon_sym_PERCENT] = ACTIONS(10750),
    [sym_comment] = ACTIONS(87),
  },
  [5143] = {
    [sym__line_break] = ACTIONS(10754),
    [sym__heredoc_body_start] = ACTIONS(10754),
    [sym__element_reference_left_bracket] = ACTIONS(10754),
    [sym__infix_scope_colons] = ACTIONS(10754),
    [sym__binary_minus] = ACTIONS(10754),
    [sym__binary_star] = ACTIONS(10754),
    [ts_builtin_sym_end] = ACTIONS(10754),
    [anon_sym___END__] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_RBRACE] = ACTIONS(10754),
    [anon_sym_RPAREN] = ACTIONS(10754),
    [anon_sym_DOT] = ACTIONS(10756),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_PIPE] = ACTIONS(10756),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_STAR_STAR] = ACTIONS(10754),
    [anon_sym_AMP] = ACTIONS(10756),
    [anon_sym_LT] = ACTIONS(10756),
    [anon_sym_end] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_unless] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [anon_sym_until] = ACTIONS(10754),
    [anon_sym_rescue] = ACTIONS(10754),
    [anon_sym_do] = ACTIONS(10754),
    [anon_sym_when] = ACTIONS(10754),
    [anon_sym_elsif] = ACTIONS(10754),
    [anon_sym_else] = ACTIONS(10754),
    [anon_sym_then] = ACTIONS(10754),
    [anon_sym_ensure] = ACTIONS(10754),
    [anon_sym_EQ_GT] = ACTIONS(10754),
    [anon_sym_AMP_DOT] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_DOT_DOT] = ACTIONS(10756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_and] = ACTIONS(10754),
    [anon_sym_or] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE] = ACTIONS(10754),
    [anon_sym_AMP_AMP] = ACTIONS(10754),
    [anon_sym_LT_LT] = ACTIONS(10754),
    [anon_sym_GT_GT] = ACTIONS(10754),
    [anon_sym_EQ_EQ] = ACTIONS(10756),
    [anon_sym_BANG_EQ] = ACTIONS(10754),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10754),
    [anon_sym_LT_EQ_GT] = ACTIONS(10754),
    [anon_sym_EQ_TILDE] = ACTIONS(10754),
    [anon_sym_BANG_TILDE] = ACTIONS(10754),
    [anon_sym_LT_EQ] = ACTIONS(10756),
    [anon_sym_GT] = ACTIONS(10756),
    [anon_sym_GT_EQ] = ACTIONS(10754),
    [anon_sym_CARET] = ACTIONS(10754),
    [anon_sym_PLUS] = ACTIONS(10754),
    [anon_sym_SLASH] = ACTIONS(10754),
    [anon_sym_PERCENT] = ACTIONS(10754),
    [sym_comment] = ACTIONS(87),
  },
  [5144] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5145] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7862),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7862),
    [sym_operator_assignment] = STATE(7862),
    [sym_conditional] = STATE(7862),
    [sym_range] = STATE(7862),
    [sym_binary] = STATE(7862),
    [sym_unary] = STATE(7862),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5146] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7863),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7863),
    [sym_operator_assignment] = STATE(7863),
    [sym_conditional] = STATE(7863),
    [sym_range] = STATE(7863),
    [sym_binary] = STATE(7863),
    [sym_unary] = STATE(7863),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5147] = {
    [sym__keyword_colon] = ACTIONS(10758),
    [sym_comment] = ACTIONS(87),
  },
  [5148] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7865),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7865),
    [sym_operator_assignment] = STATE(7865),
    [sym_conditional] = STATE(7865),
    [sym_range] = STATE(7865),
    [sym_binary] = STATE(7865),
    [sym_unary] = STATE(7865),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5149] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(10758),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5150] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(10760),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5151] = {
    [sym_heredoc_body] = STATE(7867),
    [aux_sym_call_repeat1] = STATE(7867),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5152] = {
    [sym_heredoc_body] = STATE(7867),
    [aux_sym_call_repeat1] = STATE(7867),
    [aux_sym_argument_list_repeat1] = STATE(7869),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(10762),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5153] = {
    [sym_string] = STATE(2576),
    [aux_sym_chained_string_repeat1] = STATE(2576),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(10764),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [5154] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5155] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [5156] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7871),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7871),
    [sym_operator_assignment] = STATE(7871),
    [sym_conditional] = STATE(7871),
    [sym_range] = STATE(7871),
    [sym_binary] = STATE(7871),
    [sym_unary] = STATE(7871),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5157] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7872),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7872),
    [sym_operator_assignment] = STATE(7872),
    [sym_conditional] = STATE(7872),
    [sym_range] = STATE(7872),
    [sym_binary] = STATE(7872),
    [sym_unary] = STATE(7872),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5158] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7873),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7873),
    [sym_operator_assignment] = STATE(7873),
    [sym_conditional] = STATE(7873),
    [sym_range] = STATE(7873),
    [sym_binary] = STATE(7873),
    [sym_unary] = STATE(7873),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5159] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7874),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7874),
    [sym_operator_assignment] = STATE(7874),
    [sym_conditional] = STATE(7874),
    [sym_range] = STATE(7874),
    [sym_binary] = STATE(7874),
    [sym_unary] = STATE(7874),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5160] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7875),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7875),
    [sym_operator_assignment] = STATE(7875),
    [sym_conditional] = STATE(7875),
    [sym_range] = STATE(7875),
    [sym_binary] = STATE(7875),
    [sym_unary] = STATE(7875),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5161] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7876),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7876),
    [sym_operator_assignment] = STATE(7876),
    [sym_conditional] = STATE(7876),
    [sym_range] = STATE(7876),
    [sym_binary] = STATE(7876),
    [sym_unary] = STATE(7876),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5162] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7877),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7877),
    [sym_operator_assignment] = STATE(7877),
    [sym_conditional] = STATE(7877),
    [sym_range] = STATE(7877),
    [sym_binary] = STATE(7877),
    [sym_unary] = STATE(7877),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5163] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7878),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7878),
    [sym_operator_assignment] = STATE(7878),
    [sym_conditional] = STATE(7878),
    [sym_range] = STATE(7878),
    [sym_binary] = STATE(7878),
    [sym_unary] = STATE(7878),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5164] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7879),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7879),
    [sym_operator_assignment] = STATE(7879),
    [sym_conditional] = STATE(7879),
    [sym_range] = STATE(7879),
    [sym_binary] = STATE(7879),
    [sym_unary] = STATE(7879),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5165] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7880),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7880),
    [sym_operator_assignment] = STATE(7880),
    [sym_conditional] = STATE(7880),
    [sym_range] = STATE(7880),
    [sym_binary] = STATE(7880),
    [sym_unary] = STATE(7880),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5166] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7881),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7881),
    [sym_operator_assignment] = STATE(7881),
    [sym_conditional] = STATE(7881),
    [sym_range] = STATE(7881),
    [sym_binary] = STATE(7881),
    [sym_unary] = STATE(7881),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5167] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7882),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7882),
    [sym_operator_assignment] = STATE(7882),
    [sym_conditional] = STATE(7882),
    [sym_range] = STATE(7882),
    [sym_binary] = STATE(7882),
    [sym_unary] = STATE(7882),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5168] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7883),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_splat_argument] = STATE(7884),
    [sym_assignment] = STATE(7883),
    [sym_operator_assignment] = STATE(7883),
    [sym_conditional] = STATE(7883),
    [sym_range] = STATE(7883),
    [sym_binary] = STATE(7883),
    [sym_unary] = STATE(7883),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(7884),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(7654),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5169] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7885),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(7885),
    [sym_operator_assignment] = STATE(7885),
    [sym_conditional] = STATE(7885),
    [sym_range] = STATE(7885),
    [sym_binary] = STATE(7885),
    [sym_unary] = STATE(7885),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5170] = {
    [sym_string] = STATE(7886),
    [aux_sym_chained_string_repeat1] = STATE(7886),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [5171] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(7678),
    [anon_sym_or] = ACTIONS(7678),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [5172] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5173] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5174] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7887),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(7887),
    [sym_operator_assignment] = STATE(7887),
    [sym_conditional] = STATE(7887),
    [sym_range] = STATE(7887),
    [sym_binary] = STATE(7887),
    [sym_unary] = STATE(7887),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5175] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5176] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7888),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(7888),
    [sym_operator_assignment] = STATE(7888),
    [sym_conditional] = STATE(7888),
    [sym_range] = STATE(7888),
    [sym_binary] = STATE(7888),
    [sym_unary] = STATE(7888),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5177] = {
    [sym_heredoc_body] = STATE(7889),
    [aux_sym_call_repeat1] = STATE(7889),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5178] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2551),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(2551),
    [sym_operator_assignment] = STATE(2551),
    [sym_conditional] = STATE(2551),
    [sym_range] = STATE(2551),
    [sym_binary] = STATE(2551),
    [sym_unary] = STATE(2551),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2554),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(7890),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(4068),
    [sym__splat_star] = ACTIONS(4070),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(4072),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10766),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(4076),
    [sym_identifier] = ACTIONS(4076),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5179] = {
    [sym_heredoc_body] = STATE(7891),
    [aux_sym_call_repeat1] = STATE(7891),
    [aux_sym_argument_list_repeat1] = STATE(7892),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(7700),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5180] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7893),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(7893),
    [sym_operator_assignment] = STATE(7893),
    [sym_conditional] = STATE(7893),
    [sym_range] = STATE(7893),
    [sym_binary] = STATE(7893),
    [sym_unary] = STATE(7893),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5181] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5182] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [5183] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5184] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [5185] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5186] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5187] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(7678),
    [anon_sym_or] = ACTIONS(7678),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [5188] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10768),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [5189] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5190] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5191] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5192] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5193] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5194] = {
    [sym_heredoc_body] = STATE(5194),
    [aux_sym_call_repeat1] = STATE(5194),
    [sym__heredoc_body_start] = ACTIONS(10631),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [5195] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym__argument] = STATE(7750),
    [sym_splat_argument] = STATE(7750),
    [sym_hash_splat_argument] = STATE(7750),
    [sym_block_argument] = STATE(7750),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7750),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5196] = {
    [sym_heredoc_body] = STATE(5194),
    [aux_sym_call_repeat1] = STATE(5194),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [5197] = {
    [aux_sym_argument_list_repeat1] = STATE(5197),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7811),
    [anon_sym_COMMA] = ACTIONS(10770),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [5198] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5199] = {
    [aux_sym_exceptions_repeat1] = STATE(7896),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [5200] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [5201] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(7678),
    [anon_sym_or] = ACTIONS(7678),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [5202] = {
    [sym_string] = STATE(5202),
    [aux_sym_chained_string_repeat1] = STATE(5202),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [5203] = {
    [sym_heredoc_body] = STATE(7897),
    [aux_sym_call_repeat1] = STATE(7897),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [ts_builtin_sym_end] = ACTIONS(4306),
    [anon_sym___END__] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5204] = {
    [sym_heredoc_body] = STATE(7898),
    [aux_sym_call_repeat1] = STATE(7898),
    [aux_sym_argument_list_repeat1] = STATE(2717),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [ts_builtin_sym_end] = ACTIONS(4306),
    [anon_sym___END__] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5205] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(5790),
    [anon_sym___END__] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [5206] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [ts_builtin_sym_end] = ACTIONS(5794),
    [anon_sym___END__] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [5207] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [5208] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [5209] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [5210] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [5211] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10773),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [5212] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(5902),
    [anon_sym___END__] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [5213] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [5214] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [5215] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [5216] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [5217] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(5050),
    [anon_sym___END__] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [5218] = {
    [aux_sym_exceptions_repeat1] = STATE(7901),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [ts_builtin_sym_end] = ACTIONS(6174),
    [anon_sym___END__] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [5219] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(6188),
    [anon_sym___END__] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [5220] = {
    [sym_string] = STATE(5220),
    [aux_sym_chained_string_repeat1] = STATE(5220),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [ts_builtin_sym_end] = ACTIONS(6190),
    [anon_sym___END__] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [5221] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5222] = {
    [sym_heredoc_body] = STATE(7902),
    [aux_sym_call_repeat1] = STATE(7902),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5223] = {
    [sym_heredoc_body] = STATE(7902),
    [aux_sym_call_repeat1] = STATE(7902),
    [aux_sym_argument_list_repeat1] = STATE(7903),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(7088),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5224] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5225] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [5226] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7904),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7904),
    [sym_operator_assignment] = STATE(7904),
    [sym_conditional] = STATE(7904),
    [sym_range] = STATE(7904),
    [sym_binary] = STATE(7904),
    [sym_unary] = STATE(7904),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5227] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7905),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7905),
    [sym_operator_assignment] = STATE(7905),
    [sym_conditional] = STATE(7905),
    [sym_range] = STATE(7905),
    [sym_binary] = STATE(7905),
    [sym_unary] = STATE(7905),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5228] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7906),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7906),
    [sym_operator_assignment] = STATE(7906),
    [sym_conditional] = STATE(7906),
    [sym_range] = STATE(7906),
    [sym_binary] = STATE(7906),
    [sym_unary] = STATE(7906),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5229] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7907),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7907),
    [sym_operator_assignment] = STATE(7907),
    [sym_conditional] = STATE(7907),
    [sym_range] = STATE(7907),
    [sym_binary] = STATE(7907),
    [sym_unary] = STATE(7907),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5230] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7908),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7908),
    [sym_operator_assignment] = STATE(7908),
    [sym_conditional] = STATE(7908),
    [sym_range] = STATE(7908),
    [sym_binary] = STATE(7908),
    [sym_unary] = STATE(7908),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5231] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7909),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7909),
    [sym_operator_assignment] = STATE(7909),
    [sym_conditional] = STATE(7909),
    [sym_range] = STATE(7909),
    [sym_binary] = STATE(7909),
    [sym_unary] = STATE(7909),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5232] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7910),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7910),
    [sym_operator_assignment] = STATE(7910),
    [sym_conditional] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_binary] = STATE(7910),
    [sym_unary] = STATE(7910),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5233] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7911),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7911),
    [sym_operator_assignment] = STATE(7911),
    [sym_conditional] = STATE(7911),
    [sym_range] = STATE(7911),
    [sym_binary] = STATE(7911),
    [sym_unary] = STATE(7911),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5234] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7912),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7912),
    [sym_operator_assignment] = STATE(7912),
    [sym_conditional] = STATE(7912),
    [sym_range] = STATE(7912),
    [sym_binary] = STATE(7912),
    [sym_unary] = STATE(7912),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5235] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7913),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7913),
    [sym_operator_assignment] = STATE(7913),
    [sym_conditional] = STATE(7913),
    [sym_range] = STATE(7913),
    [sym_binary] = STATE(7913),
    [sym_unary] = STATE(7913),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5236] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7914),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7914),
    [sym_operator_assignment] = STATE(7914),
    [sym_conditional] = STATE(7914),
    [sym_range] = STATE(7914),
    [sym_binary] = STATE(7914),
    [sym_unary] = STATE(7914),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5237] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7915),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7915),
    [sym_operator_assignment] = STATE(7915),
    [sym_conditional] = STATE(7915),
    [sym_range] = STATE(7915),
    [sym_binary] = STATE(7915),
    [sym_unary] = STATE(7915),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5238] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7917),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_splat_argument] = STATE(7918),
    [sym_assignment] = STATE(7917),
    [sym_operator_assignment] = STATE(7917),
    [sym_conditional] = STATE(7917),
    [sym_range] = STATE(7917),
    [sym_binary] = STATE(7917),
    [sym_unary] = STATE(7917),
    [sym_right_assignment_list] = STATE(3693),
    [sym__arg_or_splat_arg] = STATE(7918),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(10775),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5239] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7919),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(7919),
    [sym_operator_assignment] = STATE(7919),
    [sym_conditional] = STATE(7919),
    [sym_range] = STATE(7919),
    [sym_binary] = STATE(7919),
    [sym_unary] = STATE(7919),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5240] = {
    [sym_string] = STATE(7920),
    [aux_sym_chained_string_repeat1] = STATE(7920),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [5241] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(7726),
    [anon_sym_or] = ACTIONS(7726),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [5242] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [5243] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [5244] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7921),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7921),
    [sym_operator_assignment] = STATE(7921),
    [sym_conditional] = STATE(7921),
    [sym_range] = STATE(7921),
    [sym_binary] = STATE(7921),
    [sym_unary] = STATE(7921),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5245] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [5246] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7922),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7922),
    [sym_operator_assignment] = STATE(7922),
    [sym_conditional] = STATE(7922),
    [sym_range] = STATE(7922),
    [sym_binary] = STATE(7922),
    [sym_unary] = STATE(7922),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5247] = {
    [sym_heredoc_body] = STATE(7923),
    [aux_sym_call_repeat1] = STATE(7923),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5248] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2622),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(2622),
    [sym_operator_assignment] = STATE(2622),
    [sym_conditional] = STATE(2622),
    [sym_range] = STATE(2622),
    [sym_binary] = STATE(2622),
    [sym_unary] = STATE(2622),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2625),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(7924),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(4202),
    [sym__splat_star] = ACTIONS(4204),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__identifier_hash_key] = ACTIONS(4206),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10777),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(4208),
    [sym_identifier] = ACTIONS(4208),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5249] = {
    [sym_heredoc_body] = STATE(7925),
    [aux_sym_call_repeat1] = STATE(7925),
    [aux_sym_argument_list_repeat1] = STATE(7926),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(7748),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5250] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7927),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(7927),
    [sym_operator_assignment] = STATE(7927),
    [sym_conditional] = STATE(7927),
    [sym_range] = STATE(7927),
    [sym_binary] = STATE(7927),
    [sym_unary] = STATE(7927),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5251] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [5252] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [5253] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [5254] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [5255] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [5256] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4214),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [5257] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(7726),
    [anon_sym_or] = ACTIONS(7726),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [5258] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10779),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [5259] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(4214),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT] = ACTIONS(4220),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(4226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4228),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4232),
    [anon_sym_AMP_AMP] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(4236),
    [anon_sym_BANG_EQ] = ACTIONS(4232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4232),
    [anon_sym_LT_EQ_GT] = ACTIONS(4232),
    [anon_sym_EQ_TILDE] = ACTIONS(4232),
    [anon_sym_BANG_TILDE] = ACTIONS(4232),
    [anon_sym_LT_EQ] = ACTIONS(4220),
    [anon_sym_GT] = ACTIONS(4220),
    [anon_sym_GT_EQ] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [5260] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4214),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT] = ACTIONS(4220),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(4224),
    [anon_sym_DOT_DOT] = ACTIONS(4226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4228),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(4232),
    [anon_sym_AMP_AMP] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(4236),
    [anon_sym_BANG_EQ] = ACTIONS(4232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4232),
    [anon_sym_LT_EQ_GT] = ACTIONS(4232),
    [anon_sym_EQ_TILDE] = ACTIONS(4232),
    [anon_sym_BANG_TILDE] = ACTIONS(4232),
    [anon_sym_LT_EQ] = ACTIONS(4220),
    [anon_sym_GT] = ACTIONS(4220),
    [anon_sym_GT_EQ] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [5261] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4214),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT] = ACTIONS(4220),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(4236),
    [anon_sym_BANG_EQ] = ACTIONS(4232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4232),
    [anon_sym_LT_EQ_GT] = ACTIONS(4232),
    [anon_sym_EQ_TILDE] = ACTIONS(4232),
    [anon_sym_BANG_TILDE] = ACTIONS(4232),
    [anon_sym_LT_EQ] = ACTIONS(4220),
    [anon_sym_GT] = ACTIONS(4220),
    [anon_sym_GT_EQ] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [5262] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [5263] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [5264] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [5265] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [5266] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7929),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7929),
    [sym_operator_assignment] = STATE(7929),
    [sym_conditional] = STATE(7929),
    [sym_range] = STATE(7929),
    [sym_binary] = STATE(7929),
    [sym_unary] = STATE(7929),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5267] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [5268] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7930),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7930),
    [sym_operator_assignment] = STATE(7930),
    [sym_conditional] = STATE(7930),
    [sym_range] = STATE(7930),
    [sym_binary] = STATE(7930),
    [sym_unary] = STATE(7930),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5269] = {
    [sym_heredoc_body] = STATE(7931),
    [aux_sym_call_repeat1] = STATE(7931),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [5270] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2646),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym__argument] = STATE(4608),
    [sym_splat_argument] = STATE(4608),
    [sym_hash_splat_argument] = STATE(4608),
    [sym_block_argument] = STATE(4608),
    [sym_assignment] = STATE(2646),
    [sym_operator_assignment] = STATE(2646),
    [sym_conditional] = STATE(2646),
    [sym_range] = STATE(2646),
    [sym_binary] = STATE(2646),
    [sym_unary] = STATE(2646),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2649),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(7932),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4608),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(4244),
    [sym__splat_star] = ACTIONS(4246),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__identifier_hash_key] = ACTIONS(4248),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10781),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(4250),
    [sym_identifier] = ACTIONS(4250),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5271] = {
    [sym_heredoc_body] = STATE(7933),
    [aux_sym_call_repeat1] = STATE(7933),
    [aux_sym_argument_list_repeat1] = STATE(7934),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(7754),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [5272] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7935),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(7935),
    [sym_operator_assignment] = STATE(7935),
    [sym_conditional] = STATE(7935),
    [sym_range] = STATE(7935),
    [sym_binary] = STATE(7935),
    [sym_unary] = STATE(7935),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5273] = {
    [sym__line_break] = ACTIONS(10783),
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [ts_builtin_sym_end] = ACTIONS(10783),
    [anon_sym___END__] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RBRACE] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR_STAR] = ACTIONS(10783),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_end] = ACTIONS(10783),
    [anon_sym_if] = ACTIONS(10783),
    [anon_sym_unless] = ACTIONS(10783),
    [anon_sym_while] = ACTIONS(10783),
    [anon_sym_until] = ACTIONS(10783),
    [anon_sym_rescue] = ACTIONS(10783),
    [anon_sym_do] = ACTIONS(10783),
    [anon_sym_when] = ACTIONS(10783),
    [anon_sym_elsif] = ACTIONS(10783),
    [anon_sym_else] = ACTIONS(10783),
    [anon_sym_then] = ACTIONS(10783),
    [anon_sym_ensure] = ACTIONS(10783),
    [anon_sym_EQ_GT] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10783),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10783),
    [anon_sym_or] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE] = ACTIONS(10783),
    [anon_sym_AMP_AMP] = ACTIONS(10783),
    [anon_sym_LT_LT] = ACTIONS(10783),
    [anon_sym_GT_GT] = ACTIONS(10783),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10783),
    [anon_sym_PLUS] = ACTIONS(10783),
    [anon_sym_SLASH] = ACTIONS(10783),
    [anon_sym_PERCENT] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
  },
  [5274] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(6565),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(9341),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(9341),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5275] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7936),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(7936),
    [sym_operator_assignment] = STATE(7936),
    [sym_conditional] = STATE(7936),
    [sym_range] = STATE(7936),
    [sym_binary] = STATE(7936),
    [sym_unary] = STATE(7936),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5276] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(4214),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT] = ACTIONS(4220),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4224),
    [anon_sym_DOT_DOT] = ACTIONS(4226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4228),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4232),
    [anon_sym_AMP_AMP] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(4236),
    [anon_sym_BANG_EQ] = ACTIONS(4232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4232),
    [anon_sym_LT_EQ_GT] = ACTIONS(4232),
    [anon_sym_EQ_TILDE] = ACTIONS(4232),
    [anon_sym_BANG_TILDE] = ACTIONS(4232),
    [anon_sym_LT_EQ] = ACTIONS(4220),
    [anon_sym_GT] = ACTIONS(4220),
    [anon_sym_GT_EQ] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [5277] = {
    [aux_sym_exceptions_repeat1] = STATE(7938),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [5278] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(4214),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT] = ACTIONS(4220),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(4224),
    [anon_sym_DOT_DOT] = ACTIONS(4226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4228),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4232),
    [anon_sym_AMP_AMP] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(4236),
    [anon_sym_BANG_EQ] = ACTIONS(4232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4232),
    [anon_sym_LT_EQ_GT] = ACTIONS(4232),
    [anon_sym_EQ_TILDE] = ACTIONS(4232),
    [anon_sym_BANG_TILDE] = ACTIONS(4232),
    [anon_sym_LT_EQ] = ACTIONS(4220),
    [anon_sym_GT] = ACTIONS(4220),
    [anon_sym_GT_EQ] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [5279] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(7726),
    [anon_sym_or] = ACTIONS(7726),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [5280] = {
    [sym_string] = STATE(5280),
    [aux_sym_chained_string_repeat1] = STATE(5280),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [5281] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(6681),
    [anon_sym___END__] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [5282] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(6897),
    [anon_sym___END__] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [5283] = {
    [sym_heredoc_body] = STATE(5283),
    [aux_sym_call_repeat1] = STATE(5283),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [ts_builtin_sym_end] = ACTIONS(7800),
    [anon_sym___END__] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [5284] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(951),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(951),
    [sym_operator_assignment] = STATE(951),
    [sym_conditional] = STATE(951),
    [sym_range] = STATE(951),
    [sym_binary] = STATE(951),
    [sym_unary] = STATE(951),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(954),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(1623),
    [sym__splat_star] = ACTIONS(1625),
    [sym__unary_minus] = ACTIONS(375),
    [sym__identifier_hash_key] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(7768),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(1629),
    [sym_identifier] = ACTIONS(1629),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5285] = {
    [sym_heredoc_body] = STATE(5283),
    [aux_sym_call_repeat1] = STATE(5283),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [ts_builtin_sym_end] = ACTIONS(7815),
    [anon_sym___END__] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [5286] = {
    [aux_sym_argument_list_repeat1] = STATE(5286),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [ts_builtin_sym_end] = ACTIONS(7811),
    [anon_sym___END__] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(10787),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [5287] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(7025),
    [anon_sym___END__] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [5288] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7939),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_assignment] = STATE(7939),
    [sym_operator_assignment] = STATE(7939),
    [sym_conditional] = STATE(7939),
    [sym_range] = STATE(7939),
    [sym_binary] = STATE(7939),
    [sym_unary] = STATE(7939),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5289] = {
    [sym__line_break] = ACTIONS(9621),
    [sym__heredoc_body_start] = ACTIONS(9621),
    [sym__element_reference_left_bracket] = ACTIONS(9621),
    [sym__infix_scope_colons] = ACTIONS(9621),
    [sym__binary_minus] = ACTIONS(9621),
    [sym__binary_star] = ACTIONS(9621),
    [ts_builtin_sym_end] = ACTIONS(9621),
    [anon_sym___END__] = ACTIONS(9621),
    [anon_sym_LBRACE] = ACTIONS(9621),
    [anon_sym_RBRACE] = ACTIONS(9621),
    [anon_sym_RPAREN] = ACTIONS(9621),
    [anon_sym_DOT] = ACTIONS(9623),
    [anon_sym_COMMA] = ACTIONS(9621),
    [anon_sym_PIPE] = ACTIONS(9623),
    [anon_sym_SEMI] = ACTIONS(9621),
    [anon_sym_STAR_STAR] = ACTIONS(9623),
    [anon_sym_AMP] = ACTIONS(9623),
    [anon_sym_EQ] = ACTIONS(9623),
    [anon_sym_LT] = ACTIONS(9623),
    [anon_sym_end] = ACTIONS(9621),
    [anon_sym_if] = ACTIONS(9621),
    [anon_sym_unless] = ACTIONS(9621),
    [anon_sym_while] = ACTIONS(9621),
    [anon_sym_until] = ACTIONS(9621),
    [anon_sym_rescue] = ACTIONS(9621),
    [anon_sym_do] = ACTIONS(9621),
    [anon_sym_when] = ACTIONS(9621),
    [anon_sym_elsif] = ACTIONS(9621),
    [anon_sym_else] = ACTIONS(9621),
    [anon_sym_then] = ACTIONS(9621),
    [anon_sym_ensure] = ACTIONS(9621),
    [anon_sym_EQ_GT] = ACTIONS(9621),
    [anon_sym_AMP_DOT] = ACTIONS(9621),
    [anon_sym_PLUS_EQ] = ACTIONS(9621),
    [anon_sym_DASH_EQ] = ACTIONS(9621),
    [anon_sym_STAR_EQ] = ACTIONS(9621),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9621),
    [anon_sym_SLASH_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9621),
    [anon_sym_AMP_EQ] = ACTIONS(9621),
    [anon_sym_PERCENT_EQ] = ACTIONS(9621),
    [anon_sym_GT_GT_EQ] = ACTIONS(9621),
    [anon_sym_LT_LT_EQ] = ACTIONS(9621),
    [anon_sym_CARET_EQ] = ACTIONS(9621),
    [anon_sym_QMARK] = ACTIONS(9621),
    [anon_sym_DOT_DOT] = ACTIONS(9623),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9621),
    [anon_sym_and] = ACTIONS(9621),
    [anon_sym_or] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE] = ACTIONS(9623),
    [anon_sym_AMP_AMP] = ACTIONS(9623),
    [anon_sym_LT_LT] = ACTIONS(9623),
    [anon_sym_GT_GT] = ACTIONS(9623),
    [anon_sym_EQ_EQ] = ACTIONS(9623),
    [anon_sym_BANG_EQ] = ACTIONS(9621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9621),
    [anon_sym_LT_EQ_GT] = ACTIONS(9621),
    [anon_sym_EQ_TILDE] = ACTIONS(9621),
    [anon_sym_BANG_TILDE] = ACTIONS(9621),
    [anon_sym_LT_EQ] = ACTIONS(9623),
    [anon_sym_GT] = ACTIONS(9623),
    [anon_sym_GT_EQ] = ACTIONS(9621),
    [anon_sym_CARET] = ACTIONS(9623),
    [anon_sym_PLUS] = ACTIONS(9623),
    [anon_sym_SLASH] = ACTIONS(9623),
    [anon_sym_PERCENT] = ACTIONS(9623),
    [sym_comment] = ACTIONS(87),
  },
  [5290] = {
    [anon_sym_RBRACK] = ACTIONS(10790),
    [sym_comment] = ACTIONS(87),
  },
  [5291] = {
    [sym__line_break] = ACTIONS(4198),
    [sym__simple_symbol] = ACTIONS(4198),
    [sym__string_start] = ACTIONS(4198),
    [sym__symbol_start] = ACTIONS(4198),
    [sym__subshell_start] = ACTIONS(4198),
    [sym__regex_start] = ACTIONS(4198),
    [sym__string_array_start] = ACTIONS(4198),
    [sym__symbol_array_start] = ACTIONS(4198),
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym_heredoc_beginning] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__block_ampersand] = ACTIONS(4198),
    [sym__splat_star] = ACTIONS(4198),
    [sym__argument_list_left_paren] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__unary_minus] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [sym__identifier_hash_key] = ACTIONS(4198),
    [ts_builtin_sym_end] = ACTIONS(4198),
    [anon_sym___END__] = ACTIONS(4200),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_def] = ACTIONS(4200),
    [anon_sym_LPAREN] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COLON_COLON] = ACTIONS(4198),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR] = ACTIONS(4200),
    [anon_sym_STAR_STAR] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_class] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_module] = ACTIONS(4200),
    [anon_sym_end] = ACTIONS(4200),
    [anon_sym_return] = ACTIONS(4200),
    [anon_sym_yield] = ACTIONS(4200),
    [anon_sym_break] = ACTIONS(4200),
    [anon_sym_next] = ACTIONS(4200),
    [sym_redo] = ACTIONS(4200),
    [sym_retry] = ACTIONS(4200),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_unless] = ACTIONS(4200),
    [anon_sym_while] = ACTIONS(4200),
    [anon_sym_until] = ACTIONS(4200),
    [anon_sym_rescue] = ACTIONS(4200),
    [anon_sym_for] = ACTIONS(4200),
    [anon_sym_do] = ACTIONS(4200),
    [anon_sym_case] = ACTIONS(4200),
    [anon_sym_when] = ACTIONS(4200),
    [anon_sym_elsif] = ACTIONS(4200),
    [anon_sym_else] = ACTIONS(4200),
    [anon_sym_then] = ACTIONS(4200),
    [anon_sym_begin] = ACTIONS(4200),
    [anon_sym_ensure] = ACTIONS(4200),
    [anon_sym_EQ_GT] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS_EQ] = ACTIONS(4198),
    [anon_sym_DASH_EQ] = ACTIONS(4198),
    [anon_sym_STAR_EQ] = ACTIONS(4198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4198),
    [anon_sym_SLASH_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4198),
    [anon_sym_AMP_EQ] = ACTIONS(4198),
    [anon_sym_PERCENT_EQ] = ACTIONS(4198),
    [anon_sym_GT_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_LT_EQ] = ACTIONS(4198),
    [anon_sym_CARET_EQ] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4200),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4200),
    [anon_sym_or] = ACTIONS(4200),
    [anon_sym_PIPE_PIPE] = ACTIONS(4200),
    [anon_sym_AMP_AMP] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [anon_sym_defined_QMARK] = ACTIONS(4198),
    [anon_sym_not] = ACTIONS(4200),
    [anon_sym_BANG] = ACTIONS(4200),
    [anon_sym_TILDE] = ACTIONS(4198),
    [sym_constant] = ACTIONS(4200),
    [sym_identifier] = ACTIONS(4200),
    [sym_instance_variable] = ACTIONS(4198),
    [sym_class_variable] = ACTIONS(4198),
    [sym_global_variable] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4200),
    [sym_float] = ACTIONS(4200),
    [sym_complex] = ACTIONS(4198),
    [sym_super] = ACTIONS(4200),
    [anon_sym_true] = ACTIONS(4200),
    [anon_sym_TRUE] = ACTIONS(4200),
    [anon_sym_false] = ACTIONS(4200),
    [anon_sym_FALSE] = ACTIONS(4200),
    [sym_self] = ACTIONS(4200),
    [anon_sym_nil] = ACTIONS(4200),
    [anon_sym_NIL] = ACTIONS(4200),
    [sym_character] = ACTIONS(4198),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [anon_sym_DASH_GT] = ACTIONS(4198),
  },
  [5292] = {
    [sym_heredoc_body] = STATE(7942),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(10792),
    [sym_comment] = ACTIONS(87),
  },
  [5293] = {
    [anon_sym_RPAREN] = ACTIONS(10792),
    [sym_comment] = ACTIONS(87),
  },
  [5294] = {
    [sym__line_break] = ACTIONS(9631),
    [sym__simple_symbol] = ACTIONS(9631),
    [sym__string_start] = ACTIONS(9631),
    [sym__symbol_start] = ACTIONS(9631),
    [sym__subshell_start] = ACTIONS(9631),
    [sym__regex_start] = ACTIONS(9631),
    [sym__string_array_start] = ACTIONS(9631),
    [sym__symbol_array_start] = ACTIONS(9631),
    [sym__heredoc_body_start] = ACTIONS(9631),
    [sym_heredoc_beginning] = ACTIONS(9631),
    [sym__element_reference_left_bracket] = ACTIONS(9631),
    [sym__block_ampersand] = ACTIONS(9631),
    [sym__splat_star] = ACTIONS(9631),
    [sym__argument_list_left_paren] = ACTIONS(9631),
    [sym__infix_scope_colons] = ACTIONS(9631),
    [sym__unary_minus] = ACTIONS(9631),
    [sym__binary_minus] = ACTIONS(9631),
    [sym__binary_star] = ACTIONS(9631),
    [sym__identifier_hash_key] = ACTIONS(9631),
    [ts_builtin_sym_end] = ACTIONS(9631),
    [anon_sym___END__] = ACTIONS(9633),
    [anon_sym_LBRACE] = ACTIONS(9631),
    [anon_sym_RBRACE] = ACTIONS(9631),
    [anon_sym_def] = ACTIONS(9633),
    [anon_sym_LPAREN] = ACTIONS(9631),
    [anon_sym_RPAREN] = ACTIONS(9631),
    [anon_sym_DOT] = ACTIONS(9633),
    [anon_sym_COLON_COLON] = ACTIONS(9631),
    [anon_sym_COMMA] = ACTIONS(9631),
    [anon_sym_PIPE] = ACTIONS(9633),
    [anon_sym_SEMI] = ACTIONS(9631),
    [anon_sym_STAR] = ACTIONS(9633),
    [anon_sym_STAR_STAR] = ACTIONS(9633),
    [anon_sym_AMP] = ACTIONS(9633),
    [anon_sym_EQ] = ACTIONS(9633),
    [anon_sym_class] = ACTIONS(9633),
    [anon_sym_LT] = ACTIONS(9633),
    [anon_sym_module] = ACTIONS(9633),
    [anon_sym_end] = ACTIONS(9633),
    [anon_sym_return] = ACTIONS(9633),
    [anon_sym_yield] = ACTIONS(9633),
    [anon_sym_break] = ACTIONS(9633),
    [anon_sym_next] = ACTIONS(9633),
    [sym_redo] = ACTIONS(9633),
    [sym_retry] = ACTIONS(9633),
    [anon_sym_if] = ACTIONS(9633),
    [anon_sym_unless] = ACTIONS(9633),
    [anon_sym_while] = ACTIONS(9633),
    [anon_sym_until] = ACTIONS(9633),
    [anon_sym_rescue] = ACTIONS(9633),
    [anon_sym_for] = ACTIONS(9633),
    [anon_sym_do] = ACTIONS(9633),
    [anon_sym_case] = ACTIONS(9633),
    [anon_sym_when] = ACTIONS(9633),
    [anon_sym_elsif] = ACTIONS(9633),
    [anon_sym_else] = ACTIONS(9633),
    [anon_sym_then] = ACTIONS(9633),
    [anon_sym_begin] = ACTIONS(9633),
    [anon_sym_ensure] = ACTIONS(9633),
    [anon_sym_EQ_GT] = ACTIONS(9631),
    [anon_sym_AMP_DOT] = ACTIONS(9631),
    [anon_sym_PLUS_EQ] = ACTIONS(9631),
    [anon_sym_DASH_EQ] = ACTIONS(9631),
    [anon_sym_STAR_EQ] = ACTIONS(9631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9631),
    [anon_sym_SLASH_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9631),
    [anon_sym_AMP_EQ] = ACTIONS(9631),
    [anon_sym_PERCENT_EQ] = ACTIONS(9631),
    [anon_sym_GT_GT_EQ] = ACTIONS(9631),
    [anon_sym_LT_LT_EQ] = ACTIONS(9631),
    [anon_sym_CARET_EQ] = ACTIONS(9631),
    [anon_sym_QMARK] = ACTIONS(9633),
    [anon_sym_DOT_DOT] = ACTIONS(9633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9631),
    [anon_sym_and] = ACTIONS(9633),
    [anon_sym_or] = ACTIONS(9633),
    [anon_sym_PIPE_PIPE] = ACTIONS(9633),
    [anon_sym_AMP_AMP] = ACTIONS(9633),
    [anon_sym_LT_LT] = ACTIONS(9633),
    [anon_sym_GT_GT] = ACTIONS(9633),
    [anon_sym_EQ_EQ] = ACTIONS(9633),
    [anon_sym_BANG_EQ] = ACTIONS(9631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9631),
    [anon_sym_LT_EQ_GT] = ACTIONS(9631),
    [anon_sym_EQ_TILDE] = ACTIONS(9631),
    [anon_sym_BANG_TILDE] = ACTIONS(9631),
    [anon_sym_LT_EQ] = ACTIONS(9633),
    [anon_sym_GT] = ACTIONS(9633),
    [anon_sym_GT_EQ] = ACTIONS(9631),
    [anon_sym_CARET] = ACTIONS(9633),
    [anon_sym_PLUS] = ACTIONS(9633),
    [anon_sym_SLASH] = ACTIONS(9633),
    [anon_sym_PERCENT] = ACTIONS(9633),
    [anon_sym_defined_QMARK] = ACTIONS(9631),
    [anon_sym_not] = ACTIONS(9633),
    [anon_sym_BANG] = ACTIONS(9633),
    [anon_sym_TILDE] = ACTIONS(9631),
    [sym_constant] = ACTIONS(9633),
    [sym_identifier] = ACTIONS(9633),
    [sym_instance_variable] = ACTIONS(9631),
    [sym_class_variable] = ACTIONS(9631),
    [sym_global_variable] = ACTIONS(9631),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(9633),
    [sym_float] = ACTIONS(9633),
    [sym_complex] = ACTIONS(9631),
    [sym_super] = ACTIONS(9633),
    [anon_sym_true] = ACTIONS(9633),
    [anon_sym_TRUE] = ACTIONS(9633),
    [anon_sym_false] = ACTIONS(9633),
    [anon_sym_FALSE] = ACTIONS(9633),
    [sym_self] = ACTIONS(9633),
    [anon_sym_nil] = ACTIONS(9633),
    [anon_sym_NIL] = ACTIONS(9633),
    [sym_character] = ACTIONS(9631),
    [anon_sym_LBRACK] = ACTIONS(9631),
    [anon_sym_DASH_GT] = ACTIONS(9631),
  },
  [5295] = {
    [sym__line_break] = ACTIONS(7758),
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [ts_builtin_sym_end] = ACTIONS(7758),
    [anon_sym___END__] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RBRACE] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR_STAR] = ACTIONS(7760),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_end] = ACTIONS(7758),
    [anon_sym_if] = ACTIONS(7758),
    [anon_sym_unless] = ACTIONS(7758),
    [anon_sym_while] = ACTIONS(7758),
    [anon_sym_until] = ACTIONS(7758),
    [anon_sym_rescue] = ACTIONS(7758),
    [anon_sym_do] = ACTIONS(7758),
    [anon_sym_when] = ACTIONS(7758),
    [anon_sym_elsif] = ACTIONS(7758),
    [anon_sym_else] = ACTIONS(7758),
    [anon_sym_then] = ACTIONS(7758),
    [anon_sym_ensure] = ACTIONS(7758),
    [anon_sym_EQ_GT] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS_EQ] = ACTIONS(7758),
    [anon_sym_DASH_EQ] = ACTIONS(7758),
    [anon_sym_STAR_EQ] = ACTIONS(7758),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7758),
    [anon_sym_SLASH_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7758),
    [anon_sym_AMP_EQ] = ACTIONS(7758),
    [anon_sym_PERCENT_EQ] = ACTIONS(7758),
    [anon_sym_GT_GT_EQ] = ACTIONS(7758),
    [anon_sym_LT_LT_EQ] = ACTIONS(7758),
    [anon_sym_CARET_EQ] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7758),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7758),
    [anon_sym_or] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE] = ACTIONS(7760),
    [anon_sym_AMP_AMP] = ACTIONS(7760),
    [anon_sym_LT_LT] = ACTIONS(7760),
    [anon_sym_GT_GT] = ACTIONS(7760),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7760),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_SLASH] = ACTIONS(7760),
    [anon_sym_PERCENT] = ACTIONS(7760),
    [sym_comment] = ACTIONS(87),
  },
  [5296] = {
    [anon_sym_RPAREN] = ACTIONS(10794),
    [sym_comment] = ACTIONS(87),
  },
  [5297] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(6681),
    [anon_sym___END__] = ACTIONS(6681),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [5298] = {
    [sym__line_break] = ACTIONS(9362),
    [sym__heredoc_body_start] = ACTIONS(9362),
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [sym__binary_minus] = ACTIONS(9362),
    [sym__binary_star] = ACTIONS(9362),
    [ts_builtin_sym_end] = ACTIONS(9362),
    [anon_sym___END__] = ACTIONS(9362),
    [anon_sym_LBRACE] = ACTIONS(9362),
    [anon_sym_RBRACE] = ACTIONS(9362),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9364),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_PIPE] = ACTIONS(9364),
    [anon_sym_SEMI] = ACTIONS(9362),
    [anon_sym_STAR_STAR] = ACTIONS(9364),
    [anon_sym_AMP] = ACTIONS(9364),
    [anon_sym_EQ] = ACTIONS(9364),
    [anon_sym_LT] = ACTIONS(9364),
    [anon_sym_end] = ACTIONS(9362),
    [anon_sym_if] = ACTIONS(9362),
    [anon_sym_unless] = ACTIONS(9362),
    [anon_sym_while] = ACTIONS(9362),
    [anon_sym_until] = ACTIONS(9362),
    [anon_sym_rescue] = ACTIONS(9362),
    [anon_sym_do] = ACTIONS(9362),
    [anon_sym_when] = ACTIONS(9362),
    [anon_sym_elsif] = ACTIONS(9362),
    [anon_sym_else] = ACTIONS(9362),
    [anon_sym_then] = ACTIONS(9362),
    [anon_sym_ensure] = ACTIONS(9362),
    [anon_sym_EQ_GT] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [anon_sym_PLUS_EQ] = ACTIONS(9362),
    [anon_sym_DASH_EQ] = ACTIONS(9362),
    [anon_sym_STAR_EQ] = ACTIONS(9362),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9362),
    [anon_sym_SLASH_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9362),
    [anon_sym_AMP_EQ] = ACTIONS(9362),
    [anon_sym_PERCENT_EQ] = ACTIONS(9362),
    [anon_sym_GT_GT_EQ] = ACTIONS(9362),
    [anon_sym_LT_LT_EQ] = ACTIONS(9362),
    [anon_sym_CARET_EQ] = ACTIONS(9362),
    [anon_sym_QMARK] = ACTIONS(9362),
    [anon_sym_DOT_DOT] = ACTIONS(9364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9362),
    [anon_sym_and] = ACTIONS(9362),
    [anon_sym_or] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE] = ACTIONS(9364),
    [anon_sym_AMP_AMP] = ACTIONS(9364),
    [anon_sym_LT_LT] = ACTIONS(9364),
    [anon_sym_GT_GT] = ACTIONS(9364),
    [anon_sym_EQ_EQ] = ACTIONS(9364),
    [anon_sym_BANG_EQ] = ACTIONS(9362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9362),
    [anon_sym_LT_EQ_GT] = ACTIONS(9362),
    [anon_sym_EQ_TILDE] = ACTIONS(9362),
    [anon_sym_BANG_TILDE] = ACTIONS(9362),
    [anon_sym_LT_EQ] = ACTIONS(9364),
    [anon_sym_GT] = ACTIONS(9364),
    [anon_sym_GT_EQ] = ACTIONS(9362),
    [anon_sym_CARET] = ACTIONS(9364),
    [anon_sym_PLUS] = ACTIONS(9364),
    [anon_sym_SLASH] = ACTIONS(9364),
    [anon_sym_PERCENT] = ACTIONS(9364),
    [sym_comment] = ACTIONS(87),
  },
  [5299] = {
    [anon_sym_RBRACE] = ACTIONS(10796),
    [sym_comment] = ACTIONS(87),
  },
  [5300] = {
    [sym__line_break] = ACTIONS(9390),
    [sym__heredoc_body_start] = ACTIONS(9390),
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [sym__binary_minus] = ACTIONS(9390),
    [sym__binary_star] = ACTIONS(9390),
    [ts_builtin_sym_end] = ACTIONS(9390),
    [anon_sym___END__] = ACTIONS(9390),
    [anon_sym_LBRACE] = ACTIONS(9390),
    [anon_sym_RBRACE] = ACTIONS(9390),
    [anon_sym_RPAREN] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9392),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_PIPE] = ACTIONS(9392),
    [anon_sym_SEMI] = ACTIONS(9390),
    [anon_sym_STAR_STAR] = ACTIONS(9392),
    [anon_sym_AMP] = ACTIONS(9392),
    [anon_sym_EQ] = ACTIONS(9392),
    [anon_sym_LT] = ACTIONS(9392),
    [anon_sym_end] = ACTIONS(9390),
    [anon_sym_if] = ACTIONS(9390),
    [anon_sym_unless] = ACTIONS(9390),
    [anon_sym_while] = ACTIONS(9390),
    [anon_sym_until] = ACTIONS(9390),
    [anon_sym_rescue] = ACTIONS(9390),
    [anon_sym_do] = ACTIONS(9390),
    [anon_sym_when] = ACTIONS(9390),
    [anon_sym_elsif] = ACTIONS(9390),
    [anon_sym_else] = ACTIONS(9390),
    [anon_sym_then] = ACTIONS(9390),
    [anon_sym_ensure] = ACTIONS(9390),
    [anon_sym_EQ_GT] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [anon_sym_PLUS_EQ] = ACTIONS(9390),
    [anon_sym_DASH_EQ] = ACTIONS(9390),
    [anon_sym_STAR_EQ] = ACTIONS(9390),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9390),
    [anon_sym_SLASH_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9390),
    [anon_sym_AMP_EQ] = ACTIONS(9390),
    [anon_sym_PERCENT_EQ] = ACTIONS(9390),
    [anon_sym_GT_GT_EQ] = ACTIONS(9390),
    [anon_sym_LT_LT_EQ] = ACTIONS(9390),
    [anon_sym_CARET_EQ] = ACTIONS(9390),
    [anon_sym_QMARK] = ACTIONS(9390),
    [anon_sym_DOT_DOT] = ACTIONS(9392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9390),
    [anon_sym_and] = ACTIONS(9390),
    [anon_sym_or] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE] = ACTIONS(9392),
    [anon_sym_AMP_AMP] = ACTIONS(9392),
    [anon_sym_LT_LT] = ACTIONS(9392),
    [anon_sym_GT_GT] = ACTIONS(9392),
    [anon_sym_EQ_EQ] = ACTIONS(9392),
    [anon_sym_BANG_EQ] = ACTIONS(9390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9390),
    [anon_sym_LT_EQ_GT] = ACTIONS(9390),
    [anon_sym_EQ_TILDE] = ACTIONS(9390),
    [anon_sym_BANG_TILDE] = ACTIONS(9390),
    [anon_sym_LT_EQ] = ACTIONS(9392),
    [anon_sym_GT] = ACTIONS(9392),
    [anon_sym_GT_EQ] = ACTIONS(9390),
    [anon_sym_CARET] = ACTIONS(9392),
    [anon_sym_PLUS] = ACTIONS(9392),
    [anon_sym_SLASH] = ACTIONS(9392),
    [anon_sym_PERCENT] = ACTIONS(9392),
    [sym_comment] = ACTIONS(87),
  },
  [5301] = {
    [anon_sym_end] = ACTIONS(10798),
    [sym_comment] = ACTIONS(87),
  },
  [5302] = {
    [sym__statements] = STATE(7946),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10800),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5303] = {
    [sym__statements] = STATE(7946),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(7947),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(7947),
    [sym__line_break] = ACTIONS(10802),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(10800),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5304] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(6897),
    [anon_sym___END__] = ACTIONS(6897),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [5305] = {
    [sym__line_break] = ACTIONS(3138),
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym__element_reference_left_bracket] = ACTIONS(3138),
    [sym__infix_scope_colons] = ACTIONS(3138),
    [sym__binary_minus] = ACTIONS(3138),
    [sym__binary_star] = ACTIONS(3138),
    [ts_builtin_sym_end] = ACTIONS(3138),
    [anon_sym___END__] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_STAR_STAR] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_end] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_unless] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_until] = ACTIONS(3138),
    [anon_sym_rescue] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_when] = ACTIONS(3138),
    [anon_sym_elsif] = ACTIONS(3138),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_then] = ACTIONS(3138),
    [anon_sym_ensure] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [anon_sym_AMP_DOT] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4930),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(87),
  },
  [5306] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(10804),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [5307] = {
    [sym_heredoc_body] = STATE(5307),
    [aux_sym_call_repeat1] = STATE(5307),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [ts_builtin_sym_end] = ACTIONS(7800),
    [anon_sym___END__] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [5308] = {
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [ts_builtin_sym_end] = ACTIONS(7811),
    [anon_sym___END__] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(7811),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_when] = ACTIONS(7811),
    [anon_sym_elsif] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_ensure] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [5309] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(982),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(982),
    [sym_operator_assignment] = STATE(982),
    [sym_conditional] = STATE(982),
    [sym_range] = STATE(982),
    [sym_binary] = STATE(982),
    [sym_unary] = STATE(982),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(987),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(1675),
    [sym__splat_star] = ACTIONS(1677),
    [sym__unary_minus] = ACTIONS(771),
    [sym__identifier_hash_key] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(7796),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1687),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5310] = {
    [sym_heredoc_body] = STATE(5307),
    [aux_sym_call_repeat1] = STATE(5307),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [ts_builtin_sym_end] = ACTIONS(7815),
    [anon_sym___END__] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [5311] = {
    [aux_sym_argument_list_repeat1] = STATE(5311),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [ts_builtin_sym_end] = ACTIONS(7811),
    [anon_sym___END__] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(10809),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [5312] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(7025),
    [anon_sym___END__] = ACTIONS(7025),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [5313] = {
    [sym__line_break] = ACTIONS(6671),
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym__element_reference_left_bracket] = ACTIONS(6671),
    [sym__infix_scope_colons] = ACTIONS(6671),
    [sym__binary_minus] = ACTIONS(6671),
    [sym__binary_star] = ACTIONS(6671),
    [ts_builtin_sym_end] = ACTIONS(6671),
    [anon_sym___END__] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_RBRACE] = ACTIONS(6671),
    [anon_sym_RPAREN] = ACTIONS(6671),
    [anon_sym_DOT] = ACTIONS(8601),
    [anon_sym_COMMA] = ACTIONS(6671),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_SEMI] = ACTIONS(6671),
    [anon_sym_STAR_STAR] = ACTIONS(6671),
    [anon_sym_AMP] = ACTIONS(8601),
    [anon_sym_LT] = ACTIONS(8601),
    [anon_sym_end] = ACTIONS(6671),
    [anon_sym_if] = ACTIONS(6671),
    [anon_sym_unless] = ACTIONS(6671),
    [anon_sym_while] = ACTIONS(6671),
    [anon_sym_until] = ACTIONS(6671),
    [anon_sym_rescue] = ACTIONS(6671),
    [anon_sym_do] = ACTIONS(6671),
    [anon_sym_when] = ACTIONS(6671),
    [anon_sym_elsif] = ACTIONS(6671),
    [anon_sym_else] = ACTIONS(6671),
    [anon_sym_then] = ACTIONS(6671),
    [anon_sym_ensure] = ACTIONS(6671),
    [anon_sym_EQ_GT] = ACTIONS(6671),
    [anon_sym_AMP_DOT] = ACTIONS(6671),
    [anon_sym_QMARK] = ACTIONS(6671),
    [anon_sym_DOT_DOT] = ACTIONS(8601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6671),
    [anon_sym_and] = ACTIONS(6671),
    [anon_sym_or] = ACTIONS(6671),
    [anon_sym_PIPE_PIPE] = ACTIONS(6671),
    [anon_sym_AMP_AMP] = ACTIONS(6671),
    [anon_sym_LT_LT] = ACTIONS(6671),
    [anon_sym_GT_GT] = ACTIONS(6671),
    [anon_sym_EQ_EQ] = ACTIONS(8601),
    [anon_sym_BANG_EQ] = ACTIONS(6671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6671),
    [anon_sym_LT_EQ_GT] = ACTIONS(6671),
    [anon_sym_EQ_TILDE] = ACTIONS(6671),
    [anon_sym_BANG_TILDE] = ACTIONS(6671),
    [anon_sym_LT_EQ] = ACTIONS(8601),
    [anon_sym_GT] = ACTIONS(8601),
    [anon_sym_GT_EQ] = ACTIONS(6671),
    [anon_sym_CARET] = ACTIONS(6671),
    [anon_sym_PLUS] = ACTIONS(6671),
    [anon_sym_SLASH] = ACTIONS(6671),
    [anon_sym_PERCENT] = ACTIONS(6671),
    [sym_comment] = ACTIONS(87),
  },
  [5314] = {
    [sym__simple_symbol] = ACTIONS(3138),
    [sym__string_start] = ACTIONS(3138),
    [sym__symbol_start] = ACTIONS(3138),
    [sym__subshell_start] = ACTIONS(3138),
    [sym__regex_start] = ACTIONS(3138),
    [sym__string_array_start] = ACTIONS(3138),
    [sym__symbol_array_start] = ACTIONS(3138),
    [sym_heredoc_beginning] = ACTIONS(3138),
    [sym__block_ampersand] = ACTIONS(3138),
    [sym__splat_star] = ACTIONS(3138),
    [sym__unary_minus] = ACTIONS(3138),
    [sym__identifier_hash_key] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_def] = ACTIONS(4930),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_STAR_STAR] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(4930),
    [anon_sym_module] = ACTIONS(4930),
    [anon_sym_return] = ACTIONS(4930),
    [anon_sym_yield] = ACTIONS(4930),
    [anon_sym_break] = ACTIONS(4930),
    [anon_sym_next] = ACTIONS(4930),
    [sym_redo] = ACTIONS(4930),
    [sym_retry] = ACTIONS(4930),
    [anon_sym_if] = ACTIONS(4930),
    [anon_sym_unless] = ACTIONS(4930),
    [anon_sym_while] = ACTIONS(4930),
    [anon_sym_until] = ACTIONS(4930),
    [anon_sym_for] = ACTIONS(4930),
    [anon_sym_case] = ACTIONS(4930),
    [anon_sym_begin] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_defined_QMARK] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(4930),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [sym_constant] = ACTIONS(4930),
    [sym_identifier] = ACTIONS(4930),
    [sym_instance_variable] = ACTIONS(3138),
    [sym_class_variable] = ACTIONS(3138),
    [sym_global_variable] = ACTIONS(3138),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4930),
    [sym_float] = ACTIONS(4930),
    [sym_complex] = ACTIONS(3138),
    [sym_super] = ACTIONS(4930),
    [anon_sym_true] = ACTIONS(4930),
    [anon_sym_TRUE] = ACTIONS(4930),
    [anon_sym_false] = ACTIONS(4930),
    [anon_sym_FALSE] = ACTIONS(4930),
    [sym_self] = ACTIONS(4930),
    [anon_sym_nil] = ACTIONS(4930),
    [anon_sym_NIL] = ACTIONS(4930),
    [sym_character] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
  },
  [5315] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(10812),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [5316] = {
    [sym__line_break] = ACTIONS(10814),
    [sym__heredoc_body_start] = ACTIONS(10814),
    [sym__element_reference_left_bracket] = ACTIONS(10814),
    [sym__infix_scope_colons] = ACTIONS(10814),
    [sym__binary_minus] = ACTIONS(10814),
    [sym__binary_star] = ACTIONS(10814),
    [ts_builtin_sym_end] = ACTIONS(10814),
    [anon_sym___END__] = ACTIONS(10814),
    [anon_sym_LBRACE] = ACTIONS(10814),
    [anon_sym_RBRACE] = ACTIONS(10814),
    [anon_sym_RPAREN] = ACTIONS(10814),
    [anon_sym_DOT] = ACTIONS(10816),
    [anon_sym_COMMA] = ACTIONS(10814),
    [anon_sym_PIPE] = ACTIONS(10816),
    [anon_sym_SEMI] = ACTIONS(10814),
    [anon_sym_STAR_STAR] = ACTIONS(10814),
    [anon_sym_AMP] = ACTIONS(10816),
    [anon_sym_LT] = ACTIONS(10816),
    [anon_sym_end] = ACTIONS(10814),
    [anon_sym_if] = ACTIONS(10814),
    [anon_sym_unless] = ACTIONS(10814),
    [anon_sym_while] = ACTIONS(10814),
    [anon_sym_until] = ACTIONS(10814),
    [anon_sym_rescue] = ACTIONS(10814),
    [anon_sym_do] = ACTIONS(10814),
    [anon_sym_when] = ACTIONS(10814),
    [anon_sym_elsif] = ACTIONS(10814),
    [anon_sym_else] = ACTIONS(10814),
    [anon_sym_then] = ACTIONS(10814),
    [anon_sym_ensure] = ACTIONS(10814),
    [anon_sym_EQ_GT] = ACTIONS(10814),
    [anon_sym_AMP_DOT] = ACTIONS(10814),
    [anon_sym_QMARK] = ACTIONS(10814),
    [anon_sym_DOT_DOT] = ACTIONS(10816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10814),
    [anon_sym_and] = ACTIONS(10814),
    [anon_sym_or] = ACTIONS(10814),
    [anon_sym_PIPE_PIPE] = ACTIONS(10814),
    [anon_sym_AMP_AMP] = ACTIONS(10814),
    [anon_sym_LT_LT] = ACTIONS(10814),
    [anon_sym_GT_GT] = ACTIONS(10814),
    [anon_sym_EQ_EQ] = ACTIONS(10816),
    [anon_sym_BANG_EQ] = ACTIONS(10814),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10814),
    [anon_sym_LT_EQ_GT] = ACTIONS(10814),
    [anon_sym_EQ_TILDE] = ACTIONS(10814),
    [anon_sym_BANG_TILDE] = ACTIONS(10814),
    [anon_sym_LT_EQ] = ACTIONS(10816),
    [anon_sym_GT] = ACTIONS(10816),
    [anon_sym_GT_EQ] = ACTIONS(10814),
    [anon_sym_CARET] = ACTIONS(10814),
    [anon_sym_PLUS] = ACTIONS(10814),
    [anon_sym_SLASH] = ACTIONS(10814),
    [anon_sym_PERCENT] = ACTIONS(10814),
    [sym_comment] = ACTIONS(87),
  },
  [5317] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2718),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(228),
    [sym_scope_resolution] = STATE(223),
    [sym_call] = STATE(223),
    [sym_method_call] = STATE(228),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(2718),
    [sym_operator_assignment] = STATE(2718),
    [sym_conditional] = STATE(2718),
    [sym_range] = STATE(2718),
    [sym_binary] = STATE(2718),
    [sym_unary] = STATE(2718),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(227),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(228),
    [sym__variable] = STATE(223),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(228),
    [sym_false] = STATE(228),
    [sym_nil] = STATE(228),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(942),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(1625),
    [sym__unary_minus] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_yield] = ACTIONS(385),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_next] = ACTIONS(389),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_defined_QMARK] = ACTIONS(393),
    [anon_sym_not] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [sym_constant] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [sym_instance_variable] = ACTIONS(403),
    [sym_class_variable] = ACTIONS(403),
    [sym_global_variable] = ACTIONS(403),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(405),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(405),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5318] = {
    [aux_sym_exceptions_repeat1] = STATE(7952),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [ts_builtin_sym_end] = ACTIONS(9799),
    [anon_sym___END__] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(10818),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [5319] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5320] = {
    [sym_heredoc_body] = STATE(7953),
    [aux_sym_call_repeat1] = STATE(7953),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5321] = {
    [sym_heredoc_body] = STATE(7953),
    [aux_sym_call_repeat1] = STATE(7953),
    [aux_sym_argument_list_repeat1] = STATE(7954),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4384),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5322] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5323] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(7840),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [5324] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7955),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7955),
    [sym_operator_assignment] = STATE(7955),
    [sym_conditional] = STATE(7955),
    [sym_range] = STATE(7955),
    [sym_binary] = STATE(7955),
    [sym_unary] = STATE(7955),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5325] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7956),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7956),
    [sym_operator_assignment] = STATE(7956),
    [sym_conditional] = STATE(7956),
    [sym_range] = STATE(7956),
    [sym_binary] = STATE(7956),
    [sym_unary] = STATE(7956),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5326] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7957),
    [sym_operator_assignment] = STATE(7957),
    [sym_conditional] = STATE(7957),
    [sym_range] = STATE(7957),
    [sym_binary] = STATE(7957),
    [sym_unary] = STATE(7957),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5327] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7958),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7958),
    [sym_operator_assignment] = STATE(7958),
    [sym_conditional] = STATE(7958),
    [sym_range] = STATE(7958),
    [sym_binary] = STATE(7958),
    [sym_unary] = STATE(7958),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5328] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7959),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7959),
    [sym_operator_assignment] = STATE(7959),
    [sym_conditional] = STATE(7959),
    [sym_range] = STATE(7959),
    [sym_binary] = STATE(7959),
    [sym_unary] = STATE(7959),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5329] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7960),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7960),
    [sym_operator_assignment] = STATE(7960),
    [sym_conditional] = STATE(7960),
    [sym_range] = STATE(7960),
    [sym_binary] = STATE(7960),
    [sym_unary] = STATE(7960),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5330] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(7961),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(7961),
    [sym_operator_assignment] = STATE(7961),
    [sym_conditional] = STATE(7961),
    [sym_range] = STATE(7961),
    [sym_binary] = STATE(7961),
    [sym_unary] = STATE(7961),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5331] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7962),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7962),
    [sym_operator_assignment] = STATE(7962),
    [sym_conditional] = STATE(7962),
    [sym_range] = STATE(7962),
    [sym_binary] = STATE(7962),
    [sym_unary] = STATE(7962),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5332] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7963),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7963),
    [sym_operator_assignment] = STATE(7963),
    [sym_conditional] = STATE(7963),
    [sym_range] = STATE(7963),
    [sym_binary] = STATE(7963),
    [sym_unary] = STATE(7963),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5333] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7964),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7964),
    [sym_operator_assignment] = STATE(7964),
    [sym_conditional] = STATE(7964),
    [sym_range] = STATE(7964),
    [sym_binary] = STATE(7964),
    [sym_unary] = STATE(7964),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5334] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7965),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7965),
    [sym_operator_assignment] = STATE(7965),
    [sym_conditional] = STATE(7965),
    [sym_range] = STATE(7965),
    [sym_binary] = STATE(7965),
    [sym_unary] = STATE(7965),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5335] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7966),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7966),
    [sym_operator_assignment] = STATE(7966),
    [sym_conditional] = STATE(7966),
    [sym_range] = STATE(7966),
    [sym_binary] = STATE(7966),
    [sym_unary] = STATE(7966),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5336] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7967),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_splat_argument] = STATE(7968),
    [sym_assignment] = STATE(7967),
    [sym_operator_assignment] = STATE(7967),
    [sym_conditional] = STATE(7967),
    [sym_range] = STATE(7967),
    [sym_binary] = STATE(7967),
    [sym_unary] = STATE(7967),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(7968),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(1723),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5337] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7969),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(7969),
    [sym_operator_assignment] = STATE(7969),
    [sym_conditional] = STATE(7969),
    [sym_range] = STATE(7969),
    [sym_binary] = STATE(7969),
    [sym_unary] = STATE(7969),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5338] = {
    [sym_string] = STATE(7970),
    [aux_sym_chained_string_repeat1] = STATE(7970),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_then] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [5339] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_then] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7840),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [5340] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_then] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5341] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5342] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7971),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(7971),
    [sym_operator_assignment] = STATE(7971),
    [sym_conditional] = STATE(7971),
    [sym_range] = STATE(7971),
    [sym_binary] = STATE(7971),
    [sym_unary] = STATE(7971),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5343] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_then] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5344] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7972),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(7972),
    [sym_operator_assignment] = STATE(7972),
    [sym_conditional] = STATE(7972),
    [sym_range] = STATE(7972),
    [sym_binary] = STATE(7972),
    [sym_unary] = STATE(7972),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5345] = {
    [sym_heredoc_body] = STATE(7973),
    [aux_sym_call_repeat1] = STATE(7973),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5346] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2746),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(2746),
    [sym_operator_assignment] = STATE(2746),
    [sym_conditional] = STATE(2746),
    [sym_range] = STATE(2746),
    [sym_binary] = STATE(2746),
    [sym_unary] = STATE(2746),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2749),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(7974),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(4336),
    [sym__splat_star] = ACTIONS(4338),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__identifier_hash_key] = ACTIONS(4340),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10820),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(4342),
    [sym_identifier] = ACTIONS(4342),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5347] = {
    [sym_heredoc_body] = STATE(7975),
    [aux_sym_call_repeat1] = STATE(7975),
    [aux_sym_argument_list_repeat1] = STATE(7976),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(7866),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5348] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7977),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(7977),
    [sym_operator_assignment] = STATE(7977),
    [sym_conditional] = STATE(7977),
    [sym_range] = STATE(7977),
    [sym_binary] = STATE(7977),
    [sym_unary] = STATE(7977),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5349] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5350] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [5351] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5352] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [5353] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5354] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5355] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_then] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7840),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [5356] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10822),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [5357] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5358] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5359] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5360] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5361] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5362] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_then] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5363] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5364] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7979),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(7979),
    [sym_operator_assignment] = STATE(7979),
    [sym_conditional] = STATE(7979),
    [sym_range] = STATE(7979),
    [sym_binary] = STATE(7979),
    [sym_unary] = STATE(7979),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5365] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_then] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5366] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7980),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(7980),
    [sym_operator_assignment] = STATE(7980),
    [sym_conditional] = STATE(7980),
    [sym_range] = STATE(7980),
    [sym_binary] = STATE(7980),
    [sym_unary] = STATE(7980),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5367] = {
    [sym_heredoc_body] = STATE(7981),
    [aux_sym_call_repeat1] = STATE(7981),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [5368] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2770),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(2770),
    [sym_operator_assignment] = STATE(2770),
    [sym_conditional] = STATE(2770),
    [sym_range] = STATE(2770),
    [sym_binary] = STATE(2770),
    [sym_unary] = STATE(2770),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2773),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(7982),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(4376),
    [sym__splat_star] = ACTIONS(4378),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__identifier_hash_key] = ACTIONS(4380),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10824),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(4382),
    [sym_identifier] = ACTIONS(4382),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5369] = {
    [sym_heredoc_body] = STATE(7983),
    [aux_sym_call_repeat1] = STATE(7983),
    [aux_sym_argument_list_repeat1] = STATE(7984),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(7872),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [5370] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7985),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(7985),
    [sym_operator_assignment] = STATE(7985),
    [sym_conditional] = STATE(7985),
    [sym_range] = STATE(7985),
    [sym_binary] = STATE(7985),
    [sym_unary] = STATE(7985),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5371] = {
    [sym_heredoc_body] = STATE(5371),
    [aux_sym_call_repeat1] = STATE(5371),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [5372] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(1010),
    [sym_operator_assignment] = STATE(1010),
    [sym_conditional] = STATE(1010),
    [sym_range] = STATE(1010),
    [sym_binary] = STATE(1010),
    [sym_unary] = STATE(1010),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1016),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(1721),
    [sym__splat_star] = ACTIONS(1723),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__identifier_hash_key] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(7876),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5373] = {
    [sym_heredoc_body] = STATE(5371),
    [aux_sym_call_repeat1] = STATE(5371),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [5374] = {
    [aux_sym_argument_list_repeat1] = STATE(5374),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(10826),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [5375] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5376] = {
    [aux_sym_exceptions_repeat1] = STATE(7987),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [5377] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [5378] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_then] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7840),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [5379] = {
    [sym_string] = STATE(5379),
    [aux_sym_chained_string_repeat1] = STATE(5379),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_then] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [5380] = {
    [aux_sym_undef_repeat1] = STATE(5380),
    [sym__line_break] = ACTIONS(9196),
    [sym__heredoc_body_start] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9198),
    [anon_sym_SEMI] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [anon_sym_then] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [5381] = {
    [sym__line_break] = ACTIONS(6671),
    [sym__simple_symbol] = ACTIONS(6671),
    [sym__string_start] = ACTIONS(6671),
    [sym__symbol_start] = ACTIONS(6671),
    [sym__subshell_start] = ACTIONS(6671),
    [sym__regex_start] = ACTIONS(6671),
    [sym__string_array_start] = ACTIONS(6671),
    [sym__symbol_array_start] = ACTIONS(6671),
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym_heredoc_beginning] = ACTIONS(6671),
    [sym__unary_minus] = ACTIONS(6671),
    [anon_sym_BEGIN] = ACTIONS(8601),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_END] = ACTIONS(8601),
    [anon_sym_def] = ACTIONS(8601),
    [anon_sym_LPAREN] = ACTIONS(6671),
    [anon_sym_COLON_COLON] = ACTIONS(6671),
    [anon_sym_SEMI] = ACTIONS(6671),
    [anon_sym_STAR] = ACTIONS(6671),
    [anon_sym_class] = ACTIONS(8601),
    [anon_sym_module] = ACTIONS(8601),
    [anon_sym_end] = ACTIONS(8601),
    [anon_sym_return] = ACTIONS(8601),
    [anon_sym_yield] = ACTIONS(8601),
    [anon_sym_break] = ACTIONS(8601),
    [anon_sym_next] = ACTIONS(8601),
    [sym_redo] = ACTIONS(8601),
    [sym_retry] = ACTIONS(8601),
    [anon_sym_if] = ACTIONS(8601),
    [anon_sym_unless] = ACTIONS(8601),
    [anon_sym_while] = ACTIONS(8601),
    [anon_sym_until] = ACTIONS(8601),
    [anon_sym_for] = ACTIONS(8601),
    [anon_sym_case] = ACTIONS(8601),
    [anon_sym_elsif] = ACTIONS(8601),
    [anon_sym_else] = ACTIONS(8601),
    [anon_sym_then] = ACTIONS(8601),
    [anon_sym_begin] = ACTIONS(8601),
    [anon_sym_PLUS] = ACTIONS(8601),
    [anon_sym_defined_QMARK] = ACTIONS(6671),
    [anon_sym_not] = ACTIONS(8601),
    [anon_sym_BANG] = ACTIONS(6671),
    [anon_sym_TILDE] = ACTIONS(6671),
    [sym_constant] = ACTIONS(8601),
    [sym_identifier] = ACTIONS(8601),
    [sym_instance_variable] = ACTIONS(6671),
    [sym_class_variable] = ACTIONS(6671),
    [sym_global_variable] = ACTIONS(6671),
    [anon_sym_undef] = ACTIONS(8601),
    [anon_sym_alias] = ACTIONS(8601),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(8601),
    [sym_float] = ACTIONS(8601),
    [sym_complex] = ACTIONS(6671),
    [sym_super] = ACTIONS(8601),
    [anon_sym_true] = ACTIONS(8601),
    [anon_sym_TRUE] = ACTIONS(8601),
    [anon_sym_false] = ACTIONS(8601),
    [anon_sym_FALSE] = ACTIONS(8601),
    [sym_self] = ACTIONS(8601),
    [anon_sym_nil] = ACTIONS(8601),
    [anon_sym_NIL] = ACTIONS(8601),
    [sym_character] = ACTIONS(6671),
    [anon_sym_LBRACK] = ACTIONS(6671),
    [anon_sym_DASH_GT] = ACTIONS(6671),
  },
  [5382] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_elsif] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5383] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7996),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(7996),
    [sym_operator_assignment] = STATE(7996),
    [sym_conditional] = STATE(7996),
    [sym_range] = STATE(7996),
    [sym_binary] = STATE(7996),
    [sym_unary] = STATE(7996),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5384] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8000),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(8000),
    [sym_operator_assignment] = STATE(8000),
    [sym_conditional] = STATE(8000),
    [sym_range] = STATE(8000),
    [sym_binary] = STATE(8000),
    [sym_unary] = STATE(8000),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5385] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8001),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(8001),
    [sym_operator_assignment] = STATE(8001),
    [sym_conditional] = STATE(8001),
    [sym_range] = STATE(8001),
    [sym_binary] = STATE(8001),
    [sym_unary] = STATE(8001),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5386] = {
    [sym__keyword_colon] = ACTIONS(10849),
    [sym_comment] = ACTIONS(87),
  },
  [5387] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8004),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(8004),
    [sym_operator_assignment] = STATE(8004),
    [sym_conditional] = STATE(8004),
    [sym_range] = STATE(8004),
    [sym_binary] = STATE(8004),
    [sym_unary] = STATE(8004),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5388] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(8011),
    [sym__argument] = STATE(8012),
    [sym_splat_argument] = STATE(8012),
    [sym_hash_splat_argument] = STATE(8012),
    [sym_block_argument] = STATE(8012),
    [sym_assignment] = STATE(8010),
    [sym_operator_assignment] = STATE(8010),
    [sym_conditional] = STATE(8010),
    [sym_range] = STATE(8010),
    [sym_binary] = STATE(8010),
    [sym_unary] = STATE(8010),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8013),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8012),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(10851),
    [sym__splat_star] = ACTIONS(10853),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(10855),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(10857),
    [sym_identifier] = ACTIONS(10857),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5389] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(8011),
    [sym__argument] = STATE(8012),
    [sym_splat_argument] = STATE(8012),
    [sym_hash_splat_argument] = STATE(8012),
    [sym_block_argument] = STATE(8012),
    [sym_assignment] = STATE(8010),
    [sym_operator_assignment] = STATE(8010),
    [sym_conditional] = STATE(8010),
    [sym_range] = STATE(8010),
    [sym_binary] = STATE(8010),
    [sym_unary] = STATE(8010),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8013),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8012),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(10851),
    [sym__splat_star] = ACTIONS(10853),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(10855),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(415),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(10857),
    [sym_identifier] = ACTIONS(10857),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5390] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(8011),
    [sym__argument] = STATE(8012),
    [sym_splat_argument] = STATE(8012),
    [sym_hash_splat_argument] = STATE(8012),
    [sym_block_argument] = STATE(8012),
    [sym_assignment] = STATE(8010),
    [sym_operator_assignment] = STATE(8010),
    [sym_conditional] = STATE(8010),
    [sym_range] = STATE(8010),
    [sym_binary] = STATE(8010),
    [sym_unary] = STATE(8010),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8013),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8012),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(10851),
    [sym__splat_star] = ACTIONS(10853),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(10855),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(10857),
    [sym_identifier] = ACTIONS(10857),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5391] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(8011),
    [sym__argument] = STATE(8012),
    [sym_splat_argument] = STATE(8012),
    [sym_hash_splat_argument] = STATE(8012),
    [sym_block_argument] = STATE(8012),
    [sym_assignment] = STATE(8010),
    [sym_operator_assignment] = STATE(8010),
    [sym_conditional] = STATE(8010),
    [sym_range] = STATE(8010),
    [sym_binary] = STATE(8010),
    [sym_unary] = STATE(8010),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8013),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8012),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(10851),
    [sym__splat_star] = ACTIONS(10853),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(10855),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(423),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(10857),
    [sym_identifier] = ACTIONS(10857),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5392] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8014),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(8014),
    [sym_operator_assignment] = STATE(8014),
    [sym_conditional] = STATE(8014),
    [sym_range] = STATE(8014),
    [sym_binary] = STATE(8014),
    [sym_unary] = STATE(8014),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5393] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8015),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(8015),
    [sym_operator_assignment] = STATE(8015),
    [sym_conditional] = STATE(8015),
    [sym_range] = STATE(8015),
    [sym_binary] = STATE(8015),
    [sym_unary] = STATE(8015),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5394] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5395] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(10849),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_elsif] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5396] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_elsif] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(10871),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [5397] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8034),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(8035),
    [sym__argument] = STATE(8036),
    [sym_splat_argument] = STATE(8036),
    [sym_hash_splat_argument] = STATE(8036),
    [sym_block_argument] = STATE(8036),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(8034),
    [sym_operator_assignment] = STATE(8034),
    [sym_conditional] = STATE(8034),
    [sym_range] = STATE(8034),
    [sym_binary] = STATE(8034),
    [sym_unary] = STATE(8034),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8037),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8036),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(10891),
    [sym__splat_star] = ACTIONS(10893),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(10895),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(775),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(10897),
    [sym_identifier] = ACTIONS(10897),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5398] = {
    [sym_heredoc_body] = STATE(8038),
    [aux_sym_call_repeat1] = STATE(8038),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_elsif] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5399] = {
    [sym_heredoc_body] = STATE(8038),
    [aux_sym_call_repeat1] = STATE(8038),
    [aux_sym_argument_list_repeat1] = STATE(8040),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(10899),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_elsif] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5400] = {
    [anon_sym_EQ] = ACTIONS(10901),
    [sym_comment] = ACTIONS(87),
  },
  [5401] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(10903),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(10905),
    [anon_sym_DASH_EQ] = ACTIONS(10905),
    [anon_sym_STAR_EQ] = ACTIONS(10905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10905),
    [anon_sym_SLASH_EQ] = ACTIONS(10905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10905),
    [anon_sym_PIPE_EQ] = ACTIONS(10905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10905),
    [anon_sym_AMP_EQ] = ACTIONS(10905),
    [anon_sym_PERCENT_EQ] = ACTIONS(10905),
    [anon_sym_GT_GT_EQ] = ACTIONS(10905),
    [anon_sym_LT_LT_EQ] = ACTIONS(10905),
    [anon_sym_CARET_EQ] = ACTIONS(10905),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [5402] = {
    [sym_string] = STATE(8044),
    [aux_sym_chained_string_repeat1] = STATE(8044),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(10907),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [5403] = {
    [sym__then] = STATE(8045),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(10909),
    [sym_comment] = ACTIONS(87),
  },
  [5404] = {
    [sym__statements] = STATE(3372),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5238),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5405] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5406] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(7946),
    [anon_sym_DOT_DOT] = ACTIONS(7948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7950),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(7954),
    [anon_sym_AMP_AMP] = ACTIONS(7954),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [5407] = {
    [aux_sym_undef_repeat1] = STATE(8046),
    [sym__line_break] = ACTIONS(2283),
    [sym__heredoc_body_start] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_end] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_unless] = ACTIONS(2283),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_until] = ACTIONS(2283),
    [anon_sym_rescue] = ACTIONS(2283),
    [anon_sym_elsif] = ACTIONS(2283),
    [anon_sym_else] = ACTIONS(2283),
    [sym_comment] = ACTIONS(87),
  },
  [5408] = {
    [sym__line_break] = ACTIONS(10911),
    [sym__heredoc_body_start] = ACTIONS(10911),
    [sym__element_reference_left_bracket] = ACTIONS(10911),
    [sym__infix_scope_colons] = ACTIONS(10911),
    [sym__binary_minus] = ACTIONS(10911),
    [sym__binary_star] = ACTIONS(10911),
    [ts_builtin_sym_end] = ACTIONS(10911),
    [anon_sym___END__] = ACTIONS(10911),
    [anon_sym_LBRACE] = ACTIONS(10911),
    [anon_sym_RBRACE] = ACTIONS(10911),
    [anon_sym_RPAREN] = ACTIONS(10911),
    [anon_sym_DOT] = ACTIONS(10913),
    [anon_sym_COMMA] = ACTIONS(10911),
    [anon_sym_PIPE] = ACTIONS(10913),
    [anon_sym_SEMI] = ACTIONS(10911),
    [anon_sym_STAR_STAR] = ACTIONS(10911),
    [anon_sym_AMP] = ACTIONS(10913),
    [anon_sym_LT] = ACTIONS(10913),
    [anon_sym_end] = ACTIONS(10911),
    [anon_sym_if] = ACTIONS(10911),
    [anon_sym_unless] = ACTIONS(10911),
    [anon_sym_while] = ACTIONS(10911),
    [anon_sym_until] = ACTIONS(10911),
    [anon_sym_rescue] = ACTIONS(10911),
    [anon_sym_do] = ACTIONS(10911),
    [anon_sym_when] = ACTIONS(10911),
    [anon_sym_elsif] = ACTIONS(10911),
    [anon_sym_else] = ACTIONS(10911),
    [anon_sym_then] = ACTIONS(10911),
    [anon_sym_ensure] = ACTIONS(10911),
    [anon_sym_EQ_GT] = ACTIONS(10911),
    [anon_sym_AMP_DOT] = ACTIONS(10911),
    [anon_sym_QMARK] = ACTIONS(10911),
    [anon_sym_DOT_DOT] = ACTIONS(10913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10911),
    [anon_sym_and] = ACTIONS(10911),
    [anon_sym_or] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE] = ACTIONS(10911),
    [anon_sym_AMP_AMP] = ACTIONS(10911),
    [anon_sym_LT_LT] = ACTIONS(10911),
    [anon_sym_GT_GT] = ACTIONS(10911),
    [anon_sym_EQ_EQ] = ACTIONS(10913),
    [anon_sym_BANG_EQ] = ACTIONS(10911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10911),
    [anon_sym_LT_EQ_GT] = ACTIONS(10911),
    [anon_sym_EQ_TILDE] = ACTIONS(10911),
    [anon_sym_BANG_TILDE] = ACTIONS(10911),
    [anon_sym_LT_EQ] = ACTIONS(10913),
    [anon_sym_GT] = ACTIONS(10913),
    [anon_sym_GT_EQ] = ACTIONS(10911),
    [anon_sym_CARET] = ACTIONS(10911),
    [anon_sym_PLUS] = ACTIONS(10911),
    [anon_sym_SLASH] = ACTIONS(10911),
    [anon_sym_PERCENT] = ACTIONS(10911),
    [sym_comment] = ACTIONS(87),
  },
  [5409] = {
    [anon_sym_end] = ACTIONS(10915),
    [sym_comment] = ACTIONS(87),
  },
  [5410] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2529),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(2529),
    [anon_sym_else] = ACTIONS(2529),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5411] = {
    [sym_heredoc_body] = STATE(8048),
    [sym__terminator] = STATE(8048),
    [aux_sym__statements_repeat1] = STATE(8049),
    [sym__line_break] = ACTIONS(10917),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(10917),
    [anon_sym_end] = ACTIONS(2527),
    [anon_sym_elsif] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2527),
    [sym_comment] = ACTIONS(87),
  },
  [5412] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8050),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8050),
    [sym_operator_assignment] = STATE(8050),
    [sym_conditional] = STATE(8050),
    [sym_range] = STATE(8050),
    [sym_binary] = STATE(8050),
    [sym_unary] = STATE(8050),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5413] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8051),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8051),
    [sym_operator_assignment] = STATE(8051),
    [sym_conditional] = STATE(8051),
    [sym_range] = STATE(8051),
    [sym_binary] = STATE(8051),
    [sym_unary] = STATE(8051),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5414] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8052),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8052),
    [sym_operator_assignment] = STATE(8052),
    [sym_conditional] = STATE(8052),
    [sym_range] = STATE(8052),
    [sym_binary] = STATE(8052),
    [sym_unary] = STATE(8052),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5415] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8053),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8053),
    [sym_operator_assignment] = STATE(8053),
    [sym_conditional] = STATE(8053),
    [sym_range] = STATE(8053),
    [sym_binary] = STATE(8053),
    [sym_unary] = STATE(8053),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5416] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8054),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8054),
    [sym_operator_assignment] = STATE(8054),
    [sym_conditional] = STATE(8054),
    [sym_range] = STATE(8054),
    [sym_binary] = STATE(8054),
    [sym_unary] = STATE(8054),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5417] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8055),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8055),
    [sym_operator_assignment] = STATE(8055),
    [sym_conditional] = STATE(8055),
    [sym_range] = STATE(8055),
    [sym_binary] = STATE(8055),
    [sym_unary] = STATE(8055),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5418] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8056),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8056),
    [sym_operator_assignment] = STATE(8056),
    [sym_conditional] = STATE(8056),
    [sym_range] = STATE(8056),
    [sym_binary] = STATE(8056),
    [sym_unary] = STATE(8056),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5419] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8057),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8057),
    [sym_operator_assignment] = STATE(8057),
    [sym_conditional] = STATE(8057),
    [sym_range] = STATE(8057),
    [sym_binary] = STATE(8057),
    [sym_unary] = STATE(8057),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5420] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8058),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8058),
    [sym_operator_assignment] = STATE(8058),
    [sym_conditional] = STATE(8058),
    [sym_range] = STATE(8058),
    [sym_binary] = STATE(8058),
    [sym_unary] = STATE(8058),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5421] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8059),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8059),
    [sym_operator_assignment] = STATE(8059),
    [sym_conditional] = STATE(8059),
    [sym_range] = STATE(8059),
    [sym_binary] = STATE(8059),
    [sym_unary] = STATE(8059),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5422] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8060),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8060),
    [sym_operator_assignment] = STATE(8060),
    [sym_conditional] = STATE(8060),
    [sym_range] = STATE(8060),
    [sym_binary] = STATE(8060),
    [sym_unary] = STATE(8060),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5423] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8061),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8061),
    [sym_operator_assignment] = STATE(8061),
    [sym_conditional] = STATE(8061),
    [sym_range] = STATE(8061),
    [sym_binary] = STATE(8061),
    [sym_unary] = STATE(8061),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5424] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8062),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8062),
    [sym_operator_assignment] = STATE(8062),
    [sym_conditional] = STATE(8062),
    [sym_range] = STATE(8062),
    [sym_binary] = STATE(8062),
    [sym_unary] = STATE(8062),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5425] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8063),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8063),
    [sym_operator_assignment] = STATE(8063),
    [sym_conditional] = STATE(8063),
    [sym_range] = STATE(8063),
    [sym_binary] = STATE(8063),
    [sym_unary] = STATE(8063),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5426] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8064),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8064),
    [sym_operator_assignment] = STATE(8064),
    [sym_conditional] = STATE(8064),
    [sym_range] = STATE(8064),
    [sym_binary] = STATE(8064),
    [sym_unary] = STATE(8064),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5427] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8065),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8065),
    [sym_operator_assignment] = STATE(8065),
    [sym_conditional] = STATE(8065),
    [sym_range] = STATE(8065),
    [sym_binary] = STATE(8065),
    [sym_unary] = STATE(8065),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5428] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8066),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8066),
    [sym_operator_assignment] = STATE(8066),
    [sym_conditional] = STATE(8066),
    [sym_range] = STATE(8066),
    [sym_binary] = STATE(8066),
    [sym_unary] = STATE(8066),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5429] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8075),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(8075),
    [sym_operator_assignment] = STATE(8075),
    [sym_conditional] = STATE(8075),
    [sym_range] = STATE(8075),
    [sym_binary] = STATE(8075),
    [sym_unary] = STATE(8075),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5430] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8080),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(8080),
    [sym_operator_assignment] = STATE(8080),
    [sym_conditional] = STATE(8080),
    [sym_range] = STATE(8080),
    [sym_binary] = STATE(8080),
    [sym_unary] = STATE(8080),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5431] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8081),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(8081),
    [sym_operator_assignment] = STATE(8081),
    [sym_conditional] = STATE(8081),
    [sym_range] = STATE(8081),
    [sym_binary] = STATE(8081),
    [sym_unary] = STATE(8081),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5432] = {
    [sym__keyword_colon] = ACTIONS(10943),
    [sym_comment] = ACTIONS(87),
  },
  [5433] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8084),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(8084),
    [sym_operator_assignment] = STATE(8084),
    [sym_conditional] = STATE(8084),
    [sym_range] = STATE(8084),
    [sym_binary] = STATE(8084),
    [sym_unary] = STATE(8084),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5434] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8034),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(8035),
    [sym__argument] = STATE(8036),
    [sym_splat_argument] = STATE(8036),
    [sym_hash_splat_argument] = STATE(8036),
    [sym_block_argument] = STATE(8036),
    [sym_assignment] = STATE(8034),
    [sym_operator_assignment] = STATE(8034),
    [sym_conditional] = STATE(8034),
    [sym_range] = STATE(8034),
    [sym_binary] = STATE(8034),
    [sym_unary] = STATE(8034),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8037),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8036),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(10891),
    [sym__splat_star] = ACTIONS(10893),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(10895),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(10897),
    [sym_identifier] = ACTIONS(10897),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5435] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8034),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(8035),
    [sym__argument] = STATE(8036),
    [sym_splat_argument] = STATE(8036),
    [sym_hash_splat_argument] = STATE(8036),
    [sym_block_argument] = STATE(8036),
    [sym_assignment] = STATE(8034),
    [sym_operator_assignment] = STATE(8034),
    [sym_conditional] = STATE(8034),
    [sym_range] = STATE(8034),
    [sym_binary] = STATE(8034),
    [sym_unary] = STATE(8034),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8037),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8036),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(10891),
    [sym__splat_star] = ACTIONS(10893),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(10895),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(415),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(10897),
    [sym_identifier] = ACTIONS(10897),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5436] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8034),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(8035),
    [sym__argument] = STATE(8036),
    [sym_splat_argument] = STATE(8036),
    [sym_hash_splat_argument] = STATE(8036),
    [sym_block_argument] = STATE(8036),
    [sym_assignment] = STATE(8034),
    [sym_operator_assignment] = STATE(8034),
    [sym_conditional] = STATE(8034),
    [sym_range] = STATE(8034),
    [sym_binary] = STATE(8034),
    [sym_unary] = STATE(8034),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8037),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8036),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(10891),
    [sym__splat_star] = ACTIONS(10893),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(10895),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(10897),
    [sym_identifier] = ACTIONS(10897),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5437] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8034),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(8035),
    [sym__argument] = STATE(8036),
    [sym_splat_argument] = STATE(8036),
    [sym_hash_splat_argument] = STATE(8036),
    [sym_block_argument] = STATE(8036),
    [sym_assignment] = STATE(8034),
    [sym_operator_assignment] = STATE(8034),
    [sym_conditional] = STATE(8034),
    [sym_range] = STATE(8034),
    [sym_binary] = STATE(8034),
    [sym_unary] = STATE(8034),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8037),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8036),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(10891),
    [sym__splat_star] = ACTIONS(10893),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(10895),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(423),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(10897),
    [sym_identifier] = ACTIONS(10897),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5438] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8085),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(8085),
    [sym_operator_assignment] = STATE(8085),
    [sym_conditional] = STATE(8085),
    [sym_range] = STATE(8085),
    [sym_binary] = STATE(8085),
    [sym_unary] = STATE(8085),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5439] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8086),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(8086),
    [sym_operator_assignment] = STATE(8086),
    [sym_conditional] = STATE(8086),
    [sym_range] = STATE(8086),
    [sym_binary] = STATE(8086),
    [sym_unary] = STATE(8086),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5440] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5441] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(10943),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_elsif] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5442] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_elsif] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(10957),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [5443] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8034),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(8035),
    [sym__argument] = STATE(8036),
    [sym_splat_argument] = STATE(8036),
    [sym_hash_splat_argument] = STATE(8036),
    [sym_block_argument] = STATE(8036),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(8034),
    [sym_operator_assignment] = STATE(8034),
    [sym_conditional] = STATE(8034),
    [sym_range] = STATE(8034),
    [sym_binary] = STATE(8034),
    [sym_unary] = STATE(8034),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8037),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8036),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(10891),
    [sym__splat_star] = ACTIONS(10893),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(10895),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(775),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(10897),
    [sym_identifier] = ACTIONS(10897),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5444] = {
    [sym_heredoc_body] = STATE(8100),
    [aux_sym_call_repeat1] = STATE(8100),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_elsif] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [5445] = {
    [sym_heredoc_body] = STATE(8100),
    [aux_sym_call_repeat1] = STATE(8100),
    [aux_sym_argument_list_repeat1] = STATE(8102),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(10975),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_elsif] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [5446] = {
    [anon_sym_EQ] = ACTIONS(10977),
    [sym_comment] = ACTIONS(87),
  },
  [5447] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(10979),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(10981),
    [anon_sym_DASH_EQ] = ACTIONS(10981),
    [anon_sym_STAR_EQ] = ACTIONS(10981),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10981),
    [anon_sym_SLASH_EQ] = ACTIONS(10981),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10981),
    [anon_sym_PIPE_EQ] = ACTIONS(10981),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10981),
    [anon_sym_AMP_EQ] = ACTIONS(10981),
    [anon_sym_PERCENT_EQ] = ACTIONS(10981),
    [anon_sym_GT_GT_EQ] = ACTIONS(10981),
    [anon_sym_LT_LT_EQ] = ACTIONS(10981),
    [anon_sym_CARET_EQ] = ACTIONS(10981),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [5448] = {
    [sym_string] = STATE(8106),
    [aux_sym_chained_string_repeat1] = STATE(8106),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(10983),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [5449] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8112),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_splat_argument] = STATE(8113),
    [sym_assignment] = STATE(8112),
    [sym_operator_assignment] = STATE(8112),
    [sym_conditional] = STATE(8112),
    [sym_range] = STATE(8112),
    [sym_binary] = STATE(8112),
    [sym_unary] = STATE(8112),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(8113),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(10985),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5450] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8116),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(8116),
    [sym_operator_assignment] = STATE(8116),
    [sym_conditional] = STATE(8116),
    [sym_range] = STATE(8116),
    [sym_binary] = STATE(8116),
    [sym_unary] = STATE(8116),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5451] = {
    [sym_string] = STATE(8117),
    [aux_sym_chained_string_repeat1] = STATE(8117),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_elsif] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [5452] = {
    [sym_elsif] = STATE(8118),
    [sym_else] = STATE(8118),
    [sym__if_tail] = STATE(8118),
    [anon_sym_end] = ACTIONS(10915),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [5453] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8119),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(246),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(246),
    [sym_assignment] = STATE(8119),
    [sym_operator_assignment] = STATE(8119),
    [sym_conditional] = STATE(8119),
    [sym_range] = STATE(8119),
    [sym_binary] = STATE(8119),
    [sym_unary] = STATE(8119),
    [sym_left_assignment_list] = STATE(245),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(246),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(246),
    [sym_false] = STATE(246),
    [sym_nil] = STATE(246),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(247),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_next] = ACTIONS(433),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_defined_QMARK] = ACTIONS(437),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(441),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5454] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [5455] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [5456] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8022),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [5457] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8120),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8120),
    [sym_operator_assignment] = STATE(8120),
    [sym_conditional] = STATE(8120),
    [sym_range] = STATE(8120),
    [sym_binary] = STATE(8120),
    [sym_unary] = STATE(8120),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5458] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8121),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8121),
    [sym_operator_assignment] = STATE(8121),
    [sym_conditional] = STATE(8121),
    [sym_range] = STATE(8121),
    [sym_binary] = STATE(8121),
    [sym_unary] = STATE(8121),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5459] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8122),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8122),
    [sym_operator_assignment] = STATE(8122),
    [sym_conditional] = STATE(8122),
    [sym_range] = STATE(8122),
    [sym_binary] = STATE(8122),
    [sym_unary] = STATE(8122),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5460] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8123),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8123),
    [sym_operator_assignment] = STATE(8123),
    [sym_conditional] = STATE(8123),
    [sym_range] = STATE(8123),
    [sym_binary] = STATE(8123),
    [sym_unary] = STATE(8123),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5461] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8124),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8124),
    [sym_operator_assignment] = STATE(8124),
    [sym_conditional] = STATE(8124),
    [sym_range] = STATE(8124),
    [sym_binary] = STATE(8124),
    [sym_unary] = STATE(8124),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5462] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8125),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8125),
    [sym_operator_assignment] = STATE(8125),
    [sym_conditional] = STATE(8125),
    [sym_range] = STATE(8125),
    [sym_binary] = STATE(8125),
    [sym_unary] = STATE(8125),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5463] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8126),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8126),
    [sym_operator_assignment] = STATE(8126),
    [sym_conditional] = STATE(8126),
    [sym_range] = STATE(8126),
    [sym_binary] = STATE(8126),
    [sym_unary] = STATE(8126),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5464] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8127),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8127),
    [sym_operator_assignment] = STATE(8127),
    [sym_conditional] = STATE(8127),
    [sym_range] = STATE(8127),
    [sym_binary] = STATE(8127),
    [sym_unary] = STATE(8127),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5465] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8128),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8128),
    [sym_operator_assignment] = STATE(8128),
    [sym_conditional] = STATE(8128),
    [sym_range] = STATE(8128),
    [sym_binary] = STATE(8128),
    [sym_unary] = STATE(8128),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5466] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8129),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8129),
    [sym_operator_assignment] = STATE(8129),
    [sym_conditional] = STATE(8129),
    [sym_range] = STATE(8129),
    [sym_binary] = STATE(8129),
    [sym_unary] = STATE(8129),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5467] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8130),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8130),
    [sym_operator_assignment] = STATE(8130),
    [sym_conditional] = STATE(8130),
    [sym_range] = STATE(8130),
    [sym_binary] = STATE(8130),
    [sym_unary] = STATE(8130),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5468] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8131),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8131),
    [sym_operator_assignment] = STATE(8131),
    [sym_conditional] = STATE(8131),
    [sym_range] = STATE(8131),
    [sym_binary] = STATE(8131),
    [sym_unary] = STATE(8131),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5469] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8132),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_splat_argument] = STATE(8133),
    [sym_assignment] = STATE(8132),
    [sym_operator_assignment] = STATE(8132),
    [sym_conditional] = STATE(8132),
    [sym_range] = STATE(8132),
    [sym_binary] = STATE(8132),
    [sym_unary] = STATE(8132),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(8133),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(1801),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5470] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8134),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(8134),
    [sym_operator_assignment] = STATE(8134),
    [sym_conditional] = STATE(8134),
    [sym_range] = STATE(8134),
    [sym_binary] = STATE(8134),
    [sym_unary] = STATE(8134),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5471] = {
    [sym_string] = STATE(8135),
    [aux_sym_chained_string_repeat1] = STATE(8135),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_then] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [5472] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_then] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8022),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [5473] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5474] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [5475] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5476] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [5477] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5478] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5479] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_then] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8022),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [5480] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(10997),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [5481] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5482] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5483] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5484] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5485] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5486] = {
    [sym_heredoc_body] = STATE(5486),
    [aux_sym_call_repeat1] = STATE(5486),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [5487] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1053),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(1053),
    [sym_operator_assignment] = STATE(1053),
    [sym_conditional] = STATE(1053),
    [sym_range] = STATE(1053),
    [sym_binary] = STATE(1053),
    [sym_unary] = STATE(1053),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1059),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(1799),
    [sym__splat_star] = ACTIONS(1801),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__identifier_hash_key] = ACTIONS(1805),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8044),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1823),
    [sym_identifier] = ACTIONS(1823),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5488] = {
    [sym_heredoc_body] = STATE(5486),
    [aux_sym_call_repeat1] = STATE(5486),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [5489] = {
    [aux_sym_argument_list_repeat1] = STATE(5489),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(10999),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [5490] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5491] = {
    [aux_sym_exceptions_repeat1] = STATE(8138),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [5492] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [5493] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_then] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8022),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [5494] = {
    [sym_string] = STATE(5494),
    [aux_sym_chained_string_repeat1] = STATE(5494),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_then] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [5495] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8050),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(8054),
    [anon_sym_LT] = ACTIONS(8056),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8058),
    [anon_sym_DOT_DOT] = ACTIONS(8060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8062),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8064),
    [anon_sym_AMP_AMP] = ACTIONS(8064),
    [anon_sym_LT_LT] = ACTIONS(8066),
    [anon_sym_GT_GT] = ACTIONS(8066),
    [anon_sym_EQ_EQ] = ACTIONS(8068),
    [anon_sym_BANG_EQ] = ACTIONS(8064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8064),
    [anon_sym_LT_EQ_GT] = ACTIONS(8064),
    [anon_sym_EQ_TILDE] = ACTIONS(8064),
    [anon_sym_BANG_TILDE] = ACTIONS(8064),
    [anon_sym_LT_EQ] = ACTIONS(8056),
    [anon_sym_GT] = ACTIONS(8056),
    [anon_sym_GT_EQ] = ACTIONS(8070),
    [anon_sym_CARET] = ACTIONS(8072),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [5496] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5497] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5498] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8050),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(8054),
    [anon_sym_LT] = ACTIONS(8056),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8058),
    [anon_sym_DOT_DOT] = ACTIONS(8060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8062),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8064),
    [anon_sym_AMP_AMP] = ACTIONS(8064),
    [anon_sym_LT_LT] = ACTIONS(8066),
    [anon_sym_GT_GT] = ACTIONS(8066),
    [anon_sym_EQ_EQ] = ACTIONS(8068),
    [anon_sym_BANG_EQ] = ACTIONS(8064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8064),
    [anon_sym_LT_EQ_GT] = ACTIONS(8064),
    [anon_sym_EQ_TILDE] = ACTIONS(8064),
    [anon_sym_BANG_TILDE] = ACTIONS(8064),
    [anon_sym_LT_EQ] = ACTIONS(8056),
    [anon_sym_GT] = ACTIONS(8056),
    [anon_sym_GT_EQ] = ACTIONS(8070),
    [anon_sym_CARET] = ACTIONS(8072),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [5499] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8139),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8139),
    [sym_operator_assignment] = STATE(8139),
    [sym_conditional] = STATE(8139),
    [sym_range] = STATE(8139),
    [sym_binary] = STATE(8139),
    [sym_unary] = STATE(8139),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5500] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8140),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8140),
    [sym_operator_assignment] = STATE(8140),
    [sym_conditional] = STATE(8140),
    [sym_range] = STATE(8140),
    [sym_binary] = STATE(8140),
    [sym_unary] = STATE(8140),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5501] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8141),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8141),
    [sym_operator_assignment] = STATE(8141),
    [sym_conditional] = STATE(8141),
    [sym_range] = STATE(8141),
    [sym_binary] = STATE(8141),
    [sym_unary] = STATE(8141),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5502] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8142),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8142),
    [sym_operator_assignment] = STATE(8142),
    [sym_conditional] = STATE(8142),
    [sym_range] = STATE(8142),
    [sym_binary] = STATE(8142),
    [sym_unary] = STATE(8142),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5503] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8143),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8143),
    [sym_operator_assignment] = STATE(8143),
    [sym_conditional] = STATE(8143),
    [sym_range] = STATE(8143),
    [sym_binary] = STATE(8143),
    [sym_unary] = STATE(8143),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5504] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8144),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8144),
    [sym_operator_assignment] = STATE(8144),
    [sym_conditional] = STATE(8144),
    [sym_range] = STATE(8144),
    [sym_binary] = STATE(8144),
    [sym_unary] = STATE(8144),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5505] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8145),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8145),
    [sym_operator_assignment] = STATE(8145),
    [sym_conditional] = STATE(8145),
    [sym_range] = STATE(8145),
    [sym_binary] = STATE(8145),
    [sym_unary] = STATE(8145),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5506] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8146),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8146),
    [sym_operator_assignment] = STATE(8146),
    [sym_conditional] = STATE(8146),
    [sym_range] = STATE(8146),
    [sym_binary] = STATE(8146),
    [sym_unary] = STATE(8146),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5507] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8147),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8147),
    [sym_operator_assignment] = STATE(8147),
    [sym_conditional] = STATE(8147),
    [sym_range] = STATE(8147),
    [sym_binary] = STATE(8147),
    [sym_unary] = STATE(8147),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5508] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8148),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8148),
    [sym_operator_assignment] = STATE(8148),
    [sym_conditional] = STATE(8148),
    [sym_range] = STATE(8148),
    [sym_binary] = STATE(8148),
    [sym_unary] = STATE(8148),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5509] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8149),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8149),
    [sym_operator_assignment] = STATE(8149),
    [sym_conditional] = STATE(8149),
    [sym_range] = STATE(8149),
    [sym_binary] = STATE(8149),
    [sym_unary] = STATE(8149),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5510] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8150),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8150),
    [sym_operator_assignment] = STATE(8150),
    [sym_conditional] = STATE(8150),
    [sym_range] = STATE(8150),
    [sym_binary] = STATE(8150),
    [sym_unary] = STATE(8150),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5511] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2869),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(2869),
    [sym_operator_assignment] = STATE(2869),
    [sym_conditional] = STATE(2869),
    [sym_range] = STATE(2869),
    [sym_binary] = STATE(2869),
    [sym_unary] = STATE(2869),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(4502),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5512] = {
    [aux_sym_exceptions_repeat1] = STATE(8151),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(8076),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [5513] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2869),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_splat_argument] = STATE(8152),
    [sym_assignment] = STATE(2869),
    [sym_operator_assignment] = STATE(2869),
    [sym_conditional] = STATE(2869),
    [sym_range] = STATE(2869),
    [sym_binary] = STATE(2869),
    [sym_unary] = STATE(2869),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(8152),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(4502),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5514] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8153),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(8153),
    [sym_operator_assignment] = STATE(8153),
    [sym_conditional] = STATE(8153),
    [sym_range] = STATE(8153),
    [sym_binary] = STATE(8153),
    [sym_unary] = STATE(8153),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5515] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5516] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8162),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(8162),
    [sym_operator_assignment] = STATE(8162),
    [sym_conditional] = STATE(8162),
    [sym_range] = STATE(8162),
    [sym_binary] = STATE(8162),
    [sym_unary] = STATE(8162),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5517] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8166),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(8166),
    [sym_operator_assignment] = STATE(8166),
    [sym_conditional] = STATE(8166),
    [sym_range] = STATE(8166),
    [sym_binary] = STATE(8166),
    [sym_unary] = STATE(8166),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5518] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8167),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(8167),
    [sym_operator_assignment] = STATE(8167),
    [sym_conditional] = STATE(8167),
    [sym_range] = STATE(8167),
    [sym_binary] = STATE(8167),
    [sym_unary] = STATE(8167),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5519] = {
    [sym__keyword_colon] = ACTIONS(11022),
    [sym_comment] = ACTIONS(87),
  },
  [5520] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8170),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(8170),
    [sym_operator_assignment] = STATE(8170),
    [sym_conditional] = STATE(8170),
    [sym_range] = STATE(8170),
    [sym_binary] = STATE(8170),
    [sym_unary] = STATE(8170),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5521] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8176),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(8177),
    [sym__argument] = STATE(8178),
    [sym_splat_argument] = STATE(8178),
    [sym_hash_splat_argument] = STATE(8178),
    [sym_block_argument] = STATE(8178),
    [sym_assignment] = STATE(8176),
    [sym_operator_assignment] = STATE(8176),
    [sym_conditional] = STATE(8176),
    [sym_range] = STATE(8176),
    [sym_binary] = STATE(8176),
    [sym_unary] = STATE(8176),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8179),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8178),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(11024),
    [sym__splat_star] = ACTIONS(11026),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(11028),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(11030),
    [sym_identifier] = ACTIONS(11030),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5522] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8176),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(8177),
    [sym__argument] = STATE(8178),
    [sym_splat_argument] = STATE(8178),
    [sym_hash_splat_argument] = STATE(8178),
    [sym_block_argument] = STATE(8178),
    [sym_assignment] = STATE(8176),
    [sym_operator_assignment] = STATE(8176),
    [sym_conditional] = STATE(8176),
    [sym_range] = STATE(8176),
    [sym_binary] = STATE(8176),
    [sym_unary] = STATE(8176),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8179),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8178),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(11024),
    [sym__splat_star] = ACTIONS(11026),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(11028),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(11030),
    [sym_identifier] = ACTIONS(11030),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5523] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8176),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(8177),
    [sym__argument] = STATE(8178),
    [sym_splat_argument] = STATE(8178),
    [sym_hash_splat_argument] = STATE(8178),
    [sym_block_argument] = STATE(8178),
    [sym_assignment] = STATE(8176),
    [sym_operator_assignment] = STATE(8176),
    [sym_conditional] = STATE(8176),
    [sym_range] = STATE(8176),
    [sym_binary] = STATE(8176),
    [sym_unary] = STATE(8176),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8179),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8178),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(11024),
    [sym__splat_star] = ACTIONS(11026),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(11028),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(11030),
    [sym_identifier] = ACTIONS(11030),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5524] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8176),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(8177),
    [sym__argument] = STATE(8178),
    [sym_splat_argument] = STATE(8178),
    [sym_hash_splat_argument] = STATE(8178),
    [sym_block_argument] = STATE(8178),
    [sym_assignment] = STATE(8176),
    [sym_operator_assignment] = STATE(8176),
    [sym_conditional] = STATE(8176),
    [sym_range] = STATE(8176),
    [sym_binary] = STATE(8176),
    [sym_unary] = STATE(8176),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8179),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8178),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(11024),
    [sym__splat_star] = ACTIONS(11026),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(11028),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(11030),
    [sym_identifier] = ACTIONS(11030),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5525] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8180),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(8180),
    [sym_operator_assignment] = STATE(8180),
    [sym_conditional] = STATE(8180),
    [sym_range] = STATE(8180),
    [sym_binary] = STATE(8180),
    [sym_unary] = STATE(8180),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5526] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8181),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(8181),
    [sym_operator_assignment] = STATE(8181),
    [sym_conditional] = STATE(8181),
    [sym_range] = STATE(8181),
    [sym_binary] = STATE(8181),
    [sym_unary] = STATE(8181),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5527] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5528] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11022),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5529] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(11044),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [5530] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8200),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(8201),
    [sym__argument] = STATE(8202),
    [sym_splat_argument] = STATE(8202),
    [sym_hash_splat_argument] = STATE(8202),
    [sym_block_argument] = STATE(8202),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(8200),
    [sym_operator_assignment] = STATE(8200),
    [sym_conditional] = STATE(8200),
    [sym_range] = STATE(8200),
    [sym_binary] = STATE(8200),
    [sym_unary] = STATE(8200),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8203),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8202),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(11064),
    [sym__splat_star] = ACTIONS(11066),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(11068),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(11070),
    [sym_identifier] = ACTIONS(11070),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5531] = {
    [sym_heredoc_body] = STATE(8204),
    [aux_sym_call_repeat1] = STATE(8204),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5532] = {
    [sym_heredoc_body] = STATE(8204),
    [aux_sym_call_repeat1] = STATE(8204),
    [aux_sym_argument_list_repeat1] = STATE(8206),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11072),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5533] = {
    [anon_sym_EQ] = ACTIONS(11074),
    [sym_comment] = ACTIONS(87),
  },
  [5534] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11076),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11078),
    [anon_sym_DASH_EQ] = ACTIONS(11078),
    [anon_sym_STAR_EQ] = ACTIONS(11078),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11078),
    [anon_sym_SLASH_EQ] = ACTIONS(11078),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11078),
    [anon_sym_PIPE_EQ] = ACTIONS(11078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11078),
    [anon_sym_AMP_EQ] = ACTIONS(11078),
    [anon_sym_PERCENT_EQ] = ACTIONS(11078),
    [anon_sym_GT_GT_EQ] = ACTIONS(11078),
    [anon_sym_LT_LT_EQ] = ACTIONS(11078),
    [anon_sym_CARET_EQ] = ACTIONS(11078),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [5535] = {
    [sym_string] = STATE(8210),
    [aux_sym_chained_string_repeat1] = STATE(8210),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11080),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [5536] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5537] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8144),
    [anon_sym_DOT_DOT] = ACTIONS(8146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8148),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8152),
    [anon_sym_AMP_AMP] = ACTIONS(8152),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [5538] = {
    [aux_sym_undef_repeat1] = STATE(8211),
    [sym__line_break] = ACTIONS(2283),
    [sym__heredoc_body_start] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_end] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_unless] = ACTIONS(2283),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_until] = ACTIONS(2283),
    [anon_sym_rescue] = ACTIONS(2283),
    [anon_sym_else] = ACTIONS(2283),
    [sym_comment] = ACTIONS(87),
  },
  [5539] = {
    [sym__line_break] = ACTIONS(11082),
    [sym__heredoc_body_start] = ACTIONS(11082),
    [sym__element_reference_left_bracket] = ACTIONS(11082),
    [sym__infix_scope_colons] = ACTIONS(11082),
    [sym__binary_minus] = ACTIONS(11082),
    [sym__binary_star] = ACTIONS(11082),
    [ts_builtin_sym_end] = ACTIONS(11082),
    [anon_sym___END__] = ACTIONS(11082),
    [anon_sym_LBRACE] = ACTIONS(11082),
    [anon_sym_RBRACE] = ACTIONS(11082),
    [anon_sym_RPAREN] = ACTIONS(11082),
    [anon_sym_DOT] = ACTIONS(11084),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_PIPE] = ACTIONS(11084),
    [anon_sym_SEMI] = ACTIONS(11082),
    [anon_sym_STAR_STAR] = ACTIONS(11082),
    [anon_sym_AMP] = ACTIONS(11084),
    [anon_sym_LT] = ACTIONS(11084),
    [anon_sym_end] = ACTIONS(11082),
    [anon_sym_if] = ACTIONS(11082),
    [anon_sym_unless] = ACTIONS(11082),
    [anon_sym_while] = ACTIONS(11082),
    [anon_sym_until] = ACTIONS(11082),
    [anon_sym_rescue] = ACTIONS(11082),
    [anon_sym_do] = ACTIONS(11082),
    [anon_sym_when] = ACTIONS(11082),
    [anon_sym_elsif] = ACTIONS(11082),
    [anon_sym_else] = ACTIONS(11082),
    [anon_sym_then] = ACTIONS(11082),
    [anon_sym_ensure] = ACTIONS(11082),
    [anon_sym_EQ_GT] = ACTIONS(11082),
    [anon_sym_AMP_DOT] = ACTIONS(11082),
    [anon_sym_QMARK] = ACTIONS(11082),
    [anon_sym_DOT_DOT] = ACTIONS(11084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11082),
    [anon_sym_and] = ACTIONS(11082),
    [anon_sym_or] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE] = ACTIONS(11082),
    [anon_sym_AMP_AMP] = ACTIONS(11082),
    [anon_sym_LT_LT] = ACTIONS(11082),
    [anon_sym_GT_GT] = ACTIONS(11082),
    [anon_sym_EQ_EQ] = ACTIONS(11084),
    [anon_sym_BANG_EQ] = ACTIONS(11082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11082),
    [anon_sym_LT_EQ_GT] = ACTIONS(11082),
    [anon_sym_EQ_TILDE] = ACTIONS(11082),
    [anon_sym_BANG_TILDE] = ACTIONS(11082),
    [anon_sym_LT_EQ] = ACTIONS(11084),
    [anon_sym_GT] = ACTIONS(11084),
    [anon_sym_GT_EQ] = ACTIONS(11082),
    [anon_sym_CARET] = ACTIONS(11082),
    [anon_sym_PLUS] = ACTIONS(11082),
    [anon_sym_SLASH] = ACTIONS(11082),
    [anon_sym_PERCENT] = ACTIONS(11082),
    [sym_comment] = ACTIONS(87),
  },
  [5540] = {
    [anon_sym_end] = ACTIONS(11086),
    [sym_comment] = ACTIONS(87),
  },
  [5541] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2529),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(2529),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5542] = {
    [sym_heredoc_body] = STATE(8213),
    [sym__terminator] = STATE(8213),
    [aux_sym__statements_repeat1] = STATE(8214),
    [sym__line_break] = ACTIONS(11088),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(11088),
    [anon_sym_end] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2527),
    [sym_comment] = ACTIONS(87),
  },
  [5543] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8215),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8215),
    [sym_operator_assignment] = STATE(8215),
    [sym_conditional] = STATE(8215),
    [sym_range] = STATE(8215),
    [sym_binary] = STATE(8215),
    [sym_unary] = STATE(8215),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5544] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8216),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8216),
    [sym_operator_assignment] = STATE(8216),
    [sym_conditional] = STATE(8216),
    [sym_range] = STATE(8216),
    [sym_binary] = STATE(8216),
    [sym_unary] = STATE(8216),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5545] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8217),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8217),
    [sym_operator_assignment] = STATE(8217),
    [sym_conditional] = STATE(8217),
    [sym_range] = STATE(8217),
    [sym_binary] = STATE(8217),
    [sym_unary] = STATE(8217),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5546] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8218),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8218),
    [sym_operator_assignment] = STATE(8218),
    [sym_conditional] = STATE(8218),
    [sym_range] = STATE(8218),
    [sym_binary] = STATE(8218),
    [sym_unary] = STATE(8218),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5547] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8219),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8219),
    [sym_operator_assignment] = STATE(8219),
    [sym_conditional] = STATE(8219),
    [sym_range] = STATE(8219),
    [sym_binary] = STATE(8219),
    [sym_unary] = STATE(8219),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5548] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8220),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8220),
    [sym_operator_assignment] = STATE(8220),
    [sym_conditional] = STATE(8220),
    [sym_range] = STATE(8220),
    [sym_binary] = STATE(8220),
    [sym_unary] = STATE(8220),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5549] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8221),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8221),
    [sym_operator_assignment] = STATE(8221),
    [sym_conditional] = STATE(8221),
    [sym_range] = STATE(8221),
    [sym_binary] = STATE(8221),
    [sym_unary] = STATE(8221),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5550] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8222),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8222),
    [sym_operator_assignment] = STATE(8222),
    [sym_conditional] = STATE(8222),
    [sym_range] = STATE(8222),
    [sym_binary] = STATE(8222),
    [sym_unary] = STATE(8222),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5551] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8223),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8223),
    [sym_operator_assignment] = STATE(8223),
    [sym_conditional] = STATE(8223),
    [sym_range] = STATE(8223),
    [sym_binary] = STATE(8223),
    [sym_unary] = STATE(8223),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5552] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8224),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8224),
    [sym_operator_assignment] = STATE(8224),
    [sym_conditional] = STATE(8224),
    [sym_range] = STATE(8224),
    [sym_binary] = STATE(8224),
    [sym_unary] = STATE(8224),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5553] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8225),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8225),
    [sym_operator_assignment] = STATE(8225),
    [sym_conditional] = STATE(8225),
    [sym_range] = STATE(8225),
    [sym_binary] = STATE(8225),
    [sym_unary] = STATE(8225),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5554] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8226),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8226),
    [sym_operator_assignment] = STATE(8226),
    [sym_conditional] = STATE(8226),
    [sym_range] = STATE(8226),
    [sym_binary] = STATE(8226),
    [sym_unary] = STATE(8226),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5555] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8227),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8227),
    [sym_operator_assignment] = STATE(8227),
    [sym_conditional] = STATE(8227),
    [sym_range] = STATE(8227),
    [sym_binary] = STATE(8227),
    [sym_unary] = STATE(8227),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5556] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8228),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8228),
    [sym_operator_assignment] = STATE(8228),
    [sym_conditional] = STATE(8228),
    [sym_range] = STATE(8228),
    [sym_binary] = STATE(8228),
    [sym_unary] = STATE(8228),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5557] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8229),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8229),
    [sym_operator_assignment] = STATE(8229),
    [sym_conditional] = STATE(8229),
    [sym_range] = STATE(8229),
    [sym_binary] = STATE(8229),
    [sym_unary] = STATE(8229),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5558] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8230),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8230),
    [sym_operator_assignment] = STATE(8230),
    [sym_conditional] = STATE(8230),
    [sym_range] = STATE(8230),
    [sym_binary] = STATE(8230),
    [sym_unary] = STATE(8230),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5559] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8231),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8231),
    [sym_operator_assignment] = STATE(8231),
    [sym_conditional] = STATE(8231),
    [sym_range] = STATE(8231),
    [sym_binary] = STATE(8231),
    [sym_unary] = STATE(8231),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5560] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8240),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(8240),
    [sym_operator_assignment] = STATE(8240),
    [sym_conditional] = STATE(8240),
    [sym_range] = STATE(8240),
    [sym_binary] = STATE(8240),
    [sym_unary] = STATE(8240),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5561] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8245),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(8245),
    [sym_operator_assignment] = STATE(8245),
    [sym_conditional] = STATE(8245),
    [sym_range] = STATE(8245),
    [sym_binary] = STATE(8245),
    [sym_unary] = STATE(8245),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5562] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8246),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(8246),
    [sym_operator_assignment] = STATE(8246),
    [sym_conditional] = STATE(8246),
    [sym_range] = STATE(8246),
    [sym_binary] = STATE(8246),
    [sym_unary] = STATE(8246),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5563] = {
    [sym__keyword_colon] = ACTIONS(11114),
    [sym_comment] = ACTIONS(87),
  },
  [5564] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8249),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(8249),
    [sym_operator_assignment] = STATE(8249),
    [sym_conditional] = STATE(8249),
    [sym_range] = STATE(8249),
    [sym_binary] = STATE(8249),
    [sym_unary] = STATE(8249),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5565] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8200),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(8201),
    [sym__argument] = STATE(8202),
    [sym_splat_argument] = STATE(8202),
    [sym_hash_splat_argument] = STATE(8202),
    [sym_block_argument] = STATE(8202),
    [sym_assignment] = STATE(8200),
    [sym_operator_assignment] = STATE(8200),
    [sym_conditional] = STATE(8200),
    [sym_range] = STATE(8200),
    [sym_binary] = STATE(8200),
    [sym_unary] = STATE(8200),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8203),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8202),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(11064),
    [sym__splat_star] = ACTIONS(11066),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(11068),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(11070),
    [sym_identifier] = ACTIONS(11070),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5566] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8200),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(8201),
    [sym__argument] = STATE(8202),
    [sym_splat_argument] = STATE(8202),
    [sym_hash_splat_argument] = STATE(8202),
    [sym_block_argument] = STATE(8202),
    [sym_assignment] = STATE(8200),
    [sym_operator_assignment] = STATE(8200),
    [sym_conditional] = STATE(8200),
    [sym_range] = STATE(8200),
    [sym_binary] = STATE(8200),
    [sym_unary] = STATE(8200),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8203),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8202),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(11064),
    [sym__splat_star] = ACTIONS(11066),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(11068),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(11070),
    [sym_identifier] = ACTIONS(11070),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5567] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8200),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(8201),
    [sym__argument] = STATE(8202),
    [sym_splat_argument] = STATE(8202),
    [sym_hash_splat_argument] = STATE(8202),
    [sym_block_argument] = STATE(8202),
    [sym_assignment] = STATE(8200),
    [sym_operator_assignment] = STATE(8200),
    [sym_conditional] = STATE(8200),
    [sym_range] = STATE(8200),
    [sym_binary] = STATE(8200),
    [sym_unary] = STATE(8200),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8203),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8202),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(11064),
    [sym__splat_star] = ACTIONS(11066),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(11068),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(11070),
    [sym_identifier] = ACTIONS(11070),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5568] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8200),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(8201),
    [sym__argument] = STATE(8202),
    [sym_splat_argument] = STATE(8202),
    [sym_hash_splat_argument] = STATE(8202),
    [sym_block_argument] = STATE(8202),
    [sym_assignment] = STATE(8200),
    [sym_operator_assignment] = STATE(8200),
    [sym_conditional] = STATE(8200),
    [sym_range] = STATE(8200),
    [sym_binary] = STATE(8200),
    [sym_unary] = STATE(8200),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8203),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8202),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(11064),
    [sym__splat_star] = ACTIONS(11066),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(11068),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(11070),
    [sym_identifier] = ACTIONS(11070),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5569] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8250),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(8250),
    [sym_operator_assignment] = STATE(8250),
    [sym_conditional] = STATE(8250),
    [sym_range] = STATE(8250),
    [sym_binary] = STATE(8250),
    [sym_unary] = STATE(8250),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5570] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8251),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(8251),
    [sym_operator_assignment] = STATE(8251),
    [sym_conditional] = STATE(8251),
    [sym_range] = STATE(8251),
    [sym_binary] = STATE(8251),
    [sym_unary] = STATE(8251),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5571] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5572] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11114),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5573] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(11128),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [5574] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8200),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(8201),
    [sym__argument] = STATE(8202),
    [sym_splat_argument] = STATE(8202),
    [sym_hash_splat_argument] = STATE(8202),
    [sym_block_argument] = STATE(8202),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(8200),
    [sym_operator_assignment] = STATE(8200),
    [sym_conditional] = STATE(8200),
    [sym_range] = STATE(8200),
    [sym_binary] = STATE(8200),
    [sym_unary] = STATE(8200),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8203),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(8202),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(11064),
    [sym__splat_star] = ACTIONS(11066),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(11068),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(11070),
    [sym_identifier] = ACTIONS(11070),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5575] = {
    [sym_heredoc_body] = STATE(8265),
    [aux_sym_call_repeat1] = STATE(8265),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [5576] = {
    [sym_heredoc_body] = STATE(8265),
    [aux_sym_call_repeat1] = STATE(8265),
    [aux_sym_argument_list_repeat1] = STATE(8267),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11146),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [5577] = {
    [anon_sym_EQ] = ACTIONS(11148),
    [sym_comment] = ACTIONS(87),
  },
  [5578] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11150),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11152),
    [anon_sym_DASH_EQ] = ACTIONS(11152),
    [anon_sym_STAR_EQ] = ACTIONS(11152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11152),
    [anon_sym_SLASH_EQ] = ACTIONS(11152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11152),
    [anon_sym_PIPE_EQ] = ACTIONS(11152),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11152),
    [anon_sym_AMP_EQ] = ACTIONS(11152),
    [anon_sym_PERCENT_EQ] = ACTIONS(11152),
    [anon_sym_GT_GT_EQ] = ACTIONS(11152),
    [anon_sym_LT_LT_EQ] = ACTIONS(11152),
    [anon_sym_CARET_EQ] = ACTIONS(11152),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [5579] = {
    [sym_string] = STATE(8271),
    [aux_sym_chained_string_repeat1] = STATE(8271),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11154),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [5580] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8277),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_splat_argument] = STATE(8278),
    [sym_assignment] = STATE(8277),
    [sym_operator_assignment] = STATE(8277),
    [sym_conditional] = STATE(8277),
    [sym_range] = STATE(8277),
    [sym_binary] = STATE(8277),
    [sym_unary] = STATE(8277),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(8278),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(11156),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5581] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8281),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(8281),
    [sym_operator_assignment] = STATE(8281),
    [sym_conditional] = STATE(8281),
    [sym_range] = STATE(8281),
    [sym_binary] = STATE(8281),
    [sym_unary] = STATE(8281),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5582] = {
    [sym_string] = STATE(8282),
    [aux_sym_chained_string_repeat1] = STATE(8282),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [5583] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5584] = {
    [sym_heredoc_body] = STATE(8283),
    [aux_sym_call_repeat1] = STATE(8283),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5585] = {
    [sym_heredoc_body] = STATE(8283),
    [aux_sym_call_repeat1] = STATE(8283),
    [aux_sym_argument_list_repeat1] = STATE(8284),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4614),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5586] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5587] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8212),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [5588] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8285),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8285),
    [sym_operator_assignment] = STATE(8285),
    [sym_conditional] = STATE(8285),
    [sym_range] = STATE(8285),
    [sym_binary] = STATE(8285),
    [sym_unary] = STATE(8285),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5589] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8286),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8286),
    [sym_operator_assignment] = STATE(8286),
    [sym_conditional] = STATE(8286),
    [sym_range] = STATE(8286),
    [sym_binary] = STATE(8286),
    [sym_unary] = STATE(8286),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5590] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8287),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8287),
    [sym_operator_assignment] = STATE(8287),
    [sym_conditional] = STATE(8287),
    [sym_range] = STATE(8287),
    [sym_binary] = STATE(8287),
    [sym_unary] = STATE(8287),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5591] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8288),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8288),
    [sym_operator_assignment] = STATE(8288),
    [sym_conditional] = STATE(8288),
    [sym_range] = STATE(8288),
    [sym_binary] = STATE(8288),
    [sym_unary] = STATE(8288),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5592] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8289),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8289),
    [sym_operator_assignment] = STATE(8289),
    [sym_conditional] = STATE(8289),
    [sym_range] = STATE(8289),
    [sym_binary] = STATE(8289),
    [sym_unary] = STATE(8289),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5593] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8290),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8290),
    [sym_operator_assignment] = STATE(8290),
    [sym_conditional] = STATE(8290),
    [sym_range] = STATE(8290),
    [sym_binary] = STATE(8290),
    [sym_unary] = STATE(8290),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5594] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8291),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8291),
    [sym_operator_assignment] = STATE(8291),
    [sym_conditional] = STATE(8291),
    [sym_range] = STATE(8291),
    [sym_binary] = STATE(8291),
    [sym_unary] = STATE(8291),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5595] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8292),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8292),
    [sym_operator_assignment] = STATE(8292),
    [sym_conditional] = STATE(8292),
    [sym_range] = STATE(8292),
    [sym_binary] = STATE(8292),
    [sym_unary] = STATE(8292),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5596] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8293),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8293),
    [sym_operator_assignment] = STATE(8293),
    [sym_conditional] = STATE(8293),
    [sym_range] = STATE(8293),
    [sym_binary] = STATE(8293),
    [sym_unary] = STATE(8293),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5597] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8294),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8294),
    [sym_operator_assignment] = STATE(8294),
    [sym_conditional] = STATE(8294),
    [sym_range] = STATE(8294),
    [sym_binary] = STATE(8294),
    [sym_unary] = STATE(8294),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5598] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8295),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8295),
    [sym_operator_assignment] = STATE(8295),
    [sym_conditional] = STATE(8295),
    [sym_range] = STATE(8295),
    [sym_binary] = STATE(8295),
    [sym_unary] = STATE(8295),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5599] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8296),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8296),
    [sym_operator_assignment] = STATE(8296),
    [sym_conditional] = STATE(8296),
    [sym_range] = STATE(8296),
    [sym_binary] = STATE(8296),
    [sym_unary] = STATE(8296),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5600] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8297),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_splat_argument] = STATE(8298),
    [sym_assignment] = STATE(8297),
    [sym_operator_assignment] = STATE(8297),
    [sym_conditional] = STATE(8297),
    [sym_range] = STATE(8297),
    [sym_binary] = STATE(8297),
    [sym_unary] = STATE(8297),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(8298),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(1841),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5601] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8299),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(8299),
    [sym_operator_assignment] = STATE(8299),
    [sym_conditional] = STATE(8299),
    [sym_range] = STATE(8299),
    [sym_binary] = STATE(8299),
    [sym_unary] = STATE(8299),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5602] = {
    [sym_string] = STATE(8300),
    [aux_sym_chained_string_repeat1] = STATE(8300),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [5603] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8212),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [5604] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5605] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5606] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8301),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(8301),
    [sym_operator_assignment] = STATE(8301),
    [sym_conditional] = STATE(8301),
    [sym_range] = STATE(8301),
    [sym_binary] = STATE(8301),
    [sym_unary] = STATE(8301),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5607] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5608] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8302),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(8302),
    [sym_operator_assignment] = STATE(8302),
    [sym_conditional] = STATE(8302),
    [sym_range] = STATE(8302),
    [sym_binary] = STATE(8302),
    [sym_unary] = STATE(8302),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5609] = {
    [sym_heredoc_body] = STATE(8303),
    [aux_sym_call_repeat1] = STATE(8303),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5610] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2917),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(2917),
    [sym_operator_assignment] = STATE(2917),
    [sym_conditional] = STATE(2917),
    [sym_range] = STATE(2917),
    [sym_binary] = STATE(2917),
    [sym_unary] = STATE(2917),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2920),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(8304),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(4564),
    [sym__splat_star] = ACTIONS(4566),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__identifier_hash_key] = ACTIONS(4568),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11168),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(4570),
    [sym_identifier] = ACTIONS(4570),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5611] = {
    [sym_heredoc_body] = STATE(8305),
    [aux_sym_call_repeat1] = STATE(8305),
    [aux_sym_argument_list_repeat1] = STATE(8306),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8238),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5612] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8307),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(8307),
    [sym_operator_assignment] = STATE(8307),
    [sym_conditional] = STATE(8307),
    [sym_range] = STATE(8307),
    [sym_binary] = STATE(8307),
    [sym_unary] = STATE(8307),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5613] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5614] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [5615] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5616] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [5617] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5618] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5619] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8212),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [5620] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11170),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [5621] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5622] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5623] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5624] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5625] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5626] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5627] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5628] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8309),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(8309),
    [sym_operator_assignment] = STATE(8309),
    [sym_conditional] = STATE(8309),
    [sym_range] = STATE(8309),
    [sym_binary] = STATE(8309),
    [sym_unary] = STATE(8309),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5629] = {
    [sym__line_break] = ACTIONS(5684),
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [5630] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5631] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8310),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(8310),
    [sym_operator_assignment] = STATE(8310),
    [sym_conditional] = STATE(8310),
    [sym_range] = STATE(8310),
    [sym_binary] = STATE(8310),
    [sym_unary] = STATE(8310),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5632] = {
    [sym_heredoc_body] = STATE(8311),
    [aux_sym_call_repeat1] = STATE(8311),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [5633] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2942),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(2942),
    [sym_operator_assignment] = STATE(2942),
    [sym_conditional] = STATE(2942),
    [sym_range] = STATE(2942),
    [sym_binary] = STATE(2942),
    [sym_unary] = STATE(2942),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2945),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(8312),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(4604),
    [sym__splat_star] = ACTIONS(4606),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__identifier_hash_key] = ACTIONS(4608),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11172),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(4612),
    [sym_identifier] = ACTIONS(4612),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5634] = {
    [sym_heredoc_body] = STATE(8313),
    [aux_sym_call_repeat1] = STATE(8313),
    [aux_sym_argument_list_repeat1] = STATE(8314),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8246),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [5635] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8315),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(8315),
    [sym_operator_assignment] = STATE(8315),
    [sym_conditional] = STATE(8315),
    [sym_range] = STATE(8315),
    [sym_binary] = STATE(8315),
    [sym_unary] = STATE(8315),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5636] = {
    [sym_heredoc_body] = STATE(5636),
    [aux_sym_call_repeat1] = STATE(5636),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [5637] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1079),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(1079),
    [sym_operator_assignment] = STATE(1079),
    [sym_conditional] = STATE(1079),
    [sym_range] = STATE(1079),
    [sym_binary] = STATE(1079),
    [sym_unary] = STATE(1079),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1085),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(1839),
    [sym__splat_star] = ACTIONS(1841),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__identifier_hash_key] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8250),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1863),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5638] = {
    [sym_heredoc_body] = STATE(5636),
    [aux_sym_call_repeat1] = STATE(5636),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [5639] = {
    [aux_sym_argument_list_repeat1] = STATE(5639),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(11174),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [5640] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5641] = {
    [aux_sym_exceptions_repeat1] = STATE(8317),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [5642] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [5643] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8212),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [5644] = {
    [sym_string] = STATE(5644),
    [aux_sym_chained_string_repeat1] = STATE(5644),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [5645] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8318),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(260),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(260),
    [sym_assignment] = STATE(8318),
    [sym_operator_assignment] = STATE(8318),
    [sym_conditional] = STATE(8318),
    [sym_range] = STATE(8318),
    [sym_binary] = STATE(8318),
    [sym_unary] = STATE(8318),
    [sym_left_assignment_list] = STATE(259),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(260),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(260),
    [sym_false] = STATE(260),
    [sym_nil] = STATE(260),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(261),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(451),
    [anon_sym_yield] = ACTIONS(453),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_next] = ACTIONS(457),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_defined_QMARK] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5646] = {
    [sym__line_break] = ACTIONS(11177),
    [sym__heredoc_body_start] = ACTIONS(11177),
    [sym__element_reference_left_bracket] = ACTIONS(11177),
    [sym__infix_scope_colons] = ACTIONS(11177),
    [sym__binary_minus] = ACTIONS(11177),
    [sym__binary_star] = ACTIONS(11177),
    [ts_builtin_sym_end] = ACTIONS(11177),
    [anon_sym___END__] = ACTIONS(11177),
    [anon_sym_LBRACE] = ACTIONS(11177),
    [anon_sym_RBRACE] = ACTIONS(11177),
    [anon_sym_RPAREN] = ACTIONS(11177),
    [anon_sym_DOT] = ACTIONS(11179),
    [anon_sym_COMMA] = ACTIONS(11177),
    [anon_sym_PIPE] = ACTIONS(11179),
    [anon_sym_SEMI] = ACTIONS(11177),
    [anon_sym_STAR_STAR] = ACTIONS(11177),
    [anon_sym_AMP] = ACTIONS(11179),
    [anon_sym_LT] = ACTIONS(11179),
    [anon_sym_end] = ACTIONS(11177),
    [anon_sym_if] = ACTIONS(11177),
    [anon_sym_unless] = ACTIONS(11177),
    [anon_sym_while] = ACTIONS(11177),
    [anon_sym_until] = ACTIONS(11177),
    [anon_sym_rescue] = ACTIONS(11177),
    [anon_sym_do] = ACTIONS(11177),
    [anon_sym_when] = ACTIONS(11177),
    [anon_sym_elsif] = ACTIONS(11177),
    [anon_sym_else] = ACTIONS(11177),
    [anon_sym_then] = ACTIONS(11177),
    [anon_sym_ensure] = ACTIONS(11177),
    [anon_sym_EQ_GT] = ACTIONS(11177),
    [anon_sym_AMP_DOT] = ACTIONS(11177),
    [anon_sym_QMARK] = ACTIONS(11177),
    [anon_sym_DOT_DOT] = ACTIONS(11179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11177),
    [anon_sym_and] = ACTIONS(11177),
    [anon_sym_or] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE] = ACTIONS(11177),
    [anon_sym_AMP_AMP] = ACTIONS(11177),
    [anon_sym_LT_LT] = ACTIONS(11177),
    [anon_sym_GT_GT] = ACTIONS(11177),
    [anon_sym_EQ_EQ] = ACTIONS(11179),
    [anon_sym_BANG_EQ] = ACTIONS(11177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11177),
    [anon_sym_LT_EQ_GT] = ACTIONS(11177),
    [anon_sym_EQ_TILDE] = ACTIONS(11177),
    [anon_sym_BANG_TILDE] = ACTIONS(11177),
    [anon_sym_LT_EQ] = ACTIONS(11179),
    [anon_sym_GT] = ACTIONS(11179),
    [anon_sym_GT_EQ] = ACTIONS(11177),
    [anon_sym_CARET] = ACTIONS(11177),
    [anon_sym_PLUS] = ACTIONS(11177),
    [anon_sym_SLASH] = ACTIONS(11177),
    [anon_sym_PERCENT] = ACTIONS(11177),
    [sym_comment] = ACTIONS(87),
  },
  [5647] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [5648] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [5649] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8272),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [5650] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8319),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8319),
    [sym_operator_assignment] = STATE(8319),
    [sym_conditional] = STATE(8319),
    [sym_range] = STATE(8319),
    [sym_binary] = STATE(8319),
    [sym_unary] = STATE(8319),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5651] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8320),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8320),
    [sym_operator_assignment] = STATE(8320),
    [sym_conditional] = STATE(8320),
    [sym_range] = STATE(8320),
    [sym_binary] = STATE(8320),
    [sym_unary] = STATE(8320),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5652] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8321),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8321),
    [sym_operator_assignment] = STATE(8321),
    [sym_conditional] = STATE(8321),
    [sym_range] = STATE(8321),
    [sym_binary] = STATE(8321),
    [sym_unary] = STATE(8321),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5653] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8322),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8322),
    [sym_operator_assignment] = STATE(8322),
    [sym_conditional] = STATE(8322),
    [sym_range] = STATE(8322),
    [sym_binary] = STATE(8322),
    [sym_unary] = STATE(8322),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5654] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8323),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8323),
    [sym_operator_assignment] = STATE(8323),
    [sym_conditional] = STATE(8323),
    [sym_range] = STATE(8323),
    [sym_binary] = STATE(8323),
    [sym_unary] = STATE(8323),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5655] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8324),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8324),
    [sym_operator_assignment] = STATE(8324),
    [sym_conditional] = STATE(8324),
    [sym_range] = STATE(8324),
    [sym_binary] = STATE(8324),
    [sym_unary] = STATE(8324),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5656] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8325),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8325),
    [sym_operator_assignment] = STATE(8325),
    [sym_conditional] = STATE(8325),
    [sym_range] = STATE(8325),
    [sym_binary] = STATE(8325),
    [sym_unary] = STATE(8325),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5657] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8326),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8326),
    [sym_operator_assignment] = STATE(8326),
    [sym_conditional] = STATE(8326),
    [sym_range] = STATE(8326),
    [sym_binary] = STATE(8326),
    [sym_unary] = STATE(8326),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5658] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8327),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8327),
    [sym_operator_assignment] = STATE(8327),
    [sym_conditional] = STATE(8327),
    [sym_range] = STATE(8327),
    [sym_binary] = STATE(8327),
    [sym_unary] = STATE(8327),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5659] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8328),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8328),
    [sym_operator_assignment] = STATE(8328),
    [sym_conditional] = STATE(8328),
    [sym_range] = STATE(8328),
    [sym_binary] = STATE(8328),
    [sym_unary] = STATE(8328),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5660] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8329),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8329),
    [sym_operator_assignment] = STATE(8329),
    [sym_conditional] = STATE(8329),
    [sym_range] = STATE(8329),
    [sym_binary] = STATE(8329),
    [sym_unary] = STATE(8329),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5661] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8330),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8330),
    [sym_operator_assignment] = STATE(8330),
    [sym_conditional] = STATE(8330),
    [sym_range] = STATE(8330),
    [sym_binary] = STATE(8330),
    [sym_unary] = STATE(8330),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5662] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8331),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_splat_argument] = STATE(8332),
    [sym_assignment] = STATE(8331),
    [sym_operator_assignment] = STATE(8331),
    [sym_conditional] = STATE(8331),
    [sym_range] = STATE(8331),
    [sym_binary] = STATE(8331),
    [sym_unary] = STATE(8331),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(8332),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(1905),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5663] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8333),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(8333),
    [sym_operator_assignment] = STATE(8333),
    [sym_conditional] = STATE(8333),
    [sym_range] = STATE(8333),
    [sym_binary] = STATE(8333),
    [sym_unary] = STATE(8333),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5664] = {
    [sym_string] = STATE(8334),
    [aux_sym_chained_string_repeat1] = STATE(8334),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [5665] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8272),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [5666] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5667] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [5668] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5669] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [5670] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5671] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5672] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8272),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [5673] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11181),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [5674] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5675] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5676] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5677] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5678] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5679] = {
    [sym_heredoc_body] = STATE(5679),
    [aux_sym_call_repeat1] = STATE(5679),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [5680] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1115),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(1115),
    [sym_operator_assignment] = STATE(1115),
    [sym_conditional] = STATE(1115),
    [sym_range] = STATE(1115),
    [sym_binary] = STATE(1115),
    [sym_unary] = STATE(1115),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1122),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(1903),
    [sym__splat_star] = ACTIONS(1905),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__identifier_hash_key] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8294),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1937),
    [sym_identifier] = ACTIONS(1937),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5681] = {
    [sym_heredoc_body] = STATE(5679),
    [aux_sym_call_repeat1] = STATE(5679),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [5682] = {
    [aux_sym_argument_list_repeat1] = STATE(5682),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(11183),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [5683] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5684] = {
    [aux_sym_exceptions_repeat1] = STATE(8337),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [5685] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [5686] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8272),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [5687] = {
    [sym_string] = STATE(5687),
    [aux_sym_chained_string_repeat1] = STATE(5687),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [5688] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8300),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(8304),
    [anon_sym_LT] = ACTIONS(8306),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8308),
    [anon_sym_DOT_DOT] = ACTIONS(8310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8312),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8314),
    [anon_sym_AMP_AMP] = ACTIONS(8314),
    [anon_sym_LT_LT] = ACTIONS(8316),
    [anon_sym_GT_GT] = ACTIONS(8316),
    [anon_sym_EQ_EQ] = ACTIONS(8318),
    [anon_sym_BANG_EQ] = ACTIONS(8314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8314),
    [anon_sym_LT_EQ_GT] = ACTIONS(8314),
    [anon_sym_EQ_TILDE] = ACTIONS(8314),
    [anon_sym_BANG_TILDE] = ACTIONS(8314),
    [anon_sym_LT_EQ] = ACTIONS(8306),
    [anon_sym_GT] = ACTIONS(8306),
    [anon_sym_GT_EQ] = ACTIONS(8320),
    [anon_sym_CARET] = ACTIONS(8322),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [5689] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5690] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5691] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8300),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(8304),
    [anon_sym_LT] = ACTIONS(8306),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8308),
    [anon_sym_DOT_DOT] = ACTIONS(8310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8312),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8314),
    [anon_sym_AMP_AMP] = ACTIONS(8314),
    [anon_sym_LT_LT] = ACTIONS(8316),
    [anon_sym_GT_GT] = ACTIONS(8316),
    [anon_sym_EQ_EQ] = ACTIONS(8318),
    [anon_sym_BANG_EQ] = ACTIONS(8314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8314),
    [anon_sym_LT_EQ_GT] = ACTIONS(8314),
    [anon_sym_EQ_TILDE] = ACTIONS(8314),
    [anon_sym_BANG_TILDE] = ACTIONS(8314),
    [anon_sym_LT_EQ] = ACTIONS(8306),
    [anon_sym_GT] = ACTIONS(8306),
    [anon_sym_GT_EQ] = ACTIONS(8320),
    [anon_sym_CARET] = ACTIONS(8322),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [5692] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8338),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8338),
    [sym_operator_assignment] = STATE(8338),
    [sym_conditional] = STATE(8338),
    [sym_range] = STATE(8338),
    [sym_binary] = STATE(8338),
    [sym_unary] = STATE(8338),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5693] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8339),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8339),
    [sym_operator_assignment] = STATE(8339),
    [sym_conditional] = STATE(8339),
    [sym_range] = STATE(8339),
    [sym_binary] = STATE(8339),
    [sym_unary] = STATE(8339),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5694] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8340),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8340),
    [sym_operator_assignment] = STATE(8340),
    [sym_conditional] = STATE(8340),
    [sym_range] = STATE(8340),
    [sym_binary] = STATE(8340),
    [sym_unary] = STATE(8340),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5695] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8341),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8341),
    [sym_operator_assignment] = STATE(8341),
    [sym_conditional] = STATE(8341),
    [sym_range] = STATE(8341),
    [sym_binary] = STATE(8341),
    [sym_unary] = STATE(8341),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5696] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8342),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8342),
    [sym_operator_assignment] = STATE(8342),
    [sym_conditional] = STATE(8342),
    [sym_range] = STATE(8342),
    [sym_binary] = STATE(8342),
    [sym_unary] = STATE(8342),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5697] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8343),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8343),
    [sym_operator_assignment] = STATE(8343),
    [sym_conditional] = STATE(8343),
    [sym_range] = STATE(8343),
    [sym_binary] = STATE(8343),
    [sym_unary] = STATE(8343),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5698] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8344),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8344),
    [sym_operator_assignment] = STATE(8344),
    [sym_conditional] = STATE(8344),
    [sym_range] = STATE(8344),
    [sym_binary] = STATE(8344),
    [sym_unary] = STATE(8344),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5699] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8345),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8345),
    [sym_operator_assignment] = STATE(8345),
    [sym_conditional] = STATE(8345),
    [sym_range] = STATE(8345),
    [sym_binary] = STATE(8345),
    [sym_unary] = STATE(8345),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5700] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8346),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8346),
    [sym_operator_assignment] = STATE(8346),
    [sym_conditional] = STATE(8346),
    [sym_range] = STATE(8346),
    [sym_binary] = STATE(8346),
    [sym_unary] = STATE(8346),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5701] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8347),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8347),
    [sym_operator_assignment] = STATE(8347),
    [sym_conditional] = STATE(8347),
    [sym_range] = STATE(8347),
    [sym_binary] = STATE(8347),
    [sym_unary] = STATE(8347),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5702] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8348),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8348),
    [sym_operator_assignment] = STATE(8348),
    [sym_conditional] = STATE(8348),
    [sym_range] = STATE(8348),
    [sym_binary] = STATE(8348),
    [sym_unary] = STATE(8348),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5703] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8349),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8349),
    [sym_operator_assignment] = STATE(8349),
    [sym_conditional] = STATE(8349),
    [sym_range] = STATE(8349),
    [sym_binary] = STATE(8349),
    [sym_unary] = STATE(8349),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5704] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3013),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(3013),
    [sym_operator_assignment] = STATE(3013),
    [sym_conditional] = STATE(3013),
    [sym_range] = STATE(3013),
    [sym_binary] = STATE(3013),
    [sym_unary] = STATE(3013),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(4694),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5705] = {
    [aux_sym_exceptions_repeat1] = STATE(8350),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(8326),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [5706] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3013),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_splat_argument] = STATE(8351),
    [sym_assignment] = STATE(3013),
    [sym_operator_assignment] = STATE(3013),
    [sym_conditional] = STATE(3013),
    [sym_range] = STATE(3013),
    [sym_binary] = STATE(3013),
    [sym_unary] = STATE(3013),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(8351),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(4694),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5707] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8352),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(8352),
    [sym_operator_assignment] = STATE(8352),
    [sym_conditional] = STATE(8352),
    [sym_range] = STATE(8352),
    [sym_binary] = STATE(8352),
    [sym_unary] = STATE(8352),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5708] = {
    [sym__line_break] = ACTIONS(11186),
    [sym__heredoc_body_start] = ACTIONS(11186),
    [sym__element_reference_left_bracket] = ACTIONS(11186),
    [sym__infix_scope_colons] = ACTIONS(11186),
    [sym__binary_minus] = ACTIONS(11186),
    [sym__binary_star] = ACTIONS(11186),
    [ts_builtin_sym_end] = ACTIONS(11186),
    [anon_sym___END__] = ACTIONS(11186),
    [anon_sym_LBRACE] = ACTIONS(11186),
    [anon_sym_RBRACE] = ACTIONS(11186),
    [anon_sym_RPAREN] = ACTIONS(11186),
    [anon_sym_DOT] = ACTIONS(11188),
    [anon_sym_COMMA] = ACTIONS(11186),
    [anon_sym_PIPE] = ACTIONS(11188),
    [anon_sym_SEMI] = ACTIONS(11186),
    [anon_sym_STAR_STAR] = ACTIONS(11186),
    [anon_sym_AMP] = ACTIONS(11188),
    [anon_sym_LT] = ACTIONS(11188),
    [anon_sym_end] = ACTIONS(11186),
    [anon_sym_if] = ACTIONS(11186),
    [anon_sym_unless] = ACTIONS(11186),
    [anon_sym_while] = ACTIONS(11186),
    [anon_sym_until] = ACTIONS(11186),
    [anon_sym_rescue] = ACTIONS(11186),
    [anon_sym_do] = ACTIONS(11186),
    [anon_sym_when] = ACTIONS(11186),
    [anon_sym_elsif] = ACTIONS(11186),
    [anon_sym_else] = ACTIONS(11186),
    [anon_sym_then] = ACTIONS(11186),
    [anon_sym_ensure] = ACTIONS(11186),
    [anon_sym_EQ_GT] = ACTIONS(11186),
    [anon_sym_AMP_DOT] = ACTIONS(11186),
    [anon_sym_QMARK] = ACTIONS(11186),
    [anon_sym_DOT_DOT] = ACTIONS(11188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11186),
    [anon_sym_and] = ACTIONS(11186),
    [anon_sym_or] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11186),
    [anon_sym_AMP_AMP] = ACTIONS(11186),
    [anon_sym_LT_LT] = ACTIONS(11186),
    [anon_sym_GT_GT] = ACTIONS(11186),
    [anon_sym_EQ_EQ] = ACTIONS(11188),
    [anon_sym_BANG_EQ] = ACTIONS(11186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11186),
    [anon_sym_LT_EQ_GT] = ACTIONS(11186),
    [anon_sym_EQ_TILDE] = ACTIONS(11186),
    [anon_sym_BANG_TILDE] = ACTIONS(11186),
    [anon_sym_LT_EQ] = ACTIONS(11188),
    [anon_sym_GT] = ACTIONS(11188),
    [anon_sym_GT_EQ] = ACTIONS(11186),
    [anon_sym_CARET] = ACTIONS(11186),
    [anon_sym_PLUS] = ACTIONS(11186),
    [anon_sym_SLASH] = ACTIONS(11186),
    [anon_sym_PERCENT] = ACTIONS(11186),
    [sym_comment] = ACTIONS(87),
  },
  [5709] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5710] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8353),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8353),
    [sym_operator_assignment] = STATE(8353),
    [sym_conditional] = STATE(8353),
    [sym_range] = STATE(8353),
    [sym_binary] = STATE(8353),
    [sym_unary] = STATE(8353),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5711] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8354),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8354),
    [sym_operator_assignment] = STATE(8354),
    [sym_conditional] = STATE(8354),
    [sym_range] = STATE(8354),
    [sym_binary] = STATE(8354),
    [sym_unary] = STATE(8354),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5712] = {
    [sym__keyword_colon] = ACTIONS(11190),
    [sym_comment] = ACTIONS(87),
  },
  [5713] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8356),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8356),
    [sym_operator_assignment] = STATE(8356),
    [sym_conditional] = STATE(8356),
    [sym_range] = STATE(8356),
    [sym_binary] = STATE(8356),
    [sym_unary] = STATE(8356),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5714] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11190),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_in] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5715] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(11192),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5716] = {
    [sym_heredoc_body] = STATE(8358),
    [aux_sym_call_repeat1] = STATE(8358),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5717] = {
    [sym_heredoc_body] = STATE(8358),
    [aux_sym_call_repeat1] = STATE(8358),
    [aux_sym_argument_list_repeat1] = STATE(8360),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11194),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5718] = {
    [sym_string] = STATE(3088),
    [aux_sym_chained_string_repeat1] = STATE(3088),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11196),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [5719] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_in] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5720] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [5721] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8362),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8362),
    [sym_operator_assignment] = STATE(8362),
    [sym_conditional] = STATE(8362),
    [sym_range] = STATE(8362),
    [sym_binary] = STATE(8362),
    [sym_unary] = STATE(8362),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5722] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8363),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8363),
    [sym_operator_assignment] = STATE(8363),
    [sym_conditional] = STATE(8363),
    [sym_range] = STATE(8363),
    [sym_binary] = STATE(8363),
    [sym_unary] = STATE(8363),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5723] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8364),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8364),
    [sym_operator_assignment] = STATE(8364),
    [sym_conditional] = STATE(8364),
    [sym_range] = STATE(8364),
    [sym_binary] = STATE(8364),
    [sym_unary] = STATE(8364),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5724] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8365),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8365),
    [sym_operator_assignment] = STATE(8365),
    [sym_conditional] = STATE(8365),
    [sym_range] = STATE(8365),
    [sym_binary] = STATE(8365),
    [sym_unary] = STATE(8365),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5725] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8366),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8366),
    [sym_operator_assignment] = STATE(8366),
    [sym_conditional] = STATE(8366),
    [sym_range] = STATE(8366),
    [sym_binary] = STATE(8366),
    [sym_unary] = STATE(8366),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5726] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8367),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8367),
    [sym_operator_assignment] = STATE(8367),
    [sym_conditional] = STATE(8367),
    [sym_range] = STATE(8367),
    [sym_binary] = STATE(8367),
    [sym_unary] = STATE(8367),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5727] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8368),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8368),
    [sym_operator_assignment] = STATE(8368),
    [sym_conditional] = STATE(8368),
    [sym_range] = STATE(8368),
    [sym_binary] = STATE(8368),
    [sym_unary] = STATE(8368),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5728] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8369),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8369),
    [sym_operator_assignment] = STATE(8369),
    [sym_conditional] = STATE(8369),
    [sym_range] = STATE(8369),
    [sym_binary] = STATE(8369),
    [sym_unary] = STATE(8369),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5729] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8370),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8370),
    [sym_operator_assignment] = STATE(8370),
    [sym_conditional] = STATE(8370),
    [sym_range] = STATE(8370),
    [sym_binary] = STATE(8370),
    [sym_unary] = STATE(8370),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5730] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8371),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8371),
    [sym_operator_assignment] = STATE(8371),
    [sym_conditional] = STATE(8371),
    [sym_range] = STATE(8371),
    [sym_binary] = STATE(8371),
    [sym_unary] = STATE(8371),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5731] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8372),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8372),
    [sym_operator_assignment] = STATE(8372),
    [sym_conditional] = STATE(8372),
    [sym_range] = STATE(8372),
    [sym_binary] = STATE(8372),
    [sym_unary] = STATE(8372),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5732] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8373),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8373),
    [sym_operator_assignment] = STATE(8373),
    [sym_conditional] = STATE(8373),
    [sym_range] = STATE(8373),
    [sym_binary] = STATE(8373),
    [sym_unary] = STATE(8373),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5733] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(8382),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(8382),
    [sym_operator_assignment] = STATE(8382),
    [sym_conditional] = STATE(8382),
    [sym_range] = STATE(8382),
    [sym_binary] = STATE(8382),
    [sym_unary] = STATE(8382),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [5734] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(8386),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(8386),
    [sym_operator_assignment] = STATE(8386),
    [sym_conditional] = STATE(8386),
    [sym_range] = STATE(8386),
    [sym_binary] = STATE(8386),
    [sym_unary] = STATE(8386),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [5735] = {
    [sym__keyword_colon] = ACTIONS(11216),
    [sym_comment] = ACTIONS(87),
  },
  [5736] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(8388),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(8388),
    [sym_operator_assignment] = STATE(8388),
    [sym_conditional] = STATE(8388),
    [sym_range] = STATE(8388),
    [sym_binary] = STATE(8388),
    [sym_unary] = STATE(8388),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [5737] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11216),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_in] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5738] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(11218),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [5739] = {
    [sym_heredoc_body] = STATE(8390),
    [aux_sym_call_repeat1] = STATE(8390),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [5740] = {
    [sym_heredoc_body] = STATE(8390),
    [aux_sym_call_repeat1] = STATE(8390),
    [aux_sym_argument_list_repeat1] = STATE(8392),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11220),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [5741] = {
    [sym_string] = STATE(5795),
    [aux_sym_chained_string_repeat1] = STATE(5795),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11222),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [5742] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8394),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_splat_argument] = STATE(8395),
    [sym_assignment] = STATE(8394),
    [sym_operator_assignment] = STATE(8394),
    [sym_conditional] = STATE(8394),
    [sym_range] = STATE(8394),
    [sym_binary] = STATE(8394),
    [sym_unary] = STATE(8394),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(8395),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(8342),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5743] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8396),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(8396),
    [sym_operator_assignment] = STATE(8396),
    [sym_conditional] = STATE(8396),
    [sym_range] = STATE(8396),
    [sym_binary] = STATE(8396),
    [sym_unary] = STATE(8396),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5744] = {
    [sym_string] = STATE(8397),
    [aux_sym_chained_string_repeat1] = STATE(8397),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [5745] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(8366),
    [anon_sym_or] = ACTIONS(8366),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [5746] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5747] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5748] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(8398),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(8398),
    [sym_operator_assignment] = STATE(8398),
    [sym_conditional] = STATE(8398),
    [sym_range] = STATE(8398),
    [sym_binary] = STATE(8398),
    [sym_unary] = STATE(8398),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5749] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5750] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(8399),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(8399),
    [sym_operator_assignment] = STATE(8399),
    [sym_conditional] = STATE(8399),
    [sym_range] = STATE(8399),
    [sym_binary] = STATE(8399),
    [sym_unary] = STATE(8399),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5751] = {
    [sym_heredoc_body] = STATE(8400),
    [aux_sym_call_repeat1] = STATE(8400),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_in] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5752] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(3044),
    [sym_operator_assignment] = STATE(3044),
    [sym_conditional] = STATE(3044),
    [sym_range] = STATE(3044),
    [sym_binary] = STATE(3044),
    [sym_unary] = STATE(3044),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(8401),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(4732),
    [sym__splat_star] = ACTIONS(4734),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__identifier_hash_key] = ACTIONS(4736),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11224),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(4740),
    [sym_identifier] = ACTIONS(4740),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5753] = {
    [sym_heredoc_body] = STATE(8402),
    [aux_sym_call_repeat1] = STATE(8402),
    [aux_sym_argument_list_repeat1] = STATE(8403),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8396),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_in] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5754] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(8404),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(8404),
    [sym_operator_assignment] = STATE(8404),
    [sym_conditional] = STATE(8404),
    [sym_range] = STATE(8404),
    [sym_binary] = STATE(8404),
    [sym_unary] = STATE(8404),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5755] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_in] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5756] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_in] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [5757] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5758] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [5759] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5760] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5761] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(8366),
    [anon_sym_or] = ACTIONS(8366),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [5762] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11226),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [5763] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5764] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5765] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5766] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5767] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5768] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [5769] = {
    [sym_string] = STATE(5795),
    [aux_sym_chained_string_repeat1] = STATE(5795),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [5770] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [5771] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [5772] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8406),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8406),
    [sym_operator_assignment] = STATE(8406),
    [sym_conditional] = STATE(8406),
    [sym_range] = STATE(8406),
    [sym_binary] = STATE(8406),
    [sym_unary] = STATE(8406),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5773] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [5774] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_in] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [5775] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [5776] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8407),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8407),
    [sym_operator_assignment] = STATE(8407),
    [sym_conditional] = STATE(8407),
    [sym_range] = STATE(8407),
    [sym_binary] = STATE(8407),
    [sym_unary] = STATE(8407),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5777] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8408),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8408),
    [sym_operator_assignment] = STATE(8408),
    [sym_conditional] = STATE(8408),
    [sym_range] = STATE(8408),
    [sym_binary] = STATE(8408),
    [sym_unary] = STATE(8408),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5778] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8409),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8409),
    [sym_operator_assignment] = STATE(8409),
    [sym_conditional] = STATE(8409),
    [sym_range] = STATE(8409),
    [sym_binary] = STATE(8409),
    [sym_unary] = STATE(8409),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5779] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8410),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8410),
    [sym_operator_assignment] = STATE(8410),
    [sym_conditional] = STATE(8410),
    [sym_range] = STATE(8410),
    [sym_binary] = STATE(8410),
    [sym_unary] = STATE(8410),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5780] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8411),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8411),
    [sym_operator_assignment] = STATE(8411),
    [sym_conditional] = STATE(8411),
    [sym_range] = STATE(8411),
    [sym_binary] = STATE(8411),
    [sym_unary] = STATE(8411),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5781] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8412),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8412),
    [sym_operator_assignment] = STATE(8412),
    [sym_conditional] = STATE(8412),
    [sym_range] = STATE(8412),
    [sym_binary] = STATE(8412),
    [sym_unary] = STATE(8412),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5782] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8413),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8413),
    [sym_operator_assignment] = STATE(8413),
    [sym_conditional] = STATE(8413),
    [sym_range] = STATE(8413),
    [sym_binary] = STATE(8413),
    [sym_unary] = STATE(8413),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5783] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8414),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8414),
    [sym_operator_assignment] = STATE(8414),
    [sym_conditional] = STATE(8414),
    [sym_range] = STATE(8414),
    [sym_binary] = STATE(8414),
    [sym_unary] = STATE(8414),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5784] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8415),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8415),
    [sym_operator_assignment] = STATE(8415),
    [sym_conditional] = STATE(8415),
    [sym_range] = STATE(8415),
    [sym_binary] = STATE(8415),
    [sym_unary] = STATE(8415),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5785] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8416),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8416),
    [sym_operator_assignment] = STATE(8416),
    [sym_conditional] = STATE(8416),
    [sym_range] = STATE(8416),
    [sym_binary] = STATE(8416),
    [sym_unary] = STATE(8416),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5786] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8417),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8417),
    [sym_operator_assignment] = STATE(8417),
    [sym_conditional] = STATE(8417),
    [sym_range] = STATE(8417),
    [sym_binary] = STATE(8417),
    [sym_unary] = STATE(8417),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5787] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8418),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8418),
    [sym_operator_assignment] = STATE(8418),
    [sym_conditional] = STATE(8418),
    [sym_range] = STATE(8418),
    [sym_binary] = STATE(8418),
    [sym_unary] = STATE(8418),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5788] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8419),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8419),
    [sym_operator_assignment] = STATE(8419),
    [sym_conditional] = STATE(8419),
    [sym_range] = STATE(8419),
    [sym_binary] = STATE(8419),
    [sym_unary] = STATE(8419),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5789] = {
    [sym_heredoc_body] = STATE(8420),
    [aux_sym_call_repeat1] = STATE(8420),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_in] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [5790] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3076),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym__argument] = STATE(4608),
    [sym_splat_argument] = STATE(4608),
    [sym_hash_splat_argument] = STATE(4608),
    [sym_block_argument] = STATE(4608),
    [sym_assignment] = STATE(3076),
    [sym_operator_assignment] = STATE(3076),
    [sym_conditional] = STATE(3076),
    [sym_range] = STATE(3076),
    [sym_binary] = STATE(3076),
    [sym_unary] = STATE(3076),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3081),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(8421),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4608),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(4776),
    [sym__splat_star] = ACTIONS(4778),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__identifier_hash_key] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11228),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(4800),
    [sym_identifier] = ACTIONS(4800),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5791] = {
    [sym_heredoc_body] = STATE(8422),
    [aux_sym_call_repeat1] = STATE(8422),
    [aux_sym_argument_list_repeat1] = STATE(8423),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8432),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_in] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [5792] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8424),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_splat_argument] = STATE(8425),
    [sym_assignment] = STATE(8424),
    [sym_operator_assignment] = STATE(8424),
    [sym_conditional] = STATE(8424),
    [sym_range] = STATE(8424),
    [sym_binary] = STATE(8424),
    [sym_unary] = STATE(8424),
    [sym_right_assignment_list] = STATE(4613),
    [sym__arg_or_splat_arg] = STATE(8425),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(4778),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5793] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8426),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8426),
    [sym_operator_assignment] = STATE(8426),
    [sym_conditional] = STATE(8426),
    [sym_range] = STATE(8426),
    [sym_binary] = STATE(8426),
    [sym_unary] = STATE(8426),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5794] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8427),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(8427),
    [sym_operator_assignment] = STATE(8427),
    [sym_conditional] = STATE(8427),
    [sym_range] = STATE(8427),
    [sym_binary] = STATE(8427),
    [sym_unary] = STATE(8427),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [5795] = {
    [sym_string] = STATE(8428),
    [aux_sym_chained_string_repeat1] = STATE(8428),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [5796] = {
    [sym_heredoc_body] = STATE(5796),
    [aux_sym_call_repeat1] = STATE(5796),
    [sym__heredoc_body_start] = ACTIONS(10631),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7800),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_in] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [5797] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1140),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym__argument] = STATE(7750),
    [sym_splat_argument] = STATE(7750),
    [sym_hash_splat_argument] = STATE(7750),
    [sym_block_argument] = STATE(7750),
    [sym_assignment] = STATE(1140),
    [sym_operator_assignment] = STATE(1140),
    [sym_conditional] = STATE(1140),
    [sym_range] = STATE(1140),
    [sym_binary] = STATE(1140),
    [sym_unary] = STATE(1140),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1146),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7750),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1953),
    [sym__splat_star] = ACTIONS(1955),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__identifier_hash_key] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1961),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1979),
    [sym_identifier] = ACTIONS(1979),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [5798] = {
    [sym_heredoc_body] = STATE(5796),
    [aux_sym_call_repeat1] = STATE(5796),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7815),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_in] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [5799] = {
    [aux_sym_argument_list_repeat1] = STATE(5799),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7811),
    [anon_sym_COMMA] = ACTIONS(11230),
    [anon_sym_in] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [5800] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5801] = {
    [aux_sym_exceptions_repeat1] = STATE(8430),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_in] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [5802] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [5803] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(8366),
    [anon_sym_or] = ACTIONS(8366),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [5804] = {
    [sym_string] = STATE(5804),
    [aux_sym_chained_string_repeat1] = STATE(5804),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_in] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [5805] = {
    [sym__line_break] = ACTIONS(11233),
    [sym__heredoc_body_start] = ACTIONS(11233),
    [sym__element_reference_left_bracket] = ACTIONS(11233),
    [sym__infix_scope_colons] = ACTIONS(11233),
    [sym__binary_minus] = ACTIONS(11233),
    [sym__binary_star] = ACTIONS(11233),
    [ts_builtin_sym_end] = ACTIONS(11233),
    [anon_sym___END__] = ACTIONS(11233),
    [anon_sym_LBRACE] = ACTIONS(11233),
    [anon_sym_RBRACE] = ACTIONS(11233),
    [anon_sym_RPAREN] = ACTIONS(11233),
    [anon_sym_DOT] = ACTIONS(11235),
    [anon_sym_COMMA] = ACTIONS(11233),
    [anon_sym_PIPE] = ACTIONS(11235),
    [anon_sym_SEMI] = ACTIONS(11233),
    [anon_sym_STAR_STAR] = ACTIONS(11233),
    [anon_sym_AMP] = ACTIONS(11235),
    [anon_sym_LT] = ACTIONS(11235),
    [anon_sym_end] = ACTIONS(11233),
    [anon_sym_if] = ACTIONS(11233),
    [anon_sym_unless] = ACTIONS(11233),
    [anon_sym_while] = ACTIONS(11233),
    [anon_sym_until] = ACTIONS(11233),
    [anon_sym_rescue] = ACTIONS(11233),
    [anon_sym_do] = ACTIONS(11233),
    [anon_sym_when] = ACTIONS(11233),
    [anon_sym_elsif] = ACTIONS(11233),
    [anon_sym_else] = ACTIONS(11233),
    [anon_sym_then] = ACTIONS(11233),
    [anon_sym_ensure] = ACTIONS(11233),
    [anon_sym_EQ_GT] = ACTIONS(11233),
    [anon_sym_AMP_DOT] = ACTIONS(11233),
    [anon_sym_QMARK] = ACTIONS(11233),
    [anon_sym_DOT_DOT] = ACTIONS(11235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11233),
    [anon_sym_and] = ACTIONS(11233),
    [anon_sym_or] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE] = ACTIONS(11233),
    [anon_sym_AMP_AMP] = ACTIONS(11233),
    [anon_sym_LT_LT] = ACTIONS(11233),
    [anon_sym_GT_GT] = ACTIONS(11233),
    [anon_sym_EQ_EQ] = ACTIONS(11235),
    [anon_sym_BANG_EQ] = ACTIONS(11233),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11233),
    [anon_sym_LT_EQ_GT] = ACTIONS(11233),
    [anon_sym_EQ_TILDE] = ACTIONS(11233),
    [anon_sym_BANG_TILDE] = ACTIONS(11233),
    [anon_sym_LT_EQ] = ACTIONS(11235),
    [anon_sym_GT] = ACTIONS(11235),
    [anon_sym_GT_EQ] = ACTIONS(11233),
    [anon_sym_CARET] = ACTIONS(11233),
    [anon_sym_PLUS] = ACTIONS(11233),
    [anon_sym_SLASH] = ACTIONS(11233),
    [anon_sym_PERCENT] = ACTIONS(11233),
    [sym_comment] = ACTIONS(87),
  },
  [5806] = {
    [anon_sym_end] = ACTIONS(11237),
    [sym_comment] = ACTIONS(87),
  },
  [5807] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5808] = {
    [sym_heredoc_body] = STATE(8432),
    [aux_sym_call_repeat1] = STATE(8432),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5809] = {
    [sym_heredoc_body] = STATE(8432),
    [aux_sym_call_repeat1] = STATE(8432),
    [aux_sym_argument_list_repeat1] = STATE(8433),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5810] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5811] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8458),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [5812] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8434),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8434),
    [sym_operator_assignment] = STATE(8434),
    [sym_conditional] = STATE(8434),
    [sym_range] = STATE(8434),
    [sym_binary] = STATE(8434),
    [sym_unary] = STATE(8434),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5813] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8435),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8435),
    [sym_operator_assignment] = STATE(8435),
    [sym_conditional] = STATE(8435),
    [sym_range] = STATE(8435),
    [sym_binary] = STATE(8435),
    [sym_unary] = STATE(8435),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5814] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8436),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8436),
    [sym_operator_assignment] = STATE(8436),
    [sym_conditional] = STATE(8436),
    [sym_range] = STATE(8436),
    [sym_binary] = STATE(8436),
    [sym_unary] = STATE(8436),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5815] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8437),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8437),
    [sym_operator_assignment] = STATE(8437),
    [sym_conditional] = STATE(8437),
    [sym_range] = STATE(8437),
    [sym_binary] = STATE(8437),
    [sym_unary] = STATE(8437),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5816] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8438),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8438),
    [sym_operator_assignment] = STATE(8438),
    [sym_conditional] = STATE(8438),
    [sym_range] = STATE(8438),
    [sym_binary] = STATE(8438),
    [sym_unary] = STATE(8438),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5817] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8439),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8439),
    [sym_operator_assignment] = STATE(8439),
    [sym_conditional] = STATE(8439),
    [sym_range] = STATE(8439),
    [sym_binary] = STATE(8439),
    [sym_unary] = STATE(8439),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5818] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8440),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8440),
    [sym_operator_assignment] = STATE(8440),
    [sym_conditional] = STATE(8440),
    [sym_range] = STATE(8440),
    [sym_binary] = STATE(8440),
    [sym_unary] = STATE(8440),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5819] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8441),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8441),
    [sym_operator_assignment] = STATE(8441),
    [sym_conditional] = STATE(8441),
    [sym_range] = STATE(8441),
    [sym_binary] = STATE(8441),
    [sym_unary] = STATE(8441),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5820] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8442),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8442),
    [sym_operator_assignment] = STATE(8442),
    [sym_conditional] = STATE(8442),
    [sym_range] = STATE(8442),
    [sym_binary] = STATE(8442),
    [sym_unary] = STATE(8442),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5821] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8443),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8443),
    [sym_operator_assignment] = STATE(8443),
    [sym_conditional] = STATE(8443),
    [sym_range] = STATE(8443),
    [sym_binary] = STATE(8443),
    [sym_unary] = STATE(8443),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5822] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8444),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8444),
    [sym_operator_assignment] = STATE(8444),
    [sym_conditional] = STATE(8444),
    [sym_range] = STATE(8444),
    [sym_binary] = STATE(8444),
    [sym_unary] = STATE(8444),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5823] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8445),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8445),
    [sym_operator_assignment] = STATE(8445),
    [sym_conditional] = STATE(8445),
    [sym_range] = STATE(8445),
    [sym_binary] = STATE(8445),
    [sym_unary] = STATE(8445),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5824] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8446),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_splat_argument] = STATE(8447),
    [sym_assignment] = STATE(8446),
    [sym_operator_assignment] = STATE(8446),
    [sym_conditional] = STATE(8446),
    [sym_range] = STATE(8446),
    [sym_binary] = STATE(8446),
    [sym_unary] = STATE(8446),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(8447),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(1991),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5825] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8448),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(8448),
    [sym_operator_assignment] = STATE(8448),
    [sym_conditional] = STATE(8448),
    [sym_range] = STATE(8448),
    [sym_binary] = STATE(8448),
    [sym_unary] = STATE(8448),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5826] = {
    [sym_string] = STATE(8449),
    [aux_sym_chained_string_repeat1] = STATE(8449),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [5827] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8458),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [5828] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5829] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5830] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8450),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(8450),
    [sym_operator_assignment] = STATE(8450),
    [sym_conditional] = STATE(8450),
    [sym_range] = STATE(8450),
    [sym_binary] = STATE(8450),
    [sym_unary] = STATE(8450),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5831] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5832] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8451),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(8451),
    [sym_operator_assignment] = STATE(8451),
    [sym_conditional] = STATE(8451),
    [sym_range] = STATE(8451),
    [sym_binary] = STATE(8451),
    [sym_unary] = STATE(8451),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5833] = {
    [sym_heredoc_body] = STATE(8452),
    [aux_sym_call_repeat1] = STATE(8452),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5834] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3113),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(3113),
    [sym_operator_assignment] = STATE(3113),
    [sym_conditional] = STATE(3113),
    [sym_range] = STATE(3113),
    [sym_binary] = STATE(3113),
    [sym_unary] = STATE(3113),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3116),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(8453),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(4838),
    [sym__splat_star] = ACTIONS(4840),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__identifier_hash_key] = ACTIONS(4842),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11239),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(4844),
    [sym_identifier] = ACTIONS(4844),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5835] = {
    [sym_heredoc_body] = STATE(8454),
    [aux_sym_call_repeat1] = STATE(8454),
    [aux_sym_argument_list_repeat1] = STATE(8455),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8484),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5836] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8456),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(8456),
    [sym_operator_assignment] = STATE(8456),
    [sym_conditional] = STATE(8456),
    [sym_range] = STATE(8456),
    [sym_binary] = STATE(8456),
    [sym_unary] = STATE(8456),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5837] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5838] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [5839] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5840] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [5841] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5842] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5843] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8458),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [5844] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11241),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [5845] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5846] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5847] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5848] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5849] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5850] = {
    [sym_heredoc_body] = STATE(5850),
    [aux_sym_call_repeat1] = STATE(5850),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [5851] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1164),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(1164),
    [sym_operator_assignment] = STATE(1164),
    [sym_conditional] = STATE(1164),
    [sym_range] = STATE(1164),
    [sym_binary] = STATE(1164),
    [sym_unary] = STATE(1164),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1170),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(1989),
    [sym__splat_star] = ACTIONS(1991),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__identifier_hash_key] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8488),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2013),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5852] = {
    [sym_heredoc_body] = STATE(5850),
    [aux_sym_call_repeat1] = STATE(5850),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [5853] = {
    [aux_sym_argument_list_repeat1] = STATE(5853),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(11243),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [5854] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5855] = {
    [aux_sym_exceptions_repeat1] = STATE(8459),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [5856] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [5857] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8458),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [5858] = {
    [sym_string] = STATE(5858),
    [aux_sym_chained_string_repeat1] = STATE(5858),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [5859] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8460),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(8460),
    [sym_operator_assignment] = STATE(8460),
    [sym_conditional] = STATE(8460),
    [sym_range] = STATE(8460),
    [sym_binary] = STATE(8460),
    [sym_unary] = STATE(8460),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5860] = {
    [sym__line_break] = ACTIONS(11246),
    [sym__heredoc_body_start] = ACTIONS(11246),
    [sym__element_reference_left_bracket] = ACTIONS(11246),
    [sym__infix_scope_colons] = ACTIONS(11246),
    [sym__binary_minus] = ACTIONS(11246),
    [sym__binary_star] = ACTIONS(11246),
    [ts_builtin_sym_end] = ACTIONS(11246),
    [anon_sym___END__] = ACTIONS(11246),
    [anon_sym_LBRACE] = ACTIONS(11246),
    [anon_sym_RBRACE] = ACTIONS(11246),
    [anon_sym_RPAREN] = ACTIONS(11246),
    [anon_sym_DOT] = ACTIONS(11248),
    [anon_sym_COMMA] = ACTIONS(11246),
    [anon_sym_PIPE] = ACTIONS(11248),
    [anon_sym_SEMI] = ACTIONS(11246),
    [anon_sym_STAR_STAR] = ACTIONS(11246),
    [anon_sym_AMP] = ACTIONS(11248),
    [anon_sym_LT] = ACTIONS(11248),
    [anon_sym_end] = ACTIONS(11246),
    [anon_sym_if] = ACTIONS(11246),
    [anon_sym_unless] = ACTIONS(11246),
    [anon_sym_while] = ACTIONS(11246),
    [anon_sym_until] = ACTIONS(11246),
    [anon_sym_rescue] = ACTIONS(11246),
    [anon_sym_do] = ACTIONS(11246),
    [anon_sym_when] = ACTIONS(11246),
    [anon_sym_elsif] = ACTIONS(11246),
    [anon_sym_else] = ACTIONS(11246),
    [anon_sym_then] = ACTIONS(11246),
    [anon_sym_ensure] = ACTIONS(11246),
    [anon_sym_EQ_GT] = ACTIONS(11246),
    [anon_sym_AMP_DOT] = ACTIONS(11246),
    [anon_sym_QMARK] = ACTIONS(11246),
    [anon_sym_DOT_DOT] = ACTIONS(11248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11246),
    [anon_sym_and] = ACTIONS(11246),
    [anon_sym_or] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE] = ACTIONS(11246),
    [anon_sym_AMP_AMP] = ACTIONS(11246),
    [anon_sym_LT_LT] = ACTIONS(11246),
    [anon_sym_GT_GT] = ACTIONS(11246),
    [anon_sym_EQ_EQ] = ACTIONS(11248),
    [anon_sym_BANG_EQ] = ACTIONS(11246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11246),
    [anon_sym_LT_EQ_GT] = ACTIONS(11246),
    [anon_sym_EQ_TILDE] = ACTIONS(11246),
    [anon_sym_BANG_TILDE] = ACTIONS(11246),
    [anon_sym_LT_EQ] = ACTIONS(11248),
    [anon_sym_GT] = ACTIONS(11248),
    [anon_sym_GT_EQ] = ACTIONS(11246),
    [anon_sym_CARET] = ACTIONS(11246),
    [anon_sym_PLUS] = ACTIONS(11246),
    [anon_sym_SLASH] = ACTIONS(11246),
    [anon_sym_PERCENT] = ACTIONS(11246),
    [sym_comment] = ACTIONS(87),
  },
  [5861] = {
    [anon_sym_end] = ACTIONS(11250),
    [sym_comment] = ACTIONS(87),
  },
  [5862] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8498),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(8504),
    [anon_sym_QMARK] = ACTIONS(8506),
    [anon_sym_DOT_DOT] = ACTIONS(8508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8510),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8512),
    [anon_sym_AMP_AMP] = ACTIONS(8512),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(8516),
    [anon_sym_BANG_EQ] = ACTIONS(8512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8512),
    [anon_sym_LT_EQ_GT] = ACTIONS(8512),
    [anon_sym_EQ_TILDE] = ACTIONS(8512),
    [anon_sym_BANG_TILDE] = ACTIONS(8512),
    [anon_sym_LT_EQ] = ACTIONS(8504),
    [anon_sym_GT] = ACTIONS(8504),
    [anon_sym_GT_EQ] = ACTIONS(8518),
    [anon_sym_CARET] = ACTIONS(8520),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [5863] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5864] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5865] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8498),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(8504),
    [anon_sym_QMARK] = ACTIONS(8506),
    [anon_sym_DOT_DOT] = ACTIONS(8508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8510),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8512),
    [anon_sym_AMP_AMP] = ACTIONS(8512),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(8516),
    [anon_sym_BANG_EQ] = ACTIONS(8512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8512),
    [anon_sym_LT_EQ_GT] = ACTIONS(8512),
    [anon_sym_EQ_TILDE] = ACTIONS(8512),
    [anon_sym_BANG_TILDE] = ACTIONS(8512),
    [anon_sym_LT_EQ] = ACTIONS(8504),
    [anon_sym_GT] = ACTIONS(8504),
    [anon_sym_GT_EQ] = ACTIONS(8518),
    [anon_sym_CARET] = ACTIONS(8520),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [5866] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8462),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8462),
    [sym_operator_assignment] = STATE(8462),
    [sym_conditional] = STATE(8462),
    [sym_range] = STATE(8462),
    [sym_binary] = STATE(8462),
    [sym_unary] = STATE(8462),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5867] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8463),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8463),
    [sym_operator_assignment] = STATE(8463),
    [sym_conditional] = STATE(8463),
    [sym_range] = STATE(8463),
    [sym_binary] = STATE(8463),
    [sym_unary] = STATE(8463),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5868] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8464),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8464),
    [sym_operator_assignment] = STATE(8464),
    [sym_conditional] = STATE(8464),
    [sym_range] = STATE(8464),
    [sym_binary] = STATE(8464),
    [sym_unary] = STATE(8464),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5869] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8465),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8465),
    [sym_operator_assignment] = STATE(8465),
    [sym_conditional] = STATE(8465),
    [sym_range] = STATE(8465),
    [sym_binary] = STATE(8465),
    [sym_unary] = STATE(8465),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5870] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8466),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8466),
    [sym_operator_assignment] = STATE(8466),
    [sym_conditional] = STATE(8466),
    [sym_range] = STATE(8466),
    [sym_binary] = STATE(8466),
    [sym_unary] = STATE(8466),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5871] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8467),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8467),
    [sym_operator_assignment] = STATE(8467),
    [sym_conditional] = STATE(8467),
    [sym_range] = STATE(8467),
    [sym_binary] = STATE(8467),
    [sym_unary] = STATE(8467),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5872] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8468),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8468),
    [sym_operator_assignment] = STATE(8468),
    [sym_conditional] = STATE(8468),
    [sym_range] = STATE(8468),
    [sym_binary] = STATE(8468),
    [sym_unary] = STATE(8468),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5873] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8469),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8469),
    [sym_operator_assignment] = STATE(8469),
    [sym_conditional] = STATE(8469),
    [sym_range] = STATE(8469),
    [sym_binary] = STATE(8469),
    [sym_unary] = STATE(8469),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5874] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8470),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8470),
    [sym_operator_assignment] = STATE(8470),
    [sym_conditional] = STATE(8470),
    [sym_range] = STATE(8470),
    [sym_binary] = STATE(8470),
    [sym_unary] = STATE(8470),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5875] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8471),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8471),
    [sym_operator_assignment] = STATE(8471),
    [sym_conditional] = STATE(8471),
    [sym_range] = STATE(8471),
    [sym_binary] = STATE(8471),
    [sym_unary] = STATE(8471),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5876] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8472),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8472),
    [sym_operator_assignment] = STATE(8472),
    [sym_conditional] = STATE(8472),
    [sym_range] = STATE(8472),
    [sym_binary] = STATE(8472),
    [sym_unary] = STATE(8472),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5877] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8473),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8473),
    [sym_operator_assignment] = STATE(8473),
    [sym_conditional] = STATE(8473),
    [sym_range] = STATE(8473),
    [sym_binary] = STATE(8473),
    [sym_unary] = STATE(8473),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5878] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3158),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(3158),
    [sym_operator_assignment] = STATE(3158),
    [sym_conditional] = STATE(3158),
    [sym_range] = STATE(3158),
    [sym_binary] = STATE(3158),
    [sym_unary] = STATE(3158),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(4890),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5879] = {
    [aux_sym_exceptions_repeat1] = STATE(8474),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(8524),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [5880] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3158),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_splat_argument] = STATE(8475),
    [sym_assignment] = STATE(3158),
    [sym_operator_assignment] = STATE(3158),
    [sym_conditional] = STATE(3158),
    [sym_range] = STATE(3158),
    [sym_binary] = STATE(3158),
    [sym_unary] = STATE(3158),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(8475),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(4890),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5881] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8476),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(8476),
    [sym_operator_assignment] = STATE(8476),
    [sym_conditional] = STATE(8476),
    [sym_range] = STATE(8476),
    [sym_binary] = STATE(8476),
    [sym_unary] = STATE(8476),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5882] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8550),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(8556),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8558),
    [anon_sym_DOT_DOT] = ACTIONS(8560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8562),
    [anon_sym_and] = ACTIONS(8564),
    [anon_sym_or] = ACTIONS(8564),
    [anon_sym_PIPE_PIPE] = ACTIONS(8566),
    [anon_sym_AMP_AMP] = ACTIONS(8566),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(8570),
    [anon_sym_BANG_EQ] = ACTIONS(8566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8566),
    [anon_sym_LT_EQ_GT] = ACTIONS(8566),
    [anon_sym_EQ_TILDE] = ACTIONS(8566),
    [anon_sym_BANG_TILDE] = ACTIONS(8566),
    [anon_sym_LT_EQ] = ACTIONS(8556),
    [anon_sym_GT] = ACTIONS(8556),
    [anon_sym_GT_EQ] = ACTIONS(8572),
    [anon_sym_CARET] = ACTIONS(8574),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [5883] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5884] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8481),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(8481),
    [sym_operator_assignment] = STATE(8481),
    [sym_conditional] = STATE(8481),
    [sym_range] = STATE(8481),
    [sym_binary] = STATE(8481),
    [sym_unary] = STATE(8481),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5885] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8484),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(8484),
    [sym_operator_assignment] = STATE(8484),
    [sym_conditional] = STATE(8484),
    [sym_range] = STATE(8484),
    [sym_binary] = STATE(8484),
    [sym_unary] = STATE(8484),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5886] = {
    [sym__keyword_colon] = ACTIONS(11262),
    [sym_comment] = ACTIONS(87),
  },
  [5887] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8486),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(8486),
    [sym_operator_assignment] = STATE(8486),
    [sym_conditional] = STATE(8486),
    [sym_range] = STATE(8486),
    [sym_binary] = STATE(8486),
    [sym_unary] = STATE(8486),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5888] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11262),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_then] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5889] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(11264),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [5890] = {
    [sym_heredoc_body] = STATE(8488),
    [aux_sym_call_repeat1] = STATE(8488),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5891] = {
    [sym_heredoc_body] = STATE(8488),
    [aux_sym_call_repeat1] = STATE(8488),
    [aux_sym_argument_list_repeat1] = STATE(8490),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11266),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5892] = {
    [sym_string] = STATE(3305),
    [aux_sym_chained_string_repeat1] = STATE(3305),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11268),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [5893] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5894] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8550),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(8556),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8558),
    [anon_sym_DOT_DOT] = ACTIONS(8560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8562),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8566),
    [anon_sym_AMP_AMP] = ACTIONS(8566),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(8570),
    [anon_sym_BANG_EQ] = ACTIONS(8566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8566),
    [anon_sym_LT_EQ_GT] = ACTIONS(8566),
    [anon_sym_EQ_TILDE] = ACTIONS(8566),
    [anon_sym_BANG_TILDE] = ACTIONS(8566),
    [anon_sym_LT_EQ] = ACTIONS(8556),
    [anon_sym_GT] = ACTIONS(8556),
    [anon_sym_GT_EQ] = ACTIONS(8572),
    [anon_sym_CARET] = ACTIONS(8574),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [5895] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_pattern] = STATE(8492),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3174),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_splat_argument] = STATE(3176),
    [sym_assignment] = STATE(3174),
    [sym_operator_assignment] = STATE(3174),
    [sym_conditional] = STATE(3174),
    [sym_range] = STATE(3174),
    [sym_binary] = STATE(3174),
    [sym_unary] = STATE(3174),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(4902),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5896] = {
    [sym__statements] = STATE(8502),
    [sym__top_level_statement] = STATE(8503),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(8504),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_when] = STATE(8505),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(8505),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8506),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(8506),
    [sym_operator_assignment] = STATE(8506),
    [sym_conditional] = STATE(8506),
    [sym_range] = STATE(8506),
    [sym_binary] = STATE(8506),
    [sym_unary] = STATE(8506),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11272),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(11282),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [anon_sym_undef] = ACTIONS(11296),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5897] = {
    [sym__then] = STATE(8511),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [aux_sym_when_repeat1] = STATE(8512),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_COMMA] = ACTIONS(8540),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_then] = ACTIONS(11298),
    [sym_comment] = ACTIONS(87),
  },
  [5898] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8513),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8513),
    [sym_operator_assignment] = STATE(8513),
    [sym_conditional] = STATE(8513),
    [sym_range] = STATE(8513),
    [sym_binary] = STATE(8513),
    [sym_unary] = STATE(8513),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5899] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8514),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8514),
    [sym_operator_assignment] = STATE(8514),
    [sym_conditional] = STATE(8514),
    [sym_range] = STATE(8514),
    [sym_binary] = STATE(8514),
    [sym_unary] = STATE(8514),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5900] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8515),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8515),
    [sym_operator_assignment] = STATE(8515),
    [sym_conditional] = STATE(8515),
    [sym_range] = STATE(8515),
    [sym_binary] = STATE(8515),
    [sym_unary] = STATE(8515),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5901] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8516),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8516),
    [sym_operator_assignment] = STATE(8516),
    [sym_conditional] = STATE(8516),
    [sym_range] = STATE(8516),
    [sym_binary] = STATE(8516),
    [sym_unary] = STATE(8516),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5902] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8517),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8517),
    [sym_operator_assignment] = STATE(8517),
    [sym_conditional] = STATE(8517),
    [sym_range] = STATE(8517),
    [sym_binary] = STATE(8517),
    [sym_unary] = STATE(8517),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5903] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8518),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8518),
    [sym_operator_assignment] = STATE(8518),
    [sym_conditional] = STATE(8518),
    [sym_range] = STATE(8518),
    [sym_binary] = STATE(8518),
    [sym_unary] = STATE(8518),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5904] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8519),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8519),
    [sym_operator_assignment] = STATE(8519),
    [sym_conditional] = STATE(8519),
    [sym_range] = STATE(8519),
    [sym_binary] = STATE(8519),
    [sym_unary] = STATE(8519),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5905] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8520),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8520),
    [sym_operator_assignment] = STATE(8520),
    [sym_conditional] = STATE(8520),
    [sym_range] = STATE(8520),
    [sym_binary] = STATE(8520),
    [sym_unary] = STATE(8520),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5906] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8521),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8521),
    [sym_operator_assignment] = STATE(8521),
    [sym_conditional] = STATE(8521),
    [sym_range] = STATE(8521),
    [sym_binary] = STATE(8521),
    [sym_unary] = STATE(8521),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5907] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8522),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8522),
    [sym_operator_assignment] = STATE(8522),
    [sym_conditional] = STATE(8522),
    [sym_range] = STATE(8522),
    [sym_binary] = STATE(8522),
    [sym_unary] = STATE(8522),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5908] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8523),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8523),
    [sym_operator_assignment] = STATE(8523),
    [sym_conditional] = STATE(8523),
    [sym_range] = STATE(8523),
    [sym_binary] = STATE(8523),
    [sym_unary] = STATE(8523),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5909] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8524),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8524),
    [sym_operator_assignment] = STATE(8524),
    [sym_conditional] = STATE(8524),
    [sym_range] = STATE(8524),
    [sym_binary] = STATE(8524),
    [sym_unary] = STATE(8524),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5910] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8533),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(8533),
    [sym_operator_assignment] = STATE(8533),
    [sym_conditional] = STATE(8533),
    [sym_range] = STATE(8533),
    [sym_binary] = STATE(8533),
    [sym_unary] = STATE(8533),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5911] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8538),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(8538),
    [sym_operator_assignment] = STATE(8538),
    [sym_conditional] = STATE(8538),
    [sym_range] = STATE(8538),
    [sym_binary] = STATE(8538),
    [sym_unary] = STATE(8538),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5912] = {
    [sym__keyword_colon] = ACTIONS(11322),
    [sym_comment] = ACTIONS(87),
  },
  [5913] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8540),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(8540),
    [sym_operator_assignment] = STATE(8540),
    [sym_conditional] = STATE(8540),
    [sym_range] = STATE(8540),
    [sym_binary] = STATE(8540),
    [sym_unary] = STATE(8540),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [5914] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11322),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_then] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [5915] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_then] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(11324),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [5916] = {
    [sym_heredoc_body] = STATE(8542),
    [aux_sym_call_repeat1] = STATE(8542),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [5917] = {
    [sym_heredoc_body] = STATE(8542),
    [aux_sym_call_repeat1] = STATE(8542),
    [aux_sym_argument_list_repeat1] = STATE(8544),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11326),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [5918] = {
    [sym_string] = STATE(6077),
    [aux_sym_chained_string_repeat1] = STATE(6077),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11328),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [5919] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8547),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_splat_argument] = STATE(8548),
    [sym_assignment] = STATE(8547),
    [sym_operator_assignment] = STATE(8547),
    [sym_conditional] = STATE(8547),
    [sym_range] = STATE(8547),
    [sym_binary] = STATE(8547),
    [sym_unary] = STATE(8547),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(8548),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(11330),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5920] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8549),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(8549),
    [sym_operator_assignment] = STATE(8549),
    [sym_conditional] = STATE(8549),
    [sym_range] = STATE(8549),
    [sym_binary] = STATE(8549),
    [sym_unary] = STATE(8549),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5921] = {
    [sym_string] = STATE(8550),
    [aux_sym_chained_string_repeat1] = STATE(8550),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_then] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [5922] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5923] = {
    [sym_heredoc_body] = STATE(8551),
    [aux_sym_call_repeat1] = STATE(8551),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5924] = {
    [sym_heredoc_body] = STATE(8551),
    [aux_sym_call_repeat1] = STATE(8551),
    [aux_sym_argument_list_repeat1] = STATE(8552),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(5004),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [5925] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5926] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8615),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [5927] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8553),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8553),
    [sym_operator_assignment] = STATE(8553),
    [sym_conditional] = STATE(8553),
    [sym_range] = STATE(8553),
    [sym_binary] = STATE(8553),
    [sym_unary] = STATE(8553),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5928] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8554),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8554),
    [sym_operator_assignment] = STATE(8554),
    [sym_conditional] = STATE(8554),
    [sym_range] = STATE(8554),
    [sym_binary] = STATE(8554),
    [sym_unary] = STATE(8554),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5929] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8555),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8555),
    [sym_operator_assignment] = STATE(8555),
    [sym_conditional] = STATE(8555),
    [sym_range] = STATE(8555),
    [sym_binary] = STATE(8555),
    [sym_unary] = STATE(8555),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5930] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8556),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8556),
    [sym_operator_assignment] = STATE(8556),
    [sym_conditional] = STATE(8556),
    [sym_range] = STATE(8556),
    [sym_binary] = STATE(8556),
    [sym_unary] = STATE(8556),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5931] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8557),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8557),
    [sym_operator_assignment] = STATE(8557),
    [sym_conditional] = STATE(8557),
    [sym_range] = STATE(8557),
    [sym_binary] = STATE(8557),
    [sym_unary] = STATE(8557),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5932] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8558),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8558),
    [sym_operator_assignment] = STATE(8558),
    [sym_conditional] = STATE(8558),
    [sym_range] = STATE(8558),
    [sym_binary] = STATE(8558),
    [sym_unary] = STATE(8558),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5933] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8559),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8559),
    [sym_operator_assignment] = STATE(8559),
    [sym_conditional] = STATE(8559),
    [sym_range] = STATE(8559),
    [sym_binary] = STATE(8559),
    [sym_unary] = STATE(8559),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5934] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8560),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8560),
    [sym_operator_assignment] = STATE(8560),
    [sym_conditional] = STATE(8560),
    [sym_range] = STATE(8560),
    [sym_binary] = STATE(8560),
    [sym_unary] = STATE(8560),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5935] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8561),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8561),
    [sym_operator_assignment] = STATE(8561),
    [sym_conditional] = STATE(8561),
    [sym_range] = STATE(8561),
    [sym_binary] = STATE(8561),
    [sym_unary] = STATE(8561),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5936] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8562),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8562),
    [sym_operator_assignment] = STATE(8562),
    [sym_conditional] = STATE(8562),
    [sym_range] = STATE(8562),
    [sym_binary] = STATE(8562),
    [sym_unary] = STATE(8562),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5937] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8563),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8563),
    [sym_operator_assignment] = STATE(8563),
    [sym_conditional] = STATE(8563),
    [sym_range] = STATE(8563),
    [sym_binary] = STATE(8563),
    [sym_unary] = STATE(8563),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5938] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8564),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8564),
    [sym_operator_assignment] = STATE(8564),
    [sym_conditional] = STATE(8564),
    [sym_range] = STATE(8564),
    [sym_binary] = STATE(8564),
    [sym_unary] = STATE(8564),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5939] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8565),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_splat_argument] = STATE(8566),
    [sym_assignment] = STATE(8565),
    [sym_operator_assignment] = STATE(8565),
    [sym_conditional] = STATE(8565),
    [sym_range] = STATE(8565),
    [sym_binary] = STATE(8565),
    [sym_unary] = STATE(8565),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(8566),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(2073),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5940] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8567),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(8567),
    [sym_operator_assignment] = STATE(8567),
    [sym_conditional] = STATE(8567),
    [sym_range] = STATE(8567),
    [sym_binary] = STATE(8567),
    [sym_unary] = STATE(8567),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5941] = {
    [sym_string] = STATE(8568),
    [aux_sym_chained_string_repeat1] = STATE(8568),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_ensure] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [5942] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_ensure] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8615),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [5943] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_ensure] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5944] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_ensure] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5945] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8569),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(8569),
    [sym_operator_assignment] = STATE(8569),
    [sym_conditional] = STATE(8569),
    [sym_range] = STATE(8569),
    [sym_binary] = STATE(8569),
    [sym_unary] = STATE(8569),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5946] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_ensure] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5947] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8570),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(8570),
    [sym_operator_assignment] = STATE(8570),
    [sym_conditional] = STATE(8570),
    [sym_range] = STATE(8570),
    [sym_binary] = STATE(8570),
    [sym_unary] = STATE(8570),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5948] = {
    [sym_heredoc_body] = STATE(8571),
    [aux_sym_call_repeat1] = STATE(8571),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5949] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3205),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(3205),
    [sym_operator_assignment] = STATE(3205),
    [sym_conditional] = STATE(3205),
    [sym_range] = STATE(3205),
    [sym_binary] = STATE(3205),
    [sym_unary] = STATE(3205),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3208),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(8572),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(4956),
    [sym__splat_star] = ACTIONS(4958),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__identifier_hash_key] = ACTIONS(4960),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11332),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(4962),
    [sym_identifier] = ACTIONS(4962),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5950] = {
    [sym_heredoc_body] = STATE(8573),
    [aux_sym_call_repeat1] = STATE(8573),
    [aux_sym_argument_list_repeat1] = STATE(8574),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8641),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [5951] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8575),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(8575),
    [sym_operator_assignment] = STATE(8575),
    [sym_conditional] = STATE(8575),
    [sym_range] = STATE(8575),
    [sym_binary] = STATE(8575),
    [sym_unary] = STATE(8575),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5952] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5953] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [5954] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5955] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [5956] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5957] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5958] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_ensure] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8615),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [5959] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11334),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [5960] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5961] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5962] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5963] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5964] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5965] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_ensure] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [5966] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_ensure] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [5967] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8577),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(8577),
    [sym_operator_assignment] = STATE(8577),
    [sym_conditional] = STATE(8577),
    [sym_range] = STATE(8577),
    [sym_binary] = STATE(8577),
    [sym_unary] = STATE(8577),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5968] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_ensure] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [5969] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8578),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(8578),
    [sym_operator_assignment] = STATE(8578),
    [sym_conditional] = STATE(8578),
    [sym_range] = STATE(8578),
    [sym_binary] = STATE(8578),
    [sym_unary] = STATE(8578),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5970] = {
    [sym_heredoc_body] = STATE(8579),
    [aux_sym_call_repeat1] = STATE(8579),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [5971] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3229),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(3229),
    [sym_operator_assignment] = STATE(3229),
    [sym_conditional] = STATE(3229),
    [sym_range] = STATE(3229),
    [sym_binary] = STATE(3229),
    [sym_unary] = STATE(3229),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3232),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(8580),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(4996),
    [sym__splat_star] = ACTIONS(4998),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__identifier_hash_key] = ACTIONS(5000),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11336),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(5002),
    [sym_identifier] = ACTIONS(5002),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5972] = {
    [sym_heredoc_body] = STATE(8581),
    [aux_sym_call_repeat1] = STATE(8581),
    [aux_sym_argument_list_repeat1] = STATE(8582),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8647),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [5973] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8583),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(8583),
    [sym_operator_assignment] = STATE(8583),
    [sym_conditional] = STATE(8583),
    [sym_range] = STATE(8583),
    [sym_binary] = STATE(8583),
    [sym_unary] = STATE(8583),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [5974] = {
    [sym_heredoc_body] = STATE(5974),
    [aux_sym_call_repeat1] = STATE(5974),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_ensure] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [5975] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1208),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(1208),
    [sym_operator_assignment] = STATE(1208),
    [sym_conditional] = STATE(1208),
    [sym_range] = STATE(1208),
    [sym_binary] = STATE(1208),
    [sym_unary] = STATE(1208),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1214),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(2071),
    [sym__splat_star] = ACTIONS(2073),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__identifier_hash_key] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8651),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5976] = {
    [sym_heredoc_body] = STATE(5974),
    [aux_sym_call_repeat1] = STATE(5974),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_ensure] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [5977] = {
    [aux_sym_argument_list_repeat1] = STATE(5977),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(11338),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_ensure] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [5978] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_ensure] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5979] = {
    [aux_sym_exceptions_repeat1] = STATE(8585),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [5980] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [5981] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_ensure] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8615),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [5982] = {
    [sym_string] = STATE(5982),
    [aux_sym_chained_string_repeat1] = STATE(5982),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_ensure] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [5983] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [5984] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [5985] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [5986] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8586),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8586),
    [sym_operator_assignment] = STATE(8586),
    [sym_conditional] = STATE(8586),
    [sym_range] = STATE(8586),
    [sym_binary] = STATE(8586),
    [sym_unary] = STATE(8586),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5987] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [5988] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [5989] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [5990] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8587),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8587),
    [sym_operator_assignment] = STATE(8587),
    [sym_conditional] = STATE(8587),
    [sym_range] = STATE(8587),
    [sym_binary] = STATE(8587),
    [sym_unary] = STATE(8587),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5991] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8588),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8588),
    [sym_operator_assignment] = STATE(8588),
    [sym_conditional] = STATE(8588),
    [sym_range] = STATE(8588),
    [sym_binary] = STATE(8588),
    [sym_unary] = STATE(8588),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5992] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8589),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8589),
    [sym_operator_assignment] = STATE(8589),
    [sym_conditional] = STATE(8589),
    [sym_range] = STATE(8589),
    [sym_binary] = STATE(8589),
    [sym_unary] = STATE(8589),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5993] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8590),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8590),
    [sym_operator_assignment] = STATE(8590),
    [sym_conditional] = STATE(8590),
    [sym_range] = STATE(8590),
    [sym_binary] = STATE(8590),
    [sym_unary] = STATE(8590),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5994] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8591),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8591),
    [sym_operator_assignment] = STATE(8591),
    [sym_conditional] = STATE(8591),
    [sym_range] = STATE(8591),
    [sym_binary] = STATE(8591),
    [sym_unary] = STATE(8591),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5995] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8592),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8592),
    [sym_operator_assignment] = STATE(8592),
    [sym_conditional] = STATE(8592),
    [sym_range] = STATE(8592),
    [sym_binary] = STATE(8592),
    [sym_unary] = STATE(8592),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5996] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8593),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8593),
    [sym_operator_assignment] = STATE(8593),
    [sym_conditional] = STATE(8593),
    [sym_range] = STATE(8593),
    [sym_binary] = STATE(8593),
    [sym_unary] = STATE(8593),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5997] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8594),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8594),
    [sym_operator_assignment] = STATE(8594),
    [sym_conditional] = STATE(8594),
    [sym_range] = STATE(8594),
    [sym_binary] = STATE(8594),
    [sym_unary] = STATE(8594),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [5998] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8595),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8595),
    [sym_operator_assignment] = STATE(8595),
    [sym_conditional] = STATE(8595),
    [sym_range] = STATE(8595),
    [sym_binary] = STATE(8595),
    [sym_unary] = STATE(8595),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [5999] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8596),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8596),
    [sym_operator_assignment] = STATE(8596),
    [sym_conditional] = STATE(8596),
    [sym_range] = STATE(8596),
    [sym_binary] = STATE(8596),
    [sym_unary] = STATE(8596),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6000] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8597),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8597),
    [sym_operator_assignment] = STATE(8597),
    [sym_conditional] = STATE(8597),
    [sym_range] = STATE(8597),
    [sym_binary] = STATE(8597),
    [sym_unary] = STATE(8597),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6001] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8598),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8598),
    [sym_operator_assignment] = STATE(8598),
    [sym_conditional] = STATE(8598),
    [sym_range] = STATE(8598),
    [sym_binary] = STATE(8598),
    [sym_unary] = STATE(8598),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6002] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8599),
    [sym_operator_assignment] = STATE(8599),
    [sym_conditional] = STATE(8599),
    [sym_range] = STATE(8599),
    [sym_binary] = STATE(8599),
    [sym_unary] = STATE(8599),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6003] = {
    [sym_heredoc_body] = STATE(8600),
    [aux_sym_call_repeat1] = STATE(8600),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6004] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3251),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(3251),
    [sym_operator_assignment] = STATE(3251),
    [sym_conditional] = STATE(3251),
    [sym_range] = STATE(3251),
    [sym_binary] = STATE(3251),
    [sym_unary] = STATE(3251),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3256),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(8601),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(5014),
    [sym__splat_star] = ACTIONS(5016),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__identifier_hash_key] = ACTIONS(5020),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11341),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(5030),
    [sym_identifier] = ACTIONS(5030),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6005] = {
    [sym_heredoc_body] = STATE(8602),
    [aux_sym_call_repeat1] = STATE(8602),
    [aux_sym_argument_list_repeat1] = STATE(8603),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8687),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6006] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8604),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_splat_argument] = STATE(8605),
    [sym_assignment] = STATE(8604),
    [sym_operator_assignment] = STATE(8604),
    [sym_conditional] = STATE(8604),
    [sym_range] = STATE(8604),
    [sym_binary] = STATE(8604),
    [sym_unary] = STATE(8604),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(8605),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(5016),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6007] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8606),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8606),
    [sym_operator_assignment] = STATE(8606),
    [sym_conditional] = STATE(8606),
    [sym_range] = STATE(8606),
    [sym_binary] = STATE(8606),
    [sym_unary] = STATE(8606),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6008] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8607),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(8607),
    [sym_operator_assignment] = STATE(8607),
    [sym_conditional] = STATE(8607),
    [sym_range] = STATE(8607),
    [sym_binary] = STATE(8607),
    [sym_unary] = STATE(8607),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6009] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(362),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym__argument_list_with_trailing_comma] = STATE(8609),
    [sym__argument] = STATE(366),
    [sym_splat_argument] = STATE(366),
    [sym_hash_splat_argument] = STATE(366),
    [sym_block_argument] = STATE(366),
    [sym_assignment] = STATE(362),
    [sym_operator_assignment] = STATE(362),
    [sym_conditional] = STATE(362),
    [sym_range] = STATE(362),
    [sym_binary] = STATE(362),
    [sym_unary] = STATE(362),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(369),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(8610),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(366),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__identifier_hash_key] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(11343),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(647),
    [sym_identifier] = ACTIONS(647),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6010] = {
    [sym_argument_list_with_parens] = STATE(8613),
    [sym__argument_list_with_parens] = STATE(8614),
    [sym_operator] = STATE(8613),
    [sym_heredoc_body] = STATE(8615),
    [aux_sym_call_repeat1] = STATE(8615),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(11345),
    [anon_sym_PIPE] = ACTIONS(11347),
    [anon_sym_STAR] = ACTIONS(11349),
    [anon_sym_STAR_STAR] = ACTIONS(11347),
    [anon_sym_AMP] = ACTIONS(11347),
    [anon_sym_LT] = ACTIONS(11349),
    [anon_sym_DOT_DOT] = ACTIONS(11347),
    [anon_sym_LT_LT] = ACTIONS(11347),
    [anon_sym_GT_GT] = ACTIONS(11347),
    [anon_sym_EQ_EQ] = ACTIONS(11349),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11347),
    [anon_sym_LT_EQ_GT] = ACTIONS(11347),
    [anon_sym_EQ_TILDE] = ACTIONS(11347),
    [anon_sym_BANG_TILDE] = ACTIONS(11347),
    [anon_sym_LT_EQ] = ACTIONS(11349),
    [anon_sym_GT] = ACTIONS(11349),
    [anon_sym_GT_EQ] = ACTIONS(11347),
    [anon_sym_CARET] = ACTIONS(11347),
    [anon_sym_PLUS] = ACTIONS(11349),
    [anon_sym_SLASH] = ACTIONS(11347),
    [anon_sym_PERCENT] = ACTIONS(11347),
    [anon_sym_BANG] = ACTIONS(11349),
    [anon_sym_TILDE] = ACTIONS(11347),
    [sym_constant] = ACTIONS(11351),
    [sym_identifier] = ACTIONS(11351),
    [anon_sym_DASH] = ACTIONS(11349),
    [anon_sym_PLUS_AT] = ACTIONS(11347),
    [anon_sym_DASH_AT] = ACTIONS(11347),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(11349),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(11347),
    [anon_sym_BQUOTE] = ACTIONS(11347),
    [sym_comment] = ACTIONS(87),
  },
  [6011] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8624),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(8624),
    [sym_operator_assignment] = STATE(8624),
    [sym_conditional] = STATE(8624),
    [sym_range] = STATE(8624),
    [sym_binary] = STATE(8624),
    [sym_unary] = STATE(8624),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6012] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8628),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(8628),
    [sym_operator_assignment] = STATE(8628),
    [sym_conditional] = STATE(8628),
    [sym_range] = STATE(8628),
    [sym_binary] = STATE(8628),
    [sym_unary] = STATE(8628),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6013] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(8630),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(8631),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(11371),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6014] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8632),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(8632),
    [sym_operator_assignment] = STATE(8632),
    [sym_conditional] = STATE(8632),
    [sym_range] = STATE(8632),
    [sym_binary] = STATE(8632),
    [sym_unary] = STATE(8632),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6015] = {
    [sym__keyword_colon] = ACTIONS(11373),
    [sym_comment] = ACTIONS(87),
  },
  [6016] = {
    [sym__statements] = STATE(8636),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(8637),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(124),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(125),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(11375),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6017] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8638),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(8638),
    [sym_operator_assignment] = STATE(8638),
    [sym_conditional] = STATE(8638),
    [sym_range] = STATE(8638),
    [sym_binary] = STATE(8638),
    [sym_unary] = STATE(8638),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6018] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8644),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(8645),
    [sym__argument] = STATE(8646),
    [sym_splat_argument] = STATE(8646),
    [sym_hash_splat_argument] = STATE(8646),
    [sym_block_argument] = STATE(8646),
    [sym_assignment] = STATE(8644),
    [sym_operator_assignment] = STATE(8644),
    [sym_conditional] = STATE(8644),
    [sym_range] = STATE(8644),
    [sym_binary] = STATE(8644),
    [sym_unary] = STATE(8644),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8647),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8646),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(11377),
    [sym__splat_star] = ACTIONS(11379),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(11381),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(11383),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(11385),
    [sym_identifier] = ACTIONS(11385),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6019] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8644),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(8645),
    [sym__argument] = STATE(8646),
    [sym_splat_argument] = STATE(8646),
    [sym_hash_splat_argument] = STATE(8646),
    [sym_block_argument] = STATE(8646),
    [sym_assignment] = STATE(8644),
    [sym_operator_assignment] = STATE(8644),
    [sym_conditional] = STATE(8644),
    [sym_range] = STATE(8644),
    [sym_binary] = STATE(8644),
    [sym_unary] = STATE(8644),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8647),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8646),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(11377),
    [sym__splat_star] = ACTIONS(11379),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(11381),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(11383),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(11385),
    [sym_identifier] = ACTIONS(11385),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6020] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8644),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(8645),
    [sym__argument] = STATE(8646),
    [sym_splat_argument] = STATE(8646),
    [sym_hash_splat_argument] = STATE(8646),
    [sym_block_argument] = STATE(8646),
    [sym_assignment] = STATE(8644),
    [sym_operator_assignment] = STATE(8644),
    [sym_conditional] = STATE(8644),
    [sym_range] = STATE(8644),
    [sym_binary] = STATE(8644),
    [sym_unary] = STATE(8644),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8647),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8646),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(11377),
    [sym__splat_star] = ACTIONS(11379),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(11381),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(11383),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(11385),
    [sym_identifier] = ACTIONS(11385),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6021] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8644),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(8645),
    [sym__argument] = STATE(8646),
    [sym_splat_argument] = STATE(8646),
    [sym_hash_splat_argument] = STATE(8646),
    [sym_block_argument] = STATE(8646),
    [sym_assignment] = STATE(8644),
    [sym_operator_assignment] = STATE(8644),
    [sym_conditional] = STATE(8644),
    [sym_range] = STATE(8644),
    [sym_binary] = STATE(8644),
    [sym_unary] = STATE(8644),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8647),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8646),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(11377),
    [sym__splat_star] = ACTIONS(11379),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(11381),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(11383),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(11385),
    [sym_identifier] = ACTIONS(11385),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6022] = {
    [sym__statements] = STATE(8649),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(8650),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(8651),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(8651),
    [sym__line_break] = ACTIONS(11387),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11389),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6023] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8652),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(8652),
    [sym_operator_assignment] = STATE(8652),
    [sym_conditional] = STATE(8652),
    [sym_range] = STATE(8652),
    [sym_binary] = STATE(8652),
    [sym_unary] = STATE(8652),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6024] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8653),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(8653),
    [sym_operator_assignment] = STATE(8653),
    [sym_conditional] = STATE(8653),
    [sym_range] = STATE(8653),
    [sym_binary] = STATE(8653),
    [sym_unary] = STATE(8653),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6025] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6026] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11373),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_then] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [6027] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_then] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(11403),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(11411),
    [anon_sym_or] = ACTIONS(11411),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [6028] = {
    [sym_do_block] = STATE(8668),
    [sym_block] = STATE(8668),
    [sym__line_break] = ACTIONS(2751),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(11425),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(11427),
    [anon_sym_then] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [sym_comment] = ACTIONS(87),
  },
  [6029] = {
    [sym_heredoc_body] = STATE(8670),
    [aux_sym_call_repeat1] = STATE(8670),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(11429),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [6030] = {
    [sym_heredoc_body] = STATE(8670),
    [aux_sym_call_repeat1] = STATE(8670),
    [aux_sym_argument_list_repeat1] = STATE(8672),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(11429),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(11431),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [6031] = {
    [sym__line_break] = ACTIONS(2751),
    [sym__heredoc_body_start] = ACTIONS(2751),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_then] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [sym_comment] = ACTIONS(87),
  },
  [6032] = {
    [anon_sym_EQ] = ACTIONS(11433),
    [sym_comment] = ACTIONS(87),
  },
  [6033] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11435),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11437),
    [anon_sym_DASH_EQ] = ACTIONS(11437),
    [anon_sym_STAR_EQ] = ACTIONS(11437),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11437),
    [anon_sym_SLASH_EQ] = ACTIONS(11437),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11437),
    [anon_sym_PIPE_EQ] = ACTIONS(11437),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11437),
    [anon_sym_AMP_EQ] = ACTIONS(11437),
    [anon_sym_PERCENT_EQ] = ACTIONS(11437),
    [anon_sym_GT_GT_EQ] = ACTIONS(11437),
    [anon_sym_LT_LT_EQ] = ACTIONS(11437),
    [anon_sym_CARET_EQ] = ACTIONS(11437),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6034] = {
    [sym_string] = STATE(8676),
    [aux_sym_chained_string_repeat1] = STATE(8676),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11439),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [6035] = {
    [anon_sym_end] = ACTIONS(11441),
    [anon_sym_else] = ACTIONS(11441),
    [anon_sym_ensure] = ACTIONS(11441),
    [sym_comment] = ACTIONS(87),
  },
  [6036] = {
    [sym_rescue] = STATE(8677),
    [anon_sym_end] = ACTIONS(11441),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(11441),
    [anon_sym_ensure] = ACTIONS(11441),
    [sym_comment] = ACTIONS(87),
  },
  [6037] = {
    [sym__statements] = STATE(8678),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym_rescue] = STATE(8677),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11443),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(11443),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(11443),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6038] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [6039] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [6040] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [6041] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [6042] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [6043] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [6044] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11445),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6045] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5062),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(5066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5068),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5072),
    [anon_sym_LT_EQ_GT] = ACTIONS(5072),
    [anon_sym_EQ_TILDE] = ACTIONS(5072),
    [anon_sym_BANG_TILDE] = ACTIONS(5072),
    [anon_sym_LT_EQ] = ACTIONS(5062),
    [anon_sym_GT] = ACTIONS(5062),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [6046] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5062),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5064),
    [anon_sym_DOT_DOT] = ACTIONS(5066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5068),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5072),
    [anon_sym_LT_EQ_GT] = ACTIONS(5072),
    [anon_sym_EQ_TILDE] = ACTIONS(5072),
    [anon_sym_BANG_TILDE] = ACTIONS(5072),
    [anon_sym_LT_EQ] = ACTIONS(5062),
    [anon_sym_GT] = ACTIONS(5062),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [6047] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5062),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5072),
    [anon_sym_LT_EQ_GT] = ACTIONS(5072),
    [anon_sym_EQ_TILDE] = ACTIONS(5072),
    [anon_sym_BANG_TILDE] = ACTIONS(5072),
    [anon_sym_LT_EQ] = ACTIONS(5062),
    [anon_sym_GT] = ACTIONS(5062),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [6048] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [6049] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [6050] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_then] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [6051] = {
    [sym_string] = STATE(6077),
    [aux_sym_chained_string_repeat1] = STATE(6077),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6052] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [6053] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [6054] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8680),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8680),
    [sym_operator_assignment] = STATE(8680),
    [sym_conditional] = STATE(8680),
    [sym_range] = STATE(8680),
    [sym_binary] = STATE(8680),
    [sym_unary] = STATE(8680),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6055] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_then] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [6056] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [6057] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [6058] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8681),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8681),
    [sym_operator_assignment] = STATE(8681),
    [sym_conditional] = STATE(8681),
    [sym_range] = STATE(8681),
    [sym_binary] = STATE(8681),
    [sym_unary] = STATE(8681),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6059] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8682),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8682),
    [sym_operator_assignment] = STATE(8682),
    [sym_conditional] = STATE(8682),
    [sym_range] = STATE(8682),
    [sym_binary] = STATE(8682),
    [sym_unary] = STATE(8682),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6060] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8683),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8683),
    [sym_operator_assignment] = STATE(8683),
    [sym_conditional] = STATE(8683),
    [sym_range] = STATE(8683),
    [sym_binary] = STATE(8683),
    [sym_unary] = STATE(8683),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6061] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8684),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8684),
    [sym_operator_assignment] = STATE(8684),
    [sym_conditional] = STATE(8684),
    [sym_range] = STATE(8684),
    [sym_binary] = STATE(8684),
    [sym_unary] = STATE(8684),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6062] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8685),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8685),
    [sym_operator_assignment] = STATE(8685),
    [sym_conditional] = STATE(8685),
    [sym_range] = STATE(8685),
    [sym_binary] = STATE(8685),
    [sym_unary] = STATE(8685),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6063] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8686),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8686),
    [sym_operator_assignment] = STATE(8686),
    [sym_conditional] = STATE(8686),
    [sym_range] = STATE(8686),
    [sym_binary] = STATE(8686),
    [sym_unary] = STATE(8686),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6064] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8687),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8687),
    [sym_operator_assignment] = STATE(8687),
    [sym_conditional] = STATE(8687),
    [sym_range] = STATE(8687),
    [sym_binary] = STATE(8687),
    [sym_unary] = STATE(8687),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6065] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8688),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8688),
    [sym_operator_assignment] = STATE(8688),
    [sym_conditional] = STATE(8688),
    [sym_range] = STATE(8688),
    [sym_binary] = STATE(8688),
    [sym_unary] = STATE(8688),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6066] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8689),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8689),
    [sym_operator_assignment] = STATE(8689),
    [sym_conditional] = STATE(8689),
    [sym_range] = STATE(8689),
    [sym_binary] = STATE(8689),
    [sym_unary] = STATE(8689),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6067] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8690),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8690),
    [sym_operator_assignment] = STATE(8690),
    [sym_conditional] = STATE(8690),
    [sym_range] = STATE(8690),
    [sym_binary] = STATE(8690),
    [sym_unary] = STATE(8690),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6068] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8691),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8691),
    [sym_operator_assignment] = STATE(8691),
    [sym_conditional] = STATE(8691),
    [sym_range] = STATE(8691),
    [sym_binary] = STATE(8691),
    [sym_unary] = STATE(8691),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6069] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8692),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8692),
    [sym_operator_assignment] = STATE(8692),
    [sym_conditional] = STATE(8692),
    [sym_range] = STATE(8692),
    [sym_binary] = STATE(8692),
    [sym_unary] = STATE(8692),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6070] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8693),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8693),
    [sym_operator_assignment] = STATE(8693),
    [sym_conditional] = STATE(8693),
    [sym_range] = STATE(8693),
    [sym_binary] = STATE(8693),
    [sym_unary] = STATE(8693),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6071] = {
    [sym_heredoc_body] = STATE(8694),
    [aux_sym_call_repeat1] = STATE(8694),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6072] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3294),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(3294),
    [sym_operator_assignment] = STATE(3294),
    [sym_conditional] = STATE(3294),
    [sym_range] = STATE(3294),
    [sym_binary] = STATE(3294),
    [sym_unary] = STATE(3294),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3300),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(8695),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(5084),
    [sym__splat_star] = ACTIONS(5086),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__identifier_hash_key] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11447),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5108),
    [sym_identifier] = ACTIONS(5108),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6073] = {
    [sym_heredoc_body] = STATE(8696),
    [aux_sym_call_repeat1] = STATE(8696),
    [aux_sym_argument_list_repeat1] = STATE(8697),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8775),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6074] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8698),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_splat_argument] = STATE(8699),
    [sym_assignment] = STATE(8698),
    [sym_operator_assignment] = STATE(8698),
    [sym_conditional] = STATE(8698),
    [sym_range] = STATE(8698),
    [sym_binary] = STATE(8698),
    [sym_unary] = STATE(8698),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(8699),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(5086),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6075] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8700),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8700),
    [sym_operator_assignment] = STATE(8700),
    [sym_conditional] = STATE(8700),
    [sym_range] = STATE(8700),
    [sym_binary] = STATE(8700),
    [sym_unary] = STATE(8700),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6076] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8701),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(8701),
    [sym_operator_assignment] = STATE(8701),
    [sym_conditional] = STATE(8701),
    [sym_range] = STATE(8701),
    [sym_binary] = STATE(8701),
    [sym_unary] = STATE(8701),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6077] = {
    [sym_string] = STATE(8702),
    [aux_sym_chained_string_repeat1] = STATE(8702),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_then] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [6078] = {
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(11449),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [6079] = {
    [aux_sym_exceptions_repeat1] = STATE(6079),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(11451),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [6080] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8703),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(8703),
    [sym_operator_assignment] = STATE(8703),
    [sym_conditional] = STATE(8703),
    [sym_range] = STATE(8703),
    [sym_binary] = STATE(8703),
    [sym_unary] = STATE(8703),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6081] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5062),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(5064),
    [anon_sym_DOT_DOT] = ACTIONS(5066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5068),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5072),
    [anon_sym_LT_EQ_GT] = ACTIONS(5072),
    [anon_sym_EQ_TILDE] = ACTIONS(5072),
    [anon_sym_BANG_TILDE] = ACTIONS(5072),
    [anon_sym_LT_EQ] = ACTIONS(5062),
    [anon_sym_GT] = ACTIONS(5062),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [6082] = {
    [aux_sym_exceptions_repeat1] = STATE(8705),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [6083] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5062),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(5064),
    [anon_sym_DOT_DOT] = ACTIONS(5066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5068),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5072),
    [anon_sym_LT_EQ_GT] = ACTIONS(5072),
    [anon_sym_EQ_TILDE] = ACTIONS(5072),
    [anon_sym_BANG_TILDE] = ACTIONS(5072),
    [anon_sym_LT_EQ] = ACTIONS(5062),
    [anon_sym_GT] = ACTIONS(5062),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [6084] = {
    [sym_string] = STATE(6084),
    [aux_sym_chained_string_repeat1] = STATE(6084),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_then] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [6085] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8706),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(8706),
    [sym_operator_assignment] = STATE(8706),
    [sym_conditional] = STATE(8706),
    [sym_range] = STATE(8706),
    [sym_binary] = STATE(8706),
    [sym_unary] = STATE(8706),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6086] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3320),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(8707),
    [sym__argument] = STATE(8708),
    [sym_splat_argument] = STATE(8708),
    [sym_hash_splat_argument] = STATE(8708),
    [sym_block_argument] = STATE(8708),
    [sym_assignment] = STATE(3320),
    [sym_operator_assignment] = STATE(3320),
    [sym_conditional] = STATE(3320),
    [sym_range] = STATE(3320),
    [sym_binary] = STATE(3320),
    [sym_unary] = STATE(3320),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3326),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8708),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5126),
    [sym__splat_star] = ACTIONS(5128),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5132),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(379),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5150),
    [sym_identifier] = ACTIONS(5150),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6087] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3320),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(8707),
    [sym__argument] = STATE(8708),
    [sym_splat_argument] = STATE(8708),
    [sym_hash_splat_argument] = STATE(8708),
    [sym_block_argument] = STATE(8708),
    [sym_assignment] = STATE(3320),
    [sym_operator_assignment] = STATE(3320),
    [sym_conditional] = STATE(3320),
    [sym_range] = STATE(3320),
    [sym_binary] = STATE(3320),
    [sym_unary] = STATE(3320),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3326),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8708),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5126),
    [sym__splat_star] = ACTIONS(5128),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5132),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5150),
    [sym_identifier] = ACTIONS(5150),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6088] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3320),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(8707),
    [sym__argument] = STATE(8708),
    [sym_splat_argument] = STATE(8708),
    [sym_hash_splat_argument] = STATE(8708),
    [sym_block_argument] = STATE(8708),
    [sym_assignment] = STATE(3320),
    [sym_operator_assignment] = STATE(3320),
    [sym_conditional] = STATE(3320),
    [sym_range] = STATE(3320),
    [sym_binary] = STATE(3320),
    [sym_unary] = STATE(3320),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3326),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8708),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5126),
    [sym__splat_star] = ACTIONS(5128),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5132),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5150),
    [sym_identifier] = ACTIONS(5150),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6089] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3320),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(8707),
    [sym__argument] = STATE(8708),
    [sym_splat_argument] = STATE(8708),
    [sym_hash_splat_argument] = STATE(8708),
    [sym_block_argument] = STATE(8708),
    [sym_assignment] = STATE(3320),
    [sym_operator_assignment] = STATE(3320),
    [sym_conditional] = STATE(3320),
    [sym_range] = STATE(3320),
    [sym_binary] = STATE(3320),
    [sym_unary] = STATE(3320),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3326),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8708),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5126),
    [sym__splat_star] = ACTIONS(5128),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5132),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5146),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5150),
    [sym_identifier] = ACTIONS(5150),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6090] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8709),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(8709),
    [sym_operator_assignment] = STATE(8709),
    [sym_conditional] = STATE(8709),
    [sym_range] = STATE(8709),
    [sym_binary] = STATE(8709),
    [sym_unary] = STATE(8709),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6091] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8710),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(8710),
    [sym_operator_assignment] = STATE(8710),
    [sym_conditional] = STATE(8710),
    [sym_range] = STATE(8710),
    [sym_binary] = STATE(8710),
    [sym_unary] = STATE(8710),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6092] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6093] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_ensure] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(11466),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [6094] = {
    [anon_sym_EQ] = ACTIONS(11484),
    [sym_comment] = ACTIONS(87),
  },
  [6095] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11486),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11488),
    [anon_sym_DASH_EQ] = ACTIONS(11488),
    [anon_sym_STAR_EQ] = ACTIONS(11488),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11488),
    [anon_sym_SLASH_EQ] = ACTIONS(11488),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11488),
    [anon_sym_PIPE_EQ] = ACTIONS(11488),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11488),
    [anon_sym_AMP_EQ] = ACTIONS(11488),
    [anon_sym_PERCENT_EQ] = ACTIONS(11488),
    [anon_sym_GT_GT_EQ] = ACTIONS(11488),
    [anon_sym_LT_LT_EQ] = ACTIONS(11488),
    [anon_sym_CARET_EQ] = ACTIONS(11488),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6096] = {
    [sym_string] = STATE(8725),
    [aux_sym_chained_string_repeat1] = STATE(8725),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [6097] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_ensure] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11466),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [6098] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [6099] = {
    [sym_string] = STATE(6141),
    [aux_sym_chained_string_repeat1] = STATE(6141),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [6100] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8726),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(8726),
    [sym_operator_assignment] = STATE(8726),
    [sym_conditional] = STATE(8726),
    [sym_range] = STATE(8726),
    [sym_binary] = STATE(8726),
    [sym_unary] = STATE(8726),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6101] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_ensure] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(11466),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [6102] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8727),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8727),
    [sym_operator_assignment] = STATE(8727),
    [sym_conditional] = STATE(8727),
    [sym_range] = STATE(8727),
    [sym_binary] = STATE(8727),
    [sym_unary] = STATE(8727),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6103] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8728),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8728),
    [sym_operator_assignment] = STATE(8728),
    [sym_conditional] = STATE(8728),
    [sym_range] = STATE(8728),
    [sym_binary] = STATE(8728),
    [sym_unary] = STATE(8728),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6104] = {
    [sym__keyword_colon] = ACTIONS(11490),
    [sym_comment] = ACTIONS(87),
  },
  [6105] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8730),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8730),
    [sym_operator_assignment] = STATE(8730),
    [sym_conditional] = STATE(8730),
    [sym_range] = STATE(8730),
    [sym_binary] = STATE(8730),
    [sym_unary] = STATE(8730),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6106] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11490),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_ensure] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [6107] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_ensure] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [6108] = {
    [sym_heredoc_body] = STATE(8732),
    [aux_sym_call_repeat1] = STATE(8732),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [6109] = {
    [sym_heredoc_body] = STATE(8732),
    [aux_sym_call_repeat1] = STATE(8732),
    [aux_sym_argument_list_repeat1] = STATE(8734),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11492),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [6110] = {
    [sym_string] = STATE(6141),
    [aux_sym_chained_string_repeat1] = STATE(6141),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11494),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [6111] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [6112] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [6113] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8736),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8736),
    [sym_operator_assignment] = STATE(8736),
    [sym_conditional] = STATE(8736),
    [sym_range] = STATE(8736),
    [sym_binary] = STATE(8736),
    [sym_unary] = STATE(8736),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6114] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8737),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8737),
    [sym_operator_assignment] = STATE(8737),
    [sym_conditional] = STATE(8737),
    [sym_range] = STATE(8737),
    [sym_binary] = STATE(8737),
    [sym_unary] = STATE(8737),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6115] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8738),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8738),
    [sym_operator_assignment] = STATE(8738),
    [sym_conditional] = STATE(8738),
    [sym_range] = STATE(8738),
    [sym_binary] = STATE(8738),
    [sym_unary] = STATE(8738),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6116] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8739),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8739),
    [sym_operator_assignment] = STATE(8739),
    [sym_conditional] = STATE(8739),
    [sym_range] = STATE(8739),
    [sym_binary] = STATE(8739),
    [sym_unary] = STATE(8739),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6117] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8740),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8740),
    [sym_operator_assignment] = STATE(8740),
    [sym_conditional] = STATE(8740),
    [sym_range] = STATE(8740),
    [sym_binary] = STATE(8740),
    [sym_unary] = STATE(8740),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6118] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8741),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8741),
    [sym_operator_assignment] = STATE(8741),
    [sym_conditional] = STATE(8741),
    [sym_range] = STATE(8741),
    [sym_binary] = STATE(8741),
    [sym_unary] = STATE(8741),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6119] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8742),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(8742),
    [sym_operator_assignment] = STATE(8742),
    [sym_conditional] = STATE(8742),
    [sym_range] = STATE(8742),
    [sym_binary] = STATE(8742),
    [sym_unary] = STATE(8742),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6120] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8743),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8743),
    [sym_operator_assignment] = STATE(8743),
    [sym_conditional] = STATE(8743),
    [sym_range] = STATE(8743),
    [sym_binary] = STATE(8743),
    [sym_unary] = STATE(8743),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6121] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8744),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8744),
    [sym_operator_assignment] = STATE(8744),
    [sym_conditional] = STATE(8744),
    [sym_range] = STATE(8744),
    [sym_binary] = STATE(8744),
    [sym_unary] = STATE(8744),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6122] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8745),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8745),
    [sym_operator_assignment] = STATE(8745),
    [sym_conditional] = STATE(8745),
    [sym_range] = STATE(8745),
    [sym_binary] = STATE(8745),
    [sym_unary] = STATE(8745),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6123] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8746),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8746),
    [sym_operator_assignment] = STATE(8746),
    [sym_conditional] = STATE(8746),
    [sym_range] = STATE(8746),
    [sym_binary] = STATE(8746),
    [sym_unary] = STATE(8746),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6124] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8747),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8747),
    [sym_operator_assignment] = STATE(8747),
    [sym_conditional] = STATE(8747),
    [sym_range] = STATE(8747),
    [sym_binary] = STATE(8747),
    [sym_unary] = STATE(8747),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6125] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8748),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8748),
    [sym_operator_assignment] = STATE(8748),
    [sym_conditional] = STATE(8748),
    [sym_range] = STATE(8748),
    [sym_binary] = STATE(8748),
    [sym_unary] = STATE(8748),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6126] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8749),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8749),
    [sym_operator_assignment] = STATE(8749),
    [sym_conditional] = STATE(8749),
    [sym_range] = STATE(8749),
    [sym_binary] = STATE(8749),
    [sym_unary] = STATE(8749),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6127] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8750),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8750),
    [sym_operator_assignment] = STATE(8750),
    [sym_conditional] = STATE(8750),
    [sym_range] = STATE(8750),
    [sym_binary] = STATE(8750),
    [sym_unary] = STATE(8750),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6128] = {
    [sym__keyword_colon] = ACTIONS(11496),
    [sym_comment] = ACTIONS(87),
  },
  [6129] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8752),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8752),
    [sym_operator_assignment] = STATE(8752),
    [sym_conditional] = STATE(8752),
    [sym_range] = STATE(8752),
    [sym_binary] = STATE(8752),
    [sym_unary] = STATE(8752),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6130] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11496),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_ensure] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [6131] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_ensure] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [6132] = {
    [sym_heredoc_body] = STATE(8754),
    [aux_sym_call_repeat1] = STATE(8754),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [6133] = {
    [sym_heredoc_body] = STATE(8754),
    [aux_sym_call_repeat1] = STATE(8754),
    [aux_sym_argument_list_repeat1] = STATE(8756),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11498),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [6134] = {
    [sym_string] = STATE(6201),
    [aux_sym_chained_string_repeat1] = STATE(6201),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11500),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6135] = {
    [sym_heredoc_body] = STATE(8758),
    [aux_sym_call_repeat1] = STATE(8758),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6136] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3320),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(3320),
    [sym_operator_assignment] = STATE(3320),
    [sym_conditional] = STATE(3320),
    [sym_range] = STATE(3320),
    [sym_binary] = STATE(3320),
    [sym_unary] = STATE(3320),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3326),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(8759),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(5126),
    [sym__splat_star] = ACTIONS(5128),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__identifier_hash_key] = ACTIONS(5132),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11502),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5150),
    [sym_identifier] = ACTIONS(5150),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6137] = {
    [sym_heredoc_body] = STATE(8760),
    [aux_sym_call_repeat1] = STATE(8760),
    [aux_sym_argument_list_repeat1] = STATE(8761),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8859),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6138] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8762),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_splat_argument] = STATE(8763),
    [sym_assignment] = STATE(8762),
    [sym_operator_assignment] = STATE(8762),
    [sym_conditional] = STATE(8762),
    [sym_range] = STATE(8762),
    [sym_binary] = STATE(8762),
    [sym_unary] = STATE(8762),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(8763),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(8813),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6139] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8764),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(8764),
    [sym_operator_assignment] = STATE(8764),
    [sym_conditional] = STATE(8764),
    [sym_range] = STATE(8764),
    [sym_binary] = STATE(8764),
    [sym_unary] = STATE(8764),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6140] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8765),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(8765),
    [sym_operator_assignment] = STATE(8765),
    [sym_conditional] = STATE(8765),
    [sym_range] = STATE(8765),
    [sym_binary] = STATE(8765),
    [sym_unary] = STATE(8765),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6141] = {
    [sym_string] = STATE(8766),
    [aux_sym_chained_string_repeat1] = STATE(8766),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_ensure] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [6142] = {
    [aux_sym_undef_repeat1] = STATE(8767),
    [sym__line_break] = ACTIONS(5442),
    [sym__heredoc_body_start] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym_end] = ACTIONS(5442),
    [anon_sym_if] = ACTIONS(5442),
    [anon_sym_unless] = ACTIONS(5442),
    [anon_sym_while] = ACTIONS(5442),
    [anon_sym_until] = ACTIONS(5442),
    [anon_sym_rescue] = ACTIONS(5442),
    [anon_sym_ensure] = ACTIONS(5442),
    [sym_comment] = ACTIONS(87),
  },
  [6143] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1246),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1247),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(1247),
    [sym_operator_assignment] = STATE(1247),
    [sym_conditional] = STATE(1247),
    [sym_range] = STATE(1247),
    [sym_binary] = STATE(1247),
    [sym_unary] = STATE(1247),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5772),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(5772),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [anon_sym_undef] = ACTIONS(2157),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6144] = {
    [sym_heredoc_body] = STATE(8768),
    [sym__terminator] = STATE(8768),
    [aux_sym__statements_repeat1] = STATE(6144),
    [sym__line_break] = ACTIONS(11504),
    [sym__heredoc_body_start] = ACTIONS(5777),
    [anon_sym_SEMI] = ACTIONS(11504),
    [anon_sym_end] = ACTIONS(5768),
    [anon_sym_ensure] = ACTIONS(5768),
    [sym_comment] = ACTIONS(87),
  },
  [6145] = {
    [sym__line_break] = ACTIONS(5780),
    [sym__heredoc_body_start] = ACTIONS(5780),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(5780),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_unless] = ACTIONS(5780),
    [anon_sym_while] = ACTIONS(5780),
    [anon_sym_until] = ACTIONS(5780),
    [anon_sym_rescue] = ACTIONS(5780),
    [anon_sym_ensure] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_DOT_DOT] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6146] = {
    [sym__line_break] = ACTIONS(5782),
    [sym__heredoc_body_start] = ACTIONS(5782),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(5782),
    [anon_sym_if] = ACTIONS(5782),
    [anon_sym_unless] = ACTIONS(5782),
    [anon_sym_while] = ACTIONS(5782),
    [anon_sym_until] = ACTIONS(5782),
    [anon_sym_rescue] = ACTIONS(5782),
    [anon_sym_ensure] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_DOT_DOT] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6147] = {
    [sym__line_break] = ACTIONS(5784),
    [sym__heredoc_body_start] = ACTIONS(5784),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(5784),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_unless] = ACTIONS(5784),
    [anon_sym_while] = ACTIONS(5784),
    [anon_sym_until] = ACTIONS(5784),
    [anon_sym_rescue] = ACTIONS(5784),
    [anon_sym_ensure] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_DOT_DOT] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6148] = {
    [sym__line_break] = ACTIONS(5786),
    [sym__heredoc_body_start] = ACTIONS(5786),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(5786),
    [anon_sym_if] = ACTIONS(5786),
    [anon_sym_unless] = ACTIONS(5786),
    [anon_sym_while] = ACTIONS(5786),
    [anon_sym_until] = ACTIONS(5786),
    [anon_sym_rescue] = ACTIONS(5786),
    [anon_sym_ensure] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_DOT_DOT] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6149] = {
    [sym__line_break] = ACTIONS(5788),
    [sym__heredoc_body_start] = ACTIONS(5788),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5788),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(5788),
    [anon_sym_if] = ACTIONS(5788),
    [anon_sym_unless] = ACTIONS(5788),
    [anon_sym_while] = ACTIONS(5788),
    [anon_sym_until] = ACTIONS(5788),
    [anon_sym_rescue] = ACTIONS(5788),
    [anon_sym_ensure] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_DOT_DOT] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6150] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6151] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [6152] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6153] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [6154] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6155] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6156] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11507),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6157] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6158] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_DOT_DOT] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6159] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6160] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6161] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6162] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8770),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(8770),
    [sym_operator_assignment] = STATE(8770),
    [sym_conditional] = STATE(8770),
    [sym_range] = STATE(8770),
    [sym_binary] = STATE(8770),
    [sym_unary] = STATE(8770),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6163] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3362),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(3364),
    [sym__argument] = STATE(3365),
    [sym_splat_argument] = STATE(3365),
    [sym_hash_splat_argument] = STATE(3365),
    [sym_block_argument] = STATE(3365),
    [sym_assignment] = STATE(3362),
    [sym_operator_assignment] = STATE(3362),
    [sym_conditional] = STATE(3362),
    [sym_range] = STATE(3362),
    [sym_binary] = STATE(3362),
    [sym_unary] = STATE(3362),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3368),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3365),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5202),
    [sym__splat_star] = ACTIONS(5204),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5208),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(379),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5226),
    [sym_identifier] = ACTIONS(5226),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6164] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3362),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(3364),
    [sym__argument] = STATE(3365),
    [sym_splat_argument] = STATE(3365),
    [sym_hash_splat_argument] = STATE(3365),
    [sym_block_argument] = STATE(3365),
    [sym_assignment] = STATE(3362),
    [sym_operator_assignment] = STATE(3362),
    [sym_conditional] = STATE(3362),
    [sym_range] = STATE(3362),
    [sym_binary] = STATE(3362),
    [sym_unary] = STATE(3362),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3368),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3365),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5202),
    [sym__splat_star] = ACTIONS(5204),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5208),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5226),
    [sym_identifier] = ACTIONS(5226),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6165] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3362),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(3364),
    [sym__argument] = STATE(3365),
    [sym_splat_argument] = STATE(3365),
    [sym_hash_splat_argument] = STATE(3365),
    [sym_block_argument] = STATE(3365),
    [sym_assignment] = STATE(3362),
    [sym_operator_assignment] = STATE(3362),
    [sym_conditional] = STATE(3362),
    [sym_range] = STATE(3362),
    [sym_binary] = STATE(3362),
    [sym_unary] = STATE(3362),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3368),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3365),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5202),
    [sym__splat_star] = ACTIONS(5204),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5208),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5226),
    [sym_identifier] = ACTIONS(5226),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6166] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3362),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(3364),
    [sym__argument] = STATE(3365),
    [sym_splat_argument] = STATE(3365),
    [sym_hash_splat_argument] = STATE(3365),
    [sym_block_argument] = STATE(3365),
    [sym_assignment] = STATE(3362),
    [sym_operator_assignment] = STATE(3362),
    [sym_conditional] = STATE(3362),
    [sym_range] = STATE(3362),
    [sym_binary] = STATE(3362),
    [sym_unary] = STATE(3362),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3368),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3365),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5202),
    [sym__splat_star] = ACTIONS(5204),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5208),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5226),
    [sym_identifier] = ACTIONS(5226),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6167] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8771),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(8771),
    [sym_operator_assignment] = STATE(8771),
    [sym_conditional] = STATE(8771),
    [sym_range] = STATE(8771),
    [sym_binary] = STATE(8771),
    [sym_unary] = STATE(8771),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6168] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8772),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(8772),
    [sym_operator_assignment] = STATE(8772),
    [sym_conditional] = STATE(8772),
    [sym_range] = STATE(8772),
    [sym_binary] = STATE(8772),
    [sym_unary] = STATE(8772),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6169] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6170] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_ensure] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [6171] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3362),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(3364),
    [sym__argument] = STATE(3365),
    [sym_splat_argument] = STATE(3365),
    [sym_hash_splat_argument] = STATE(3365),
    [sym_block_argument] = STATE(3365),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(3362),
    [sym_operator_assignment] = STATE(3362),
    [sym_conditional] = STATE(3362),
    [sym_range] = STATE(3362),
    [sym_binary] = STATE(3362),
    [sym_unary] = STATE(3362),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3368),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3365),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(5202),
    [sym__splat_star] = ACTIONS(5204),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5208),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_ensure] = ACTIONS(775),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5222),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5226),
    [sym_identifier] = ACTIONS(5226),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6172] = {
    [anon_sym_EQ] = ACTIONS(11537),
    [sym_comment] = ACTIONS(87),
  },
  [6173] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11539),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11541),
    [anon_sym_DASH_EQ] = ACTIONS(11541),
    [anon_sym_STAR_EQ] = ACTIONS(11541),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11541),
    [anon_sym_SLASH_EQ] = ACTIONS(11541),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11541),
    [anon_sym_PIPE_EQ] = ACTIONS(11541),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11541),
    [anon_sym_AMP_EQ] = ACTIONS(11541),
    [anon_sym_PERCENT_EQ] = ACTIONS(11541),
    [anon_sym_GT_GT_EQ] = ACTIONS(11541),
    [anon_sym_LT_LT_EQ] = ACTIONS(11541),
    [anon_sym_CARET_EQ] = ACTIONS(11541),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6174] = {
    [sym_string] = STATE(8787),
    [aux_sym_chained_string_repeat1] = STATE(8787),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6175] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_ensure] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [6176] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [6177] = {
    [sym_string] = STATE(6201),
    [aux_sym_chained_string_repeat1] = STATE(6201),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6178] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8788),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(8788),
    [sym_operator_assignment] = STATE(8788),
    [sym_conditional] = STATE(8788),
    [sym_range] = STATE(8788),
    [sym_binary] = STATE(8788),
    [sym_unary] = STATE(8788),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6179] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_ensure] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [6180] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [6181] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [6182] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8789),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8789),
    [sym_operator_assignment] = STATE(8789),
    [sym_conditional] = STATE(8789),
    [sym_range] = STATE(8789),
    [sym_binary] = STATE(8789),
    [sym_unary] = STATE(8789),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6183] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8790),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8790),
    [sym_operator_assignment] = STATE(8790),
    [sym_conditional] = STATE(8790),
    [sym_range] = STATE(8790),
    [sym_binary] = STATE(8790),
    [sym_unary] = STATE(8790),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6184] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8791),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8791),
    [sym_operator_assignment] = STATE(8791),
    [sym_conditional] = STATE(8791),
    [sym_range] = STATE(8791),
    [sym_binary] = STATE(8791),
    [sym_unary] = STATE(8791),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6185] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8792),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8792),
    [sym_operator_assignment] = STATE(8792),
    [sym_conditional] = STATE(8792),
    [sym_range] = STATE(8792),
    [sym_binary] = STATE(8792),
    [sym_unary] = STATE(8792),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6186] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8793),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8793),
    [sym_operator_assignment] = STATE(8793),
    [sym_conditional] = STATE(8793),
    [sym_range] = STATE(8793),
    [sym_binary] = STATE(8793),
    [sym_unary] = STATE(8793),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6187] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8794),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8794),
    [sym_operator_assignment] = STATE(8794),
    [sym_conditional] = STATE(8794),
    [sym_range] = STATE(8794),
    [sym_binary] = STATE(8794),
    [sym_unary] = STATE(8794),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6188] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8795),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(8795),
    [sym_operator_assignment] = STATE(8795),
    [sym_conditional] = STATE(8795),
    [sym_range] = STATE(8795),
    [sym_binary] = STATE(8795),
    [sym_unary] = STATE(8795),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6189] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8796),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8796),
    [sym_operator_assignment] = STATE(8796),
    [sym_conditional] = STATE(8796),
    [sym_range] = STATE(8796),
    [sym_binary] = STATE(8796),
    [sym_unary] = STATE(8796),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6190] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8797),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8797),
    [sym_operator_assignment] = STATE(8797),
    [sym_conditional] = STATE(8797),
    [sym_range] = STATE(8797),
    [sym_binary] = STATE(8797),
    [sym_unary] = STATE(8797),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6191] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8798),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8798),
    [sym_operator_assignment] = STATE(8798),
    [sym_conditional] = STATE(8798),
    [sym_range] = STATE(8798),
    [sym_binary] = STATE(8798),
    [sym_unary] = STATE(8798),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6192] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8799),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8799),
    [sym_operator_assignment] = STATE(8799),
    [sym_conditional] = STATE(8799),
    [sym_range] = STATE(8799),
    [sym_binary] = STATE(8799),
    [sym_unary] = STATE(8799),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6193] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8800),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8800),
    [sym_operator_assignment] = STATE(8800),
    [sym_conditional] = STATE(8800),
    [sym_range] = STATE(8800),
    [sym_binary] = STATE(8800),
    [sym_unary] = STATE(8800),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6194] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8801),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8801),
    [sym_operator_assignment] = STATE(8801),
    [sym_conditional] = STATE(8801),
    [sym_range] = STATE(8801),
    [sym_binary] = STATE(8801),
    [sym_unary] = STATE(8801),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6195] = {
    [sym_heredoc_body] = STATE(8802),
    [aux_sym_call_repeat1] = STATE(8802),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6196] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3362),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(3362),
    [sym_operator_assignment] = STATE(3362),
    [sym_conditional] = STATE(3362),
    [sym_range] = STATE(3362),
    [sym_binary] = STATE(3362),
    [sym_unary] = STATE(3362),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3368),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(8803),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(5202),
    [sym__splat_star] = ACTIONS(5204),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__identifier_hash_key] = ACTIONS(5208),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11543),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5226),
    [sym_identifier] = ACTIONS(5226),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6197] = {
    [sym_heredoc_body] = STATE(8804),
    [aux_sym_call_repeat1] = STATE(8804),
    [aux_sym_argument_list_repeat1] = STATE(8805),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8927),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6198] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8806),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_splat_argument] = STATE(8807),
    [sym_assignment] = STATE(8806),
    [sym_operator_assignment] = STATE(8806),
    [sym_conditional] = STATE(8806),
    [sym_range] = STATE(8806),
    [sym_binary] = STATE(8806),
    [sym_unary] = STATE(8806),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(8807),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(8853),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6199] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8808),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(8808),
    [sym_operator_assignment] = STATE(8808),
    [sym_conditional] = STATE(8808),
    [sym_range] = STATE(8808),
    [sym_binary] = STATE(8808),
    [sym_unary] = STATE(8808),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6200] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8809),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(8809),
    [sym_operator_assignment] = STATE(8809),
    [sym_conditional] = STATE(8809),
    [sym_range] = STATE(8809),
    [sym_binary] = STATE(8809),
    [sym_unary] = STATE(8809),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6201] = {
    [sym_string] = STATE(8810),
    [aux_sym_chained_string_repeat1] = STATE(8810),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_ensure] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [6202] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8811),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(8811),
    [sym_operator_assignment] = STATE(8811),
    [sym_conditional] = STATE(8811),
    [sym_range] = STATE(8811),
    [sym_binary] = STATE(8811),
    [sym_unary] = STATE(8811),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6203] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8812),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(8812),
    [sym_operator_assignment] = STATE(8812),
    [sym_conditional] = STATE(8812),
    [sym_range] = STATE(8812),
    [sym_binary] = STATE(8812),
    [sym_unary] = STATE(8812),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6204] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8813),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(8813),
    [sym_operator_assignment] = STATE(8813),
    [sym_conditional] = STATE(8813),
    [sym_range] = STATE(8813),
    [sym_binary] = STATE(8813),
    [sym_unary] = STATE(8813),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6205] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8814),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(8814),
    [sym_operator_assignment] = STATE(8814),
    [sym_conditional] = STATE(8814),
    [sym_range] = STATE(8814),
    [sym_binary] = STATE(8814),
    [sym_unary] = STATE(8814),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6206] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6207] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(11553),
    [anon_sym_LT] = ACTIONS(11555),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_ensure] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_DOT_DOT] = ACTIONS(11559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11563),
    [anon_sym_AMP_AMP] = ACTIONS(11563),
    [anon_sym_LT_LT] = ACTIONS(11565),
    [anon_sym_GT_GT] = ACTIONS(11565),
    [anon_sym_EQ_EQ] = ACTIONS(11567),
    [anon_sym_BANG_EQ] = ACTIONS(11563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11563),
    [anon_sym_LT_EQ_GT] = ACTIONS(11563),
    [anon_sym_EQ_TILDE] = ACTIONS(11563),
    [anon_sym_BANG_TILDE] = ACTIONS(11563),
    [anon_sym_LT_EQ] = ACTIONS(11555),
    [anon_sym_GT] = ACTIONS(11555),
    [anon_sym_GT_EQ] = ACTIONS(11569),
    [anon_sym_CARET] = ACTIONS(11571),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [6208] = {
    [aux_sym_exceptions_repeat1] = STATE(8828),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(11575),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [6209] = {
    [anon_sym_EQ] = ACTIONS(11577),
    [sym_comment] = ACTIONS(87),
  },
  [6210] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11579),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_ensure] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11581),
    [anon_sym_DASH_EQ] = ACTIONS(11581),
    [anon_sym_STAR_EQ] = ACTIONS(11581),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11581),
    [anon_sym_SLASH_EQ] = ACTIONS(11581),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11581),
    [anon_sym_PIPE_EQ] = ACTIONS(11581),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11581),
    [anon_sym_AMP_EQ] = ACTIONS(11581),
    [anon_sym_PERCENT_EQ] = ACTIONS(11581),
    [anon_sym_GT_GT_EQ] = ACTIONS(11581),
    [anon_sym_LT_LT_EQ] = ACTIONS(11581),
    [anon_sym_CARET_EQ] = ACTIONS(11581),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6211] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_DOT_DOT] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [6212] = {
    [sym_string] = STATE(6212),
    [aux_sym_chained_string_repeat1] = STATE(6212),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_ensure] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [6213] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8831),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(8831),
    [sym_operator_assignment] = STATE(8831),
    [sym_conditional] = STATE(8831),
    [sym_range] = STATE(8831),
    [sym_binary] = STATE(8831),
    [sym_unary] = STATE(8831),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6214] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3387),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(8832),
    [sym__argument] = STATE(8833),
    [sym_splat_argument] = STATE(8833),
    [sym_hash_splat_argument] = STATE(8833),
    [sym_block_argument] = STATE(8833),
    [sym_assignment] = STATE(3387),
    [sym_operator_assignment] = STATE(3387),
    [sym_conditional] = STATE(3387),
    [sym_range] = STATE(3387),
    [sym_binary] = STATE(3387),
    [sym_unary] = STATE(3387),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3393),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8833),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5240),
    [sym__splat_star] = ACTIONS(5242),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5264),
    [sym_identifier] = ACTIONS(5264),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6215] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3387),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(8832),
    [sym__argument] = STATE(8833),
    [sym_splat_argument] = STATE(8833),
    [sym_hash_splat_argument] = STATE(8833),
    [sym_block_argument] = STATE(8833),
    [sym_assignment] = STATE(3387),
    [sym_operator_assignment] = STATE(3387),
    [sym_conditional] = STATE(3387),
    [sym_range] = STATE(3387),
    [sym_binary] = STATE(3387),
    [sym_unary] = STATE(3387),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3393),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8833),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5240),
    [sym__splat_star] = ACTIONS(5242),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5264),
    [sym_identifier] = ACTIONS(5264),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6216] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3387),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(8832),
    [sym__argument] = STATE(8833),
    [sym_splat_argument] = STATE(8833),
    [sym_hash_splat_argument] = STATE(8833),
    [sym_block_argument] = STATE(8833),
    [sym_assignment] = STATE(3387),
    [sym_operator_assignment] = STATE(3387),
    [sym_conditional] = STATE(3387),
    [sym_range] = STATE(3387),
    [sym_binary] = STATE(3387),
    [sym_unary] = STATE(3387),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3393),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8833),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5240),
    [sym__splat_star] = ACTIONS(5242),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5264),
    [sym_identifier] = ACTIONS(5264),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6217] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3387),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(8832),
    [sym__argument] = STATE(8833),
    [sym_splat_argument] = STATE(8833),
    [sym_hash_splat_argument] = STATE(8833),
    [sym_block_argument] = STATE(8833),
    [sym_assignment] = STATE(3387),
    [sym_operator_assignment] = STATE(3387),
    [sym_conditional] = STATE(3387),
    [sym_range] = STATE(3387),
    [sym_binary] = STATE(3387),
    [sym_unary] = STATE(3387),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3393),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(8833),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5240),
    [sym__splat_star] = ACTIONS(5242),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5264),
    [sym_identifier] = ACTIONS(5264),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6218] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8834),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(8834),
    [sym_operator_assignment] = STATE(8834),
    [sym_conditional] = STATE(8834),
    [sym_range] = STATE(8834),
    [sym_binary] = STATE(8834),
    [sym_unary] = STATE(8834),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6219] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8835),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(8835),
    [sym_operator_assignment] = STATE(8835),
    [sym_conditional] = STATE(8835),
    [sym_range] = STATE(8835),
    [sym_binary] = STATE(8835),
    [sym_unary] = STATE(8835),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6220] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6221] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [6222] = {
    [anon_sym_EQ] = ACTIONS(11613),
    [sym_comment] = ACTIONS(87),
  },
  [6223] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11615),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11617),
    [anon_sym_DASH_EQ] = ACTIONS(11617),
    [anon_sym_STAR_EQ] = ACTIONS(11617),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11617),
    [anon_sym_SLASH_EQ] = ACTIONS(11617),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11617),
    [anon_sym_PIPE_EQ] = ACTIONS(11617),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11617),
    [anon_sym_AMP_EQ] = ACTIONS(11617),
    [anon_sym_PERCENT_EQ] = ACTIONS(11617),
    [anon_sym_GT_GT_EQ] = ACTIONS(11617),
    [anon_sym_LT_LT_EQ] = ACTIONS(11617),
    [anon_sym_CARET_EQ] = ACTIONS(11617),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6224] = {
    [sym_string] = STATE(8850),
    [aux_sym_chained_string_repeat1] = STATE(8850),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [6225] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [6226] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [6227] = {
    [sym_string] = STATE(6269),
    [aux_sym_chained_string_repeat1] = STATE(6269),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [6228] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8851),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(8851),
    [sym_operator_assignment] = STATE(8851),
    [sym_conditional] = STATE(8851),
    [sym_range] = STATE(8851),
    [sym_binary] = STATE(8851),
    [sym_unary] = STATE(8851),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6229] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [6230] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8852),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8852),
    [sym_operator_assignment] = STATE(8852),
    [sym_conditional] = STATE(8852),
    [sym_range] = STATE(8852),
    [sym_binary] = STATE(8852),
    [sym_unary] = STATE(8852),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6231] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8853),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8853),
    [sym_operator_assignment] = STATE(8853),
    [sym_conditional] = STATE(8853),
    [sym_range] = STATE(8853),
    [sym_binary] = STATE(8853),
    [sym_unary] = STATE(8853),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6232] = {
    [sym__keyword_colon] = ACTIONS(11619),
    [sym_comment] = ACTIONS(87),
  },
  [6233] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8855),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8855),
    [sym_operator_assignment] = STATE(8855),
    [sym_conditional] = STATE(8855),
    [sym_range] = STATE(8855),
    [sym_binary] = STATE(8855),
    [sym_unary] = STATE(8855),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6234] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11619),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [6235] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [6236] = {
    [sym_heredoc_body] = STATE(8857),
    [aux_sym_call_repeat1] = STATE(8857),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [6237] = {
    [sym_heredoc_body] = STATE(8857),
    [aux_sym_call_repeat1] = STATE(8857),
    [aux_sym_argument_list_repeat1] = STATE(8859),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11621),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [6238] = {
    [sym_string] = STATE(6269),
    [aux_sym_chained_string_repeat1] = STATE(6269),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11623),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [6239] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [6240] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [6241] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8861),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8861),
    [sym_operator_assignment] = STATE(8861),
    [sym_conditional] = STATE(8861),
    [sym_range] = STATE(8861),
    [sym_binary] = STATE(8861),
    [sym_unary] = STATE(8861),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6242] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8862),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8862),
    [sym_operator_assignment] = STATE(8862),
    [sym_conditional] = STATE(8862),
    [sym_range] = STATE(8862),
    [sym_binary] = STATE(8862),
    [sym_unary] = STATE(8862),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6243] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8863),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8863),
    [sym_operator_assignment] = STATE(8863),
    [sym_conditional] = STATE(8863),
    [sym_range] = STATE(8863),
    [sym_binary] = STATE(8863),
    [sym_unary] = STATE(8863),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6244] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8864),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8864),
    [sym_operator_assignment] = STATE(8864),
    [sym_conditional] = STATE(8864),
    [sym_range] = STATE(8864),
    [sym_binary] = STATE(8864),
    [sym_unary] = STATE(8864),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6245] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8865),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8865),
    [sym_operator_assignment] = STATE(8865),
    [sym_conditional] = STATE(8865),
    [sym_range] = STATE(8865),
    [sym_binary] = STATE(8865),
    [sym_unary] = STATE(8865),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6246] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8866),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8866),
    [sym_operator_assignment] = STATE(8866),
    [sym_conditional] = STATE(8866),
    [sym_range] = STATE(8866),
    [sym_binary] = STATE(8866),
    [sym_unary] = STATE(8866),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6247] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8867),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(8867),
    [sym_operator_assignment] = STATE(8867),
    [sym_conditional] = STATE(8867),
    [sym_range] = STATE(8867),
    [sym_binary] = STATE(8867),
    [sym_unary] = STATE(8867),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6248] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8868),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8868),
    [sym_operator_assignment] = STATE(8868),
    [sym_conditional] = STATE(8868),
    [sym_range] = STATE(8868),
    [sym_binary] = STATE(8868),
    [sym_unary] = STATE(8868),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6249] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8869),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8869),
    [sym_operator_assignment] = STATE(8869),
    [sym_conditional] = STATE(8869),
    [sym_range] = STATE(8869),
    [sym_binary] = STATE(8869),
    [sym_unary] = STATE(8869),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6250] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8870),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8870),
    [sym_operator_assignment] = STATE(8870),
    [sym_conditional] = STATE(8870),
    [sym_range] = STATE(8870),
    [sym_binary] = STATE(8870),
    [sym_unary] = STATE(8870),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6251] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8871),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8871),
    [sym_operator_assignment] = STATE(8871),
    [sym_conditional] = STATE(8871),
    [sym_range] = STATE(8871),
    [sym_binary] = STATE(8871),
    [sym_unary] = STATE(8871),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6252] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8872),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8872),
    [sym_operator_assignment] = STATE(8872),
    [sym_conditional] = STATE(8872),
    [sym_range] = STATE(8872),
    [sym_binary] = STATE(8872),
    [sym_unary] = STATE(8872),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6253] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8873),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8873),
    [sym_operator_assignment] = STATE(8873),
    [sym_conditional] = STATE(8873),
    [sym_range] = STATE(8873),
    [sym_binary] = STATE(8873),
    [sym_unary] = STATE(8873),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6254] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8874),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8874),
    [sym_operator_assignment] = STATE(8874),
    [sym_conditional] = STATE(8874),
    [sym_range] = STATE(8874),
    [sym_binary] = STATE(8874),
    [sym_unary] = STATE(8874),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6255] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8875),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8875),
    [sym_operator_assignment] = STATE(8875),
    [sym_conditional] = STATE(8875),
    [sym_range] = STATE(8875),
    [sym_binary] = STATE(8875),
    [sym_unary] = STATE(8875),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6256] = {
    [sym__keyword_colon] = ACTIONS(11625),
    [sym_comment] = ACTIONS(87),
  },
  [6257] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8877),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8877),
    [sym_operator_assignment] = STATE(8877),
    [sym_conditional] = STATE(8877),
    [sym_range] = STATE(8877),
    [sym_binary] = STATE(8877),
    [sym_unary] = STATE(8877),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6258] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11625),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [6259] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [6260] = {
    [sym_heredoc_body] = STATE(8879),
    [aux_sym_call_repeat1] = STATE(8879),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [6261] = {
    [sym_heredoc_body] = STATE(8879),
    [aux_sym_call_repeat1] = STATE(8879),
    [aux_sym_argument_list_repeat1] = STATE(8881),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11627),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [6262] = {
    [sym_string] = STATE(6329),
    [aux_sym_chained_string_repeat1] = STATE(6329),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11629),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6263] = {
    [sym_heredoc_body] = STATE(8883),
    [aux_sym_call_repeat1] = STATE(8883),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6264] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3387),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(3387),
    [sym_operator_assignment] = STATE(3387),
    [sym_conditional] = STATE(3387),
    [sym_range] = STATE(3387),
    [sym_binary] = STATE(3387),
    [sym_unary] = STATE(3387),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3393),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(8884),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(5240),
    [sym__splat_star] = ACTIONS(5242),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__identifier_hash_key] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11631),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5264),
    [sym_identifier] = ACTIONS(5264),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6265] = {
    [sym_heredoc_body] = STATE(8885),
    [aux_sym_call_repeat1] = STATE(8885),
    [aux_sym_argument_list_repeat1] = STATE(8886),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9021),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6266] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8887),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_splat_argument] = STATE(8888),
    [sym_assignment] = STATE(8887),
    [sym_operator_assignment] = STATE(8887),
    [sym_conditional] = STATE(8887),
    [sym_range] = STATE(8887),
    [sym_binary] = STATE(8887),
    [sym_unary] = STATE(8887),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(8888),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(8975),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6267] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8889),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(8889),
    [sym_operator_assignment] = STATE(8889),
    [sym_conditional] = STATE(8889),
    [sym_range] = STATE(8889),
    [sym_binary] = STATE(8889),
    [sym_unary] = STATE(8889),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6268] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8890),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(8890),
    [sym_operator_assignment] = STATE(8890),
    [sym_conditional] = STATE(8890),
    [sym_range] = STATE(8890),
    [sym_binary] = STATE(8890),
    [sym_unary] = STATE(8890),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6269] = {
    [sym_string] = STATE(8891),
    [aux_sym_chained_string_repeat1] = STATE(8891),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [6270] = {
    [aux_sym_undef_repeat1] = STATE(8892),
    [sym__line_break] = ACTIONS(5442),
    [sym__heredoc_body_start] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym_end] = ACTIONS(5442),
    [anon_sym_if] = ACTIONS(5442),
    [anon_sym_unless] = ACTIONS(5442),
    [anon_sym_while] = ACTIONS(5442),
    [anon_sym_until] = ACTIONS(5442),
    [anon_sym_rescue] = ACTIONS(5442),
    [sym_comment] = ACTIONS(87),
  },
  [6271] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5772),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6272] = {
    [sym_heredoc_body] = STATE(8893),
    [sym__terminator] = STATE(8893),
    [aux_sym__statements_repeat1] = STATE(6272),
    [sym__line_break] = ACTIONS(11633),
    [sym__heredoc_body_start] = ACTIONS(5777),
    [anon_sym_SEMI] = ACTIONS(11633),
    [anon_sym_end] = ACTIONS(5768),
    [sym_comment] = ACTIONS(87),
  },
  [6273] = {
    [sym__line_break] = ACTIONS(5780),
    [sym__heredoc_body_start] = ACTIONS(5780),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(5780),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_unless] = ACTIONS(5780),
    [anon_sym_while] = ACTIONS(5780),
    [anon_sym_until] = ACTIONS(5780),
    [anon_sym_rescue] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_DOT_DOT] = ACTIONS(5298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(5302),
    [anon_sym_or] = ACTIONS(5302),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6274] = {
    [sym__line_break] = ACTIONS(5782),
    [sym__heredoc_body_start] = ACTIONS(5782),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(5782),
    [anon_sym_if] = ACTIONS(5782),
    [anon_sym_unless] = ACTIONS(5782),
    [anon_sym_while] = ACTIONS(5782),
    [anon_sym_until] = ACTIONS(5782),
    [anon_sym_rescue] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_DOT_DOT] = ACTIONS(5298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(5302),
    [anon_sym_or] = ACTIONS(5302),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6275] = {
    [sym__line_break] = ACTIONS(5784),
    [sym__heredoc_body_start] = ACTIONS(5784),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(5784),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_unless] = ACTIONS(5784),
    [anon_sym_while] = ACTIONS(5784),
    [anon_sym_until] = ACTIONS(5784),
    [anon_sym_rescue] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_DOT_DOT] = ACTIONS(5298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(5302),
    [anon_sym_or] = ACTIONS(5302),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6276] = {
    [sym__line_break] = ACTIONS(5786),
    [sym__heredoc_body_start] = ACTIONS(5786),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(5786),
    [anon_sym_if] = ACTIONS(5786),
    [anon_sym_unless] = ACTIONS(5786),
    [anon_sym_while] = ACTIONS(5786),
    [anon_sym_until] = ACTIONS(5786),
    [anon_sym_rescue] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_DOT_DOT] = ACTIONS(5298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(5302),
    [anon_sym_or] = ACTIONS(5302),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6277] = {
    [sym__line_break] = ACTIONS(5788),
    [sym__heredoc_body_start] = ACTIONS(5788),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5788),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(5788),
    [anon_sym_if] = ACTIONS(5788),
    [anon_sym_unless] = ACTIONS(5788),
    [anon_sym_while] = ACTIONS(5788),
    [anon_sym_until] = ACTIONS(5788),
    [anon_sym_rescue] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_DOT_DOT] = ACTIONS(5298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(5302),
    [anon_sym_or] = ACTIONS(5302),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6278] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6279] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [6280] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6281] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [6282] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6283] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6284] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11636),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6285] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(5298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6286] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_DOT_DOT] = ACTIONS(5298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6287] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6288] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6289] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6290] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8895),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(8895),
    [sym_operator_assignment] = STATE(8895),
    [sym_conditional] = STATE(8895),
    [sym_range] = STATE(8895),
    [sym_binary] = STATE(8895),
    [sym_unary] = STATE(8895),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6291] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3429),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(3431),
    [sym__argument] = STATE(3432),
    [sym_splat_argument] = STATE(3432),
    [sym_hash_splat_argument] = STATE(3432),
    [sym_block_argument] = STATE(3432),
    [sym_assignment] = STATE(3429),
    [sym_operator_assignment] = STATE(3429),
    [sym_conditional] = STATE(3429),
    [sym_range] = STATE(3429),
    [sym_binary] = STATE(3429),
    [sym_unary] = STATE(3429),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3435),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3432),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5316),
    [sym__splat_star] = ACTIONS(5318),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5340),
    [sym_identifier] = ACTIONS(5340),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6292] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3429),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(3431),
    [sym__argument] = STATE(3432),
    [sym_splat_argument] = STATE(3432),
    [sym_hash_splat_argument] = STATE(3432),
    [sym_block_argument] = STATE(3432),
    [sym_assignment] = STATE(3429),
    [sym_operator_assignment] = STATE(3429),
    [sym_conditional] = STATE(3429),
    [sym_range] = STATE(3429),
    [sym_binary] = STATE(3429),
    [sym_unary] = STATE(3429),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3435),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3432),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5316),
    [sym__splat_star] = ACTIONS(5318),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5340),
    [sym_identifier] = ACTIONS(5340),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6293] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3429),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(3431),
    [sym__argument] = STATE(3432),
    [sym_splat_argument] = STATE(3432),
    [sym_hash_splat_argument] = STATE(3432),
    [sym_block_argument] = STATE(3432),
    [sym_assignment] = STATE(3429),
    [sym_operator_assignment] = STATE(3429),
    [sym_conditional] = STATE(3429),
    [sym_range] = STATE(3429),
    [sym_binary] = STATE(3429),
    [sym_unary] = STATE(3429),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3435),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3432),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5316),
    [sym__splat_star] = ACTIONS(5318),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5340),
    [sym_identifier] = ACTIONS(5340),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6294] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3429),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(3431),
    [sym__argument] = STATE(3432),
    [sym_splat_argument] = STATE(3432),
    [sym_hash_splat_argument] = STATE(3432),
    [sym_block_argument] = STATE(3432),
    [sym_assignment] = STATE(3429),
    [sym_operator_assignment] = STATE(3429),
    [sym_conditional] = STATE(3429),
    [sym_range] = STATE(3429),
    [sym_binary] = STATE(3429),
    [sym_unary] = STATE(3429),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3435),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3432),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5316),
    [sym__splat_star] = ACTIONS(5318),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5340),
    [sym_identifier] = ACTIONS(5340),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6295] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8896),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(8896),
    [sym_operator_assignment] = STATE(8896),
    [sym_conditional] = STATE(8896),
    [sym_range] = STATE(8896),
    [sym_binary] = STATE(8896),
    [sym_unary] = STATE(8896),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6296] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8897),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(8897),
    [sym_operator_assignment] = STATE(8897),
    [sym_conditional] = STATE(8897),
    [sym_range] = STATE(8897),
    [sym_binary] = STATE(8897),
    [sym_unary] = STATE(8897),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6297] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6298] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(11650),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [6299] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3429),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(3431),
    [sym__argument] = STATE(3432),
    [sym_splat_argument] = STATE(3432),
    [sym_hash_splat_argument] = STATE(3432),
    [sym_block_argument] = STATE(3432),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(3429),
    [sym_operator_assignment] = STATE(3429),
    [sym_conditional] = STATE(3429),
    [sym_range] = STATE(3429),
    [sym_binary] = STATE(3429),
    [sym_unary] = STATE(3429),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3435),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3432),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(5316),
    [sym__splat_star] = ACTIONS(5318),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5336),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5340),
    [sym_identifier] = ACTIONS(5340),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6300] = {
    [anon_sym_EQ] = ACTIONS(11666),
    [sym_comment] = ACTIONS(87),
  },
  [6301] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11668),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11670),
    [anon_sym_DASH_EQ] = ACTIONS(11670),
    [anon_sym_STAR_EQ] = ACTIONS(11670),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11670),
    [anon_sym_SLASH_EQ] = ACTIONS(11670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11670),
    [anon_sym_PIPE_EQ] = ACTIONS(11670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11670),
    [anon_sym_AMP_EQ] = ACTIONS(11670),
    [anon_sym_PERCENT_EQ] = ACTIONS(11670),
    [anon_sym_GT_GT_EQ] = ACTIONS(11670),
    [anon_sym_LT_LT_EQ] = ACTIONS(11670),
    [anon_sym_CARET_EQ] = ACTIONS(11670),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6302] = {
    [sym_string] = STATE(8912),
    [aux_sym_chained_string_repeat1] = STATE(8912),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6303] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11650),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [6304] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [6305] = {
    [sym_string] = STATE(6329),
    [aux_sym_chained_string_repeat1] = STATE(6329),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6306] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8913),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(8913),
    [sym_operator_assignment] = STATE(8913),
    [sym_conditional] = STATE(8913),
    [sym_range] = STATE(8913),
    [sym_binary] = STATE(8913),
    [sym_unary] = STATE(8913),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6307] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(11650),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [6308] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [6309] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [6310] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8914),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8914),
    [sym_operator_assignment] = STATE(8914),
    [sym_conditional] = STATE(8914),
    [sym_range] = STATE(8914),
    [sym_binary] = STATE(8914),
    [sym_unary] = STATE(8914),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6311] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8915),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8915),
    [sym_operator_assignment] = STATE(8915),
    [sym_conditional] = STATE(8915),
    [sym_range] = STATE(8915),
    [sym_binary] = STATE(8915),
    [sym_unary] = STATE(8915),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6312] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8916),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8916),
    [sym_operator_assignment] = STATE(8916),
    [sym_conditional] = STATE(8916),
    [sym_range] = STATE(8916),
    [sym_binary] = STATE(8916),
    [sym_unary] = STATE(8916),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6313] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8917),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8917),
    [sym_operator_assignment] = STATE(8917),
    [sym_conditional] = STATE(8917),
    [sym_range] = STATE(8917),
    [sym_binary] = STATE(8917),
    [sym_unary] = STATE(8917),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6314] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8918),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8918),
    [sym_operator_assignment] = STATE(8918),
    [sym_conditional] = STATE(8918),
    [sym_range] = STATE(8918),
    [sym_binary] = STATE(8918),
    [sym_unary] = STATE(8918),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6315] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8919),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8919),
    [sym_operator_assignment] = STATE(8919),
    [sym_conditional] = STATE(8919),
    [sym_range] = STATE(8919),
    [sym_binary] = STATE(8919),
    [sym_unary] = STATE(8919),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6316] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8920),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(8920),
    [sym_operator_assignment] = STATE(8920),
    [sym_conditional] = STATE(8920),
    [sym_range] = STATE(8920),
    [sym_binary] = STATE(8920),
    [sym_unary] = STATE(8920),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6317] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8921),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8921),
    [sym_operator_assignment] = STATE(8921),
    [sym_conditional] = STATE(8921),
    [sym_range] = STATE(8921),
    [sym_binary] = STATE(8921),
    [sym_unary] = STATE(8921),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6318] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8922),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8922),
    [sym_operator_assignment] = STATE(8922),
    [sym_conditional] = STATE(8922),
    [sym_range] = STATE(8922),
    [sym_binary] = STATE(8922),
    [sym_unary] = STATE(8922),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6319] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8923),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8923),
    [sym_operator_assignment] = STATE(8923),
    [sym_conditional] = STATE(8923),
    [sym_range] = STATE(8923),
    [sym_binary] = STATE(8923),
    [sym_unary] = STATE(8923),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6320] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8924),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8924),
    [sym_operator_assignment] = STATE(8924),
    [sym_conditional] = STATE(8924),
    [sym_range] = STATE(8924),
    [sym_binary] = STATE(8924),
    [sym_unary] = STATE(8924),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6321] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8925),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8925),
    [sym_operator_assignment] = STATE(8925),
    [sym_conditional] = STATE(8925),
    [sym_range] = STATE(8925),
    [sym_binary] = STATE(8925),
    [sym_unary] = STATE(8925),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6322] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8926),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8926),
    [sym_operator_assignment] = STATE(8926),
    [sym_conditional] = STATE(8926),
    [sym_range] = STATE(8926),
    [sym_binary] = STATE(8926),
    [sym_unary] = STATE(8926),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6323] = {
    [sym_heredoc_body] = STATE(8927),
    [aux_sym_call_repeat1] = STATE(8927),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6324] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3429),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(3429),
    [sym_operator_assignment] = STATE(3429),
    [sym_conditional] = STATE(3429),
    [sym_range] = STATE(3429),
    [sym_binary] = STATE(3429),
    [sym_unary] = STATE(3429),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3435),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(8928),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(5316),
    [sym__splat_star] = ACTIONS(5318),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__identifier_hash_key] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11672),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5340),
    [sym_identifier] = ACTIONS(5340),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6325] = {
    [sym_heredoc_body] = STATE(8929),
    [aux_sym_call_repeat1] = STATE(8929),
    [aux_sym_argument_list_repeat1] = STATE(8930),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9089),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6326] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8931),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_splat_argument] = STATE(8932),
    [sym_assignment] = STATE(8931),
    [sym_operator_assignment] = STATE(8931),
    [sym_conditional] = STATE(8931),
    [sym_range] = STATE(8931),
    [sym_binary] = STATE(8931),
    [sym_unary] = STATE(8931),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(8932),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(9015),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6327] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8933),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(8933),
    [sym_operator_assignment] = STATE(8933),
    [sym_conditional] = STATE(8933),
    [sym_range] = STATE(8933),
    [sym_binary] = STATE(8933),
    [sym_unary] = STATE(8933),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6328] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8934),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(8934),
    [sym_operator_assignment] = STATE(8934),
    [sym_conditional] = STATE(8934),
    [sym_range] = STATE(8934),
    [sym_binary] = STATE(8934),
    [sym_unary] = STATE(8934),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6329] = {
    [sym_string] = STATE(8935),
    [aux_sym_chained_string_repeat1] = STATE(8935),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [6330] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8936),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(8936),
    [sym_operator_assignment] = STATE(8936),
    [sym_conditional] = STATE(8936),
    [sym_range] = STATE(8936),
    [sym_binary] = STATE(8936),
    [sym_unary] = STATE(8936),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6331] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8937),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(8937),
    [sym_operator_assignment] = STATE(8937),
    [sym_conditional] = STATE(8937),
    [sym_range] = STATE(8937),
    [sym_binary] = STATE(8937),
    [sym_unary] = STATE(8937),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6332] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8938),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(8938),
    [sym_operator_assignment] = STATE(8938),
    [sym_conditional] = STATE(8938),
    [sym_range] = STATE(8938),
    [sym_binary] = STATE(8938),
    [sym_unary] = STATE(8938),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6333] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8939),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(8939),
    [sym_operator_assignment] = STATE(8939),
    [sym_conditional] = STATE(8939),
    [sym_range] = STATE(8939),
    [sym_binary] = STATE(8939),
    [sym_unary] = STATE(8939),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6334] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6335] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11678),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(11682),
    [anon_sym_LT] = ACTIONS(11684),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11686),
    [anon_sym_DOT_DOT] = ACTIONS(11688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11690),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11692),
    [anon_sym_AMP_AMP] = ACTIONS(11692),
    [anon_sym_LT_LT] = ACTIONS(11694),
    [anon_sym_GT_GT] = ACTIONS(11694),
    [anon_sym_EQ_EQ] = ACTIONS(11696),
    [anon_sym_BANG_EQ] = ACTIONS(11692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11692),
    [anon_sym_LT_EQ_GT] = ACTIONS(11692),
    [anon_sym_EQ_TILDE] = ACTIONS(11692),
    [anon_sym_BANG_TILDE] = ACTIONS(11692),
    [anon_sym_LT_EQ] = ACTIONS(11684),
    [anon_sym_GT] = ACTIONS(11684),
    [anon_sym_GT_EQ] = ACTIONS(11698),
    [anon_sym_CARET] = ACTIONS(11700),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [6336] = {
    [aux_sym_exceptions_repeat1] = STATE(8953),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [6337] = {
    [anon_sym_EQ] = ACTIONS(11706),
    [sym_comment] = ACTIONS(87),
  },
  [6338] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11708),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11710),
    [anon_sym_DASH_EQ] = ACTIONS(11710),
    [anon_sym_STAR_EQ] = ACTIONS(11710),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11710),
    [anon_sym_SLASH_EQ] = ACTIONS(11710),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11710),
    [anon_sym_PIPE_EQ] = ACTIONS(11710),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11710),
    [anon_sym_AMP_EQ] = ACTIONS(11710),
    [anon_sym_PERCENT_EQ] = ACTIONS(11710),
    [anon_sym_GT_GT_EQ] = ACTIONS(11710),
    [anon_sym_LT_LT_EQ] = ACTIONS(11710),
    [anon_sym_CARET_EQ] = ACTIONS(11710),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6339] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_DOT_DOT] = ACTIONS(5298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [6340] = {
    [sym_string] = STATE(6340),
    [aux_sym_chained_string_repeat1] = STATE(6340),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [6341] = {
    [aux_sym_undef_repeat1] = STATE(6341),
    [sym__line_break] = ACTIONS(9196),
    [sym__heredoc_body_start] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9198),
    [anon_sym_SEMI] = ACTIONS(9196),
    [anon_sym_end] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [anon_sym_else] = ACTIONS(9196),
    [anon_sym_ensure] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [6342] = {
    [sym__line_break] = ACTIONS(11712),
    [sym__heredoc_body_start] = ACTIONS(11712),
    [sym__element_reference_left_bracket] = ACTIONS(11712),
    [sym__infix_scope_colons] = ACTIONS(11712),
    [sym__binary_minus] = ACTIONS(11712),
    [sym__binary_star] = ACTIONS(11712),
    [ts_builtin_sym_end] = ACTIONS(11712),
    [anon_sym___END__] = ACTIONS(11712),
    [anon_sym_LBRACE] = ACTIONS(11712),
    [anon_sym_RBRACE] = ACTIONS(11712),
    [anon_sym_RPAREN] = ACTIONS(11712),
    [anon_sym_DOT] = ACTIONS(11714),
    [anon_sym_COMMA] = ACTIONS(11712),
    [anon_sym_PIPE] = ACTIONS(11714),
    [anon_sym_SEMI] = ACTIONS(11712),
    [anon_sym_STAR_STAR] = ACTIONS(11712),
    [anon_sym_AMP] = ACTIONS(11714),
    [anon_sym_LT] = ACTIONS(11714),
    [anon_sym_end] = ACTIONS(11712),
    [anon_sym_if] = ACTIONS(11712),
    [anon_sym_unless] = ACTIONS(11712),
    [anon_sym_while] = ACTIONS(11712),
    [anon_sym_until] = ACTIONS(11712),
    [anon_sym_rescue] = ACTIONS(11712),
    [anon_sym_do] = ACTIONS(11712),
    [anon_sym_when] = ACTIONS(11712),
    [anon_sym_elsif] = ACTIONS(11712),
    [anon_sym_else] = ACTIONS(11712),
    [anon_sym_then] = ACTIONS(11712),
    [anon_sym_ensure] = ACTIONS(11712),
    [anon_sym_EQ_GT] = ACTIONS(11712),
    [anon_sym_AMP_DOT] = ACTIONS(11712),
    [anon_sym_QMARK] = ACTIONS(11712),
    [anon_sym_DOT_DOT] = ACTIONS(11714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11712),
    [anon_sym_and] = ACTIONS(11712),
    [anon_sym_or] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE] = ACTIONS(11712),
    [anon_sym_AMP_AMP] = ACTIONS(11712),
    [anon_sym_LT_LT] = ACTIONS(11712),
    [anon_sym_GT_GT] = ACTIONS(11712),
    [anon_sym_EQ_EQ] = ACTIONS(11714),
    [anon_sym_BANG_EQ] = ACTIONS(11712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11712),
    [anon_sym_LT_EQ_GT] = ACTIONS(11712),
    [anon_sym_EQ_TILDE] = ACTIONS(11712),
    [anon_sym_BANG_TILDE] = ACTIONS(11712),
    [anon_sym_LT_EQ] = ACTIONS(11714),
    [anon_sym_GT] = ACTIONS(11714),
    [anon_sym_GT_EQ] = ACTIONS(11712),
    [anon_sym_CARET] = ACTIONS(11712),
    [anon_sym_PLUS] = ACTIONS(11712),
    [anon_sym_SLASH] = ACTIONS(11712),
    [anon_sym_PERCENT] = ACTIONS(11712),
    [sym_comment] = ACTIONS(87),
  },
  [6343] = {
    [anon_sym_end] = ACTIONS(11716),
    [sym_comment] = ACTIONS(87),
  },
  [6344] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6345] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(8957),
    [sym_operator_assignment] = STATE(8957),
    [sym_conditional] = STATE(8957),
    [sym_range] = STATE(8957),
    [sym_binary] = STATE(8957),
    [sym_unary] = STATE(8957),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6346] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [6347] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [6348] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(9134),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [6349] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8958),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8958),
    [sym_operator_assignment] = STATE(8958),
    [sym_conditional] = STATE(8958),
    [sym_range] = STATE(8958),
    [sym_binary] = STATE(8958),
    [sym_unary] = STATE(8958),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6350] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8959),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8959),
    [sym_operator_assignment] = STATE(8959),
    [sym_conditional] = STATE(8959),
    [sym_range] = STATE(8959),
    [sym_binary] = STATE(8959),
    [sym_unary] = STATE(8959),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6351] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8960),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8960),
    [sym_operator_assignment] = STATE(8960),
    [sym_conditional] = STATE(8960),
    [sym_range] = STATE(8960),
    [sym_binary] = STATE(8960),
    [sym_unary] = STATE(8960),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6352] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8961),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8961),
    [sym_operator_assignment] = STATE(8961),
    [sym_conditional] = STATE(8961),
    [sym_range] = STATE(8961),
    [sym_binary] = STATE(8961),
    [sym_unary] = STATE(8961),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6353] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8962),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8962),
    [sym_operator_assignment] = STATE(8962),
    [sym_conditional] = STATE(8962),
    [sym_range] = STATE(8962),
    [sym_binary] = STATE(8962),
    [sym_unary] = STATE(8962),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6354] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8963),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8963),
    [sym_operator_assignment] = STATE(8963),
    [sym_conditional] = STATE(8963),
    [sym_range] = STATE(8963),
    [sym_binary] = STATE(8963),
    [sym_unary] = STATE(8963),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6355] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8964),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8964),
    [sym_operator_assignment] = STATE(8964),
    [sym_conditional] = STATE(8964),
    [sym_range] = STATE(8964),
    [sym_binary] = STATE(8964),
    [sym_unary] = STATE(8964),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6356] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8965),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8965),
    [sym_operator_assignment] = STATE(8965),
    [sym_conditional] = STATE(8965),
    [sym_range] = STATE(8965),
    [sym_binary] = STATE(8965),
    [sym_unary] = STATE(8965),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6357] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8966),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8966),
    [sym_operator_assignment] = STATE(8966),
    [sym_conditional] = STATE(8966),
    [sym_range] = STATE(8966),
    [sym_binary] = STATE(8966),
    [sym_unary] = STATE(8966),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6358] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8967),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8967),
    [sym_operator_assignment] = STATE(8967),
    [sym_conditional] = STATE(8967),
    [sym_range] = STATE(8967),
    [sym_binary] = STATE(8967),
    [sym_unary] = STATE(8967),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6359] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8968),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8968),
    [sym_operator_assignment] = STATE(8968),
    [sym_conditional] = STATE(8968),
    [sym_range] = STATE(8968),
    [sym_binary] = STATE(8968),
    [sym_unary] = STATE(8968),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6360] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8969),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8969),
    [sym_operator_assignment] = STATE(8969),
    [sym_conditional] = STATE(8969),
    [sym_range] = STATE(8969),
    [sym_binary] = STATE(8969),
    [sym_unary] = STATE(8969),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6361] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8970),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_splat_argument] = STATE(8971),
    [sym_assignment] = STATE(8970),
    [sym_operator_assignment] = STATE(8970),
    [sym_conditional] = STATE(8970),
    [sym_range] = STATE(8970),
    [sym_binary] = STATE(8970),
    [sym_unary] = STATE(8970),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(8971),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(2243),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6362] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8972),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(8972),
    [sym_operator_assignment] = STATE(8972),
    [sym_conditional] = STATE(8972),
    [sym_range] = STATE(8972),
    [sym_binary] = STATE(8972),
    [sym_unary] = STATE(8972),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [6363] = {
    [sym_string] = STATE(8973),
    [aux_sym_chained_string_repeat1] = STATE(8973),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_ensure] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [6364] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_ensure] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(9134),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [6365] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [6366] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [6367] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [6368] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [6369] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [6370] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [6371] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_ensure] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(9134),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [6372] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11718),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6373] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [6374] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [6375] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [6376] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [6377] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [6378] = {
    [sym_heredoc_body] = STATE(6378),
    [aux_sym_call_repeat1] = STATE(6378),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_ensure] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [6379] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1309),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(1309),
    [sym_operator_assignment] = STATE(1309),
    [sym_conditional] = STATE(1309),
    [sym_range] = STATE(1309),
    [sym_binary] = STATE(1309),
    [sym_unary] = STATE(1309),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1315),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(2241),
    [sym__splat_star] = ACTIONS(2243),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__identifier_hash_key] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(9156),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2265),
    [sym_identifier] = ACTIONS(2265),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6380] = {
    [sym_heredoc_body] = STATE(6378),
    [aux_sym_call_repeat1] = STATE(6378),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_ensure] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [6381] = {
    [aux_sym_argument_list_repeat1] = STATE(6381),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(11720),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_ensure] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [6382] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_ensure] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [6383] = {
    [aux_sym_exceptions_repeat1] = STATE(8976),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [6384] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [6385] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_ensure] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(9134),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [6386] = {
    [sym_string] = STATE(6386),
    [aux_sym_chained_string_repeat1] = STATE(6386),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_ensure] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [6387] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(9162),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(9166),
    [anon_sym_LT] = ACTIONS(9168),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_ensure] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(9170),
    [anon_sym_DOT_DOT] = ACTIONS(9172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9174),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(9176),
    [anon_sym_AMP_AMP] = ACTIONS(9176),
    [anon_sym_LT_LT] = ACTIONS(9178),
    [anon_sym_GT_GT] = ACTIONS(9178),
    [anon_sym_EQ_EQ] = ACTIONS(9180),
    [anon_sym_BANG_EQ] = ACTIONS(9176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9176),
    [anon_sym_LT_EQ_GT] = ACTIONS(9176),
    [anon_sym_EQ_TILDE] = ACTIONS(9176),
    [anon_sym_BANG_TILDE] = ACTIONS(9176),
    [anon_sym_LT_EQ] = ACTIONS(9168),
    [anon_sym_GT] = ACTIONS(9168),
    [anon_sym_GT_EQ] = ACTIONS(9182),
    [anon_sym_CARET] = ACTIONS(9184),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [6388] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [6389] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [6390] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(9162),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(9166),
    [anon_sym_LT] = ACTIONS(9168),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(9170),
    [anon_sym_DOT_DOT] = ACTIONS(9172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9174),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(9176),
    [anon_sym_AMP_AMP] = ACTIONS(9176),
    [anon_sym_LT_LT] = ACTIONS(9178),
    [anon_sym_GT_GT] = ACTIONS(9178),
    [anon_sym_EQ_EQ] = ACTIONS(9180),
    [anon_sym_BANG_EQ] = ACTIONS(9176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9176),
    [anon_sym_LT_EQ_GT] = ACTIONS(9176),
    [anon_sym_EQ_TILDE] = ACTIONS(9176),
    [anon_sym_BANG_TILDE] = ACTIONS(9176),
    [anon_sym_LT_EQ] = ACTIONS(9168),
    [anon_sym_GT] = ACTIONS(9168),
    [anon_sym_GT_EQ] = ACTIONS(9182),
    [anon_sym_CARET] = ACTIONS(9184),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [6391] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8977),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8977),
    [sym_operator_assignment] = STATE(8977),
    [sym_conditional] = STATE(8977),
    [sym_range] = STATE(8977),
    [sym_binary] = STATE(8977),
    [sym_unary] = STATE(8977),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6392] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8978),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8978),
    [sym_operator_assignment] = STATE(8978),
    [sym_conditional] = STATE(8978),
    [sym_range] = STATE(8978),
    [sym_binary] = STATE(8978),
    [sym_unary] = STATE(8978),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6393] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8979),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8979),
    [sym_operator_assignment] = STATE(8979),
    [sym_conditional] = STATE(8979),
    [sym_range] = STATE(8979),
    [sym_binary] = STATE(8979),
    [sym_unary] = STATE(8979),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6394] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8980),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8980),
    [sym_operator_assignment] = STATE(8980),
    [sym_conditional] = STATE(8980),
    [sym_range] = STATE(8980),
    [sym_binary] = STATE(8980),
    [sym_unary] = STATE(8980),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6395] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8981),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8981),
    [sym_operator_assignment] = STATE(8981),
    [sym_conditional] = STATE(8981),
    [sym_range] = STATE(8981),
    [sym_binary] = STATE(8981),
    [sym_unary] = STATE(8981),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6396] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8982),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8982),
    [sym_operator_assignment] = STATE(8982),
    [sym_conditional] = STATE(8982),
    [sym_range] = STATE(8982),
    [sym_binary] = STATE(8982),
    [sym_unary] = STATE(8982),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6397] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(8983),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(8983),
    [sym_operator_assignment] = STATE(8983),
    [sym_conditional] = STATE(8983),
    [sym_range] = STATE(8983),
    [sym_binary] = STATE(8983),
    [sym_unary] = STATE(8983),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6398] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8984),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8984),
    [sym_operator_assignment] = STATE(8984),
    [sym_conditional] = STATE(8984),
    [sym_range] = STATE(8984),
    [sym_binary] = STATE(8984),
    [sym_unary] = STATE(8984),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6399] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8985),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8985),
    [sym_operator_assignment] = STATE(8985),
    [sym_conditional] = STATE(8985),
    [sym_range] = STATE(8985),
    [sym_binary] = STATE(8985),
    [sym_unary] = STATE(8985),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6400] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8986),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8986),
    [sym_operator_assignment] = STATE(8986),
    [sym_conditional] = STATE(8986),
    [sym_range] = STATE(8986),
    [sym_binary] = STATE(8986),
    [sym_unary] = STATE(8986),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6401] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8987),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8987),
    [sym_operator_assignment] = STATE(8987),
    [sym_conditional] = STATE(8987),
    [sym_range] = STATE(8987),
    [sym_binary] = STATE(8987),
    [sym_unary] = STATE(8987),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6402] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8988),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8988),
    [sym_operator_assignment] = STATE(8988),
    [sym_conditional] = STATE(8988),
    [sym_range] = STATE(8988),
    [sym_binary] = STATE(8988),
    [sym_unary] = STATE(8988),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6403] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3507),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(3507),
    [sym_operator_assignment] = STATE(3507),
    [sym_conditional] = STATE(3507),
    [sym_range] = STATE(3507),
    [sym_binary] = STATE(3507),
    [sym_unary] = STATE(3507),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(5426),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6404] = {
    [aux_sym_exceptions_repeat1] = STATE(8989),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(9188),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_ensure] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [6405] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(3507),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_splat_argument] = STATE(8990),
    [sym_assignment] = STATE(3507),
    [sym_operator_assignment] = STATE(3507),
    [sym_conditional] = STATE(3507),
    [sym_range] = STATE(3507),
    [sym_binary] = STATE(3507),
    [sym_unary] = STATE(3507),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(8990),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(5426),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6406] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8991),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(8991),
    [sym_operator_assignment] = STATE(8991),
    [sym_conditional] = STATE(8991),
    [sym_range] = STATE(8991),
    [sym_binary] = STATE(8991),
    [sym_unary] = STATE(8991),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6407] = {
    [sym__heredoc_body_start] = ACTIONS(6453),
    [sym__element_reference_left_bracket] = ACTIONS(6453),
    [sym__infix_scope_colons] = ACTIONS(6453),
    [sym__binary_minus] = ACTIONS(6453),
    [sym__binary_star] = ACTIONS(6453),
    [anon_sym_LBRACE] = ACTIONS(6453),
    [anon_sym_RBRACE] = ACTIONS(6453),
    [anon_sym_RPAREN] = ACTIONS(6453),
    [anon_sym_DOT] = ACTIONS(6455),
    [anon_sym_COMMA] = ACTIONS(6453),
    [anon_sym_PIPE] = ACTIONS(6455),
    [anon_sym_SEMI] = ACTIONS(6453),
    [anon_sym_STAR_STAR] = ACTIONS(6453),
    [anon_sym_AMP] = ACTIONS(6455),
    [anon_sym_EQ] = ACTIONS(6455),
    [anon_sym_LT] = ACTIONS(6455),
    [anon_sym_if] = ACTIONS(6453),
    [anon_sym_unless] = ACTIONS(6453),
    [anon_sym_while] = ACTIONS(6453),
    [anon_sym_until] = ACTIONS(6453),
    [anon_sym_rescue] = ACTIONS(6453),
    [anon_sym_in] = ACTIONS(6453),
    [anon_sym_do] = ACTIONS(6453),
    [anon_sym_EQ_GT] = ACTIONS(6453),
    [anon_sym_RBRACK] = ACTIONS(6453),
    [anon_sym_AMP_DOT] = ACTIONS(6453),
    [anon_sym_QMARK] = ACTIONS(6453),
    [anon_sym_COLON] = ACTIONS(6453),
    [anon_sym_DOT_DOT] = ACTIONS(6455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6453),
    [anon_sym_and] = ACTIONS(6453),
    [anon_sym_or] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE] = ACTIONS(6453),
    [anon_sym_AMP_AMP] = ACTIONS(6453),
    [anon_sym_LT_LT] = ACTIONS(6453),
    [anon_sym_GT_GT] = ACTIONS(6453),
    [anon_sym_EQ_EQ] = ACTIONS(6455),
    [anon_sym_BANG_EQ] = ACTIONS(6453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6453),
    [anon_sym_LT_EQ_GT] = ACTIONS(6453),
    [anon_sym_EQ_TILDE] = ACTIONS(6453),
    [anon_sym_BANG_TILDE] = ACTIONS(6453),
    [anon_sym_LT_EQ] = ACTIONS(6455),
    [anon_sym_GT] = ACTIONS(6455),
    [anon_sym_GT_EQ] = ACTIONS(6453),
    [anon_sym_CARET] = ACTIONS(6453),
    [anon_sym_PLUS] = ACTIONS(6453),
    [anon_sym_SLASH] = ACTIONS(6453),
    [anon_sym_PERCENT] = ACTIONS(6453),
    [sym_comment] = ACTIONS(87),
  },
  [6408] = {
    [sym__heredoc_body_start] = ACTIONS(6457),
    [sym__element_reference_left_bracket] = ACTIONS(6457),
    [sym__infix_scope_colons] = ACTIONS(6457),
    [sym__binary_minus] = ACTIONS(6457),
    [sym__binary_star] = ACTIONS(6457),
    [anon_sym_LBRACE] = ACTIONS(6457),
    [anon_sym_RBRACE] = ACTIONS(6457),
    [anon_sym_RPAREN] = ACTIONS(6457),
    [anon_sym_DOT] = ACTIONS(6459),
    [anon_sym_COMMA] = ACTIONS(6457),
    [anon_sym_PIPE] = ACTIONS(6459),
    [anon_sym_SEMI] = ACTIONS(6457),
    [anon_sym_STAR_STAR] = ACTIONS(6457),
    [anon_sym_AMP] = ACTIONS(6459),
    [anon_sym_EQ] = ACTIONS(6459),
    [anon_sym_LT] = ACTIONS(6459),
    [anon_sym_if] = ACTIONS(6457),
    [anon_sym_unless] = ACTIONS(6457),
    [anon_sym_while] = ACTIONS(6457),
    [anon_sym_until] = ACTIONS(6457),
    [anon_sym_rescue] = ACTIONS(6457),
    [anon_sym_in] = ACTIONS(6457),
    [anon_sym_do] = ACTIONS(6457),
    [anon_sym_EQ_GT] = ACTIONS(6457),
    [anon_sym_RBRACK] = ACTIONS(6457),
    [anon_sym_AMP_DOT] = ACTIONS(6457),
    [anon_sym_QMARK] = ACTIONS(6457),
    [anon_sym_COLON] = ACTIONS(6457),
    [anon_sym_DOT_DOT] = ACTIONS(6459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6457),
    [anon_sym_and] = ACTIONS(6457),
    [anon_sym_or] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE] = ACTIONS(6457),
    [anon_sym_AMP_AMP] = ACTIONS(6457),
    [anon_sym_LT_LT] = ACTIONS(6457),
    [anon_sym_GT_GT] = ACTIONS(6457),
    [anon_sym_EQ_EQ] = ACTIONS(6459),
    [anon_sym_BANG_EQ] = ACTIONS(6457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6457),
    [anon_sym_LT_EQ_GT] = ACTIONS(6457),
    [anon_sym_EQ_TILDE] = ACTIONS(6457),
    [anon_sym_BANG_TILDE] = ACTIONS(6457),
    [anon_sym_LT_EQ] = ACTIONS(6459),
    [anon_sym_GT] = ACTIONS(6459),
    [anon_sym_GT_EQ] = ACTIONS(6457),
    [anon_sym_CARET] = ACTIONS(6457),
    [anon_sym_PLUS] = ACTIONS(6457),
    [anon_sym_SLASH] = ACTIONS(6457),
    [anon_sym_PERCENT] = ACTIONS(6457),
    [sym_comment] = ACTIONS(87),
  },
  [6409] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(11723),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [6410] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(11723),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(11725),
  },
  [6411] = {
    [sym__heredoc_body_start] = ACTIONS(6465),
    [sym__element_reference_left_bracket] = ACTIONS(6465),
    [sym__infix_scope_colons] = ACTIONS(6465),
    [sym__binary_minus] = ACTIONS(6465),
    [sym__binary_star] = ACTIONS(6465),
    [anon_sym_LBRACE] = ACTIONS(6465),
    [anon_sym_RBRACE] = ACTIONS(6465),
    [anon_sym_RPAREN] = ACTIONS(6465),
    [anon_sym_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6465),
    [anon_sym_PIPE] = ACTIONS(6467),
    [anon_sym_SEMI] = ACTIONS(6465),
    [anon_sym_STAR_STAR] = ACTIONS(6465),
    [anon_sym_AMP] = ACTIONS(6467),
    [anon_sym_EQ] = ACTIONS(6467),
    [anon_sym_LT] = ACTIONS(6467),
    [anon_sym_if] = ACTIONS(6465),
    [anon_sym_unless] = ACTIONS(6465),
    [anon_sym_while] = ACTIONS(6465),
    [anon_sym_until] = ACTIONS(6465),
    [anon_sym_rescue] = ACTIONS(6465),
    [anon_sym_in] = ACTIONS(6465),
    [anon_sym_do] = ACTIONS(6465),
    [anon_sym_EQ_GT] = ACTIONS(6465),
    [anon_sym_RBRACK] = ACTIONS(6465),
    [anon_sym_AMP_DOT] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6465),
    [anon_sym_COLON] = ACTIONS(6465),
    [anon_sym_DOT_DOT] = ACTIONS(6467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6465),
    [anon_sym_AMP_AMP] = ACTIONS(6465),
    [anon_sym_LT_LT] = ACTIONS(6465),
    [anon_sym_GT_GT] = ACTIONS(6465),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6465),
    [anon_sym_EQ_TILDE] = ACTIONS(6465),
    [anon_sym_BANG_TILDE] = ACTIONS(6465),
    [anon_sym_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6467),
    [anon_sym_GT_EQ] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6465),
    [anon_sym_PLUS] = ACTIONS(6465),
    [anon_sym_SLASH] = ACTIONS(6465),
    [anon_sym_PERCENT] = ACTIONS(6465),
    [sym_comment] = ACTIONS(87),
  },
  [6412] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(11727),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [6413] = {
    [sym__heredoc_body_start] = ACTIONS(6478),
    [sym__element_reference_left_bracket] = ACTIONS(6478),
    [sym__infix_scope_colons] = ACTIONS(6478),
    [sym__binary_minus] = ACTIONS(6478),
    [sym__binary_star] = ACTIONS(6478),
    [anon_sym_LBRACE] = ACTIONS(6478),
    [anon_sym_RBRACE] = ACTIONS(6478),
    [anon_sym_RPAREN] = ACTIONS(6478),
    [anon_sym_DOT] = ACTIONS(6480),
    [anon_sym_COMMA] = ACTIONS(6478),
    [anon_sym_PIPE] = ACTIONS(6480),
    [anon_sym_SEMI] = ACTIONS(6478),
    [anon_sym_STAR_STAR] = ACTIONS(6478),
    [anon_sym_AMP] = ACTIONS(6480),
    [anon_sym_EQ] = ACTIONS(6480),
    [anon_sym_LT] = ACTIONS(6480),
    [anon_sym_if] = ACTIONS(6478),
    [anon_sym_unless] = ACTIONS(6478),
    [anon_sym_while] = ACTIONS(6478),
    [anon_sym_until] = ACTIONS(6478),
    [anon_sym_rescue] = ACTIONS(6478),
    [anon_sym_in] = ACTIONS(6478),
    [anon_sym_do] = ACTIONS(6478),
    [anon_sym_EQ_GT] = ACTIONS(6478),
    [anon_sym_RBRACK] = ACTIONS(6478),
    [anon_sym_AMP_DOT] = ACTIONS(6478),
    [anon_sym_QMARK] = ACTIONS(6478),
    [anon_sym_COLON] = ACTIONS(6478),
    [anon_sym_DOT_DOT] = ACTIONS(6480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6478),
    [anon_sym_and] = ACTIONS(6478),
    [anon_sym_or] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE] = ACTIONS(6478),
    [anon_sym_AMP_AMP] = ACTIONS(6478),
    [anon_sym_LT_LT] = ACTIONS(6478),
    [anon_sym_GT_GT] = ACTIONS(6478),
    [anon_sym_EQ_EQ] = ACTIONS(6480),
    [anon_sym_BANG_EQ] = ACTIONS(6478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6478),
    [anon_sym_LT_EQ_GT] = ACTIONS(6478),
    [anon_sym_EQ_TILDE] = ACTIONS(6478),
    [anon_sym_BANG_TILDE] = ACTIONS(6478),
    [anon_sym_LT_EQ] = ACTIONS(6480),
    [anon_sym_GT] = ACTIONS(6480),
    [anon_sym_GT_EQ] = ACTIONS(6478),
    [anon_sym_CARET] = ACTIONS(6478),
    [anon_sym_PLUS] = ACTIONS(6478),
    [anon_sym_SLASH] = ACTIONS(6478),
    [anon_sym_PERCENT] = ACTIONS(6478),
    [sym_comment] = ACTIONS(87),
  },
  [6414] = {
    [sym__heredoc_body_start] = ACTIONS(6482),
    [sym__element_reference_left_bracket] = ACTIONS(6482),
    [sym__infix_scope_colons] = ACTIONS(6482),
    [sym__binary_minus] = ACTIONS(6482),
    [sym__binary_star] = ACTIONS(6482),
    [anon_sym_LBRACE] = ACTIONS(6482),
    [anon_sym_RBRACE] = ACTIONS(6482),
    [anon_sym_RPAREN] = ACTIONS(6482),
    [anon_sym_DOT] = ACTIONS(6484),
    [anon_sym_COMMA] = ACTIONS(6482),
    [anon_sym_PIPE] = ACTIONS(6484),
    [anon_sym_SEMI] = ACTIONS(6482),
    [anon_sym_STAR_STAR] = ACTIONS(6482),
    [anon_sym_AMP] = ACTIONS(6484),
    [anon_sym_EQ] = ACTIONS(6484),
    [anon_sym_LT] = ACTIONS(6484),
    [anon_sym_if] = ACTIONS(6482),
    [anon_sym_unless] = ACTIONS(6482),
    [anon_sym_while] = ACTIONS(6482),
    [anon_sym_until] = ACTIONS(6482),
    [anon_sym_rescue] = ACTIONS(6482),
    [anon_sym_in] = ACTIONS(6482),
    [anon_sym_do] = ACTIONS(6482),
    [anon_sym_EQ_GT] = ACTIONS(6482),
    [anon_sym_RBRACK] = ACTIONS(6482),
    [anon_sym_AMP_DOT] = ACTIONS(6482),
    [anon_sym_QMARK] = ACTIONS(6482),
    [anon_sym_COLON] = ACTIONS(6482),
    [anon_sym_DOT_DOT] = ACTIONS(6484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6482),
    [anon_sym_and] = ACTIONS(6482),
    [anon_sym_or] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE] = ACTIONS(6482),
    [anon_sym_AMP_AMP] = ACTIONS(6482),
    [anon_sym_LT_LT] = ACTIONS(6482),
    [anon_sym_GT_GT] = ACTIONS(6482),
    [anon_sym_EQ_EQ] = ACTIONS(6484),
    [anon_sym_BANG_EQ] = ACTIONS(6482),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6482),
    [anon_sym_LT_EQ_GT] = ACTIONS(6482),
    [anon_sym_EQ_TILDE] = ACTIONS(6482),
    [anon_sym_BANG_TILDE] = ACTIONS(6482),
    [anon_sym_LT_EQ] = ACTIONS(6484),
    [anon_sym_GT] = ACTIONS(6484),
    [anon_sym_GT_EQ] = ACTIONS(6482),
    [anon_sym_CARET] = ACTIONS(6482),
    [anon_sym_PLUS] = ACTIONS(6482),
    [anon_sym_SLASH] = ACTIONS(6482),
    [anon_sym_PERCENT] = ACTIONS(6482),
    [sym_comment] = ACTIONS(87),
  },
  [6415] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(11729),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [6416] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(11729),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(11731),
  },
  [6417] = {
    [sym__heredoc_body_start] = ACTIONS(6490),
    [sym__element_reference_left_bracket] = ACTIONS(6490),
    [sym__infix_scope_colons] = ACTIONS(6490),
    [sym__binary_minus] = ACTIONS(6490),
    [sym__binary_star] = ACTIONS(6490),
    [anon_sym_LBRACE] = ACTIONS(6490),
    [anon_sym_RBRACE] = ACTIONS(6490),
    [anon_sym_RPAREN] = ACTIONS(6490),
    [anon_sym_DOT] = ACTIONS(6492),
    [anon_sym_COMMA] = ACTIONS(6490),
    [anon_sym_PIPE] = ACTIONS(6492),
    [anon_sym_SEMI] = ACTIONS(6490),
    [anon_sym_STAR_STAR] = ACTIONS(6490),
    [anon_sym_AMP] = ACTIONS(6492),
    [anon_sym_EQ] = ACTIONS(6492),
    [anon_sym_LT] = ACTIONS(6492),
    [anon_sym_if] = ACTIONS(6490),
    [anon_sym_unless] = ACTIONS(6490),
    [anon_sym_while] = ACTIONS(6490),
    [anon_sym_until] = ACTIONS(6490),
    [anon_sym_rescue] = ACTIONS(6490),
    [anon_sym_in] = ACTIONS(6490),
    [anon_sym_do] = ACTIONS(6490),
    [anon_sym_EQ_GT] = ACTIONS(6490),
    [anon_sym_RBRACK] = ACTIONS(6490),
    [anon_sym_AMP_DOT] = ACTIONS(6490),
    [anon_sym_QMARK] = ACTIONS(6490),
    [anon_sym_COLON] = ACTIONS(6490),
    [anon_sym_DOT_DOT] = ACTIONS(6492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6490),
    [anon_sym_and] = ACTIONS(6490),
    [anon_sym_or] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE] = ACTIONS(6490),
    [anon_sym_AMP_AMP] = ACTIONS(6490),
    [anon_sym_LT_LT] = ACTIONS(6490),
    [anon_sym_GT_GT] = ACTIONS(6490),
    [anon_sym_EQ_EQ] = ACTIONS(6492),
    [anon_sym_BANG_EQ] = ACTIONS(6490),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6490),
    [anon_sym_LT_EQ_GT] = ACTIONS(6490),
    [anon_sym_EQ_TILDE] = ACTIONS(6490),
    [anon_sym_BANG_TILDE] = ACTIONS(6490),
    [anon_sym_LT_EQ] = ACTIONS(6492),
    [anon_sym_GT] = ACTIONS(6492),
    [anon_sym_GT_EQ] = ACTIONS(6490),
    [anon_sym_CARET] = ACTIONS(6490),
    [anon_sym_PLUS] = ACTIONS(6490),
    [anon_sym_SLASH] = ACTIONS(6490),
    [anon_sym_PERCENT] = ACTIONS(6490),
    [sym_comment] = ACTIONS(87),
  },
  [6418] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(11733),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [6419] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8998),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(8998),
    [sym_operator_assignment] = STATE(8998),
    [sym_conditional] = STATE(8998),
    [sym_range] = STATE(8998),
    [sym_binary] = STATE(8998),
    [sym_unary] = STATE(8998),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6420] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8999),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(8999),
    [sym_operator_assignment] = STATE(8999),
    [sym_conditional] = STATE(8999),
    [sym_range] = STATE(8999),
    [sym_binary] = STATE(8999),
    [sym_unary] = STATE(8999),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6421] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9000),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(9000),
    [sym_operator_assignment] = STATE(9000),
    [sym_conditional] = STATE(9000),
    [sym_range] = STATE(9000),
    [sym_binary] = STATE(9000),
    [sym_unary] = STATE(9000),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6422] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6423] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(11747),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [6424] = {
    [anon_sym_EQ] = ACTIONS(11765),
    [sym_comment] = ACTIONS(87),
  },
  [6425] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11767),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11769),
    [anon_sym_DASH_EQ] = ACTIONS(11769),
    [anon_sym_STAR_EQ] = ACTIONS(11769),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11769),
    [anon_sym_SLASH_EQ] = ACTIONS(11769),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11769),
    [anon_sym_PIPE_EQ] = ACTIONS(11769),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11769),
    [anon_sym_AMP_EQ] = ACTIONS(11769),
    [anon_sym_PERCENT_EQ] = ACTIONS(11769),
    [anon_sym_GT_GT_EQ] = ACTIONS(11769),
    [anon_sym_LT_LT_EQ] = ACTIONS(11769),
    [anon_sym_CARET_EQ] = ACTIONS(11769),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6426] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11747),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [6427] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9015),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(9015),
    [sym_operator_assignment] = STATE(9015),
    [sym_conditional] = STATE(9015),
    [sym_range] = STATE(9015),
    [sym_binary] = STATE(9015),
    [sym_unary] = STATE(9015),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6428] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(11747),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [6429] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9016),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(9016),
    [sym_operator_assignment] = STATE(9016),
    [sym_conditional] = STATE(9016),
    [sym_range] = STATE(9016),
    [sym_binary] = STATE(9016),
    [sym_unary] = STATE(9016),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6430] = {
    [sym_heredoc_body] = STATE(9017),
    [aux_sym_call_repeat1] = STATE(9017),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_RBRACK] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6431] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3538),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(3538),
    [sym_operator_assignment] = STATE(3538),
    [sym_conditional] = STATE(3538),
    [sym_range] = STATE(3538),
    [sym_binary] = STATE(3538),
    [sym_unary] = STATE(3538),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3541),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(9018),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(5472),
    [sym__splat_star] = ACTIONS(5474),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__identifier_hash_key] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11771),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(5478),
    [sym_identifier] = ACTIONS(5478),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6432] = {
    [sym_heredoc_body] = STATE(9019),
    [aux_sym_call_repeat1] = STATE(9019),
    [aux_sym_argument_list_repeat1] = STATE(9020),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9235),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_RBRACK] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6433] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9021),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(9021),
    [sym_operator_assignment] = STATE(9021),
    [sym_conditional] = STATE(9021),
    [sym_range] = STATE(9021),
    [sym_binary] = STATE(9021),
    [sym_unary] = STATE(9021),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6434] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [6435] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_RBRACK] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [6436] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [6437] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [6438] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [6439] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [6440] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11773),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6441] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [6442] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [6443] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [6444] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [6445] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [6446] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9023),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(9023),
    [sym_operator_assignment] = STATE(9023),
    [sym_conditional] = STATE(9023),
    [sym_range] = STATE(9023),
    [sym_binary] = STATE(9023),
    [sym_unary] = STATE(9023),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6447] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3561),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(7019),
    [sym__argument_list_with_parens] = STATE(3562),
    [sym__argument] = STATE(3563),
    [sym_splat_argument] = STATE(3563),
    [sym_hash_splat_argument] = STATE(3563),
    [sym_block_argument] = STATE(3563),
    [sym_assignment] = STATE(3561),
    [sym_operator_assignment] = STATE(3561),
    [sym_conditional] = STATE(3561),
    [sym_range] = STATE(3561),
    [sym_binary] = STATE(3561),
    [sym_unary] = STATE(3561),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3564),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3563),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5512),
    [sym__splat_star] = ACTIONS(5514),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_RBRACK] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(5518),
    [sym_identifier] = ACTIONS(5518),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6448] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3561),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(7020),
    [sym__argument_list_with_parens] = STATE(3562),
    [sym__argument] = STATE(3563),
    [sym_splat_argument] = STATE(3563),
    [sym_hash_splat_argument] = STATE(3563),
    [sym_block_argument] = STATE(3563),
    [sym_assignment] = STATE(3561),
    [sym_operator_assignment] = STATE(3561),
    [sym_conditional] = STATE(3561),
    [sym_range] = STATE(3561),
    [sym_binary] = STATE(3561),
    [sym_unary] = STATE(3561),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3564),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3563),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5512),
    [sym__splat_star] = ACTIONS(5514),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_RBRACK] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(5518),
    [sym_identifier] = ACTIONS(5518),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6449] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3561),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(7021),
    [sym__argument_list_with_parens] = STATE(3562),
    [sym__argument] = STATE(3563),
    [sym_splat_argument] = STATE(3563),
    [sym_hash_splat_argument] = STATE(3563),
    [sym_block_argument] = STATE(3563),
    [sym_assignment] = STATE(3561),
    [sym_operator_assignment] = STATE(3561),
    [sym_conditional] = STATE(3561),
    [sym_range] = STATE(3561),
    [sym_binary] = STATE(3561),
    [sym_unary] = STATE(3561),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3564),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3563),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5512),
    [sym__splat_star] = ACTIONS(5514),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_RBRACK] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(5518),
    [sym_identifier] = ACTIONS(5518),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6450] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3561),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(7022),
    [sym__argument_list_with_parens] = STATE(3562),
    [sym__argument] = STATE(3563),
    [sym_splat_argument] = STATE(3563),
    [sym_hash_splat_argument] = STATE(3563),
    [sym_block_argument] = STATE(3563),
    [sym_assignment] = STATE(3561),
    [sym_operator_assignment] = STATE(3561),
    [sym_conditional] = STATE(3561),
    [sym_range] = STATE(3561),
    [sym_binary] = STATE(3561),
    [sym_unary] = STATE(3561),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3564),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3563),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5512),
    [sym__splat_star] = ACTIONS(5514),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_RBRACK] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(5518),
    [sym_identifier] = ACTIONS(5518),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6451] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9024),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(9024),
    [sym_operator_assignment] = STATE(9024),
    [sym_conditional] = STATE(9024),
    [sym_range] = STATE(9024),
    [sym_binary] = STATE(9024),
    [sym_unary] = STATE(9024),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6452] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9025),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(9025),
    [sym_operator_assignment] = STATE(9025),
    [sym_conditional] = STATE(9025),
    [sym_range] = STATE(9025),
    [sym_binary] = STATE(9025),
    [sym_unary] = STATE(9025),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6453] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7038),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(7038),
    [sym_operator_assignment] = STATE(7038),
    [sym_conditional] = STATE(7038),
    [sym_range] = STATE(7038),
    [sym_binary] = STATE(7038),
    [sym_unary] = STATE(7038),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6454] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(11787),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [6455] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3561),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_argument_list] = STATE(5106),
    [sym__argument_list_with_parens] = STATE(3562),
    [sym__argument] = STATE(3563),
    [sym_splat_argument] = STATE(3563),
    [sym_hash_splat_argument] = STATE(3563),
    [sym_block_argument] = STATE(3563),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(3561),
    [sym_operator_assignment] = STATE(3561),
    [sym_conditional] = STATE(3561),
    [sym_range] = STATE(3561),
    [sym_binary] = STATE(3561),
    [sym_unary] = STATE(3561),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3564),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3563),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(5512),
    [sym__splat_star] = ACTIONS(5514),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(7625),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(5518),
    [sym_identifier] = ACTIONS(5518),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6456] = {
    [anon_sym_EQ] = ACTIONS(11803),
    [sym_comment] = ACTIONS(87),
  },
  [6457] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11805),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11807),
    [anon_sym_DASH_EQ] = ACTIONS(11807),
    [anon_sym_STAR_EQ] = ACTIONS(11807),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11807),
    [anon_sym_SLASH_EQ] = ACTIONS(11807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11807),
    [anon_sym_PIPE_EQ] = ACTIONS(11807),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11807),
    [anon_sym_AMP_EQ] = ACTIONS(11807),
    [anon_sym_PERCENT_EQ] = ACTIONS(11807),
    [anon_sym_GT_GT_EQ] = ACTIONS(11807),
    [anon_sym_LT_LT_EQ] = ACTIONS(11807),
    [anon_sym_CARET_EQ] = ACTIONS(11807),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6458] = {
    [sym_string] = STATE(9040),
    [aux_sym_chained_string_repeat1] = STATE(9040),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6459] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_RBRACK] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11787),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [6460] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9041),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(9041),
    [sym_operator_assignment] = STATE(9041),
    [sym_conditional] = STATE(9041),
    [sym_range] = STATE(9041),
    [sym_binary] = STATE(9041),
    [sym_unary] = STATE(9041),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6461] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_RBRACK] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(11787),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [6462] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9042),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(9042),
    [sym_operator_assignment] = STATE(9042),
    [sym_conditional] = STATE(9042),
    [sym_range] = STATE(9042),
    [sym_binary] = STATE(9042),
    [sym_unary] = STATE(9042),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6463] = {
    [sym_heredoc_body] = STATE(9043),
    [aux_sym_call_repeat1] = STATE(9043),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_RBRACK] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6464] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3561),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym__argument] = STATE(7086),
    [sym_splat_argument] = STATE(7086),
    [sym_hash_splat_argument] = STATE(7086),
    [sym_block_argument] = STATE(7086),
    [sym_assignment] = STATE(3561),
    [sym_operator_assignment] = STATE(3561),
    [sym_conditional] = STATE(3561),
    [sym_range] = STATE(3561),
    [sym_binary] = STATE(3561),
    [sym_unary] = STATE(3561),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3564),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(9044),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7086),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(5512),
    [sym__splat_star] = ACTIONS(5514),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__identifier_hash_key] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11809),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(5518),
    [sym_identifier] = ACTIONS(5518),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6465] = {
    [sym_heredoc_body] = STATE(9045),
    [aux_sym_call_repeat1] = STATE(9045),
    [aux_sym_argument_list_repeat1] = STATE(9046),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9265),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_RBRACK] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6466] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9047),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(9047),
    [sym_operator_assignment] = STATE(9047),
    [sym_conditional] = STATE(9047),
    [sym_range] = STATE(9047),
    [sym_binary] = STATE(9047),
    [sym_unary] = STATE(9047),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6467] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9048),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(9048),
    [sym_operator_assignment] = STATE(9048),
    [sym_conditional] = STATE(9048),
    [sym_range] = STATE(9048),
    [sym_binary] = STATE(9048),
    [sym_unary] = STATE(9048),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6468] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [6469] = {
    [aux_sym_exceptions_repeat1] = STATE(9050),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_RBRACK] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [6470] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [6471] = {
    [sym_string] = STATE(6471),
    [aux_sym_chained_string_repeat1] = STATE(6471),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_RBRACK] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [6472] = {
    [sym__heredoc_body_start] = ACTIONS(7030),
    [sym__element_reference_left_bracket] = ACTIONS(7030),
    [sym__infix_scope_colons] = ACTIONS(7030),
    [sym__binary_minus] = ACTIONS(7030),
    [sym__binary_star] = ACTIONS(7030),
    [anon_sym_LBRACE] = ACTIONS(7030),
    [anon_sym_RBRACE] = ACTIONS(7030),
    [anon_sym_RPAREN] = ACTIONS(7030),
    [anon_sym_DOT] = ACTIONS(7032),
    [anon_sym_COMMA] = ACTIONS(7030),
    [anon_sym_PIPE] = ACTIONS(7032),
    [anon_sym_SEMI] = ACTIONS(7030),
    [anon_sym_STAR_STAR] = ACTIONS(7030),
    [anon_sym_AMP] = ACTIONS(7032),
    [anon_sym_EQ] = ACTIONS(7032),
    [anon_sym_LT] = ACTIONS(7032),
    [anon_sym_if] = ACTIONS(7030),
    [anon_sym_unless] = ACTIONS(7030),
    [anon_sym_while] = ACTIONS(7030),
    [anon_sym_until] = ACTIONS(7030),
    [anon_sym_rescue] = ACTIONS(7030),
    [anon_sym_in] = ACTIONS(7030),
    [anon_sym_do] = ACTIONS(7030),
    [anon_sym_EQ_GT] = ACTIONS(7030),
    [anon_sym_RBRACK] = ACTIONS(7030),
    [anon_sym_AMP_DOT] = ACTIONS(7030),
    [anon_sym_QMARK] = ACTIONS(7030),
    [anon_sym_COLON] = ACTIONS(7030),
    [anon_sym_DOT_DOT] = ACTIONS(7032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7030),
    [anon_sym_and] = ACTIONS(7030),
    [anon_sym_or] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE] = ACTIONS(7030),
    [anon_sym_AMP_AMP] = ACTIONS(7030),
    [anon_sym_LT_LT] = ACTIONS(7030),
    [anon_sym_GT_GT] = ACTIONS(7030),
    [anon_sym_EQ_EQ] = ACTIONS(7032),
    [anon_sym_BANG_EQ] = ACTIONS(7030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7030),
    [anon_sym_LT_EQ_GT] = ACTIONS(7030),
    [anon_sym_EQ_TILDE] = ACTIONS(7030),
    [anon_sym_BANG_TILDE] = ACTIONS(7030),
    [anon_sym_LT_EQ] = ACTIONS(7032),
    [anon_sym_GT] = ACTIONS(7032),
    [anon_sym_GT_EQ] = ACTIONS(7030),
    [anon_sym_CARET] = ACTIONS(7030),
    [anon_sym_PLUS] = ACTIONS(7030),
    [anon_sym_SLASH] = ACTIONS(7030),
    [anon_sym_PERCENT] = ACTIONS(7030),
    [sym_comment] = ACTIONS(87),
  },
  [6473] = {
    [anon_sym_DOT] = ACTIONS(11811),
    [anon_sym_COLON_COLON] = ACTIONS(11811),
    [sym_comment] = ACTIONS(87),
  },
  [6474] = {
    [sym__heredoc_body_start] = ACTIONS(7186),
    [sym__element_reference_left_bracket] = ACTIONS(7186),
    [sym__infix_scope_colons] = ACTIONS(7186),
    [sym__binary_minus] = ACTIONS(7186),
    [sym__binary_star] = ACTIONS(7186),
    [anon_sym_LBRACE] = ACTIONS(7186),
    [anon_sym_RBRACE] = ACTIONS(7186),
    [anon_sym_RPAREN] = ACTIONS(7186),
    [anon_sym_DOT] = ACTIONS(7188),
    [anon_sym_COMMA] = ACTIONS(7186),
    [anon_sym_PIPE] = ACTIONS(7188),
    [anon_sym_SEMI] = ACTIONS(7186),
    [anon_sym_STAR_STAR] = ACTIONS(7186),
    [anon_sym_AMP] = ACTIONS(7188),
    [anon_sym_EQ] = ACTIONS(7188),
    [anon_sym_LT] = ACTIONS(7188),
    [anon_sym_if] = ACTIONS(7186),
    [anon_sym_unless] = ACTIONS(7186),
    [anon_sym_while] = ACTIONS(7186),
    [anon_sym_until] = ACTIONS(7186),
    [anon_sym_rescue] = ACTIONS(7186),
    [anon_sym_in] = ACTIONS(7186),
    [anon_sym_do] = ACTIONS(7186),
    [anon_sym_EQ_GT] = ACTIONS(7186),
    [anon_sym_RBRACK] = ACTIONS(7186),
    [anon_sym_AMP_DOT] = ACTIONS(7186),
    [anon_sym_QMARK] = ACTIONS(7186),
    [anon_sym_COLON] = ACTIONS(7186),
    [anon_sym_DOT_DOT] = ACTIONS(7188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7186),
    [anon_sym_and] = ACTIONS(7186),
    [anon_sym_or] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7186),
    [anon_sym_AMP_AMP] = ACTIONS(7186),
    [anon_sym_LT_LT] = ACTIONS(7186),
    [anon_sym_GT_GT] = ACTIONS(7186),
    [anon_sym_EQ_EQ] = ACTIONS(7188),
    [anon_sym_BANG_EQ] = ACTIONS(7186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7186),
    [anon_sym_LT_EQ_GT] = ACTIONS(7186),
    [anon_sym_EQ_TILDE] = ACTIONS(7186),
    [anon_sym_BANG_TILDE] = ACTIONS(7186),
    [anon_sym_LT_EQ] = ACTIONS(7188),
    [anon_sym_GT] = ACTIONS(7188),
    [anon_sym_GT_EQ] = ACTIONS(7186),
    [anon_sym_CARET] = ACTIONS(7186),
    [anon_sym_PLUS] = ACTIONS(7186),
    [anon_sym_SLASH] = ACTIONS(7186),
    [anon_sym_PERCENT] = ACTIONS(7186),
    [sym_comment] = ACTIONS(87),
  },
  [6475] = {
    [sym__heredoc_body_start] = ACTIONS(7202),
    [sym__element_reference_left_bracket] = ACTIONS(7202),
    [sym__infix_scope_colons] = ACTIONS(7202),
    [sym__binary_minus] = ACTIONS(7202),
    [sym__binary_star] = ACTIONS(7202),
    [anon_sym_LBRACE] = ACTIONS(7202),
    [anon_sym_RBRACE] = ACTIONS(7202),
    [anon_sym_RPAREN] = ACTIONS(7202),
    [anon_sym_DOT] = ACTIONS(7204),
    [anon_sym_COMMA] = ACTIONS(7202),
    [anon_sym_PIPE] = ACTIONS(7204),
    [anon_sym_SEMI] = ACTIONS(7202),
    [anon_sym_STAR_STAR] = ACTIONS(7202),
    [anon_sym_AMP] = ACTIONS(7204),
    [anon_sym_EQ] = ACTIONS(7204),
    [anon_sym_LT] = ACTIONS(7204),
    [anon_sym_if] = ACTIONS(7202),
    [anon_sym_unless] = ACTIONS(7202),
    [anon_sym_while] = ACTIONS(7202),
    [anon_sym_until] = ACTIONS(7202),
    [anon_sym_rescue] = ACTIONS(7202),
    [anon_sym_in] = ACTIONS(7202),
    [anon_sym_do] = ACTIONS(7202),
    [anon_sym_EQ_GT] = ACTIONS(7202),
    [anon_sym_RBRACK] = ACTIONS(7202),
    [anon_sym_AMP_DOT] = ACTIONS(7202),
    [anon_sym_QMARK] = ACTIONS(7202),
    [anon_sym_COLON] = ACTIONS(7202),
    [anon_sym_DOT_DOT] = ACTIONS(7204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7202),
    [anon_sym_and] = ACTIONS(7202),
    [anon_sym_or] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE] = ACTIONS(7202),
    [anon_sym_AMP_AMP] = ACTIONS(7202),
    [anon_sym_LT_LT] = ACTIONS(7202),
    [anon_sym_GT_GT] = ACTIONS(7202),
    [anon_sym_EQ_EQ] = ACTIONS(7204),
    [anon_sym_BANG_EQ] = ACTIONS(7202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7202),
    [anon_sym_LT_EQ_GT] = ACTIONS(7202),
    [anon_sym_EQ_TILDE] = ACTIONS(7202),
    [anon_sym_BANG_TILDE] = ACTIONS(7202),
    [anon_sym_LT_EQ] = ACTIONS(7204),
    [anon_sym_GT] = ACTIONS(7204),
    [anon_sym_GT_EQ] = ACTIONS(7202),
    [anon_sym_CARET] = ACTIONS(7202),
    [anon_sym_PLUS] = ACTIONS(7202),
    [anon_sym_SLASH] = ACTIONS(7202),
    [anon_sym_PERCENT] = ACTIONS(7202),
    [sym_comment] = ACTIONS(87),
  },
  [6476] = {
    [sym__statements] = STATE(1399),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1400),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1401),
    [sym_rescue] = STATE(1402),
    [sym__body_statement] = STATE(9052),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11813),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6477] = {
    [sym__statements] = STATE(1399),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1400),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1401),
    [sym_rescue] = STATE(1402),
    [sym__body_statement] = STATE(9053),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11815),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6478] = {
    [sym__heredoc_body_start] = ACTIONS(7648),
    [sym__element_reference_left_bracket] = ACTIONS(7648),
    [sym__infix_scope_colons] = ACTIONS(7648),
    [sym__binary_minus] = ACTIONS(7648),
    [sym__binary_star] = ACTIONS(7648),
    [anon_sym_LBRACE] = ACTIONS(7648),
    [anon_sym_RBRACE] = ACTIONS(7648),
    [anon_sym_RPAREN] = ACTIONS(7648),
    [anon_sym_DOT] = ACTIONS(7650),
    [anon_sym_COMMA] = ACTIONS(7648),
    [anon_sym_PIPE] = ACTIONS(7650),
    [anon_sym_SEMI] = ACTIONS(7648),
    [anon_sym_STAR_STAR] = ACTIONS(7648),
    [anon_sym_AMP] = ACTIONS(7650),
    [anon_sym_EQ] = ACTIONS(7650),
    [anon_sym_LT] = ACTIONS(7650),
    [anon_sym_if] = ACTIONS(7648),
    [anon_sym_unless] = ACTIONS(7648),
    [anon_sym_while] = ACTIONS(7648),
    [anon_sym_until] = ACTIONS(7648),
    [anon_sym_rescue] = ACTIONS(7648),
    [anon_sym_in] = ACTIONS(7648),
    [anon_sym_do] = ACTIONS(7648),
    [anon_sym_EQ_GT] = ACTIONS(7648),
    [anon_sym_RBRACK] = ACTIONS(7648),
    [anon_sym_AMP_DOT] = ACTIONS(7648),
    [anon_sym_QMARK] = ACTIONS(7648),
    [anon_sym_COLON] = ACTIONS(7648),
    [anon_sym_DOT_DOT] = ACTIONS(7650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7648),
    [anon_sym_and] = ACTIONS(7648),
    [anon_sym_or] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE] = ACTIONS(7648),
    [anon_sym_AMP_AMP] = ACTIONS(7648),
    [anon_sym_LT_LT] = ACTIONS(7648),
    [anon_sym_GT_GT] = ACTIONS(7648),
    [anon_sym_EQ_EQ] = ACTIONS(7650),
    [anon_sym_BANG_EQ] = ACTIONS(7648),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7648),
    [anon_sym_LT_EQ_GT] = ACTIONS(7648),
    [anon_sym_EQ_TILDE] = ACTIONS(7648),
    [anon_sym_BANG_TILDE] = ACTIONS(7648),
    [anon_sym_LT_EQ] = ACTIONS(7650),
    [anon_sym_GT] = ACTIONS(7650),
    [anon_sym_GT_EQ] = ACTIONS(7648),
    [anon_sym_CARET] = ACTIONS(7648),
    [anon_sym_PLUS] = ACTIONS(7648),
    [anon_sym_SLASH] = ACTIONS(7648),
    [anon_sym_PERCENT] = ACTIONS(7648),
    [sym_comment] = ACTIONS(87),
  },
  [6479] = {
    [sym__heredoc_body_start] = ACTIONS(7704),
    [sym__element_reference_left_bracket] = ACTIONS(7704),
    [sym__infix_scope_colons] = ACTIONS(7704),
    [sym__binary_minus] = ACTIONS(7704),
    [sym__binary_star] = ACTIONS(7704),
    [anon_sym_LBRACE] = ACTIONS(7704),
    [anon_sym_RBRACE] = ACTIONS(7704),
    [anon_sym_RPAREN] = ACTIONS(7704),
    [anon_sym_DOT] = ACTIONS(7706),
    [anon_sym_COMMA] = ACTIONS(7704),
    [anon_sym_PIPE] = ACTIONS(7706),
    [anon_sym_SEMI] = ACTIONS(7704),
    [anon_sym_STAR_STAR] = ACTIONS(7704),
    [anon_sym_AMP] = ACTIONS(7706),
    [anon_sym_EQ] = ACTIONS(7706),
    [anon_sym_LT] = ACTIONS(7706),
    [anon_sym_if] = ACTIONS(7704),
    [anon_sym_unless] = ACTIONS(7704),
    [anon_sym_while] = ACTIONS(7704),
    [anon_sym_until] = ACTIONS(7704),
    [anon_sym_rescue] = ACTIONS(7704),
    [anon_sym_in] = ACTIONS(7704),
    [anon_sym_do] = ACTIONS(7704),
    [anon_sym_EQ_GT] = ACTIONS(7704),
    [anon_sym_RBRACK] = ACTIONS(7704),
    [anon_sym_AMP_DOT] = ACTIONS(7704),
    [anon_sym_QMARK] = ACTIONS(7704),
    [anon_sym_COLON] = ACTIONS(7704),
    [anon_sym_DOT_DOT] = ACTIONS(7706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7704),
    [anon_sym_and] = ACTIONS(7704),
    [anon_sym_or] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE] = ACTIONS(7704),
    [anon_sym_AMP_AMP] = ACTIONS(7704),
    [anon_sym_LT_LT] = ACTIONS(7704),
    [anon_sym_GT_GT] = ACTIONS(7704),
    [anon_sym_EQ_EQ] = ACTIONS(7706),
    [anon_sym_BANG_EQ] = ACTIONS(7704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7704),
    [anon_sym_LT_EQ_GT] = ACTIONS(7704),
    [anon_sym_EQ_TILDE] = ACTIONS(7704),
    [anon_sym_BANG_TILDE] = ACTIONS(7704),
    [anon_sym_LT_EQ] = ACTIONS(7706),
    [anon_sym_GT] = ACTIONS(7706),
    [anon_sym_GT_EQ] = ACTIONS(7704),
    [anon_sym_CARET] = ACTIONS(7704),
    [anon_sym_PLUS] = ACTIONS(7704),
    [anon_sym_SLASH] = ACTIONS(7704),
    [anon_sym_PERCENT] = ACTIONS(7704),
    [sym_comment] = ACTIONS(87),
  },
  [6480] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_RBRACK] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6481] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6482] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_RBRACK] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [6483] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6484] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [6485] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6486] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6487] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_RBRACK] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6488] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11817),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6489] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6490] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6491] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6492] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6493] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6494] = {
    [sym_heredoc_body] = STATE(6494),
    [aux_sym_call_repeat1] = STATE(6494),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_RBRACK] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [6495] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1382),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(1382),
    [sym_operator_assignment] = STATE(1382),
    [sym_conditional] = STATE(1382),
    [sym_range] = STATE(1382),
    [sym_binary] = STATE(1382),
    [sym_unary] = STATE(1382),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1388),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(2351),
    [sym__splat_star] = ACTIONS(2353),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__identifier_hash_key] = ACTIONS(2357),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(9285),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2367),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6496] = {
    [sym_heredoc_body] = STATE(6494),
    [aux_sym_call_repeat1] = STATE(6494),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_RBRACK] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [6497] = {
    [aux_sym_argument_list_repeat1] = STATE(6497),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(11819),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_RBRACK] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [6498] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_RBRACK] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6499] = {
    [aux_sym_exceptions_repeat1] = STATE(9056),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_RBRACK] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [6500] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_RBRACK] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6501] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_RBRACK] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [6502] = {
    [sym__heredoc_body_start] = ACTIONS(7880),
    [sym__element_reference_left_bracket] = ACTIONS(7880),
    [sym__infix_scope_colons] = ACTIONS(7880),
    [sym__binary_minus] = ACTIONS(7880),
    [sym__binary_star] = ACTIONS(7880),
    [anon_sym_LBRACE] = ACTIONS(7880),
    [anon_sym_RBRACE] = ACTIONS(7880),
    [anon_sym_RPAREN] = ACTIONS(7880),
    [anon_sym_DOT] = ACTIONS(7882),
    [anon_sym_COMMA] = ACTIONS(7880),
    [anon_sym_PIPE] = ACTIONS(7882),
    [anon_sym_SEMI] = ACTIONS(7880),
    [anon_sym_STAR_STAR] = ACTIONS(7880),
    [anon_sym_AMP] = ACTIONS(7882),
    [anon_sym_EQ] = ACTIONS(7882),
    [anon_sym_LT] = ACTIONS(7882),
    [anon_sym_if] = ACTIONS(7880),
    [anon_sym_unless] = ACTIONS(7880),
    [anon_sym_while] = ACTIONS(7880),
    [anon_sym_until] = ACTIONS(7880),
    [anon_sym_rescue] = ACTIONS(7880),
    [anon_sym_in] = ACTIONS(7880),
    [anon_sym_do] = ACTIONS(7880),
    [anon_sym_EQ_GT] = ACTIONS(7880),
    [anon_sym_RBRACK] = ACTIONS(7880),
    [anon_sym_AMP_DOT] = ACTIONS(7880),
    [anon_sym_QMARK] = ACTIONS(7880),
    [anon_sym_COLON] = ACTIONS(7880),
    [anon_sym_DOT_DOT] = ACTIONS(7882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7880),
    [anon_sym_and] = ACTIONS(7880),
    [anon_sym_or] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE] = ACTIONS(7880),
    [anon_sym_AMP_AMP] = ACTIONS(7880),
    [anon_sym_LT_LT] = ACTIONS(7880),
    [anon_sym_GT_GT] = ACTIONS(7880),
    [anon_sym_EQ_EQ] = ACTIONS(7882),
    [anon_sym_BANG_EQ] = ACTIONS(7880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7880),
    [anon_sym_LT_EQ_GT] = ACTIONS(7880),
    [anon_sym_EQ_TILDE] = ACTIONS(7880),
    [anon_sym_BANG_TILDE] = ACTIONS(7880),
    [anon_sym_LT_EQ] = ACTIONS(7882),
    [anon_sym_GT] = ACTIONS(7882),
    [anon_sym_GT_EQ] = ACTIONS(7880),
    [anon_sym_CARET] = ACTIONS(7880),
    [anon_sym_PLUS] = ACTIONS(7880),
    [anon_sym_SLASH] = ACTIONS(7880),
    [anon_sym_PERCENT] = ACTIONS(7880),
    [sym_comment] = ACTIONS(87),
  },
  [6503] = {
    [sym_elsif] = STATE(9058),
    [sym_else] = STATE(9058),
    [sym__if_tail] = STATE(9058),
    [anon_sym_end] = ACTIONS(11822),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [6504] = {
    [anon_sym_end] = ACTIONS(11822),
    [sym_comment] = ACTIONS(87),
  },
  [6505] = {
    [sym__statements] = STATE(9059),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(9058),
    [sym_else] = STATE(9058),
    [sym__if_tail] = STATE(9058),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11824),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6506] = {
    [sym__heredoc_body_start] = ACTIONS(8084),
    [sym__element_reference_left_bracket] = ACTIONS(8084),
    [sym__infix_scope_colons] = ACTIONS(8084),
    [sym__binary_minus] = ACTIONS(8084),
    [sym__binary_star] = ACTIONS(8084),
    [anon_sym_LBRACE] = ACTIONS(8084),
    [anon_sym_RBRACE] = ACTIONS(8084),
    [anon_sym_RPAREN] = ACTIONS(8084),
    [anon_sym_DOT] = ACTIONS(8086),
    [anon_sym_COMMA] = ACTIONS(8084),
    [anon_sym_PIPE] = ACTIONS(8086),
    [anon_sym_SEMI] = ACTIONS(8084),
    [anon_sym_STAR_STAR] = ACTIONS(8084),
    [anon_sym_AMP] = ACTIONS(8086),
    [anon_sym_EQ] = ACTIONS(8086),
    [anon_sym_LT] = ACTIONS(8086),
    [anon_sym_if] = ACTIONS(8084),
    [anon_sym_unless] = ACTIONS(8084),
    [anon_sym_while] = ACTIONS(8084),
    [anon_sym_until] = ACTIONS(8084),
    [anon_sym_rescue] = ACTIONS(8084),
    [anon_sym_in] = ACTIONS(8084),
    [anon_sym_do] = ACTIONS(8084),
    [anon_sym_EQ_GT] = ACTIONS(8084),
    [anon_sym_RBRACK] = ACTIONS(8084),
    [anon_sym_AMP_DOT] = ACTIONS(8084),
    [anon_sym_QMARK] = ACTIONS(8084),
    [anon_sym_COLON] = ACTIONS(8084),
    [anon_sym_DOT_DOT] = ACTIONS(8086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8084),
    [anon_sym_and] = ACTIONS(8084),
    [anon_sym_or] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE] = ACTIONS(8084),
    [anon_sym_AMP_AMP] = ACTIONS(8084),
    [anon_sym_LT_LT] = ACTIONS(8084),
    [anon_sym_GT_GT] = ACTIONS(8084),
    [anon_sym_EQ_EQ] = ACTIONS(8086),
    [anon_sym_BANG_EQ] = ACTIONS(8084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8084),
    [anon_sym_LT_EQ_GT] = ACTIONS(8084),
    [anon_sym_EQ_TILDE] = ACTIONS(8084),
    [anon_sym_BANG_TILDE] = ACTIONS(8084),
    [anon_sym_LT_EQ] = ACTIONS(8086),
    [anon_sym_GT] = ACTIONS(8086),
    [anon_sym_GT_EQ] = ACTIONS(8084),
    [anon_sym_CARET] = ACTIONS(8084),
    [anon_sym_PLUS] = ACTIONS(8084),
    [anon_sym_SLASH] = ACTIONS(8084),
    [anon_sym_PERCENT] = ACTIONS(8084),
    [sym_comment] = ACTIONS(87),
  },
  [6507] = {
    [sym_else] = STATE(9061),
    [anon_sym_end] = ACTIONS(11826),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [6508] = {
    [anon_sym_end] = ACTIONS(11826),
    [sym_comment] = ACTIONS(87),
  },
  [6509] = {
    [sym__heredoc_body_start] = ACTIONS(8254),
    [sym__element_reference_left_bracket] = ACTIONS(8254),
    [sym__infix_scope_colons] = ACTIONS(8254),
    [sym__binary_minus] = ACTIONS(8254),
    [sym__binary_star] = ACTIONS(8254),
    [anon_sym_LBRACE] = ACTIONS(8254),
    [anon_sym_RBRACE] = ACTIONS(8254),
    [anon_sym_RPAREN] = ACTIONS(8254),
    [anon_sym_DOT] = ACTIONS(8256),
    [anon_sym_COMMA] = ACTIONS(8254),
    [anon_sym_PIPE] = ACTIONS(8256),
    [anon_sym_SEMI] = ACTIONS(8254),
    [anon_sym_STAR_STAR] = ACTIONS(8254),
    [anon_sym_AMP] = ACTIONS(8256),
    [anon_sym_EQ] = ACTIONS(8256),
    [anon_sym_LT] = ACTIONS(8256),
    [anon_sym_if] = ACTIONS(8254),
    [anon_sym_unless] = ACTIONS(8254),
    [anon_sym_while] = ACTIONS(8254),
    [anon_sym_until] = ACTIONS(8254),
    [anon_sym_rescue] = ACTIONS(8254),
    [anon_sym_in] = ACTIONS(8254),
    [anon_sym_do] = ACTIONS(8254),
    [anon_sym_EQ_GT] = ACTIONS(8254),
    [anon_sym_RBRACK] = ACTIONS(8254),
    [anon_sym_AMP_DOT] = ACTIONS(8254),
    [anon_sym_QMARK] = ACTIONS(8254),
    [anon_sym_COLON] = ACTIONS(8254),
    [anon_sym_DOT_DOT] = ACTIONS(8256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8254),
    [anon_sym_and] = ACTIONS(8254),
    [anon_sym_or] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE] = ACTIONS(8254),
    [anon_sym_AMP_AMP] = ACTIONS(8254),
    [anon_sym_LT_LT] = ACTIONS(8254),
    [anon_sym_GT_GT] = ACTIONS(8254),
    [anon_sym_EQ_EQ] = ACTIONS(8256),
    [anon_sym_BANG_EQ] = ACTIONS(8254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8254),
    [anon_sym_LT_EQ_GT] = ACTIONS(8254),
    [anon_sym_EQ_TILDE] = ACTIONS(8254),
    [anon_sym_BANG_TILDE] = ACTIONS(8254),
    [anon_sym_LT_EQ] = ACTIONS(8256),
    [anon_sym_GT] = ACTIONS(8256),
    [anon_sym_GT_EQ] = ACTIONS(8254),
    [anon_sym_CARET] = ACTIONS(8254),
    [anon_sym_PLUS] = ACTIONS(8254),
    [anon_sym_SLASH] = ACTIONS(8254),
    [anon_sym_PERCENT] = ACTIONS(8254),
    [sym_comment] = ACTIONS(87),
  },
  [6510] = {
    [anon_sym_end] = ACTIONS(11828),
    [sym_comment] = ACTIONS(87),
  },
  [6511] = {
    [sym__heredoc_body_start] = ACTIONS(8334),
    [sym__element_reference_left_bracket] = ACTIONS(8334),
    [sym__infix_scope_colons] = ACTIONS(8334),
    [sym__binary_minus] = ACTIONS(8334),
    [sym__binary_star] = ACTIONS(8334),
    [anon_sym_LBRACE] = ACTIONS(8334),
    [anon_sym_RBRACE] = ACTIONS(8334),
    [anon_sym_RPAREN] = ACTIONS(8334),
    [anon_sym_DOT] = ACTIONS(8336),
    [anon_sym_COMMA] = ACTIONS(8334),
    [anon_sym_PIPE] = ACTIONS(8336),
    [anon_sym_SEMI] = ACTIONS(8334),
    [anon_sym_STAR_STAR] = ACTIONS(8334),
    [anon_sym_AMP] = ACTIONS(8336),
    [anon_sym_EQ] = ACTIONS(8336),
    [anon_sym_LT] = ACTIONS(8336),
    [anon_sym_if] = ACTIONS(8334),
    [anon_sym_unless] = ACTIONS(8334),
    [anon_sym_while] = ACTIONS(8334),
    [anon_sym_until] = ACTIONS(8334),
    [anon_sym_rescue] = ACTIONS(8334),
    [anon_sym_in] = ACTIONS(8334),
    [anon_sym_do] = ACTIONS(8334),
    [anon_sym_EQ_GT] = ACTIONS(8334),
    [anon_sym_RBRACK] = ACTIONS(8334),
    [anon_sym_AMP_DOT] = ACTIONS(8334),
    [anon_sym_QMARK] = ACTIONS(8334),
    [anon_sym_COLON] = ACTIONS(8334),
    [anon_sym_DOT_DOT] = ACTIONS(8336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8334),
    [anon_sym_and] = ACTIONS(8334),
    [anon_sym_or] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE] = ACTIONS(8334),
    [anon_sym_AMP_AMP] = ACTIONS(8334),
    [anon_sym_LT_LT] = ACTIONS(8334),
    [anon_sym_GT_GT] = ACTIONS(8334),
    [anon_sym_EQ_EQ] = ACTIONS(8336),
    [anon_sym_BANG_EQ] = ACTIONS(8334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8334),
    [anon_sym_LT_EQ_GT] = ACTIONS(8334),
    [anon_sym_EQ_TILDE] = ACTIONS(8334),
    [anon_sym_BANG_TILDE] = ACTIONS(8334),
    [anon_sym_LT_EQ] = ACTIONS(8336),
    [anon_sym_GT] = ACTIONS(8336),
    [anon_sym_GT_EQ] = ACTIONS(8334),
    [anon_sym_CARET] = ACTIONS(8334),
    [anon_sym_PLUS] = ACTIONS(8334),
    [anon_sym_SLASH] = ACTIONS(8334),
    [anon_sym_PERCENT] = ACTIONS(8334),
    [sym_comment] = ACTIONS(87),
  },
  [6512] = {
    [anon_sym_end] = ACTIONS(11830),
    [sym_comment] = ACTIONS(87),
  },
  [6513] = {
    [sym__statements] = STATE(9065),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11832),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6514] = {
    [anon_sym_end] = ACTIONS(11834),
    [sym_comment] = ACTIONS(87),
  },
  [6515] = {
    [sym_when] = STATE(9067),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [6516] = {
    [sym__heredoc_body_start] = ACTIONS(8592),
    [sym__element_reference_left_bracket] = ACTIONS(8592),
    [sym__infix_scope_colons] = ACTIONS(8592),
    [sym__binary_minus] = ACTIONS(8592),
    [sym__binary_star] = ACTIONS(8592),
    [anon_sym_LBRACE] = ACTIONS(8592),
    [anon_sym_RBRACE] = ACTIONS(8592),
    [anon_sym_RPAREN] = ACTIONS(8592),
    [anon_sym_DOT] = ACTIONS(8594),
    [anon_sym_COMMA] = ACTIONS(8592),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_SEMI] = ACTIONS(8592),
    [anon_sym_STAR_STAR] = ACTIONS(8592),
    [anon_sym_AMP] = ACTIONS(8594),
    [anon_sym_EQ] = ACTIONS(8594),
    [anon_sym_LT] = ACTIONS(8594),
    [anon_sym_if] = ACTIONS(8592),
    [anon_sym_unless] = ACTIONS(8592),
    [anon_sym_while] = ACTIONS(8592),
    [anon_sym_until] = ACTIONS(8592),
    [anon_sym_rescue] = ACTIONS(8592),
    [anon_sym_in] = ACTIONS(8592),
    [anon_sym_do] = ACTIONS(8592),
    [anon_sym_EQ_GT] = ACTIONS(8592),
    [anon_sym_RBRACK] = ACTIONS(8592),
    [anon_sym_AMP_DOT] = ACTIONS(8592),
    [anon_sym_QMARK] = ACTIONS(8592),
    [anon_sym_COLON] = ACTIONS(8592),
    [anon_sym_DOT_DOT] = ACTIONS(8594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8592),
    [anon_sym_and] = ACTIONS(8592),
    [anon_sym_or] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE] = ACTIONS(8592),
    [anon_sym_AMP_AMP] = ACTIONS(8592),
    [anon_sym_LT_LT] = ACTIONS(8592),
    [anon_sym_GT_GT] = ACTIONS(8592),
    [anon_sym_EQ_EQ] = ACTIONS(8594),
    [anon_sym_BANG_EQ] = ACTIONS(8592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8592),
    [anon_sym_LT_EQ_GT] = ACTIONS(8592),
    [anon_sym_EQ_TILDE] = ACTIONS(8592),
    [anon_sym_BANG_TILDE] = ACTIONS(8592),
    [anon_sym_LT_EQ] = ACTIONS(8594),
    [anon_sym_GT] = ACTIONS(8594),
    [anon_sym_GT_EQ] = ACTIONS(8592),
    [anon_sym_CARET] = ACTIONS(8592),
    [anon_sym_PLUS] = ACTIONS(8592),
    [anon_sym_SLASH] = ACTIONS(8592),
    [anon_sym_PERCENT] = ACTIONS(8592),
    [sym_comment] = ACTIONS(87),
  },
  [6517] = {
    [sym__heredoc_body_start] = ACTIONS(9111),
    [sym__element_reference_left_bracket] = ACTIONS(9111),
    [sym__infix_scope_colons] = ACTIONS(9111),
    [sym__binary_minus] = ACTIONS(9111),
    [sym__binary_star] = ACTIONS(9111),
    [anon_sym_LBRACE] = ACTIONS(9111),
    [anon_sym_RBRACE] = ACTIONS(9111),
    [anon_sym_RPAREN] = ACTIONS(9111),
    [anon_sym_DOT] = ACTIONS(9113),
    [anon_sym_COMMA] = ACTIONS(9111),
    [anon_sym_PIPE] = ACTIONS(9113),
    [anon_sym_SEMI] = ACTIONS(9111),
    [anon_sym_STAR_STAR] = ACTIONS(9111),
    [anon_sym_AMP] = ACTIONS(9113),
    [anon_sym_EQ] = ACTIONS(9113),
    [anon_sym_LT] = ACTIONS(9113),
    [anon_sym_if] = ACTIONS(9111),
    [anon_sym_unless] = ACTIONS(9111),
    [anon_sym_while] = ACTIONS(9111),
    [anon_sym_until] = ACTIONS(9111),
    [anon_sym_rescue] = ACTIONS(9111),
    [anon_sym_in] = ACTIONS(9111),
    [anon_sym_do] = ACTIONS(9111),
    [anon_sym_EQ_GT] = ACTIONS(9111),
    [anon_sym_RBRACK] = ACTIONS(9111),
    [anon_sym_AMP_DOT] = ACTIONS(9111),
    [anon_sym_QMARK] = ACTIONS(9111),
    [anon_sym_COLON] = ACTIONS(9111),
    [anon_sym_DOT_DOT] = ACTIONS(9113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9111),
    [anon_sym_and] = ACTIONS(9111),
    [anon_sym_or] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE] = ACTIONS(9111),
    [anon_sym_AMP_AMP] = ACTIONS(9111),
    [anon_sym_LT_LT] = ACTIONS(9111),
    [anon_sym_GT_GT] = ACTIONS(9111),
    [anon_sym_EQ_EQ] = ACTIONS(9113),
    [anon_sym_BANG_EQ] = ACTIONS(9111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9111),
    [anon_sym_LT_EQ_GT] = ACTIONS(9111),
    [anon_sym_EQ_TILDE] = ACTIONS(9111),
    [anon_sym_BANG_TILDE] = ACTIONS(9111),
    [anon_sym_LT_EQ] = ACTIONS(9113),
    [anon_sym_GT] = ACTIONS(9113),
    [anon_sym_GT_EQ] = ACTIONS(9111),
    [anon_sym_CARET] = ACTIONS(9111),
    [anon_sym_PLUS] = ACTIONS(9111),
    [anon_sym_SLASH] = ACTIONS(9111),
    [anon_sym_PERCENT] = ACTIONS(9111),
    [sym_comment] = ACTIONS(87),
  },
  [6518] = {
    [anon_sym_end] = ACTIONS(11836),
    [sym_comment] = ACTIONS(87),
  },
  [6519] = {
    [sym_ensure] = STATE(9069),
    [anon_sym_end] = ACTIONS(11836),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [6520] = {
    [sym__heredoc_body_start] = ACTIONS(9333),
    [sym__element_reference_left_bracket] = ACTIONS(9333),
    [sym__infix_scope_colons] = ACTIONS(9333),
    [sym__binary_minus] = ACTIONS(9333),
    [sym__binary_star] = ACTIONS(9333),
    [anon_sym_LBRACE] = ACTIONS(9333),
    [anon_sym_RBRACE] = ACTIONS(9333),
    [anon_sym_RPAREN] = ACTIONS(9333),
    [anon_sym_DOT] = ACTIONS(9335),
    [anon_sym_COMMA] = ACTIONS(9333),
    [anon_sym_PIPE] = ACTIONS(9335),
    [anon_sym_SEMI] = ACTIONS(9333),
    [anon_sym_STAR_STAR] = ACTIONS(9333),
    [anon_sym_AMP] = ACTIONS(9335),
    [anon_sym_EQ] = ACTIONS(9335),
    [anon_sym_LT] = ACTIONS(9335),
    [anon_sym_if] = ACTIONS(9333),
    [anon_sym_unless] = ACTIONS(9333),
    [anon_sym_while] = ACTIONS(9333),
    [anon_sym_until] = ACTIONS(9333),
    [anon_sym_rescue] = ACTIONS(9333),
    [anon_sym_in] = ACTIONS(9333),
    [anon_sym_do] = ACTIONS(9333),
    [anon_sym_EQ_GT] = ACTIONS(9333),
    [anon_sym_RBRACK] = ACTIONS(9333),
    [anon_sym_AMP_DOT] = ACTIONS(9333),
    [anon_sym_QMARK] = ACTIONS(9333),
    [anon_sym_COLON] = ACTIONS(9333),
    [anon_sym_DOT_DOT] = ACTIONS(9335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9333),
    [anon_sym_and] = ACTIONS(9333),
    [anon_sym_or] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE] = ACTIONS(9333),
    [anon_sym_AMP_AMP] = ACTIONS(9333),
    [anon_sym_LT_LT] = ACTIONS(9333),
    [anon_sym_GT_GT] = ACTIONS(9333),
    [anon_sym_EQ_EQ] = ACTIONS(9335),
    [anon_sym_BANG_EQ] = ACTIONS(9333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9333),
    [anon_sym_LT_EQ_GT] = ACTIONS(9333),
    [anon_sym_EQ_TILDE] = ACTIONS(9333),
    [anon_sym_BANG_TILDE] = ACTIONS(9333),
    [anon_sym_LT_EQ] = ACTIONS(9335),
    [anon_sym_GT] = ACTIONS(9335),
    [anon_sym_GT_EQ] = ACTIONS(9333),
    [anon_sym_CARET] = ACTIONS(9333),
    [anon_sym_PLUS] = ACTIONS(9333),
    [anon_sym_SLASH] = ACTIONS(9333),
    [anon_sym_PERCENT] = ACTIONS(9333),
    [sym_comment] = ACTIONS(87),
  },
  [6521] = {
    [sym__heredoc_body_start] = ACTIONS(9362),
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [sym__binary_minus] = ACTIONS(9362),
    [sym__binary_star] = ACTIONS(9362),
    [anon_sym_LBRACE] = ACTIONS(9362),
    [anon_sym_RBRACE] = ACTIONS(9362),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9364),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_PIPE] = ACTIONS(9364),
    [anon_sym_SEMI] = ACTIONS(9362),
    [anon_sym_STAR_STAR] = ACTIONS(9362),
    [anon_sym_AMP] = ACTIONS(9364),
    [anon_sym_EQ] = ACTIONS(9364),
    [anon_sym_LT] = ACTIONS(9364),
    [anon_sym_if] = ACTIONS(9362),
    [anon_sym_unless] = ACTIONS(9362),
    [anon_sym_while] = ACTIONS(9362),
    [anon_sym_until] = ACTIONS(9362),
    [anon_sym_rescue] = ACTIONS(9362),
    [anon_sym_in] = ACTIONS(9362),
    [anon_sym_do] = ACTIONS(9362),
    [anon_sym_EQ_GT] = ACTIONS(9362),
    [anon_sym_RBRACK] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [anon_sym_QMARK] = ACTIONS(9362),
    [anon_sym_COLON] = ACTIONS(9362),
    [anon_sym_DOT_DOT] = ACTIONS(9364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9362),
    [anon_sym_and] = ACTIONS(9362),
    [anon_sym_or] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE] = ACTIONS(9362),
    [anon_sym_AMP_AMP] = ACTIONS(9362),
    [anon_sym_LT_LT] = ACTIONS(9362),
    [anon_sym_GT_GT] = ACTIONS(9362),
    [anon_sym_EQ_EQ] = ACTIONS(9364),
    [anon_sym_BANG_EQ] = ACTIONS(9362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9362),
    [anon_sym_LT_EQ_GT] = ACTIONS(9362),
    [anon_sym_EQ_TILDE] = ACTIONS(9362),
    [anon_sym_BANG_TILDE] = ACTIONS(9362),
    [anon_sym_LT_EQ] = ACTIONS(9364),
    [anon_sym_GT] = ACTIONS(9364),
    [anon_sym_GT_EQ] = ACTIONS(9362),
    [anon_sym_CARET] = ACTIONS(9362),
    [anon_sym_PLUS] = ACTIONS(9362),
    [anon_sym_SLASH] = ACTIONS(9362),
    [anon_sym_PERCENT] = ACTIONS(9362),
    [sym_comment] = ACTIONS(87),
  },
  [6522] = {
    [anon_sym_RBRACE] = ACTIONS(11838),
    [sym_comment] = ACTIONS(87),
  },
  [6523] = {
    [sym__heredoc_body_start] = ACTIONS(9390),
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [sym__binary_minus] = ACTIONS(9390),
    [sym__binary_star] = ACTIONS(9390),
    [anon_sym_LBRACE] = ACTIONS(9390),
    [anon_sym_RBRACE] = ACTIONS(9390),
    [anon_sym_RPAREN] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9392),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_PIPE] = ACTIONS(9392),
    [anon_sym_SEMI] = ACTIONS(9390),
    [anon_sym_STAR_STAR] = ACTIONS(9390),
    [anon_sym_AMP] = ACTIONS(9392),
    [anon_sym_EQ] = ACTIONS(9392),
    [anon_sym_LT] = ACTIONS(9392),
    [anon_sym_if] = ACTIONS(9390),
    [anon_sym_unless] = ACTIONS(9390),
    [anon_sym_while] = ACTIONS(9390),
    [anon_sym_until] = ACTIONS(9390),
    [anon_sym_rescue] = ACTIONS(9390),
    [anon_sym_in] = ACTIONS(9390),
    [anon_sym_do] = ACTIONS(9390),
    [anon_sym_EQ_GT] = ACTIONS(9390),
    [anon_sym_RBRACK] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [anon_sym_QMARK] = ACTIONS(9390),
    [anon_sym_COLON] = ACTIONS(9390),
    [anon_sym_DOT_DOT] = ACTIONS(9392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9390),
    [anon_sym_and] = ACTIONS(9390),
    [anon_sym_or] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE] = ACTIONS(9390),
    [anon_sym_AMP_AMP] = ACTIONS(9390),
    [anon_sym_LT_LT] = ACTIONS(9390),
    [anon_sym_GT_GT] = ACTIONS(9390),
    [anon_sym_EQ_EQ] = ACTIONS(9392),
    [anon_sym_BANG_EQ] = ACTIONS(9390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9390),
    [anon_sym_LT_EQ_GT] = ACTIONS(9390),
    [anon_sym_EQ_TILDE] = ACTIONS(9390),
    [anon_sym_BANG_TILDE] = ACTIONS(9390),
    [anon_sym_LT_EQ] = ACTIONS(9392),
    [anon_sym_GT] = ACTIONS(9392),
    [anon_sym_GT_EQ] = ACTIONS(9390),
    [anon_sym_CARET] = ACTIONS(9390),
    [anon_sym_PLUS] = ACTIONS(9390),
    [anon_sym_SLASH] = ACTIONS(9390),
    [anon_sym_PERCENT] = ACTIONS(9390),
    [sym_comment] = ACTIONS(87),
  },
  [6524] = {
    [anon_sym_end] = ACTIONS(11840),
    [sym_comment] = ACTIONS(87),
  },
  [6525] = {
    [sym__statements] = STATE(9072),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11842),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6526] = {
    [sym__statements] = STATE(9072),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(9073),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(9073),
    [sym__line_break] = ACTIONS(11844),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11842),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6527] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9074),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_assignment] = STATE(9074),
    [sym_operator_assignment] = STATE(9074),
    [sym_conditional] = STATE(9074),
    [sym_range] = STATE(9074),
    [sym_binary] = STATE(9074),
    [sym_unary] = STATE(9074),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6528] = {
    [sym__heredoc_body_start] = ACTIONS(9621),
    [sym__element_reference_left_bracket] = ACTIONS(9621),
    [sym__infix_scope_colons] = ACTIONS(9621),
    [sym__binary_minus] = ACTIONS(9621),
    [sym__binary_star] = ACTIONS(9621),
    [anon_sym_LBRACE] = ACTIONS(9621),
    [anon_sym_RBRACE] = ACTIONS(9621),
    [anon_sym_RPAREN] = ACTIONS(9621),
    [anon_sym_DOT] = ACTIONS(9623),
    [anon_sym_COMMA] = ACTIONS(9621),
    [anon_sym_PIPE] = ACTIONS(9623),
    [anon_sym_SEMI] = ACTIONS(9621),
    [anon_sym_STAR_STAR] = ACTIONS(9623),
    [anon_sym_AMP] = ACTIONS(9623),
    [anon_sym_EQ] = ACTIONS(9623),
    [anon_sym_LT] = ACTIONS(9623),
    [anon_sym_if] = ACTIONS(9621),
    [anon_sym_unless] = ACTIONS(9621),
    [anon_sym_while] = ACTIONS(9621),
    [anon_sym_until] = ACTIONS(9621),
    [anon_sym_rescue] = ACTIONS(9621),
    [anon_sym_in] = ACTIONS(9621),
    [anon_sym_do] = ACTIONS(9621),
    [anon_sym_EQ_GT] = ACTIONS(9621),
    [anon_sym_RBRACK] = ACTIONS(9621),
    [anon_sym_AMP_DOT] = ACTIONS(9621),
    [anon_sym_PLUS_EQ] = ACTIONS(9621),
    [anon_sym_DASH_EQ] = ACTIONS(9621),
    [anon_sym_STAR_EQ] = ACTIONS(9621),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9621),
    [anon_sym_SLASH_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9621),
    [anon_sym_AMP_EQ] = ACTIONS(9621),
    [anon_sym_PERCENT_EQ] = ACTIONS(9621),
    [anon_sym_GT_GT_EQ] = ACTIONS(9621),
    [anon_sym_LT_LT_EQ] = ACTIONS(9621),
    [anon_sym_CARET_EQ] = ACTIONS(9621),
    [anon_sym_QMARK] = ACTIONS(9621),
    [anon_sym_COLON] = ACTIONS(9621),
    [anon_sym_DOT_DOT] = ACTIONS(9623),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9621),
    [anon_sym_and] = ACTIONS(9621),
    [anon_sym_or] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE] = ACTIONS(9623),
    [anon_sym_AMP_AMP] = ACTIONS(9623),
    [anon_sym_LT_LT] = ACTIONS(9623),
    [anon_sym_GT_GT] = ACTIONS(9623),
    [anon_sym_EQ_EQ] = ACTIONS(9623),
    [anon_sym_BANG_EQ] = ACTIONS(9621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9621),
    [anon_sym_LT_EQ_GT] = ACTIONS(9621),
    [anon_sym_EQ_TILDE] = ACTIONS(9621),
    [anon_sym_BANG_TILDE] = ACTIONS(9621),
    [anon_sym_LT_EQ] = ACTIONS(9623),
    [anon_sym_GT] = ACTIONS(9623),
    [anon_sym_GT_EQ] = ACTIONS(9621),
    [anon_sym_CARET] = ACTIONS(9623),
    [anon_sym_PLUS] = ACTIONS(9623),
    [anon_sym_SLASH] = ACTIONS(9623),
    [anon_sym_PERCENT] = ACTIONS(9623),
    [sym_comment] = ACTIONS(87),
  },
  [6529] = {
    [anon_sym_RBRACK] = ACTIONS(11846),
    [sym_comment] = ACTIONS(87),
  },
  [6530] = {
    [sym__simple_symbol] = ACTIONS(4198),
    [sym__string_start] = ACTIONS(4198),
    [sym__symbol_start] = ACTIONS(4198),
    [sym__subshell_start] = ACTIONS(4198),
    [sym__regex_start] = ACTIONS(4198),
    [sym__string_array_start] = ACTIONS(4198),
    [sym__symbol_array_start] = ACTIONS(4198),
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym_heredoc_beginning] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__block_ampersand] = ACTIONS(4198),
    [sym__splat_star] = ACTIONS(4198),
    [sym__argument_list_left_paren] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__unary_minus] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [sym__identifier_hash_key] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_def] = ACTIONS(4200),
    [anon_sym_LPAREN] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COLON_COLON] = ACTIONS(4198),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR] = ACTIONS(4200),
    [anon_sym_STAR_STAR] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_class] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_module] = ACTIONS(4200),
    [anon_sym_return] = ACTIONS(4200),
    [anon_sym_yield] = ACTIONS(4200),
    [anon_sym_break] = ACTIONS(4200),
    [anon_sym_next] = ACTIONS(4200),
    [sym_redo] = ACTIONS(4200),
    [sym_retry] = ACTIONS(4200),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_unless] = ACTIONS(4200),
    [anon_sym_while] = ACTIONS(4200),
    [anon_sym_until] = ACTIONS(4200),
    [anon_sym_rescue] = ACTIONS(4200),
    [anon_sym_for] = ACTIONS(4200),
    [anon_sym_in] = ACTIONS(4200),
    [anon_sym_do] = ACTIONS(4200),
    [anon_sym_case] = ACTIONS(4200),
    [anon_sym_begin] = ACTIONS(4200),
    [anon_sym_EQ_GT] = ACTIONS(4198),
    [anon_sym_RBRACK] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS_EQ] = ACTIONS(4198),
    [anon_sym_DASH_EQ] = ACTIONS(4198),
    [anon_sym_STAR_EQ] = ACTIONS(4198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4198),
    [anon_sym_SLASH_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4198),
    [anon_sym_AMP_EQ] = ACTIONS(4198),
    [anon_sym_PERCENT_EQ] = ACTIONS(4198),
    [anon_sym_GT_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_LT_EQ] = ACTIONS(4198),
    [anon_sym_CARET_EQ] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4200),
    [anon_sym_COLON] = ACTIONS(4200),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4200),
    [anon_sym_or] = ACTIONS(4200),
    [anon_sym_PIPE_PIPE] = ACTIONS(4200),
    [anon_sym_AMP_AMP] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [anon_sym_defined_QMARK] = ACTIONS(4198),
    [anon_sym_not] = ACTIONS(4200),
    [anon_sym_BANG] = ACTIONS(4200),
    [anon_sym_TILDE] = ACTIONS(4198),
    [sym_constant] = ACTIONS(4200),
    [sym_identifier] = ACTIONS(4200),
    [sym_instance_variable] = ACTIONS(4198),
    [sym_class_variable] = ACTIONS(4198),
    [sym_global_variable] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4200),
    [sym_float] = ACTIONS(4200),
    [sym_complex] = ACTIONS(4198),
    [sym_super] = ACTIONS(4200),
    [anon_sym_true] = ACTIONS(4200),
    [anon_sym_TRUE] = ACTIONS(4200),
    [anon_sym_false] = ACTIONS(4200),
    [anon_sym_FALSE] = ACTIONS(4200),
    [sym_self] = ACTIONS(4200),
    [anon_sym_nil] = ACTIONS(4200),
    [anon_sym_NIL] = ACTIONS(4200),
    [sym_character] = ACTIONS(4198),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [anon_sym_DASH_GT] = ACTIONS(4198),
  },
  [6531] = {
    [sym_heredoc_body] = STATE(9077),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(11848),
    [sym_comment] = ACTIONS(87),
  },
  [6532] = {
    [anon_sym_RPAREN] = ACTIONS(11848),
    [sym_comment] = ACTIONS(87),
  },
  [6533] = {
    [sym__simple_symbol] = ACTIONS(9631),
    [sym__string_start] = ACTIONS(9631),
    [sym__symbol_start] = ACTIONS(9631),
    [sym__subshell_start] = ACTIONS(9631),
    [sym__regex_start] = ACTIONS(9631),
    [sym__string_array_start] = ACTIONS(9631),
    [sym__symbol_array_start] = ACTIONS(9631),
    [sym__heredoc_body_start] = ACTIONS(9631),
    [sym_heredoc_beginning] = ACTIONS(9631),
    [sym__element_reference_left_bracket] = ACTIONS(9631),
    [sym__block_ampersand] = ACTIONS(9631),
    [sym__splat_star] = ACTIONS(9631),
    [sym__argument_list_left_paren] = ACTIONS(9631),
    [sym__infix_scope_colons] = ACTIONS(9631),
    [sym__unary_minus] = ACTIONS(9631),
    [sym__binary_minus] = ACTIONS(9631),
    [sym__binary_star] = ACTIONS(9631),
    [sym__identifier_hash_key] = ACTIONS(9631),
    [anon_sym_LBRACE] = ACTIONS(9631),
    [anon_sym_RBRACE] = ACTIONS(9631),
    [anon_sym_def] = ACTIONS(9633),
    [anon_sym_LPAREN] = ACTIONS(9631),
    [anon_sym_RPAREN] = ACTIONS(9631),
    [anon_sym_DOT] = ACTIONS(9633),
    [anon_sym_COLON_COLON] = ACTIONS(9631),
    [anon_sym_COMMA] = ACTIONS(9631),
    [anon_sym_PIPE] = ACTIONS(9633),
    [anon_sym_SEMI] = ACTIONS(9631),
    [anon_sym_STAR] = ACTIONS(9633),
    [anon_sym_STAR_STAR] = ACTIONS(9633),
    [anon_sym_AMP] = ACTIONS(9633),
    [anon_sym_EQ] = ACTIONS(9633),
    [anon_sym_class] = ACTIONS(9633),
    [anon_sym_LT] = ACTIONS(9633),
    [anon_sym_module] = ACTIONS(9633),
    [anon_sym_return] = ACTIONS(9633),
    [anon_sym_yield] = ACTIONS(9633),
    [anon_sym_break] = ACTIONS(9633),
    [anon_sym_next] = ACTIONS(9633),
    [sym_redo] = ACTIONS(9633),
    [sym_retry] = ACTIONS(9633),
    [anon_sym_if] = ACTIONS(9633),
    [anon_sym_unless] = ACTIONS(9633),
    [anon_sym_while] = ACTIONS(9633),
    [anon_sym_until] = ACTIONS(9633),
    [anon_sym_rescue] = ACTIONS(9633),
    [anon_sym_for] = ACTIONS(9633),
    [anon_sym_in] = ACTIONS(9633),
    [anon_sym_do] = ACTIONS(9633),
    [anon_sym_case] = ACTIONS(9633),
    [anon_sym_begin] = ACTIONS(9633),
    [anon_sym_EQ_GT] = ACTIONS(9631),
    [anon_sym_RBRACK] = ACTIONS(9631),
    [anon_sym_AMP_DOT] = ACTIONS(9631),
    [anon_sym_PLUS_EQ] = ACTIONS(9631),
    [anon_sym_DASH_EQ] = ACTIONS(9631),
    [anon_sym_STAR_EQ] = ACTIONS(9631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9631),
    [anon_sym_SLASH_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9631),
    [anon_sym_AMP_EQ] = ACTIONS(9631),
    [anon_sym_PERCENT_EQ] = ACTIONS(9631),
    [anon_sym_GT_GT_EQ] = ACTIONS(9631),
    [anon_sym_LT_LT_EQ] = ACTIONS(9631),
    [anon_sym_CARET_EQ] = ACTIONS(9631),
    [anon_sym_QMARK] = ACTIONS(9633),
    [anon_sym_COLON] = ACTIONS(9633),
    [anon_sym_DOT_DOT] = ACTIONS(9633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9631),
    [anon_sym_and] = ACTIONS(9633),
    [anon_sym_or] = ACTIONS(9633),
    [anon_sym_PIPE_PIPE] = ACTIONS(9633),
    [anon_sym_AMP_AMP] = ACTIONS(9633),
    [anon_sym_LT_LT] = ACTIONS(9633),
    [anon_sym_GT_GT] = ACTIONS(9633),
    [anon_sym_EQ_EQ] = ACTIONS(9633),
    [anon_sym_BANG_EQ] = ACTIONS(9631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9631),
    [anon_sym_LT_EQ_GT] = ACTIONS(9631),
    [anon_sym_EQ_TILDE] = ACTIONS(9631),
    [anon_sym_BANG_TILDE] = ACTIONS(9631),
    [anon_sym_LT_EQ] = ACTIONS(9633),
    [anon_sym_GT] = ACTIONS(9633),
    [anon_sym_GT_EQ] = ACTIONS(9631),
    [anon_sym_CARET] = ACTIONS(9633),
    [anon_sym_PLUS] = ACTIONS(9633),
    [anon_sym_SLASH] = ACTIONS(9633),
    [anon_sym_PERCENT] = ACTIONS(9633),
    [anon_sym_defined_QMARK] = ACTIONS(9631),
    [anon_sym_not] = ACTIONS(9633),
    [anon_sym_BANG] = ACTIONS(9633),
    [anon_sym_TILDE] = ACTIONS(9631),
    [sym_constant] = ACTIONS(9633),
    [sym_identifier] = ACTIONS(9633),
    [sym_instance_variable] = ACTIONS(9631),
    [sym_class_variable] = ACTIONS(9631),
    [sym_global_variable] = ACTIONS(9631),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(9633),
    [sym_float] = ACTIONS(9633),
    [sym_complex] = ACTIONS(9631),
    [sym_super] = ACTIONS(9633),
    [anon_sym_true] = ACTIONS(9633),
    [anon_sym_TRUE] = ACTIONS(9633),
    [anon_sym_false] = ACTIONS(9633),
    [anon_sym_FALSE] = ACTIONS(9633),
    [sym_self] = ACTIONS(9633),
    [anon_sym_nil] = ACTIONS(9633),
    [anon_sym_NIL] = ACTIONS(9633),
    [sym_character] = ACTIONS(9631),
    [anon_sym_LBRACK] = ACTIONS(9631),
    [anon_sym_DASH_GT] = ACTIONS(9631),
  },
  [6534] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_RBRACK] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6535] = {
    [sym__heredoc_body_start] = ACTIONS(9362),
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [sym__binary_minus] = ACTIONS(9362),
    [sym__binary_star] = ACTIONS(9362),
    [anon_sym_LBRACE] = ACTIONS(9362),
    [anon_sym_RBRACE] = ACTIONS(9362),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9364),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_PIPE] = ACTIONS(9364),
    [anon_sym_SEMI] = ACTIONS(9362),
    [anon_sym_STAR_STAR] = ACTIONS(9364),
    [anon_sym_AMP] = ACTIONS(9364),
    [anon_sym_EQ] = ACTIONS(9364),
    [anon_sym_LT] = ACTIONS(9364),
    [anon_sym_if] = ACTIONS(9362),
    [anon_sym_unless] = ACTIONS(9362),
    [anon_sym_while] = ACTIONS(9362),
    [anon_sym_until] = ACTIONS(9362),
    [anon_sym_rescue] = ACTIONS(9362),
    [anon_sym_in] = ACTIONS(9362),
    [anon_sym_do] = ACTIONS(9362),
    [anon_sym_EQ_GT] = ACTIONS(9362),
    [anon_sym_RBRACK] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [anon_sym_PLUS_EQ] = ACTIONS(9362),
    [anon_sym_DASH_EQ] = ACTIONS(9362),
    [anon_sym_STAR_EQ] = ACTIONS(9362),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9362),
    [anon_sym_SLASH_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9362),
    [anon_sym_AMP_EQ] = ACTIONS(9362),
    [anon_sym_PERCENT_EQ] = ACTIONS(9362),
    [anon_sym_GT_GT_EQ] = ACTIONS(9362),
    [anon_sym_LT_LT_EQ] = ACTIONS(9362),
    [anon_sym_CARET_EQ] = ACTIONS(9362),
    [anon_sym_QMARK] = ACTIONS(9362),
    [anon_sym_COLON] = ACTIONS(9362),
    [anon_sym_DOT_DOT] = ACTIONS(9364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9362),
    [anon_sym_and] = ACTIONS(9362),
    [anon_sym_or] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE] = ACTIONS(9364),
    [anon_sym_AMP_AMP] = ACTIONS(9364),
    [anon_sym_LT_LT] = ACTIONS(9364),
    [anon_sym_GT_GT] = ACTIONS(9364),
    [anon_sym_EQ_EQ] = ACTIONS(9364),
    [anon_sym_BANG_EQ] = ACTIONS(9362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9362),
    [anon_sym_LT_EQ_GT] = ACTIONS(9362),
    [anon_sym_EQ_TILDE] = ACTIONS(9362),
    [anon_sym_BANG_TILDE] = ACTIONS(9362),
    [anon_sym_LT_EQ] = ACTIONS(9364),
    [anon_sym_GT] = ACTIONS(9364),
    [anon_sym_GT_EQ] = ACTIONS(9362),
    [anon_sym_CARET] = ACTIONS(9364),
    [anon_sym_PLUS] = ACTIONS(9364),
    [anon_sym_SLASH] = ACTIONS(9364),
    [anon_sym_PERCENT] = ACTIONS(9364),
    [sym_comment] = ACTIONS(87),
  },
  [6536] = {
    [anon_sym_RBRACE] = ACTIONS(11850),
    [sym_comment] = ACTIONS(87),
  },
  [6537] = {
    [sym__heredoc_body_start] = ACTIONS(9390),
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [sym__binary_minus] = ACTIONS(9390),
    [sym__binary_star] = ACTIONS(9390),
    [anon_sym_LBRACE] = ACTIONS(9390),
    [anon_sym_RBRACE] = ACTIONS(9390),
    [anon_sym_RPAREN] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9392),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_PIPE] = ACTIONS(9392),
    [anon_sym_SEMI] = ACTIONS(9390),
    [anon_sym_STAR_STAR] = ACTIONS(9392),
    [anon_sym_AMP] = ACTIONS(9392),
    [anon_sym_EQ] = ACTIONS(9392),
    [anon_sym_LT] = ACTIONS(9392),
    [anon_sym_if] = ACTIONS(9390),
    [anon_sym_unless] = ACTIONS(9390),
    [anon_sym_while] = ACTIONS(9390),
    [anon_sym_until] = ACTIONS(9390),
    [anon_sym_rescue] = ACTIONS(9390),
    [anon_sym_in] = ACTIONS(9390),
    [anon_sym_do] = ACTIONS(9390),
    [anon_sym_EQ_GT] = ACTIONS(9390),
    [anon_sym_RBRACK] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [anon_sym_PLUS_EQ] = ACTIONS(9390),
    [anon_sym_DASH_EQ] = ACTIONS(9390),
    [anon_sym_STAR_EQ] = ACTIONS(9390),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9390),
    [anon_sym_SLASH_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9390),
    [anon_sym_AMP_EQ] = ACTIONS(9390),
    [anon_sym_PERCENT_EQ] = ACTIONS(9390),
    [anon_sym_GT_GT_EQ] = ACTIONS(9390),
    [anon_sym_LT_LT_EQ] = ACTIONS(9390),
    [anon_sym_CARET_EQ] = ACTIONS(9390),
    [anon_sym_QMARK] = ACTIONS(9390),
    [anon_sym_COLON] = ACTIONS(9390),
    [anon_sym_DOT_DOT] = ACTIONS(9392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9390),
    [anon_sym_and] = ACTIONS(9390),
    [anon_sym_or] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE] = ACTIONS(9392),
    [anon_sym_AMP_AMP] = ACTIONS(9392),
    [anon_sym_LT_LT] = ACTIONS(9392),
    [anon_sym_GT_GT] = ACTIONS(9392),
    [anon_sym_EQ_EQ] = ACTIONS(9392),
    [anon_sym_BANG_EQ] = ACTIONS(9390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9390),
    [anon_sym_LT_EQ_GT] = ACTIONS(9390),
    [anon_sym_EQ_TILDE] = ACTIONS(9390),
    [anon_sym_BANG_TILDE] = ACTIONS(9390),
    [anon_sym_LT_EQ] = ACTIONS(9392),
    [anon_sym_GT] = ACTIONS(9392),
    [anon_sym_GT_EQ] = ACTIONS(9390),
    [anon_sym_CARET] = ACTIONS(9392),
    [anon_sym_PLUS] = ACTIONS(9392),
    [anon_sym_SLASH] = ACTIONS(9392),
    [anon_sym_PERCENT] = ACTIONS(9392),
    [sym_comment] = ACTIONS(87),
  },
  [6538] = {
    [anon_sym_end] = ACTIONS(11852),
    [sym_comment] = ACTIONS(87),
  },
  [6539] = {
    [sym__statements] = STATE(9080),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11854),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6540] = {
    [sym__statements] = STATE(9080),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(9081),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(9081),
    [sym__line_break] = ACTIONS(11856),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11854),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6541] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6542] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_RBRACK] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [6543] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6544] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [6545] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6546] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6547] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_RBRACK] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6548] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(11858),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6549] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6550] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6551] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6552] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6553] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6554] = {
    [sym_heredoc_body] = STATE(6554),
    [aux_sym_call_repeat1] = STATE(6554),
    [sym__heredoc_body_start] = ACTIONS(10362),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_RBRACK] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [6555] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1447),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym__argument] = STATE(7428),
    [sym_splat_argument] = STATE(7428),
    [sym_hash_splat_argument] = STATE(7428),
    [sym_block_argument] = STATE(7428),
    [sym_assignment] = STATE(1447),
    [sym_operator_assignment] = STATE(1447),
    [sym_conditional] = STATE(1447),
    [sym_range] = STATE(1447),
    [sym_binary] = STATE(1447),
    [sym_unary] = STATE(1447),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1455),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7428),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(2429),
    [sym__splat_star] = ACTIONS(2431),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__identifier_hash_key] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(9331),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2457),
    [sym_identifier] = ACTIONS(2457),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6556] = {
    [sym_heredoc_body] = STATE(6554),
    [aux_sym_call_repeat1] = STATE(6554),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_RBRACK] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [6557] = {
    [aux_sym_argument_list_repeat1] = STATE(6557),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(11860),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_RBRACK] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [6558] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_RBRACK] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6559] = {
    [aux_sym_exceptions_repeat1] = STATE(9084),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_RBRACK] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [6560] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_RBRACK] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6561] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_RBRACK] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [6562] = {
    [sym_string] = STATE(6562),
    [aux_sym_chained_string_repeat1] = STATE(6562),
    [sym__string_start] = ACTIONS(10368),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_RBRACK] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [6563] = {
    [sym__simple_symbol] = ACTIONS(3138),
    [sym__string_start] = ACTIONS(3138),
    [sym__symbol_start] = ACTIONS(3138),
    [sym__subshell_start] = ACTIONS(3138),
    [sym__regex_start] = ACTIONS(3138),
    [sym__string_array_start] = ACTIONS(3138),
    [sym__symbol_array_start] = ACTIONS(3138),
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym_heredoc_beginning] = ACTIONS(3138),
    [sym__block_ampersand] = ACTIONS(3138),
    [sym__splat_star] = ACTIONS(3138),
    [sym__unary_minus] = ACTIONS(3138),
    [sym__identifier_hash_key] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_def] = ACTIONS(4930),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_STAR_STAR] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(4930),
    [anon_sym_module] = ACTIONS(4930),
    [anon_sym_return] = ACTIONS(4930),
    [anon_sym_yield] = ACTIONS(4930),
    [anon_sym_break] = ACTIONS(4930),
    [anon_sym_next] = ACTIONS(4930),
    [sym_redo] = ACTIONS(4930),
    [sym_retry] = ACTIONS(4930),
    [anon_sym_if] = ACTIONS(4930),
    [anon_sym_unless] = ACTIONS(4930),
    [anon_sym_while] = ACTIONS(4930),
    [anon_sym_until] = ACTIONS(4930),
    [anon_sym_for] = ACTIONS(4930),
    [anon_sym_case] = ACTIONS(4930),
    [anon_sym_begin] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_defined_QMARK] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(4930),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [sym_constant] = ACTIONS(4930),
    [sym_identifier] = ACTIONS(4930),
    [sym_instance_variable] = ACTIONS(3138),
    [sym_class_variable] = ACTIONS(3138),
    [sym_global_variable] = ACTIONS(3138),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4930),
    [sym_float] = ACTIONS(4930),
    [sym_complex] = ACTIONS(3138),
    [sym_super] = ACTIONS(4930),
    [anon_sym_true] = ACTIONS(4930),
    [anon_sym_TRUE] = ACTIONS(4930),
    [anon_sym_false] = ACTIONS(4930),
    [anon_sym_FALSE] = ACTIONS(4930),
    [sym_self] = ACTIONS(4930),
    [anon_sym_nil] = ACTIONS(4930),
    [anon_sym_NIL] = ACTIONS(4930),
    [sym_character] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
  },
  [6564] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(11863),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [6565] = {
    [sym__heredoc_body_start] = ACTIONS(11865),
    [anon_sym_RPAREN] = ACTIONS(11865),
    [anon_sym_RBRACK] = ACTIONS(11865),
    [sym_comment] = ACTIONS(87),
  },
  [6566] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_RBRACK] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2405),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ_GT] = ACTIONS(2409),
    [anon_sym_EQ_TILDE] = ACTIONS(2409),
    [anon_sym_BANG_TILDE] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_GT_EQ] = ACTIONS(2415),
    [anon_sym_CARET] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [6567] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3692),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(368),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(368),
    [sym_splat_argument] = STATE(9086),
    [sym_assignment] = STATE(3692),
    [sym_operator_assignment] = STATE(3692),
    [sym_conditional] = STATE(3692),
    [sym_range] = STATE(3692),
    [sym_binary] = STATE(3692),
    [sym_unary] = STATE(3692),
    [sym__arg_or_splat_arg] = STATE(9086),
    [sym_left_assignment_list] = STATE(367),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(368),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(368),
    [sym_false] = STATE(368),
    [sym_nil] = STATE(368),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(5682),
    [sym__unary_minus] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_defined_QMARK] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6568] = {
    [aux_sym_exceptions_repeat1] = STATE(9087),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(11867),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_RBRACK] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [6569] = {
    [sym__simple_symbol] = ACTIONS(11869),
    [sym__string_start] = ACTIONS(11869),
    [sym__symbol_start] = ACTIONS(11869),
    [sym__subshell_start] = ACTIONS(11869),
    [sym__regex_start] = ACTIONS(11869),
    [sym__string_array_start] = ACTIONS(11869),
    [sym__symbol_array_start] = ACTIONS(11869),
    [sym_heredoc_beginning] = ACTIONS(11869),
    [sym__unary_minus] = ACTIONS(11869),
    [anon_sym_BEGIN] = ACTIONS(11871),
    [anon_sym_LBRACE] = ACTIONS(11869),
    [anon_sym_RBRACE] = ACTIONS(11869),
    [anon_sym_END] = ACTIONS(11871),
    [anon_sym_def] = ACTIONS(11871),
    [anon_sym_LPAREN] = ACTIONS(11869),
    [anon_sym_COLON_COLON] = ACTIONS(11869),
    [anon_sym_SEMI] = ACTIONS(11869),
    [anon_sym_STAR] = ACTIONS(11869),
    [anon_sym_class] = ACTIONS(11871),
    [anon_sym_module] = ACTIONS(11871),
    [anon_sym_return] = ACTIONS(11871),
    [anon_sym_yield] = ACTIONS(11871),
    [anon_sym_break] = ACTIONS(11871),
    [anon_sym_next] = ACTIONS(11871),
    [sym_redo] = ACTIONS(11871),
    [sym_retry] = ACTIONS(11871),
    [anon_sym_if] = ACTIONS(11871),
    [anon_sym_unless] = ACTIONS(11871),
    [anon_sym_while] = ACTIONS(11871),
    [anon_sym_until] = ACTIONS(11871),
    [anon_sym_for] = ACTIONS(11871),
    [anon_sym_case] = ACTIONS(11871),
    [anon_sym_begin] = ACTIONS(11871),
    [anon_sym_PLUS] = ACTIONS(11871),
    [anon_sym_defined_QMARK] = ACTIONS(11869),
    [anon_sym_not] = ACTIONS(11871),
    [anon_sym_BANG] = ACTIONS(11869),
    [anon_sym_TILDE] = ACTIONS(11869),
    [sym_constant] = ACTIONS(11871),
    [sym_identifier] = ACTIONS(11871),
    [sym_instance_variable] = ACTIONS(11869),
    [sym_class_variable] = ACTIONS(11869),
    [sym_global_variable] = ACTIONS(11869),
    [anon_sym_undef] = ACTIONS(11871),
    [anon_sym_alias] = ACTIONS(11871),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(11871),
    [sym_float] = ACTIONS(11871),
    [sym_complex] = ACTIONS(11869),
    [sym_super] = ACTIONS(11871),
    [anon_sym_true] = ACTIONS(11871),
    [anon_sym_TRUE] = ACTIONS(11871),
    [anon_sym_false] = ACTIONS(11871),
    [anon_sym_FALSE] = ACTIONS(11871),
    [sym_self] = ACTIONS(11871),
    [anon_sym_nil] = ACTIONS(11871),
    [anon_sym_NIL] = ACTIONS(11871),
    [sym_character] = ACTIONS(11869),
    [anon_sym_LBRACK] = ACTIONS(11869),
    [anon_sym_DASH_GT] = ACTIONS(11869),
  },
  [6570] = {
    [sym_identifier] = ACTIONS(11873),
    [sym_comment] = ACTIONS(87),
  },
  [6571] = {
    [aux_sym_block_parameters_repeat1] = STATE(9091),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(11877),
    [sym_comment] = ACTIONS(87),
  },
  [6572] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9100),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(9100),
    [sym_operator_assignment] = STATE(9100),
    [sym_conditional] = STATE(9100),
    [sym_range] = STATE(9100),
    [sym_binary] = STATE(9100),
    [sym_unary] = STATE(9100),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_COMMA] = ACTIONS(5736),
    [anon_sym_PIPE] = ACTIONS(5736),
    [anon_sym_SEMI] = ACTIONS(5736),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6573] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9105),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(9105),
    [sym_operator_assignment] = STATE(9105),
    [sym_conditional] = STATE(9105),
    [sym_range] = STATE(9105),
    [sym_binary] = STATE(9105),
    [sym_unary] = STATE(9105),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6574] = {
    [sym__formal_parameter] = STATE(6581),
    [sym__simple_formal_parameter] = STATE(6581),
    [sym_destructured_parameter] = STATE(6581),
    [sym_splat_parameter] = STATE(6581),
    [sym_hash_splat_parameter] = STATE(6581),
    [sym_block_parameter] = STATE(6581),
    [sym_keyword_parameter] = STATE(6581),
    [sym_optional_parameter] = STATE(6581),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_PIPE] = ACTIONS(11877),
    [anon_sym_SEMI] = ACTIONS(11901),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(5694),
    [sym_comment] = ACTIONS(87),
  },
  [6575] = {
    [aux_sym_method_parameters_repeat1] = STATE(9108),
    [anon_sym_COMMA] = ACTIONS(11903),
    [anon_sym_PIPE] = ACTIONS(11877),
    [anon_sym_SEMI] = ACTIONS(11901),
    [sym_comment] = ACTIONS(87),
  },
  [6576] = {
    [sym__line_break] = ACTIONS(11905),
    [sym__heredoc_body_start] = ACTIONS(11905),
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [sym__binary_minus] = ACTIONS(11905),
    [sym__binary_star] = ACTIONS(11905),
    [ts_builtin_sym_end] = ACTIONS(11905),
    [anon_sym___END__] = ACTIONS(11905),
    [anon_sym_LBRACE] = ACTIONS(11905),
    [anon_sym_RBRACE] = ACTIONS(11905),
    [anon_sym_RPAREN] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11907),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_PIPE] = ACTIONS(11907),
    [anon_sym_SEMI] = ACTIONS(11905),
    [anon_sym_STAR_STAR] = ACTIONS(11905),
    [anon_sym_AMP] = ACTIONS(11907),
    [anon_sym_LT] = ACTIONS(11907),
    [anon_sym_end] = ACTIONS(11905),
    [anon_sym_if] = ACTIONS(11905),
    [anon_sym_unless] = ACTIONS(11905),
    [anon_sym_while] = ACTIONS(11905),
    [anon_sym_until] = ACTIONS(11905),
    [anon_sym_rescue] = ACTIONS(11905),
    [anon_sym_do] = ACTIONS(11905),
    [anon_sym_when] = ACTIONS(11905),
    [anon_sym_elsif] = ACTIONS(11905),
    [anon_sym_else] = ACTIONS(11905),
    [anon_sym_then] = ACTIONS(11905),
    [anon_sym_ensure] = ACTIONS(11905),
    [anon_sym_EQ_GT] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [anon_sym_QMARK] = ACTIONS(11905),
    [anon_sym_DOT_DOT] = ACTIONS(11907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11905),
    [anon_sym_and] = ACTIONS(11905),
    [anon_sym_or] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE] = ACTIONS(11905),
    [anon_sym_AMP_AMP] = ACTIONS(11905),
    [anon_sym_LT_LT] = ACTIONS(11905),
    [anon_sym_GT_GT] = ACTIONS(11905),
    [anon_sym_EQ_EQ] = ACTIONS(11907),
    [anon_sym_BANG_EQ] = ACTIONS(11905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11905),
    [anon_sym_LT_EQ_GT] = ACTIONS(11905),
    [anon_sym_EQ_TILDE] = ACTIONS(11905),
    [anon_sym_BANG_TILDE] = ACTIONS(11905),
    [anon_sym_LT_EQ] = ACTIONS(11907),
    [anon_sym_GT] = ACTIONS(11907),
    [anon_sym_GT_EQ] = ACTIONS(11905),
    [anon_sym_CARET] = ACTIONS(11905),
    [anon_sym_PLUS] = ACTIONS(11905),
    [anon_sym_SLASH] = ACTIONS(11905),
    [anon_sym_PERCENT] = ACTIONS(11905),
    [sym_comment] = ACTIONS(87),
  },
  [6577] = {
    [anon_sym_RPAREN] = ACTIONS(11909),
    [anon_sym_COMMA] = ACTIONS(11909),
    [anon_sym_PIPE] = ACTIONS(11909),
    [anon_sym_SEMI] = ACTIONS(11909),
    [sym_comment] = ACTIONS(87),
  },
  [6578] = {
    [aux_sym_method_parameters_repeat1] = STATE(6583),
    [anon_sym_RPAREN] = ACTIONS(11911),
    [anon_sym_COMMA] = ACTIONS(5706),
    [sym_comment] = ACTIONS(87),
  },
  [6579] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(9404),
    [anon_sym_COMMA] = ACTIONS(9404),
    [anon_sym_PIPE] = ACTIONS(10455),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(10461),
    [anon_sym_QMARK] = ACTIONS(10463),
    [anon_sym_DOT_DOT] = ACTIONS(10465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10467),
    [anon_sym_and] = ACTIONS(11913),
    [anon_sym_or] = ACTIONS(11913),
    [anon_sym_PIPE_PIPE] = ACTIONS(10469),
    [anon_sym_AMP_AMP] = ACTIONS(10469),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(10473),
    [anon_sym_BANG_EQ] = ACTIONS(10469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10469),
    [anon_sym_LT_EQ_GT] = ACTIONS(10469),
    [anon_sym_EQ_TILDE] = ACTIONS(10469),
    [anon_sym_BANG_TILDE] = ACTIONS(10469),
    [anon_sym_LT_EQ] = ACTIONS(10461),
    [anon_sym_GT] = ACTIONS(10461),
    [anon_sym_GT_EQ] = ACTIONS(10475),
    [anon_sym_CARET] = ACTIONS(10477),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [6580] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_PIPE] = ACTIONS(10455),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(10461),
    [anon_sym_QMARK] = ACTIONS(10463),
    [anon_sym_DOT_DOT] = ACTIONS(10465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10467),
    [anon_sym_and] = ACTIONS(11913),
    [anon_sym_or] = ACTIONS(11913),
    [anon_sym_PIPE_PIPE] = ACTIONS(10469),
    [anon_sym_AMP_AMP] = ACTIONS(10469),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(10473),
    [anon_sym_BANG_EQ] = ACTIONS(10469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10469),
    [anon_sym_LT_EQ_GT] = ACTIONS(10469),
    [anon_sym_EQ_TILDE] = ACTIONS(10469),
    [anon_sym_BANG_TILDE] = ACTIONS(10469),
    [anon_sym_LT_EQ] = ACTIONS(10461),
    [anon_sym_GT] = ACTIONS(10461),
    [anon_sym_GT_EQ] = ACTIONS(10475),
    [anon_sym_CARET] = ACTIONS(10477),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [6581] = {
    [anon_sym_RPAREN] = ACTIONS(11915),
    [anon_sym_COMMA] = ACTIONS(11915),
    [anon_sym_PIPE] = ACTIONS(11915),
    [anon_sym_SEMI] = ACTIONS(11915),
    [sym_comment] = ACTIONS(87),
  },
  [6582] = {
    [anon_sym_LBRACE] = ACTIONS(11917),
    [anon_sym_do] = ACTIONS(11917),
    [sym_comment] = ACTIONS(87),
  },
  [6583] = {
    [aux_sym_method_parameters_repeat1] = STATE(6583),
    [anon_sym_RPAREN] = ACTIONS(11915),
    [anon_sym_COMMA] = ACTIONS(11919),
    [sym_comment] = ACTIONS(87),
  },
  [6584] = {
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(5684),
    [sym_comment] = ACTIONS(87),
  },
  [6585] = {
    [anon_sym_RBRACE] = ACTIONS(11922),
    [sym_comment] = ACTIONS(87),
  },
  [6586] = {
    [sym__statements] = STATE(9111),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(11922),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6587] = {
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym_do] = ACTIONS(5724),
    [sym_comment] = ACTIONS(87),
  },
  [6588] = {
    [anon_sym_end] = ACTIONS(11924),
    [sym_comment] = ACTIONS(87),
  },
  [6589] = {
    [sym__statements] = STATE(9113),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(9114),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(9114),
    [sym__line_break] = ACTIONS(11926),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11928),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6590] = {
    [sym__statements] = STATE(9113),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(9115),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11928),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6591] = {
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym_do] = ACTIONS(5760),
    [sym_comment] = ACTIONS(87),
  },
  [6592] = {
    [sym__line_break] = ACTIONS(11869),
    [sym__simple_symbol] = ACTIONS(11869),
    [sym__string_start] = ACTIONS(11869),
    [sym__symbol_start] = ACTIONS(11869),
    [sym__subshell_start] = ACTIONS(11869),
    [sym__regex_start] = ACTIONS(11869),
    [sym__string_array_start] = ACTIONS(11869),
    [sym__symbol_array_start] = ACTIONS(11869),
    [sym__heredoc_body_start] = ACTIONS(11869),
    [sym_heredoc_beginning] = ACTIONS(11869),
    [sym__unary_minus] = ACTIONS(11869),
    [anon_sym_BEGIN] = ACTIONS(11871),
    [anon_sym_LBRACE] = ACTIONS(11869),
    [anon_sym_END] = ACTIONS(11871),
    [anon_sym_def] = ACTIONS(11871),
    [anon_sym_LPAREN] = ACTIONS(11869),
    [anon_sym_COLON_COLON] = ACTIONS(11869),
    [anon_sym_SEMI] = ACTIONS(11869),
    [anon_sym_STAR] = ACTIONS(11869),
    [anon_sym_class] = ACTIONS(11871),
    [anon_sym_module] = ACTIONS(11871),
    [anon_sym_end] = ACTIONS(11871),
    [anon_sym_return] = ACTIONS(11871),
    [anon_sym_yield] = ACTIONS(11871),
    [anon_sym_break] = ACTIONS(11871),
    [anon_sym_next] = ACTIONS(11871),
    [sym_redo] = ACTIONS(11871),
    [sym_retry] = ACTIONS(11871),
    [anon_sym_if] = ACTIONS(11871),
    [anon_sym_unless] = ACTIONS(11871),
    [anon_sym_while] = ACTIONS(11871),
    [anon_sym_until] = ACTIONS(11871),
    [anon_sym_for] = ACTIONS(11871),
    [anon_sym_case] = ACTIONS(11871),
    [anon_sym_begin] = ACTIONS(11871),
    [anon_sym_PLUS] = ACTIONS(11871),
    [anon_sym_defined_QMARK] = ACTIONS(11869),
    [anon_sym_not] = ACTIONS(11871),
    [anon_sym_BANG] = ACTIONS(11869),
    [anon_sym_TILDE] = ACTIONS(11869),
    [sym_constant] = ACTIONS(11871),
    [sym_identifier] = ACTIONS(11871),
    [sym_instance_variable] = ACTIONS(11869),
    [sym_class_variable] = ACTIONS(11869),
    [sym_global_variable] = ACTIONS(11869),
    [anon_sym_undef] = ACTIONS(11871),
    [anon_sym_alias] = ACTIONS(11871),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(11871),
    [sym_float] = ACTIONS(11871),
    [sym_complex] = ACTIONS(11869),
    [sym_super] = ACTIONS(11871),
    [anon_sym_true] = ACTIONS(11871),
    [anon_sym_TRUE] = ACTIONS(11871),
    [anon_sym_false] = ACTIONS(11871),
    [anon_sym_FALSE] = ACTIONS(11871),
    [sym_self] = ACTIONS(11871),
    [anon_sym_nil] = ACTIONS(11871),
    [anon_sym_NIL] = ACTIONS(11871),
    [sym_character] = ACTIONS(11869),
    [anon_sym_LBRACK] = ACTIONS(11869),
    [anon_sym_DASH_GT] = ACTIONS(11869),
  },
  [6593] = {
    [sym_identifier] = ACTIONS(11930),
    [sym_comment] = ACTIONS(87),
  },
  [6594] = {
    [aux_sym_block_parameters_repeat1] = STATE(9118),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(11932),
    [sym_comment] = ACTIONS(87),
  },
  [6595] = {
    [sym__formal_parameter] = STATE(6581),
    [sym__simple_formal_parameter] = STATE(6581),
    [sym_destructured_parameter] = STATE(6581),
    [sym_splat_parameter] = STATE(6581),
    [sym_hash_splat_parameter] = STATE(6581),
    [sym_block_parameter] = STATE(6581),
    [sym_keyword_parameter] = STATE(6581),
    [sym_optional_parameter] = STATE(6581),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_PIPE] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11934),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(5694),
    [sym_comment] = ACTIONS(87),
  },
  [6596] = {
    [aux_sym_method_parameters_repeat1] = STATE(9108),
    [anon_sym_COMMA] = ACTIONS(11936),
    [anon_sym_PIPE] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11934),
    [sym_comment] = ACTIONS(87),
  },
  [6597] = {
    [sym__line_break] = ACTIONS(11938),
    [sym__heredoc_body_start] = ACTIONS(11938),
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [sym__binary_minus] = ACTIONS(11938),
    [sym__binary_star] = ACTIONS(11938),
    [ts_builtin_sym_end] = ACTIONS(11938),
    [anon_sym___END__] = ACTIONS(11938),
    [anon_sym_LBRACE] = ACTIONS(11938),
    [anon_sym_RBRACE] = ACTIONS(11938),
    [anon_sym_RPAREN] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11940),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_PIPE] = ACTIONS(11940),
    [anon_sym_SEMI] = ACTIONS(11938),
    [anon_sym_STAR_STAR] = ACTIONS(11938),
    [anon_sym_AMP] = ACTIONS(11940),
    [anon_sym_LT] = ACTIONS(11940),
    [anon_sym_end] = ACTIONS(11938),
    [anon_sym_if] = ACTIONS(11938),
    [anon_sym_unless] = ACTIONS(11938),
    [anon_sym_while] = ACTIONS(11938),
    [anon_sym_until] = ACTIONS(11938),
    [anon_sym_rescue] = ACTIONS(11938),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_when] = ACTIONS(11938),
    [anon_sym_elsif] = ACTIONS(11938),
    [anon_sym_else] = ACTIONS(11938),
    [anon_sym_then] = ACTIONS(11938),
    [anon_sym_ensure] = ACTIONS(11938),
    [anon_sym_EQ_GT] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [anon_sym_QMARK] = ACTIONS(11938),
    [anon_sym_DOT_DOT] = ACTIONS(11940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11938),
    [anon_sym_and] = ACTIONS(11938),
    [anon_sym_or] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE] = ACTIONS(11938),
    [anon_sym_AMP_AMP] = ACTIONS(11938),
    [anon_sym_LT_LT] = ACTIONS(11938),
    [anon_sym_GT_GT] = ACTIONS(11938),
    [anon_sym_EQ_EQ] = ACTIONS(11940),
    [anon_sym_BANG_EQ] = ACTIONS(11938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11938),
    [anon_sym_LT_EQ_GT] = ACTIONS(11938),
    [anon_sym_EQ_TILDE] = ACTIONS(11938),
    [anon_sym_BANG_TILDE] = ACTIONS(11938),
    [anon_sym_LT_EQ] = ACTIONS(11940),
    [anon_sym_GT] = ACTIONS(11940),
    [anon_sym_GT_EQ] = ACTIONS(11938),
    [anon_sym_CARET] = ACTIONS(11938),
    [anon_sym_PLUS] = ACTIONS(11938),
    [anon_sym_SLASH] = ACTIONS(11938),
    [anon_sym_PERCENT] = ACTIONS(11938),
    [sym_comment] = ACTIONS(87),
  },
  [6598] = {
    [anon_sym_end] = ACTIONS(11942),
    [sym_comment] = ACTIONS(87),
  },
  [6599] = {
    [sym__statements] = STATE(9122),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(11944),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6600] = {
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [6601] = {
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [6602] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(9406),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(9412),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(9414),
    [anon_sym_DOT_DOT] = ACTIONS(9416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9418),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(9422),
    [anon_sym_AMP_AMP] = ACTIONS(9422),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(9426),
    [anon_sym_BANG_EQ] = ACTIONS(9422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9422),
    [anon_sym_LT_EQ_GT] = ACTIONS(9422),
    [anon_sym_EQ_TILDE] = ACTIONS(9422),
    [anon_sym_BANG_TILDE] = ACTIONS(9422),
    [anon_sym_LT_EQ] = ACTIONS(9412),
    [anon_sym_GT] = ACTIONS(9412),
    [anon_sym_GT_EQ] = ACTIONS(9428),
    [anon_sym_CARET] = ACTIONS(9430),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [6603] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9123),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9123),
    [sym_operator_assignment] = STATE(9123),
    [sym_conditional] = STATE(9123),
    [sym_range] = STATE(9123),
    [sym_binary] = STATE(9123),
    [sym_unary] = STATE(9123),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6604] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9124),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9124),
    [sym_operator_assignment] = STATE(9124),
    [sym_conditional] = STATE(9124),
    [sym_range] = STATE(9124),
    [sym_binary] = STATE(9124),
    [sym_unary] = STATE(9124),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6605] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9125),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9125),
    [sym_operator_assignment] = STATE(9125),
    [sym_conditional] = STATE(9125),
    [sym_range] = STATE(9125),
    [sym_binary] = STATE(9125),
    [sym_unary] = STATE(9125),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6606] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9126),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9126),
    [sym_operator_assignment] = STATE(9126),
    [sym_conditional] = STATE(9126),
    [sym_range] = STATE(9126),
    [sym_binary] = STATE(9126),
    [sym_unary] = STATE(9126),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6607] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9127),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9127),
    [sym_operator_assignment] = STATE(9127),
    [sym_conditional] = STATE(9127),
    [sym_range] = STATE(9127),
    [sym_binary] = STATE(9127),
    [sym_unary] = STATE(9127),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6608] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9128),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9128),
    [sym_operator_assignment] = STATE(9128),
    [sym_conditional] = STATE(9128),
    [sym_range] = STATE(9128),
    [sym_binary] = STATE(9128),
    [sym_unary] = STATE(9128),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6609] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9129),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9129),
    [sym_operator_assignment] = STATE(9129),
    [sym_conditional] = STATE(9129),
    [sym_range] = STATE(9129),
    [sym_binary] = STATE(9129),
    [sym_unary] = STATE(9129),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6610] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9130),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9130),
    [sym_operator_assignment] = STATE(9130),
    [sym_conditional] = STATE(9130),
    [sym_range] = STATE(9130),
    [sym_binary] = STATE(9130),
    [sym_unary] = STATE(9130),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6611] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9131),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9131),
    [sym_operator_assignment] = STATE(9131),
    [sym_conditional] = STATE(9131),
    [sym_range] = STATE(9131),
    [sym_binary] = STATE(9131),
    [sym_unary] = STATE(9131),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6612] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9132),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9132),
    [sym_operator_assignment] = STATE(9132),
    [sym_conditional] = STATE(9132),
    [sym_range] = STATE(9132),
    [sym_binary] = STATE(9132),
    [sym_unary] = STATE(9132),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6613] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9133),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9133),
    [sym_operator_assignment] = STATE(9133),
    [sym_conditional] = STATE(9133),
    [sym_range] = STATE(9133),
    [sym_binary] = STATE(9133),
    [sym_unary] = STATE(9133),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6614] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9134),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9134),
    [sym_operator_assignment] = STATE(9134),
    [sym_conditional] = STATE(9134),
    [sym_range] = STATE(9134),
    [sym_binary] = STATE(9134),
    [sym_unary] = STATE(9134),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6615] = {
    [sym__statements] = STATE(4155),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_block_parameters] = STATE(4156),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1599),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_hash_splat_argument] = STATE(120),
    [sym_assignment] = STATE(1599),
    [sym_operator_assignment] = STATE(1599),
    [sym_conditional] = STATE(1599),
    [sym_range] = STATE(1599),
    [sym_binary] = STATE(1599),
    [sym_unary] = STATE(1599),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1603),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(2058),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym__hash_items] = STATE(2059),
    [sym_pair] = STATE(126),
    [sym_lambda] = STATE(222),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [sym__identifier_hash_key] = ACTIONS(157),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(11946),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2685),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6616] = {
    [sym_do_block] = STATE(4178),
    [sym_block] = STATE(4178),
    [sym__element_reference_left_bracket] = ACTIONS(2751),
    [sym__infix_scope_colons] = ACTIONS(2751),
    [sym__binary_minus] = ACTIONS(2751),
    [sym__binary_star] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(6417),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_AMP_DOT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2751),
    [anon_sym_DASH_EQ] = ACTIONS(2751),
    [anon_sym_STAR_EQ] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2751),
    [anon_sym_SLASH_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_EQ] = ACTIONS(2751),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2751),
    [anon_sym_AMP_EQ] = ACTIONS(2751),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_GT_GT_EQ] = ACTIONS(2751),
    [anon_sym_LT_LT_EQ] = ACTIONS(2751),
    [anon_sym_CARET_EQ] = ACTIONS(2751),
    [anon_sym_QMARK] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2751),
    [anon_sym_and] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_GT_GT] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2751),
    [anon_sym_LT_EQ_GT] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2751),
    [anon_sym_BANG_TILDE] = ACTIONS(2751),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [sym_comment] = ACTIONS(87),
  },
  [6617] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9137),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_splat_argument] = STATE(9138),
    [sym_assignment] = STATE(9137),
    [sym_operator_assignment] = STATE(9137),
    [sym_conditional] = STATE(9137),
    [sym_range] = STATE(9137),
    [sym_binary] = STATE(9137),
    [sym_unary] = STATE(9137),
    [sym_right_assignment_list] = STATE(2138),
    [sym__arg_or_splat_arg] = STATE(9138),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(11948),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6618] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9139),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(9139),
    [sym_operator_assignment] = STATE(9139),
    [sym_conditional] = STATE(9139),
    [sym_range] = STATE(9139),
    [sym_binary] = STATE(9139),
    [sym_unary] = STATE(9139),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6619] = {
    [sym_string] = STATE(9140),
    [aux_sym_chained_string_repeat1] = STATE(9140),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [6620] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9141),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(9141),
    [sym_operator_assignment] = STATE(9141),
    [sym_conditional] = STATE(9141),
    [sym_range] = STATE(9141),
    [sym_binary] = STATE(9141),
    [sym_unary] = STATE(9141),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6621] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(9142),
    [sym__argument] = STATE(9143),
    [sym_splat_argument] = STATE(9143),
    [sym_hash_splat_argument] = STATE(9143),
    [sym_block_argument] = STATE(9143),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(9143),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6622] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(9142),
    [sym__argument] = STATE(9143),
    [sym_splat_argument] = STATE(9143),
    [sym_hash_splat_argument] = STATE(9143),
    [sym_block_argument] = STATE(9143),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(9143),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_COLON] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6623] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(9142),
    [sym__argument] = STATE(9143),
    [sym_splat_argument] = STATE(9143),
    [sym_hash_splat_argument] = STATE(9143),
    [sym_block_argument] = STATE(9143),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(9143),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_COLON] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6624] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(9142),
    [sym__argument] = STATE(9143),
    [sym_splat_argument] = STATE(9143),
    [sym_hash_splat_argument] = STATE(9143),
    [sym_block_argument] = STATE(9143),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(9143),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_COLON] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6625] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9144),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(9144),
    [sym_operator_assignment] = STATE(9144),
    [sym_conditional] = STATE(9144),
    [sym_range] = STATE(9144),
    [sym_binary] = STATE(9144),
    [sym_unary] = STATE(9144),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6626] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9145),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(9145),
    [sym_operator_assignment] = STATE(9145),
    [sym_conditional] = STATE(9145),
    [sym_range] = STATE(9145),
    [sym_binary] = STATE(9145),
    [sym_unary] = STATE(9145),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6627] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6628] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(11962),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [6629] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3790),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(1936),
    [sym__argument_list_with_parens] = STATE(3792),
    [sym__argument] = STATE(3793),
    [sym_splat_argument] = STATE(3793),
    [sym_hash_splat_argument] = STATE(3793),
    [sym_block_argument] = STATE(3793),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(3790),
    [sym_operator_assignment] = STATE(3790),
    [sym_conditional] = STATE(3790),
    [sym_range] = STATE(3790),
    [sym_binary] = STATE(3790),
    [sym_unary] = STATE(3790),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3796),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3793),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(5866),
    [sym__splat_star] = ACTIONS(5868),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5890),
    [sym_identifier] = ACTIONS(5890),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6630] = {
    [anon_sym_EQ] = ACTIONS(11980),
    [sym_comment] = ACTIONS(87),
  },
  [6631] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(11982),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(11984),
    [anon_sym_DASH_EQ] = ACTIONS(11984),
    [anon_sym_STAR_EQ] = ACTIONS(11984),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11984),
    [anon_sym_SLASH_EQ] = ACTIONS(11984),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11984),
    [anon_sym_PIPE_EQ] = ACTIONS(11984),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11984),
    [anon_sym_AMP_EQ] = ACTIONS(11984),
    [anon_sym_PERCENT_EQ] = ACTIONS(11984),
    [anon_sym_GT_GT_EQ] = ACTIONS(11984),
    [anon_sym_LT_LT_EQ] = ACTIONS(11984),
    [anon_sym_CARET_EQ] = ACTIONS(11984),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6632] = {
    [sym_string] = STATE(9160),
    [aux_sym_chained_string_repeat1] = STATE(9160),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [6633] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11962),
    [anon_sym_COLON] = ACTIONS(4170),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [6634] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_COLON] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [6635] = {
    [sym_string] = STATE(6677),
    [aux_sym_chained_string_repeat1] = STATE(6677),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [6636] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9161),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(9161),
    [sym_operator_assignment] = STATE(9161),
    [sym_conditional] = STATE(9161),
    [sym_range] = STATE(9161),
    [sym_binary] = STATE(9161),
    [sym_unary] = STATE(9161),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6637] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(11962),
    [anon_sym_COLON] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [6638] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9162),
    [sym_operator_assignment] = STATE(9162),
    [sym_conditional] = STATE(9162),
    [sym_range] = STATE(9162),
    [sym_binary] = STATE(9162),
    [sym_unary] = STATE(9162),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6639] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9163),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9163),
    [sym_operator_assignment] = STATE(9163),
    [sym_conditional] = STATE(9163),
    [sym_range] = STATE(9163),
    [sym_binary] = STATE(9163),
    [sym_unary] = STATE(9163),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6640] = {
    [sym__keyword_colon] = ACTIONS(11986),
    [sym_comment] = ACTIONS(87),
  },
  [6641] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9165),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9165),
    [sym_operator_assignment] = STATE(9165),
    [sym_conditional] = STATE(9165),
    [sym_range] = STATE(9165),
    [sym_binary] = STATE(9165),
    [sym_unary] = STATE(9165),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6642] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11986),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [6643] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(1631),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [6644] = {
    [sym_heredoc_body] = STATE(9167),
    [aux_sym_call_repeat1] = STATE(9167),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [6645] = {
    [sym_heredoc_body] = STATE(9167),
    [aux_sym_call_repeat1] = STATE(9167),
    [aux_sym_argument_list_repeat1] = STATE(9169),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [6646] = {
    [sym_string] = STATE(6677),
    [aux_sym_chained_string_repeat1] = STATE(6677),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11990),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [6647] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [6648] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [6649] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9171),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9171),
    [sym_operator_assignment] = STATE(9171),
    [sym_conditional] = STATE(9171),
    [sym_range] = STATE(9171),
    [sym_binary] = STATE(9171),
    [sym_unary] = STATE(9171),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6650] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9172),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9172),
    [sym_operator_assignment] = STATE(9172),
    [sym_conditional] = STATE(9172),
    [sym_range] = STATE(9172),
    [sym_binary] = STATE(9172),
    [sym_unary] = STATE(9172),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6651] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9173),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9173),
    [sym_operator_assignment] = STATE(9173),
    [sym_conditional] = STATE(9173),
    [sym_range] = STATE(9173),
    [sym_binary] = STATE(9173),
    [sym_unary] = STATE(9173),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6652] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9174),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9174),
    [sym_operator_assignment] = STATE(9174),
    [sym_conditional] = STATE(9174),
    [sym_range] = STATE(9174),
    [sym_binary] = STATE(9174),
    [sym_unary] = STATE(9174),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6653] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9175),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9175),
    [sym_operator_assignment] = STATE(9175),
    [sym_conditional] = STATE(9175),
    [sym_range] = STATE(9175),
    [sym_binary] = STATE(9175),
    [sym_unary] = STATE(9175),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6654] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9176),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9176),
    [sym_operator_assignment] = STATE(9176),
    [sym_conditional] = STATE(9176),
    [sym_range] = STATE(9176),
    [sym_binary] = STATE(9176),
    [sym_unary] = STATE(9176),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6655] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9177),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(9177),
    [sym_operator_assignment] = STATE(9177),
    [sym_conditional] = STATE(9177),
    [sym_range] = STATE(9177),
    [sym_binary] = STATE(9177),
    [sym_unary] = STATE(9177),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6656] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9178),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9178),
    [sym_operator_assignment] = STATE(9178),
    [sym_conditional] = STATE(9178),
    [sym_range] = STATE(9178),
    [sym_binary] = STATE(9178),
    [sym_unary] = STATE(9178),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6657] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9179),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9179),
    [sym_operator_assignment] = STATE(9179),
    [sym_conditional] = STATE(9179),
    [sym_range] = STATE(9179),
    [sym_binary] = STATE(9179),
    [sym_unary] = STATE(9179),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6658] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9180),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9180),
    [sym_operator_assignment] = STATE(9180),
    [sym_conditional] = STATE(9180),
    [sym_range] = STATE(9180),
    [sym_binary] = STATE(9180),
    [sym_unary] = STATE(9180),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6659] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9181),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9181),
    [sym_operator_assignment] = STATE(9181),
    [sym_conditional] = STATE(9181),
    [sym_range] = STATE(9181),
    [sym_binary] = STATE(9181),
    [sym_unary] = STATE(9181),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6660] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9182),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9182),
    [sym_operator_assignment] = STATE(9182),
    [sym_conditional] = STATE(9182),
    [sym_range] = STATE(9182),
    [sym_binary] = STATE(9182),
    [sym_unary] = STATE(9182),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6661] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9183),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9183),
    [sym_operator_assignment] = STATE(9183),
    [sym_conditional] = STATE(9183),
    [sym_range] = STATE(9183),
    [sym_binary] = STATE(9183),
    [sym_unary] = STATE(9183),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6662] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9184),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9184),
    [sym_operator_assignment] = STATE(9184),
    [sym_conditional] = STATE(9184),
    [sym_range] = STATE(9184),
    [sym_binary] = STATE(9184),
    [sym_unary] = STATE(9184),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6663] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9185),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9185),
    [sym_operator_assignment] = STATE(9185),
    [sym_conditional] = STATE(9185),
    [sym_range] = STATE(9185),
    [sym_binary] = STATE(9185),
    [sym_unary] = STATE(9185),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6664] = {
    [sym__keyword_colon] = ACTIONS(11992),
    [sym_comment] = ACTIONS(87),
  },
  [6665] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9187),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9187),
    [sym_operator_assignment] = STATE(9187),
    [sym_conditional] = STATE(9187),
    [sym_range] = STATE(9187),
    [sym_binary] = STATE(9187),
    [sym_unary] = STATE(9187),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6666] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(11992),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [6667] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(1631),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [6668] = {
    [sym_heredoc_body] = STATE(9189),
    [aux_sym_call_repeat1] = STATE(9189),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [6669] = {
    [sym_heredoc_body] = STATE(9189),
    [aux_sym_call_repeat1] = STATE(9189),
    [aux_sym_argument_list_repeat1] = STATE(9191),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11994),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [6670] = {
    [sym_string] = STATE(6730),
    [aux_sym_chained_string_repeat1] = STATE(6730),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(11996),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6671] = {
    [sym_heredoc_body] = STATE(9193),
    [aux_sym_call_repeat1] = STATE(9193),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_COLON] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6672] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(9194),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11998),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6673] = {
    [sym_heredoc_body] = STATE(9195),
    [aux_sym_call_repeat1] = STATE(9195),
    [aux_sym_argument_list_repeat1] = STATE(9196),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9525),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_COLON] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6674] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9197),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_splat_argument] = STATE(9198),
    [sym_assignment] = STATE(9197),
    [sym_operator_assignment] = STATE(9197),
    [sym_conditional] = STATE(9197),
    [sym_range] = STATE(9197),
    [sym_binary] = STATE(9197),
    [sym_unary] = STATE(9197),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(9198),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(9479),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6675] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9199),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(9199),
    [sym_operator_assignment] = STATE(9199),
    [sym_conditional] = STATE(9199),
    [sym_range] = STATE(9199),
    [sym_binary] = STATE(9199),
    [sym_unary] = STATE(9199),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6676] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9200),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(9200),
    [sym_operator_assignment] = STATE(9200),
    [sym_conditional] = STATE(9200),
    [sym_range] = STATE(9200),
    [sym_binary] = STATE(9200),
    [sym_unary] = STATE(9200),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6677] = {
    [sym_string] = STATE(9201),
    [aux_sym_chained_string_repeat1] = STATE(9201),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [6678] = {
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6679] = {
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [6680] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6681] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [6682] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6683] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6684] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12000),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6685] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(703),
    [sym__binary_star] = ACTIONS(705),
    [ts_builtin_sym_end] = ACTIONS(12002),
    [anon_sym___END__] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_AMP] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(719),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(723),
    [anon_sym_AMP_AMP] = ACTIONS(723),
    [anon_sym_LT_LT] = ACTIONS(725),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_EQ_EQ] = ACTIONS(727),
    [anon_sym_BANG_EQ] = ACTIONS(723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(723),
    [anon_sym_LT_EQ_GT] = ACTIONS(723),
    [anon_sym_EQ_TILDE] = ACTIONS(723),
    [anon_sym_BANG_TILDE] = ACTIONS(723),
    [anon_sym_LT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(713),
    [anon_sym_GT_EQ] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(709),
    [sym_comment] = ACTIONS(87),
  },
  [6686] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_COLON] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6687] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6688] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6689] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6690] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6691] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9203),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(9203),
    [sym_operator_assignment] = STATE(9203),
    [sym_conditional] = STATE(9203),
    [sym_range] = STATE(9203),
    [sym_binary] = STATE(9203),
    [sym_unary] = STATE(9203),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6692] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3790),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(7019),
    [sym__argument_list_with_parens] = STATE(3792),
    [sym__argument] = STATE(3793),
    [sym_splat_argument] = STATE(3793),
    [sym_hash_splat_argument] = STATE(3793),
    [sym_block_argument] = STATE(3793),
    [sym_assignment] = STATE(3790),
    [sym_operator_assignment] = STATE(3790),
    [sym_conditional] = STATE(3790),
    [sym_range] = STATE(3790),
    [sym_binary] = STATE(3790),
    [sym_unary] = STATE(3790),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3796),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3793),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5866),
    [sym__splat_star] = ACTIONS(5868),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5890),
    [sym_identifier] = ACTIONS(5890),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6693] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3790),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(7020),
    [sym__argument_list_with_parens] = STATE(3792),
    [sym__argument] = STATE(3793),
    [sym_splat_argument] = STATE(3793),
    [sym_hash_splat_argument] = STATE(3793),
    [sym_block_argument] = STATE(3793),
    [sym_assignment] = STATE(3790),
    [sym_operator_assignment] = STATE(3790),
    [sym_conditional] = STATE(3790),
    [sym_range] = STATE(3790),
    [sym_binary] = STATE(3790),
    [sym_unary] = STATE(3790),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3796),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3793),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5866),
    [sym__splat_star] = ACTIONS(5868),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_COLON] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5890),
    [sym_identifier] = ACTIONS(5890),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6694] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3790),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(7021),
    [sym__argument_list_with_parens] = STATE(3792),
    [sym__argument] = STATE(3793),
    [sym_splat_argument] = STATE(3793),
    [sym_hash_splat_argument] = STATE(3793),
    [sym_block_argument] = STATE(3793),
    [sym_assignment] = STATE(3790),
    [sym_operator_assignment] = STATE(3790),
    [sym_conditional] = STATE(3790),
    [sym_range] = STATE(3790),
    [sym_binary] = STATE(3790),
    [sym_unary] = STATE(3790),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3796),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3793),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5866),
    [sym__splat_star] = ACTIONS(5868),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_COLON] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5890),
    [sym_identifier] = ACTIONS(5890),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6695] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3790),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(7022),
    [sym__argument_list_with_parens] = STATE(3792),
    [sym__argument] = STATE(3793),
    [sym_splat_argument] = STATE(3793),
    [sym_hash_splat_argument] = STATE(3793),
    [sym_block_argument] = STATE(3793),
    [sym_assignment] = STATE(3790),
    [sym_operator_assignment] = STATE(3790),
    [sym_conditional] = STATE(3790),
    [sym_range] = STATE(3790),
    [sym_binary] = STATE(3790),
    [sym_unary] = STATE(3790),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3796),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3793),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5866),
    [sym__splat_star] = ACTIONS(5868),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_COLON] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5890),
    [sym_identifier] = ACTIONS(5890),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6696] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9204),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(9204),
    [sym_operator_assignment] = STATE(9204),
    [sym_conditional] = STATE(9204),
    [sym_range] = STATE(9204),
    [sym_binary] = STATE(9204),
    [sym_unary] = STATE(9204),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6697] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9205),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(9205),
    [sym_operator_assignment] = STATE(9205),
    [sym_conditional] = STATE(9205),
    [sym_range] = STATE(9205),
    [sym_binary] = STATE(9205),
    [sym_unary] = STATE(9205),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6698] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7038),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(7038),
    [sym_operator_assignment] = STATE(7038),
    [sym_conditional] = STATE(7038),
    [sym_range] = STATE(7038),
    [sym_binary] = STATE(7038),
    [sym_unary] = STATE(7038),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6699] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [6700] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3790),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_argument_list] = STATE(5106),
    [sym__argument_list_with_parens] = STATE(3792),
    [sym__argument] = STATE(3793),
    [sym_splat_argument] = STATE(3793),
    [sym_hash_splat_argument] = STATE(3793),
    [sym_block_argument] = STATE(3793),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(3790),
    [sym_operator_assignment] = STATE(3790),
    [sym_conditional] = STATE(3790),
    [sym_range] = STATE(3790),
    [sym_binary] = STATE(3790),
    [sym_unary] = STATE(3790),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3796),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(3793),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(5866),
    [sym__splat_star] = ACTIONS(5868),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(7625),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5890),
    [sym_identifier] = ACTIONS(5890),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6701] = {
    [anon_sym_EQ] = ACTIONS(12032),
    [sym_comment] = ACTIONS(87),
  },
  [6702] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(12036),
    [anon_sym_DASH_EQ] = ACTIONS(12036),
    [anon_sym_STAR_EQ] = ACTIONS(12036),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12036),
    [anon_sym_SLASH_EQ] = ACTIONS(12036),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12036),
    [anon_sym_PIPE_EQ] = ACTIONS(12036),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12036),
    [anon_sym_AMP_EQ] = ACTIONS(12036),
    [anon_sym_PERCENT_EQ] = ACTIONS(12036),
    [anon_sym_GT_GT_EQ] = ACTIONS(12036),
    [anon_sym_LT_LT_EQ] = ACTIONS(12036),
    [anon_sym_CARET_EQ] = ACTIONS(12036),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6703] = {
    [sym_string] = STATE(9220),
    [aux_sym_chained_string_repeat1] = STATE(9220),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6704] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(4170),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [6705] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_COLON] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [6706] = {
    [sym_string] = STATE(6730),
    [aux_sym_chained_string_repeat1] = STATE(6730),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6707] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9221),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(9221),
    [sym_operator_assignment] = STATE(9221),
    [sym_conditional] = STATE(9221),
    [sym_range] = STATE(9221),
    [sym_binary] = STATE(9221),
    [sym_unary] = STATE(9221),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6708] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [6709] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [6710] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [6711] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9222),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9222),
    [sym_operator_assignment] = STATE(9222),
    [sym_conditional] = STATE(9222),
    [sym_range] = STATE(9222),
    [sym_binary] = STATE(9222),
    [sym_unary] = STATE(9222),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6712] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9223),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9223),
    [sym_operator_assignment] = STATE(9223),
    [sym_conditional] = STATE(9223),
    [sym_range] = STATE(9223),
    [sym_binary] = STATE(9223),
    [sym_unary] = STATE(9223),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6713] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9224),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9224),
    [sym_operator_assignment] = STATE(9224),
    [sym_conditional] = STATE(9224),
    [sym_range] = STATE(9224),
    [sym_binary] = STATE(9224),
    [sym_unary] = STATE(9224),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6714] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9225),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9225),
    [sym_operator_assignment] = STATE(9225),
    [sym_conditional] = STATE(9225),
    [sym_range] = STATE(9225),
    [sym_binary] = STATE(9225),
    [sym_unary] = STATE(9225),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6715] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9226),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9226),
    [sym_operator_assignment] = STATE(9226),
    [sym_conditional] = STATE(9226),
    [sym_range] = STATE(9226),
    [sym_binary] = STATE(9226),
    [sym_unary] = STATE(9226),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6716] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9227),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9227),
    [sym_operator_assignment] = STATE(9227),
    [sym_conditional] = STATE(9227),
    [sym_range] = STATE(9227),
    [sym_binary] = STATE(9227),
    [sym_unary] = STATE(9227),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6717] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9228),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(9228),
    [sym_operator_assignment] = STATE(9228),
    [sym_conditional] = STATE(9228),
    [sym_range] = STATE(9228),
    [sym_binary] = STATE(9228),
    [sym_unary] = STATE(9228),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6718] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9229),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9229),
    [sym_operator_assignment] = STATE(9229),
    [sym_conditional] = STATE(9229),
    [sym_range] = STATE(9229),
    [sym_binary] = STATE(9229),
    [sym_unary] = STATE(9229),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6719] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9230),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9230),
    [sym_operator_assignment] = STATE(9230),
    [sym_conditional] = STATE(9230),
    [sym_range] = STATE(9230),
    [sym_binary] = STATE(9230),
    [sym_unary] = STATE(9230),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6720] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9231),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9231),
    [sym_operator_assignment] = STATE(9231),
    [sym_conditional] = STATE(9231),
    [sym_range] = STATE(9231),
    [sym_binary] = STATE(9231),
    [sym_unary] = STATE(9231),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6721] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9232),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9232),
    [sym_operator_assignment] = STATE(9232),
    [sym_conditional] = STATE(9232),
    [sym_range] = STATE(9232),
    [sym_binary] = STATE(9232),
    [sym_unary] = STATE(9232),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6722] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9233),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9233),
    [sym_operator_assignment] = STATE(9233),
    [sym_conditional] = STATE(9233),
    [sym_range] = STATE(9233),
    [sym_binary] = STATE(9233),
    [sym_unary] = STATE(9233),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6723] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9234),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9234),
    [sym_operator_assignment] = STATE(9234),
    [sym_conditional] = STATE(9234),
    [sym_range] = STATE(9234),
    [sym_binary] = STATE(9234),
    [sym_unary] = STATE(9234),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6724] = {
    [sym_heredoc_body] = STATE(9235),
    [aux_sym_call_repeat1] = STATE(9235),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_COLON] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6725] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3790),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym__argument] = STATE(7086),
    [sym_splat_argument] = STATE(7086),
    [sym_hash_splat_argument] = STATE(7086),
    [sym_block_argument] = STATE(7086),
    [sym_assignment] = STATE(3790),
    [sym_operator_assignment] = STATE(3790),
    [sym_conditional] = STATE(3790),
    [sym_range] = STATE(3790),
    [sym_binary] = STATE(3790),
    [sym_unary] = STATE(3790),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3796),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(9236),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7086),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(5866),
    [sym__splat_star] = ACTIONS(5868),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__identifier_hash_key] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12038),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5890),
    [sym_identifier] = ACTIONS(5890),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6726] = {
    [sym_heredoc_body] = STATE(9237),
    [aux_sym_call_repeat1] = STATE(9237),
    [aux_sym_argument_list_repeat1] = STATE(9238),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9591),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_COLON] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6727] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9239),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_splat_argument] = STATE(9240),
    [sym_assignment] = STATE(9239),
    [sym_operator_assignment] = STATE(9239),
    [sym_conditional] = STATE(9239),
    [sym_range] = STATE(9239),
    [sym_binary] = STATE(9239),
    [sym_unary] = STATE(9239),
    [sym_right_assignment_list] = STATE(4613),
    [sym__arg_or_splat_arg] = STATE(9240),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(9519),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6728] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9241),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(9241),
    [sym_operator_assignment] = STATE(9241),
    [sym_conditional] = STATE(9241),
    [sym_range] = STATE(9241),
    [sym_binary] = STATE(9241),
    [sym_unary] = STATE(9241),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6729] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9242),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(9242),
    [sym_operator_assignment] = STATE(9242),
    [sym_conditional] = STATE(9242),
    [sym_range] = STATE(9242),
    [sym_binary] = STATE(9242),
    [sym_unary] = STATE(9242),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [6730] = {
    [sym_string] = STATE(9243),
    [aux_sym_chained_string_repeat1] = STATE(9243),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [6731] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9244),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(9244),
    [sym_operator_assignment] = STATE(9244),
    [sym_conditional] = STATE(9244),
    [sym_range] = STATE(9244),
    [sym_binary] = STATE(9244),
    [sym_unary] = STATE(9244),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6732] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9245),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(9245),
    [sym_operator_assignment] = STATE(9245),
    [sym_conditional] = STATE(9245),
    [sym_range] = STATE(9245),
    [sym_binary] = STATE(9245),
    [sym_unary] = STATE(9245),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6733] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(587),
    [sym__argument_list_with_parens] = STATE(9142),
    [sym__argument] = STATE(9143),
    [sym_splat_argument] = STATE(9143),
    [sym_hash_splat_argument] = STATE(9143),
    [sym_block_argument] = STATE(9143),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(9143),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6734] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(593),
    [sym__argument_list_with_parens] = STATE(9142),
    [sym__argument] = STATE(9143),
    [sym_splat_argument] = STATE(9143),
    [sym_hash_splat_argument] = STATE(9143),
    [sym_block_argument] = STATE(9143),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(9143),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_COLON] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6735] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(594),
    [sym__argument_list_with_parens] = STATE(9142),
    [sym__argument] = STATE(9143),
    [sym_splat_argument] = STATE(9143),
    [sym_hash_splat_argument] = STATE(9143),
    [sym_block_argument] = STATE(9143),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(9143),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_COLON] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6736] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_argument_list] = STATE(595),
    [sym__argument_list_with_parens] = STATE(9142),
    [sym__argument] = STATE(9143),
    [sym_splat_argument] = STATE(9143),
    [sym_hash_splat_argument] = STATE(9143),
    [sym_block_argument] = STATE(9143),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(9143),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_COLON] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5822),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6737] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9246),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(9246),
    [sym_operator_assignment] = STATE(9246),
    [sym_conditional] = STATE(9246),
    [sym_range] = STATE(9246),
    [sym_binary] = STATE(9246),
    [sym_unary] = STATE(9246),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6738] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9247),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(9247),
    [sym_operator_assignment] = STATE(9247),
    [sym_conditional] = STATE(9247),
    [sym_range] = STATE(9247),
    [sym_binary] = STATE(9247),
    [sym_unary] = STATE(9247),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6739] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(611),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(611),
    [sym_operator_assignment] = STATE(611),
    [sym_conditional] = STATE(611),
    [sym_range] = STATE(611),
    [sym_binary] = STATE(611),
    [sym_unary] = STATE(611),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6740] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(12044),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(12048),
    [anon_sym_LT] = ACTIONS(12050),
    [anon_sym_QMARK] = ACTIONS(12052),
    [anon_sym_COLON] = ACTIONS(5050),
    [anon_sym_DOT_DOT] = ACTIONS(12054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12056),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(12058),
    [anon_sym_AMP_AMP] = ACTIONS(12058),
    [anon_sym_LT_LT] = ACTIONS(12060),
    [anon_sym_GT_GT] = ACTIONS(12060),
    [anon_sym_EQ_EQ] = ACTIONS(12062),
    [anon_sym_BANG_EQ] = ACTIONS(12058),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12058),
    [anon_sym_LT_EQ_GT] = ACTIONS(12058),
    [anon_sym_EQ_TILDE] = ACTIONS(12058),
    [anon_sym_BANG_TILDE] = ACTIONS(12058),
    [anon_sym_LT_EQ] = ACTIONS(12050),
    [anon_sym_GT] = ACTIONS(12050),
    [anon_sym_GT_EQ] = ACTIONS(12064),
    [anon_sym_CARET] = ACTIONS(12066),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [6741] = {
    [aux_sym_exceptions_repeat1] = STATE(9261),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(12070),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [6742] = {
    [anon_sym_EQ] = ACTIONS(12072),
    [sym_comment] = ACTIONS(87),
  },
  [6743] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(12074),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(12076),
    [anon_sym_DASH_EQ] = ACTIONS(12076),
    [anon_sym_STAR_EQ] = ACTIONS(12076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12076),
    [anon_sym_SLASH_EQ] = ACTIONS(12076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12076),
    [anon_sym_PIPE_EQ] = ACTIONS(12076),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12076),
    [anon_sym_AMP_EQ] = ACTIONS(12076),
    [anon_sym_PERCENT_EQ] = ACTIONS(12076),
    [anon_sym_GT_GT_EQ] = ACTIONS(12076),
    [anon_sym_LT_LT_EQ] = ACTIONS(12076),
    [anon_sym_CARET_EQ] = ACTIONS(12076),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6744] = {
    [sym_string] = STATE(9264),
    [aux_sym_chained_string_repeat1] = STATE(9264),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_COLON] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [6745] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(6188),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6746] = {
    [sym_string] = STATE(6746),
    [aux_sym_chained_string_repeat1] = STATE(6746),
    [sym__string_start] = ACTIONS(7027),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_COLON] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [6747] = {
    [sym__line_break] = ACTIONS(12078),
    [sym__heredoc_body_start] = ACTIONS(12078),
    [sym__element_reference_left_bracket] = ACTIONS(12078),
    [sym__infix_scope_colons] = ACTIONS(12078),
    [sym__binary_minus] = ACTIONS(12078),
    [sym__binary_star] = ACTIONS(12078),
    [ts_builtin_sym_end] = ACTIONS(12078),
    [anon_sym___END__] = ACTIONS(12078),
    [anon_sym_LBRACE] = ACTIONS(12078),
    [anon_sym_RBRACE] = ACTIONS(12078),
    [anon_sym_RPAREN] = ACTIONS(12078),
    [anon_sym_DOT] = ACTIONS(12080),
    [anon_sym_COMMA] = ACTIONS(12078),
    [anon_sym_PIPE] = ACTIONS(12080),
    [anon_sym_SEMI] = ACTIONS(12078),
    [anon_sym_STAR_STAR] = ACTIONS(12080),
    [anon_sym_AMP] = ACTIONS(12080),
    [anon_sym_EQ] = ACTIONS(12080),
    [anon_sym_LT] = ACTIONS(12080),
    [anon_sym_end] = ACTIONS(12078),
    [anon_sym_if] = ACTIONS(12078),
    [anon_sym_unless] = ACTIONS(12078),
    [anon_sym_while] = ACTIONS(12078),
    [anon_sym_until] = ACTIONS(12078),
    [anon_sym_rescue] = ACTIONS(12078),
    [anon_sym_do] = ACTIONS(12078),
    [anon_sym_when] = ACTIONS(12078),
    [anon_sym_elsif] = ACTIONS(12078),
    [anon_sym_else] = ACTIONS(12078),
    [anon_sym_then] = ACTIONS(12078),
    [anon_sym_ensure] = ACTIONS(12078),
    [anon_sym_AMP_DOT] = ACTIONS(12078),
    [anon_sym_PLUS_EQ] = ACTIONS(12078),
    [anon_sym_DASH_EQ] = ACTIONS(12078),
    [anon_sym_STAR_EQ] = ACTIONS(12078),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12078),
    [anon_sym_SLASH_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12078),
    [anon_sym_AMP_EQ] = ACTIONS(12078),
    [anon_sym_PERCENT_EQ] = ACTIONS(12078),
    [anon_sym_GT_GT_EQ] = ACTIONS(12078),
    [anon_sym_LT_LT_EQ] = ACTIONS(12078),
    [anon_sym_CARET_EQ] = ACTIONS(12078),
    [anon_sym_QMARK] = ACTIONS(12078),
    [anon_sym_DOT_DOT] = ACTIONS(12080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12078),
    [anon_sym_and] = ACTIONS(12078),
    [anon_sym_or] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE] = ACTIONS(12080),
    [anon_sym_AMP_AMP] = ACTIONS(12080),
    [anon_sym_LT_LT] = ACTIONS(12080),
    [anon_sym_GT_GT] = ACTIONS(12080),
    [anon_sym_EQ_EQ] = ACTIONS(12080),
    [anon_sym_BANG_EQ] = ACTIONS(12078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12078),
    [anon_sym_LT_EQ_GT] = ACTIONS(12078),
    [anon_sym_EQ_TILDE] = ACTIONS(12078),
    [anon_sym_BANG_TILDE] = ACTIONS(12078),
    [anon_sym_LT_EQ] = ACTIONS(12080),
    [anon_sym_GT] = ACTIONS(12080),
    [anon_sym_GT_EQ] = ACTIONS(12078),
    [anon_sym_CARET] = ACTIONS(12080),
    [anon_sym_PLUS] = ACTIONS(12080),
    [anon_sym_SLASH] = ACTIONS(12080),
    [anon_sym_PERCENT] = ACTIONS(12080),
    [sym_comment] = ACTIONS(87),
  },
  [6748] = {
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym__argument_list_left_paren] = ACTIONS(6671),
    [anon_sym_PIPE] = ACTIONS(6671),
    [anon_sym_STAR] = ACTIONS(8601),
    [anon_sym_STAR_STAR] = ACTIONS(6671),
    [anon_sym_AMP] = ACTIONS(6671),
    [anon_sym_LT] = ACTIONS(8601),
    [anon_sym_DOT_DOT] = ACTIONS(6671),
    [anon_sym_LT_LT] = ACTIONS(6671),
    [anon_sym_GT_GT] = ACTIONS(6671),
    [anon_sym_EQ_EQ] = ACTIONS(8601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6671),
    [anon_sym_LT_EQ_GT] = ACTIONS(6671),
    [anon_sym_EQ_TILDE] = ACTIONS(6671),
    [anon_sym_BANG_TILDE] = ACTIONS(6671),
    [anon_sym_LT_EQ] = ACTIONS(8601),
    [anon_sym_GT] = ACTIONS(8601),
    [anon_sym_GT_EQ] = ACTIONS(6671),
    [anon_sym_CARET] = ACTIONS(6671),
    [anon_sym_PLUS] = ACTIONS(8601),
    [anon_sym_SLASH] = ACTIONS(6671),
    [anon_sym_PERCENT] = ACTIONS(6671),
    [anon_sym_BANG] = ACTIONS(8601),
    [anon_sym_TILDE] = ACTIONS(6671),
    [sym_constant] = ACTIONS(6671),
    [sym_identifier] = ACTIONS(6671),
    [anon_sym_DASH] = ACTIONS(8601),
    [anon_sym_PLUS_AT] = ACTIONS(6671),
    [anon_sym_DASH_AT] = ACTIONS(6671),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(8601),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(6671),
    [anon_sym_BQUOTE] = ACTIONS(6671),
    [sym_comment] = ACTIONS(87),
  },
  [6749] = {
    [sym__line_break] = ACTIONS(7758),
    [sym__simple_symbol] = ACTIONS(7758),
    [sym__string_start] = ACTIONS(7758),
    [sym__symbol_start] = ACTIONS(7758),
    [sym__subshell_start] = ACTIONS(7758),
    [sym__regex_start] = ACTIONS(7758),
    [sym__string_array_start] = ACTIONS(7758),
    [sym__symbol_array_start] = ACTIONS(7758),
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym_heredoc_beginning] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__block_ampersand] = ACTIONS(7758),
    [sym__splat_star] = ACTIONS(7758),
    [sym__argument_list_left_paren] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__unary_minus] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [sym__identifier_hash_key] = ACTIONS(7758),
    [ts_builtin_sym_end] = ACTIONS(7758),
    [anon_sym___END__] = ACTIONS(7760),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RBRACE] = ACTIONS(7758),
    [anon_sym_def] = ACTIONS(7760),
    [anon_sym_LPAREN] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COLON_COLON] = ACTIONS(7758),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR] = ACTIONS(7760),
    [anon_sym_STAR_STAR] = ACTIONS(7760),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_class] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_module] = ACTIONS(7760),
    [anon_sym_end] = ACTIONS(7760),
    [anon_sym_return] = ACTIONS(7760),
    [anon_sym_yield] = ACTIONS(7760),
    [anon_sym_break] = ACTIONS(7760),
    [anon_sym_next] = ACTIONS(7760),
    [sym_redo] = ACTIONS(7760),
    [sym_retry] = ACTIONS(7760),
    [anon_sym_if] = ACTIONS(7760),
    [anon_sym_unless] = ACTIONS(7760),
    [anon_sym_while] = ACTIONS(7760),
    [anon_sym_until] = ACTIONS(7760),
    [anon_sym_rescue] = ACTIONS(7760),
    [anon_sym_for] = ACTIONS(7760),
    [anon_sym_do] = ACTIONS(7760),
    [anon_sym_case] = ACTIONS(7760),
    [anon_sym_when] = ACTIONS(7760),
    [anon_sym_elsif] = ACTIONS(7760),
    [anon_sym_else] = ACTIONS(7760),
    [anon_sym_then] = ACTIONS(7760),
    [anon_sym_begin] = ACTIONS(7760),
    [anon_sym_ensure] = ACTIONS(7760),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS_EQ] = ACTIONS(7758),
    [anon_sym_DASH_EQ] = ACTIONS(7758),
    [anon_sym_STAR_EQ] = ACTIONS(7758),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7758),
    [anon_sym_SLASH_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7758),
    [anon_sym_AMP_EQ] = ACTIONS(7758),
    [anon_sym_PERCENT_EQ] = ACTIONS(7758),
    [anon_sym_GT_GT_EQ] = ACTIONS(7758),
    [anon_sym_LT_LT_EQ] = ACTIONS(7758),
    [anon_sym_CARET_EQ] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7760),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7760),
    [anon_sym_or] = ACTIONS(7760),
    [anon_sym_PIPE_PIPE] = ACTIONS(7760),
    [anon_sym_AMP_AMP] = ACTIONS(7760),
    [anon_sym_LT_LT] = ACTIONS(7760),
    [anon_sym_GT_GT] = ACTIONS(7760),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7760),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_SLASH] = ACTIONS(7760),
    [anon_sym_PERCENT] = ACTIONS(7760),
    [anon_sym_defined_QMARK] = ACTIONS(7758),
    [anon_sym_not] = ACTIONS(7760),
    [anon_sym_BANG] = ACTIONS(7760),
    [anon_sym_TILDE] = ACTIONS(7758),
    [sym_constant] = ACTIONS(7760),
    [sym_identifier] = ACTIONS(7760),
    [sym_instance_variable] = ACTIONS(7758),
    [sym_class_variable] = ACTIONS(7758),
    [sym_global_variable] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(7760),
    [sym_float] = ACTIONS(7760),
    [sym_complex] = ACTIONS(7758),
    [sym_super] = ACTIONS(7760),
    [anon_sym_true] = ACTIONS(7760),
    [anon_sym_TRUE] = ACTIONS(7760),
    [anon_sym_false] = ACTIONS(7760),
    [anon_sym_FALSE] = ACTIONS(7760),
    [sym_self] = ACTIONS(7760),
    [anon_sym_nil] = ACTIONS(7760),
    [anon_sym_NIL] = ACTIONS(7760),
    [sym_character] = ACTIONS(7758),
    [anon_sym_LBRACK] = ACTIONS(7758),
    [anon_sym_DASH_GT] = ACTIONS(7758),
  },
  [6750] = {
    [anon_sym_RPAREN] = ACTIONS(12082),
    [sym_comment] = ACTIONS(87),
  },
  [6751] = {
    [sym__line_break] = ACTIONS(6453),
    [sym__heredoc_body_start] = ACTIONS(6453),
    [sym__element_reference_left_bracket] = ACTIONS(6453),
    [sym__infix_scope_colons] = ACTIONS(6453),
    [sym__binary_minus] = ACTIONS(6453),
    [sym__binary_star] = ACTIONS(6453),
    [ts_builtin_sym_end] = ACTIONS(6453),
    [anon_sym___END__] = ACTIONS(6453),
    [anon_sym_LBRACE] = ACTIONS(6453),
    [anon_sym_RBRACE] = ACTIONS(6453),
    [anon_sym_RPAREN] = ACTIONS(6453),
    [anon_sym_DOT] = ACTIONS(6455),
    [anon_sym_COMMA] = ACTIONS(6453),
    [anon_sym_PIPE] = ACTIONS(6455),
    [anon_sym_SEMI] = ACTIONS(6453),
    [anon_sym_STAR_STAR] = ACTIONS(6455),
    [anon_sym_AMP] = ACTIONS(6455),
    [anon_sym_EQ] = ACTIONS(6455),
    [anon_sym_LT] = ACTIONS(6455),
    [anon_sym_end] = ACTIONS(6453),
    [anon_sym_if] = ACTIONS(6453),
    [anon_sym_unless] = ACTIONS(6453),
    [anon_sym_while] = ACTIONS(6453),
    [anon_sym_until] = ACTIONS(6453),
    [anon_sym_rescue] = ACTIONS(6453),
    [anon_sym_do] = ACTIONS(6453),
    [anon_sym_when] = ACTIONS(6453),
    [anon_sym_elsif] = ACTIONS(6453),
    [anon_sym_else] = ACTIONS(6453),
    [anon_sym_then] = ACTIONS(6453),
    [anon_sym_ensure] = ACTIONS(6453),
    [anon_sym_EQ_GT] = ACTIONS(6453),
    [anon_sym_AMP_DOT] = ACTIONS(6453),
    [anon_sym_PLUS_EQ] = ACTIONS(6453),
    [anon_sym_DASH_EQ] = ACTIONS(6453),
    [anon_sym_STAR_EQ] = ACTIONS(6453),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6453),
    [anon_sym_SLASH_EQ] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6453),
    [anon_sym_PIPE_EQ] = ACTIONS(6453),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6453),
    [anon_sym_AMP_EQ] = ACTIONS(6453),
    [anon_sym_PERCENT_EQ] = ACTIONS(6453),
    [anon_sym_GT_GT_EQ] = ACTIONS(6453),
    [anon_sym_LT_LT_EQ] = ACTIONS(6453),
    [anon_sym_CARET_EQ] = ACTIONS(6453),
    [anon_sym_QMARK] = ACTIONS(6453),
    [anon_sym_DOT_DOT] = ACTIONS(6455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6453),
    [anon_sym_and] = ACTIONS(6453),
    [anon_sym_or] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE] = ACTIONS(6455),
    [anon_sym_AMP_AMP] = ACTIONS(6455),
    [anon_sym_LT_LT] = ACTIONS(6455),
    [anon_sym_GT_GT] = ACTIONS(6455),
    [anon_sym_EQ_EQ] = ACTIONS(6455),
    [anon_sym_BANG_EQ] = ACTIONS(6453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6453),
    [anon_sym_LT_EQ_GT] = ACTIONS(6453),
    [anon_sym_EQ_TILDE] = ACTIONS(6453),
    [anon_sym_BANG_TILDE] = ACTIONS(6453),
    [anon_sym_LT_EQ] = ACTIONS(6455),
    [anon_sym_GT] = ACTIONS(6455),
    [anon_sym_GT_EQ] = ACTIONS(6453),
    [anon_sym_CARET] = ACTIONS(6455),
    [anon_sym_PLUS] = ACTIONS(6455),
    [anon_sym_SLASH] = ACTIONS(6455),
    [anon_sym_PERCENT] = ACTIONS(6455),
    [sym_comment] = ACTIONS(87),
  },
  [6752] = {
    [sym__line_break] = ACTIONS(6457),
    [sym__heredoc_body_start] = ACTIONS(6457),
    [sym__element_reference_left_bracket] = ACTIONS(6457),
    [sym__infix_scope_colons] = ACTIONS(6457),
    [sym__binary_minus] = ACTIONS(6457),
    [sym__binary_star] = ACTIONS(6457),
    [ts_builtin_sym_end] = ACTIONS(6457),
    [anon_sym___END__] = ACTIONS(6457),
    [anon_sym_LBRACE] = ACTIONS(6457),
    [anon_sym_RBRACE] = ACTIONS(6457),
    [anon_sym_RPAREN] = ACTIONS(6457),
    [anon_sym_DOT] = ACTIONS(6459),
    [anon_sym_COMMA] = ACTIONS(6457),
    [anon_sym_PIPE] = ACTIONS(6459),
    [anon_sym_SEMI] = ACTIONS(6457),
    [anon_sym_STAR_STAR] = ACTIONS(6459),
    [anon_sym_AMP] = ACTIONS(6459),
    [anon_sym_EQ] = ACTIONS(6459),
    [anon_sym_LT] = ACTIONS(6459),
    [anon_sym_end] = ACTIONS(6457),
    [anon_sym_if] = ACTIONS(6457),
    [anon_sym_unless] = ACTIONS(6457),
    [anon_sym_while] = ACTIONS(6457),
    [anon_sym_until] = ACTIONS(6457),
    [anon_sym_rescue] = ACTIONS(6457),
    [anon_sym_do] = ACTIONS(6457),
    [anon_sym_when] = ACTIONS(6457),
    [anon_sym_elsif] = ACTIONS(6457),
    [anon_sym_else] = ACTIONS(6457),
    [anon_sym_then] = ACTIONS(6457),
    [anon_sym_ensure] = ACTIONS(6457),
    [anon_sym_EQ_GT] = ACTIONS(6457),
    [anon_sym_AMP_DOT] = ACTIONS(6457),
    [anon_sym_PLUS_EQ] = ACTIONS(6457),
    [anon_sym_DASH_EQ] = ACTIONS(6457),
    [anon_sym_STAR_EQ] = ACTIONS(6457),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6457),
    [anon_sym_SLASH_EQ] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6457),
    [anon_sym_PIPE_EQ] = ACTIONS(6457),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6457),
    [anon_sym_AMP_EQ] = ACTIONS(6457),
    [anon_sym_PERCENT_EQ] = ACTIONS(6457),
    [anon_sym_GT_GT_EQ] = ACTIONS(6457),
    [anon_sym_LT_LT_EQ] = ACTIONS(6457),
    [anon_sym_CARET_EQ] = ACTIONS(6457),
    [anon_sym_QMARK] = ACTIONS(6457),
    [anon_sym_DOT_DOT] = ACTIONS(6459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6457),
    [anon_sym_and] = ACTIONS(6457),
    [anon_sym_or] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE] = ACTIONS(6459),
    [anon_sym_AMP_AMP] = ACTIONS(6459),
    [anon_sym_LT_LT] = ACTIONS(6459),
    [anon_sym_GT_GT] = ACTIONS(6459),
    [anon_sym_EQ_EQ] = ACTIONS(6459),
    [anon_sym_BANG_EQ] = ACTIONS(6457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6457),
    [anon_sym_LT_EQ_GT] = ACTIONS(6457),
    [anon_sym_EQ_TILDE] = ACTIONS(6457),
    [anon_sym_BANG_TILDE] = ACTIONS(6457),
    [anon_sym_LT_EQ] = ACTIONS(6459),
    [anon_sym_GT] = ACTIONS(6459),
    [anon_sym_GT_EQ] = ACTIONS(6457),
    [anon_sym_CARET] = ACTIONS(6459),
    [anon_sym_PLUS] = ACTIONS(6459),
    [anon_sym_SLASH] = ACTIONS(6459),
    [anon_sym_PERCENT] = ACTIONS(6459),
    [sym_comment] = ACTIONS(87),
  },
  [6753] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12084),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [6754] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(12084),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12086),
  },
  [6755] = {
    [sym__line_break] = ACTIONS(6465),
    [sym__heredoc_body_start] = ACTIONS(6465),
    [sym__element_reference_left_bracket] = ACTIONS(6465),
    [sym__infix_scope_colons] = ACTIONS(6465),
    [sym__binary_minus] = ACTIONS(6465),
    [sym__binary_star] = ACTIONS(6465),
    [ts_builtin_sym_end] = ACTIONS(6465),
    [anon_sym___END__] = ACTIONS(6465),
    [anon_sym_LBRACE] = ACTIONS(6465),
    [anon_sym_RBRACE] = ACTIONS(6465),
    [anon_sym_RPAREN] = ACTIONS(6465),
    [anon_sym_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6465),
    [anon_sym_PIPE] = ACTIONS(6467),
    [anon_sym_SEMI] = ACTIONS(6465),
    [anon_sym_STAR_STAR] = ACTIONS(6467),
    [anon_sym_AMP] = ACTIONS(6467),
    [anon_sym_EQ] = ACTIONS(6467),
    [anon_sym_LT] = ACTIONS(6467),
    [anon_sym_end] = ACTIONS(6465),
    [anon_sym_if] = ACTIONS(6465),
    [anon_sym_unless] = ACTIONS(6465),
    [anon_sym_while] = ACTIONS(6465),
    [anon_sym_until] = ACTIONS(6465),
    [anon_sym_rescue] = ACTIONS(6465),
    [anon_sym_do] = ACTIONS(6465),
    [anon_sym_when] = ACTIONS(6465),
    [anon_sym_elsif] = ACTIONS(6465),
    [anon_sym_else] = ACTIONS(6465),
    [anon_sym_then] = ACTIONS(6465),
    [anon_sym_ensure] = ACTIONS(6465),
    [anon_sym_EQ_GT] = ACTIONS(6465),
    [anon_sym_AMP_DOT] = ACTIONS(6465),
    [anon_sym_PLUS_EQ] = ACTIONS(6465),
    [anon_sym_DASH_EQ] = ACTIONS(6465),
    [anon_sym_STAR_EQ] = ACTIONS(6465),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6465),
    [anon_sym_SLASH_EQ] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6465),
    [anon_sym_PIPE_EQ] = ACTIONS(6465),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6465),
    [anon_sym_AMP_EQ] = ACTIONS(6465),
    [anon_sym_PERCENT_EQ] = ACTIONS(6465),
    [anon_sym_GT_GT_EQ] = ACTIONS(6465),
    [anon_sym_LT_LT_EQ] = ACTIONS(6465),
    [anon_sym_CARET_EQ] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6465),
    [anon_sym_DOT_DOT] = ACTIONS(6467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6467),
    [anon_sym_AMP_AMP] = ACTIONS(6467),
    [anon_sym_LT_LT] = ACTIONS(6467),
    [anon_sym_GT_GT] = ACTIONS(6467),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6465),
    [anon_sym_EQ_TILDE] = ACTIONS(6465),
    [anon_sym_BANG_TILDE] = ACTIONS(6465),
    [anon_sym_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6467),
    [anon_sym_GT_EQ] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6467),
    [anon_sym_PLUS] = ACTIONS(6467),
    [anon_sym_SLASH] = ACTIONS(6467),
    [anon_sym_PERCENT] = ACTIONS(6467),
    [sym_comment] = ACTIONS(87),
  },
  [6756] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12088),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [6757] = {
    [sym__line_break] = ACTIONS(6478),
    [sym__heredoc_body_start] = ACTIONS(6478),
    [sym__element_reference_left_bracket] = ACTIONS(6478),
    [sym__infix_scope_colons] = ACTIONS(6478),
    [sym__binary_minus] = ACTIONS(6478),
    [sym__binary_star] = ACTIONS(6478),
    [ts_builtin_sym_end] = ACTIONS(6478),
    [anon_sym___END__] = ACTIONS(6478),
    [anon_sym_LBRACE] = ACTIONS(6478),
    [anon_sym_RBRACE] = ACTIONS(6478),
    [anon_sym_RPAREN] = ACTIONS(6478),
    [anon_sym_DOT] = ACTIONS(6480),
    [anon_sym_COMMA] = ACTIONS(6478),
    [anon_sym_PIPE] = ACTIONS(6480),
    [anon_sym_SEMI] = ACTIONS(6478),
    [anon_sym_STAR_STAR] = ACTIONS(6480),
    [anon_sym_AMP] = ACTIONS(6480),
    [anon_sym_EQ] = ACTIONS(6480),
    [anon_sym_LT] = ACTIONS(6480),
    [anon_sym_end] = ACTIONS(6478),
    [anon_sym_if] = ACTIONS(6478),
    [anon_sym_unless] = ACTIONS(6478),
    [anon_sym_while] = ACTIONS(6478),
    [anon_sym_until] = ACTIONS(6478),
    [anon_sym_rescue] = ACTIONS(6478),
    [anon_sym_do] = ACTIONS(6478),
    [anon_sym_when] = ACTIONS(6478),
    [anon_sym_elsif] = ACTIONS(6478),
    [anon_sym_else] = ACTIONS(6478),
    [anon_sym_then] = ACTIONS(6478),
    [anon_sym_ensure] = ACTIONS(6478),
    [anon_sym_EQ_GT] = ACTIONS(6478),
    [anon_sym_AMP_DOT] = ACTIONS(6478),
    [anon_sym_PLUS_EQ] = ACTIONS(6478),
    [anon_sym_DASH_EQ] = ACTIONS(6478),
    [anon_sym_STAR_EQ] = ACTIONS(6478),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6478),
    [anon_sym_SLASH_EQ] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6478),
    [anon_sym_PIPE_EQ] = ACTIONS(6478),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6478),
    [anon_sym_AMP_EQ] = ACTIONS(6478),
    [anon_sym_PERCENT_EQ] = ACTIONS(6478),
    [anon_sym_GT_GT_EQ] = ACTIONS(6478),
    [anon_sym_LT_LT_EQ] = ACTIONS(6478),
    [anon_sym_CARET_EQ] = ACTIONS(6478),
    [anon_sym_QMARK] = ACTIONS(6478),
    [anon_sym_DOT_DOT] = ACTIONS(6480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6478),
    [anon_sym_and] = ACTIONS(6478),
    [anon_sym_or] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE] = ACTIONS(6480),
    [anon_sym_AMP_AMP] = ACTIONS(6480),
    [anon_sym_LT_LT] = ACTIONS(6480),
    [anon_sym_GT_GT] = ACTIONS(6480),
    [anon_sym_EQ_EQ] = ACTIONS(6480),
    [anon_sym_BANG_EQ] = ACTIONS(6478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6478),
    [anon_sym_LT_EQ_GT] = ACTIONS(6478),
    [anon_sym_EQ_TILDE] = ACTIONS(6478),
    [anon_sym_BANG_TILDE] = ACTIONS(6478),
    [anon_sym_LT_EQ] = ACTIONS(6480),
    [anon_sym_GT] = ACTIONS(6480),
    [anon_sym_GT_EQ] = ACTIONS(6478),
    [anon_sym_CARET] = ACTIONS(6480),
    [anon_sym_PLUS] = ACTIONS(6480),
    [anon_sym_SLASH] = ACTIONS(6480),
    [anon_sym_PERCENT] = ACTIONS(6480),
    [sym_comment] = ACTIONS(87),
  },
  [6758] = {
    [sym__line_break] = ACTIONS(6482),
    [sym__heredoc_body_start] = ACTIONS(6482),
    [sym__element_reference_left_bracket] = ACTIONS(6482),
    [sym__infix_scope_colons] = ACTIONS(6482),
    [sym__binary_minus] = ACTIONS(6482),
    [sym__binary_star] = ACTIONS(6482),
    [ts_builtin_sym_end] = ACTIONS(6482),
    [anon_sym___END__] = ACTIONS(6482),
    [anon_sym_LBRACE] = ACTIONS(6482),
    [anon_sym_RBRACE] = ACTIONS(6482),
    [anon_sym_RPAREN] = ACTIONS(6482),
    [anon_sym_DOT] = ACTIONS(6484),
    [anon_sym_COMMA] = ACTIONS(6482),
    [anon_sym_PIPE] = ACTIONS(6484),
    [anon_sym_SEMI] = ACTIONS(6482),
    [anon_sym_STAR_STAR] = ACTIONS(6484),
    [anon_sym_AMP] = ACTIONS(6484),
    [anon_sym_EQ] = ACTIONS(6484),
    [anon_sym_LT] = ACTIONS(6484),
    [anon_sym_end] = ACTIONS(6482),
    [anon_sym_if] = ACTIONS(6482),
    [anon_sym_unless] = ACTIONS(6482),
    [anon_sym_while] = ACTIONS(6482),
    [anon_sym_until] = ACTIONS(6482),
    [anon_sym_rescue] = ACTIONS(6482),
    [anon_sym_do] = ACTIONS(6482),
    [anon_sym_when] = ACTIONS(6482),
    [anon_sym_elsif] = ACTIONS(6482),
    [anon_sym_else] = ACTIONS(6482),
    [anon_sym_then] = ACTIONS(6482),
    [anon_sym_ensure] = ACTIONS(6482),
    [anon_sym_EQ_GT] = ACTIONS(6482),
    [anon_sym_AMP_DOT] = ACTIONS(6482),
    [anon_sym_PLUS_EQ] = ACTIONS(6482),
    [anon_sym_DASH_EQ] = ACTIONS(6482),
    [anon_sym_STAR_EQ] = ACTIONS(6482),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6482),
    [anon_sym_SLASH_EQ] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6482),
    [anon_sym_PIPE_EQ] = ACTIONS(6482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6482),
    [anon_sym_AMP_EQ] = ACTIONS(6482),
    [anon_sym_PERCENT_EQ] = ACTIONS(6482),
    [anon_sym_GT_GT_EQ] = ACTIONS(6482),
    [anon_sym_LT_LT_EQ] = ACTIONS(6482),
    [anon_sym_CARET_EQ] = ACTIONS(6482),
    [anon_sym_QMARK] = ACTIONS(6482),
    [anon_sym_DOT_DOT] = ACTIONS(6484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6482),
    [anon_sym_and] = ACTIONS(6482),
    [anon_sym_or] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE] = ACTIONS(6484),
    [anon_sym_AMP_AMP] = ACTIONS(6484),
    [anon_sym_LT_LT] = ACTIONS(6484),
    [anon_sym_GT_GT] = ACTIONS(6484),
    [anon_sym_EQ_EQ] = ACTIONS(6484),
    [anon_sym_BANG_EQ] = ACTIONS(6482),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6482),
    [anon_sym_LT_EQ_GT] = ACTIONS(6482),
    [anon_sym_EQ_TILDE] = ACTIONS(6482),
    [anon_sym_BANG_TILDE] = ACTIONS(6482),
    [anon_sym_LT_EQ] = ACTIONS(6484),
    [anon_sym_GT] = ACTIONS(6484),
    [anon_sym_GT_EQ] = ACTIONS(6482),
    [anon_sym_CARET] = ACTIONS(6484),
    [anon_sym_PLUS] = ACTIONS(6484),
    [anon_sym_SLASH] = ACTIONS(6484),
    [anon_sym_PERCENT] = ACTIONS(6484),
    [sym_comment] = ACTIONS(87),
  },
  [6759] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12090),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [6760] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(12090),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12092),
  },
  [6761] = {
    [sym__line_break] = ACTIONS(6490),
    [sym__heredoc_body_start] = ACTIONS(6490),
    [sym__element_reference_left_bracket] = ACTIONS(6490),
    [sym__infix_scope_colons] = ACTIONS(6490),
    [sym__binary_minus] = ACTIONS(6490),
    [sym__binary_star] = ACTIONS(6490),
    [ts_builtin_sym_end] = ACTIONS(6490),
    [anon_sym___END__] = ACTIONS(6490),
    [anon_sym_LBRACE] = ACTIONS(6490),
    [anon_sym_RBRACE] = ACTIONS(6490),
    [anon_sym_RPAREN] = ACTIONS(6490),
    [anon_sym_DOT] = ACTIONS(6492),
    [anon_sym_COMMA] = ACTIONS(6490),
    [anon_sym_PIPE] = ACTIONS(6492),
    [anon_sym_SEMI] = ACTIONS(6490),
    [anon_sym_STAR_STAR] = ACTIONS(6492),
    [anon_sym_AMP] = ACTIONS(6492),
    [anon_sym_EQ] = ACTIONS(6492),
    [anon_sym_LT] = ACTIONS(6492),
    [anon_sym_end] = ACTIONS(6490),
    [anon_sym_if] = ACTIONS(6490),
    [anon_sym_unless] = ACTIONS(6490),
    [anon_sym_while] = ACTIONS(6490),
    [anon_sym_until] = ACTIONS(6490),
    [anon_sym_rescue] = ACTIONS(6490),
    [anon_sym_do] = ACTIONS(6490),
    [anon_sym_when] = ACTIONS(6490),
    [anon_sym_elsif] = ACTIONS(6490),
    [anon_sym_else] = ACTIONS(6490),
    [anon_sym_then] = ACTIONS(6490),
    [anon_sym_ensure] = ACTIONS(6490),
    [anon_sym_EQ_GT] = ACTIONS(6490),
    [anon_sym_AMP_DOT] = ACTIONS(6490),
    [anon_sym_PLUS_EQ] = ACTIONS(6490),
    [anon_sym_DASH_EQ] = ACTIONS(6490),
    [anon_sym_STAR_EQ] = ACTIONS(6490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6490),
    [anon_sym_SLASH_EQ] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6490),
    [anon_sym_PIPE_EQ] = ACTIONS(6490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6490),
    [anon_sym_AMP_EQ] = ACTIONS(6490),
    [anon_sym_PERCENT_EQ] = ACTIONS(6490),
    [anon_sym_GT_GT_EQ] = ACTIONS(6490),
    [anon_sym_LT_LT_EQ] = ACTIONS(6490),
    [anon_sym_CARET_EQ] = ACTIONS(6490),
    [anon_sym_QMARK] = ACTIONS(6490),
    [anon_sym_DOT_DOT] = ACTIONS(6492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6490),
    [anon_sym_and] = ACTIONS(6490),
    [anon_sym_or] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE] = ACTIONS(6492),
    [anon_sym_AMP_AMP] = ACTIONS(6492),
    [anon_sym_LT_LT] = ACTIONS(6492),
    [anon_sym_GT_GT] = ACTIONS(6492),
    [anon_sym_EQ_EQ] = ACTIONS(6492),
    [anon_sym_BANG_EQ] = ACTIONS(6490),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6490),
    [anon_sym_LT_EQ_GT] = ACTIONS(6490),
    [anon_sym_EQ_TILDE] = ACTIONS(6490),
    [anon_sym_BANG_TILDE] = ACTIONS(6490),
    [anon_sym_LT_EQ] = ACTIONS(6492),
    [anon_sym_GT] = ACTIONS(6492),
    [anon_sym_GT_EQ] = ACTIONS(6490),
    [anon_sym_CARET] = ACTIONS(6492),
    [anon_sym_PLUS] = ACTIONS(6492),
    [anon_sym_SLASH] = ACTIONS(6492),
    [anon_sym_PERCENT] = ACTIONS(6492),
    [sym_comment] = ACTIONS(87),
  },
  [6762] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12094),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [6763] = {
    [sym__line_break] = ACTIONS(2929),
    [sym__string_start] = ACTIONS(2929),
    [sym__heredoc_body_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [ts_builtin_sym_end] = ACTIONS(2929),
    [anon_sym___END__] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_end] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [anon_sym_rescue] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_when] = ACTIONS(2929),
    [anon_sym_elsif] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_then] = ACTIONS(2929),
    [anon_sym_ensure] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2929),
    [anon_sym_AMP_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_GT_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_LT_EQ] = ACTIONS(2929),
    [anon_sym_CARET_EQ] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_LT_LT] = ACTIONS(2931),
    [anon_sym_GT_GT] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(87),
  },
  [6764] = {
    [sym__line_break] = ACTIONS(2941),
    [sym__heredoc_body_start] = ACTIONS(2941),
    [sym__element_reference_left_bracket] = ACTIONS(2941),
    [sym__infix_scope_colons] = ACTIONS(2941),
    [sym__binary_minus] = ACTIONS(2941),
    [sym__binary_star] = ACTIONS(2941),
    [ts_builtin_sym_end] = ACTIONS(2941),
    [anon_sym___END__] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_end] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_unless] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_until] = ACTIONS(2941),
    [anon_sym_rescue] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_when] = ACTIONS(2941),
    [anon_sym_elsif] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_then] = ACTIONS(2941),
    [anon_sym_ensure] = ACTIONS(2941),
    [anon_sym_AMP_DOT] = ACTIONS(2941),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2941),
    [anon_sym_AMP_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_GT_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_LT_EQ] = ACTIONS(2941),
    [anon_sym_CARET_EQ] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(2941),
    [anon_sym_or] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2943),
    [anon_sym_GT_GT] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(87),
  },
  [6765] = {
    [sym__line_break] = ACTIONS(2945),
    [sym__heredoc_body_start] = ACTIONS(2945),
    [sym__element_reference_left_bracket] = ACTIONS(2945),
    [sym__infix_scope_colons] = ACTIONS(2945),
    [sym__binary_minus] = ACTIONS(2945),
    [sym__binary_star] = ACTIONS(2945),
    [ts_builtin_sym_end] = ACTIONS(2945),
    [anon_sym___END__] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_end] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_unless] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_until] = ACTIONS(2945),
    [anon_sym_rescue] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_when] = ACTIONS(2945),
    [anon_sym_elsif] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_then] = ACTIONS(2945),
    [anon_sym_ensure] = ACTIONS(2945),
    [anon_sym_AMP_DOT] = ACTIONS(2945),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_GT_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_LT_EQ] = ACTIONS(2945),
    [anon_sym_CARET_EQ] = ACTIONS(2945),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2945),
    [anon_sym_or] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2947),
    [anon_sym_GT_GT] = ACTIONS(2947),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(87),
  },
  [6766] = {
    [sym__line_break] = ACTIONS(2949),
    [sym__heredoc_body_start] = ACTIONS(2949),
    [sym__element_reference_left_bracket] = ACTIONS(2949),
    [sym__infix_scope_colons] = ACTIONS(2949),
    [sym__binary_minus] = ACTIONS(2949),
    [sym__binary_star] = ACTIONS(2949),
    [ts_builtin_sym_end] = ACTIONS(2949),
    [anon_sym___END__] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_end] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_unless] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_until] = ACTIONS(2949),
    [anon_sym_rescue] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_when] = ACTIONS(2949),
    [anon_sym_elsif] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_then] = ACTIONS(2949),
    [anon_sym_ensure] = ACTIONS(2949),
    [anon_sym_AMP_DOT] = ACTIONS(2949),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2949),
    [anon_sym_AMP_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_GT_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_LT_EQ] = ACTIONS(2949),
    [anon_sym_CARET_EQ] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_and] = ACTIONS(2949),
    [anon_sym_or] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_GT_GT] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(87),
  },
  [6767] = {
    [sym__line_break] = ACTIONS(2955),
    [sym__heredoc_body_start] = ACTIONS(2955),
    [sym__element_reference_left_bracket] = ACTIONS(2955),
    [sym__infix_scope_colons] = ACTIONS(2955),
    [sym__binary_minus] = ACTIONS(2955),
    [sym__binary_star] = ACTIONS(2955),
    [ts_builtin_sym_end] = ACTIONS(2955),
    [anon_sym___END__] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_end] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_unless] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_until] = ACTIONS(2955),
    [anon_sym_rescue] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_when] = ACTIONS(2955),
    [anon_sym_elsif] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_then] = ACTIONS(2955),
    [anon_sym_ensure] = ACTIONS(2955),
    [anon_sym_AMP_DOT] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2957),
    [anon_sym_GT_GT] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [sym_comment] = ACTIONS(87),
  },
  [6768] = {
    [sym__string_end] = ACTIONS(12096),
    [sym_comment] = ACTIONS(87),
  },
  [6769] = {
    [aux_sym_string_array_repeat1] = STATE(9275),
    [sym__string_end] = ACTIONS(12098),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12100),
  },
  [6770] = {
    [sym__line_break] = ACTIONS(2965),
    [sym__heredoc_body_start] = ACTIONS(2965),
    [sym__element_reference_left_bracket] = ACTIONS(2965),
    [sym__infix_scope_colons] = ACTIONS(2965),
    [sym__binary_minus] = ACTIONS(2965),
    [sym__binary_star] = ACTIONS(2965),
    [ts_builtin_sym_end] = ACTIONS(2965),
    [anon_sym___END__] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_end] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_unless] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_until] = ACTIONS(2965),
    [anon_sym_rescue] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_when] = ACTIONS(2965),
    [anon_sym_elsif] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_then] = ACTIONS(2965),
    [anon_sym_ensure] = ACTIONS(2965),
    [anon_sym_AMP_DOT] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_GT_GT] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [sym_comment] = ACTIONS(87),
  },
  [6771] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12102),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [6772] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(12102),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12104),
  },
  [6773] = {
    [sym__line_break] = ACTIONS(2984),
    [sym__heredoc_body_start] = ACTIONS(2984),
    [sym__element_reference_left_bracket] = ACTIONS(2984),
    [sym__infix_scope_colons] = ACTIONS(2984),
    [sym__binary_minus] = ACTIONS(2984),
    [sym__binary_star] = ACTIONS(2984),
    [ts_builtin_sym_end] = ACTIONS(2984),
    [anon_sym___END__] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2984),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_STAR_STAR] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(2986),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_end] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_unless] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_until] = ACTIONS(2984),
    [anon_sym_rescue] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_when] = ACTIONS(2984),
    [anon_sym_elsif] = ACTIONS(2984),
    [anon_sym_else] = ACTIONS(2984),
    [anon_sym_then] = ACTIONS(2984),
    [anon_sym_ensure] = ACTIONS(2984),
    [anon_sym_AMP_DOT] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(2984),
    [anon_sym_DASH_EQ] = ACTIONS(2984),
    [anon_sym_STAR_EQ] = ACTIONS(2984),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2984),
    [anon_sym_AMP_EQ] = ACTIONS(2984),
    [anon_sym_PERCENT_EQ] = ACTIONS(2984),
    [anon_sym_GT_GT_EQ] = ACTIONS(2984),
    [anon_sym_LT_LT_EQ] = ACTIONS(2984),
    [anon_sym_CARET_EQ] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_and] = ACTIONS(2984),
    [anon_sym_or] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_GT_GT] = ACTIONS(2986),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_CARET] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [sym_comment] = ACTIONS(87),
  },
  [6774] = {
    [sym__string_end] = ACTIONS(12106),
    [sym_comment] = ACTIONS(87),
  },
  [6775] = {
    [aux_sym_symbol_array_repeat1] = STATE(9281),
    [sym__string_end] = ACTIONS(12108),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12110),
  },
  [6776] = {
    [sym__line_break] = ACTIONS(2994),
    [sym__heredoc_body_start] = ACTIONS(2994),
    [sym__element_reference_left_bracket] = ACTIONS(2994),
    [sym__infix_scope_colons] = ACTIONS(2994),
    [sym__binary_minus] = ACTIONS(2994),
    [sym__binary_star] = ACTIONS(2994),
    [ts_builtin_sym_end] = ACTIONS(2994),
    [anon_sym___END__] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_RPAREN] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2996),
    [anon_sym_end] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_unless] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_until] = ACTIONS(2994),
    [anon_sym_rescue] = ACTIONS(2994),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_when] = ACTIONS(2994),
    [anon_sym_elsif] = ACTIONS(2994),
    [anon_sym_else] = ACTIONS(2994),
    [anon_sym_then] = ACTIONS(2994),
    [anon_sym_ensure] = ACTIONS(2994),
    [anon_sym_AMP_DOT] = ACTIONS(2994),
    [anon_sym_PLUS_EQ] = ACTIONS(2994),
    [anon_sym_DASH_EQ] = ACTIONS(2994),
    [anon_sym_STAR_EQ] = ACTIONS(2994),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2994),
    [anon_sym_SLASH_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_EQ] = ACTIONS(2994),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2994),
    [anon_sym_AMP_EQ] = ACTIONS(2994),
    [anon_sym_PERCENT_EQ] = ACTIONS(2994),
    [anon_sym_GT_GT_EQ] = ACTIONS(2994),
    [anon_sym_LT_LT_EQ] = ACTIONS(2994),
    [anon_sym_CARET_EQ] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2994),
    [anon_sym_DOT_DOT] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2994),
    [anon_sym_and] = ACTIONS(2994),
    [anon_sym_or] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2996),
    [anon_sym_LT_LT] = ACTIONS(2996),
    [anon_sym_GT_GT] = ACTIONS(2996),
    [anon_sym_EQ_EQ] = ACTIONS(2996),
    [anon_sym_BANG_EQ] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2994),
    [anon_sym_LT_EQ_GT] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2994),
    [anon_sym_BANG_TILDE] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT] = ACTIONS(2996),
    [anon_sym_GT_EQ] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_SLASH] = ACTIONS(2996),
    [anon_sym_PERCENT] = ACTIONS(2996),
    [sym_comment] = ACTIONS(87),
  },
  [6777] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12112),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [6778] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(12112),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12114),
  },
  [6779] = {
    [sym__line_break] = ACTIONS(3480),
    [sym__heredoc_body_start] = ACTIONS(3480),
    [sym__element_reference_left_bracket] = ACTIONS(3480),
    [sym__infix_scope_colons] = ACTIONS(3480),
    [sym__binary_minus] = ACTIONS(3480),
    [sym__binary_star] = ACTIONS(3480),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [anon_sym___END__] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_DOT] = ACTIONS(3482),
    [anon_sym_COMMA] = ACTIONS(3480),
    [anon_sym_PIPE] = ACTIONS(3482),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_STAR_STAR] = ACTIONS(3482),
    [anon_sym_AMP] = ACTIONS(3482),
    [anon_sym_EQ] = ACTIONS(3482),
    [anon_sym_LT] = ACTIONS(3482),
    [anon_sym_end] = ACTIONS(3480),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_unless] = ACTIONS(3480),
    [anon_sym_while] = ACTIONS(3480),
    [anon_sym_until] = ACTIONS(3480),
    [anon_sym_rescue] = ACTIONS(3480),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_when] = ACTIONS(3480),
    [anon_sym_elsif] = ACTIONS(3480),
    [anon_sym_else] = ACTIONS(3480),
    [anon_sym_then] = ACTIONS(3480),
    [anon_sym_ensure] = ACTIONS(3480),
    [anon_sym_AMP_DOT] = ACTIONS(3480),
    [anon_sym_PLUS_EQ] = ACTIONS(3480),
    [anon_sym_DASH_EQ] = ACTIONS(3480),
    [anon_sym_STAR_EQ] = ACTIONS(3480),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3480),
    [anon_sym_SLASH_EQ] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3480),
    [anon_sym_PIPE_EQ] = ACTIONS(3480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3480),
    [anon_sym_AMP_EQ] = ACTIONS(3480),
    [anon_sym_PERCENT_EQ] = ACTIONS(3480),
    [anon_sym_GT_GT_EQ] = ACTIONS(3480),
    [anon_sym_LT_LT_EQ] = ACTIONS(3480),
    [anon_sym_CARET_EQ] = ACTIONS(3480),
    [anon_sym_QMARK] = ACTIONS(3480),
    [anon_sym_DOT_DOT] = ACTIONS(3482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3480),
    [anon_sym_and] = ACTIONS(3480),
    [anon_sym_or] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE] = ACTIONS(3482),
    [anon_sym_AMP_AMP] = ACTIONS(3482),
    [anon_sym_LT_LT] = ACTIONS(3482),
    [anon_sym_GT_GT] = ACTIONS(3482),
    [anon_sym_EQ_EQ] = ACTIONS(3482),
    [anon_sym_BANG_EQ] = ACTIONS(3480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3480),
    [anon_sym_LT_EQ_GT] = ACTIONS(3480),
    [anon_sym_EQ_TILDE] = ACTIONS(3480),
    [anon_sym_BANG_TILDE] = ACTIONS(3480),
    [anon_sym_LT_EQ] = ACTIONS(3482),
    [anon_sym_GT] = ACTIONS(3482),
    [anon_sym_GT_EQ] = ACTIONS(3480),
    [anon_sym_CARET] = ACTIONS(3482),
    [anon_sym_PLUS] = ACTIONS(3482),
    [anon_sym_SLASH] = ACTIONS(3482),
    [anon_sym_PERCENT] = ACTIONS(3482),
    [sym_comment] = ACTIONS(87),
  },
  [6780] = {
    [anon_sym_RBRACE] = ACTIONS(12116),
    [sym_comment] = ACTIONS(87),
  },
  [6781] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(12118),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(3534),
    [anon_sym_or] = ACTIONS(3534),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [6782] = {
    [sym__method_rest] = STATE(9286),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(3846),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [6783] = {
    [sym__statements] = STATE(3865),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(3866),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(3867),
    [sym_rescue] = STATE(3868),
    [sym__body_statement] = STATE(9287),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12120),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6784] = {
    [sym__line_break] = ACTIONS(3716),
    [sym__heredoc_body_start] = ACTIONS(3716),
    [sym__element_reference_left_bracket] = ACTIONS(3716),
    [sym__infix_scope_colons] = ACTIONS(3716),
    [sym__binary_minus] = ACTIONS(3716),
    [sym__binary_star] = ACTIONS(3716),
    [ts_builtin_sym_end] = ACTIONS(3716),
    [anon_sym___END__] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_RBRACE] = ACTIONS(3716),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_DOT] = ACTIONS(3718),
    [anon_sym_COMMA] = ACTIONS(3716),
    [anon_sym_PIPE] = ACTIONS(3718),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym_STAR_STAR] = ACTIONS(3718),
    [anon_sym_AMP] = ACTIONS(3718),
    [anon_sym_EQ] = ACTIONS(3718),
    [anon_sym_LT] = ACTIONS(3718),
    [anon_sym_end] = ACTIONS(3716),
    [anon_sym_if] = ACTIONS(3716),
    [anon_sym_unless] = ACTIONS(3716),
    [anon_sym_while] = ACTIONS(3716),
    [anon_sym_until] = ACTIONS(3716),
    [anon_sym_rescue] = ACTIONS(3716),
    [anon_sym_do] = ACTIONS(3716),
    [anon_sym_when] = ACTIONS(3716),
    [anon_sym_elsif] = ACTIONS(3716),
    [anon_sym_else] = ACTIONS(3716),
    [anon_sym_then] = ACTIONS(3716),
    [anon_sym_ensure] = ACTIONS(3716),
    [anon_sym_AMP_DOT] = ACTIONS(3716),
    [anon_sym_PLUS_EQ] = ACTIONS(3716),
    [anon_sym_DASH_EQ] = ACTIONS(3716),
    [anon_sym_STAR_EQ] = ACTIONS(3716),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3716),
    [anon_sym_SLASH_EQ] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3716),
    [anon_sym_PIPE_EQ] = ACTIONS(3716),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3716),
    [anon_sym_AMP_EQ] = ACTIONS(3716),
    [anon_sym_PERCENT_EQ] = ACTIONS(3716),
    [anon_sym_GT_GT_EQ] = ACTIONS(3716),
    [anon_sym_LT_LT_EQ] = ACTIONS(3716),
    [anon_sym_CARET_EQ] = ACTIONS(3716),
    [anon_sym_QMARK] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3716),
    [anon_sym_and] = ACTIONS(3716),
    [anon_sym_or] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE] = ACTIONS(3718),
    [anon_sym_AMP_AMP] = ACTIONS(3718),
    [anon_sym_LT_LT] = ACTIONS(3718),
    [anon_sym_GT_GT] = ACTIONS(3718),
    [anon_sym_EQ_EQ] = ACTIONS(3718),
    [anon_sym_BANG_EQ] = ACTIONS(3716),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3716),
    [anon_sym_LT_EQ_GT] = ACTIONS(3716),
    [anon_sym_EQ_TILDE] = ACTIONS(3716),
    [anon_sym_BANG_TILDE] = ACTIONS(3716),
    [anon_sym_LT_EQ] = ACTIONS(3718),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_GT_EQ] = ACTIONS(3716),
    [anon_sym_CARET] = ACTIONS(3718),
    [anon_sym_PLUS] = ACTIONS(3718),
    [anon_sym_SLASH] = ACTIONS(3718),
    [anon_sym_PERCENT] = ACTIONS(3718),
    [sym_comment] = ACTIONS(87),
  },
  [6785] = {
    [sym_heredoc_body] = STATE(9288),
    [sym__terminator] = STATE(9288),
    [sym__line_break] = ACTIONS(12122),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(12122),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [6786] = {
    [sym_heredoc_body] = STATE(9289),
    [sym__terminator] = STATE(9289),
    [sym__line_break] = ACTIONS(12124),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(12124),
    [sym_comment] = ACTIONS(87),
  },
  [6787] = {
    [sym__statements] = STATE(3865),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(3866),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(3867),
    [sym_rescue] = STATE(3868),
    [sym__body_statement] = STATE(9290),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12126),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6788] = {
    [sym__line_break] = ACTIONS(4122),
    [sym__heredoc_body_start] = ACTIONS(4122),
    [sym__element_reference_left_bracket] = ACTIONS(4122),
    [sym__infix_scope_colons] = ACTIONS(4122),
    [sym__binary_minus] = ACTIONS(4122),
    [sym__binary_star] = ACTIONS(4122),
    [ts_builtin_sym_end] = ACTIONS(4122),
    [anon_sym___END__] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_STAR_STAR] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_end] = ACTIONS(4122),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_unless] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(4122),
    [anon_sym_until] = ACTIONS(4122),
    [anon_sym_rescue] = ACTIONS(4122),
    [anon_sym_do] = ACTIONS(4122),
    [anon_sym_when] = ACTIONS(4122),
    [anon_sym_elsif] = ACTIONS(4122),
    [anon_sym_else] = ACTIONS(4122),
    [anon_sym_then] = ACTIONS(4122),
    [anon_sym_ensure] = ACTIONS(4122),
    [anon_sym_AMP_DOT] = ACTIONS(4122),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4124),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ_GT] = ACTIONS(4122),
    [anon_sym_EQ_TILDE] = ACTIONS(4122),
    [anon_sym_BANG_TILDE] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4124),
    [sym_comment] = ACTIONS(87),
  },
  [6789] = {
    [sym__statements] = STATE(3865),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(3866),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(3867),
    [sym_rescue] = STATE(3868),
    [sym__body_statement] = STATE(9291),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12128),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6790] = {
    [sym__statements] = STATE(9293),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(9294),
    [sym_else] = STATE(9294),
    [sym__if_tail] = STATE(9294),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(9295),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(9295),
    [sym__line_break] = ACTIONS(12130),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12132),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6791] = {
    [sym__statements] = STATE(9297),
    [sym__top_level_statement] = STATE(2886),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(9298),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12134),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6792] = {
    [sym__statements] = STATE(9300),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6793] = {
    [sym__statements] = STATE(9302),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12138),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6794] = {
    [sym__do] = STATE(9303),
    [sym_heredoc_body] = STATE(9303),
    [sym__terminator] = STATE(9303),
    [sym__line_break] = ACTIONS(12140),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(12140),
    [anon_sym_do] = ACTIONS(12140),
    [sym_comment] = ACTIONS(87),
  },
  [6795] = {
    [sym_when] = STATE(9304),
    [aux_sym_case_repeat1] = STATE(9305),
    [anon_sym_SEMI] = ACTIONS(12142),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [6796] = {
    [anon_sym_end] = ACTIONS(12144),
    [sym_comment] = ACTIONS(87),
  },
  [6797] = {
    [sym_when] = STATE(9304),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [6798] = {
    [sym__line_break] = ACTIONS(5352),
    [sym__heredoc_body_start] = ACTIONS(5352),
    [sym__element_reference_left_bracket] = ACTIONS(5352),
    [sym__infix_scope_colons] = ACTIONS(5352),
    [sym__binary_minus] = ACTIONS(5352),
    [sym__binary_star] = ACTIONS(5352),
    [ts_builtin_sym_end] = ACTIONS(5352),
    [anon_sym___END__] = ACTIONS(5352),
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_STAR_STAR] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_EQ] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_end] = ACTIONS(5352),
    [anon_sym_if] = ACTIONS(5352),
    [anon_sym_unless] = ACTIONS(5352),
    [anon_sym_while] = ACTIONS(5352),
    [anon_sym_until] = ACTIONS(5352),
    [anon_sym_rescue] = ACTIONS(5352),
    [anon_sym_do] = ACTIONS(5352),
    [anon_sym_when] = ACTIONS(5352),
    [anon_sym_elsif] = ACTIONS(5352),
    [anon_sym_else] = ACTIONS(5352),
    [anon_sym_then] = ACTIONS(5352),
    [anon_sym_ensure] = ACTIONS(5352),
    [anon_sym_AMP_DOT] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_DOT_DOT] = ACTIONS(5354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_and] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_LT_LT] = ACTIONS(5354),
    [anon_sym_GT_GT] = ACTIONS(5354),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_EQ_TILDE] = ACTIONS(5352),
    [anon_sym_BANG_TILDE] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5354),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_SLASH] = ACTIONS(5354),
    [anon_sym_PERCENT] = ACTIONS(5354),
    [sym_comment] = ACTIONS(87),
  },
  [6799] = {
    [sym_ensure] = STATE(9308),
    [anon_sym_end] = ACTIONS(12146),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [6800] = {
    [anon_sym_end] = ACTIONS(12146),
    [sym_comment] = ACTIONS(87),
  },
  [6801] = {
    [sym_else] = STATE(9309),
    [sym_ensure] = STATE(9308),
    [anon_sym_end] = ACTIONS(12146),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [6802] = {
    [sym__line_break] = ACTIONS(5438),
    [sym__heredoc_body_start] = ACTIONS(5438),
    [sym__element_reference_left_bracket] = ACTIONS(5438),
    [sym__infix_scope_colons] = ACTIONS(5438),
    [sym__binary_minus] = ACTIONS(5438),
    [sym__binary_star] = ACTIONS(5438),
    [ts_builtin_sym_end] = ACTIONS(5438),
    [anon_sym___END__] = ACTIONS(5438),
    [anon_sym_LBRACE] = ACTIONS(5438),
    [anon_sym_RBRACE] = ACTIONS(5438),
    [anon_sym_RPAREN] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5438),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym_STAR_STAR] = ACTIONS(5440),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_end] = ACTIONS(5438),
    [anon_sym_if] = ACTIONS(5438),
    [anon_sym_unless] = ACTIONS(5438),
    [anon_sym_while] = ACTIONS(5438),
    [anon_sym_until] = ACTIONS(5438),
    [anon_sym_rescue] = ACTIONS(5438),
    [anon_sym_do] = ACTIONS(5438),
    [anon_sym_when] = ACTIONS(5438),
    [anon_sym_elsif] = ACTIONS(5438),
    [anon_sym_else] = ACTIONS(5438),
    [anon_sym_then] = ACTIONS(5438),
    [anon_sym_ensure] = ACTIONS(5438),
    [anon_sym_AMP_DOT] = ACTIONS(5438),
    [anon_sym_PLUS_EQ] = ACTIONS(5438),
    [anon_sym_DASH_EQ] = ACTIONS(5438),
    [anon_sym_STAR_EQ] = ACTIONS(5438),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5438),
    [anon_sym_SLASH_EQ] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5438),
    [anon_sym_PIPE_EQ] = ACTIONS(5438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5438),
    [anon_sym_AMP_EQ] = ACTIONS(5438),
    [anon_sym_PERCENT_EQ] = ACTIONS(5438),
    [anon_sym_GT_GT_EQ] = ACTIONS(5438),
    [anon_sym_LT_LT_EQ] = ACTIONS(5438),
    [anon_sym_CARET_EQ] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5438),
    [anon_sym_DOT_DOT] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_LT_LT] = ACTIONS(5440),
    [anon_sym_GT_GT] = ACTIONS(5440),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5438),
    [anon_sym_EQ_TILDE] = ACTIONS(5438),
    [anon_sym_BANG_TILDE] = ACTIONS(5438),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5440),
    [anon_sym_SLASH] = ACTIONS(5440),
    [anon_sym_PERCENT] = ACTIONS(5440),
    [sym_comment] = ACTIONS(87),
  },
  [6803] = {
    [sym__line_break] = ACTIONS(5672),
    [sym__heredoc_body_start] = ACTIONS(5672),
    [sym__element_reference_left_bracket] = ACTIONS(5672),
    [sym__infix_scope_colons] = ACTIONS(5672),
    [sym__binary_minus] = ACTIONS(5672),
    [sym__binary_star] = ACTIONS(5672),
    [ts_builtin_sym_end] = ACTIONS(5672),
    [anon_sym___END__] = ACTIONS(5672),
    [anon_sym_LBRACE] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_STAR_STAR] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_end] = ACTIONS(5672),
    [anon_sym_if] = ACTIONS(5672),
    [anon_sym_unless] = ACTIONS(5672),
    [anon_sym_while] = ACTIONS(5672),
    [anon_sym_until] = ACTIONS(5672),
    [anon_sym_rescue] = ACTIONS(5672),
    [anon_sym_do] = ACTIONS(5672),
    [anon_sym_when] = ACTIONS(5672),
    [anon_sym_elsif] = ACTIONS(5672),
    [anon_sym_else] = ACTIONS(5672),
    [anon_sym_then] = ACTIONS(5672),
    [anon_sym_ensure] = ACTIONS(5672),
    [anon_sym_AMP_DOT] = ACTIONS(5672),
    [anon_sym_PLUS_EQ] = ACTIONS(5672),
    [anon_sym_DASH_EQ] = ACTIONS(5672),
    [anon_sym_STAR_EQ] = ACTIONS(5672),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5672),
    [anon_sym_SLASH_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5672),
    [anon_sym_AMP_EQ] = ACTIONS(5672),
    [anon_sym_PERCENT_EQ] = ACTIONS(5672),
    [anon_sym_GT_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_LT_EQ] = ACTIONS(5672),
    [anon_sym_CARET_EQ] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5674),
    [anon_sym_AMP_AMP] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5674),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5674),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ_GT] = ACTIONS(5672),
    [anon_sym_EQ_TILDE] = ACTIONS(5672),
    [anon_sym_BANG_TILDE] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5674),
    [sym_comment] = ACTIONS(87),
  },
  [6804] = {
    [anon_sym_RBRACK] = ACTIONS(12148),
    [sym_comment] = ACTIONS(87),
  },
  [6805] = {
    [sym__line_break] = ACTIONS(5760),
    [sym__heredoc_body_start] = ACTIONS(5760),
    [sym__element_reference_left_bracket] = ACTIONS(5760),
    [sym__infix_scope_colons] = ACTIONS(5760),
    [sym__binary_minus] = ACTIONS(5760),
    [sym__binary_star] = ACTIONS(5760),
    [ts_builtin_sym_end] = ACTIONS(5760),
    [anon_sym___END__] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym_STAR_STAR] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_end] = ACTIONS(5760),
    [anon_sym_if] = ACTIONS(5760),
    [anon_sym_unless] = ACTIONS(5760),
    [anon_sym_while] = ACTIONS(5760),
    [anon_sym_until] = ACTIONS(5760),
    [anon_sym_rescue] = ACTIONS(5760),
    [anon_sym_do] = ACTIONS(5760),
    [anon_sym_when] = ACTIONS(5760),
    [anon_sym_elsif] = ACTIONS(5760),
    [anon_sym_else] = ACTIONS(5760),
    [anon_sym_then] = ACTIONS(5760),
    [anon_sym_ensure] = ACTIONS(5760),
    [anon_sym_AMP_DOT] = ACTIONS(5760),
    [anon_sym_PLUS_EQ] = ACTIONS(5760),
    [anon_sym_DASH_EQ] = ACTIONS(5760),
    [anon_sym_STAR_EQ] = ACTIONS(5760),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5760),
    [anon_sym_SLASH_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5760),
    [anon_sym_AMP_EQ] = ACTIONS(5760),
    [anon_sym_PERCENT_EQ] = ACTIONS(5760),
    [anon_sym_GT_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_LT_EQ] = ACTIONS(5760),
    [anon_sym_CARET_EQ] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_DOT_DOT] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5762),
    [anon_sym_AMP_AMP] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5762),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5762),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_EQ_TILDE] = ACTIONS(5760),
    [anon_sym_BANG_TILDE] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5762),
    [sym_comment] = ACTIONS(87),
  },
  [6806] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(5790),
    [anon_sym___END__] = ACTIONS(5790),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [6807] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [ts_builtin_sym_end] = ACTIONS(5794),
    [anon_sym___END__] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [6808] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [6809] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [6810] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [6811] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [6812] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12150),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6813] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(5902),
    [anon_sym___END__] = ACTIONS(5902),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [6814] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [6815] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [6816] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [6817] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [6818] = {
    [sym__line_break] = ACTIONS(5684),
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [ts_builtin_sym_end] = ACTIONS(5684),
    [anon_sym___END__] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_end] = ACTIONS(5684),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_when] = ACTIONS(5684),
    [anon_sym_elsif] = ACTIONS(5684),
    [anon_sym_else] = ACTIONS(5684),
    [anon_sym_then] = ACTIONS(5684),
    [anon_sym_ensure] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [6819] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(5050),
    [anon_sym___END__] = ACTIONS(5050),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [6820] = {
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [ts_builtin_sym_end] = ACTIONS(6174),
    [anon_sym___END__] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_when] = ACTIONS(6174),
    [anon_sym_elsif] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [6821] = {
    [aux_sym_exceptions_repeat1] = STATE(9313),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [ts_builtin_sym_end] = ACTIONS(6174),
    [anon_sym___END__] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [6822] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(6188),
    [anon_sym___END__] = ACTIONS(6188),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [6823] = {
    [sym_string] = STATE(6823),
    [aux_sym_chained_string_repeat1] = STATE(6823),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [ts_builtin_sym_end] = ACTIONS(6190),
    [anon_sym___END__] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [6824] = {
    [sym__line_break] = ACTIONS(10783),
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [ts_builtin_sym_end] = ACTIONS(10783),
    [anon_sym___END__] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RBRACE] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR_STAR] = ACTIONS(10785),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_end] = ACTIONS(10783),
    [anon_sym_if] = ACTIONS(10783),
    [anon_sym_unless] = ACTIONS(10783),
    [anon_sym_while] = ACTIONS(10783),
    [anon_sym_until] = ACTIONS(10783),
    [anon_sym_rescue] = ACTIONS(10783),
    [anon_sym_do] = ACTIONS(10783),
    [anon_sym_when] = ACTIONS(10783),
    [anon_sym_elsif] = ACTIONS(10783),
    [anon_sym_else] = ACTIONS(10783),
    [anon_sym_then] = ACTIONS(10783),
    [anon_sym_ensure] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS_EQ] = ACTIONS(10783),
    [anon_sym_DASH_EQ] = ACTIONS(10783),
    [anon_sym_STAR_EQ] = ACTIONS(10783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10783),
    [anon_sym_SLASH_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10783),
    [anon_sym_AMP_EQ] = ACTIONS(10783),
    [anon_sym_PERCENT_EQ] = ACTIONS(10783),
    [anon_sym_GT_GT_EQ] = ACTIONS(10783),
    [anon_sym_LT_LT_EQ] = ACTIONS(10783),
    [anon_sym_CARET_EQ] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10783),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10783),
    [anon_sym_or] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE] = ACTIONS(10785),
    [anon_sym_AMP_AMP] = ACTIONS(10785),
    [anon_sym_LT_LT] = ACTIONS(10785),
    [anon_sym_GT_GT] = ACTIONS(10785),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10785),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_SLASH] = ACTIONS(10785),
    [anon_sym_PERCENT] = ACTIONS(10785),
    [sym_comment] = ACTIONS(87),
  },
  [6825] = {
    [sym__line_break] = ACTIONS(2929),
    [sym__string_start] = ACTIONS(2929),
    [sym__heredoc_body_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [ts_builtin_sym_end] = ACTIONS(2929),
    [anon_sym___END__] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_end] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [anon_sym_rescue] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_when] = ACTIONS(2929),
    [anon_sym_elsif] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_then] = ACTIONS(2929),
    [anon_sym_ensure] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2929),
    [anon_sym_AMP_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_GT_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_LT_EQ] = ACTIONS(2929),
    [anon_sym_CARET_EQ] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_LT_LT] = ACTIONS(2931),
    [anon_sym_GT_GT] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(87),
  },
  [6826] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [6827] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [6828] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9314),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(9314),
    [sym_operator_assignment] = STATE(9314),
    [sym_conditional] = STATE(9314),
    [sym_range] = STATE(9314),
    [sym_binary] = STATE(9314),
    [sym_unary] = STATE(9314),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6829] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [6830] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9315),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(9315),
    [sym_operator_assignment] = STATE(9315),
    [sym_conditional] = STATE(9315),
    [sym_range] = STATE(9315),
    [sym_binary] = STATE(9315),
    [sym_unary] = STATE(9315),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6831] = {
    [sym_heredoc_body] = STATE(9316),
    [aux_sym_call_repeat1] = STATE(9316),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6832] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3909),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(3909),
    [sym_operator_assignment] = STATE(3909),
    [sym_conditional] = STATE(3909),
    [sym_range] = STATE(3909),
    [sym_binary] = STATE(3909),
    [sym_unary] = STATE(3909),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3912),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(9317),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(6036),
    [sym__splat_star] = ACTIONS(6038),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__identifier_hash_key] = ACTIONS(6040),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12155),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(6042),
    [sym_identifier] = ACTIONS(6042),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6833] = {
    [sym_heredoc_body] = STATE(9318),
    [aux_sym_call_repeat1] = STATE(9318),
    [aux_sym_argument_list_repeat1] = STATE(9319),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9722),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6834] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9320),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(9320),
    [sym_operator_assignment] = STATE(9320),
    [sym_conditional] = STATE(9320),
    [sym_range] = STATE(9320),
    [sym_binary] = STATE(9320),
    [sym_unary] = STATE(9320),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6835] = {
    [sym__line_break] = ACTIONS(11905),
    [sym__heredoc_body_start] = ACTIONS(11905),
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [sym__binary_minus] = ACTIONS(11905),
    [sym__binary_star] = ACTIONS(11905),
    [ts_builtin_sym_end] = ACTIONS(11905),
    [anon_sym___END__] = ACTIONS(11905),
    [anon_sym_LBRACE] = ACTIONS(11905),
    [anon_sym_RBRACE] = ACTIONS(11905),
    [anon_sym_RPAREN] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11907),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_PIPE] = ACTIONS(11907),
    [anon_sym_SEMI] = ACTIONS(11905),
    [anon_sym_STAR_STAR] = ACTIONS(11907),
    [anon_sym_AMP] = ACTIONS(11907),
    [anon_sym_EQ] = ACTIONS(11907),
    [anon_sym_LT] = ACTIONS(11907),
    [anon_sym_end] = ACTIONS(11905),
    [anon_sym_if] = ACTIONS(11905),
    [anon_sym_unless] = ACTIONS(11905),
    [anon_sym_while] = ACTIONS(11905),
    [anon_sym_until] = ACTIONS(11905),
    [anon_sym_rescue] = ACTIONS(11905),
    [anon_sym_do] = ACTIONS(11905),
    [anon_sym_when] = ACTIONS(11905),
    [anon_sym_elsif] = ACTIONS(11905),
    [anon_sym_else] = ACTIONS(11905),
    [anon_sym_then] = ACTIONS(11905),
    [anon_sym_ensure] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [anon_sym_PLUS_EQ] = ACTIONS(11905),
    [anon_sym_DASH_EQ] = ACTIONS(11905),
    [anon_sym_STAR_EQ] = ACTIONS(11905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11905),
    [anon_sym_SLASH_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11905),
    [anon_sym_AMP_EQ] = ACTIONS(11905),
    [anon_sym_PERCENT_EQ] = ACTIONS(11905),
    [anon_sym_GT_GT_EQ] = ACTIONS(11905),
    [anon_sym_LT_LT_EQ] = ACTIONS(11905),
    [anon_sym_CARET_EQ] = ACTIONS(11905),
    [anon_sym_QMARK] = ACTIONS(11905),
    [anon_sym_DOT_DOT] = ACTIONS(11907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11905),
    [anon_sym_and] = ACTIONS(11905),
    [anon_sym_or] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE] = ACTIONS(11907),
    [anon_sym_AMP_AMP] = ACTIONS(11907),
    [anon_sym_LT_LT] = ACTIONS(11907),
    [anon_sym_GT_GT] = ACTIONS(11907),
    [anon_sym_EQ_EQ] = ACTIONS(11907),
    [anon_sym_BANG_EQ] = ACTIONS(11905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11905),
    [anon_sym_LT_EQ_GT] = ACTIONS(11905),
    [anon_sym_EQ_TILDE] = ACTIONS(11905),
    [anon_sym_BANG_TILDE] = ACTIONS(11905),
    [anon_sym_LT_EQ] = ACTIONS(11907),
    [anon_sym_GT] = ACTIONS(11907),
    [anon_sym_GT_EQ] = ACTIONS(11905),
    [anon_sym_CARET] = ACTIONS(11907),
    [anon_sym_PLUS] = ACTIONS(11907),
    [anon_sym_SLASH] = ACTIONS(11907),
    [anon_sym_PERCENT] = ACTIONS(11907),
    [sym_comment] = ACTIONS(87),
  },
  [6836] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [6837] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [6838] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6046),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [6839] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [6840] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6046),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [6841] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6046),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6050),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [6842] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12157),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6843] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(6046),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(6050),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(6056),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(6060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6062),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(6066),
    [anon_sym_AMP_AMP] = ACTIONS(6066),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(6070),
    [anon_sym_BANG_EQ] = ACTIONS(6066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6066),
    [anon_sym_LT_EQ_GT] = ACTIONS(6066),
    [anon_sym_EQ_TILDE] = ACTIONS(6066),
    [anon_sym_BANG_TILDE] = ACTIONS(6066),
    [anon_sym_LT_EQ] = ACTIONS(6056),
    [anon_sym_GT] = ACTIONS(6056),
    [anon_sym_GT_EQ] = ACTIONS(6072),
    [anon_sym_CARET] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [6844] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6046),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6050),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(6056),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(6058),
    [anon_sym_DOT_DOT] = ACTIONS(6060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6062),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(6066),
    [anon_sym_AMP_AMP] = ACTIONS(6066),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(6070),
    [anon_sym_BANG_EQ] = ACTIONS(6066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6066),
    [anon_sym_LT_EQ_GT] = ACTIONS(6066),
    [anon_sym_EQ_TILDE] = ACTIONS(6066),
    [anon_sym_BANG_TILDE] = ACTIONS(6066),
    [anon_sym_LT_EQ] = ACTIONS(6056),
    [anon_sym_GT] = ACTIONS(6056),
    [anon_sym_GT_EQ] = ACTIONS(6072),
    [anon_sym_CARET] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [6845] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6046),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6050),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(6056),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(6070),
    [anon_sym_BANG_EQ] = ACTIONS(6066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6066),
    [anon_sym_LT_EQ_GT] = ACTIONS(6066),
    [anon_sym_EQ_TILDE] = ACTIONS(6066),
    [anon_sym_BANG_TILDE] = ACTIONS(6066),
    [anon_sym_LT_EQ] = ACTIONS(6056),
    [anon_sym_GT] = ACTIONS(6056),
    [anon_sym_GT_EQ] = ACTIONS(6072),
    [anon_sym_CARET] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [6846] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6046),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [6847] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [6848] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [6849] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [6850] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9322),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(9322),
    [sym_operator_assignment] = STATE(9322),
    [sym_conditional] = STATE(9322),
    [sym_range] = STATE(9322),
    [sym_binary] = STATE(9322),
    [sym_unary] = STATE(9322),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6851] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [6852] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9323),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(9323),
    [sym_operator_assignment] = STATE(9323),
    [sym_conditional] = STATE(9323),
    [sym_range] = STATE(9323),
    [sym_binary] = STATE(9323),
    [sym_unary] = STATE(9323),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6853] = {
    [sym_heredoc_body] = STATE(9324),
    [aux_sym_call_repeat1] = STATE(9324),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6854] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3934),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(3934),
    [sym_operator_assignment] = STATE(3934),
    [sym_conditional] = STATE(3934),
    [sym_range] = STATE(3934),
    [sym_binary] = STATE(3934),
    [sym_unary] = STATE(3934),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3937),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(9325),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(6078),
    [sym__splat_star] = ACTIONS(6080),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__identifier_hash_key] = ACTIONS(6082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12159),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(6084),
    [sym_identifier] = ACTIONS(6084),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6855] = {
    [sym_heredoc_body] = STATE(9326),
    [aux_sym_call_repeat1] = STATE(9326),
    [aux_sym_argument_list_repeat1] = STATE(9327),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9730),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6856] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9328),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(9328),
    [sym_operator_assignment] = STATE(9328),
    [sym_conditional] = STATE(9328),
    [sym_range] = STATE(9328),
    [sym_binary] = STATE(9328),
    [sym_unary] = STATE(9328),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6857] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9329),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(9329),
    [sym_operator_assignment] = STATE(9329),
    [sym_conditional] = STATE(9329),
    [sym_range] = STATE(9329),
    [sym_binary] = STATE(9329),
    [sym_unary] = STATE(9329),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6858] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9330),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(9330),
    [sym_operator_assignment] = STATE(9330),
    [sym_conditional] = STATE(9330),
    [sym_range] = STATE(9330),
    [sym_binary] = STATE(9330),
    [sym_unary] = STATE(9330),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6859] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9331),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(9331),
    [sym_operator_assignment] = STATE(9331),
    [sym_conditional] = STATE(9331),
    [sym_range] = STATE(9331),
    [sym_binary] = STATE(9331),
    [sym_unary] = STATE(9331),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6860] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9332),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(9332),
    [sym_operator_assignment] = STATE(9332),
    [sym_conditional] = STATE(9332),
    [sym_range] = STATE(9332),
    [sym_binary] = STATE(9332),
    [sym_unary] = STATE(9332),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6861] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6862] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(12165),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(12169),
    [anon_sym_LT] = ACTIONS(12171),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(12173),
    [anon_sym_DOT_DOT] = ACTIONS(12175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12177),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(12179),
    [anon_sym_AMP_AMP] = ACTIONS(12179),
    [anon_sym_LT_LT] = ACTIONS(12181),
    [anon_sym_GT_GT] = ACTIONS(12181),
    [anon_sym_EQ_EQ] = ACTIONS(12183),
    [anon_sym_BANG_EQ] = ACTIONS(12179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12179),
    [anon_sym_LT_EQ_GT] = ACTIONS(12179),
    [anon_sym_EQ_TILDE] = ACTIONS(12179),
    [anon_sym_BANG_TILDE] = ACTIONS(12179),
    [anon_sym_LT_EQ] = ACTIONS(12171),
    [anon_sym_GT] = ACTIONS(12171),
    [anon_sym_GT_EQ] = ACTIONS(12185),
    [anon_sym_CARET] = ACTIONS(12187),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [6863] = {
    [aux_sym_exceptions_repeat1] = STATE(9346),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(12191),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [6864] = {
    [anon_sym_EQ] = ACTIONS(12193),
    [sym_comment] = ACTIONS(87),
  },
  [6865] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(12195),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(12197),
    [anon_sym_DASH_EQ] = ACTIONS(12197),
    [anon_sym_STAR_EQ] = ACTIONS(12197),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12197),
    [anon_sym_SLASH_EQ] = ACTIONS(12197),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12197),
    [anon_sym_PIPE_EQ] = ACTIONS(12197),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12197),
    [anon_sym_AMP_EQ] = ACTIONS(12197),
    [anon_sym_PERCENT_EQ] = ACTIONS(12197),
    [anon_sym_GT_GT_EQ] = ACTIONS(12197),
    [anon_sym_LT_LT_EQ] = ACTIONS(12197),
    [anon_sym_CARET_EQ] = ACTIONS(12197),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [6866] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(6046),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(6050),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(6056),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(6058),
    [anon_sym_DOT_DOT] = ACTIONS(6060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6062),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6066),
    [anon_sym_AMP_AMP] = ACTIONS(6066),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(6070),
    [anon_sym_BANG_EQ] = ACTIONS(6066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6066),
    [anon_sym_LT_EQ_GT] = ACTIONS(6066),
    [anon_sym_EQ_TILDE] = ACTIONS(6066),
    [anon_sym_BANG_TILDE] = ACTIONS(6066),
    [anon_sym_LT_EQ] = ACTIONS(6056),
    [anon_sym_GT] = ACTIONS(6056),
    [anon_sym_GT_EQ] = ACTIONS(6072),
    [anon_sym_CARET] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [6867] = {
    [sym_string] = STATE(6867),
    [aux_sym_chained_string_repeat1] = STATE(6867),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [6868] = {
    [sym__line_break] = ACTIONS(7030),
    [sym__heredoc_body_start] = ACTIONS(7030),
    [sym__element_reference_left_bracket] = ACTIONS(7030),
    [sym__infix_scope_colons] = ACTIONS(7030),
    [sym__binary_minus] = ACTIONS(7030),
    [sym__binary_star] = ACTIONS(7030),
    [ts_builtin_sym_end] = ACTIONS(7030),
    [anon_sym___END__] = ACTIONS(7030),
    [anon_sym_LBRACE] = ACTIONS(7030),
    [anon_sym_RBRACE] = ACTIONS(7030),
    [anon_sym_RPAREN] = ACTIONS(7030),
    [anon_sym_DOT] = ACTIONS(7032),
    [anon_sym_COMMA] = ACTIONS(7030),
    [anon_sym_PIPE] = ACTIONS(7032),
    [anon_sym_SEMI] = ACTIONS(7030),
    [anon_sym_STAR_STAR] = ACTIONS(7032),
    [anon_sym_AMP] = ACTIONS(7032),
    [anon_sym_EQ] = ACTIONS(7032),
    [anon_sym_LT] = ACTIONS(7032),
    [anon_sym_end] = ACTIONS(7030),
    [anon_sym_if] = ACTIONS(7030),
    [anon_sym_unless] = ACTIONS(7030),
    [anon_sym_while] = ACTIONS(7030),
    [anon_sym_until] = ACTIONS(7030),
    [anon_sym_rescue] = ACTIONS(7030),
    [anon_sym_do] = ACTIONS(7030),
    [anon_sym_when] = ACTIONS(7030),
    [anon_sym_elsif] = ACTIONS(7030),
    [anon_sym_else] = ACTIONS(7030),
    [anon_sym_then] = ACTIONS(7030),
    [anon_sym_ensure] = ACTIONS(7030),
    [anon_sym_EQ_GT] = ACTIONS(7030),
    [anon_sym_AMP_DOT] = ACTIONS(7030),
    [anon_sym_PLUS_EQ] = ACTIONS(7030),
    [anon_sym_DASH_EQ] = ACTIONS(7030),
    [anon_sym_STAR_EQ] = ACTIONS(7030),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7030),
    [anon_sym_SLASH_EQ] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7030),
    [anon_sym_PIPE_EQ] = ACTIONS(7030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7030),
    [anon_sym_AMP_EQ] = ACTIONS(7030),
    [anon_sym_PERCENT_EQ] = ACTIONS(7030),
    [anon_sym_GT_GT_EQ] = ACTIONS(7030),
    [anon_sym_LT_LT_EQ] = ACTIONS(7030),
    [anon_sym_CARET_EQ] = ACTIONS(7030),
    [anon_sym_QMARK] = ACTIONS(7030),
    [anon_sym_DOT_DOT] = ACTIONS(7032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7030),
    [anon_sym_and] = ACTIONS(7030),
    [anon_sym_or] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE] = ACTIONS(7032),
    [anon_sym_AMP_AMP] = ACTIONS(7032),
    [anon_sym_LT_LT] = ACTIONS(7032),
    [anon_sym_GT_GT] = ACTIONS(7032),
    [anon_sym_EQ_EQ] = ACTIONS(7032),
    [anon_sym_BANG_EQ] = ACTIONS(7030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7030),
    [anon_sym_LT_EQ_GT] = ACTIONS(7030),
    [anon_sym_EQ_TILDE] = ACTIONS(7030),
    [anon_sym_BANG_TILDE] = ACTIONS(7030),
    [anon_sym_LT_EQ] = ACTIONS(7032),
    [anon_sym_GT] = ACTIONS(7032),
    [anon_sym_GT_EQ] = ACTIONS(7030),
    [anon_sym_CARET] = ACTIONS(7032),
    [anon_sym_PLUS] = ACTIONS(7032),
    [anon_sym_SLASH] = ACTIONS(7032),
    [anon_sym_PERCENT] = ACTIONS(7032),
    [sym_comment] = ACTIONS(87),
  },
  [6869] = {
    [anon_sym_DOT] = ACTIONS(12199),
    [anon_sym_COLON_COLON] = ACTIONS(12199),
    [sym_comment] = ACTIONS(87),
  },
  [6870] = {
    [sym__line_break] = ACTIONS(7186),
    [sym__heredoc_body_start] = ACTIONS(7186),
    [sym__element_reference_left_bracket] = ACTIONS(7186),
    [sym__infix_scope_colons] = ACTIONS(7186),
    [sym__binary_minus] = ACTIONS(7186),
    [sym__binary_star] = ACTIONS(7186),
    [ts_builtin_sym_end] = ACTIONS(7186),
    [anon_sym___END__] = ACTIONS(7186),
    [anon_sym_LBRACE] = ACTIONS(7186),
    [anon_sym_RBRACE] = ACTIONS(7186),
    [anon_sym_RPAREN] = ACTIONS(7186),
    [anon_sym_DOT] = ACTIONS(7188),
    [anon_sym_COMMA] = ACTIONS(7186),
    [anon_sym_PIPE] = ACTIONS(7188),
    [anon_sym_SEMI] = ACTIONS(7186),
    [anon_sym_STAR_STAR] = ACTIONS(7188),
    [anon_sym_AMP] = ACTIONS(7188),
    [anon_sym_EQ] = ACTIONS(7188),
    [anon_sym_LT] = ACTIONS(7188),
    [anon_sym_end] = ACTIONS(7186),
    [anon_sym_if] = ACTIONS(7186),
    [anon_sym_unless] = ACTIONS(7186),
    [anon_sym_while] = ACTIONS(7186),
    [anon_sym_until] = ACTIONS(7186),
    [anon_sym_rescue] = ACTIONS(7186),
    [anon_sym_do] = ACTIONS(7186),
    [anon_sym_when] = ACTIONS(7186),
    [anon_sym_elsif] = ACTIONS(7186),
    [anon_sym_else] = ACTIONS(7186),
    [anon_sym_then] = ACTIONS(7186),
    [anon_sym_ensure] = ACTIONS(7186),
    [anon_sym_EQ_GT] = ACTIONS(7186),
    [anon_sym_AMP_DOT] = ACTIONS(7186),
    [anon_sym_PLUS_EQ] = ACTIONS(7186),
    [anon_sym_DASH_EQ] = ACTIONS(7186),
    [anon_sym_STAR_EQ] = ACTIONS(7186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7186),
    [anon_sym_SLASH_EQ] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7186),
    [anon_sym_PIPE_EQ] = ACTIONS(7186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7186),
    [anon_sym_AMP_EQ] = ACTIONS(7186),
    [anon_sym_PERCENT_EQ] = ACTIONS(7186),
    [anon_sym_GT_GT_EQ] = ACTIONS(7186),
    [anon_sym_LT_LT_EQ] = ACTIONS(7186),
    [anon_sym_CARET_EQ] = ACTIONS(7186),
    [anon_sym_QMARK] = ACTIONS(7186),
    [anon_sym_DOT_DOT] = ACTIONS(7188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7186),
    [anon_sym_and] = ACTIONS(7186),
    [anon_sym_or] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7188),
    [anon_sym_AMP_AMP] = ACTIONS(7188),
    [anon_sym_LT_LT] = ACTIONS(7188),
    [anon_sym_GT_GT] = ACTIONS(7188),
    [anon_sym_EQ_EQ] = ACTIONS(7188),
    [anon_sym_BANG_EQ] = ACTIONS(7186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7186),
    [anon_sym_LT_EQ_GT] = ACTIONS(7186),
    [anon_sym_EQ_TILDE] = ACTIONS(7186),
    [anon_sym_BANG_TILDE] = ACTIONS(7186),
    [anon_sym_LT_EQ] = ACTIONS(7188),
    [anon_sym_GT] = ACTIONS(7188),
    [anon_sym_GT_EQ] = ACTIONS(7186),
    [anon_sym_CARET] = ACTIONS(7188),
    [anon_sym_PLUS] = ACTIONS(7188),
    [anon_sym_SLASH] = ACTIONS(7188),
    [anon_sym_PERCENT] = ACTIONS(7188),
    [sym_comment] = ACTIONS(87),
  },
  [6871] = {
    [sym__line_break] = ACTIONS(7202),
    [sym__heredoc_body_start] = ACTIONS(7202),
    [sym__element_reference_left_bracket] = ACTIONS(7202),
    [sym__infix_scope_colons] = ACTIONS(7202),
    [sym__binary_minus] = ACTIONS(7202),
    [sym__binary_star] = ACTIONS(7202),
    [ts_builtin_sym_end] = ACTIONS(7202),
    [anon_sym___END__] = ACTIONS(7202),
    [anon_sym_LBRACE] = ACTIONS(7202),
    [anon_sym_RBRACE] = ACTIONS(7202),
    [anon_sym_RPAREN] = ACTIONS(7202),
    [anon_sym_DOT] = ACTIONS(7204),
    [anon_sym_COMMA] = ACTIONS(7202),
    [anon_sym_PIPE] = ACTIONS(7204),
    [anon_sym_SEMI] = ACTIONS(7202),
    [anon_sym_STAR_STAR] = ACTIONS(7204),
    [anon_sym_AMP] = ACTIONS(7204),
    [anon_sym_EQ] = ACTIONS(7204),
    [anon_sym_LT] = ACTIONS(7204),
    [anon_sym_end] = ACTIONS(7202),
    [anon_sym_if] = ACTIONS(7202),
    [anon_sym_unless] = ACTIONS(7202),
    [anon_sym_while] = ACTIONS(7202),
    [anon_sym_until] = ACTIONS(7202),
    [anon_sym_rescue] = ACTIONS(7202),
    [anon_sym_do] = ACTIONS(7202),
    [anon_sym_when] = ACTIONS(7202),
    [anon_sym_elsif] = ACTIONS(7202),
    [anon_sym_else] = ACTIONS(7202),
    [anon_sym_then] = ACTIONS(7202),
    [anon_sym_ensure] = ACTIONS(7202),
    [anon_sym_EQ_GT] = ACTIONS(7202),
    [anon_sym_AMP_DOT] = ACTIONS(7202),
    [anon_sym_PLUS_EQ] = ACTIONS(7202),
    [anon_sym_DASH_EQ] = ACTIONS(7202),
    [anon_sym_STAR_EQ] = ACTIONS(7202),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7202),
    [anon_sym_SLASH_EQ] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7202),
    [anon_sym_PIPE_EQ] = ACTIONS(7202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7202),
    [anon_sym_AMP_EQ] = ACTIONS(7202),
    [anon_sym_PERCENT_EQ] = ACTIONS(7202),
    [anon_sym_GT_GT_EQ] = ACTIONS(7202),
    [anon_sym_LT_LT_EQ] = ACTIONS(7202),
    [anon_sym_CARET_EQ] = ACTIONS(7202),
    [anon_sym_QMARK] = ACTIONS(7202),
    [anon_sym_DOT_DOT] = ACTIONS(7204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7202),
    [anon_sym_and] = ACTIONS(7202),
    [anon_sym_or] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE] = ACTIONS(7204),
    [anon_sym_AMP_AMP] = ACTIONS(7204),
    [anon_sym_LT_LT] = ACTIONS(7204),
    [anon_sym_GT_GT] = ACTIONS(7204),
    [anon_sym_EQ_EQ] = ACTIONS(7204),
    [anon_sym_BANG_EQ] = ACTIONS(7202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7202),
    [anon_sym_LT_EQ_GT] = ACTIONS(7202),
    [anon_sym_EQ_TILDE] = ACTIONS(7202),
    [anon_sym_BANG_TILDE] = ACTIONS(7202),
    [anon_sym_LT_EQ] = ACTIONS(7204),
    [anon_sym_GT] = ACTIONS(7204),
    [anon_sym_GT_EQ] = ACTIONS(7202),
    [anon_sym_CARET] = ACTIONS(7204),
    [anon_sym_PLUS] = ACTIONS(7204),
    [anon_sym_SLASH] = ACTIONS(7204),
    [anon_sym_PERCENT] = ACTIONS(7204),
    [sym_comment] = ACTIONS(87),
  },
  [6872] = {
    [sym__statements] = STATE(1633),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1634),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1635),
    [sym_rescue] = STATE(1636),
    [sym__body_statement] = STATE(9350),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12201),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6873] = {
    [sym__statements] = STATE(1633),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(1634),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(1635),
    [sym_rescue] = STATE(1636),
    [sym__body_statement] = STATE(9351),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12203),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6874] = {
    [sym__line_break] = ACTIONS(7648),
    [sym__heredoc_body_start] = ACTIONS(7648),
    [sym__element_reference_left_bracket] = ACTIONS(7648),
    [sym__infix_scope_colons] = ACTIONS(7648),
    [sym__binary_minus] = ACTIONS(7648),
    [sym__binary_star] = ACTIONS(7648),
    [ts_builtin_sym_end] = ACTIONS(7648),
    [anon_sym___END__] = ACTIONS(7648),
    [anon_sym_LBRACE] = ACTIONS(7648),
    [anon_sym_RBRACE] = ACTIONS(7648),
    [anon_sym_RPAREN] = ACTIONS(7648),
    [anon_sym_DOT] = ACTIONS(7650),
    [anon_sym_COMMA] = ACTIONS(7648),
    [anon_sym_PIPE] = ACTIONS(7650),
    [anon_sym_SEMI] = ACTIONS(7648),
    [anon_sym_STAR_STAR] = ACTIONS(7650),
    [anon_sym_AMP] = ACTIONS(7650),
    [anon_sym_EQ] = ACTIONS(7650),
    [anon_sym_LT] = ACTIONS(7650),
    [anon_sym_end] = ACTIONS(7648),
    [anon_sym_if] = ACTIONS(7648),
    [anon_sym_unless] = ACTIONS(7648),
    [anon_sym_while] = ACTIONS(7648),
    [anon_sym_until] = ACTIONS(7648),
    [anon_sym_rescue] = ACTIONS(7648),
    [anon_sym_do] = ACTIONS(7648),
    [anon_sym_when] = ACTIONS(7648),
    [anon_sym_elsif] = ACTIONS(7648),
    [anon_sym_else] = ACTIONS(7648),
    [anon_sym_then] = ACTIONS(7648),
    [anon_sym_ensure] = ACTIONS(7648),
    [anon_sym_EQ_GT] = ACTIONS(7648),
    [anon_sym_AMP_DOT] = ACTIONS(7648),
    [anon_sym_PLUS_EQ] = ACTIONS(7648),
    [anon_sym_DASH_EQ] = ACTIONS(7648),
    [anon_sym_STAR_EQ] = ACTIONS(7648),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7648),
    [anon_sym_SLASH_EQ] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7648),
    [anon_sym_PIPE_EQ] = ACTIONS(7648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7648),
    [anon_sym_AMP_EQ] = ACTIONS(7648),
    [anon_sym_PERCENT_EQ] = ACTIONS(7648),
    [anon_sym_GT_GT_EQ] = ACTIONS(7648),
    [anon_sym_LT_LT_EQ] = ACTIONS(7648),
    [anon_sym_CARET_EQ] = ACTIONS(7648),
    [anon_sym_QMARK] = ACTIONS(7648),
    [anon_sym_DOT_DOT] = ACTIONS(7650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7648),
    [anon_sym_and] = ACTIONS(7648),
    [anon_sym_or] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE] = ACTIONS(7650),
    [anon_sym_AMP_AMP] = ACTIONS(7650),
    [anon_sym_LT_LT] = ACTIONS(7650),
    [anon_sym_GT_GT] = ACTIONS(7650),
    [anon_sym_EQ_EQ] = ACTIONS(7650),
    [anon_sym_BANG_EQ] = ACTIONS(7648),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7648),
    [anon_sym_LT_EQ_GT] = ACTIONS(7648),
    [anon_sym_EQ_TILDE] = ACTIONS(7648),
    [anon_sym_BANG_TILDE] = ACTIONS(7648),
    [anon_sym_LT_EQ] = ACTIONS(7650),
    [anon_sym_GT] = ACTIONS(7650),
    [anon_sym_GT_EQ] = ACTIONS(7648),
    [anon_sym_CARET] = ACTIONS(7650),
    [anon_sym_PLUS] = ACTIONS(7650),
    [anon_sym_SLASH] = ACTIONS(7650),
    [anon_sym_PERCENT] = ACTIONS(7650),
    [sym_comment] = ACTIONS(87),
  },
  [6875] = {
    [sym__line_break] = ACTIONS(7704),
    [sym__heredoc_body_start] = ACTIONS(7704),
    [sym__element_reference_left_bracket] = ACTIONS(7704),
    [sym__infix_scope_colons] = ACTIONS(7704),
    [sym__binary_minus] = ACTIONS(7704),
    [sym__binary_star] = ACTIONS(7704),
    [ts_builtin_sym_end] = ACTIONS(7704),
    [anon_sym___END__] = ACTIONS(7704),
    [anon_sym_LBRACE] = ACTIONS(7704),
    [anon_sym_RBRACE] = ACTIONS(7704),
    [anon_sym_RPAREN] = ACTIONS(7704),
    [anon_sym_DOT] = ACTIONS(7706),
    [anon_sym_COMMA] = ACTIONS(7704),
    [anon_sym_PIPE] = ACTIONS(7706),
    [anon_sym_SEMI] = ACTIONS(7704),
    [anon_sym_STAR_STAR] = ACTIONS(7706),
    [anon_sym_AMP] = ACTIONS(7706),
    [anon_sym_EQ] = ACTIONS(7706),
    [anon_sym_LT] = ACTIONS(7706),
    [anon_sym_end] = ACTIONS(7704),
    [anon_sym_if] = ACTIONS(7704),
    [anon_sym_unless] = ACTIONS(7704),
    [anon_sym_while] = ACTIONS(7704),
    [anon_sym_until] = ACTIONS(7704),
    [anon_sym_rescue] = ACTIONS(7704),
    [anon_sym_do] = ACTIONS(7704),
    [anon_sym_when] = ACTIONS(7704),
    [anon_sym_elsif] = ACTIONS(7704),
    [anon_sym_else] = ACTIONS(7704),
    [anon_sym_then] = ACTIONS(7704),
    [anon_sym_ensure] = ACTIONS(7704),
    [anon_sym_EQ_GT] = ACTIONS(7704),
    [anon_sym_AMP_DOT] = ACTIONS(7704),
    [anon_sym_PLUS_EQ] = ACTIONS(7704),
    [anon_sym_DASH_EQ] = ACTIONS(7704),
    [anon_sym_STAR_EQ] = ACTIONS(7704),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7704),
    [anon_sym_SLASH_EQ] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7704),
    [anon_sym_PIPE_EQ] = ACTIONS(7704),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7704),
    [anon_sym_AMP_EQ] = ACTIONS(7704),
    [anon_sym_PERCENT_EQ] = ACTIONS(7704),
    [anon_sym_GT_GT_EQ] = ACTIONS(7704),
    [anon_sym_LT_LT_EQ] = ACTIONS(7704),
    [anon_sym_CARET_EQ] = ACTIONS(7704),
    [anon_sym_QMARK] = ACTIONS(7704),
    [anon_sym_DOT_DOT] = ACTIONS(7706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7704),
    [anon_sym_and] = ACTIONS(7704),
    [anon_sym_or] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE] = ACTIONS(7706),
    [anon_sym_AMP_AMP] = ACTIONS(7706),
    [anon_sym_LT_LT] = ACTIONS(7706),
    [anon_sym_GT_GT] = ACTIONS(7706),
    [anon_sym_EQ_EQ] = ACTIONS(7706),
    [anon_sym_BANG_EQ] = ACTIONS(7704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7704),
    [anon_sym_LT_EQ_GT] = ACTIONS(7704),
    [anon_sym_EQ_TILDE] = ACTIONS(7704),
    [anon_sym_BANG_TILDE] = ACTIONS(7704),
    [anon_sym_LT_EQ] = ACTIONS(7706),
    [anon_sym_GT] = ACTIONS(7706),
    [anon_sym_GT_EQ] = ACTIONS(7704),
    [anon_sym_CARET] = ACTIONS(7706),
    [anon_sym_PLUS] = ACTIONS(7706),
    [anon_sym_SLASH] = ACTIONS(7706),
    [anon_sym_PERCENT] = ACTIONS(7706),
    [sym_comment] = ACTIONS(87),
  },
  [6876] = {
    [sym__line_break] = ACTIONS(7880),
    [sym__heredoc_body_start] = ACTIONS(7880),
    [sym__element_reference_left_bracket] = ACTIONS(7880),
    [sym__infix_scope_colons] = ACTIONS(7880),
    [sym__binary_minus] = ACTIONS(7880),
    [sym__binary_star] = ACTIONS(7880),
    [ts_builtin_sym_end] = ACTIONS(7880),
    [anon_sym___END__] = ACTIONS(7880),
    [anon_sym_LBRACE] = ACTIONS(7880),
    [anon_sym_RBRACE] = ACTIONS(7880),
    [anon_sym_RPAREN] = ACTIONS(7880),
    [anon_sym_DOT] = ACTIONS(7882),
    [anon_sym_COMMA] = ACTIONS(7880),
    [anon_sym_PIPE] = ACTIONS(7882),
    [anon_sym_SEMI] = ACTIONS(7880),
    [anon_sym_STAR_STAR] = ACTIONS(7882),
    [anon_sym_AMP] = ACTIONS(7882),
    [anon_sym_EQ] = ACTIONS(7882),
    [anon_sym_LT] = ACTIONS(7882),
    [anon_sym_end] = ACTIONS(7880),
    [anon_sym_if] = ACTIONS(7880),
    [anon_sym_unless] = ACTIONS(7880),
    [anon_sym_while] = ACTIONS(7880),
    [anon_sym_until] = ACTIONS(7880),
    [anon_sym_rescue] = ACTIONS(7880),
    [anon_sym_do] = ACTIONS(7880),
    [anon_sym_when] = ACTIONS(7880),
    [anon_sym_elsif] = ACTIONS(7880),
    [anon_sym_else] = ACTIONS(7880),
    [anon_sym_then] = ACTIONS(7880),
    [anon_sym_ensure] = ACTIONS(7880),
    [anon_sym_EQ_GT] = ACTIONS(7880),
    [anon_sym_AMP_DOT] = ACTIONS(7880),
    [anon_sym_PLUS_EQ] = ACTIONS(7880),
    [anon_sym_DASH_EQ] = ACTIONS(7880),
    [anon_sym_STAR_EQ] = ACTIONS(7880),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7880),
    [anon_sym_SLASH_EQ] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7880),
    [anon_sym_PIPE_EQ] = ACTIONS(7880),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7880),
    [anon_sym_AMP_EQ] = ACTIONS(7880),
    [anon_sym_PERCENT_EQ] = ACTIONS(7880),
    [anon_sym_GT_GT_EQ] = ACTIONS(7880),
    [anon_sym_LT_LT_EQ] = ACTIONS(7880),
    [anon_sym_CARET_EQ] = ACTIONS(7880),
    [anon_sym_QMARK] = ACTIONS(7880),
    [anon_sym_DOT_DOT] = ACTIONS(7882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7880),
    [anon_sym_and] = ACTIONS(7880),
    [anon_sym_or] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE] = ACTIONS(7882),
    [anon_sym_AMP_AMP] = ACTIONS(7882),
    [anon_sym_LT_LT] = ACTIONS(7882),
    [anon_sym_GT_GT] = ACTIONS(7882),
    [anon_sym_EQ_EQ] = ACTIONS(7882),
    [anon_sym_BANG_EQ] = ACTIONS(7880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7880),
    [anon_sym_LT_EQ_GT] = ACTIONS(7880),
    [anon_sym_EQ_TILDE] = ACTIONS(7880),
    [anon_sym_BANG_TILDE] = ACTIONS(7880),
    [anon_sym_LT_EQ] = ACTIONS(7882),
    [anon_sym_GT] = ACTIONS(7882),
    [anon_sym_GT_EQ] = ACTIONS(7880),
    [anon_sym_CARET] = ACTIONS(7882),
    [anon_sym_PLUS] = ACTIONS(7882),
    [anon_sym_SLASH] = ACTIONS(7882),
    [anon_sym_PERCENT] = ACTIONS(7882),
    [sym_comment] = ACTIONS(87),
  },
  [6877] = {
    [sym_elsif] = STATE(9353),
    [sym_else] = STATE(9353),
    [sym__if_tail] = STATE(9353),
    [anon_sym_end] = ACTIONS(12205),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [6878] = {
    [anon_sym_end] = ACTIONS(12205),
    [sym_comment] = ACTIONS(87),
  },
  [6879] = {
    [sym__statements] = STATE(9354),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(9353),
    [sym_else] = STATE(9353),
    [sym__if_tail] = STATE(9353),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12207),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6880] = {
    [sym__line_break] = ACTIONS(8084),
    [sym__heredoc_body_start] = ACTIONS(8084),
    [sym__element_reference_left_bracket] = ACTIONS(8084),
    [sym__infix_scope_colons] = ACTIONS(8084),
    [sym__binary_minus] = ACTIONS(8084),
    [sym__binary_star] = ACTIONS(8084),
    [ts_builtin_sym_end] = ACTIONS(8084),
    [anon_sym___END__] = ACTIONS(8084),
    [anon_sym_LBRACE] = ACTIONS(8084),
    [anon_sym_RBRACE] = ACTIONS(8084),
    [anon_sym_RPAREN] = ACTIONS(8084),
    [anon_sym_DOT] = ACTIONS(8086),
    [anon_sym_COMMA] = ACTIONS(8084),
    [anon_sym_PIPE] = ACTIONS(8086),
    [anon_sym_SEMI] = ACTIONS(8084),
    [anon_sym_STAR_STAR] = ACTIONS(8086),
    [anon_sym_AMP] = ACTIONS(8086),
    [anon_sym_EQ] = ACTIONS(8086),
    [anon_sym_LT] = ACTIONS(8086),
    [anon_sym_end] = ACTIONS(8084),
    [anon_sym_if] = ACTIONS(8084),
    [anon_sym_unless] = ACTIONS(8084),
    [anon_sym_while] = ACTIONS(8084),
    [anon_sym_until] = ACTIONS(8084),
    [anon_sym_rescue] = ACTIONS(8084),
    [anon_sym_do] = ACTIONS(8084),
    [anon_sym_when] = ACTIONS(8084),
    [anon_sym_elsif] = ACTIONS(8084),
    [anon_sym_else] = ACTIONS(8084),
    [anon_sym_then] = ACTIONS(8084),
    [anon_sym_ensure] = ACTIONS(8084),
    [anon_sym_EQ_GT] = ACTIONS(8084),
    [anon_sym_AMP_DOT] = ACTIONS(8084),
    [anon_sym_PLUS_EQ] = ACTIONS(8084),
    [anon_sym_DASH_EQ] = ACTIONS(8084),
    [anon_sym_STAR_EQ] = ACTIONS(8084),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8084),
    [anon_sym_SLASH_EQ] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8084),
    [anon_sym_PIPE_EQ] = ACTIONS(8084),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8084),
    [anon_sym_AMP_EQ] = ACTIONS(8084),
    [anon_sym_PERCENT_EQ] = ACTIONS(8084),
    [anon_sym_GT_GT_EQ] = ACTIONS(8084),
    [anon_sym_LT_LT_EQ] = ACTIONS(8084),
    [anon_sym_CARET_EQ] = ACTIONS(8084),
    [anon_sym_QMARK] = ACTIONS(8084),
    [anon_sym_DOT_DOT] = ACTIONS(8086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8084),
    [anon_sym_and] = ACTIONS(8084),
    [anon_sym_or] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE] = ACTIONS(8086),
    [anon_sym_AMP_AMP] = ACTIONS(8086),
    [anon_sym_LT_LT] = ACTIONS(8086),
    [anon_sym_GT_GT] = ACTIONS(8086),
    [anon_sym_EQ_EQ] = ACTIONS(8086),
    [anon_sym_BANG_EQ] = ACTIONS(8084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8084),
    [anon_sym_LT_EQ_GT] = ACTIONS(8084),
    [anon_sym_EQ_TILDE] = ACTIONS(8084),
    [anon_sym_BANG_TILDE] = ACTIONS(8084),
    [anon_sym_LT_EQ] = ACTIONS(8086),
    [anon_sym_GT] = ACTIONS(8086),
    [anon_sym_GT_EQ] = ACTIONS(8084),
    [anon_sym_CARET] = ACTIONS(8086),
    [anon_sym_PLUS] = ACTIONS(8086),
    [anon_sym_SLASH] = ACTIONS(8086),
    [anon_sym_PERCENT] = ACTIONS(8086),
    [sym_comment] = ACTIONS(87),
  },
  [6881] = {
    [sym_else] = STATE(9356),
    [anon_sym_end] = ACTIONS(12209),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [6882] = {
    [anon_sym_end] = ACTIONS(12209),
    [sym_comment] = ACTIONS(87),
  },
  [6883] = {
    [sym__line_break] = ACTIONS(8254),
    [sym__heredoc_body_start] = ACTIONS(8254),
    [sym__element_reference_left_bracket] = ACTIONS(8254),
    [sym__infix_scope_colons] = ACTIONS(8254),
    [sym__binary_minus] = ACTIONS(8254),
    [sym__binary_star] = ACTIONS(8254),
    [ts_builtin_sym_end] = ACTIONS(8254),
    [anon_sym___END__] = ACTIONS(8254),
    [anon_sym_LBRACE] = ACTIONS(8254),
    [anon_sym_RBRACE] = ACTIONS(8254),
    [anon_sym_RPAREN] = ACTIONS(8254),
    [anon_sym_DOT] = ACTIONS(8256),
    [anon_sym_COMMA] = ACTIONS(8254),
    [anon_sym_PIPE] = ACTIONS(8256),
    [anon_sym_SEMI] = ACTIONS(8254),
    [anon_sym_STAR_STAR] = ACTIONS(8256),
    [anon_sym_AMP] = ACTIONS(8256),
    [anon_sym_EQ] = ACTIONS(8256),
    [anon_sym_LT] = ACTIONS(8256),
    [anon_sym_end] = ACTIONS(8254),
    [anon_sym_if] = ACTIONS(8254),
    [anon_sym_unless] = ACTIONS(8254),
    [anon_sym_while] = ACTIONS(8254),
    [anon_sym_until] = ACTIONS(8254),
    [anon_sym_rescue] = ACTIONS(8254),
    [anon_sym_do] = ACTIONS(8254),
    [anon_sym_when] = ACTIONS(8254),
    [anon_sym_elsif] = ACTIONS(8254),
    [anon_sym_else] = ACTIONS(8254),
    [anon_sym_then] = ACTIONS(8254),
    [anon_sym_ensure] = ACTIONS(8254),
    [anon_sym_EQ_GT] = ACTIONS(8254),
    [anon_sym_AMP_DOT] = ACTIONS(8254),
    [anon_sym_PLUS_EQ] = ACTIONS(8254),
    [anon_sym_DASH_EQ] = ACTIONS(8254),
    [anon_sym_STAR_EQ] = ACTIONS(8254),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8254),
    [anon_sym_SLASH_EQ] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8254),
    [anon_sym_PIPE_EQ] = ACTIONS(8254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8254),
    [anon_sym_AMP_EQ] = ACTIONS(8254),
    [anon_sym_PERCENT_EQ] = ACTIONS(8254),
    [anon_sym_GT_GT_EQ] = ACTIONS(8254),
    [anon_sym_LT_LT_EQ] = ACTIONS(8254),
    [anon_sym_CARET_EQ] = ACTIONS(8254),
    [anon_sym_QMARK] = ACTIONS(8254),
    [anon_sym_DOT_DOT] = ACTIONS(8256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8254),
    [anon_sym_and] = ACTIONS(8254),
    [anon_sym_or] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE] = ACTIONS(8256),
    [anon_sym_AMP_AMP] = ACTIONS(8256),
    [anon_sym_LT_LT] = ACTIONS(8256),
    [anon_sym_GT_GT] = ACTIONS(8256),
    [anon_sym_EQ_EQ] = ACTIONS(8256),
    [anon_sym_BANG_EQ] = ACTIONS(8254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8254),
    [anon_sym_LT_EQ_GT] = ACTIONS(8254),
    [anon_sym_EQ_TILDE] = ACTIONS(8254),
    [anon_sym_BANG_TILDE] = ACTIONS(8254),
    [anon_sym_LT_EQ] = ACTIONS(8256),
    [anon_sym_GT] = ACTIONS(8256),
    [anon_sym_GT_EQ] = ACTIONS(8254),
    [anon_sym_CARET] = ACTIONS(8256),
    [anon_sym_PLUS] = ACTIONS(8256),
    [anon_sym_SLASH] = ACTIONS(8256),
    [anon_sym_PERCENT] = ACTIONS(8256),
    [sym_comment] = ACTIONS(87),
  },
  [6884] = {
    [anon_sym_end] = ACTIONS(12211),
    [sym_comment] = ACTIONS(87),
  },
  [6885] = {
    [sym__line_break] = ACTIONS(8334),
    [sym__heredoc_body_start] = ACTIONS(8334),
    [sym__element_reference_left_bracket] = ACTIONS(8334),
    [sym__infix_scope_colons] = ACTIONS(8334),
    [sym__binary_minus] = ACTIONS(8334),
    [sym__binary_star] = ACTIONS(8334),
    [ts_builtin_sym_end] = ACTIONS(8334),
    [anon_sym___END__] = ACTIONS(8334),
    [anon_sym_LBRACE] = ACTIONS(8334),
    [anon_sym_RBRACE] = ACTIONS(8334),
    [anon_sym_RPAREN] = ACTIONS(8334),
    [anon_sym_DOT] = ACTIONS(8336),
    [anon_sym_COMMA] = ACTIONS(8334),
    [anon_sym_PIPE] = ACTIONS(8336),
    [anon_sym_SEMI] = ACTIONS(8334),
    [anon_sym_STAR_STAR] = ACTIONS(8336),
    [anon_sym_AMP] = ACTIONS(8336),
    [anon_sym_EQ] = ACTIONS(8336),
    [anon_sym_LT] = ACTIONS(8336),
    [anon_sym_end] = ACTIONS(8334),
    [anon_sym_if] = ACTIONS(8334),
    [anon_sym_unless] = ACTIONS(8334),
    [anon_sym_while] = ACTIONS(8334),
    [anon_sym_until] = ACTIONS(8334),
    [anon_sym_rescue] = ACTIONS(8334),
    [anon_sym_do] = ACTIONS(8334),
    [anon_sym_when] = ACTIONS(8334),
    [anon_sym_elsif] = ACTIONS(8334),
    [anon_sym_else] = ACTIONS(8334),
    [anon_sym_then] = ACTIONS(8334),
    [anon_sym_ensure] = ACTIONS(8334),
    [anon_sym_EQ_GT] = ACTIONS(8334),
    [anon_sym_AMP_DOT] = ACTIONS(8334),
    [anon_sym_PLUS_EQ] = ACTIONS(8334),
    [anon_sym_DASH_EQ] = ACTIONS(8334),
    [anon_sym_STAR_EQ] = ACTIONS(8334),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8334),
    [anon_sym_SLASH_EQ] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8334),
    [anon_sym_PIPE_EQ] = ACTIONS(8334),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8334),
    [anon_sym_AMP_EQ] = ACTIONS(8334),
    [anon_sym_PERCENT_EQ] = ACTIONS(8334),
    [anon_sym_GT_GT_EQ] = ACTIONS(8334),
    [anon_sym_LT_LT_EQ] = ACTIONS(8334),
    [anon_sym_CARET_EQ] = ACTIONS(8334),
    [anon_sym_QMARK] = ACTIONS(8334),
    [anon_sym_DOT_DOT] = ACTIONS(8336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8334),
    [anon_sym_and] = ACTIONS(8334),
    [anon_sym_or] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE] = ACTIONS(8336),
    [anon_sym_AMP_AMP] = ACTIONS(8336),
    [anon_sym_LT_LT] = ACTIONS(8336),
    [anon_sym_GT_GT] = ACTIONS(8336),
    [anon_sym_EQ_EQ] = ACTIONS(8336),
    [anon_sym_BANG_EQ] = ACTIONS(8334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8334),
    [anon_sym_LT_EQ_GT] = ACTIONS(8334),
    [anon_sym_EQ_TILDE] = ACTIONS(8334),
    [anon_sym_BANG_TILDE] = ACTIONS(8334),
    [anon_sym_LT_EQ] = ACTIONS(8336),
    [anon_sym_GT] = ACTIONS(8336),
    [anon_sym_GT_EQ] = ACTIONS(8334),
    [anon_sym_CARET] = ACTIONS(8336),
    [anon_sym_PLUS] = ACTIONS(8336),
    [anon_sym_SLASH] = ACTIONS(8336),
    [anon_sym_PERCENT] = ACTIONS(8336),
    [sym_comment] = ACTIONS(87),
  },
  [6886] = {
    [anon_sym_end] = ACTIONS(12213),
    [sym_comment] = ACTIONS(87),
  },
  [6887] = {
    [sym__statements] = STATE(9360),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12215),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6888] = {
    [sym__line_break] = ACTIONS(11938),
    [sym__heredoc_body_start] = ACTIONS(11938),
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [sym__binary_minus] = ACTIONS(11938),
    [sym__binary_star] = ACTIONS(11938),
    [ts_builtin_sym_end] = ACTIONS(11938),
    [anon_sym___END__] = ACTIONS(11938),
    [anon_sym_LBRACE] = ACTIONS(11938),
    [anon_sym_RBRACE] = ACTIONS(11938),
    [anon_sym_RPAREN] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11940),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_PIPE] = ACTIONS(11940),
    [anon_sym_SEMI] = ACTIONS(11938),
    [anon_sym_STAR_STAR] = ACTIONS(11940),
    [anon_sym_AMP] = ACTIONS(11940),
    [anon_sym_EQ] = ACTIONS(11940),
    [anon_sym_LT] = ACTIONS(11940),
    [anon_sym_end] = ACTIONS(11938),
    [anon_sym_if] = ACTIONS(11938),
    [anon_sym_unless] = ACTIONS(11938),
    [anon_sym_while] = ACTIONS(11938),
    [anon_sym_until] = ACTIONS(11938),
    [anon_sym_rescue] = ACTIONS(11938),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_when] = ACTIONS(11938),
    [anon_sym_elsif] = ACTIONS(11938),
    [anon_sym_else] = ACTIONS(11938),
    [anon_sym_then] = ACTIONS(11938),
    [anon_sym_ensure] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [anon_sym_PLUS_EQ] = ACTIONS(11938),
    [anon_sym_DASH_EQ] = ACTIONS(11938),
    [anon_sym_STAR_EQ] = ACTIONS(11938),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11938),
    [anon_sym_SLASH_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11938),
    [anon_sym_AMP_EQ] = ACTIONS(11938),
    [anon_sym_PERCENT_EQ] = ACTIONS(11938),
    [anon_sym_GT_GT_EQ] = ACTIONS(11938),
    [anon_sym_LT_LT_EQ] = ACTIONS(11938),
    [anon_sym_CARET_EQ] = ACTIONS(11938),
    [anon_sym_QMARK] = ACTIONS(11938),
    [anon_sym_DOT_DOT] = ACTIONS(11940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11938),
    [anon_sym_and] = ACTIONS(11938),
    [anon_sym_or] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE] = ACTIONS(11940),
    [anon_sym_AMP_AMP] = ACTIONS(11940),
    [anon_sym_LT_LT] = ACTIONS(11940),
    [anon_sym_GT_GT] = ACTIONS(11940),
    [anon_sym_EQ_EQ] = ACTIONS(11940),
    [anon_sym_BANG_EQ] = ACTIONS(11938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11938),
    [anon_sym_LT_EQ_GT] = ACTIONS(11938),
    [anon_sym_EQ_TILDE] = ACTIONS(11938),
    [anon_sym_BANG_TILDE] = ACTIONS(11938),
    [anon_sym_LT_EQ] = ACTIONS(11940),
    [anon_sym_GT] = ACTIONS(11940),
    [anon_sym_GT_EQ] = ACTIONS(11938),
    [anon_sym_CARET] = ACTIONS(11940),
    [anon_sym_PLUS] = ACTIONS(11940),
    [anon_sym_SLASH] = ACTIONS(11940),
    [anon_sym_PERCENT] = ACTIONS(11940),
    [sym_comment] = ACTIONS(87),
  },
  [6889] = {
    [anon_sym_end] = ACTIONS(12217),
    [sym_comment] = ACTIONS(87),
  },
  [6890] = {
    [sym__statements] = STATE(9362),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12219),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [6891] = {
    [anon_sym_end] = ACTIONS(12221),
    [sym_comment] = ACTIONS(87),
  },
  [6892] = {
    [sym_when] = STATE(9364),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [6893] = {
    [sym__line_break] = ACTIONS(8592),
    [sym__heredoc_body_start] = ACTIONS(8592),
    [sym__element_reference_left_bracket] = ACTIONS(8592),
    [sym__infix_scope_colons] = ACTIONS(8592),
    [sym__binary_minus] = ACTIONS(8592),
    [sym__binary_star] = ACTIONS(8592),
    [ts_builtin_sym_end] = ACTIONS(8592),
    [anon_sym___END__] = ACTIONS(8592),
    [anon_sym_LBRACE] = ACTIONS(8592),
    [anon_sym_RBRACE] = ACTIONS(8592),
    [anon_sym_RPAREN] = ACTIONS(8592),
    [anon_sym_DOT] = ACTIONS(8594),
    [anon_sym_COMMA] = ACTIONS(8592),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_SEMI] = ACTIONS(8592),
    [anon_sym_STAR_STAR] = ACTIONS(8594),
    [anon_sym_AMP] = ACTIONS(8594),
    [anon_sym_EQ] = ACTIONS(8594),
    [anon_sym_LT] = ACTIONS(8594),
    [anon_sym_end] = ACTIONS(8592),
    [anon_sym_if] = ACTIONS(8592),
    [anon_sym_unless] = ACTIONS(8592),
    [anon_sym_while] = ACTIONS(8592),
    [anon_sym_until] = ACTIONS(8592),
    [anon_sym_rescue] = ACTIONS(8592),
    [anon_sym_do] = ACTIONS(8592),
    [anon_sym_when] = ACTIONS(8592),
    [anon_sym_elsif] = ACTIONS(8592),
    [anon_sym_else] = ACTIONS(8592),
    [anon_sym_then] = ACTIONS(8592),
    [anon_sym_ensure] = ACTIONS(8592),
    [anon_sym_EQ_GT] = ACTIONS(8592),
    [anon_sym_AMP_DOT] = ACTIONS(8592),
    [anon_sym_PLUS_EQ] = ACTIONS(8592),
    [anon_sym_DASH_EQ] = ACTIONS(8592),
    [anon_sym_STAR_EQ] = ACTIONS(8592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8592),
    [anon_sym_SLASH_EQ] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8592),
    [anon_sym_PIPE_EQ] = ACTIONS(8592),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8592),
    [anon_sym_AMP_EQ] = ACTIONS(8592),
    [anon_sym_PERCENT_EQ] = ACTIONS(8592),
    [anon_sym_GT_GT_EQ] = ACTIONS(8592),
    [anon_sym_LT_LT_EQ] = ACTIONS(8592),
    [anon_sym_CARET_EQ] = ACTIONS(8592),
    [anon_sym_QMARK] = ACTIONS(8592),
    [anon_sym_DOT_DOT] = ACTIONS(8594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8592),
    [anon_sym_and] = ACTIONS(8592),
    [anon_sym_or] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE] = ACTIONS(8594),
    [anon_sym_AMP_AMP] = ACTIONS(8594),
    [anon_sym_LT_LT] = ACTIONS(8594),
    [anon_sym_GT_GT] = ACTIONS(8594),
    [anon_sym_EQ_EQ] = ACTIONS(8594),
    [anon_sym_BANG_EQ] = ACTIONS(8592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8592),
    [anon_sym_LT_EQ_GT] = ACTIONS(8592),
    [anon_sym_EQ_TILDE] = ACTIONS(8592),
    [anon_sym_BANG_TILDE] = ACTIONS(8592),
    [anon_sym_LT_EQ] = ACTIONS(8594),
    [anon_sym_GT] = ACTIONS(8594),
    [anon_sym_GT_EQ] = ACTIONS(8592),
    [anon_sym_CARET] = ACTIONS(8594),
    [anon_sym_PLUS] = ACTIONS(8594),
    [anon_sym_SLASH] = ACTIONS(8594),
    [anon_sym_PERCENT] = ACTIONS(8594),
    [sym_comment] = ACTIONS(87),
  },
  [6894] = {
    [sym__line_break] = ACTIONS(9111),
    [sym__heredoc_body_start] = ACTIONS(9111),
    [sym__element_reference_left_bracket] = ACTIONS(9111),
    [sym__infix_scope_colons] = ACTIONS(9111),
    [sym__binary_minus] = ACTIONS(9111),
    [sym__binary_star] = ACTIONS(9111),
    [ts_builtin_sym_end] = ACTIONS(9111),
    [anon_sym___END__] = ACTIONS(9111),
    [anon_sym_LBRACE] = ACTIONS(9111),
    [anon_sym_RBRACE] = ACTIONS(9111),
    [anon_sym_RPAREN] = ACTIONS(9111),
    [anon_sym_DOT] = ACTIONS(9113),
    [anon_sym_COMMA] = ACTIONS(9111),
    [anon_sym_PIPE] = ACTIONS(9113),
    [anon_sym_SEMI] = ACTIONS(9111),
    [anon_sym_STAR_STAR] = ACTIONS(9113),
    [anon_sym_AMP] = ACTIONS(9113),
    [anon_sym_EQ] = ACTIONS(9113),
    [anon_sym_LT] = ACTIONS(9113),
    [anon_sym_end] = ACTIONS(9111),
    [anon_sym_if] = ACTIONS(9111),
    [anon_sym_unless] = ACTIONS(9111),
    [anon_sym_while] = ACTIONS(9111),
    [anon_sym_until] = ACTIONS(9111),
    [anon_sym_rescue] = ACTIONS(9111),
    [anon_sym_do] = ACTIONS(9111),
    [anon_sym_when] = ACTIONS(9111),
    [anon_sym_elsif] = ACTIONS(9111),
    [anon_sym_else] = ACTIONS(9111),
    [anon_sym_then] = ACTIONS(9111),
    [anon_sym_ensure] = ACTIONS(9111),
    [anon_sym_EQ_GT] = ACTIONS(9111),
    [anon_sym_AMP_DOT] = ACTIONS(9111),
    [anon_sym_PLUS_EQ] = ACTIONS(9111),
    [anon_sym_DASH_EQ] = ACTIONS(9111),
    [anon_sym_STAR_EQ] = ACTIONS(9111),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9111),
    [anon_sym_SLASH_EQ] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9111),
    [anon_sym_PIPE_EQ] = ACTIONS(9111),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9111),
    [anon_sym_AMP_EQ] = ACTIONS(9111),
    [anon_sym_PERCENT_EQ] = ACTIONS(9111),
    [anon_sym_GT_GT_EQ] = ACTIONS(9111),
    [anon_sym_LT_LT_EQ] = ACTIONS(9111),
    [anon_sym_CARET_EQ] = ACTIONS(9111),
    [anon_sym_QMARK] = ACTIONS(9111),
    [anon_sym_DOT_DOT] = ACTIONS(9113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9111),
    [anon_sym_and] = ACTIONS(9111),
    [anon_sym_or] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE] = ACTIONS(9113),
    [anon_sym_AMP_AMP] = ACTIONS(9113),
    [anon_sym_LT_LT] = ACTIONS(9113),
    [anon_sym_GT_GT] = ACTIONS(9113),
    [anon_sym_EQ_EQ] = ACTIONS(9113),
    [anon_sym_BANG_EQ] = ACTIONS(9111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9111),
    [anon_sym_LT_EQ_GT] = ACTIONS(9111),
    [anon_sym_EQ_TILDE] = ACTIONS(9111),
    [anon_sym_BANG_TILDE] = ACTIONS(9111),
    [anon_sym_LT_EQ] = ACTIONS(9113),
    [anon_sym_GT] = ACTIONS(9113),
    [anon_sym_GT_EQ] = ACTIONS(9111),
    [anon_sym_CARET] = ACTIONS(9113),
    [anon_sym_PLUS] = ACTIONS(9113),
    [anon_sym_SLASH] = ACTIONS(9113),
    [anon_sym_PERCENT] = ACTIONS(9113),
    [sym_comment] = ACTIONS(87),
  },
  [6895] = {
    [anon_sym_end] = ACTIONS(12223),
    [sym_comment] = ACTIONS(87),
  },
  [6896] = {
    [sym_ensure] = STATE(9366),
    [anon_sym_end] = ACTIONS(12223),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [6897] = {
    [sym__line_break] = ACTIONS(9333),
    [sym__heredoc_body_start] = ACTIONS(9333),
    [sym__element_reference_left_bracket] = ACTIONS(9333),
    [sym__infix_scope_colons] = ACTIONS(9333),
    [sym__binary_minus] = ACTIONS(9333),
    [sym__binary_star] = ACTIONS(9333),
    [ts_builtin_sym_end] = ACTIONS(9333),
    [anon_sym___END__] = ACTIONS(9333),
    [anon_sym_LBRACE] = ACTIONS(9333),
    [anon_sym_RBRACE] = ACTIONS(9333),
    [anon_sym_RPAREN] = ACTIONS(9333),
    [anon_sym_DOT] = ACTIONS(9335),
    [anon_sym_COMMA] = ACTIONS(9333),
    [anon_sym_PIPE] = ACTIONS(9335),
    [anon_sym_SEMI] = ACTIONS(9333),
    [anon_sym_STAR_STAR] = ACTIONS(9335),
    [anon_sym_AMP] = ACTIONS(9335),
    [anon_sym_EQ] = ACTIONS(9335),
    [anon_sym_LT] = ACTIONS(9335),
    [anon_sym_end] = ACTIONS(9333),
    [anon_sym_if] = ACTIONS(9333),
    [anon_sym_unless] = ACTIONS(9333),
    [anon_sym_while] = ACTIONS(9333),
    [anon_sym_until] = ACTIONS(9333),
    [anon_sym_rescue] = ACTIONS(9333),
    [anon_sym_do] = ACTIONS(9333),
    [anon_sym_when] = ACTIONS(9333),
    [anon_sym_elsif] = ACTIONS(9333),
    [anon_sym_else] = ACTIONS(9333),
    [anon_sym_then] = ACTIONS(9333),
    [anon_sym_ensure] = ACTIONS(9333),
    [anon_sym_EQ_GT] = ACTIONS(9333),
    [anon_sym_AMP_DOT] = ACTIONS(9333),
    [anon_sym_PLUS_EQ] = ACTIONS(9333),
    [anon_sym_DASH_EQ] = ACTIONS(9333),
    [anon_sym_STAR_EQ] = ACTIONS(9333),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9333),
    [anon_sym_SLASH_EQ] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9333),
    [anon_sym_PIPE_EQ] = ACTIONS(9333),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9333),
    [anon_sym_AMP_EQ] = ACTIONS(9333),
    [anon_sym_PERCENT_EQ] = ACTIONS(9333),
    [anon_sym_GT_GT_EQ] = ACTIONS(9333),
    [anon_sym_LT_LT_EQ] = ACTIONS(9333),
    [anon_sym_CARET_EQ] = ACTIONS(9333),
    [anon_sym_QMARK] = ACTIONS(9333),
    [anon_sym_DOT_DOT] = ACTIONS(9335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9333),
    [anon_sym_and] = ACTIONS(9333),
    [anon_sym_or] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE] = ACTIONS(9335),
    [anon_sym_AMP_AMP] = ACTIONS(9335),
    [anon_sym_LT_LT] = ACTIONS(9335),
    [anon_sym_GT_GT] = ACTIONS(9335),
    [anon_sym_EQ_EQ] = ACTIONS(9335),
    [anon_sym_BANG_EQ] = ACTIONS(9333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9333),
    [anon_sym_LT_EQ_GT] = ACTIONS(9333),
    [anon_sym_EQ_TILDE] = ACTIONS(9333),
    [anon_sym_BANG_TILDE] = ACTIONS(9333),
    [anon_sym_LT_EQ] = ACTIONS(9335),
    [anon_sym_GT] = ACTIONS(9335),
    [anon_sym_GT_EQ] = ACTIONS(9333),
    [anon_sym_CARET] = ACTIONS(9335),
    [anon_sym_PLUS] = ACTIONS(9335),
    [anon_sym_SLASH] = ACTIONS(9335),
    [anon_sym_PERCENT] = ACTIONS(9335),
    [sym_comment] = ACTIONS(87),
  },
  [6898] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9367),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_assignment] = STATE(9367),
    [sym_operator_assignment] = STATE(9367),
    [sym_conditional] = STATE(9367),
    [sym_range] = STATE(9367),
    [sym_binary] = STATE(9367),
    [sym_unary] = STATE(9367),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6899] = {
    [sym__line_break] = ACTIONS(6671),
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym__element_reference_left_bracket] = ACTIONS(6671),
    [sym__infix_scope_colons] = ACTIONS(6671),
    [sym__binary_minus] = ACTIONS(6671),
    [sym__binary_star] = ACTIONS(6671),
    [ts_builtin_sym_end] = ACTIONS(6671),
    [anon_sym___END__] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_RBRACE] = ACTIONS(6671),
    [anon_sym_RPAREN] = ACTIONS(6671),
    [anon_sym_DOT] = ACTIONS(8601),
    [anon_sym_COMMA] = ACTIONS(6671),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_SEMI] = ACTIONS(6671),
    [anon_sym_STAR_STAR] = ACTIONS(8601),
    [anon_sym_AMP] = ACTIONS(8601),
    [anon_sym_EQ] = ACTIONS(8601),
    [anon_sym_LT] = ACTIONS(8601),
    [anon_sym_end] = ACTIONS(6671),
    [anon_sym_if] = ACTIONS(6671),
    [anon_sym_unless] = ACTIONS(6671),
    [anon_sym_while] = ACTIONS(6671),
    [anon_sym_until] = ACTIONS(6671),
    [anon_sym_rescue] = ACTIONS(6671),
    [anon_sym_do] = ACTIONS(6671),
    [anon_sym_when] = ACTIONS(6671),
    [anon_sym_elsif] = ACTIONS(6671),
    [anon_sym_else] = ACTIONS(6671),
    [anon_sym_then] = ACTIONS(6671),
    [anon_sym_ensure] = ACTIONS(6671),
    [anon_sym_AMP_DOT] = ACTIONS(6671),
    [anon_sym_PLUS_EQ] = ACTIONS(6671),
    [anon_sym_DASH_EQ] = ACTIONS(6671),
    [anon_sym_STAR_EQ] = ACTIONS(6671),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6671),
    [anon_sym_SLASH_EQ] = ACTIONS(6671),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6671),
    [anon_sym_PIPE_EQ] = ACTIONS(6671),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6671),
    [anon_sym_AMP_EQ] = ACTIONS(6671),
    [anon_sym_PERCENT_EQ] = ACTIONS(6671),
    [anon_sym_GT_GT_EQ] = ACTIONS(6671),
    [anon_sym_LT_LT_EQ] = ACTIONS(6671),
    [anon_sym_CARET_EQ] = ACTIONS(6671),
    [anon_sym_QMARK] = ACTIONS(6671),
    [anon_sym_DOT_DOT] = ACTIONS(8601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6671),
    [anon_sym_and] = ACTIONS(6671),
    [anon_sym_or] = ACTIONS(6671),
    [anon_sym_PIPE_PIPE] = ACTIONS(8601),
    [anon_sym_AMP_AMP] = ACTIONS(8601),
    [anon_sym_LT_LT] = ACTIONS(8601),
    [anon_sym_GT_GT] = ACTIONS(8601),
    [anon_sym_EQ_EQ] = ACTIONS(8601),
    [anon_sym_BANG_EQ] = ACTIONS(6671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6671),
    [anon_sym_LT_EQ_GT] = ACTIONS(6671),
    [anon_sym_EQ_TILDE] = ACTIONS(6671),
    [anon_sym_BANG_TILDE] = ACTIONS(6671),
    [anon_sym_LT_EQ] = ACTIONS(8601),
    [anon_sym_GT] = ACTIONS(8601),
    [anon_sym_GT_EQ] = ACTIONS(6671),
    [anon_sym_CARET] = ACTIONS(8601),
    [anon_sym_PLUS] = ACTIONS(8601),
    [anon_sym_SLASH] = ACTIONS(8601),
    [anon_sym_PERCENT] = ACTIONS(8601),
    [sym_comment] = ACTIONS(87),
  },
  [6900] = {
    [sym__line_break] = ACTIONS(10814),
    [sym__heredoc_body_start] = ACTIONS(10814),
    [sym__element_reference_left_bracket] = ACTIONS(10814),
    [sym__infix_scope_colons] = ACTIONS(10814),
    [sym__binary_minus] = ACTIONS(10814),
    [sym__binary_star] = ACTIONS(10814),
    [ts_builtin_sym_end] = ACTIONS(10814),
    [anon_sym___END__] = ACTIONS(10814),
    [anon_sym_LBRACE] = ACTIONS(10814),
    [anon_sym_RBRACE] = ACTIONS(10814),
    [anon_sym_RPAREN] = ACTIONS(10814),
    [anon_sym_DOT] = ACTIONS(10816),
    [anon_sym_COMMA] = ACTIONS(10814),
    [anon_sym_PIPE] = ACTIONS(10816),
    [anon_sym_SEMI] = ACTIONS(10814),
    [anon_sym_STAR_STAR] = ACTIONS(10816),
    [anon_sym_AMP] = ACTIONS(10816),
    [anon_sym_EQ] = ACTIONS(10816),
    [anon_sym_LT] = ACTIONS(10816),
    [anon_sym_end] = ACTIONS(10814),
    [anon_sym_if] = ACTIONS(10814),
    [anon_sym_unless] = ACTIONS(10814),
    [anon_sym_while] = ACTIONS(10814),
    [anon_sym_until] = ACTIONS(10814),
    [anon_sym_rescue] = ACTIONS(10814),
    [anon_sym_do] = ACTIONS(10814),
    [anon_sym_when] = ACTIONS(10814),
    [anon_sym_elsif] = ACTIONS(10814),
    [anon_sym_else] = ACTIONS(10814),
    [anon_sym_then] = ACTIONS(10814),
    [anon_sym_ensure] = ACTIONS(10814),
    [anon_sym_AMP_DOT] = ACTIONS(10814),
    [anon_sym_PLUS_EQ] = ACTIONS(10814),
    [anon_sym_DASH_EQ] = ACTIONS(10814),
    [anon_sym_STAR_EQ] = ACTIONS(10814),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10814),
    [anon_sym_SLASH_EQ] = ACTIONS(10814),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10814),
    [anon_sym_PIPE_EQ] = ACTIONS(10814),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10814),
    [anon_sym_AMP_EQ] = ACTIONS(10814),
    [anon_sym_PERCENT_EQ] = ACTIONS(10814),
    [anon_sym_GT_GT_EQ] = ACTIONS(10814),
    [anon_sym_LT_LT_EQ] = ACTIONS(10814),
    [anon_sym_CARET_EQ] = ACTIONS(10814),
    [anon_sym_QMARK] = ACTIONS(10814),
    [anon_sym_DOT_DOT] = ACTIONS(10816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10814),
    [anon_sym_and] = ACTIONS(10814),
    [anon_sym_or] = ACTIONS(10814),
    [anon_sym_PIPE_PIPE] = ACTIONS(10816),
    [anon_sym_AMP_AMP] = ACTIONS(10816),
    [anon_sym_LT_LT] = ACTIONS(10816),
    [anon_sym_GT_GT] = ACTIONS(10816),
    [anon_sym_EQ_EQ] = ACTIONS(10816),
    [anon_sym_BANG_EQ] = ACTIONS(10814),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10814),
    [anon_sym_LT_EQ_GT] = ACTIONS(10814),
    [anon_sym_EQ_TILDE] = ACTIONS(10814),
    [anon_sym_BANG_TILDE] = ACTIONS(10814),
    [anon_sym_LT_EQ] = ACTIONS(10816),
    [anon_sym_GT] = ACTIONS(10816),
    [anon_sym_GT_EQ] = ACTIONS(10814),
    [anon_sym_CARET] = ACTIONS(10816),
    [anon_sym_PLUS] = ACTIONS(10816),
    [anon_sym_SLASH] = ACTIONS(10816),
    [anon_sym_PERCENT] = ACTIONS(10816),
    [sym_comment] = ACTIONS(87),
  },
  [6901] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3994),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(449),
    [sym_scope_resolution] = STATE(443),
    [sym_call] = STATE(443),
    [sym_method_call] = STATE(449),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(3994),
    [sym_operator_assignment] = STATE(3994),
    [sym_conditional] = STATE(3994),
    [sym_range] = STATE(3994),
    [sym_binary] = STATE(3994),
    [sym_unary] = STATE(3994),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(448),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(449),
    [sym__variable] = STATE(443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(449),
    [sym_false] = STATE(449),
    [sym_nil] = STATE(449),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1585),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(1677),
    [sym__unary_minus] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(787),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(791),
    [anon_sym_next] = ACTIONS(793),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_defined_QMARK] = ACTIONS(805),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [sym_constant] = ACTIONS(819),
    [sym_identifier] = ACTIONS(819),
    [sym_instance_variable] = ACTIONS(815),
    [sym_class_variable] = ACTIONS(815),
    [sym_global_variable] = ACTIONS(815),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(819),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [6902] = {
    [aux_sym_exceptions_repeat1] = STATE(9369),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [ts_builtin_sym_end] = ACTIONS(9799),
    [anon_sym___END__] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12225),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [6903] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(5790),
    [anon_sym___END__] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [6904] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [ts_builtin_sym_end] = ACTIONS(5794),
    [anon_sym___END__] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [6905] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(6152),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6164),
    [anon_sym_GT_GT] = ACTIONS(6164),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [6906] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [6907] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6164),
    [anon_sym_GT_GT] = ACTIONS(6164),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [6908] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6148),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(6152),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6164),
    [anon_sym_GT_GT] = ACTIONS(6164),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [6909] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12227),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6910] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(5902),
    [anon_sym___END__] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(6148),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(6152),
    [anon_sym_LT] = ACTIONS(6154),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(6158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6160),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(6162),
    [anon_sym_AMP_AMP] = ACTIONS(6162),
    [anon_sym_LT_LT] = ACTIONS(6164),
    [anon_sym_GT_GT] = ACTIONS(6164),
    [anon_sym_EQ_EQ] = ACTIONS(6166),
    [anon_sym_BANG_EQ] = ACTIONS(6162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6162),
    [anon_sym_LT_EQ_GT] = ACTIONS(6162),
    [anon_sym_EQ_TILDE] = ACTIONS(6162),
    [anon_sym_BANG_TILDE] = ACTIONS(6162),
    [anon_sym_LT_EQ] = ACTIONS(6154),
    [anon_sym_GT] = ACTIONS(6154),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [6911] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6148),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(6152),
    [anon_sym_LT] = ACTIONS(6154),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(6156),
    [anon_sym_DOT_DOT] = ACTIONS(6158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6160),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(6162),
    [anon_sym_AMP_AMP] = ACTIONS(6162),
    [anon_sym_LT_LT] = ACTIONS(6164),
    [anon_sym_GT_GT] = ACTIONS(6164),
    [anon_sym_EQ_EQ] = ACTIONS(6166),
    [anon_sym_BANG_EQ] = ACTIONS(6162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6162),
    [anon_sym_LT_EQ_GT] = ACTIONS(6162),
    [anon_sym_EQ_TILDE] = ACTIONS(6162),
    [anon_sym_BANG_TILDE] = ACTIONS(6162),
    [anon_sym_LT_EQ] = ACTIONS(6154),
    [anon_sym_GT] = ACTIONS(6154),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [6912] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6148),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(6152),
    [anon_sym_LT] = ACTIONS(6154),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6164),
    [anon_sym_GT_GT] = ACTIONS(6164),
    [anon_sym_EQ_EQ] = ACTIONS(6166),
    [anon_sym_BANG_EQ] = ACTIONS(6162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6162),
    [anon_sym_LT_EQ_GT] = ACTIONS(6162),
    [anon_sym_EQ_TILDE] = ACTIONS(6162),
    [anon_sym_BANG_TILDE] = ACTIONS(6162),
    [anon_sym_LT_EQ] = ACTIONS(6154),
    [anon_sym_GT] = ACTIONS(6154),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [6913] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [6914] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(5798),
    [anon_sym___END__] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [6915] = {
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [ts_builtin_sym_end] = ACTIONS(11449),
    [anon_sym___END__] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(11449),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_when] = ACTIONS(11449),
    [anon_sym_elsif] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [6916] = {
    [aux_sym_exceptions_repeat1] = STATE(6916),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [ts_builtin_sym_end] = ACTIONS(11449),
    [anon_sym___END__] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [6917] = {
    [aux_sym_exceptions_repeat1] = STATE(4017),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [ts_builtin_sym_end] = ACTIONS(6174),
    [anon_sym___END__] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [6918] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(6188),
    [anon_sym___END__] = ACTIONS(6188),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(6148),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(6152),
    [anon_sym_LT] = ACTIONS(6154),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(6156),
    [anon_sym_DOT_DOT] = ACTIONS(6158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6160),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6162),
    [anon_sym_AMP_AMP] = ACTIONS(6162),
    [anon_sym_LT_LT] = ACTIONS(6164),
    [anon_sym_GT_GT] = ACTIONS(6164),
    [anon_sym_EQ_EQ] = ACTIONS(6166),
    [anon_sym_BANG_EQ] = ACTIONS(6162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6162),
    [anon_sym_LT_EQ_GT] = ACTIONS(6162),
    [anon_sym_EQ_TILDE] = ACTIONS(6162),
    [anon_sym_BANG_TILDE] = ACTIONS(6162),
    [anon_sym_LT_EQ] = ACTIONS(6154),
    [anon_sym_GT] = ACTIONS(6154),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [6919] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [6920] = {
    [sym_heredoc_body] = STATE(9371),
    [aux_sym_call_repeat1] = STATE(9371),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [6921] = {
    [sym_heredoc_body] = STATE(9371),
    [aux_sym_call_repeat1] = STATE(9371),
    [aux_sym_argument_list_repeat1] = STATE(9372),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(6273),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [6922] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [6923] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(9815),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [6924] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9373),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9373),
    [sym_operator_assignment] = STATE(9373),
    [sym_conditional] = STATE(9373),
    [sym_range] = STATE(9373),
    [sym_binary] = STATE(9373),
    [sym_unary] = STATE(9373),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6925] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9374),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9374),
    [sym_operator_assignment] = STATE(9374),
    [sym_conditional] = STATE(9374),
    [sym_range] = STATE(9374),
    [sym_binary] = STATE(9374),
    [sym_unary] = STATE(9374),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6926] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9375),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9375),
    [sym_operator_assignment] = STATE(9375),
    [sym_conditional] = STATE(9375),
    [sym_range] = STATE(9375),
    [sym_binary] = STATE(9375),
    [sym_unary] = STATE(9375),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6927] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9376),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9376),
    [sym_operator_assignment] = STATE(9376),
    [sym_conditional] = STATE(9376),
    [sym_range] = STATE(9376),
    [sym_binary] = STATE(9376),
    [sym_unary] = STATE(9376),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6928] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9377),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9377),
    [sym_operator_assignment] = STATE(9377),
    [sym_conditional] = STATE(9377),
    [sym_range] = STATE(9377),
    [sym_binary] = STATE(9377),
    [sym_unary] = STATE(9377),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6929] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9378),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9378),
    [sym_operator_assignment] = STATE(9378),
    [sym_conditional] = STATE(9378),
    [sym_range] = STATE(9378),
    [sym_binary] = STATE(9378),
    [sym_unary] = STATE(9378),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6930] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9379),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9379),
    [sym_operator_assignment] = STATE(9379),
    [sym_conditional] = STATE(9379),
    [sym_range] = STATE(9379),
    [sym_binary] = STATE(9379),
    [sym_unary] = STATE(9379),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6931] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9380),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9380),
    [sym_operator_assignment] = STATE(9380),
    [sym_conditional] = STATE(9380),
    [sym_range] = STATE(9380),
    [sym_binary] = STATE(9380),
    [sym_unary] = STATE(9380),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6932] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9381),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9381),
    [sym_operator_assignment] = STATE(9381),
    [sym_conditional] = STATE(9381),
    [sym_range] = STATE(9381),
    [sym_binary] = STATE(9381),
    [sym_unary] = STATE(9381),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6933] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9382),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9382),
    [sym_operator_assignment] = STATE(9382),
    [sym_conditional] = STATE(9382),
    [sym_range] = STATE(9382),
    [sym_binary] = STATE(9382),
    [sym_unary] = STATE(9382),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6934] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9383),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9383),
    [sym_operator_assignment] = STATE(9383),
    [sym_conditional] = STATE(9383),
    [sym_range] = STATE(9383),
    [sym_binary] = STATE(9383),
    [sym_unary] = STATE(9383),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6935] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9384),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9384),
    [sym_operator_assignment] = STATE(9384),
    [sym_conditional] = STATE(9384),
    [sym_range] = STATE(9384),
    [sym_binary] = STATE(9384),
    [sym_unary] = STATE(9384),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6936] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9385),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_splat_argument] = STATE(9386),
    [sym_assignment] = STATE(9385),
    [sym_operator_assignment] = STATE(9385),
    [sym_conditional] = STATE(9385),
    [sym_range] = STATE(9385),
    [sym_binary] = STATE(9385),
    [sym_unary] = STATE(9385),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(9386),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(2795),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6937] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9387),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(9387),
    [sym_operator_assignment] = STATE(9387),
    [sym_conditional] = STATE(9387),
    [sym_range] = STATE(9387),
    [sym_binary] = STATE(9387),
    [sym_unary] = STATE(9387),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6938] = {
    [sym_string] = STATE(9388),
    [aux_sym_chained_string_repeat1] = STATE(9388),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [6939] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(9815),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [6940] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6941] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6942] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9389),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(9389),
    [sym_operator_assignment] = STATE(9389),
    [sym_conditional] = STATE(9389),
    [sym_range] = STATE(9389),
    [sym_binary] = STATE(9389),
    [sym_unary] = STATE(9389),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6943] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6944] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9390),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(9390),
    [sym_operator_assignment] = STATE(9390),
    [sym_conditional] = STATE(9390),
    [sym_range] = STATE(9390),
    [sym_binary] = STATE(9390),
    [sym_unary] = STATE(9390),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6945] = {
    [sym_heredoc_body] = STATE(9391),
    [aux_sym_call_repeat1] = STATE(9391),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6946] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(4044),
    [sym_operator_assignment] = STATE(4044),
    [sym_conditional] = STATE(4044),
    [sym_range] = STATE(4044),
    [sym_binary] = STATE(4044),
    [sym_unary] = STATE(4044),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(9392),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(6225),
    [sym__splat_star] = ACTIONS(6227),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__identifier_hash_key] = ACTIONS(6229),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12234),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(6231),
    [sym_identifier] = ACTIONS(6231),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6947] = {
    [sym_heredoc_body] = STATE(9393),
    [aux_sym_call_repeat1] = STATE(9393),
    [aux_sym_argument_list_repeat1] = STATE(9394),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9841),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [6948] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9395),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(9395),
    [sym_operator_assignment] = STATE(9395),
    [sym_conditional] = STATE(9395),
    [sym_range] = STATE(9395),
    [sym_binary] = STATE(9395),
    [sym_unary] = STATE(9395),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6949] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6950] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [6951] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6952] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [6953] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6954] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6955] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(9815),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [6956] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12236),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [6957] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6958] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6959] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6960] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6961] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6962] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [6963] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [6964] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9397),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(9397),
    [sym_operator_assignment] = STATE(9397),
    [sym_conditional] = STATE(9397),
    [sym_range] = STATE(9397),
    [sym_binary] = STATE(9397),
    [sym_unary] = STATE(9397),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6965] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [6966] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9398),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(9398),
    [sym_operator_assignment] = STATE(9398),
    [sym_conditional] = STATE(9398),
    [sym_range] = STATE(9398),
    [sym_binary] = STATE(9398),
    [sym_unary] = STATE(9398),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6967] = {
    [sym_heredoc_body] = STATE(9399),
    [aux_sym_call_repeat1] = STATE(9399),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6968] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4068),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym__argument] = STATE(4608),
    [sym_splat_argument] = STATE(4608),
    [sym_hash_splat_argument] = STATE(4608),
    [sym_block_argument] = STATE(4608),
    [sym_assignment] = STATE(4068),
    [sym_operator_assignment] = STATE(4068),
    [sym_conditional] = STATE(4068),
    [sym_range] = STATE(4068),
    [sym_binary] = STATE(4068),
    [sym_unary] = STATE(4068),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4071),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(9400),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4608),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(6265),
    [sym__splat_star] = ACTIONS(6267),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__identifier_hash_key] = ACTIONS(6269),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12238),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(6271),
    [sym_identifier] = ACTIONS(6271),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6969] = {
    [sym_heredoc_body] = STATE(9401),
    [aux_sym_call_repeat1] = STATE(9401),
    [aux_sym_argument_list_repeat1] = STATE(9402),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9847),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [6970] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9403),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(9403),
    [sym_operator_assignment] = STATE(9403),
    [sym_conditional] = STATE(9403),
    [sym_range] = STATE(9403),
    [sym_binary] = STATE(9403),
    [sym_unary] = STATE(9403),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [6971] = {
    [sym_heredoc_body] = STATE(6971),
    [aux_sym_call_repeat1] = STATE(6971),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [6972] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1704),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(1704),
    [sym_operator_assignment] = STATE(1704),
    [sym_conditional] = STATE(1704),
    [sym_range] = STATE(1704),
    [sym_binary] = STATE(1704),
    [sym_unary] = STATE(1704),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1710),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(2793),
    [sym__splat_star] = ACTIONS(2795),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__identifier_hash_key] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(9851),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2817),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [6973] = {
    [sym_heredoc_body] = STATE(6971),
    [aux_sym_call_repeat1] = STATE(6971),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [6974] = {
    [aux_sym_argument_list_repeat1] = STATE(6974),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12240),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [6975] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6976] = {
    [aux_sym_exceptions_repeat1] = STATE(9405),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [6977] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [6978] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(9815),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [6979] = {
    [sym_string] = STATE(6979),
    [aux_sym_chained_string_repeat1] = STATE(6979),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [6980] = {
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_unless] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_until] = ACTIONS(2941),
    [anon_sym_rescue] = ACTIONS(2941),
    [sym_comment] = ACTIONS(87),
  },
  [6981] = {
    [anon_sym_RBRACE] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [6982] = {
    [aux_sym_undef_repeat1] = STATE(6982),
    [anon_sym_RBRACE] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(12243),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [6983] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9406),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(477),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(477),
    [sym_assignment] = STATE(9406),
    [sym_operator_assignment] = STATE(9406),
    [sym_conditional] = STATE(9406),
    [sym_range] = STATE(9406),
    [sym_binary] = STATE(9406),
    [sym_unary] = STATE(9406),
    [sym_left_assignment_list] = STATE(476),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(477),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(477),
    [sym_false] = STATE(477),
    [sym_nil] = STATE(477),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(478),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(855),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_next] = ACTIONS(859),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_defined_QMARK] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(869),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [6984] = {
    [sym__element_reference_left_bracket] = ACTIONS(9621),
    [sym__infix_scope_colons] = ACTIONS(9621),
    [sym__binary_minus] = ACTIONS(9621),
    [sym__binary_star] = ACTIONS(9621),
    [anon_sym_LBRACE] = ACTIONS(9621),
    [anon_sym_RBRACE] = ACTIONS(9621),
    [anon_sym_RPAREN] = ACTIONS(9621),
    [anon_sym_DOT] = ACTIONS(9623),
    [anon_sym_COMMA] = ACTIONS(9621),
    [anon_sym_PIPE] = ACTIONS(9623),
    [anon_sym_SEMI] = ACTIONS(9621),
    [anon_sym_STAR_STAR] = ACTIONS(9623),
    [anon_sym_AMP] = ACTIONS(9623),
    [anon_sym_EQ] = ACTIONS(9623),
    [anon_sym_LT] = ACTIONS(9623),
    [anon_sym_if] = ACTIONS(9621),
    [anon_sym_unless] = ACTIONS(9621),
    [anon_sym_while] = ACTIONS(9621),
    [anon_sym_until] = ACTIONS(9621),
    [anon_sym_rescue] = ACTIONS(9621),
    [anon_sym_do] = ACTIONS(9621),
    [anon_sym_AMP_DOT] = ACTIONS(9621),
    [anon_sym_PLUS_EQ] = ACTIONS(9621),
    [anon_sym_DASH_EQ] = ACTIONS(9621),
    [anon_sym_STAR_EQ] = ACTIONS(9621),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9621),
    [anon_sym_SLASH_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9621),
    [anon_sym_AMP_EQ] = ACTIONS(9621),
    [anon_sym_PERCENT_EQ] = ACTIONS(9621),
    [anon_sym_GT_GT_EQ] = ACTIONS(9621),
    [anon_sym_LT_LT_EQ] = ACTIONS(9621),
    [anon_sym_CARET_EQ] = ACTIONS(9621),
    [anon_sym_QMARK] = ACTIONS(9621),
    [anon_sym_COLON] = ACTIONS(9621),
    [anon_sym_DOT_DOT] = ACTIONS(9623),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9621),
    [anon_sym_and] = ACTIONS(9621),
    [anon_sym_or] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE] = ACTIONS(9623),
    [anon_sym_AMP_AMP] = ACTIONS(9623),
    [anon_sym_LT_LT] = ACTIONS(9623),
    [anon_sym_GT_GT] = ACTIONS(9623),
    [anon_sym_EQ_EQ] = ACTIONS(9623),
    [anon_sym_BANG_EQ] = ACTIONS(9621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9621),
    [anon_sym_LT_EQ_GT] = ACTIONS(9621),
    [anon_sym_EQ_TILDE] = ACTIONS(9621),
    [anon_sym_BANG_TILDE] = ACTIONS(9621),
    [anon_sym_LT_EQ] = ACTIONS(9623),
    [anon_sym_GT] = ACTIONS(9623),
    [anon_sym_GT_EQ] = ACTIONS(9621),
    [anon_sym_CARET] = ACTIONS(9623),
    [anon_sym_PLUS] = ACTIONS(9623),
    [anon_sym_SLASH] = ACTIONS(9623),
    [anon_sym_PERCENT] = ACTIONS(9623),
    [sym_comment] = ACTIONS(87),
  },
  [6985] = {
    [anon_sym_RBRACK] = ACTIONS(12246),
    [sym_comment] = ACTIONS(87),
  },
  [6986] = {
    [sym__simple_symbol] = ACTIONS(4198),
    [sym__string_start] = ACTIONS(4198),
    [sym__symbol_start] = ACTIONS(4198),
    [sym__subshell_start] = ACTIONS(4198),
    [sym__regex_start] = ACTIONS(4198),
    [sym__string_array_start] = ACTIONS(4198),
    [sym__symbol_array_start] = ACTIONS(4198),
    [sym_heredoc_beginning] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__block_ampersand] = ACTIONS(4198),
    [sym__splat_star] = ACTIONS(4198),
    [sym__argument_list_left_paren] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__unary_minus] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [sym__identifier_hash_key] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_def] = ACTIONS(4200),
    [anon_sym_LPAREN] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COLON_COLON] = ACTIONS(4198),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR] = ACTIONS(4200),
    [anon_sym_STAR_STAR] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_class] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_module] = ACTIONS(4200),
    [anon_sym_return] = ACTIONS(4200),
    [anon_sym_yield] = ACTIONS(4200),
    [anon_sym_break] = ACTIONS(4200),
    [anon_sym_next] = ACTIONS(4200),
    [sym_redo] = ACTIONS(4200),
    [sym_retry] = ACTIONS(4200),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_unless] = ACTIONS(4200),
    [anon_sym_while] = ACTIONS(4200),
    [anon_sym_until] = ACTIONS(4200),
    [anon_sym_rescue] = ACTIONS(4200),
    [anon_sym_for] = ACTIONS(4200),
    [anon_sym_do] = ACTIONS(4200),
    [anon_sym_case] = ACTIONS(4200),
    [anon_sym_begin] = ACTIONS(4200),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS_EQ] = ACTIONS(4198),
    [anon_sym_DASH_EQ] = ACTIONS(4198),
    [anon_sym_STAR_EQ] = ACTIONS(4198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4198),
    [anon_sym_SLASH_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4198),
    [anon_sym_AMP_EQ] = ACTIONS(4198),
    [anon_sym_PERCENT_EQ] = ACTIONS(4198),
    [anon_sym_GT_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_LT_EQ] = ACTIONS(4198),
    [anon_sym_CARET_EQ] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4200),
    [anon_sym_COLON] = ACTIONS(4200),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4200),
    [anon_sym_or] = ACTIONS(4200),
    [anon_sym_PIPE_PIPE] = ACTIONS(4200),
    [anon_sym_AMP_AMP] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [anon_sym_defined_QMARK] = ACTIONS(4198),
    [anon_sym_not] = ACTIONS(4200),
    [anon_sym_BANG] = ACTIONS(4200),
    [anon_sym_TILDE] = ACTIONS(4198),
    [sym_constant] = ACTIONS(4200),
    [sym_identifier] = ACTIONS(4200),
    [sym_instance_variable] = ACTIONS(4198),
    [sym_class_variable] = ACTIONS(4198),
    [sym_global_variable] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4200),
    [sym_float] = ACTIONS(4200),
    [sym_complex] = ACTIONS(4198),
    [sym_super] = ACTIONS(4200),
    [anon_sym_true] = ACTIONS(4200),
    [anon_sym_TRUE] = ACTIONS(4200),
    [anon_sym_false] = ACTIONS(4200),
    [anon_sym_FALSE] = ACTIONS(4200),
    [sym_self] = ACTIONS(4200),
    [anon_sym_nil] = ACTIONS(4200),
    [anon_sym_NIL] = ACTIONS(4200),
    [sym_character] = ACTIONS(4198),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [anon_sym_DASH_GT] = ACTIONS(4198),
  },
  [6987] = {
    [sym_heredoc_body] = STATE(9409),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(12248),
    [sym_comment] = ACTIONS(87),
  },
  [6988] = {
    [anon_sym_RPAREN] = ACTIONS(12248),
    [sym_comment] = ACTIONS(87),
  },
  [6989] = {
    [sym__simple_symbol] = ACTIONS(9631),
    [sym__string_start] = ACTIONS(9631),
    [sym__symbol_start] = ACTIONS(9631),
    [sym__subshell_start] = ACTIONS(9631),
    [sym__regex_start] = ACTIONS(9631),
    [sym__string_array_start] = ACTIONS(9631),
    [sym__symbol_array_start] = ACTIONS(9631),
    [sym_heredoc_beginning] = ACTIONS(9631),
    [sym__element_reference_left_bracket] = ACTIONS(9631),
    [sym__block_ampersand] = ACTIONS(9631),
    [sym__splat_star] = ACTIONS(9631),
    [sym__argument_list_left_paren] = ACTIONS(9631),
    [sym__infix_scope_colons] = ACTIONS(9631),
    [sym__unary_minus] = ACTIONS(9631),
    [sym__binary_minus] = ACTIONS(9631),
    [sym__binary_star] = ACTIONS(9631),
    [sym__identifier_hash_key] = ACTIONS(9631),
    [anon_sym_LBRACE] = ACTIONS(9631),
    [anon_sym_RBRACE] = ACTIONS(9631),
    [anon_sym_def] = ACTIONS(9633),
    [anon_sym_LPAREN] = ACTIONS(9631),
    [anon_sym_RPAREN] = ACTIONS(9631),
    [anon_sym_DOT] = ACTIONS(9633),
    [anon_sym_COLON_COLON] = ACTIONS(9631),
    [anon_sym_COMMA] = ACTIONS(9631),
    [anon_sym_PIPE] = ACTIONS(9633),
    [anon_sym_SEMI] = ACTIONS(9631),
    [anon_sym_STAR] = ACTIONS(9633),
    [anon_sym_STAR_STAR] = ACTIONS(9633),
    [anon_sym_AMP] = ACTIONS(9633),
    [anon_sym_EQ] = ACTIONS(9633),
    [anon_sym_class] = ACTIONS(9633),
    [anon_sym_LT] = ACTIONS(9633),
    [anon_sym_module] = ACTIONS(9633),
    [anon_sym_return] = ACTIONS(9633),
    [anon_sym_yield] = ACTIONS(9633),
    [anon_sym_break] = ACTIONS(9633),
    [anon_sym_next] = ACTIONS(9633),
    [sym_redo] = ACTIONS(9633),
    [sym_retry] = ACTIONS(9633),
    [anon_sym_if] = ACTIONS(9633),
    [anon_sym_unless] = ACTIONS(9633),
    [anon_sym_while] = ACTIONS(9633),
    [anon_sym_until] = ACTIONS(9633),
    [anon_sym_rescue] = ACTIONS(9633),
    [anon_sym_for] = ACTIONS(9633),
    [anon_sym_do] = ACTIONS(9633),
    [anon_sym_case] = ACTIONS(9633),
    [anon_sym_begin] = ACTIONS(9633),
    [anon_sym_AMP_DOT] = ACTIONS(9631),
    [anon_sym_PLUS_EQ] = ACTIONS(9631),
    [anon_sym_DASH_EQ] = ACTIONS(9631),
    [anon_sym_STAR_EQ] = ACTIONS(9631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9631),
    [anon_sym_SLASH_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9631),
    [anon_sym_AMP_EQ] = ACTIONS(9631),
    [anon_sym_PERCENT_EQ] = ACTIONS(9631),
    [anon_sym_GT_GT_EQ] = ACTIONS(9631),
    [anon_sym_LT_LT_EQ] = ACTIONS(9631),
    [anon_sym_CARET_EQ] = ACTIONS(9631),
    [anon_sym_QMARK] = ACTIONS(9633),
    [anon_sym_COLON] = ACTIONS(9633),
    [anon_sym_DOT_DOT] = ACTIONS(9633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9631),
    [anon_sym_and] = ACTIONS(9633),
    [anon_sym_or] = ACTIONS(9633),
    [anon_sym_PIPE_PIPE] = ACTIONS(9633),
    [anon_sym_AMP_AMP] = ACTIONS(9633),
    [anon_sym_LT_LT] = ACTIONS(9633),
    [anon_sym_GT_GT] = ACTIONS(9633),
    [anon_sym_EQ_EQ] = ACTIONS(9633),
    [anon_sym_BANG_EQ] = ACTIONS(9631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9631),
    [anon_sym_LT_EQ_GT] = ACTIONS(9631),
    [anon_sym_EQ_TILDE] = ACTIONS(9631),
    [anon_sym_BANG_TILDE] = ACTIONS(9631),
    [anon_sym_LT_EQ] = ACTIONS(9633),
    [anon_sym_GT] = ACTIONS(9633),
    [anon_sym_GT_EQ] = ACTIONS(9631),
    [anon_sym_CARET] = ACTIONS(9633),
    [anon_sym_PLUS] = ACTIONS(9633),
    [anon_sym_SLASH] = ACTIONS(9633),
    [anon_sym_PERCENT] = ACTIONS(9633),
    [anon_sym_defined_QMARK] = ACTIONS(9631),
    [anon_sym_not] = ACTIONS(9633),
    [anon_sym_BANG] = ACTIONS(9633),
    [anon_sym_TILDE] = ACTIONS(9631),
    [sym_constant] = ACTIONS(9633),
    [sym_identifier] = ACTIONS(9633),
    [sym_instance_variable] = ACTIONS(9631),
    [sym_class_variable] = ACTIONS(9631),
    [sym_global_variable] = ACTIONS(9631),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(9633),
    [sym_float] = ACTIONS(9633),
    [sym_complex] = ACTIONS(9631),
    [sym_super] = ACTIONS(9633),
    [anon_sym_true] = ACTIONS(9633),
    [anon_sym_TRUE] = ACTIONS(9633),
    [anon_sym_false] = ACTIONS(9633),
    [anon_sym_FALSE] = ACTIONS(9633),
    [sym_self] = ACTIONS(9633),
    [anon_sym_nil] = ACTIONS(9633),
    [anon_sym_NIL] = ACTIONS(9633),
    [sym_character] = ACTIONS(9631),
    [anon_sym_LBRACK] = ACTIONS(9631),
    [anon_sym_DASH_GT] = ACTIONS(9631),
  },
  [6990] = {
    [sym__string_start] = ACTIONS(839),
    [sym__heredoc_body_start] = ACTIONS(839),
    [sym__element_reference_left_bracket] = ACTIONS(839),
    [sym__infix_scope_colons] = ACTIONS(839),
    [sym__binary_minus] = ACTIONS(839),
    [sym__binary_star] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(841),
    [anon_sym_COMMA] = ACTIONS(839),
    [anon_sym_PIPE] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_AMP] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_unless] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(839),
    [anon_sym_until] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(839),
    [anon_sym_in] = ACTIONS(839),
    [anon_sym_do] = ACTIONS(839),
    [anon_sym_RBRACK] = ACTIONS(839),
    [anon_sym_AMP_DOT] = ACTIONS(839),
    [anon_sym_PLUS_EQ] = ACTIONS(839),
    [anon_sym_DASH_EQ] = ACTIONS(839),
    [anon_sym_STAR_EQ] = ACTIONS(839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(839),
    [anon_sym_SLASH_EQ] = ACTIONS(839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(839),
    [anon_sym_PIPE_EQ] = ACTIONS(839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(839),
    [anon_sym_AMP_EQ] = ACTIONS(839),
    [anon_sym_PERCENT_EQ] = ACTIONS(839),
    [anon_sym_GT_GT_EQ] = ACTIONS(839),
    [anon_sym_LT_LT_EQ] = ACTIONS(839),
    [anon_sym_CARET_EQ] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(839),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOT_DOT] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(839),
    [anon_sym_or] = ACTIONS(839),
    [anon_sym_PIPE_PIPE] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(841),
    [anon_sym_LT_LT] = ACTIONS(841),
    [anon_sym_GT_GT] = ACTIONS(841),
    [anon_sym_EQ_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(839),
    [anon_sym_LT_EQ_GT] = ACTIONS(839),
    [anon_sym_EQ_TILDE] = ACTIONS(839),
    [anon_sym_BANG_TILDE] = ACTIONS(839),
    [anon_sym_LT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(841),
    [anon_sym_GT_EQ] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(841),
    [anon_sym_PERCENT] = ACTIONS(841),
    [sym_comment] = ACTIONS(87),
  },
  [6991] = {
    [sym__string_end] = ACTIONS(12250),
    [sym_comment] = ACTIONS(87),
  },
  [6992] = {
    [sym__heredoc_body_start] = ACTIONS(891),
    [sym__element_reference_left_bracket] = ACTIONS(891),
    [sym__infix_scope_colons] = ACTIONS(891),
    [sym__binary_minus] = ACTIONS(891),
    [sym__binary_star] = ACTIONS(891),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_STAR_STAR] = ACTIONS(893),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_unless] = ACTIONS(891),
    [anon_sym_while] = ACTIONS(891),
    [anon_sym_until] = ACTIONS(891),
    [anon_sym_rescue] = ACTIONS(891),
    [anon_sym_in] = ACTIONS(891),
    [anon_sym_do] = ACTIONS(891),
    [anon_sym_RBRACK] = ACTIONS(891),
    [anon_sym_AMP_DOT] = ACTIONS(891),
    [anon_sym_PLUS_EQ] = ACTIONS(891),
    [anon_sym_DASH_EQ] = ACTIONS(891),
    [anon_sym_STAR_EQ] = ACTIONS(891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(891),
    [anon_sym_SLASH_EQ] = ACTIONS(891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(891),
    [anon_sym_PIPE_EQ] = ACTIONS(891),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(891),
    [anon_sym_AMP_EQ] = ACTIONS(891),
    [anon_sym_PERCENT_EQ] = ACTIONS(891),
    [anon_sym_GT_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_LT_EQ] = ACTIONS(891),
    [anon_sym_CARET_EQ] = ACTIONS(891),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_COLON] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(891),
    [anon_sym_and] = ACTIONS(891),
    [anon_sym_or] = ACTIONS(891),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ_GT] = ACTIONS(891),
    [anon_sym_EQ_TILDE] = ACTIONS(891),
    [anon_sym_BANG_TILDE] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [sym_comment] = ACTIONS(87),
  },
  [6993] = {
    [sym__string_end] = ACTIONS(12252),
    [sym_comment] = ACTIONS(87),
  },
  [6994] = {
    [sym__heredoc_body_start] = ACTIONS(897),
    [sym__element_reference_left_bracket] = ACTIONS(897),
    [sym__infix_scope_colons] = ACTIONS(897),
    [sym__binary_minus] = ACTIONS(897),
    [sym__binary_star] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(899),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_STAR_STAR] = ACTIONS(899),
    [anon_sym_AMP] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_unless] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_until] = ACTIONS(897),
    [anon_sym_rescue] = ACTIONS(897),
    [anon_sym_in] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_RBRACK] = ACTIONS(897),
    [anon_sym_AMP_DOT] = ACTIONS(897),
    [anon_sym_PLUS_EQ] = ACTIONS(897),
    [anon_sym_DASH_EQ] = ACTIONS(897),
    [anon_sym_STAR_EQ] = ACTIONS(897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(897),
    [anon_sym_SLASH_EQ] = ACTIONS(897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(897),
    [anon_sym_PIPE_EQ] = ACTIONS(897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(897),
    [anon_sym_AMP_EQ] = ACTIONS(897),
    [anon_sym_PERCENT_EQ] = ACTIONS(897),
    [anon_sym_GT_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_LT_EQ] = ACTIONS(897),
    [anon_sym_CARET_EQ] = ACTIONS(897),
    [anon_sym_QMARK] = ACTIONS(897),
    [anon_sym_COLON] = ACTIONS(897),
    [anon_sym_DOT_DOT] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(897),
    [anon_sym_and] = ACTIONS(897),
    [anon_sym_or] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(899),
    [anon_sym_AMP_AMP] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(899),
    [anon_sym_GT_GT] = ACTIONS(899),
    [anon_sym_EQ_EQ] = ACTIONS(899),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_EQ_TILDE] = ACTIONS(897),
    [anon_sym_BANG_TILDE] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(899),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_SLASH] = ACTIONS(899),
    [anon_sym_PERCENT] = ACTIONS(899),
    [sym_comment] = ACTIONS(87),
  },
  [6995] = {
    [sym__string_end] = ACTIONS(12254),
    [sym_comment] = ACTIONS(87),
  },
  [6996] = {
    [sym__heredoc_body_start] = ACTIONS(903),
    [sym__element_reference_left_bracket] = ACTIONS(903),
    [sym__infix_scope_colons] = ACTIONS(903),
    [sym__binary_minus] = ACTIONS(903),
    [sym__binary_star] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(903),
    [anon_sym_PIPE] = ACTIONS(905),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_STAR_STAR] = ACTIONS(905),
    [anon_sym_AMP] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(905),
    [anon_sym_LT] = ACTIONS(905),
    [anon_sym_if] = ACTIONS(903),
    [anon_sym_unless] = ACTIONS(903),
    [anon_sym_while] = ACTIONS(903),
    [anon_sym_until] = ACTIONS(903),
    [anon_sym_rescue] = ACTIONS(903),
    [anon_sym_in] = ACTIONS(903),
    [anon_sym_do] = ACTIONS(903),
    [anon_sym_RBRACK] = ACTIONS(903),
    [anon_sym_AMP_DOT] = ACTIONS(903),
    [anon_sym_PLUS_EQ] = ACTIONS(903),
    [anon_sym_DASH_EQ] = ACTIONS(903),
    [anon_sym_STAR_EQ] = ACTIONS(903),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(903),
    [anon_sym_SLASH_EQ] = ACTIONS(903),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(903),
    [anon_sym_PIPE_EQ] = ACTIONS(903),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(903),
    [anon_sym_AMP_EQ] = ACTIONS(903),
    [anon_sym_PERCENT_EQ] = ACTIONS(903),
    [anon_sym_GT_GT_EQ] = ACTIONS(903),
    [anon_sym_LT_LT_EQ] = ACTIONS(903),
    [anon_sym_CARET_EQ] = ACTIONS(903),
    [anon_sym_QMARK] = ACTIONS(903),
    [anon_sym_COLON] = ACTIONS(903),
    [anon_sym_DOT_DOT] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(903),
    [anon_sym_and] = ACTIONS(903),
    [anon_sym_or] = ACTIONS(903),
    [anon_sym_PIPE_PIPE] = ACTIONS(905),
    [anon_sym_AMP_AMP] = ACTIONS(905),
    [anon_sym_LT_LT] = ACTIONS(905),
    [anon_sym_GT_GT] = ACTIONS(905),
    [anon_sym_EQ_EQ] = ACTIONS(905),
    [anon_sym_BANG_EQ] = ACTIONS(903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(903),
    [anon_sym_LT_EQ_GT] = ACTIONS(903),
    [anon_sym_EQ_TILDE] = ACTIONS(903),
    [anon_sym_BANG_TILDE] = ACTIONS(903),
    [anon_sym_LT_EQ] = ACTIONS(905),
    [anon_sym_GT] = ACTIONS(905),
    [anon_sym_GT_EQ] = ACTIONS(903),
    [anon_sym_CARET] = ACTIONS(905),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_PERCENT] = ACTIONS(905),
    [sym_comment] = ACTIONS(87),
  },
  [6997] = {
    [sym__string_end] = ACTIONS(12256),
    [sym_comment] = ACTIONS(87),
  },
  [6998] = {
    [sym__heredoc_body_start] = ACTIONS(909),
    [sym__element_reference_left_bracket] = ACTIONS(909),
    [sym__infix_scope_colons] = ACTIONS(909),
    [sym__binary_minus] = ACTIONS(909),
    [sym__binary_star] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_STAR_STAR] = ACTIONS(911),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_unless] = ACTIONS(909),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_until] = ACTIONS(909),
    [anon_sym_rescue] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_AMP_DOT] = ACTIONS(909),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_and] = ACTIONS(909),
    [anon_sym_or] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(911),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ_GT] = ACTIONS(909),
    [anon_sym_EQ_TILDE] = ACTIONS(909),
    [anon_sym_BANG_TILDE] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [sym_comment] = ACTIONS(87),
  },
  [6999] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(9416),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12258),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12260),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [7000] = {
    [aux_sym_string_array_repeat1] = STATE(9419),
    [sym__string_end] = ACTIONS(12262),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12264),
  },
  [7001] = {
    [sym__heredoc_body_start] = ACTIONS(927),
    [sym__element_reference_left_bracket] = ACTIONS(927),
    [sym__infix_scope_colons] = ACTIONS(927),
    [sym__binary_minus] = ACTIONS(927),
    [sym__binary_star] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_RPAREN] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym_STAR_STAR] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_EQ] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_unless] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(927),
    [anon_sym_until] = ACTIONS(927),
    [anon_sym_rescue] = ACTIONS(927),
    [anon_sym_in] = ACTIONS(927),
    [anon_sym_do] = ACTIONS(927),
    [anon_sym_RBRACK] = ACTIONS(927),
    [anon_sym_AMP_DOT] = ACTIONS(927),
    [anon_sym_PLUS_EQ] = ACTIONS(927),
    [anon_sym_DASH_EQ] = ACTIONS(927),
    [anon_sym_STAR_EQ] = ACTIONS(927),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(927),
    [anon_sym_SLASH_EQ] = ACTIONS(927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(927),
    [anon_sym_PIPE_EQ] = ACTIONS(927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(927),
    [anon_sym_AMP_EQ] = ACTIONS(927),
    [anon_sym_PERCENT_EQ] = ACTIONS(927),
    [anon_sym_GT_GT_EQ] = ACTIONS(927),
    [anon_sym_LT_LT_EQ] = ACTIONS(927),
    [anon_sym_CARET_EQ] = ACTIONS(927),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_COLON] = ACTIONS(927),
    [anon_sym_DOT_DOT] = ACTIONS(929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(927),
    [anon_sym_and] = ACTIONS(927),
    [anon_sym_or] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(929),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(927),
    [anon_sym_LT_EQ_GT] = ACTIONS(927),
    [anon_sym_EQ_TILDE] = ACTIONS(927),
    [anon_sym_BANG_TILDE] = ACTIONS(927),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(927),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(929),
    [sym_comment] = ACTIONS(87),
  },
  [7002] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(9422),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12266),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12268),
    [sym_escape_sequence] = ACTIONS(127),
  },
  [7003] = {
    [aux_sym_symbol_array_repeat1] = STATE(9425),
    [sym__string_end] = ACTIONS(12270),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12272),
  },
  [7004] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [7005] = {
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(997),
    [sym__infix_scope_colons] = ACTIONS(997),
    [sym__binary_minus] = ACTIONS(997),
    [sym__binary_star] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_RPAREN] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(997),
    [anon_sym_STAR_STAR] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_EQ] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_unless] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(997),
    [anon_sym_until] = ACTIONS(997),
    [anon_sym_rescue] = ACTIONS(997),
    [anon_sym_in] = ACTIONS(997),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_RBRACK] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(997),
    [anon_sym_PLUS_EQ] = ACTIONS(997),
    [anon_sym_DASH_EQ] = ACTIONS(997),
    [anon_sym_STAR_EQ] = ACTIONS(997),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(997),
    [anon_sym_SLASH_EQ] = ACTIONS(997),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(997),
    [anon_sym_PIPE_EQ] = ACTIONS(997),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(997),
    [anon_sym_AMP_EQ] = ACTIONS(997),
    [anon_sym_PERCENT_EQ] = ACTIONS(997),
    [anon_sym_GT_GT_EQ] = ACTIONS(997),
    [anon_sym_LT_LT_EQ] = ACTIONS(997),
    [anon_sym_CARET_EQ] = ACTIONS(997),
    [anon_sym_QMARK] = ACTIONS(997),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(997),
    [anon_sym_and] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(997),
    [anon_sym_PIPE_PIPE] = ACTIONS(999),
    [anon_sym_AMP_AMP] = ACTIONS(999),
    [anon_sym_LT_LT] = ACTIONS(999),
    [anon_sym_GT_GT] = ACTIONS(999),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(997),
    [anon_sym_LT_EQ_GT] = ACTIONS(997),
    [anon_sym_EQ_TILDE] = ACTIONS(997),
    [anon_sym_BANG_TILDE] = ACTIONS(997),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(999),
    [anon_sym_GT_EQ] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_SLASH] = ACTIONS(999),
    [anon_sym_PERCENT] = ACTIONS(999),
    [sym_comment] = ACTIONS(87),
  },
  [7006] = {
    [anon_sym_RBRACE] = ACTIONS(12274),
    [sym_comment] = ACTIONS(87),
  },
  [7007] = {
    [sym_heredoc_body] = STATE(9427),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACE] = ACTIONS(12274),
    [sym_comment] = ACTIONS(87),
  },
  [7008] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9428),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(9428),
    [sym_operator_assignment] = STATE(9428),
    [sym_conditional] = STATE(9428),
    [sym_range] = STATE(9428),
    [sym_binary] = STATE(9428),
    [sym_unary] = STATE(9428),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7009] = {
    [sym__heredoc_body_start] = ACTIONS(1277),
    [sym__element_reference_left_bracket] = ACTIONS(1277),
    [sym__infix_scope_colons] = ACTIONS(1277),
    [sym__binary_minus] = ACTIONS(1277),
    [sym__binary_star] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_RPAREN] = ACTIONS(1277),
    [anon_sym_DOT] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(1277),
    [anon_sym_PIPE] = ACTIONS(1279),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym_STAR_STAR] = ACTIONS(1279),
    [anon_sym_AMP] = ACTIONS(1279),
    [anon_sym_EQ] = ACTIONS(1279),
    [anon_sym_LT] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_unless] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_until] = ACTIONS(1277),
    [anon_sym_rescue] = ACTIONS(1277),
    [anon_sym_in] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_RBRACK] = ACTIONS(1277),
    [anon_sym_AMP_DOT] = ACTIONS(1277),
    [anon_sym_PLUS_EQ] = ACTIONS(1277),
    [anon_sym_DASH_EQ] = ACTIONS(1277),
    [anon_sym_STAR_EQ] = ACTIONS(1277),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1277),
    [anon_sym_SLASH_EQ] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1277),
    [anon_sym_PIPE_EQ] = ACTIONS(1277),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1277),
    [anon_sym_AMP_EQ] = ACTIONS(1277),
    [anon_sym_PERCENT_EQ] = ACTIONS(1277),
    [anon_sym_GT_GT_EQ] = ACTIONS(1277),
    [anon_sym_LT_LT_EQ] = ACTIONS(1277),
    [anon_sym_CARET_EQ] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(1277),
    [anon_sym_COLON] = ACTIONS(1277),
    [anon_sym_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1277),
    [anon_sym_and] = ACTIONS(1277),
    [anon_sym_or] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE] = ACTIONS(1279),
    [anon_sym_AMP_AMP] = ACTIONS(1279),
    [anon_sym_LT_LT] = ACTIONS(1279),
    [anon_sym_GT_GT] = ACTIONS(1279),
    [anon_sym_EQ_EQ] = ACTIONS(1279),
    [anon_sym_BANG_EQ] = ACTIONS(1277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1277),
    [anon_sym_LT_EQ_GT] = ACTIONS(1277),
    [anon_sym_EQ_TILDE] = ACTIONS(1277),
    [anon_sym_BANG_TILDE] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(1279),
    [anon_sym_GT] = ACTIONS(1279),
    [anon_sym_GT_EQ] = ACTIONS(1277),
    [anon_sym_CARET] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_SLASH] = ACTIONS(1279),
    [anon_sym_PERCENT] = ACTIONS(1279),
    [sym_comment] = ACTIONS(87),
  },
  [7010] = {
    [anon_sym_DOT] = ACTIONS(12276),
    [anon_sym_COLON_COLON] = ACTIONS(12276),
    [sym_comment] = ACTIONS(87),
  },
  [7011] = {
    [sym_method_parameters] = STATE(9430),
    [sym__simple_formal_parameter] = STATE(715),
    [sym_splat_parameter] = STATE(715),
    [sym_hash_splat_parameter] = STATE(715),
    [sym_block_parameter] = STATE(715),
    [sym_keyword_parameter] = STATE(715),
    [sym_optional_parameter] = STATE(715),
    [sym_heredoc_body] = STATE(9430),
    [sym__terminator] = STATE(9430),
    [sym__line_break] = ACTIONS(12278),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(12278),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_comment] = ACTIONS(87),
  },
  [7012] = {
    [sym__heredoc_body_start] = ACTIONS(1295),
    [sym__element_reference_left_bracket] = ACTIONS(1295),
    [sym__infix_scope_colons] = ACTIONS(1295),
    [sym__binary_minus] = ACTIONS(1295),
    [sym__binary_star] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_RPAREN] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1295),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_STAR_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_unless] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_until] = ACTIONS(1295),
    [anon_sym_rescue] = ACTIONS(1295),
    [anon_sym_in] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_RBRACK] = ACTIONS(1295),
    [anon_sym_AMP_DOT] = ACTIONS(1295),
    [anon_sym_PLUS_EQ] = ACTIONS(1295),
    [anon_sym_DASH_EQ] = ACTIONS(1295),
    [anon_sym_STAR_EQ] = ACTIONS(1295),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1295),
    [anon_sym_SLASH_EQ] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1295),
    [anon_sym_AMP_EQ] = ACTIONS(1295),
    [anon_sym_PERCENT_EQ] = ACTIONS(1295),
    [anon_sym_GT_GT_EQ] = ACTIONS(1295),
    [anon_sym_LT_LT_EQ] = ACTIONS(1295),
    [anon_sym_CARET_EQ] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1295),
    [anon_sym_COLON] = ACTIONS(1295),
    [anon_sym_DOT_DOT] = ACTIONS(1297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1295),
    [anon_sym_and] = ACTIONS(1295),
    [anon_sym_or] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1297),
    [anon_sym_AMP_AMP] = ACTIONS(1297),
    [anon_sym_LT_LT] = ACTIONS(1297),
    [anon_sym_GT_GT] = ACTIONS(1297),
    [anon_sym_EQ_EQ] = ACTIONS(1297),
    [anon_sym_BANG_EQ] = ACTIONS(1295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ_GT] = ACTIONS(1295),
    [anon_sym_EQ_TILDE] = ACTIONS(1295),
    [anon_sym_BANG_TILDE] = ACTIONS(1295),
    [anon_sym_LT_EQ] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_CARET] = ACTIONS(1297),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1297),
    [sym_comment] = ACTIONS(87),
  },
  [7013] = {
    [anon_sym_RPAREN] = ACTIONS(12280),
    [sym_comment] = ACTIONS(87),
  },
  [7014] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9432),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(280),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(280),
    [sym_assignment] = STATE(9432),
    [sym_operator_assignment] = STATE(9432),
    [sym_conditional] = STATE(9432),
    [sym_range] = STATE(9432),
    [sym_binary] = STATE(9432),
    [sym_unary] = STATE(9432),
    [sym_left_assignment_list] = STATE(279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(280),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(280),
    [sym_false] = STATE(280),
    [sym_nil] = STATE(280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(281),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_next] = ACTIONS(489),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_defined_QMARK] = ACTIONS(493),
    [anon_sym_not] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7015] = {
    [sym_superclass] = STATE(9433),
    [sym_heredoc_body] = STATE(9434),
    [sym__terminator] = STATE(9434),
    [sym__line_break] = ACTIONS(12282),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(12282),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [7016] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_superclass] = STATE(9433),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(9434),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(9434),
    [sym__line_break] = ACTIONS(12282),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(12282),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7017] = {
    [sym_heredoc_body] = STATE(9436),
    [sym__terminator] = STATE(9436),
    [sym__line_break] = ACTIONS(12284),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(12284),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(12286),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [7018] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(896),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_argument_list] = STATE(868),
    [sym__argument_list_with_parens] = STATE(897),
    [sym__argument] = STATE(898),
    [sym_splat_argument] = STATE(898),
    [sym_hash_splat_argument] = STATE(898),
    [sym_block_argument] = STATE(898),
    [sym_do_block] = STATE(871),
    [sym_block] = STATE(871),
    [sym_assignment] = STATE(896),
    [sym_operator_assignment] = STATE(896),
    [sym_conditional] = STATE(896),
    [sym_range] = STATE(896),
    [sym_binary] = STATE(896),
    [sym_unary] = STATE(896),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(9436),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(898),
    [sym_lambda] = STATE(363),
    [sym__terminator] = STATE(9436),
    [sym__line_break] = ACTIONS(12284),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(1529),
    [sym__splat_star] = ACTIONS(1531),
    [sym__argument_list_left_paren] = ACTIONS(1459),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(12284),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_end] = ACTIONS(12286),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1557),
    [sym_identifier] = ACTIONS(1557),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7019] = {
    [sym__heredoc_body_start] = ACTIONS(1689),
    [sym__element_reference_left_bracket] = ACTIONS(1689),
    [sym__infix_scope_colons] = ACTIONS(1689),
    [sym__binary_minus] = ACTIONS(1689),
    [sym__binary_star] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_STAR_STAR] = ACTIONS(1691),
    [anon_sym_AMP] = ACTIONS(1691),
    [anon_sym_EQ] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1689),
    [anon_sym_unless] = ACTIONS(1689),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_until] = ACTIONS(1689),
    [anon_sym_rescue] = ACTIONS(1689),
    [anon_sym_in] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(1689),
    [anon_sym_RBRACK] = ACTIONS(1689),
    [anon_sym_AMP_DOT] = ACTIONS(1689),
    [anon_sym_PLUS_EQ] = ACTIONS(1689),
    [anon_sym_DASH_EQ] = ACTIONS(1689),
    [anon_sym_STAR_EQ] = ACTIONS(1689),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1689),
    [anon_sym_SLASH_EQ] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1689),
    [anon_sym_PIPE_EQ] = ACTIONS(1689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1689),
    [anon_sym_AMP_EQ] = ACTIONS(1689),
    [anon_sym_PERCENT_EQ] = ACTIONS(1689),
    [anon_sym_GT_GT_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT_EQ] = ACTIONS(1689),
    [anon_sym_CARET_EQ] = ACTIONS(1689),
    [anon_sym_QMARK] = ACTIONS(1689),
    [anon_sym_COLON] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1689),
    [anon_sym_and] = ACTIONS(1689),
    [anon_sym_or] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE] = ACTIONS(1691),
    [anon_sym_AMP_AMP] = ACTIONS(1691),
    [anon_sym_LT_LT] = ACTIONS(1691),
    [anon_sym_GT_GT] = ACTIONS(1691),
    [anon_sym_EQ_EQ] = ACTIONS(1691),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1689),
    [anon_sym_LT_EQ_GT] = ACTIONS(1689),
    [anon_sym_EQ_TILDE] = ACTIONS(1689),
    [anon_sym_BANG_TILDE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PERCENT] = ACTIONS(1691),
    [sym_comment] = ACTIONS(87),
  },
  [7020] = {
    [sym__heredoc_body_start] = ACTIONS(1709),
    [sym__element_reference_left_bracket] = ACTIONS(1709),
    [sym__infix_scope_colons] = ACTIONS(1709),
    [sym__binary_minus] = ACTIONS(1709),
    [sym__binary_star] = ACTIONS(1709),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1711),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_unless] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_until] = ACTIONS(1709),
    [anon_sym_rescue] = ACTIONS(1709),
    [anon_sym_in] = ACTIONS(1709),
    [anon_sym_do] = ACTIONS(1709),
    [anon_sym_RBRACK] = ACTIONS(1709),
    [anon_sym_AMP_DOT] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_COLON] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1711),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(87),
  },
  [7021] = {
    [sym__heredoc_body_start] = ACTIONS(1713),
    [sym__element_reference_left_bracket] = ACTIONS(1713),
    [sym__infix_scope_colons] = ACTIONS(1713),
    [sym__binary_minus] = ACTIONS(1713),
    [sym__binary_star] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_RBRACE] = ACTIONS(1713),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_STAR_STAR] = ACTIONS(1715),
    [anon_sym_AMP] = ACTIONS(1715),
    [anon_sym_EQ] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_unless] = ACTIONS(1713),
    [anon_sym_while] = ACTIONS(1713),
    [anon_sym_until] = ACTIONS(1713),
    [anon_sym_rescue] = ACTIONS(1713),
    [anon_sym_in] = ACTIONS(1713),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_RBRACK] = ACTIONS(1713),
    [anon_sym_AMP_DOT] = ACTIONS(1713),
    [anon_sym_PLUS_EQ] = ACTIONS(1713),
    [anon_sym_DASH_EQ] = ACTIONS(1713),
    [anon_sym_STAR_EQ] = ACTIONS(1713),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1713),
    [anon_sym_SLASH_EQ] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1713),
    [anon_sym_PIPE_EQ] = ACTIONS(1713),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1713),
    [anon_sym_AMP_EQ] = ACTIONS(1713),
    [anon_sym_PERCENT_EQ] = ACTIONS(1713),
    [anon_sym_GT_GT_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT_EQ] = ACTIONS(1713),
    [anon_sym_CARET_EQ] = ACTIONS(1713),
    [anon_sym_QMARK] = ACTIONS(1713),
    [anon_sym_COLON] = ACTIONS(1713),
    [anon_sym_DOT_DOT] = ACTIONS(1715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1713),
    [anon_sym_and] = ACTIONS(1713),
    [anon_sym_or] = ACTIONS(1713),
    [anon_sym_PIPE_PIPE] = ACTIONS(1715),
    [anon_sym_AMP_AMP] = ACTIONS(1715),
    [anon_sym_LT_LT] = ACTIONS(1715),
    [anon_sym_GT_GT] = ACTIONS(1715),
    [anon_sym_EQ_EQ] = ACTIONS(1715),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1713),
    [anon_sym_LT_EQ_GT] = ACTIONS(1713),
    [anon_sym_EQ_TILDE] = ACTIONS(1713),
    [anon_sym_BANG_TILDE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PERCENT] = ACTIONS(1715),
    [sym_comment] = ACTIONS(87),
  },
  [7022] = {
    [sym__heredoc_body_start] = ACTIONS(1717),
    [sym__element_reference_left_bracket] = ACTIONS(1717),
    [sym__infix_scope_colons] = ACTIONS(1717),
    [sym__binary_minus] = ACTIONS(1717),
    [sym__binary_star] = ACTIONS(1717),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_STAR_STAR] = ACTIONS(1719),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_EQ] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_unless] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_until] = ACTIONS(1717),
    [anon_sym_rescue] = ACTIONS(1717),
    [anon_sym_in] = ACTIONS(1717),
    [anon_sym_do] = ACTIONS(1717),
    [anon_sym_RBRACK] = ACTIONS(1717),
    [anon_sym_AMP_DOT] = ACTIONS(1717),
    [anon_sym_PLUS_EQ] = ACTIONS(1717),
    [anon_sym_DASH_EQ] = ACTIONS(1717),
    [anon_sym_STAR_EQ] = ACTIONS(1717),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1717),
    [anon_sym_SLASH_EQ] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1717),
    [anon_sym_PIPE_EQ] = ACTIONS(1717),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1717),
    [anon_sym_AMP_EQ] = ACTIONS(1717),
    [anon_sym_PERCENT_EQ] = ACTIONS(1717),
    [anon_sym_GT_GT_EQ] = ACTIONS(1717),
    [anon_sym_LT_LT_EQ] = ACTIONS(1717),
    [anon_sym_CARET_EQ] = ACTIONS(1717),
    [anon_sym_QMARK] = ACTIONS(1717),
    [anon_sym_COLON] = ACTIONS(1717),
    [anon_sym_DOT_DOT] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(1717),
    [anon_sym_or] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE] = ACTIONS(1719),
    [anon_sym_AMP_AMP] = ACTIONS(1719),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1717),
    [anon_sym_LT_EQ_GT] = ACTIONS(1717),
    [anon_sym_EQ_TILDE] = ACTIONS(1717),
    [anon_sym_BANG_TILDE] = ACTIONS(1717),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1717),
    [anon_sym_CARET] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_PERCENT] = ACTIONS(1719),
    [sym_comment] = ACTIONS(87),
  },
  [7023] = {
    [sym__then] = STATE(9437),
    [sym_heredoc_body] = STATE(1027),
    [sym__terminator] = STATE(1027),
    [sym__line_break] = ACTIONS(1751),
    [sym__heredoc_body_start] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(12288),
    [sym_comment] = ACTIONS(87),
  },
  [7024] = {
    [sym__then] = STATE(9438),
    [sym_heredoc_body] = STATE(1064),
    [sym__terminator] = STATE(1064),
    [sym__line_break] = ACTIONS(1835),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1761),
    [anon_sym_rescue] = ACTIONS(1763),
    [anon_sym_then] = ACTIONS(12290),
    [sym_comment] = ACTIONS(87),
  },
  [7025] = {
    [sym__do] = STATE(9439),
    [sym_heredoc_body] = STATE(9439),
    [sym__terminator] = STATE(9439),
    [sym__line_break] = ACTIONS(12292),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(12292),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(12292),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [7026] = {
    [sym__do] = STATE(9440),
    [sym_heredoc_body] = STATE(9440),
    [sym__terminator] = STATE(9440),
    [sym__line_break] = ACTIONS(12294),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(12294),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(12294),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1889),
    [anon_sym_or] = ACTIONS(1889),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [7027] = {
    [sym_in] = STATE(9441),
    [anon_sym_in] = ACTIONS(1985),
    [sym_comment] = ACTIONS(87),
  },
  [7028] = {
    [sym_heredoc_body] = STATE(9442),
    [sym__terminator] = STATE(9442),
    [sym__line_break] = ACTIONS(12296),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(12296),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [7029] = {
    [sym_when] = STATE(9443),
    [aux_sym_case_repeat1] = STATE(9444),
    [anon_sym_SEMI] = ACTIONS(12298),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [7030] = {
    [sym_else] = STATE(9446),
    [sym_ensure] = STATE(9447),
    [sym_rescue] = STATE(9448),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [7031] = {
    [sym_ensure] = STATE(9447),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [7032] = {
    [anon_sym_end] = ACTIONS(12300),
    [sym_comment] = ACTIONS(87),
  },
  [7033] = {
    [sym_else] = STATE(9446),
    [sym_ensure] = STATE(9447),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [7034] = {
    [sym__heredoc_body_start] = ACTIONS(2205),
    [sym__element_reference_left_bracket] = ACTIONS(2205),
    [sym__infix_scope_colons] = ACTIONS(2205),
    [sym__binary_minus] = ACTIONS(2205),
    [sym__binary_star] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_STAR_STAR] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_EQ] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_unless] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_until] = ACTIONS(2205),
    [anon_sym_rescue] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_RBRACK] = ACTIONS(2205),
    [anon_sym_AMP_DOT] = ACTIONS(2205),
    [anon_sym_PLUS_EQ] = ACTIONS(2205),
    [anon_sym_DASH_EQ] = ACTIONS(2205),
    [anon_sym_STAR_EQ] = ACTIONS(2205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2205),
    [anon_sym_SLASH_EQ] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2205),
    [anon_sym_PIPE_EQ] = ACTIONS(2205),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2205),
    [anon_sym_AMP_EQ] = ACTIONS(2205),
    [anon_sym_PERCENT_EQ] = ACTIONS(2205),
    [anon_sym_GT_GT_EQ] = ACTIONS(2205),
    [anon_sym_LT_LT_EQ] = ACTIONS(2205),
    [anon_sym_CARET_EQ] = ACTIONS(2205),
    [anon_sym_QMARK] = ACTIONS(2205),
    [anon_sym_COLON] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_and] = ACTIONS(2205),
    [anon_sym_or] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_LT_LT] = ACTIONS(2207),
    [anon_sym_GT_GT] = ACTIONS(2207),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_LT_EQ_GT] = ACTIONS(2205),
    [anon_sym_EQ_TILDE] = ACTIONS(2205),
    [anon_sym_BANG_TILDE] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_SLASH] = ACTIONS(2207),
    [anon_sym_PERCENT] = ACTIONS(2207),
    [sym_comment] = ACTIONS(87),
  },
  [7035] = {
    [sym__statements] = STATE(7030),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(7031),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(7032),
    [sym_rescue] = STATE(7033),
    [sym__body_statement] = STATE(9449),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12302),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7036] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [7037] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(9915),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [7038] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(2281),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_in] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [7039] = {
    [sym__heredoc_body_start] = ACTIONS(2291),
    [sym__element_reference_left_bracket] = ACTIONS(2291),
    [sym__infix_scope_colons] = ACTIONS(2291),
    [sym__binary_minus] = ACTIONS(2291),
    [sym__binary_star] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2291),
    [anon_sym_RBRACE] = ACTIONS(2291),
    [anon_sym_RPAREN] = ACTIONS(2291),
    [anon_sym_DOT] = ACTIONS(2293),
    [anon_sym_COMMA] = ACTIONS(2291),
    [anon_sym_PIPE] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2291),
    [anon_sym_STAR_STAR] = ACTIONS(2293),
    [anon_sym_AMP] = ACTIONS(2293),
    [anon_sym_EQ] = ACTIONS(2293),
    [anon_sym_LT] = ACTIONS(2293),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_unless] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_until] = ACTIONS(2291),
    [anon_sym_rescue] = ACTIONS(2291),
    [anon_sym_in] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_RBRACK] = ACTIONS(2291),
    [anon_sym_AMP_DOT] = ACTIONS(2291),
    [anon_sym_PLUS_EQ] = ACTIONS(2291),
    [anon_sym_DASH_EQ] = ACTIONS(2291),
    [anon_sym_STAR_EQ] = ACTIONS(2291),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2291),
    [anon_sym_SLASH_EQ] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2291),
    [anon_sym_PIPE_EQ] = ACTIONS(2291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2291),
    [anon_sym_AMP_EQ] = ACTIONS(2291),
    [anon_sym_PERCENT_EQ] = ACTIONS(2291),
    [anon_sym_GT_GT_EQ] = ACTIONS(2291),
    [anon_sym_LT_LT_EQ] = ACTIONS(2291),
    [anon_sym_CARET_EQ] = ACTIONS(2291),
    [anon_sym_QMARK] = ACTIONS(2291),
    [anon_sym_COLON] = ACTIONS(2291),
    [anon_sym_DOT_DOT] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2291),
    [anon_sym_and] = ACTIONS(2291),
    [anon_sym_or] = ACTIONS(2291),
    [anon_sym_PIPE_PIPE] = ACTIONS(2293),
    [anon_sym_AMP_AMP] = ACTIONS(2293),
    [anon_sym_LT_LT] = ACTIONS(2293),
    [anon_sym_GT_GT] = ACTIONS(2293),
    [anon_sym_EQ_EQ] = ACTIONS(2293),
    [anon_sym_BANG_EQ] = ACTIONS(2291),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2291),
    [anon_sym_LT_EQ_GT] = ACTIONS(2291),
    [anon_sym_EQ_TILDE] = ACTIONS(2291),
    [anon_sym_BANG_TILDE] = ACTIONS(2291),
    [anon_sym_LT_EQ] = ACTIONS(2293),
    [anon_sym_GT] = ACTIONS(2293),
    [anon_sym_GT_EQ] = ACTIONS(2291),
    [anon_sym_CARET] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_SLASH] = ACTIONS(2293),
    [anon_sym_PERCENT] = ACTIONS(2293),
    [sym_comment] = ACTIONS(87),
  },
  [7040] = {
    [sym__heredoc_body_start] = ACTIONS(2375),
    [sym__element_reference_left_bracket] = ACTIONS(2375),
    [sym__infix_scope_colons] = ACTIONS(2375),
    [sym__binary_minus] = ACTIONS(2375),
    [sym__binary_star] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_RBRACE] = ACTIONS(2375),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_COMMA] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2375),
    [anon_sym_STAR_STAR] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(2377),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LT] = ACTIONS(2377),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_unless] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(2375),
    [anon_sym_until] = ACTIONS(2375),
    [anon_sym_rescue] = ACTIONS(2375),
    [anon_sym_in] = ACTIONS(2375),
    [anon_sym_do] = ACTIONS(2375),
    [anon_sym_RBRACK] = ACTIONS(2375),
    [anon_sym_AMP_DOT] = ACTIONS(2375),
    [anon_sym_PLUS_EQ] = ACTIONS(2375),
    [anon_sym_DASH_EQ] = ACTIONS(2375),
    [anon_sym_STAR_EQ] = ACTIONS(2375),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2375),
    [anon_sym_SLASH_EQ] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2375),
    [anon_sym_PIPE_EQ] = ACTIONS(2375),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2375),
    [anon_sym_AMP_EQ] = ACTIONS(2375),
    [anon_sym_PERCENT_EQ] = ACTIONS(2375),
    [anon_sym_GT_GT_EQ] = ACTIONS(2375),
    [anon_sym_LT_LT_EQ] = ACTIONS(2375),
    [anon_sym_CARET_EQ] = ACTIONS(2375),
    [anon_sym_QMARK] = ACTIONS(2375),
    [anon_sym_COLON] = ACTIONS(2375),
    [anon_sym_DOT_DOT] = ACTIONS(2377),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2375),
    [anon_sym_and] = ACTIONS(2375),
    [anon_sym_or] = ACTIONS(2375),
    [anon_sym_PIPE_PIPE] = ACTIONS(2377),
    [anon_sym_AMP_AMP] = ACTIONS(2377),
    [anon_sym_LT_LT] = ACTIONS(2377),
    [anon_sym_GT_GT] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2375),
    [anon_sym_LT_EQ_GT] = ACTIONS(2375),
    [anon_sym_EQ_TILDE] = ACTIONS(2375),
    [anon_sym_BANG_TILDE] = ACTIONS(2375),
    [anon_sym_LT_EQ] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2375),
    [anon_sym_CARET] = ACTIONS(2377),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_SLASH] = ACTIONS(2377),
    [anon_sym_PERCENT] = ACTIONS(2377),
    [sym_comment] = ACTIONS(87),
  },
  [7041] = {
    [sym_heredoc_body] = STATE(9451),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(12304),
    [sym_comment] = ACTIONS(87),
  },
  [7042] = {
    [anon_sym_RBRACK] = ACTIONS(12304),
    [sym_comment] = ACTIONS(87),
  },
  [7043] = {
    [sym_do_block] = STATE(9452),
    [sym_block] = STATE(9452),
    [anon_sym_LBRACE] = ACTIONS(6837),
    [anon_sym_do] = ACTIONS(6839),
    [sym_comment] = ACTIONS(87),
  },
  [7044] = {
    [sym__heredoc_body_start] = ACTIONS(2521),
    [sym__element_reference_left_bracket] = ACTIONS(2521),
    [sym__infix_scope_colons] = ACTIONS(2521),
    [sym__binary_minus] = ACTIONS(2521),
    [sym__binary_star] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_STAR_STAR] = ACTIONS(2523),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_EQ] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_unless] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_until] = ACTIONS(2521),
    [anon_sym_rescue] = ACTIONS(2521),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_RBRACK] = ACTIONS(2521),
    [anon_sym_AMP_DOT] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2521),
    [anon_sym_DASH_EQ] = ACTIONS(2521),
    [anon_sym_STAR_EQ] = ACTIONS(2521),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2521),
    [anon_sym_SLASH_EQ] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2521),
    [anon_sym_PIPE_EQ] = ACTIONS(2521),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2521),
    [anon_sym_AMP_EQ] = ACTIONS(2521),
    [anon_sym_PERCENT_EQ] = ACTIONS(2521),
    [anon_sym_GT_GT_EQ] = ACTIONS(2521),
    [anon_sym_LT_LT_EQ] = ACTIONS(2521),
    [anon_sym_CARET_EQ] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_COLON] = ACTIONS(2521),
    [anon_sym_DOT_DOT] = ACTIONS(2523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2521),
    [anon_sym_and] = ACTIONS(2521),
    [anon_sym_or] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2523),
    [anon_sym_AMP_AMP] = ACTIONS(2523),
    [anon_sym_LT_LT] = ACTIONS(2523),
    [anon_sym_GT_GT] = ACTIONS(2523),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2521),
    [anon_sym_LT_EQ_GT] = ACTIONS(2521),
    [anon_sym_EQ_TILDE] = ACTIONS(2521),
    [anon_sym_BANG_TILDE] = ACTIONS(2521),
    [anon_sym_LT_EQ] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_GT_EQ] = ACTIONS(2521),
    [anon_sym_CARET] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_SLASH] = ACTIONS(2523),
    [anon_sym_PERCENT] = ACTIONS(2523),
    [sym_comment] = ACTIONS(87),
  },
  [7045] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9453),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9453),
    [sym_operator_assignment] = STATE(9453),
    [sym_conditional] = STATE(9453),
    [sym_range] = STATE(9453),
    [sym_binary] = STATE(9453),
    [sym_unary] = STATE(9453),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7046] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9454),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9454),
    [sym_operator_assignment] = STATE(9454),
    [sym_conditional] = STATE(9454),
    [sym_range] = STATE(9454),
    [sym_binary] = STATE(9454),
    [sym_unary] = STATE(9454),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7047] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9455),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9455),
    [sym_operator_assignment] = STATE(9455),
    [sym_conditional] = STATE(9455),
    [sym_range] = STATE(9455),
    [sym_binary] = STATE(9455),
    [sym_unary] = STATE(9455),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7048] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9456),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9456),
    [sym_operator_assignment] = STATE(9456),
    [sym_conditional] = STATE(9456),
    [sym_range] = STATE(9456),
    [sym_binary] = STATE(9456),
    [sym_unary] = STATE(9456),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7049] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9457),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9457),
    [sym_operator_assignment] = STATE(9457),
    [sym_conditional] = STATE(9457),
    [sym_range] = STATE(9457),
    [sym_binary] = STATE(9457),
    [sym_unary] = STATE(9457),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7050] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9458),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9458),
    [sym_operator_assignment] = STATE(9458),
    [sym_conditional] = STATE(9458),
    [sym_range] = STATE(9458),
    [sym_binary] = STATE(9458),
    [sym_unary] = STATE(9458),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7051] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9459),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9459),
    [sym_operator_assignment] = STATE(9459),
    [sym_conditional] = STATE(9459),
    [sym_range] = STATE(9459),
    [sym_binary] = STATE(9459),
    [sym_unary] = STATE(9459),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7052] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9460),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9460),
    [sym_operator_assignment] = STATE(9460),
    [sym_conditional] = STATE(9460),
    [sym_range] = STATE(9460),
    [sym_binary] = STATE(9460),
    [sym_unary] = STATE(9460),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7053] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9461),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9461),
    [sym_operator_assignment] = STATE(9461),
    [sym_conditional] = STATE(9461),
    [sym_range] = STATE(9461),
    [sym_binary] = STATE(9461),
    [sym_unary] = STATE(9461),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7054] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9462),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9462),
    [sym_operator_assignment] = STATE(9462),
    [sym_conditional] = STATE(9462),
    [sym_range] = STATE(9462),
    [sym_binary] = STATE(9462),
    [sym_unary] = STATE(9462),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7055] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9463),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9463),
    [sym_operator_assignment] = STATE(9463),
    [sym_conditional] = STATE(9463),
    [sym_range] = STATE(9463),
    [sym_binary] = STATE(9463),
    [sym_unary] = STATE(9463),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7056] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9464),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9464),
    [sym_operator_assignment] = STATE(9464),
    [sym_conditional] = STATE(9464),
    [sym_range] = STATE(9464),
    [sym_binary] = STATE(9464),
    [sym_unary] = STATE(9464),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7057] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9465),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_splat_argument] = STATE(9467),
    [sym_assignment] = STATE(9465),
    [sym_operator_assignment] = STATE(9465),
    [sym_conditional] = STATE(9465),
    [sym_range] = STATE(9465),
    [sym_binary] = STATE(9465),
    [sym_unary] = STATE(9465),
    [sym_right_assignment_list] = STATE(9466),
    [sym__arg_or_splat_arg] = STATE(9467),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(2889),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7058] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9468),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(9468),
    [sym_operator_assignment] = STATE(9468),
    [sym_conditional] = STATE(9468),
    [sym_range] = STATE(9468),
    [sym_binary] = STATE(9468),
    [sym_unary] = STATE(9468),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7059] = {
    [sym_string] = STATE(9469),
    [aux_sym_chained_string_repeat1] = STATE(9469),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [7060] = {
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RBRACE] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR_STAR] = ACTIONS(7760),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_if] = ACTIONS(7758),
    [anon_sym_unless] = ACTIONS(7758),
    [anon_sym_while] = ACTIONS(7758),
    [anon_sym_until] = ACTIONS(7758),
    [anon_sym_rescue] = ACTIONS(7758),
    [anon_sym_in] = ACTIONS(7758),
    [anon_sym_do] = ACTIONS(7758),
    [anon_sym_RBRACK] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS_EQ] = ACTIONS(7758),
    [anon_sym_DASH_EQ] = ACTIONS(7758),
    [anon_sym_STAR_EQ] = ACTIONS(7758),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7758),
    [anon_sym_SLASH_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7758),
    [anon_sym_AMP_EQ] = ACTIONS(7758),
    [anon_sym_PERCENT_EQ] = ACTIONS(7758),
    [anon_sym_GT_GT_EQ] = ACTIONS(7758),
    [anon_sym_LT_LT_EQ] = ACTIONS(7758),
    [anon_sym_CARET_EQ] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7758),
    [anon_sym_COLON] = ACTIONS(7758),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7758),
    [anon_sym_or] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE] = ACTIONS(7760),
    [anon_sym_AMP_AMP] = ACTIONS(7760),
    [anon_sym_LT_LT] = ACTIONS(7760),
    [anon_sym_GT_GT] = ACTIONS(7760),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7760),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_SLASH] = ACTIONS(7760),
    [anon_sym_PERCENT] = ACTIONS(7760),
    [sym_comment] = ACTIONS(87),
  },
  [7061] = {
    [anon_sym_RPAREN] = ACTIONS(12306),
    [sym_comment] = ACTIONS(87),
  },
  [7062] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(9915),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [7063] = {
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [sym__binary_minus] = ACTIONS(9362),
    [sym__binary_star] = ACTIONS(9362),
    [anon_sym_LBRACE] = ACTIONS(9362),
    [anon_sym_RBRACE] = ACTIONS(9362),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9364),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_PIPE] = ACTIONS(9364),
    [anon_sym_SEMI] = ACTIONS(9362),
    [anon_sym_STAR_STAR] = ACTIONS(9364),
    [anon_sym_AMP] = ACTIONS(9364),
    [anon_sym_EQ] = ACTIONS(9364),
    [anon_sym_LT] = ACTIONS(9364),
    [anon_sym_if] = ACTIONS(9362),
    [anon_sym_unless] = ACTIONS(9362),
    [anon_sym_while] = ACTIONS(9362),
    [anon_sym_until] = ACTIONS(9362),
    [anon_sym_rescue] = ACTIONS(9362),
    [anon_sym_do] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [anon_sym_PLUS_EQ] = ACTIONS(9362),
    [anon_sym_DASH_EQ] = ACTIONS(9362),
    [anon_sym_STAR_EQ] = ACTIONS(9362),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9362),
    [anon_sym_SLASH_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9362),
    [anon_sym_AMP_EQ] = ACTIONS(9362),
    [anon_sym_PERCENT_EQ] = ACTIONS(9362),
    [anon_sym_GT_GT_EQ] = ACTIONS(9362),
    [anon_sym_LT_LT_EQ] = ACTIONS(9362),
    [anon_sym_CARET_EQ] = ACTIONS(9362),
    [anon_sym_QMARK] = ACTIONS(9362),
    [anon_sym_COLON] = ACTIONS(9362),
    [anon_sym_DOT_DOT] = ACTIONS(9364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9362),
    [anon_sym_and] = ACTIONS(9362),
    [anon_sym_or] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE] = ACTIONS(9364),
    [anon_sym_AMP_AMP] = ACTIONS(9364),
    [anon_sym_LT_LT] = ACTIONS(9364),
    [anon_sym_GT_GT] = ACTIONS(9364),
    [anon_sym_EQ_EQ] = ACTIONS(9364),
    [anon_sym_BANG_EQ] = ACTIONS(9362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9362),
    [anon_sym_LT_EQ_GT] = ACTIONS(9362),
    [anon_sym_EQ_TILDE] = ACTIONS(9362),
    [anon_sym_BANG_TILDE] = ACTIONS(9362),
    [anon_sym_LT_EQ] = ACTIONS(9364),
    [anon_sym_GT] = ACTIONS(9364),
    [anon_sym_GT_EQ] = ACTIONS(9362),
    [anon_sym_CARET] = ACTIONS(9364),
    [anon_sym_PLUS] = ACTIONS(9364),
    [anon_sym_SLASH] = ACTIONS(9364),
    [anon_sym_PERCENT] = ACTIONS(9364),
    [sym_comment] = ACTIONS(87),
  },
  [7064] = {
    [anon_sym_RBRACE] = ACTIONS(12308),
    [sym_comment] = ACTIONS(87),
  },
  [7065] = {
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [sym__binary_minus] = ACTIONS(9390),
    [sym__binary_star] = ACTIONS(9390),
    [anon_sym_LBRACE] = ACTIONS(9390),
    [anon_sym_RBRACE] = ACTIONS(9390),
    [anon_sym_RPAREN] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9392),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_PIPE] = ACTIONS(9392),
    [anon_sym_SEMI] = ACTIONS(9390),
    [anon_sym_STAR_STAR] = ACTIONS(9392),
    [anon_sym_AMP] = ACTIONS(9392),
    [anon_sym_EQ] = ACTIONS(9392),
    [anon_sym_LT] = ACTIONS(9392),
    [anon_sym_if] = ACTIONS(9390),
    [anon_sym_unless] = ACTIONS(9390),
    [anon_sym_while] = ACTIONS(9390),
    [anon_sym_until] = ACTIONS(9390),
    [anon_sym_rescue] = ACTIONS(9390),
    [anon_sym_do] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [anon_sym_PLUS_EQ] = ACTIONS(9390),
    [anon_sym_DASH_EQ] = ACTIONS(9390),
    [anon_sym_STAR_EQ] = ACTIONS(9390),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9390),
    [anon_sym_SLASH_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9390),
    [anon_sym_AMP_EQ] = ACTIONS(9390),
    [anon_sym_PERCENT_EQ] = ACTIONS(9390),
    [anon_sym_GT_GT_EQ] = ACTIONS(9390),
    [anon_sym_LT_LT_EQ] = ACTIONS(9390),
    [anon_sym_CARET_EQ] = ACTIONS(9390),
    [anon_sym_QMARK] = ACTIONS(9390),
    [anon_sym_COLON] = ACTIONS(9390),
    [anon_sym_DOT_DOT] = ACTIONS(9392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9390),
    [anon_sym_and] = ACTIONS(9390),
    [anon_sym_or] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE] = ACTIONS(9392),
    [anon_sym_AMP_AMP] = ACTIONS(9392),
    [anon_sym_LT_LT] = ACTIONS(9392),
    [anon_sym_GT_GT] = ACTIONS(9392),
    [anon_sym_EQ_EQ] = ACTIONS(9392),
    [anon_sym_BANG_EQ] = ACTIONS(9390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9390),
    [anon_sym_LT_EQ_GT] = ACTIONS(9390),
    [anon_sym_EQ_TILDE] = ACTIONS(9390),
    [anon_sym_BANG_TILDE] = ACTIONS(9390),
    [anon_sym_LT_EQ] = ACTIONS(9392),
    [anon_sym_GT] = ACTIONS(9392),
    [anon_sym_GT_EQ] = ACTIONS(9390),
    [anon_sym_CARET] = ACTIONS(9392),
    [anon_sym_PLUS] = ACTIONS(9392),
    [anon_sym_SLASH] = ACTIONS(9392),
    [anon_sym_PERCENT] = ACTIONS(9392),
    [sym_comment] = ACTIONS(87),
  },
  [7066] = {
    [anon_sym_end] = ACTIONS(12310),
    [sym_comment] = ACTIONS(87),
  },
  [7067] = {
    [sym__statements] = STATE(9473),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12312),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7068] = {
    [sym__statements] = STATE(9473),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(9474),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(9474),
    [sym__line_break] = ACTIONS(12314),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12312),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7069] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [7070] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [7071] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [7072] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [7073] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [7074] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [7075] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(9915),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [7076] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12316),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7077] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [7078] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [7079] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [7080] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [7081] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [7082] = {
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [7083] = {
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym__element_reference_left_bracket] = ACTIONS(3138),
    [sym__infix_scope_colons] = ACTIONS(3138),
    [sym__binary_minus] = ACTIONS(3138),
    [sym__binary_star] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_STAR_STAR] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_unless] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_until] = ACTIONS(3138),
    [anon_sym_rescue] = ACTIONS(3138),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_RBRACK] = ACTIONS(3138),
    [anon_sym_AMP_DOT] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_COLON] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4930),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(87),
  },
  [7084] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(12318),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [7085] = {
    [sym_heredoc_body] = STATE(7085),
    [aux_sym_call_repeat1] = STATE(7085),
    [sym__heredoc_body_start] = ACTIONS(12320),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [7086] = {
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(7811),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_in] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_RBRACK] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_COLON] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [7087] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1757),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym__argument] = STATE(9477),
    [sym_splat_argument] = STATE(9477),
    [sym_hash_splat_argument] = STATE(9477),
    [sym_block_argument] = STATE(9477),
    [sym_assignment] = STATE(1757),
    [sym_operator_assignment] = STATE(1757),
    [sym_conditional] = STATE(1757),
    [sym_range] = STATE(1757),
    [sym_binary] = STATE(1757),
    [sym_unary] = STATE(1757),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1765),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(9477),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(2887),
    [sym__splat_star] = ACTIONS(2889),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__identifier_hash_key] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(9953),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7088] = {
    [sym_heredoc_body] = STATE(7085),
    [aux_sym_call_repeat1] = STATE(7085),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [7089] = {
    [aux_sym_argument_list_repeat1] = STATE(7089),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12323),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [7090] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [7091] = {
    [aux_sym_exceptions_repeat1] = STATE(9479),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [7092] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [7093] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(9915),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [7094] = {
    [sym_string] = STATE(7094),
    [aux_sym_chained_string_repeat1] = STATE(7094),
    [sym__string_start] = ACTIONS(10368),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [7095] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(9959),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(9963),
    [anon_sym_LT] = ACTIONS(9965),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(9967),
    [anon_sym_DOT_DOT] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(9973),
    [anon_sym_AMP_AMP] = ACTIONS(9973),
    [anon_sym_LT_LT] = ACTIONS(9975),
    [anon_sym_GT_GT] = ACTIONS(9975),
    [anon_sym_EQ_EQ] = ACTIONS(9977),
    [anon_sym_BANG_EQ] = ACTIONS(9973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9973),
    [anon_sym_LT_EQ_GT] = ACTIONS(9973),
    [anon_sym_EQ_TILDE] = ACTIONS(9973),
    [anon_sym_BANG_TILDE] = ACTIONS(9973),
    [anon_sym_LT_EQ] = ACTIONS(9965),
    [anon_sym_GT] = ACTIONS(9965),
    [anon_sym_GT_EQ] = ACTIONS(9979),
    [anon_sym_CARET] = ACTIONS(9981),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [7096] = {
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [7097] = {
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [7098] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(9959),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(9963),
    [anon_sym_LT] = ACTIONS(9965),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(9967),
    [anon_sym_DOT_DOT] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(9973),
    [anon_sym_AMP_AMP] = ACTIONS(9973),
    [anon_sym_LT_LT] = ACTIONS(9975),
    [anon_sym_GT_GT] = ACTIONS(9975),
    [anon_sym_EQ_EQ] = ACTIONS(9977),
    [anon_sym_BANG_EQ] = ACTIONS(9973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9973),
    [anon_sym_LT_EQ_GT] = ACTIONS(9973),
    [anon_sym_EQ_TILDE] = ACTIONS(9973),
    [anon_sym_BANG_TILDE] = ACTIONS(9973),
    [anon_sym_LT_EQ] = ACTIONS(9965),
    [anon_sym_GT] = ACTIONS(9965),
    [anon_sym_GT_EQ] = ACTIONS(9979),
    [anon_sym_CARET] = ACTIONS(9981),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [7099] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9480),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9480),
    [sym_operator_assignment] = STATE(9480),
    [sym_conditional] = STATE(9480),
    [sym_range] = STATE(9480),
    [sym_binary] = STATE(9480),
    [sym_unary] = STATE(9480),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7100] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9481),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9481),
    [sym_operator_assignment] = STATE(9481),
    [sym_conditional] = STATE(9481),
    [sym_range] = STATE(9481),
    [sym_binary] = STATE(9481),
    [sym_unary] = STATE(9481),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7101] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9482),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9482),
    [sym_operator_assignment] = STATE(9482),
    [sym_conditional] = STATE(9482),
    [sym_range] = STATE(9482),
    [sym_binary] = STATE(9482),
    [sym_unary] = STATE(9482),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7102] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9483),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9483),
    [sym_operator_assignment] = STATE(9483),
    [sym_conditional] = STATE(9483),
    [sym_range] = STATE(9483),
    [sym_binary] = STATE(9483),
    [sym_unary] = STATE(9483),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7103] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9484),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9484),
    [sym_operator_assignment] = STATE(9484),
    [sym_conditional] = STATE(9484),
    [sym_range] = STATE(9484),
    [sym_binary] = STATE(9484),
    [sym_unary] = STATE(9484),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7104] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9485),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9485),
    [sym_operator_assignment] = STATE(9485),
    [sym_conditional] = STATE(9485),
    [sym_range] = STATE(9485),
    [sym_binary] = STATE(9485),
    [sym_unary] = STATE(9485),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7105] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9486),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9486),
    [sym_operator_assignment] = STATE(9486),
    [sym_conditional] = STATE(9486),
    [sym_range] = STATE(9486),
    [sym_binary] = STATE(9486),
    [sym_unary] = STATE(9486),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7106] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9487),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9487),
    [sym_operator_assignment] = STATE(9487),
    [sym_conditional] = STATE(9487),
    [sym_range] = STATE(9487),
    [sym_binary] = STATE(9487),
    [sym_unary] = STATE(9487),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7107] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9488),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9488),
    [sym_operator_assignment] = STATE(9488),
    [sym_conditional] = STATE(9488),
    [sym_range] = STATE(9488),
    [sym_binary] = STATE(9488),
    [sym_unary] = STATE(9488),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7108] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9489),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9489),
    [sym_operator_assignment] = STATE(9489),
    [sym_conditional] = STATE(9489),
    [sym_range] = STATE(9489),
    [sym_binary] = STATE(9489),
    [sym_unary] = STATE(9489),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7109] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9490),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9490),
    [sym_operator_assignment] = STATE(9490),
    [sym_conditional] = STATE(9490),
    [sym_range] = STATE(9490),
    [sym_binary] = STATE(9490),
    [sym_unary] = STATE(9490),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7110] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9491),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9491),
    [sym_operator_assignment] = STATE(9491),
    [sym_conditional] = STATE(9491),
    [sym_range] = STATE(9491),
    [sym_binary] = STATE(9491),
    [sym_unary] = STATE(9491),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7111] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4196),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_splat_argument] = STATE(7443),
    [sym_assignment] = STATE(4196),
    [sym_operator_assignment] = STATE(4196),
    [sym_conditional] = STATE(4196),
    [sym_range] = STATE(4196),
    [sym_binary] = STATE(4196),
    [sym_unary] = STATE(4196),
    [sym__arg_or_splat_arg] = STATE(7443),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(6433),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7112] = {
    [aux_sym_exceptions_repeat1] = STATE(9492),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(9985),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [7113] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4196),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_splat_argument] = STATE(9493),
    [sym_assignment] = STATE(4196),
    [sym_operator_assignment] = STATE(4196),
    [sym_conditional] = STATE(4196),
    [sym_range] = STATE(4196),
    [sym_binary] = STATE(4196),
    [sym_unary] = STATE(4196),
    [sym_right_assignment_list] = STATE(2138),
    [sym__arg_or_splat_arg] = STATE(9493),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(6433),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7114] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9494),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(9494),
    [sym_operator_assignment] = STATE(9494),
    [sym_conditional] = STATE(9494),
    [sym_range] = STATE(9494),
    [sym_binary] = STATE(9494),
    [sym_unary] = STATE(9494),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7115] = {
    [sym_string] = STATE(9495),
    [aux_sym_chained_string_repeat1] = STATE(9495),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [7116] = {
    [sym__line_break] = ACTIONS(12326),
    [sym__heredoc_body_start] = ACTIONS(12326),
    [sym__element_reference_left_bracket] = ACTIONS(12326),
    [sym__infix_scope_colons] = ACTIONS(12326),
    [sym__binary_minus] = ACTIONS(12326),
    [sym__binary_star] = ACTIONS(12326),
    [ts_builtin_sym_end] = ACTIONS(12326),
    [anon_sym___END__] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_RBRACE] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_PIPE] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_STAR_STAR] = ACTIONS(12326),
    [anon_sym_AMP] = ACTIONS(12328),
    [anon_sym_LT] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_unless] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [anon_sym_until] = ACTIONS(12326),
    [anon_sym_rescue] = ACTIONS(12326),
    [anon_sym_do] = ACTIONS(12326),
    [anon_sym_when] = ACTIONS(12326),
    [anon_sym_elsif] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_then] = ACTIONS(12326),
    [anon_sym_ensure] = ACTIONS(12326),
    [anon_sym_EQ_GT] = ACTIONS(12326),
    [anon_sym_AMP_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DOT_DOT] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_and] = ACTIONS(12326),
    [anon_sym_or] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE] = ACTIONS(12326),
    [anon_sym_AMP_AMP] = ACTIONS(12326),
    [anon_sym_LT_LT] = ACTIONS(12326),
    [anon_sym_GT_GT] = ACTIONS(12326),
    [anon_sym_EQ_EQ] = ACTIONS(12328),
    [anon_sym_BANG_EQ] = ACTIONS(12326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12326),
    [anon_sym_LT_EQ_GT] = ACTIONS(12326),
    [anon_sym_EQ_TILDE] = ACTIONS(12326),
    [anon_sym_BANG_TILDE] = ACTIONS(12326),
    [anon_sym_LT_EQ] = ACTIONS(12328),
    [anon_sym_GT] = ACTIONS(12328),
    [anon_sym_GT_EQ] = ACTIONS(12326),
    [anon_sym_CARET] = ACTIONS(12326),
    [anon_sym_PLUS] = ACTIONS(12326),
    [anon_sym_SLASH] = ACTIONS(12326),
    [anon_sym_PERCENT] = ACTIONS(12326),
    [sym_comment] = ACTIONS(87),
  },
  [7117] = {
    [sym__line_break] = ACTIONS(12330),
    [sym__heredoc_body_start] = ACTIONS(12330),
    [sym__element_reference_left_bracket] = ACTIONS(12330),
    [sym__infix_scope_colons] = ACTIONS(12330),
    [sym__binary_minus] = ACTIONS(12330),
    [sym__binary_star] = ACTIONS(12330),
    [ts_builtin_sym_end] = ACTIONS(12330),
    [anon_sym___END__] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12330),
    [anon_sym_RBRACE] = ACTIONS(12330),
    [anon_sym_RPAREN] = ACTIONS(12330),
    [anon_sym_DOT] = ACTIONS(12332),
    [anon_sym_COMMA] = ACTIONS(12330),
    [anon_sym_PIPE] = ACTIONS(12332),
    [anon_sym_SEMI] = ACTIONS(12330),
    [anon_sym_STAR_STAR] = ACTIONS(12330),
    [anon_sym_AMP] = ACTIONS(12332),
    [anon_sym_LT] = ACTIONS(12332),
    [anon_sym_end] = ACTIONS(12330),
    [anon_sym_if] = ACTIONS(12330),
    [anon_sym_unless] = ACTIONS(12330),
    [anon_sym_while] = ACTIONS(12330),
    [anon_sym_until] = ACTIONS(12330),
    [anon_sym_rescue] = ACTIONS(12330),
    [anon_sym_do] = ACTIONS(12330),
    [anon_sym_when] = ACTIONS(12330),
    [anon_sym_elsif] = ACTIONS(12330),
    [anon_sym_else] = ACTIONS(12330),
    [anon_sym_then] = ACTIONS(12330),
    [anon_sym_ensure] = ACTIONS(12330),
    [anon_sym_EQ_GT] = ACTIONS(12330),
    [anon_sym_AMP_DOT] = ACTIONS(12330),
    [anon_sym_QMARK] = ACTIONS(12330),
    [anon_sym_DOT_DOT] = ACTIONS(12332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12330),
    [anon_sym_and] = ACTIONS(12330),
    [anon_sym_or] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE] = ACTIONS(12330),
    [anon_sym_AMP_AMP] = ACTIONS(12330),
    [anon_sym_LT_LT] = ACTIONS(12330),
    [anon_sym_GT_GT] = ACTIONS(12330),
    [anon_sym_EQ_EQ] = ACTIONS(12332),
    [anon_sym_BANG_EQ] = ACTIONS(12330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12330),
    [anon_sym_LT_EQ_GT] = ACTIONS(12330),
    [anon_sym_EQ_TILDE] = ACTIONS(12330),
    [anon_sym_BANG_TILDE] = ACTIONS(12330),
    [anon_sym_LT_EQ] = ACTIONS(12332),
    [anon_sym_GT] = ACTIONS(12332),
    [anon_sym_GT_EQ] = ACTIONS(12330),
    [anon_sym_CARET] = ACTIONS(12330),
    [anon_sym_PLUS] = ACTIONS(12330),
    [anon_sym_SLASH] = ACTIONS(12330),
    [anon_sym_PERCENT] = ACTIONS(12330),
    [sym_comment] = ACTIONS(87),
  },
  [7118] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [7119] = {
    [sym_heredoc_body] = STATE(9496),
    [aux_sym_call_repeat1] = STATE(9496),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [7120] = {
    [sym_heredoc_body] = STATE(9496),
    [aux_sym_call_repeat1] = STATE(9496),
    [aux_sym_argument_list_repeat1] = STATE(9497),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(6557),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [7121] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [7122] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(10025),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [7123] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9498),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9498),
    [sym_operator_assignment] = STATE(9498),
    [sym_conditional] = STATE(9498),
    [sym_range] = STATE(9498),
    [sym_binary] = STATE(9498),
    [sym_unary] = STATE(9498),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7124] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9499),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9499),
    [sym_operator_assignment] = STATE(9499),
    [sym_conditional] = STATE(9499),
    [sym_range] = STATE(9499),
    [sym_binary] = STATE(9499),
    [sym_unary] = STATE(9499),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7125] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9500),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9500),
    [sym_operator_assignment] = STATE(9500),
    [sym_conditional] = STATE(9500),
    [sym_range] = STATE(9500),
    [sym_binary] = STATE(9500),
    [sym_unary] = STATE(9500),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7126] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9501),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9501),
    [sym_operator_assignment] = STATE(9501),
    [sym_conditional] = STATE(9501),
    [sym_range] = STATE(9501),
    [sym_binary] = STATE(9501),
    [sym_unary] = STATE(9501),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7127] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9502),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9502),
    [sym_operator_assignment] = STATE(9502),
    [sym_conditional] = STATE(9502),
    [sym_range] = STATE(9502),
    [sym_binary] = STATE(9502),
    [sym_unary] = STATE(9502),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7128] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9503),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9503),
    [sym_operator_assignment] = STATE(9503),
    [sym_conditional] = STATE(9503),
    [sym_range] = STATE(9503),
    [sym_binary] = STATE(9503),
    [sym_unary] = STATE(9503),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7129] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9504),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9504),
    [sym_operator_assignment] = STATE(9504),
    [sym_conditional] = STATE(9504),
    [sym_range] = STATE(9504),
    [sym_binary] = STATE(9504),
    [sym_unary] = STATE(9504),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7130] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9505),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9505),
    [sym_operator_assignment] = STATE(9505),
    [sym_conditional] = STATE(9505),
    [sym_range] = STATE(9505),
    [sym_binary] = STATE(9505),
    [sym_unary] = STATE(9505),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7131] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9506),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9506),
    [sym_operator_assignment] = STATE(9506),
    [sym_conditional] = STATE(9506),
    [sym_range] = STATE(9506),
    [sym_binary] = STATE(9506),
    [sym_unary] = STATE(9506),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7132] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9507),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9507),
    [sym_operator_assignment] = STATE(9507),
    [sym_conditional] = STATE(9507),
    [sym_range] = STATE(9507),
    [sym_binary] = STATE(9507),
    [sym_unary] = STATE(9507),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7133] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9508),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9508),
    [sym_operator_assignment] = STATE(9508),
    [sym_conditional] = STATE(9508),
    [sym_range] = STATE(9508),
    [sym_binary] = STATE(9508),
    [sym_unary] = STATE(9508),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7134] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9509),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9509),
    [sym_operator_assignment] = STATE(9509),
    [sym_conditional] = STATE(9509),
    [sym_range] = STATE(9509),
    [sym_binary] = STATE(9509),
    [sym_unary] = STATE(9509),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7135] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9510),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_splat_argument] = STATE(9511),
    [sym_assignment] = STATE(9510),
    [sym_operator_assignment] = STATE(9510),
    [sym_conditional] = STATE(9510),
    [sym_range] = STATE(9510),
    [sym_binary] = STATE(9510),
    [sym_unary] = STATE(9510),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(9511),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(3008),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7136] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(9512),
    [sym_operator_assignment] = STATE(9512),
    [sym_conditional] = STATE(9512),
    [sym_range] = STATE(9512),
    [sym_binary] = STATE(9512),
    [sym_unary] = STATE(9512),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7137] = {
    [sym_string] = STATE(9513),
    [aux_sym_chained_string_repeat1] = STATE(9513),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [7138] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(10025),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [7139] = {
    [sym_heredoc_body] = STATE(9514),
    [aux_sym_call_repeat1] = STATE(9514),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7140] = {
    [sym_heredoc_body] = STATE(9515),
    [aux_sym_call_repeat1] = STATE(9515),
    [aux_sym_argument_list_repeat1] = STATE(9319),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9722),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7141] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [7142] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7143] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [7144] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7145] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [7146] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [7147] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(10025),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [7148] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12334),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7149] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [7150] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [7151] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [7152] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [7153] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [7154] = {
    [sym_heredoc_body] = STATE(7154),
    [aux_sym_call_repeat1] = STATE(7154),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [7155] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(1800),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(1800),
    [sym_operator_assignment] = STATE(1800),
    [sym_conditional] = STATE(1800),
    [sym_range] = STATE(1800),
    [sym_binary] = STATE(1800),
    [sym_unary] = STATE(1800),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1805),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(3006),
    [sym__splat_star] = ACTIONS(3008),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__identifier_hash_key] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10049),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3030),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7156] = {
    [sym_heredoc_body] = STATE(7154),
    [aux_sym_call_repeat1] = STATE(7154),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [7157] = {
    [aux_sym_argument_list_repeat1] = STATE(7157),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12336),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [7158] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [7159] = {
    [aux_sym_exceptions_repeat1] = STATE(9518),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7160] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [7161] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(10025),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [7162] = {
    [sym_string] = STATE(7162),
    [aux_sym_chained_string_repeat1] = STATE(7162),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [7163] = {
    [aux_sym_undef_repeat1] = STATE(7163),
    [sym__line_break] = ACTIONS(9196),
    [sym__heredoc_body_start] = ACTIONS(9196),
    [anon_sym_RBRACE] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9198),
    [anon_sym_SEMI] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [7164] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7165] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9519),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(9519),
    [sym_operator_assignment] = STATE(9519),
    [sym_conditional] = STATE(9519),
    [sym_range] = STATE(9519),
    [sym_binary] = STATE(9519),
    [sym_unary] = STATE(9519),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7166] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [7167] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [7168] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(10068),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [7169] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9520),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9520),
    [sym_operator_assignment] = STATE(9520),
    [sym_conditional] = STATE(9520),
    [sym_range] = STATE(9520),
    [sym_binary] = STATE(9520),
    [sym_unary] = STATE(9520),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7170] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9521),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9521),
    [sym_operator_assignment] = STATE(9521),
    [sym_conditional] = STATE(9521),
    [sym_range] = STATE(9521),
    [sym_binary] = STATE(9521),
    [sym_unary] = STATE(9521),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7171] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9522),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9522),
    [sym_operator_assignment] = STATE(9522),
    [sym_conditional] = STATE(9522),
    [sym_range] = STATE(9522),
    [sym_binary] = STATE(9522),
    [sym_unary] = STATE(9522),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7172] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9523),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9523),
    [sym_operator_assignment] = STATE(9523),
    [sym_conditional] = STATE(9523),
    [sym_range] = STATE(9523),
    [sym_binary] = STATE(9523),
    [sym_unary] = STATE(9523),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7173] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9524),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9524),
    [sym_operator_assignment] = STATE(9524),
    [sym_conditional] = STATE(9524),
    [sym_range] = STATE(9524),
    [sym_binary] = STATE(9524),
    [sym_unary] = STATE(9524),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7174] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9525),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9525),
    [sym_operator_assignment] = STATE(9525),
    [sym_conditional] = STATE(9525),
    [sym_range] = STATE(9525),
    [sym_binary] = STATE(9525),
    [sym_unary] = STATE(9525),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7175] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9526),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9526),
    [sym_operator_assignment] = STATE(9526),
    [sym_conditional] = STATE(9526),
    [sym_range] = STATE(9526),
    [sym_binary] = STATE(9526),
    [sym_unary] = STATE(9526),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7176] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9527),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9527),
    [sym_operator_assignment] = STATE(9527),
    [sym_conditional] = STATE(9527),
    [sym_range] = STATE(9527),
    [sym_binary] = STATE(9527),
    [sym_unary] = STATE(9527),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7177] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9528),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9528),
    [sym_operator_assignment] = STATE(9528),
    [sym_conditional] = STATE(9528),
    [sym_range] = STATE(9528),
    [sym_binary] = STATE(9528),
    [sym_unary] = STATE(9528),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7178] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9529),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9529),
    [sym_operator_assignment] = STATE(9529),
    [sym_conditional] = STATE(9529),
    [sym_range] = STATE(9529),
    [sym_binary] = STATE(9529),
    [sym_unary] = STATE(9529),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7179] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9530),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9530),
    [sym_operator_assignment] = STATE(9530),
    [sym_conditional] = STATE(9530),
    [sym_range] = STATE(9530),
    [sym_binary] = STATE(9530),
    [sym_unary] = STATE(9530),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7180] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9531),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9531),
    [sym_operator_assignment] = STATE(9531),
    [sym_conditional] = STATE(9531),
    [sym_range] = STATE(9531),
    [sym_binary] = STATE(9531),
    [sym_unary] = STATE(9531),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7181] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9532),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_splat_argument] = STATE(9533),
    [sym_assignment] = STATE(9532),
    [sym_operator_assignment] = STATE(9532),
    [sym_conditional] = STATE(9532),
    [sym_range] = STATE(9532),
    [sym_binary] = STATE(9532),
    [sym_unary] = STATE(9532),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(9533),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(3080),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7182] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9534),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(9534),
    [sym_operator_assignment] = STATE(9534),
    [sym_conditional] = STATE(9534),
    [sym_range] = STATE(9534),
    [sym_binary] = STATE(9534),
    [sym_unary] = STATE(9534),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [7183] = {
    [sym_string] = STATE(9535),
    [aux_sym_chained_string_repeat1] = STATE(9535),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [7184] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(10068),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [7185] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [7186] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [7187] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [7188] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [7189] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [7190] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [7191] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(10068),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [7192] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12339),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7193] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [7194] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [7195] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [7196] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [7197] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [7198] = {
    [sym_heredoc_body] = STATE(7198),
    [aux_sym_call_repeat1] = STATE(7198),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [7199] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1842),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(1842),
    [sym_operator_assignment] = STATE(1842),
    [sym_conditional] = STATE(1842),
    [sym_range] = STATE(1842),
    [sym_binary] = STATE(1842),
    [sym_unary] = STATE(1842),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(1848),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(3078),
    [sym__splat_star] = ACTIONS(3080),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__identifier_hash_key] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10090),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(3102),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [7200] = {
    [sym_heredoc_body] = STATE(7198),
    [aux_sym_call_repeat1] = STATE(7198),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [7201] = {
    [aux_sym_argument_list_repeat1] = STATE(7201),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12341),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [7202] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [7203] = {
    [aux_sym_exceptions_repeat1] = STATE(9538),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [7204] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [7205] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(10068),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [7206] = {
    [sym_string] = STATE(7206),
    [aux_sym_chained_string_repeat1] = STATE(7206),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [7207] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10096),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(10100),
    [anon_sym_LT] = ACTIONS(10102),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(10104),
    [anon_sym_DOT_DOT] = ACTIONS(10106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10108),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(10110),
    [anon_sym_AMP_AMP] = ACTIONS(10110),
    [anon_sym_LT_LT] = ACTIONS(10112),
    [anon_sym_GT_GT] = ACTIONS(10112),
    [anon_sym_EQ_EQ] = ACTIONS(10114),
    [anon_sym_BANG_EQ] = ACTIONS(10110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10110),
    [anon_sym_LT_EQ_GT] = ACTIONS(10110),
    [anon_sym_EQ_TILDE] = ACTIONS(10110),
    [anon_sym_BANG_TILDE] = ACTIONS(10110),
    [anon_sym_LT_EQ] = ACTIONS(10102),
    [anon_sym_GT] = ACTIONS(10102),
    [anon_sym_GT_EQ] = ACTIONS(10116),
    [anon_sym_CARET] = ACTIONS(10118),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [7208] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [7209] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [7210] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(10096),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(10100),
    [anon_sym_LT] = ACTIONS(10102),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(10104),
    [anon_sym_DOT_DOT] = ACTIONS(10106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10108),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(10110),
    [anon_sym_AMP_AMP] = ACTIONS(10110),
    [anon_sym_LT_LT] = ACTIONS(10112),
    [anon_sym_GT_GT] = ACTIONS(10112),
    [anon_sym_EQ_EQ] = ACTIONS(10114),
    [anon_sym_BANG_EQ] = ACTIONS(10110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10110),
    [anon_sym_LT_EQ_GT] = ACTIONS(10110),
    [anon_sym_EQ_TILDE] = ACTIONS(10110),
    [anon_sym_BANG_TILDE] = ACTIONS(10110),
    [anon_sym_LT_EQ] = ACTIONS(10102),
    [anon_sym_GT] = ACTIONS(10102),
    [anon_sym_GT_EQ] = ACTIONS(10116),
    [anon_sym_CARET] = ACTIONS(10118),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [7211] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9539),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9539),
    [sym_operator_assignment] = STATE(9539),
    [sym_conditional] = STATE(9539),
    [sym_range] = STATE(9539),
    [sym_binary] = STATE(9539),
    [sym_unary] = STATE(9539),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7212] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9540),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9540),
    [sym_operator_assignment] = STATE(9540),
    [sym_conditional] = STATE(9540),
    [sym_range] = STATE(9540),
    [sym_binary] = STATE(9540),
    [sym_unary] = STATE(9540),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7213] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9541),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9541),
    [sym_operator_assignment] = STATE(9541),
    [sym_conditional] = STATE(9541),
    [sym_range] = STATE(9541),
    [sym_binary] = STATE(9541),
    [sym_unary] = STATE(9541),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7214] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9542),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9542),
    [sym_operator_assignment] = STATE(9542),
    [sym_conditional] = STATE(9542),
    [sym_range] = STATE(9542),
    [sym_binary] = STATE(9542),
    [sym_unary] = STATE(9542),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7215] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9543),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9543),
    [sym_operator_assignment] = STATE(9543),
    [sym_conditional] = STATE(9543),
    [sym_range] = STATE(9543),
    [sym_binary] = STATE(9543),
    [sym_unary] = STATE(9543),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7216] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9544),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9544),
    [sym_operator_assignment] = STATE(9544),
    [sym_conditional] = STATE(9544),
    [sym_range] = STATE(9544),
    [sym_binary] = STATE(9544),
    [sym_unary] = STATE(9544),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7217] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9545),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9545),
    [sym_operator_assignment] = STATE(9545),
    [sym_conditional] = STATE(9545),
    [sym_range] = STATE(9545),
    [sym_binary] = STATE(9545),
    [sym_unary] = STATE(9545),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7218] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9546),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9546),
    [sym_operator_assignment] = STATE(9546),
    [sym_conditional] = STATE(9546),
    [sym_range] = STATE(9546),
    [sym_binary] = STATE(9546),
    [sym_unary] = STATE(9546),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7219] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9547),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9547),
    [sym_operator_assignment] = STATE(9547),
    [sym_conditional] = STATE(9547),
    [sym_range] = STATE(9547),
    [sym_binary] = STATE(9547),
    [sym_unary] = STATE(9547),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7220] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9548),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9548),
    [sym_operator_assignment] = STATE(9548),
    [sym_conditional] = STATE(9548),
    [sym_range] = STATE(9548),
    [sym_binary] = STATE(9548),
    [sym_unary] = STATE(9548),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7221] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9549),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9549),
    [sym_operator_assignment] = STATE(9549),
    [sym_conditional] = STATE(9549),
    [sym_range] = STATE(9549),
    [sym_binary] = STATE(9549),
    [sym_unary] = STATE(9549),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7222] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9550),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9550),
    [sym_operator_assignment] = STATE(9550),
    [sym_conditional] = STATE(9550),
    [sym_range] = STATE(9550),
    [sym_binary] = STATE(9550),
    [sym_unary] = STATE(9550),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7223] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4317),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(4317),
    [sym_operator_assignment] = STATE(4317),
    [sym_conditional] = STATE(4317),
    [sym_range] = STATE(4317),
    [sym_binary] = STATE(4317),
    [sym_unary] = STATE(4317),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(6637),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7224] = {
    [aux_sym_exceptions_repeat1] = STATE(9551),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(10122),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [7225] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(4317),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_splat_argument] = STATE(9552),
    [sym_assignment] = STATE(4317),
    [sym_operator_assignment] = STATE(4317),
    [sym_conditional] = STATE(4317),
    [sym_range] = STATE(4317),
    [sym_binary] = STATE(4317),
    [sym_unary] = STATE(4317),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(9552),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(6637),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7226] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9553),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(9553),
    [sym_operator_assignment] = STATE(9553),
    [sym_conditional] = STATE(9553),
    [sym_range] = STATE(9553),
    [sym_binary] = STATE(9553),
    [sym_unary] = STATE(9553),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7227] = {
    [sym__element_reference_left_bracket] = ACTIONS(9993),
    [sym__infix_scope_colons] = ACTIONS(9993),
    [sym__binary_minus] = ACTIONS(9993),
    [sym__binary_star] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_RBRACE] = ACTIONS(9993),
    [anon_sym_RPAREN] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9995),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_PIPE] = ACTIONS(9995),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_STAR_STAR] = ACTIONS(9993),
    [anon_sym_AMP] = ACTIONS(9995),
    [anon_sym_LT] = ACTIONS(9995),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_unless] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [anon_sym_until] = ACTIONS(9993),
    [anon_sym_rescue] = ACTIONS(9993),
    [anon_sym_do] = ACTIONS(9993),
    [anon_sym_EQ_GT] = ACTIONS(9993),
    [anon_sym_AMP_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_DOT_DOT] = ACTIONS(9995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_and] = ACTIONS(9993),
    [anon_sym_or] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE] = ACTIONS(9993),
    [anon_sym_AMP_AMP] = ACTIONS(9993),
    [anon_sym_LT_LT] = ACTIONS(9993),
    [anon_sym_GT_GT] = ACTIONS(9993),
    [anon_sym_EQ_EQ] = ACTIONS(9995),
    [anon_sym_BANG_EQ] = ACTIONS(9993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9993),
    [anon_sym_LT_EQ_GT] = ACTIONS(9993),
    [anon_sym_EQ_TILDE] = ACTIONS(9993),
    [anon_sym_BANG_TILDE] = ACTIONS(9993),
    [anon_sym_LT_EQ] = ACTIONS(9995),
    [anon_sym_GT] = ACTIONS(9995),
    [anon_sym_GT_EQ] = ACTIONS(9993),
    [anon_sym_CARET] = ACTIONS(9993),
    [anon_sym_PLUS] = ACTIONS(9993),
    [anon_sym_SLASH] = ACTIONS(9993),
    [anon_sym_PERCENT] = ACTIONS(9993),
    [sym_comment] = ACTIONS(87),
  },
  [7228] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12344),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [7229] = {
    [sym__element_reference_left_bracket] = ACTIONS(9999),
    [sym__infix_scope_colons] = ACTIONS(9999),
    [sym__binary_minus] = ACTIONS(9999),
    [sym__binary_star] = ACTIONS(9999),
    [anon_sym_LBRACE] = ACTIONS(9999),
    [anon_sym_RBRACE] = ACTIONS(9999),
    [anon_sym_RPAREN] = ACTIONS(9999),
    [anon_sym_DOT] = ACTIONS(10001),
    [anon_sym_COMMA] = ACTIONS(9999),
    [anon_sym_PIPE] = ACTIONS(10001),
    [anon_sym_SEMI] = ACTIONS(9999),
    [anon_sym_STAR_STAR] = ACTIONS(9999),
    [anon_sym_AMP] = ACTIONS(10001),
    [anon_sym_LT] = ACTIONS(10001),
    [anon_sym_if] = ACTIONS(9999),
    [anon_sym_unless] = ACTIONS(9999),
    [anon_sym_while] = ACTIONS(9999),
    [anon_sym_until] = ACTIONS(9999),
    [anon_sym_rescue] = ACTIONS(9999),
    [anon_sym_do] = ACTIONS(9999),
    [anon_sym_EQ_GT] = ACTIONS(9999),
    [anon_sym_AMP_DOT] = ACTIONS(9999),
    [anon_sym_QMARK] = ACTIONS(9999),
    [anon_sym_COLON] = ACTIONS(9999),
    [anon_sym_DOT_DOT] = ACTIONS(10001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9999),
    [anon_sym_and] = ACTIONS(9999),
    [anon_sym_or] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE] = ACTIONS(9999),
    [anon_sym_AMP_AMP] = ACTIONS(9999),
    [anon_sym_LT_LT] = ACTIONS(9999),
    [anon_sym_GT_GT] = ACTIONS(9999),
    [anon_sym_EQ_EQ] = ACTIONS(10001),
    [anon_sym_BANG_EQ] = ACTIONS(9999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9999),
    [anon_sym_LT_EQ_GT] = ACTIONS(9999),
    [anon_sym_EQ_TILDE] = ACTIONS(9999),
    [anon_sym_BANG_TILDE] = ACTIONS(9999),
    [anon_sym_LT_EQ] = ACTIONS(10001),
    [anon_sym_GT] = ACTIONS(10001),
    [anon_sym_GT_EQ] = ACTIONS(9999),
    [anon_sym_CARET] = ACTIONS(9999),
    [anon_sym_PLUS] = ACTIONS(9999),
    [anon_sym_SLASH] = ACTIONS(9999),
    [anon_sym_PERCENT] = ACTIONS(9999),
    [sym_comment] = ACTIONS(87),
  },
  [7230] = {
    [sym__element_reference_left_bracket] = ACTIONS(10003),
    [sym__infix_scope_colons] = ACTIONS(10003),
    [sym__binary_minus] = ACTIONS(10003),
    [sym__binary_star] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_RBRACE] = ACTIONS(10003),
    [anon_sym_RPAREN] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10005),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_PIPE] = ACTIONS(10005),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_STAR_STAR] = ACTIONS(10003),
    [anon_sym_AMP] = ACTIONS(10005),
    [anon_sym_LT] = ACTIONS(10005),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_unless] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [anon_sym_until] = ACTIONS(10003),
    [anon_sym_rescue] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_EQ_GT] = ACTIONS(10003),
    [anon_sym_AMP_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_DOT_DOT] = ACTIONS(10005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_and] = ACTIONS(10003),
    [anon_sym_or] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE] = ACTIONS(10003),
    [anon_sym_AMP_AMP] = ACTIONS(10003),
    [anon_sym_LT_LT] = ACTIONS(10003),
    [anon_sym_GT_GT] = ACTIONS(10003),
    [anon_sym_EQ_EQ] = ACTIONS(10005),
    [anon_sym_BANG_EQ] = ACTIONS(10003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10003),
    [anon_sym_LT_EQ_GT] = ACTIONS(10003),
    [anon_sym_EQ_TILDE] = ACTIONS(10003),
    [anon_sym_BANG_TILDE] = ACTIONS(10003),
    [anon_sym_LT_EQ] = ACTIONS(10005),
    [anon_sym_GT] = ACTIONS(10005),
    [anon_sym_GT_EQ] = ACTIONS(10003),
    [anon_sym_CARET] = ACTIONS(10003),
    [anon_sym_PLUS] = ACTIONS(10003),
    [anon_sym_SLASH] = ACTIONS(10003),
    [anon_sym_PERCENT] = ACTIONS(10003),
    [sym_comment] = ACTIONS(87),
  },
  [7231] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12346),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [7232] = {
    [sym__element_reference_left_bracket] = ACTIONS(10009),
    [sym__infix_scope_colons] = ACTIONS(10009),
    [sym__binary_minus] = ACTIONS(10009),
    [sym__binary_star] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_PIPE] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_STAR_STAR] = ACTIONS(10009),
    [anon_sym_AMP] = ACTIONS(10011),
    [anon_sym_LT] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10009),
    [anon_sym_unless] = ACTIONS(10009),
    [anon_sym_while] = ACTIONS(10009),
    [anon_sym_until] = ACTIONS(10009),
    [anon_sym_rescue] = ACTIONS(10009),
    [anon_sym_do] = ACTIONS(10009),
    [anon_sym_EQ_GT] = ACTIONS(10009),
    [anon_sym_AMP_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10009),
    [anon_sym_DOT_DOT] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_and] = ACTIONS(10009),
    [anon_sym_or] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE] = ACTIONS(10009),
    [anon_sym_AMP_AMP] = ACTIONS(10009),
    [anon_sym_LT_LT] = ACTIONS(10009),
    [anon_sym_GT_GT] = ACTIONS(10009),
    [anon_sym_EQ_EQ] = ACTIONS(10011),
    [anon_sym_BANG_EQ] = ACTIONS(10009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10009),
    [anon_sym_LT_EQ_GT] = ACTIONS(10009),
    [anon_sym_EQ_TILDE] = ACTIONS(10009),
    [anon_sym_BANG_TILDE] = ACTIONS(10009),
    [anon_sym_LT_EQ] = ACTIONS(10011),
    [anon_sym_GT] = ACTIONS(10011),
    [anon_sym_GT_EQ] = ACTIONS(10009),
    [anon_sym_CARET] = ACTIONS(10009),
    [anon_sym_PLUS] = ACTIONS(10009),
    [anon_sym_SLASH] = ACTIONS(10009),
    [anon_sym_PERCENT] = ACTIONS(10009),
    [sym_comment] = ACTIONS(87),
  },
  [7233] = {
    [sym__method_rest] = STATE(9556),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(543),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [7234] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [7235] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [7236] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(10156),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [7237] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9557),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9557),
    [sym_operator_assignment] = STATE(9557),
    [sym_conditional] = STATE(9557),
    [sym_range] = STATE(9557),
    [sym_binary] = STATE(9557),
    [sym_unary] = STATE(9557),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7238] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9558),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9558),
    [sym_operator_assignment] = STATE(9558),
    [sym_conditional] = STATE(9558),
    [sym_range] = STATE(9558),
    [sym_binary] = STATE(9558),
    [sym_unary] = STATE(9558),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7239] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9559),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9559),
    [sym_operator_assignment] = STATE(9559),
    [sym_conditional] = STATE(9559),
    [sym_range] = STATE(9559),
    [sym_binary] = STATE(9559),
    [sym_unary] = STATE(9559),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7240] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9560),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9560),
    [sym_operator_assignment] = STATE(9560),
    [sym_conditional] = STATE(9560),
    [sym_range] = STATE(9560),
    [sym_binary] = STATE(9560),
    [sym_unary] = STATE(9560),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7241] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9561),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9561),
    [sym_operator_assignment] = STATE(9561),
    [sym_conditional] = STATE(9561),
    [sym_range] = STATE(9561),
    [sym_binary] = STATE(9561),
    [sym_unary] = STATE(9561),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7242] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9562),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9562),
    [sym_operator_assignment] = STATE(9562),
    [sym_conditional] = STATE(9562),
    [sym_range] = STATE(9562),
    [sym_binary] = STATE(9562),
    [sym_unary] = STATE(9562),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7243] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9563),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9563),
    [sym_operator_assignment] = STATE(9563),
    [sym_conditional] = STATE(9563),
    [sym_range] = STATE(9563),
    [sym_binary] = STATE(9563),
    [sym_unary] = STATE(9563),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7244] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9564),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9564),
    [sym_operator_assignment] = STATE(9564),
    [sym_conditional] = STATE(9564),
    [sym_range] = STATE(9564),
    [sym_binary] = STATE(9564),
    [sym_unary] = STATE(9564),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7245] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9565),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9565),
    [sym_operator_assignment] = STATE(9565),
    [sym_conditional] = STATE(9565),
    [sym_range] = STATE(9565),
    [sym_binary] = STATE(9565),
    [sym_unary] = STATE(9565),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7246] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9566),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9566),
    [sym_operator_assignment] = STATE(9566),
    [sym_conditional] = STATE(9566),
    [sym_range] = STATE(9566),
    [sym_binary] = STATE(9566),
    [sym_unary] = STATE(9566),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7247] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9567),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9567),
    [sym_operator_assignment] = STATE(9567),
    [sym_conditional] = STATE(9567),
    [sym_range] = STATE(9567),
    [sym_binary] = STATE(9567),
    [sym_unary] = STATE(9567),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7248] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9568),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9568),
    [sym_operator_assignment] = STATE(9568),
    [sym_conditional] = STATE(9568),
    [sym_range] = STATE(9568),
    [sym_binary] = STATE(9568),
    [sym_unary] = STATE(9568),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7249] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9569),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_splat_argument] = STATE(9570),
    [sym_assignment] = STATE(9569),
    [sym_operator_assignment] = STATE(9569),
    [sym_conditional] = STATE(9569),
    [sym_range] = STATE(9569),
    [sym_binary] = STATE(9569),
    [sym_unary] = STATE(9569),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(9570),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(3158),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7250] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9571),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(9571),
    [sym_operator_assignment] = STATE(9571),
    [sym_conditional] = STATE(9571),
    [sym_range] = STATE(9571),
    [sym_binary] = STATE(9571),
    [sym_unary] = STATE(9571),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7251] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(10156),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [7252] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7253] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7254] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9572),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(9572),
    [sym_operator_assignment] = STATE(9572),
    [sym_conditional] = STATE(9572),
    [sym_range] = STATE(9572),
    [sym_binary] = STATE(9572),
    [sym_unary] = STATE(9572),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7255] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7256] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9573),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(9573),
    [sym_operator_assignment] = STATE(9573),
    [sym_conditional] = STATE(9573),
    [sym_range] = STATE(9573),
    [sym_binary] = STATE(9573),
    [sym_unary] = STATE(9573),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7257] = {
    [sym_heredoc_body] = STATE(9574),
    [aux_sym_call_repeat1] = STATE(9574),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7258] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4358),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(4358),
    [sym_operator_assignment] = STATE(4358),
    [sym_conditional] = STATE(4358),
    [sym_range] = STATE(4358),
    [sym_binary] = STATE(4358),
    [sym_unary] = STATE(4358),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4361),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(9575),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(6705),
    [sym__splat_star] = ACTIONS(6707),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__identifier_hash_key] = ACTIONS(6709),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12348),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(6711),
    [sym_identifier] = ACTIONS(6711),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7259] = {
    [sym_heredoc_body] = STATE(9576),
    [aux_sym_call_repeat1] = STATE(9576),
    [aux_sym_argument_list_repeat1] = STATE(9577),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(10182),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7260] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9578),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(9578),
    [sym_operator_assignment] = STATE(9578),
    [sym_conditional] = STATE(9578),
    [sym_range] = STATE(9578),
    [sym_binary] = STATE(9578),
    [sym_unary] = STATE(9578),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7261] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7262] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7263] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7264] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7265] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7266] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7267] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(10156),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [7268] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7269] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7270] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7271] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7272] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7273] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7274] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7275] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7276] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9580),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(9580),
    [sym_operator_assignment] = STATE(9580),
    [sym_conditional] = STATE(9580),
    [sym_range] = STATE(9580),
    [sym_binary] = STATE(9580),
    [sym_unary] = STATE(9580),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7277] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7278] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9581),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(9581),
    [sym_operator_assignment] = STATE(9581),
    [sym_conditional] = STATE(9581),
    [sym_range] = STATE(9581),
    [sym_binary] = STATE(9581),
    [sym_unary] = STATE(9581),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7279] = {
    [sym_heredoc_body] = STATE(9582),
    [aux_sym_call_repeat1] = STATE(9582),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [7280] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4382),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym__argument] = STATE(4608),
    [sym_splat_argument] = STATE(4608),
    [sym_hash_splat_argument] = STATE(4608),
    [sym_block_argument] = STATE(4608),
    [sym_assignment] = STATE(4382),
    [sym_operator_assignment] = STATE(4382),
    [sym_conditional] = STATE(4382),
    [sym_range] = STATE(4382),
    [sym_binary] = STATE(4382),
    [sym_unary] = STATE(4382),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4385),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(9583),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4608),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(6745),
    [sym__splat_star] = ACTIONS(6747),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__identifier_hash_key] = ACTIONS(6749),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12352),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(6751),
    [sym_identifier] = ACTIONS(6751),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7281] = {
    [sym_heredoc_body] = STATE(9584),
    [aux_sym_call_repeat1] = STATE(9584),
    [aux_sym_argument_list_repeat1] = STATE(9585),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(10188),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [7282] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9586),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(9586),
    [sym_operator_assignment] = STATE(9586),
    [sym_conditional] = STATE(9586),
    [sym_range] = STATE(9586),
    [sym_binary] = STATE(9586),
    [sym_unary] = STATE(9586),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7283] = {
    [sym_heredoc_body] = STATE(7283),
    [aux_sym_call_repeat1] = STATE(7283),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [7284] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1895),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(1895),
    [sym_operator_assignment] = STATE(1895),
    [sym_conditional] = STATE(1895),
    [sym_range] = STATE(1895),
    [sym_binary] = STATE(1895),
    [sym_unary] = STATE(1895),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1901),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(3156),
    [sym__splat_star] = ACTIONS(3158),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__identifier_hash_key] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10192),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3180),
    [sym_identifier] = ACTIONS(3180),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7285] = {
    [sym_heredoc_body] = STATE(7283),
    [aux_sym_call_repeat1] = STATE(7283),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [7286] = {
    [aux_sym_argument_list_repeat1] = STATE(7286),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [7287] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7288] = {
    [aux_sym_exceptions_repeat1] = STATE(9588),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7289] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [7290] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(10156),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [7291] = {
    [sym_string] = STATE(7291),
    [aux_sym_chained_string_repeat1] = STATE(7291),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [7292] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9589),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_assignment] = STATE(9589),
    [sym_operator_assignment] = STATE(9589),
    [sym_conditional] = STATE(9589),
    [sym_range] = STATE(9589),
    [sym_binary] = STATE(9589),
    [sym_unary] = STATE(9589),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7293] = {
    [sym__heredoc_body_start] = ACTIONS(9621),
    [sym__element_reference_left_bracket] = ACTIONS(9621),
    [sym__infix_scope_colons] = ACTIONS(9621),
    [sym__binary_minus] = ACTIONS(9621),
    [sym__binary_star] = ACTIONS(9621),
    [anon_sym_LBRACE] = ACTIONS(9621),
    [anon_sym_RBRACE] = ACTIONS(9621),
    [anon_sym_RPAREN] = ACTIONS(9621),
    [anon_sym_DOT] = ACTIONS(9623),
    [anon_sym_COMMA] = ACTIONS(9621),
    [anon_sym_PIPE] = ACTIONS(9623),
    [anon_sym_SEMI] = ACTIONS(9621),
    [anon_sym_STAR_STAR] = ACTIONS(9623),
    [anon_sym_AMP] = ACTIONS(9623),
    [anon_sym_EQ] = ACTIONS(9623),
    [anon_sym_LT] = ACTIONS(9623),
    [anon_sym_if] = ACTIONS(9621),
    [anon_sym_unless] = ACTIONS(9621),
    [anon_sym_while] = ACTIONS(9621),
    [anon_sym_until] = ACTIONS(9621),
    [anon_sym_rescue] = ACTIONS(9621),
    [anon_sym_in] = ACTIONS(9621),
    [anon_sym_do] = ACTIONS(9621),
    [anon_sym_RBRACK] = ACTIONS(9621),
    [anon_sym_AMP_DOT] = ACTIONS(9621),
    [anon_sym_PLUS_EQ] = ACTIONS(9621),
    [anon_sym_DASH_EQ] = ACTIONS(9621),
    [anon_sym_STAR_EQ] = ACTIONS(9621),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9621),
    [anon_sym_SLASH_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_PIPE_EQ] = ACTIONS(9621),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9621),
    [anon_sym_AMP_EQ] = ACTIONS(9621),
    [anon_sym_PERCENT_EQ] = ACTIONS(9621),
    [anon_sym_GT_GT_EQ] = ACTIONS(9621),
    [anon_sym_LT_LT_EQ] = ACTIONS(9621),
    [anon_sym_CARET_EQ] = ACTIONS(9621),
    [anon_sym_QMARK] = ACTIONS(9621),
    [anon_sym_COLON] = ACTIONS(9621),
    [anon_sym_DOT_DOT] = ACTIONS(9623),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9621),
    [anon_sym_and] = ACTIONS(9621),
    [anon_sym_or] = ACTIONS(9621),
    [anon_sym_PIPE_PIPE] = ACTIONS(9623),
    [anon_sym_AMP_AMP] = ACTIONS(9623),
    [anon_sym_LT_LT] = ACTIONS(9623),
    [anon_sym_GT_GT] = ACTIONS(9623),
    [anon_sym_EQ_EQ] = ACTIONS(9623),
    [anon_sym_BANG_EQ] = ACTIONS(9621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9621),
    [anon_sym_LT_EQ_GT] = ACTIONS(9621),
    [anon_sym_EQ_TILDE] = ACTIONS(9621),
    [anon_sym_BANG_TILDE] = ACTIONS(9621),
    [anon_sym_LT_EQ] = ACTIONS(9623),
    [anon_sym_GT] = ACTIONS(9623),
    [anon_sym_GT_EQ] = ACTIONS(9621),
    [anon_sym_CARET] = ACTIONS(9623),
    [anon_sym_PLUS] = ACTIONS(9623),
    [anon_sym_SLASH] = ACTIONS(9623),
    [anon_sym_PERCENT] = ACTIONS(9623),
    [sym_comment] = ACTIONS(87),
  },
  [7294] = {
    [anon_sym_RBRACK] = ACTIONS(12357),
    [sym_comment] = ACTIONS(87),
  },
  [7295] = {
    [sym__simple_symbol] = ACTIONS(4198),
    [sym__string_start] = ACTIONS(4198),
    [sym__symbol_start] = ACTIONS(4198),
    [sym__subshell_start] = ACTIONS(4198),
    [sym__regex_start] = ACTIONS(4198),
    [sym__string_array_start] = ACTIONS(4198),
    [sym__symbol_array_start] = ACTIONS(4198),
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym_heredoc_beginning] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__block_ampersand] = ACTIONS(4198),
    [sym__splat_star] = ACTIONS(4198),
    [sym__argument_list_left_paren] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__unary_minus] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [sym__identifier_hash_key] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_def] = ACTIONS(4200),
    [anon_sym_LPAREN] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COLON_COLON] = ACTIONS(4198),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR] = ACTIONS(4200),
    [anon_sym_STAR_STAR] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_class] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_module] = ACTIONS(4200),
    [anon_sym_return] = ACTIONS(4200),
    [anon_sym_yield] = ACTIONS(4200),
    [anon_sym_break] = ACTIONS(4200),
    [anon_sym_next] = ACTIONS(4200),
    [sym_redo] = ACTIONS(4200),
    [sym_retry] = ACTIONS(4200),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_unless] = ACTIONS(4200),
    [anon_sym_while] = ACTIONS(4200),
    [anon_sym_until] = ACTIONS(4200),
    [anon_sym_rescue] = ACTIONS(4200),
    [anon_sym_for] = ACTIONS(4200),
    [anon_sym_in] = ACTIONS(4200),
    [anon_sym_do] = ACTIONS(4200),
    [anon_sym_case] = ACTIONS(4200),
    [anon_sym_begin] = ACTIONS(4200),
    [anon_sym_RBRACK] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS_EQ] = ACTIONS(4198),
    [anon_sym_DASH_EQ] = ACTIONS(4198),
    [anon_sym_STAR_EQ] = ACTIONS(4198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4198),
    [anon_sym_SLASH_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4198),
    [anon_sym_AMP_EQ] = ACTIONS(4198),
    [anon_sym_PERCENT_EQ] = ACTIONS(4198),
    [anon_sym_GT_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_LT_EQ] = ACTIONS(4198),
    [anon_sym_CARET_EQ] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4200),
    [anon_sym_COLON] = ACTIONS(4200),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4200),
    [anon_sym_or] = ACTIONS(4200),
    [anon_sym_PIPE_PIPE] = ACTIONS(4200),
    [anon_sym_AMP_AMP] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [anon_sym_defined_QMARK] = ACTIONS(4198),
    [anon_sym_not] = ACTIONS(4200),
    [anon_sym_BANG] = ACTIONS(4200),
    [anon_sym_TILDE] = ACTIONS(4198),
    [sym_constant] = ACTIONS(4200),
    [sym_identifier] = ACTIONS(4200),
    [sym_instance_variable] = ACTIONS(4198),
    [sym_class_variable] = ACTIONS(4198),
    [sym_global_variable] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4200),
    [sym_float] = ACTIONS(4200),
    [sym_complex] = ACTIONS(4198),
    [sym_super] = ACTIONS(4200),
    [anon_sym_true] = ACTIONS(4200),
    [anon_sym_TRUE] = ACTIONS(4200),
    [anon_sym_false] = ACTIONS(4200),
    [anon_sym_FALSE] = ACTIONS(4200),
    [sym_self] = ACTIONS(4200),
    [anon_sym_nil] = ACTIONS(4200),
    [anon_sym_NIL] = ACTIONS(4200),
    [sym_character] = ACTIONS(4198),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [anon_sym_DASH_GT] = ACTIONS(4198),
  },
  [7296] = {
    [sym_heredoc_body] = STATE(9592),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(12359),
    [sym_comment] = ACTIONS(87),
  },
  [7297] = {
    [anon_sym_RPAREN] = ACTIONS(12359),
    [sym_comment] = ACTIONS(87),
  },
  [7298] = {
    [sym__simple_symbol] = ACTIONS(9631),
    [sym__string_start] = ACTIONS(9631),
    [sym__symbol_start] = ACTIONS(9631),
    [sym__subshell_start] = ACTIONS(9631),
    [sym__regex_start] = ACTIONS(9631),
    [sym__string_array_start] = ACTIONS(9631),
    [sym__symbol_array_start] = ACTIONS(9631),
    [sym__heredoc_body_start] = ACTIONS(9631),
    [sym_heredoc_beginning] = ACTIONS(9631),
    [sym__element_reference_left_bracket] = ACTIONS(9631),
    [sym__block_ampersand] = ACTIONS(9631),
    [sym__splat_star] = ACTIONS(9631),
    [sym__argument_list_left_paren] = ACTIONS(9631),
    [sym__infix_scope_colons] = ACTIONS(9631),
    [sym__unary_minus] = ACTIONS(9631),
    [sym__binary_minus] = ACTIONS(9631),
    [sym__binary_star] = ACTIONS(9631),
    [sym__identifier_hash_key] = ACTIONS(9631),
    [anon_sym_LBRACE] = ACTIONS(9631),
    [anon_sym_RBRACE] = ACTIONS(9631),
    [anon_sym_def] = ACTIONS(9633),
    [anon_sym_LPAREN] = ACTIONS(9631),
    [anon_sym_RPAREN] = ACTIONS(9631),
    [anon_sym_DOT] = ACTIONS(9633),
    [anon_sym_COLON_COLON] = ACTIONS(9631),
    [anon_sym_COMMA] = ACTIONS(9631),
    [anon_sym_PIPE] = ACTIONS(9633),
    [anon_sym_SEMI] = ACTIONS(9631),
    [anon_sym_STAR] = ACTIONS(9633),
    [anon_sym_STAR_STAR] = ACTIONS(9633),
    [anon_sym_AMP] = ACTIONS(9633),
    [anon_sym_EQ] = ACTIONS(9633),
    [anon_sym_class] = ACTIONS(9633),
    [anon_sym_LT] = ACTIONS(9633),
    [anon_sym_module] = ACTIONS(9633),
    [anon_sym_return] = ACTIONS(9633),
    [anon_sym_yield] = ACTIONS(9633),
    [anon_sym_break] = ACTIONS(9633),
    [anon_sym_next] = ACTIONS(9633),
    [sym_redo] = ACTIONS(9633),
    [sym_retry] = ACTIONS(9633),
    [anon_sym_if] = ACTIONS(9633),
    [anon_sym_unless] = ACTIONS(9633),
    [anon_sym_while] = ACTIONS(9633),
    [anon_sym_until] = ACTIONS(9633),
    [anon_sym_rescue] = ACTIONS(9633),
    [anon_sym_for] = ACTIONS(9633),
    [anon_sym_in] = ACTIONS(9633),
    [anon_sym_do] = ACTIONS(9633),
    [anon_sym_case] = ACTIONS(9633),
    [anon_sym_begin] = ACTIONS(9633),
    [anon_sym_RBRACK] = ACTIONS(9631),
    [anon_sym_AMP_DOT] = ACTIONS(9631),
    [anon_sym_PLUS_EQ] = ACTIONS(9631),
    [anon_sym_DASH_EQ] = ACTIONS(9631),
    [anon_sym_STAR_EQ] = ACTIONS(9631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9631),
    [anon_sym_SLASH_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_PIPE_EQ] = ACTIONS(9631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9631),
    [anon_sym_AMP_EQ] = ACTIONS(9631),
    [anon_sym_PERCENT_EQ] = ACTIONS(9631),
    [anon_sym_GT_GT_EQ] = ACTIONS(9631),
    [anon_sym_LT_LT_EQ] = ACTIONS(9631),
    [anon_sym_CARET_EQ] = ACTIONS(9631),
    [anon_sym_QMARK] = ACTIONS(9633),
    [anon_sym_COLON] = ACTIONS(9633),
    [anon_sym_DOT_DOT] = ACTIONS(9633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9631),
    [anon_sym_and] = ACTIONS(9633),
    [anon_sym_or] = ACTIONS(9633),
    [anon_sym_PIPE_PIPE] = ACTIONS(9633),
    [anon_sym_AMP_AMP] = ACTIONS(9633),
    [anon_sym_LT_LT] = ACTIONS(9633),
    [anon_sym_GT_GT] = ACTIONS(9633),
    [anon_sym_EQ_EQ] = ACTIONS(9633),
    [anon_sym_BANG_EQ] = ACTIONS(9631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9631),
    [anon_sym_LT_EQ_GT] = ACTIONS(9631),
    [anon_sym_EQ_TILDE] = ACTIONS(9631),
    [anon_sym_BANG_TILDE] = ACTIONS(9631),
    [anon_sym_LT_EQ] = ACTIONS(9633),
    [anon_sym_GT] = ACTIONS(9633),
    [anon_sym_GT_EQ] = ACTIONS(9631),
    [anon_sym_CARET] = ACTIONS(9633),
    [anon_sym_PLUS] = ACTIONS(9633),
    [anon_sym_SLASH] = ACTIONS(9633),
    [anon_sym_PERCENT] = ACTIONS(9633),
    [anon_sym_defined_QMARK] = ACTIONS(9631),
    [anon_sym_not] = ACTIONS(9633),
    [anon_sym_BANG] = ACTIONS(9633),
    [anon_sym_TILDE] = ACTIONS(9631),
    [sym_constant] = ACTIONS(9633),
    [sym_identifier] = ACTIONS(9633),
    [sym_instance_variable] = ACTIONS(9631),
    [sym_class_variable] = ACTIONS(9631),
    [sym_global_variable] = ACTIONS(9631),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(9633),
    [sym_float] = ACTIONS(9633),
    [sym_complex] = ACTIONS(9631),
    [sym_super] = ACTIONS(9633),
    [anon_sym_true] = ACTIONS(9633),
    [anon_sym_TRUE] = ACTIONS(9633),
    [anon_sym_false] = ACTIONS(9633),
    [anon_sym_FALSE] = ACTIONS(9633),
    [sym_self] = ACTIONS(9633),
    [anon_sym_nil] = ACTIONS(9633),
    [anon_sym_NIL] = ACTIONS(9633),
    [sym_character] = ACTIONS(9631),
    [anon_sym_LBRACK] = ACTIONS(9631),
    [anon_sym_DASH_GT] = ACTIONS(9631),
  },
  [7299] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [7300] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [7301] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(10214),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [7302] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9593),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9593),
    [sym_operator_assignment] = STATE(9593),
    [sym_conditional] = STATE(9593),
    [sym_range] = STATE(9593),
    [sym_binary] = STATE(9593),
    [sym_unary] = STATE(9593),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7303] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9594),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9594),
    [sym_operator_assignment] = STATE(9594),
    [sym_conditional] = STATE(9594),
    [sym_range] = STATE(9594),
    [sym_binary] = STATE(9594),
    [sym_unary] = STATE(9594),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7304] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9595),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9595),
    [sym_operator_assignment] = STATE(9595),
    [sym_conditional] = STATE(9595),
    [sym_range] = STATE(9595),
    [sym_binary] = STATE(9595),
    [sym_unary] = STATE(9595),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7305] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9596),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9596),
    [sym_operator_assignment] = STATE(9596),
    [sym_conditional] = STATE(9596),
    [sym_range] = STATE(9596),
    [sym_binary] = STATE(9596),
    [sym_unary] = STATE(9596),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7306] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9597),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9597),
    [sym_operator_assignment] = STATE(9597),
    [sym_conditional] = STATE(9597),
    [sym_range] = STATE(9597),
    [sym_binary] = STATE(9597),
    [sym_unary] = STATE(9597),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7307] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9598),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9598),
    [sym_operator_assignment] = STATE(9598),
    [sym_conditional] = STATE(9598),
    [sym_range] = STATE(9598),
    [sym_binary] = STATE(9598),
    [sym_unary] = STATE(9598),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7308] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9599),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9599),
    [sym_operator_assignment] = STATE(9599),
    [sym_conditional] = STATE(9599),
    [sym_range] = STATE(9599),
    [sym_binary] = STATE(9599),
    [sym_unary] = STATE(9599),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7309] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9600),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9600),
    [sym_operator_assignment] = STATE(9600),
    [sym_conditional] = STATE(9600),
    [sym_range] = STATE(9600),
    [sym_binary] = STATE(9600),
    [sym_unary] = STATE(9600),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7310] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9601),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9601),
    [sym_operator_assignment] = STATE(9601),
    [sym_conditional] = STATE(9601),
    [sym_range] = STATE(9601),
    [sym_binary] = STATE(9601),
    [sym_unary] = STATE(9601),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7311] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9602),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9602),
    [sym_operator_assignment] = STATE(9602),
    [sym_conditional] = STATE(9602),
    [sym_range] = STATE(9602),
    [sym_binary] = STATE(9602),
    [sym_unary] = STATE(9602),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7312] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9603),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9603),
    [sym_operator_assignment] = STATE(9603),
    [sym_conditional] = STATE(9603),
    [sym_range] = STATE(9603),
    [sym_binary] = STATE(9603),
    [sym_unary] = STATE(9603),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7313] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9604),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9604),
    [sym_operator_assignment] = STATE(9604),
    [sym_conditional] = STATE(9604),
    [sym_range] = STATE(9604),
    [sym_binary] = STATE(9604),
    [sym_unary] = STATE(9604),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7314] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9605),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_splat_argument] = STATE(9606),
    [sym_assignment] = STATE(9605),
    [sym_operator_assignment] = STATE(9605),
    [sym_conditional] = STATE(9605),
    [sym_range] = STATE(9605),
    [sym_binary] = STATE(9605),
    [sym_unary] = STATE(9605),
    [sym_right_assignment_list] = STATE(9466),
    [sym__arg_or_splat_arg] = STATE(9606),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(3230),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7315] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9607),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(9607),
    [sym_operator_assignment] = STATE(9607),
    [sym_conditional] = STATE(9607),
    [sym_range] = STATE(9607),
    [sym_binary] = STATE(9607),
    [sym_unary] = STATE(9607),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7316] = {
    [sym_string] = STATE(9608),
    [aux_sym_chained_string_repeat1] = STATE(9608),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [7317] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(10214),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [7318] = {
    [sym__heredoc_body_start] = ACTIONS(9362),
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [sym__binary_minus] = ACTIONS(9362),
    [sym__binary_star] = ACTIONS(9362),
    [anon_sym_LBRACE] = ACTIONS(9362),
    [anon_sym_RBRACE] = ACTIONS(9362),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9364),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_PIPE] = ACTIONS(9364),
    [anon_sym_SEMI] = ACTIONS(9362),
    [anon_sym_STAR_STAR] = ACTIONS(9364),
    [anon_sym_AMP] = ACTIONS(9364),
    [anon_sym_EQ] = ACTIONS(9364),
    [anon_sym_LT] = ACTIONS(9364),
    [anon_sym_if] = ACTIONS(9362),
    [anon_sym_unless] = ACTIONS(9362),
    [anon_sym_while] = ACTIONS(9362),
    [anon_sym_until] = ACTIONS(9362),
    [anon_sym_rescue] = ACTIONS(9362),
    [anon_sym_in] = ACTIONS(9362),
    [anon_sym_do] = ACTIONS(9362),
    [anon_sym_RBRACK] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [anon_sym_PLUS_EQ] = ACTIONS(9362),
    [anon_sym_DASH_EQ] = ACTIONS(9362),
    [anon_sym_STAR_EQ] = ACTIONS(9362),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9362),
    [anon_sym_SLASH_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_PIPE_EQ] = ACTIONS(9362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9362),
    [anon_sym_AMP_EQ] = ACTIONS(9362),
    [anon_sym_PERCENT_EQ] = ACTIONS(9362),
    [anon_sym_GT_GT_EQ] = ACTIONS(9362),
    [anon_sym_LT_LT_EQ] = ACTIONS(9362),
    [anon_sym_CARET_EQ] = ACTIONS(9362),
    [anon_sym_QMARK] = ACTIONS(9362),
    [anon_sym_COLON] = ACTIONS(9362),
    [anon_sym_DOT_DOT] = ACTIONS(9364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9362),
    [anon_sym_and] = ACTIONS(9362),
    [anon_sym_or] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE] = ACTIONS(9364),
    [anon_sym_AMP_AMP] = ACTIONS(9364),
    [anon_sym_LT_LT] = ACTIONS(9364),
    [anon_sym_GT_GT] = ACTIONS(9364),
    [anon_sym_EQ_EQ] = ACTIONS(9364),
    [anon_sym_BANG_EQ] = ACTIONS(9362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9362),
    [anon_sym_LT_EQ_GT] = ACTIONS(9362),
    [anon_sym_EQ_TILDE] = ACTIONS(9362),
    [anon_sym_BANG_TILDE] = ACTIONS(9362),
    [anon_sym_LT_EQ] = ACTIONS(9364),
    [anon_sym_GT] = ACTIONS(9364),
    [anon_sym_GT_EQ] = ACTIONS(9362),
    [anon_sym_CARET] = ACTIONS(9364),
    [anon_sym_PLUS] = ACTIONS(9364),
    [anon_sym_SLASH] = ACTIONS(9364),
    [anon_sym_PERCENT] = ACTIONS(9364),
    [sym_comment] = ACTIONS(87),
  },
  [7319] = {
    [anon_sym_RBRACE] = ACTIONS(12361),
    [sym_comment] = ACTIONS(87),
  },
  [7320] = {
    [sym__heredoc_body_start] = ACTIONS(9390),
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [sym__binary_minus] = ACTIONS(9390),
    [sym__binary_star] = ACTIONS(9390),
    [anon_sym_LBRACE] = ACTIONS(9390),
    [anon_sym_RBRACE] = ACTIONS(9390),
    [anon_sym_RPAREN] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9392),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_PIPE] = ACTIONS(9392),
    [anon_sym_SEMI] = ACTIONS(9390),
    [anon_sym_STAR_STAR] = ACTIONS(9392),
    [anon_sym_AMP] = ACTIONS(9392),
    [anon_sym_EQ] = ACTIONS(9392),
    [anon_sym_LT] = ACTIONS(9392),
    [anon_sym_if] = ACTIONS(9390),
    [anon_sym_unless] = ACTIONS(9390),
    [anon_sym_while] = ACTIONS(9390),
    [anon_sym_until] = ACTIONS(9390),
    [anon_sym_rescue] = ACTIONS(9390),
    [anon_sym_in] = ACTIONS(9390),
    [anon_sym_do] = ACTIONS(9390),
    [anon_sym_RBRACK] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [anon_sym_PLUS_EQ] = ACTIONS(9390),
    [anon_sym_DASH_EQ] = ACTIONS(9390),
    [anon_sym_STAR_EQ] = ACTIONS(9390),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9390),
    [anon_sym_SLASH_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_PIPE_EQ] = ACTIONS(9390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9390),
    [anon_sym_AMP_EQ] = ACTIONS(9390),
    [anon_sym_PERCENT_EQ] = ACTIONS(9390),
    [anon_sym_GT_GT_EQ] = ACTIONS(9390),
    [anon_sym_LT_LT_EQ] = ACTIONS(9390),
    [anon_sym_CARET_EQ] = ACTIONS(9390),
    [anon_sym_QMARK] = ACTIONS(9390),
    [anon_sym_COLON] = ACTIONS(9390),
    [anon_sym_DOT_DOT] = ACTIONS(9392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9390),
    [anon_sym_and] = ACTIONS(9390),
    [anon_sym_or] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE] = ACTIONS(9392),
    [anon_sym_AMP_AMP] = ACTIONS(9392),
    [anon_sym_LT_LT] = ACTIONS(9392),
    [anon_sym_GT_GT] = ACTIONS(9392),
    [anon_sym_EQ_EQ] = ACTIONS(9392),
    [anon_sym_BANG_EQ] = ACTIONS(9390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9390),
    [anon_sym_LT_EQ_GT] = ACTIONS(9390),
    [anon_sym_EQ_TILDE] = ACTIONS(9390),
    [anon_sym_BANG_TILDE] = ACTIONS(9390),
    [anon_sym_LT_EQ] = ACTIONS(9392),
    [anon_sym_GT] = ACTIONS(9392),
    [anon_sym_GT_EQ] = ACTIONS(9390),
    [anon_sym_CARET] = ACTIONS(9392),
    [anon_sym_PLUS] = ACTIONS(9392),
    [anon_sym_SLASH] = ACTIONS(9392),
    [anon_sym_PERCENT] = ACTIONS(9392),
    [sym_comment] = ACTIONS(87),
  },
  [7321] = {
    [anon_sym_end] = ACTIONS(12363),
    [sym_comment] = ACTIONS(87),
  },
  [7322] = {
    [sym__statements] = STATE(9611),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12365),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7323] = {
    [sym__statements] = STATE(9611),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(9612),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(9612),
    [sym__line_break] = ACTIONS(12367),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12365),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7324] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7325] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [7326] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7327] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [7328] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7329] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7330] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(10214),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [7331] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12369),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7332] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7333] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7334] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7335] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7336] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7337] = {
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_in] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_RBRACK] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [7338] = {
    [sym_heredoc_body] = STATE(7338),
    [aux_sym_call_repeat1] = STATE(7338),
    [sym__heredoc_body_start] = ACTIONS(12320),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [7339] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(1934),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym__argument] = STATE(9477),
    [sym_splat_argument] = STATE(9477),
    [sym_hash_splat_argument] = STATE(9477),
    [sym_block_argument] = STATE(9477),
    [sym_assignment] = STATE(1934),
    [sym_operator_assignment] = STATE(1934),
    [sym_conditional] = STATE(1934),
    [sym_range] = STATE(1934),
    [sym_binary] = STATE(1934),
    [sym_unary] = STATE(1934),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(1942),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(9477),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(3228),
    [sym__splat_star] = ACTIONS(3230),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__identifier_hash_key] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10246),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3256),
    [sym_identifier] = ACTIONS(3256),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7340] = {
    [sym_heredoc_body] = STATE(7338),
    [aux_sym_call_repeat1] = STATE(7338),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [7341] = {
    [aux_sym_argument_list_repeat1] = STATE(7341),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12371),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [7342] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7343] = {
    [aux_sym_exceptions_repeat1] = STATE(9615),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [7344] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [7345] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(10214),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [7346] = {
    [sym_string] = STATE(7346),
    [aux_sym_chained_string_repeat1] = STATE(7346),
    [sym__string_start] = ACTIONS(10368),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [7347] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [7348] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(4464),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(564),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(564),
    [sym_splat_argument] = STATE(9086),
    [sym_assignment] = STATE(4464),
    [sym_operator_assignment] = STATE(4464),
    [sym_conditional] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_binary] = STATE(4464),
    [sym_unary] = STATE(4464),
    [sym__arg_or_splat_arg] = STATE(9086),
    [sym_left_assignment_list] = STATE(563),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(564),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(564),
    [sym_false] = STATE(564),
    [sym_nil] = STATE(564),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(6851),
    [sym__unary_minus] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_defined_QMARK] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7349] = {
    [aux_sym_exceptions_repeat1] = STATE(9616),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(12374),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [7350] = {
    [sym__element_reference_left_bracket] = ACTIONS(10750),
    [sym__infix_scope_colons] = ACTIONS(10750),
    [sym__binary_minus] = ACTIONS(10750),
    [sym__binary_star] = ACTIONS(10750),
    [anon_sym_LBRACE] = ACTIONS(10750),
    [anon_sym_RBRACE] = ACTIONS(10750),
    [anon_sym_RPAREN] = ACTIONS(10750),
    [anon_sym_DOT] = ACTIONS(10752),
    [anon_sym_COMMA] = ACTIONS(10750),
    [anon_sym_PIPE] = ACTIONS(10752),
    [anon_sym_SEMI] = ACTIONS(10750),
    [anon_sym_STAR_STAR] = ACTIONS(10750),
    [anon_sym_AMP] = ACTIONS(10752),
    [anon_sym_LT] = ACTIONS(10752),
    [anon_sym_if] = ACTIONS(10750),
    [anon_sym_unless] = ACTIONS(10750),
    [anon_sym_while] = ACTIONS(10750),
    [anon_sym_until] = ACTIONS(10750),
    [anon_sym_rescue] = ACTIONS(10750),
    [anon_sym_do] = ACTIONS(10750),
    [anon_sym_EQ_GT] = ACTIONS(10750),
    [anon_sym_AMP_DOT] = ACTIONS(10750),
    [anon_sym_QMARK] = ACTIONS(10750),
    [anon_sym_COLON] = ACTIONS(10750),
    [anon_sym_DOT_DOT] = ACTIONS(10752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10750),
    [anon_sym_and] = ACTIONS(10750),
    [anon_sym_or] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE] = ACTIONS(10750),
    [anon_sym_AMP_AMP] = ACTIONS(10750),
    [anon_sym_LT_LT] = ACTIONS(10750),
    [anon_sym_GT_GT] = ACTIONS(10750),
    [anon_sym_EQ_EQ] = ACTIONS(10752),
    [anon_sym_BANG_EQ] = ACTIONS(10750),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10750),
    [anon_sym_LT_EQ_GT] = ACTIONS(10750),
    [anon_sym_EQ_TILDE] = ACTIONS(10750),
    [anon_sym_BANG_TILDE] = ACTIONS(10750),
    [anon_sym_LT_EQ] = ACTIONS(10752),
    [anon_sym_GT] = ACTIONS(10752),
    [anon_sym_GT_EQ] = ACTIONS(10750),
    [anon_sym_CARET] = ACTIONS(10750),
    [anon_sym_PLUS] = ACTIONS(10750),
    [anon_sym_SLASH] = ACTIONS(10750),
    [anon_sym_PERCENT] = ACTIONS(10750),
    [sym_comment] = ACTIONS(87),
  },
  [7351] = {
    [sym__element_reference_left_bracket] = ACTIONS(10754),
    [sym__infix_scope_colons] = ACTIONS(10754),
    [sym__binary_minus] = ACTIONS(10754),
    [sym__binary_star] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_RBRACE] = ACTIONS(10754),
    [anon_sym_RPAREN] = ACTIONS(10754),
    [anon_sym_DOT] = ACTIONS(10756),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_PIPE] = ACTIONS(10756),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_STAR_STAR] = ACTIONS(10754),
    [anon_sym_AMP] = ACTIONS(10756),
    [anon_sym_LT] = ACTIONS(10756),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_unless] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [anon_sym_until] = ACTIONS(10754),
    [anon_sym_rescue] = ACTIONS(10754),
    [anon_sym_do] = ACTIONS(10754),
    [anon_sym_EQ_GT] = ACTIONS(10754),
    [anon_sym_AMP_DOT] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_DOT_DOT] = ACTIONS(10756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_and] = ACTIONS(10754),
    [anon_sym_or] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE] = ACTIONS(10754),
    [anon_sym_AMP_AMP] = ACTIONS(10754),
    [anon_sym_LT_LT] = ACTIONS(10754),
    [anon_sym_GT_GT] = ACTIONS(10754),
    [anon_sym_EQ_EQ] = ACTIONS(10756),
    [anon_sym_BANG_EQ] = ACTIONS(10754),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10754),
    [anon_sym_LT_EQ_GT] = ACTIONS(10754),
    [anon_sym_EQ_TILDE] = ACTIONS(10754),
    [anon_sym_BANG_TILDE] = ACTIONS(10754),
    [anon_sym_LT_EQ] = ACTIONS(10756),
    [anon_sym_GT] = ACTIONS(10756),
    [anon_sym_GT_EQ] = ACTIONS(10754),
    [anon_sym_CARET] = ACTIONS(10754),
    [anon_sym_PLUS] = ACTIONS(10754),
    [anon_sym_SLASH] = ACTIONS(10754),
    [anon_sym_PERCENT] = ACTIONS(10754),
    [sym_comment] = ACTIONS(87),
  },
  [7352] = {
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RBRACE] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR_STAR] = ACTIONS(10783),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_if] = ACTIONS(10783),
    [anon_sym_unless] = ACTIONS(10783),
    [anon_sym_while] = ACTIONS(10783),
    [anon_sym_until] = ACTIONS(10783),
    [anon_sym_rescue] = ACTIONS(10783),
    [anon_sym_in] = ACTIONS(10783),
    [anon_sym_do] = ACTIONS(10783),
    [anon_sym_EQ_GT] = ACTIONS(10783),
    [anon_sym_RBRACK] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10783),
    [anon_sym_COLON] = ACTIONS(10783),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10783),
    [anon_sym_or] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE] = ACTIONS(10783),
    [anon_sym_AMP_AMP] = ACTIONS(10783),
    [anon_sym_LT_LT] = ACTIONS(10783),
    [anon_sym_GT_GT] = ACTIONS(10783),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10783),
    [anon_sym_PLUS] = ACTIONS(10783),
    [anon_sym_SLASH] = ACTIONS(10783),
    [anon_sym_PERCENT] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
  },
  [7353] = {
    [sym_heredoc_body] = STATE(7353),
    [aux_sym_call_repeat1] = STATE(7353),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [7354] = {
    [sym_heredoc_body] = STATE(7353),
    [aux_sym_call_repeat1] = STATE(7353),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [7355] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9617),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_assignment] = STATE(9617),
    [sym_operator_assignment] = STATE(9617),
    [sym_conditional] = STATE(9617),
    [sym_range] = STATE(9617),
    [sym_binary] = STATE(9617),
    [sym_unary] = STATE(9617),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7356] = {
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym__element_reference_left_bracket] = ACTIONS(6671),
    [sym__infix_scope_colons] = ACTIONS(6671),
    [sym__binary_minus] = ACTIONS(6671),
    [sym__binary_star] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_RBRACE] = ACTIONS(6671),
    [anon_sym_RPAREN] = ACTIONS(6671),
    [anon_sym_DOT] = ACTIONS(8601),
    [anon_sym_COMMA] = ACTIONS(6671),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_SEMI] = ACTIONS(6671),
    [anon_sym_STAR_STAR] = ACTIONS(6671),
    [anon_sym_AMP] = ACTIONS(8601),
    [anon_sym_EQ] = ACTIONS(8601),
    [anon_sym_LT] = ACTIONS(8601),
    [anon_sym_if] = ACTIONS(6671),
    [anon_sym_unless] = ACTIONS(6671),
    [anon_sym_while] = ACTIONS(6671),
    [anon_sym_until] = ACTIONS(6671),
    [anon_sym_rescue] = ACTIONS(6671),
    [anon_sym_in] = ACTIONS(6671),
    [anon_sym_do] = ACTIONS(6671),
    [anon_sym_EQ_GT] = ACTIONS(6671),
    [anon_sym_RBRACK] = ACTIONS(6671),
    [anon_sym_AMP_DOT] = ACTIONS(6671),
    [anon_sym_QMARK] = ACTIONS(6671),
    [anon_sym_COLON] = ACTIONS(6671),
    [anon_sym_DOT_DOT] = ACTIONS(8601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6671),
    [anon_sym_and] = ACTIONS(6671),
    [anon_sym_or] = ACTIONS(6671),
    [anon_sym_PIPE_PIPE] = ACTIONS(6671),
    [anon_sym_AMP_AMP] = ACTIONS(6671),
    [anon_sym_LT_LT] = ACTIONS(6671),
    [anon_sym_GT_GT] = ACTIONS(6671),
    [anon_sym_EQ_EQ] = ACTIONS(8601),
    [anon_sym_BANG_EQ] = ACTIONS(6671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6671),
    [anon_sym_LT_EQ_GT] = ACTIONS(6671),
    [anon_sym_EQ_TILDE] = ACTIONS(6671),
    [anon_sym_BANG_TILDE] = ACTIONS(6671),
    [anon_sym_LT_EQ] = ACTIONS(8601),
    [anon_sym_GT] = ACTIONS(8601),
    [anon_sym_GT_EQ] = ACTIONS(6671),
    [anon_sym_CARET] = ACTIONS(6671),
    [anon_sym_PLUS] = ACTIONS(6671),
    [anon_sym_SLASH] = ACTIONS(6671),
    [anon_sym_PERCENT] = ACTIONS(6671),
    [sym_comment] = ACTIONS(87),
  },
  [7357] = {
    [sym__heredoc_body_start] = ACTIONS(10814),
    [sym__element_reference_left_bracket] = ACTIONS(10814),
    [sym__infix_scope_colons] = ACTIONS(10814),
    [sym__binary_minus] = ACTIONS(10814),
    [sym__binary_star] = ACTIONS(10814),
    [anon_sym_LBRACE] = ACTIONS(10814),
    [anon_sym_RBRACE] = ACTIONS(10814),
    [anon_sym_RPAREN] = ACTIONS(10814),
    [anon_sym_DOT] = ACTIONS(10816),
    [anon_sym_COMMA] = ACTIONS(10814),
    [anon_sym_PIPE] = ACTIONS(10816),
    [anon_sym_SEMI] = ACTIONS(10814),
    [anon_sym_STAR_STAR] = ACTIONS(10814),
    [anon_sym_AMP] = ACTIONS(10816),
    [anon_sym_EQ] = ACTIONS(10816),
    [anon_sym_LT] = ACTIONS(10816),
    [anon_sym_if] = ACTIONS(10814),
    [anon_sym_unless] = ACTIONS(10814),
    [anon_sym_while] = ACTIONS(10814),
    [anon_sym_until] = ACTIONS(10814),
    [anon_sym_rescue] = ACTIONS(10814),
    [anon_sym_in] = ACTIONS(10814),
    [anon_sym_do] = ACTIONS(10814),
    [anon_sym_EQ_GT] = ACTIONS(10814),
    [anon_sym_RBRACK] = ACTIONS(10814),
    [anon_sym_AMP_DOT] = ACTIONS(10814),
    [anon_sym_QMARK] = ACTIONS(10814),
    [anon_sym_COLON] = ACTIONS(10814),
    [anon_sym_DOT_DOT] = ACTIONS(10816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10814),
    [anon_sym_and] = ACTIONS(10814),
    [anon_sym_or] = ACTIONS(10814),
    [anon_sym_PIPE_PIPE] = ACTIONS(10814),
    [anon_sym_AMP_AMP] = ACTIONS(10814),
    [anon_sym_LT_LT] = ACTIONS(10814),
    [anon_sym_GT_GT] = ACTIONS(10814),
    [anon_sym_EQ_EQ] = ACTIONS(10816),
    [anon_sym_BANG_EQ] = ACTIONS(10814),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10814),
    [anon_sym_LT_EQ_GT] = ACTIONS(10814),
    [anon_sym_EQ_TILDE] = ACTIONS(10814),
    [anon_sym_BANG_TILDE] = ACTIONS(10814),
    [anon_sym_LT_EQ] = ACTIONS(10816),
    [anon_sym_GT] = ACTIONS(10816),
    [anon_sym_GT_EQ] = ACTIONS(10814),
    [anon_sym_CARET] = ACTIONS(10814),
    [anon_sym_PLUS] = ACTIONS(10814),
    [anon_sym_SLASH] = ACTIONS(10814),
    [anon_sym_PERCENT] = ACTIONS(10814),
    [sym_comment] = ACTIONS(87),
  },
  [7358] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4497),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(4497),
    [sym_operator_assignment] = STATE(4497),
    [sym_conditional] = STATE(4497),
    [sym_range] = STATE(4497),
    [sym_binary] = STATE(4497),
    [sym_unary] = STATE(4497),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1952),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(1053),
    [sym__unary_minus] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1081),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7359] = {
    [aux_sym_exceptions_repeat1] = STATE(9619),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12376),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [7360] = {
    [sym__element_reference_left_bracket] = ACTIONS(10911),
    [sym__infix_scope_colons] = ACTIONS(10911),
    [sym__binary_minus] = ACTIONS(10911),
    [sym__binary_star] = ACTIONS(10911),
    [anon_sym_LBRACE] = ACTIONS(10911),
    [anon_sym_RBRACE] = ACTIONS(10911),
    [anon_sym_RPAREN] = ACTIONS(10911),
    [anon_sym_DOT] = ACTIONS(10913),
    [anon_sym_COMMA] = ACTIONS(10911),
    [anon_sym_PIPE] = ACTIONS(10913),
    [anon_sym_SEMI] = ACTIONS(10911),
    [anon_sym_STAR_STAR] = ACTIONS(10911),
    [anon_sym_AMP] = ACTIONS(10913),
    [anon_sym_LT] = ACTIONS(10913),
    [anon_sym_if] = ACTIONS(10911),
    [anon_sym_unless] = ACTIONS(10911),
    [anon_sym_while] = ACTIONS(10911),
    [anon_sym_until] = ACTIONS(10911),
    [anon_sym_rescue] = ACTIONS(10911),
    [anon_sym_do] = ACTIONS(10911),
    [anon_sym_EQ_GT] = ACTIONS(10911),
    [anon_sym_AMP_DOT] = ACTIONS(10911),
    [anon_sym_QMARK] = ACTIONS(10911),
    [anon_sym_COLON] = ACTIONS(10911),
    [anon_sym_DOT_DOT] = ACTIONS(10913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10911),
    [anon_sym_and] = ACTIONS(10911),
    [anon_sym_or] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE] = ACTIONS(10911),
    [anon_sym_AMP_AMP] = ACTIONS(10911),
    [anon_sym_LT_LT] = ACTIONS(10911),
    [anon_sym_GT_GT] = ACTIONS(10911),
    [anon_sym_EQ_EQ] = ACTIONS(10913),
    [anon_sym_BANG_EQ] = ACTIONS(10911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10911),
    [anon_sym_LT_EQ_GT] = ACTIONS(10911),
    [anon_sym_EQ_TILDE] = ACTIONS(10911),
    [anon_sym_BANG_TILDE] = ACTIONS(10911),
    [anon_sym_LT_EQ] = ACTIONS(10913),
    [anon_sym_GT] = ACTIONS(10913),
    [anon_sym_GT_EQ] = ACTIONS(10911),
    [anon_sym_CARET] = ACTIONS(10911),
    [anon_sym_PLUS] = ACTIONS(10911),
    [anon_sym_SLASH] = ACTIONS(10911),
    [anon_sym_PERCENT] = ACTIONS(10911),
    [sym_comment] = ACTIONS(87),
  },
  [7361] = {
    [anon_sym_end] = ACTIONS(12378),
    [sym_comment] = ACTIONS(87),
  },
  [7362] = {
    [sym_elsif] = STATE(9621),
    [sym_else] = STATE(9621),
    [sym__if_tail] = STATE(9621),
    [anon_sym_end] = ACTIONS(12378),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [7363] = {
    [sym__element_reference_left_bracket] = ACTIONS(11082),
    [sym__infix_scope_colons] = ACTIONS(11082),
    [sym__binary_minus] = ACTIONS(11082),
    [sym__binary_star] = ACTIONS(11082),
    [anon_sym_LBRACE] = ACTIONS(11082),
    [anon_sym_RBRACE] = ACTIONS(11082),
    [anon_sym_RPAREN] = ACTIONS(11082),
    [anon_sym_DOT] = ACTIONS(11084),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_PIPE] = ACTIONS(11084),
    [anon_sym_SEMI] = ACTIONS(11082),
    [anon_sym_STAR_STAR] = ACTIONS(11082),
    [anon_sym_AMP] = ACTIONS(11084),
    [anon_sym_LT] = ACTIONS(11084),
    [anon_sym_if] = ACTIONS(11082),
    [anon_sym_unless] = ACTIONS(11082),
    [anon_sym_while] = ACTIONS(11082),
    [anon_sym_until] = ACTIONS(11082),
    [anon_sym_rescue] = ACTIONS(11082),
    [anon_sym_do] = ACTIONS(11082),
    [anon_sym_EQ_GT] = ACTIONS(11082),
    [anon_sym_AMP_DOT] = ACTIONS(11082),
    [anon_sym_QMARK] = ACTIONS(11082),
    [anon_sym_COLON] = ACTIONS(11082),
    [anon_sym_DOT_DOT] = ACTIONS(11084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11082),
    [anon_sym_and] = ACTIONS(11082),
    [anon_sym_or] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE] = ACTIONS(11082),
    [anon_sym_AMP_AMP] = ACTIONS(11082),
    [anon_sym_LT_LT] = ACTIONS(11082),
    [anon_sym_GT_GT] = ACTIONS(11082),
    [anon_sym_EQ_EQ] = ACTIONS(11084),
    [anon_sym_BANG_EQ] = ACTIONS(11082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11082),
    [anon_sym_LT_EQ_GT] = ACTIONS(11082),
    [anon_sym_EQ_TILDE] = ACTIONS(11082),
    [anon_sym_BANG_TILDE] = ACTIONS(11082),
    [anon_sym_LT_EQ] = ACTIONS(11084),
    [anon_sym_GT] = ACTIONS(11084),
    [anon_sym_GT_EQ] = ACTIONS(11082),
    [anon_sym_CARET] = ACTIONS(11082),
    [anon_sym_PLUS] = ACTIONS(11082),
    [anon_sym_SLASH] = ACTIONS(11082),
    [anon_sym_PERCENT] = ACTIONS(11082),
    [sym_comment] = ACTIONS(87),
  },
  [7364] = {
    [anon_sym_end] = ACTIONS(12380),
    [sym_comment] = ACTIONS(87),
  },
  [7365] = {
    [sym__element_reference_left_bracket] = ACTIONS(11177),
    [sym__infix_scope_colons] = ACTIONS(11177),
    [sym__binary_minus] = ACTIONS(11177),
    [sym__binary_star] = ACTIONS(11177),
    [anon_sym_LBRACE] = ACTIONS(11177),
    [anon_sym_RBRACE] = ACTIONS(11177),
    [anon_sym_RPAREN] = ACTIONS(11177),
    [anon_sym_DOT] = ACTIONS(11179),
    [anon_sym_COMMA] = ACTIONS(11177),
    [anon_sym_PIPE] = ACTIONS(11179),
    [anon_sym_SEMI] = ACTIONS(11177),
    [anon_sym_STAR_STAR] = ACTIONS(11177),
    [anon_sym_AMP] = ACTIONS(11179),
    [anon_sym_LT] = ACTIONS(11179),
    [anon_sym_if] = ACTIONS(11177),
    [anon_sym_unless] = ACTIONS(11177),
    [anon_sym_while] = ACTIONS(11177),
    [anon_sym_until] = ACTIONS(11177),
    [anon_sym_rescue] = ACTIONS(11177),
    [anon_sym_do] = ACTIONS(11177),
    [anon_sym_EQ_GT] = ACTIONS(11177),
    [anon_sym_AMP_DOT] = ACTIONS(11177),
    [anon_sym_QMARK] = ACTIONS(11177),
    [anon_sym_COLON] = ACTIONS(11177),
    [anon_sym_DOT_DOT] = ACTIONS(11179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11177),
    [anon_sym_and] = ACTIONS(11177),
    [anon_sym_or] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE] = ACTIONS(11177),
    [anon_sym_AMP_AMP] = ACTIONS(11177),
    [anon_sym_LT_LT] = ACTIONS(11177),
    [anon_sym_GT_GT] = ACTIONS(11177),
    [anon_sym_EQ_EQ] = ACTIONS(11179),
    [anon_sym_BANG_EQ] = ACTIONS(11177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11177),
    [anon_sym_LT_EQ_GT] = ACTIONS(11177),
    [anon_sym_EQ_TILDE] = ACTIONS(11177),
    [anon_sym_BANG_TILDE] = ACTIONS(11177),
    [anon_sym_LT_EQ] = ACTIONS(11179),
    [anon_sym_GT] = ACTIONS(11179),
    [anon_sym_GT_EQ] = ACTIONS(11177),
    [anon_sym_CARET] = ACTIONS(11177),
    [anon_sym_PLUS] = ACTIONS(11177),
    [anon_sym_SLASH] = ACTIONS(11177),
    [anon_sym_PERCENT] = ACTIONS(11177),
    [sym_comment] = ACTIONS(87),
  },
  [7366] = {
    [sym__element_reference_left_bracket] = ACTIONS(11186),
    [sym__infix_scope_colons] = ACTIONS(11186),
    [sym__binary_minus] = ACTIONS(11186),
    [sym__binary_star] = ACTIONS(11186),
    [anon_sym_LBRACE] = ACTIONS(11186),
    [anon_sym_RBRACE] = ACTIONS(11186),
    [anon_sym_RPAREN] = ACTIONS(11186),
    [anon_sym_DOT] = ACTIONS(11188),
    [anon_sym_COMMA] = ACTIONS(11186),
    [anon_sym_PIPE] = ACTIONS(11188),
    [anon_sym_SEMI] = ACTIONS(11186),
    [anon_sym_STAR_STAR] = ACTIONS(11186),
    [anon_sym_AMP] = ACTIONS(11188),
    [anon_sym_LT] = ACTIONS(11188),
    [anon_sym_if] = ACTIONS(11186),
    [anon_sym_unless] = ACTIONS(11186),
    [anon_sym_while] = ACTIONS(11186),
    [anon_sym_until] = ACTIONS(11186),
    [anon_sym_rescue] = ACTIONS(11186),
    [anon_sym_do] = ACTIONS(11186),
    [anon_sym_EQ_GT] = ACTIONS(11186),
    [anon_sym_AMP_DOT] = ACTIONS(11186),
    [anon_sym_QMARK] = ACTIONS(11186),
    [anon_sym_COLON] = ACTIONS(11186),
    [anon_sym_DOT_DOT] = ACTIONS(11188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11186),
    [anon_sym_and] = ACTIONS(11186),
    [anon_sym_or] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11186),
    [anon_sym_AMP_AMP] = ACTIONS(11186),
    [anon_sym_LT_LT] = ACTIONS(11186),
    [anon_sym_GT_GT] = ACTIONS(11186),
    [anon_sym_EQ_EQ] = ACTIONS(11188),
    [anon_sym_BANG_EQ] = ACTIONS(11186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11186),
    [anon_sym_LT_EQ_GT] = ACTIONS(11186),
    [anon_sym_EQ_TILDE] = ACTIONS(11186),
    [anon_sym_BANG_TILDE] = ACTIONS(11186),
    [anon_sym_LT_EQ] = ACTIONS(11188),
    [anon_sym_GT] = ACTIONS(11188),
    [anon_sym_GT_EQ] = ACTIONS(11186),
    [anon_sym_CARET] = ACTIONS(11186),
    [anon_sym_PLUS] = ACTIONS(11186),
    [anon_sym_SLASH] = ACTIONS(11186),
    [anon_sym_PERCENT] = ACTIONS(11186),
    [sym_comment] = ACTIONS(87),
  },
  [7367] = {
    [sym__element_reference_left_bracket] = ACTIONS(11233),
    [sym__infix_scope_colons] = ACTIONS(11233),
    [sym__binary_minus] = ACTIONS(11233),
    [sym__binary_star] = ACTIONS(11233),
    [anon_sym_LBRACE] = ACTIONS(11233),
    [anon_sym_RBRACE] = ACTIONS(11233),
    [anon_sym_RPAREN] = ACTIONS(11233),
    [anon_sym_DOT] = ACTIONS(11235),
    [anon_sym_COMMA] = ACTIONS(11233),
    [anon_sym_PIPE] = ACTIONS(11235),
    [anon_sym_SEMI] = ACTIONS(11233),
    [anon_sym_STAR_STAR] = ACTIONS(11233),
    [anon_sym_AMP] = ACTIONS(11235),
    [anon_sym_LT] = ACTIONS(11235),
    [anon_sym_if] = ACTIONS(11233),
    [anon_sym_unless] = ACTIONS(11233),
    [anon_sym_while] = ACTIONS(11233),
    [anon_sym_until] = ACTIONS(11233),
    [anon_sym_rescue] = ACTIONS(11233),
    [anon_sym_do] = ACTIONS(11233),
    [anon_sym_EQ_GT] = ACTIONS(11233),
    [anon_sym_AMP_DOT] = ACTIONS(11233),
    [anon_sym_QMARK] = ACTIONS(11233),
    [anon_sym_COLON] = ACTIONS(11233),
    [anon_sym_DOT_DOT] = ACTIONS(11235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11233),
    [anon_sym_and] = ACTIONS(11233),
    [anon_sym_or] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE] = ACTIONS(11233),
    [anon_sym_AMP_AMP] = ACTIONS(11233),
    [anon_sym_LT_LT] = ACTIONS(11233),
    [anon_sym_GT_GT] = ACTIONS(11233),
    [anon_sym_EQ_EQ] = ACTIONS(11235),
    [anon_sym_BANG_EQ] = ACTIONS(11233),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11233),
    [anon_sym_LT_EQ_GT] = ACTIONS(11233),
    [anon_sym_EQ_TILDE] = ACTIONS(11233),
    [anon_sym_BANG_TILDE] = ACTIONS(11233),
    [anon_sym_LT_EQ] = ACTIONS(11235),
    [anon_sym_GT] = ACTIONS(11235),
    [anon_sym_GT_EQ] = ACTIONS(11233),
    [anon_sym_CARET] = ACTIONS(11233),
    [anon_sym_PLUS] = ACTIONS(11233),
    [anon_sym_SLASH] = ACTIONS(11233),
    [anon_sym_PERCENT] = ACTIONS(11233),
    [sym_comment] = ACTIONS(87),
  },
  [7368] = {
    [anon_sym_end] = ACTIONS(12382),
    [sym_comment] = ACTIONS(87),
  },
  [7369] = {
    [sym__element_reference_left_bracket] = ACTIONS(11246),
    [sym__infix_scope_colons] = ACTIONS(11246),
    [sym__binary_minus] = ACTIONS(11246),
    [sym__binary_star] = ACTIONS(11246),
    [anon_sym_LBRACE] = ACTIONS(11246),
    [anon_sym_RBRACE] = ACTIONS(11246),
    [anon_sym_RPAREN] = ACTIONS(11246),
    [anon_sym_DOT] = ACTIONS(11248),
    [anon_sym_COMMA] = ACTIONS(11246),
    [anon_sym_PIPE] = ACTIONS(11248),
    [anon_sym_SEMI] = ACTIONS(11246),
    [anon_sym_STAR_STAR] = ACTIONS(11246),
    [anon_sym_AMP] = ACTIONS(11248),
    [anon_sym_LT] = ACTIONS(11248),
    [anon_sym_if] = ACTIONS(11246),
    [anon_sym_unless] = ACTIONS(11246),
    [anon_sym_while] = ACTIONS(11246),
    [anon_sym_until] = ACTIONS(11246),
    [anon_sym_rescue] = ACTIONS(11246),
    [anon_sym_do] = ACTIONS(11246),
    [anon_sym_EQ_GT] = ACTIONS(11246),
    [anon_sym_AMP_DOT] = ACTIONS(11246),
    [anon_sym_QMARK] = ACTIONS(11246),
    [anon_sym_COLON] = ACTIONS(11246),
    [anon_sym_DOT_DOT] = ACTIONS(11248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11246),
    [anon_sym_and] = ACTIONS(11246),
    [anon_sym_or] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE] = ACTIONS(11246),
    [anon_sym_AMP_AMP] = ACTIONS(11246),
    [anon_sym_LT_LT] = ACTIONS(11246),
    [anon_sym_GT_GT] = ACTIONS(11246),
    [anon_sym_EQ_EQ] = ACTIONS(11248),
    [anon_sym_BANG_EQ] = ACTIONS(11246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11246),
    [anon_sym_LT_EQ_GT] = ACTIONS(11246),
    [anon_sym_EQ_TILDE] = ACTIONS(11246),
    [anon_sym_BANG_TILDE] = ACTIONS(11246),
    [anon_sym_LT_EQ] = ACTIONS(11248),
    [anon_sym_GT] = ACTIONS(11248),
    [anon_sym_GT_EQ] = ACTIONS(11246),
    [anon_sym_CARET] = ACTIONS(11246),
    [anon_sym_PLUS] = ACTIONS(11246),
    [anon_sym_SLASH] = ACTIONS(11246),
    [anon_sym_PERCENT] = ACTIONS(11246),
    [sym_comment] = ACTIONS(87),
  },
  [7370] = {
    [anon_sym_end] = ACTIONS(12384),
    [sym_comment] = ACTIONS(87),
  },
  [7371] = {
    [sym__element_reference_left_bracket] = ACTIONS(11712),
    [sym__infix_scope_colons] = ACTIONS(11712),
    [sym__binary_minus] = ACTIONS(11712),
    [sym__binary_star] = ACTIONS(11712),
    [anon_sym_LBRACE] = ACTIONS(11712),
    [anon_sym_RBRACE] = ACTIONS(11712),
    [anon_sym_RPAREN] = ACTIONS(11712),
    [anon_sym_DOT] = ACTIONS(11714),
    [anon_sym_COMMA] = ACTIONS(11712),
    [anon_sym_PIPE] = ACTIONS(11714),
    [anon_sym_SEMI] = ACTIONS(11712),
    [anon_sym_STAR_STAR] = ACTIONS(11712),
    [anon_sym_AMP] = ACTIONS(11714),
    [anon_sym_LT] = ACTIONS(11714),
    [anon_sym_if] = ACTIONS(11712),
    [anon_sym_unless] = ACTIONS(11712),
    [anon_sym_while] = ACTIONS(11712),
    [anon_sym_until] = ACTIONS(11712),
    [anon_sym_rescue] = ACTIONS(11712),
    [anon_sym_do] = ACTIONS(11712),
    [anon_sym_EQ_GT] = ACTIONS(11712),
    [anon_sym_AMP_DOT] = ACTIONS(11712),
    [anon_sym_QMARK] = ACTIONS(11712),
    [anon_sym_COLON] = ACTIONS(11712),
    [anon_sym_DOT_DOT] = ACTIONS(11714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11712),
    [anon_sym_and] = ACTIONS(11712),
    [anon_sym_or] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE] = ACTIONS(11712),
    [anon_sym_AMP_AMP] = ACTIONS(11712),
    [anon_sym_LT_LT] = ACTIONS(11712),
    [anon_sym_GT_GT] = ACTIONS(11712),
    [anon_sym_EQ_EQ] = ACTIONS(11714),
    [anon_sym_BANG_EQ] = ACTIONS(11712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11712),
    [anon_sym_LT_EQ_GT] = ACTIONS(11712),
    [anon_sym_EQ_TILDE] = ACTIONS(11712),
    [anon_sym_BANG_TILDE] = ACTIONS(11712),
    [anon_sym_LT_EQ] = ACTIONS(11714),
    [anon_sym_GT] = ACTIONS(11714),
    [anon_sym_GT_EQ] = ACTIONS(11712),
    [anon_sym_CARET] = ACTIONS(11712),
    [anon_sym_PLUS] = ACTIONS(11712),
    [anon_sym_SLASH] = ACTIONS(11712),
    [anon_sym_PERCENT] = ACTIONS(11712),
    [sym_comment] = ACTIONS(87),
  },
  [7372] = {
    [anon_sym_end] = ACTIONS(12386),
    [sym_comment] = ACTIONS(87),
  },
  [7373] = {
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [sym__binary_minus] = ACTIONS(11905),
    [sym__binary_star] = ACTIONS(11905),
    [anon_sym_LBRACE] = ACTIONS(11905),
    [anon_sym_RBRACE] = ACTIONS(11905),
    [anon_sym_RPAREN] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11907),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_PIPE] = ACTIONS(11907),
    [anon_sym_SEMI] = ACTIONS(11905),
    [anon_sym_STAR_STAR] = ACTIONS(11905),
    [anon_sym_AMP] = ACTIONS(11907),
    [anon_sym_LT] = ACTIONS(11907),
    [anon_sym_if] = ACTIONS(11905),
    [anon_sym_unless] = ACTIONS(11905),
    [anon_sym_while] = ACTIONS(11905),
    [anon_sym_until] = ACTIONS(11905),
    [anon_sym_rescue] = ACTIONS(11905),
    [anon_sym_do] = ACTIONS(11905),
    [anon_sym_EQ_GT] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [anon_sym_QMARK] = ACTIONS(11905),
    [anon_sym_COLON] = ACTIONS(11905),
    [anon_sym_DOT_DOT] = ACTIONS(11907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11905),
    [anon_sym_and] = ACTIONS(11905),
    [anon_sym_or] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE] = ACTIONS(11905),
    [anon_sym_AMP_AMP] = ACTIONS(11905),
    [anon_sym_LT_LT] = ACTIONS(11905),
    [anon_sym_GT_GT] = ACTIONS(11905),
    [anon_sym_EQ_EQ] = ACTIONS(11907),
    [anon_sym_BANG_EQ] = ACTIONS(11905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11905),
    [anon_sym_LT_EQ_GT] = ACTIONS(11905),
    [anon_sym_EQ_TILDE] = ACTIONS(11905),
    [anon_sym_BANG_TILDE] = ACTIONS(11905),
    [anon_sym_LT_EQ] = ACTIONS(11907),
    [anon_sym_GT] = ACTIONS(11907),
    [anon_sym_GT_EQ] = ACTIONS(11905),
    [anon_sym_CARET] = ACTIONS(11905),
    [anon_sym_PLUS] = ACTIONS(11905),
    [anon_sym_SLASH] = ACTIONS(11905),
    [anon_sym_PERCENT] = ACTIONS(11905),
    [sym_comment] = ACTIONS(87),
  },
  [7374] = {
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [sym__binary_minus] = ACTIONS(11938),
    [sym__binary_star] = ACTIONS(11938),
    [anon_sym_LBRACE] = ACTIONS(11938),
    [anon_sym_RBRACE] = ACTIONS(11938),
    [anon_sym_RPAREN] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11940),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_PIPE] = ACTIONS(11940),
    [anon_sym_SEMI] = ACTIONS(11938),
    [anon_sym_STAR_STAR] = ACTIONS(11938),
    [anon_sym_AMP] = ACTIONS(11940),
    [anon_sym_LT] = ACTIONS(11940),
    [anon_sym_if] = ACTIONS(11938),
    [anon_sym_unless] = ACTIONS(11938),
    [anon_sym_while] = ACTIONS(11938),
    [anon_sym_until] = ACTIONS(11938),
    [anon_sym_rescue] = ACTIONS(11938),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_EQ_GT] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [anon_sym_QMARK] = ACTIONS(11938),
    [anon_sym_COLON] = ACTIONS(11938),
    [anon_sym_DOT_DOT] = ACTIONS(11940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11938),
    [anon_sym_and] = ACTIONS(11938),
    [anon_sym_or] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE] = ACTIONS(11938),
    [anon_sym_AMP_AMP] = ACTIONS(11938),
    [anon_sym_LT_LT] = ACTIONS(11938),
    [anon_sym_GT_GT] = ACTIONS(11938),
    [anon_sym_EQ_EQ] = ACTIONS(11940),
    [anon_sym_BANG_EQ] = ACTIONS(11938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11938),
    [anon_sym_LT_EQ_GT] = ACTIONS(11938),
    [anon_sym_EQ_TILDE] = ACTIONS(11938),
    [anon_sym_BANG_TILDE] = ACTIONS(11938),
    [anon_sym_LT_EQ] = ACTIONS(11940),
    [anon_sym_GT] = ACTIONS(11940),
    [anon_sym_GT_EQ] = ACTIONS(11938),
    [anon_sym_CARET] = ACTIONS(11938),
    [anon_sym_PLUS] = ACTIONS(11938),
    [anon_sym_SLASH] = ACTIONS(11938),
    [anon_sym_PERCENT] = ACTIONS(11938),
    [sym_comment] = ACTIONS(87),
  },
  [7375] = {
    [anon_sym_end] = ACTIONS(12388),
    [sym_comment] = ACTIONS(87),
  },
  [7376] = {
    [sym__statements] = STATE(9627),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12390),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7377] = {
    [sym__binary_minus] = ACTIONS(1101),
    [sym__binary_star] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1109),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_DOT_DOT] = ACTIONS(1117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1119),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_EQ_TILDE] = ACTIONS(1123),
    [anon_sym_BANG_TILDE] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_GT] = ACTIONS(1111),
    [anon_sym_GT_EQ] = ACTIONS(1129),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(87),
  },
  [7378] = {
    [sym__element_reference_left_bracket] = ACTIONS(12078),
    [sym__infix_scope_colons] = ACTIONS(12078),
    [sym__binary_minus] = ACTIONS(12078),
    [sym__binary_star] = ACTIONS(12078),
    [anon_sym_DOT] = ACTIONS(12080),
    [anon_sym_COMMA] = ACTIONS(12078),
    [anon_sym_PIPE] = ACTIONS(12080),
    [anon_sym_STAR_STAR] = ACTIONS(12080),
    [anon_sym_AMP] = ACTIONS(12080),
    [anon_sym_EQ] = ACTIONS(12080),
    [anon_sym_LT] = ACTIONS(12080),
    [anon_sym_EQ_GT] = ACTIONS(12078),
    [anon_sym_AMP_DOT] = ACTIONS(12078),
    [anon_sym_PLUS_EQ] = ACTIONS(12078),
    [anon_sym_DASH_EQ] = ACTIONS(12078),
    [anon_sym_STAR_EQ] = ACTIONS(12078),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12078),
    [anon_sym_SLASH_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12078),
    [anon_sym_AMP_EQ] = ACTIONS(12078),
    [anon_sym_PERCENT_EQ] = ACTIONS(12078),
    [anon_sym_GT_GT_EQ] = ACTIONS(12078),
    [anon_sym_LT_LT_EQ] = ACTIONS(12078),
    [anon_sym_CARET_EQ] = ACTIONS(12078),
    [anon_sym_QMARK] = ACTIONS(12078),
    [anon_sym_DOT_DOT] = ACTIONS(12080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12078),
    [anon_sym_and] = ACTIONS(12078),
    [anon_sym_or] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE] = ACTIONS(12080),
    [anon_sym_AMP_AMP] = ACTIONS(12080),
    [anon_sym_LT_LT] = ACTIONS(12080),
    [anon_sym_GT_GT] = ACTIONS(12080),
    [anon_sym_EQ_EQ] = ACTIONS(12080),
    [anon_sym_BANG_EQ] = ACTIONS(12078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12078),
    [anon_sym_LT_EQ_GT] = ACTIONS(12078),
    [anon_sym_EQ_TILDE] = ACTIONS(12078),
    [anon_sym_BANG_TILDE] = ACTIONS(12078),
    [anon_sym_LT_EQ] = ACTIONS(12080),
    [anon_sym_GT] = ACTIONS(12080),
    [anon_sym_GT_EQ] = ACTIONS(12078),
    [anon_sym_CARET] = ACTIONS(12080),
    [anon_sym_PLUS] = ACTIONS(12080),
    [anon_sym_SLASH] = ACTIONS(12080),
    [anon_sym_PERCENT] = ACTIONS(12080),
    [sym_comment] = ACTIONS(87),
  },
  [7379] = {
    [sym__simple_symbol] = ACTIONS(7758),
    [sym__string_start] = ACTIONS(7758),
    [sym__symbol_start] = ACTIONS(7758),
    [sym__subshell_start] = ACTIONS(7758),
    [sym__regex_start] = ACTIONS(7758),
    [sym__string_array_start] = ACTIONS(7758),
    [sym__symbol_array_start] = ACTIONS(7758),
    [sym_heredoc_beginning] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__block_ampersand] = ACTIONS(7758),
    [sym__splat_star] = ACTIONS(7758),
    [sym__argument_list_left_paren] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__unary_minus] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [sym__identifier_hash_key] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_def] = ACTIONS(7760),
    [anon_sym_LPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COLON_COLON] = ACTIONS(7758),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_STAR] = ACTIONS(7760),
    [anon_sym_STAR_STAR] = ACTIONS(7760),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_class] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_module] = ACTIONS(7760),
    [anon_sym_return] = ACTIONS(7760),
    [anon_sym_yield] = ACTIONS(7760),
    [anon_sym_break] = ACTIONS(7760),
    [anon_sym_next] = ACTIONS(7760),
    [sym_redo] = ACTIONS(7760),
    [sym_retry] = ACTIONS(7760),
    [anon_sym_if] = ACTIONS(7760),
    [anon_sym_unless] = ACTIONS(7760),
    [anon_sym_while] = ACTIONS(7760),
    [anon_sym_until] = ACTIONS(7760),
    [anon_sym_for] = ACTIONS(7760),
    [anon_sym_do] = ACTIONS(7760),
    [anon_sym_case] = ACTIONS(7760),
    [anon_sym_begin] = ACTIONS(7760),
    [anon_sym_EQ_GT] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS_EQ] = ACTIONS(7758),
    [anon_sym_DASH_EQ] = ACTIONS(7758),
    [anon_sym_STAR_EQ] = ACTIONS(7758),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7758),
    [anon_sym_SLASH_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7758),
    [anon_sym_AMP_EQ] = ACTIONS(7758),
    [anon_sym_PERCENT_EQ] = ACTIONS(7758),
    [anon_sym_GT_GT_EQ] = ACTIONS(7758),
    [anon_sym_LT_LT_EQ] = ACTIONS(7758),
    [anon_sym_CARET_EQ] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7760),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7760),
    [anon_sym_or] = ACTIONS(7760),
    [anon_sym_PIPE_PIPE] = ACTIONS(7760),
    [anon_sym_AMP_AMP] = ACTIONS(7760),
    [anon_sym_LT_LT] = ACTIONS(7760),
    [anon_sym_GT_GT] = ACTIONS(7760),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7760),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_SLASH] = ACTIONS(7760),
    [anon_sym_PERCENT] = ACTIONS(7760),
    [anon_sym_defined_QMARK] = ACTIONS(7758),
    [anon_sym_not] = ACTIONS(7760),
    [anon_sym_BANG] = ACTIONS(7760),
    [anon_sym_TILDE] = ACTIONS(7758),
    [sym_constant] = ACTIONS(7760),
    [sym_identifier] = ACTIONS(7760),
    [sym_instance_variable] = ACTIONS(7758),
    [sym_class_variable] = ACTIONS(7758),
    [sym_global_variable] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(7760),
    [sym_float] = ACTIONS(7760),
    [sym_complex] = ACTIONS(7758),
    [sym_super] = ACTIONS(7760),
    [anon_sym_true] = ACTIONS(7760),
    [anon_sym_TRUE] = ACTIONS(7760),
    [anon_sym_false] = ACTIONS(7760),
    [anon_sym_FALSE] = ACTIONS(7760),
    [sym_self] = ACTIONS(7760),
    [anon_sym_nil] = ACTIONS(7760),
    [anon_sym_NIL] = ACTIONS(7760),
    [sym_character] = ACTIONS(7758),
    [anon_sym_LBRACK] = ACTIONS(7758),
    [anon_sym_DASH_GT] = ACTIONS(7758),
  },
  [7380] = {
    [anon_sym_RPAREN] = ACTIONS(12392),
    [sym_comment] = ACTIONS(87),
  },
  [7381] = {
    [sym__heredoc_body_start] = ACTIONS(6453),
    [sym__element_reference_left_bracket] = ACTIONS(6453),
    [sym__infix_scope_colons] = ACTIONS(6453),
    [sym__binary_minus] = ACTIONS(6453),
    [sym__binary_star] = ACTIONS(6453),
    [anon_sym_LBRACE] = ACTIONS(6453),
    [anon_sym_RBRACE] = ACTIONS(6453),
    [anon_sym_RPAREN] = ACTIONS(6453),
    [anon_sym_DOT] = ACTIONS(6455),
    [anon_sym_COMMA] = ACTIONS(6453),
    [anon_sym_PIPE] = ACTIONS(6455),
    [anon_sym_SEMI] = ACTIONS(6453),
    [anon_sym_STAR_STAR] = ACTIONS(6455),
    [anon_sym_AMP] = ACTIONS(6455),
    [anon_sym_EQ] = ACTIONS(6455),
    [anon_sym_LT] = ACTIONS(6455),
    [anon_sym_if] = ACTIONS(6453),
    [anon_sym_unless] = ACTIONS(6453),
    [anon_sym_while] = ACTIONS(6453),
    [anon_sym_until] = ACTIONS(6453),
    [anon_sym_rescue] = ACTIONS(6453),
    [anon_sym_in] = ACTIONS(6453),
    [anon_sym_do] = ACTIONS(6453),
    [anon_sym_EQ_GT] = ACTIONS(6453),
    [anon_sym_RBRACK] = ACTIONS(6453),
    [anon_sym_AMP_DOT] = ACTIONS(6453),
    [anon_sym_PLUS_EQ] = ACTIONS(6453),
    [anon_sym_DASH_EQ] = ACTIONS(6453),
    [anon_sym_STAR_EQ] = ACTIONS(6453),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6453),
    [anon_sym_SLASH_EQ] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6453),
    [anon_sym_PIPE_EQ] = ACTIONS(6453),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6453),
    [anon_sym_AMP_EQ] = ACTIONS(6453),
    [anon_sym_PERCENT_EQ] = ACTIONS(6453),
    [anon_sym_GT_GT_EQ] = ACTIONS(6453),
    [anon_sym_LT_LT_EQ] = ACTIONS(6453),
    [anon_sym_CARET_EQ] = ACTIONS(6453),
    [anon_sym_QMARK] = ACTIONS(6453),
    [anon_sym_COLON] = ACTIONS(6453),
    [anon_sym_DOT_DOT] = ACTIONS(6455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6453),
    [anon_sym_and] = ACTIONS(6453),
    [anon_sym_or] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE] = ACTIONS(6455),
    [anon_sym_AMP_AMP] = ACTIONS(6455),
    [anon_sym_LT_LT] = ACTIONS(6455),
    [anon_sym_GT_GT] = ACTIONS(6455),
    [anon_sym_EQ_EQ] = ACTIONS(6455),
    [anon_sym_BANG_EQ] = ACTIONS(6453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6453),
    [anon_sym_LT_EQ_GT] = ACTIONS(6453),
    [anon_sym_EQ_TILDE] = ACTIONS(6453),
    [anon_sym_BANG_TILDE] = ACTIONS(6453),
    [anon_sym_LT_EQ] = ACTIONS(6455),
    [anon_sym_GT] = ACTIONS(6455),
    [anon_sym_GT_EQ] = ACTIONS(6453),
    [anon_sym_CARET] = ACTIONS(6455),
    [anon_sym_PLUS] = ACTIONS(6455),
    [anon_sym_SLASH] = ACTIONS(6455),
    [anon_sym_PERCENT] = ACTIONS(6455),
    [sym_comment] = ACTIONS(87),
  },
  [7382] = {
    [sym__heredoc_body_start] = ACTIONS(6457),
    [sym__element_reference_left_bracket] = ACTIONS(6457),
    [sym__infix_scope_colons] = ACTIONS(6457),
    [sym__binary_minus] = ACTIONS(6457),
    [sym__binary_star] = ACTIONS(6457),
    [anon_sym_LBRACE] = ACTIONS(6457),
    [anon_sym_RBRACE] = ACTIONS(6457),
    [anon_sym_RPAREN] = ACTIONS(6457),
    [anon_sym_DOT] = ACTIONS(6459),
    [anon_sym_COMMA] = ACTIONS(6457),
    [anon_sym_PIPE] = ACTIONS(6459),
    [anon_sym_SEMI] = ACTIONS(6457),
    [anon_sym_STAR_STAR] = ACTIONS(6459),
    [anon_sym_AMP] = ACTIONS(6459),
    [anon_sym_EQ] = ACTIONS(6459),
    [anon_sym_LT] = ACTIONS(6459),
    [anon_sym_if] = ACTIONS(6457),
    [anon_sym_unless] = ACTIONS(6457),
    [anon_sym_while] = ACTIONS(6457),
    [anon_sym_until] = ACTIONS(6457),
    [anon_sym_rescue] = ACTIONS(6457),
    [anon_sym_in] = ACTIONS(6457),
    [anon_sym_do] = ACTIONS(6457),
    [anon_sym_EQ_GT] = ACTIONS(6457),
    [anon_sym_RBRACK] = ACTIONS(6457),
    [anon_sym_AMP_DOT] = ACTIONS(6457),
    [anon_sym_PLUS_EQ] = ACTIONS(6457),
    [anon_sym_DASH_EQ] = ACTIONS(6457),
    [anon_sym_STAR_EQ] = ACTIONS(6457),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6457),
    [anon_sym_SLASH_EQ] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6457),
    [anon_sym_PIPE_EQ] = ACTIONS(6457),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6457),
    [anon_sym_AMP_EQ] = ACTIONS(6457),
    [anon_sym_PERCENT_EQ] = ACTIONS(6457),
    [anon_sym_GT_GT_EQ] = ACTIONS(6457),
    [anon_sym_LT_LT_EQ] = ACTIONS(6457),
    [anon_sym_CARET_EQ] = ACTIONS(6457),
    [anon_sym_QMARK] = ACTIONS(6457),
    [anon_sym_COLON] = ACTIONS(6457),
    [anon_sym_DOT_DOT] = ACTIONS(6459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6457),
    [anon_sym_and] = ACTIONS(6457),
    [anon_sym_or] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE] = ACTIONS(6459),
    [anon_sym_AMP_AMP] = ACTIONS(6459),
    [anon_sym_LT_LT] = ACTIONS(6459),
    [anon_sym_GT_GT] = ACTIONS(6459),
    [anon_sym_EQ_EQ] = ACTIONS(6459),
    [anon_sym_BANG_EQ] = ACTIONS(6457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6457),
    [anon_sym_LT_EQ_GT] = ACTIONS(6457),
    [anon_sym_EQ_TILDE] = ACTIONS(6457),
    [anon_sym_BANG_TILDE] = ACTIONS(6457),
    [anon_sym_LT_EQ] = ACTIONS(6459),
    [anon_sym_GT] = ACTIONS(6459),
    [anon_sym_GT_EQ] = ACTIONS(6457),
    [anon_sym_CARET] = ACTIONS(6459),
    [anon_sym_PLUS] = ACTIONS(6459),
    [anon_sym_SLASH] = ACTIONS(6459),
    [anon_sym_PERCENT] = ACTIONS(6459),
    [sym_comment] = ACTIONS(87),
  },
  [7383] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12394),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [7384] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(12394),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12396),
  },
  [7385] = {
    [sym__heredoc_body_start] = ACTIONS(6465),
    [sym__element_reference_left_bracket] = ACTIONS(6465),
    [sym__infix_scope_colons] = ACTIONS(6465),
    [sym__binary_minus] = ACTIONS(6465),
    [sym__binary_star] = ACTIONS(6465),
    [anon_sym_LBRACE] = ACTIONS(6465),
    [anon_sym_RBRACE] = ACTIONS(6465),
    [anon_sym_RPAREN] = ACTIONS(6465),
    [anon_sym_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6465),
    [anon_sym_PIPE] = ACTIONS(6467),
    [anon_sym_SEMI] = ACTIONS(6465),
    [anon_sym_STAR_STAR] = ACTIONS(6467),
    [anon_sym_AMP] = ACTIONS(6467),
    [anon_sym_EQ] = ACTIONS(6467),
    [anon_sym_LT] = ACTIONS(6467),
    [anon_sym_if] = ACTIONS(6465),
    [anon_sym_unless] = ACTIONS(6465),
    [anon_sym_while] = ACTIONS(6465),
    [anon_sym_until] = ACTIONS(6465),
    [anon_sym_rescue] = ACTIONS(6465),
    [anon_sym_in] = ACTIONS(6465),
    [anon_sym_do] = ACTIONS(6465),
    [anon_sym_EQ_GT] = ACTIONS(6465),
    [anon_sym_RBRACK] = ACTIONS(6465),
    [anon_sym_AMP_DOT] = ACTIONS(6465),
    [anon_sym_PLUS_EQ] = ACTIONS(6465),
    [anon_sym_DASH_EQ] = ACTIONS(6465),
    [anon_sym_STAR_EQ] = ACTIONS(6465),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6465),
    [anon_sym_SLASH_EQ] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6465),
    [anon_sym_PIPE_EQ] = ACTIONS(6465),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6465),
    [anon_sym_AMP_EQ] = ACTIONS(6465),
    [anon_sym_PERCENT_EQ] = ACTIONS(6465),
    [anon_sym_GT_GT_EQ] = ACTIONS(6465),
    [anon_sym_LT_LT_EQ] = ACTIONS(6465),
    [anon_sym_CARET_EQ] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6465),
    [anon_sym_COLON] = ACTIONS(6465),
    [anon_sym_DOT_DOT] = ACTIONS(6467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6467),
    [anon_sym_AMP_AMP] = ACTIONS(6467),
    [anon_sym_LT_LT] = ACTIONS(6467),
    [anon_sym_GT_GT] = ACTIONS(6467),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6465),
    [anon_sym_EQ_TILDE] = ACTIONS(6465),
    [anon_sym_BANG_TILDE] = ACTIONS(6465),
    [anon_sym_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6467),
    [anon_sym_GT_EQ] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6467),
    [anon_sym_PLUS] = ACTIONS(6467),
    [anon_sym_SLASH] = ACTIONS(6467),
    [anon_sym_PERCENT] = ACTIONS(6467),
    [sym_comment] = ACTIONS(87),
  },
  [7386] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12398),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [7387] = {
    [sym__heredoc_body_start] = ACTIONS(6478),
    [sym__element_reference_left_bracket] = ACTIONS(6478),
    [sym__infix_scope_colons] = ACTIONS(6478),
    [sym__binary_minus] = ACTIONS(6478),
    [sym__binary_star] = ACTIONS(6478),
    [anon_sym_LBRACE] = ACTIONS(6478),
    [anon_sym_RBRACE] = ACTIONS(6478),
    [anon_sym_RPAREN] = ACTIONS(6478),
    [anon_sym_DOT] = ACTIONS(6480),
    [anon_sym_COMMA] = ACTIONS(6478),
    [anon_sym_PIPE] = ACTIONS(6480),
    [anon_sym_SEMI] = ACTIONS(6478),
    [anon_sym_STAR_STAR] = ACTIONS(6480),
    [anon_sym_AMP] = ACTIONS(6480),
    [anon_sym_EQ] = ACTIONS(6480),
    [anon_sym_LT] = ACTIONS(6480),
    [anon_sym_if] = ACTIONS(6478),
    [anon_sym_unless] = ACTIONS(6478),
    [anon_sym_while] = ACTIONS(6478),
    [anon_sym_until] = ACTIONS(6478),
    [anon_sym_rescue] = ACTIONS(6478),
    [anon_sym_in] = ACTIONS(6478),
    [anon_sym_do] = ACTIONS(6478),
    [anon_sym_EQ_GT] = ACTIONS(6478),
    [anon_sym_RBRACK] = ACTIONS(6478),
    [anon_sym_AMP_DOT] = ACTIONS(6478),
    [anon_sym_PLUS_EQ] = ACTIONS(6478),
    [anon_sym_DASH_EQ] = ACTIONS(6478),
    [anon_sym_STAR_EQ] = ACTIONS(6478),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6478),
    [anon_sym_SLASH_EQ] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6478),
    [anon_sym_PIPE_EQ] = ACTIONS(6478),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6478),
    [anon_sym_AMP_EQ] = ACTIONS(6478),
    [anon_sym_PERCENT_EQ] = ACTIONS(6478),
    [anon_sym_GT_GT_EQ] = ACTIONS(6478),
    [anon_sym_LT_LT_EQ] = ACTIONS(6478),
    [anon_sym_CARET_EQ] = ACTIONS(6478),
    [anon_sym_QMARK] = ACTIONS(6478),
    [anon_sym_COLON] = ACTIONS(6478),
    [anon_sym_DOT_DOT] = ACTIONS(6480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6478),
    [anon_sym_and] = ACTIONS(6478),
    [anon_sym_or] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE] = ACTIONS(6480),
    [anon_sym_AMP_AMP] = ACTIONS(6480),
    [anon_sym_LT_LT] = ACTIONS(6480),
    [anon_sym_GT_GT] = ACTIONS(6480),
    [anon_sym_EQ_EQ] = ACTIONS(6480),
    [anon_sym_BANG_EQ] = ACTIONS(6478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6478),
    [anon_sym_LT_EQ_GT] = ACTIONS(6478),
    [anon_sym_EQ_TILDE] = ACTIONS(6478),
    [anon_sym_BANG_TILDE] = ACTIONS(6478),
    [anon_sym_LT_EQ] = ACTIONS(6480),
    [anon_sym_GT] = ACTIONS(6480),
    [anon_sym_GT_EQ] = ACTIONS(6478),
    [anon_sym_CARET] = ACTIONS(6480),
    [anon_sym_PLUS] = ACTIONS(6480),
    [anon_sym_SLASH] = ACTIONS(6480),
    [anon_sym_PERCENT] = ACTIONS(6480),
    [sym_comment] = ACTIONS(87),
  },
  [7388] = {
    [sym__heredoc_body_start] = ACTIONS(6482),
    [sym__element_reference_left_bracket] = ACTIONS(6482),
    [sym__infix_scope_colons] = ACTIONS(6482),
    [sym__binary_minus] = ACTIONS(6482),
    [sym__binary_star] = ACTIONS(6482),
    [anon_sym_LBRACE] = ACTIONS(6482),
    [anon_sym_RBRACE] = ACTIONS(6482),
    [anon_sym_RPAREN] = ACTIONS(6482),
    [anon_sym_DOT] = ACTIONS(6484),
    [anon_sym_COMMA] = ACTIONS(6482),
    [anon_sym_PIPE] = ACTIONS(6484),
    [anon_sym_SEMI] = ACTIONS(6482),
    [anon_sym_STAR_STAR] = ACTIONS(6484),
    [anon_sym_AMP] = ACTIONS(6484),
    [anon_sym_EQ] = ACTIONS(6484),
    [anon_sym_LT] = ACTIONS(6484),
    [anon_sym_if] = ACTIONS(6482),
    [anon_sym_unless] = ACTIONS(6482),
    [anon_sym_while] = ACTIONS(6482),
    [anon_sym_until] = ACTIONS(6482),
    [anon_sym_rescue] = ACTIONS(6482),
    [anon_sym_in] = ACTIONS(6482),
    [anon_sym_do] = ACTIONS(6482),
    [anon_sym_EQ_GT] = ACTIONS(6482),
    [anon_sym_RBRACK] = ACTIONS(6482),
    [anon_sym_AMP_DOT] = ACTIONS(6482),
    [anon_sym_PLUS_EQ] = ACTIONS(6482),
    [anon_sym_DASH_EQ] = ACTIONS(6482),
    [anon_sym_STAR_EQ] = ACTIONS(6482),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6482),
    [anon_sym_SLASH_EQ] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6482),
    [anon_sym_PIPE_EQ] = ACTIONS(6482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6482),
    [anon_sym_AMP_EQ] = ACTIONS(6482),
    [anon_sym_PERCENT_EQ] = ACTIONS(6482),
    [anon_sym_GT_GT_EQ] = ACTIONS(6482),
    [anon_sym_LT_LT_EQ] = ACTIONS(6482),
    [anon_sym_CARET_EQ] = ACTIONS(6482),
    [anon_sym_QMARK] = ACTIONS(6482),
    [anon_sym_COLON] = ACTIONS(6482),
    [anon_sym_DOT_DOT] = ACTIONS(6484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6482),
    [anon_sym_and] = ACTIONS(6482),
    [anon_sym_or] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE] = ACTIONS(6484),
    [anon_sym_AMP_AMP] = ACTIONS(6484),
    [anon_sym_LT_LT] = ACTIONS(6484),
    [anon_sym_GT_GT] = ACTIONS(6484),
    [anon_sym_EQ_EQ] = ACTIONS(6484),
    [anon_sym_BANG_EQ] = ACTIONS(6482),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6482),
    [anon_sym_LT_EQ_GT] = ACTIONS(6482),
    [anon_sym_EQ_TILDE] = ACTIONS(6482),
    [anon_sym_BANG_TILDE] = ACTIONS(6482),
    [anon_sym_LT_EQ] = ACTIONS(6484),
    [anon_sym_GT] = ACTIONS(6484),
    [anon_sym_GT_EQ] = ACTIONS(6482),
    [anon_sym_CARET] = ACTIONS(6484),
    [anon_sym_PLUS] = ACTIONS(6484),
    [anon_sym_SLASH] = ACTIONS(6484),
    [anon_sym_PERCENT] = ACTIONS(6484),
    [sym_comment] = ACTIONS(87),
  },
  [7389] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12400),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [7390] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(12400),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12402),
  },
  [7391] = {
    [sym__heredoc_body_start] = ACTIONS(6490),
    [sym__element_reference_left_bracket] = ACTIONS(6490),
    [sym__infix_scope_colons] = ACTIONS(6490),
    [sym__binary_minus] = ACTIONS(6490),
    [sym__binary_star] = ACTIONS(6490),
    [anon_sym_LBRACE] = ACTIONS(6490),
    [anon_sym_RBRACE] = ACTIONS(6490),
    [anon_sym_RPAREN] = ACTIONS(6490),
    [anon_sym_DOT] = ACTIONS(6492),
    [anon_sym_COMMA] = ACTIONS(6490),
    [anon_sym_PIPE] = ACTIONS(6492),
    [anon_sym_SEMI] = ACTIONS(6490),
    [anon_sym_STAR_STAR] = ACTIONS(6492),
    [anon_sym_AMP] = ACTIONS(6492),
    [anon_sym_EQ] = ACTIONS(6492),
    [anon_sym_LT] = ACTIONS(6492),
    [anon_sym_if] = ACTIONS(6490),
    [anon_sym_unless] = ACTIONS(6490),
    [anon_sym_while] = ACTIONS(6490),
    [anon_sym_until] = ACTIONS(6490),
    [anon_sym_rescue] = ACTIONS(6490),
    [anon_sym_in] = ACTIONS(6490),
    [anon_sym_do] = ACTIONS(6490),
    [anon_sym_EQ_GT] = ACTIONS(6490),
    [anon_sym_RBRACK] = ACTIONS(6490),
    [anon_sym_AMP_DOT] = ACTIONS(6490),
    [anon_sym_PLUS_EQ] = ACTIONS(6490),
    [anon_sym_DASH_EQ] = ACTIONS(6490),
    [anon_sym_STAR_EQ] = ACTIONS(6490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6490),
    [anon_sym_SLASH_EQ] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6490),
    [anon_sym_PIPE_EQ] = ACTIONS(6490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6490),
    [anon_sym_AMP_EQ] = ACTIONS(6490),
    [anon_sym_PERCENT_EQ] = ACTIONS(6490),
    [anon_sym_GT_GT_EQ] = ACTIONS(6490),
    [anon_sym_LT_LT_EQ] = ACTIONS(6490),
    [anon_sym_CARET_EQ] = ACTIONS(6490),
    [anon_sym_QMARK] = ACTIONS(6490),
    [anon_sym_COLON] = ACTIONS(6490),
    [anon_sym_DOT_DOT] = ACTIONS(6492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6490),
    [anon_sym_and] = ACTIONS(6490),
    [anon_sym_or] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE] = ACTIONS(6492),
    [anon_sym_AMP_AMP] = ACTIONS(6492),
    [anon_sym_LT_LT] = ACTIONS(6492),
    [anon_sym_GT_GT] = ACTIONS(6492),
    [anon_sym_EQ_EQ] = ACTIONS(6492),
    [anon_sym_BANG_EQ] = ACTIONS(6490),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6490),
    [anon_sym_LT_EQ_GT] = ACTIONS(6490),
    [anon_sym_EQ_TILDE] = ACTIONS(6490),
    [anon_sym_BANG_TILDE] = ACTIONS(6490),
    [anon_sym_LT_EQ] = ACTIONS(6492),
    [anon_sym_GT] = ACTIONS(6492),
    [anon_sym_GT_EQ] = ACTIONS(6490),
    [anon_sym_CARET] = ACTIONS(6492),
    [anon_sym_PLUS] = ACTIONS(6492),
    [anon_sym_SLASH] = ACTIONS(6492),
    [anon_sym_PERCENT] = ACTIONS(6492),
    [sym_comment] = ACTIONS(87),
  },
  [7392] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12404),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [7393] = {
    [sym__string_start] = ACTIONS(2929),
    [sym__heredoc_body_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [anon_sym_rescue] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [anon_sym_RBRACK] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2929),
    [anon_sym_AMP_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_GT_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_LT_EQ] = ACTIONS(2929),
    [anon_sym_CARET_EQ] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_COLON] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_LT_LT] = ACTIONS(2931),
    [anon_sym_GT_GT] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(87),
  },
  [7394] = {
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RBRACE] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR_STAR] = ACTIONS(10785),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_if] = ACTIONS(10783),
    [anon_sym_unless] = ACTIONS(10783),
    [anon_sym_while] = ACTIONS(10783),
    [anon_sym_until] = ACTIONS(10783),
    [anon_sym_rescue] = ACTIONS(10783),
    [anon_sym_in] = ACTIONS(10783),
    [anon_sym_do] = ACTIONS(10783),
    [anon_sym_EQ_GT] = ACTIONS(10783),
    [anon_sym_RBRACK] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS_EQ] = ACTIONS(10783),
    [anon_sym_DASH_EQ] = ACTIONS(10783),
    [anon_sym_STAR_EQ] = ACTIONS(10783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10783),
    [anon_sym_SLASH_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10783),
    [anon_sym_AMP_EQ] = ACTIONS(10783),
    [anon_sym_PERCENT_EQ] = ACTIONS(10783),
    [anon_sym_GT_GT_EQ] = ACTIONS(10783),
    [anon_sym_LT_LT_EQ] = ACTIONS(10783),
    [anon_sym_CARET_EQ] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10783),
    [anon_sym_COLON] = ACTIONS(10783),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10783),
    [anon_sym_or] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE] = ACTIONS(10785),
    [anon_sym_AMP_AMP] = ACTIONS(10785),
    [anon_sym_LT_LT] = ACTIONS(10785),
    [anon_sym_GT_GT] = ACTIONS(10785),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10785),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_SLASH] = ACTIONS(10785),
    [anon_sym_PERCENT] = ACTIONS(10785),
    [sym_comment] = ACTIONS(87),
  },
  [7395] = {
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [sym__binary_minus] = ACTIONS(11905),
    [sym__binary_star] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11907),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_PIPE] = ACTIONS(11907),
    [anon_sym_STAR_STAR] = ACTIONS(11907),
    [anon_sym_AMP] = ACTIONS(11907),
    [anon_sym_EQ] = ACTIONS(11907),
    [anon_sym_LT] = ACTIONS(11907),
    [anon_sym_EQ_GT] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [anon_sym_PLUS_EQ] = ACTIONS(11905),
    [anon_sym_DASH_EQ] = ACTIONS(11905),
    [anon_sym_STAR_EQ] = ACTIONS(11905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11905),
    [anon_sym_SLASH_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11905),
    [anon_sym_AMP_EQ] = ACTIONS(11905),
    [anon_sym_PERCENT_EQ] = ACTIONS(11905),
    [anon_sym_GT_GT_EQ] = ACTIONS(11905),
    [anon_sym_LT_LT_EQ] = ACTIONS(11905),
    [anon_sym_CARET_EQ] = ACTIONS(11905),
    [anon_sym_QMARK] = ACTIONS(11905),
    [anon_sym_DOT_DOT] = ACTIONS(11907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11905),
    [anon_sym_and] = ACTIONS(11905),
    [anon_sym_or] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE] = ACTIONS(11907),
    [anon_sym_AMP_AMP] = ACTIONS(11907),
    [anon_sym_LT_LT] = ACTIONS(11907),
    [anon_sym_GT_GT] = ACTIONS(11907),
    [anon_sym_EQ_EQ] = ACTIONS(11907),
    [anon_sym_BANG_EQ] = ACTIONS(11905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11905),
    [anon_sym_LT_EQ_GT] = ACTIONS(11905),
    [anon_sym_EQ_TILDE] = ACTIONS(11905),
    [anon_sym_BANG_TILDE] = ACTIONS(11905),
    [anon_sym_LT_EQ] = ACTIONS(11907),
    [anon_sym_GT] = ACTIONS(11907),
    [anon_sym_GT_EQ] = ACTIONS(11905),
    [anon_sym_CARET] = ACTIONS(11907),
    [anon_sym_PLUS] = ACTIONS(11907),
    [anon_sym_SLASH] = ACTIONS(11907),
    [anon_sym_PERCENT] = ACTIONS(11907),
    [sym_comment] = ACTIONS(87),
  },
  [7396] = {
    [sym__heredoc_body_start] = ACTIONS(7030),
    [sym__element_reference_left_bracket] = ACTIONS(7030),
    [sym__infix_scope_colons] = ACTIONS(7030),
    [sym__binary_minus] = ACTIONS(7030),
    [sym__binary_star] = ACTIONS(7030),
    [anon_sym_LBRACE] = ACTIONS(7030),
    [anon_sym_RBRACE] = ACTIONS(7030),
    [anon_sym_RPAREN] = ACTIONS(7030),
    [anon_sym_DOT] = ACTIONS(7032),
    [anon_sym_COMMA] = ACTIONS(7030),
    [anon_sym_PIPE] = ACTIONS(7032),
    [anon_sym_SEMI] = ACTIONS(7030),
    [anon_sym_STAR_STAR] = ACTIONS(7032),
    [anon_sym_AMP] = ACTIONS(7032),
    [anon_sym_EQ] = ACTIONS(7032),
    [anon_sym_LT] = ACTIONS(7032),
    [anon_sym_if] = ACTIONS(7030),
    [anon_sym_unless] = ACTIONS(7030),
    [anon_sym_while] = ACTIONS(7030),
    [anon_sym_until] = ACTIONS(7030),
    [anon_sym_rescue] = ACTIONS(7030),
    [anon_sym_in] = ACTIONS(7030),
    [anon_sym_do] = ACTIONS(7030),
    [anon_sym_EQ_GT] = ACTIONS(7030),
    [anon_sym_RBRACK] = ACTIONS(7030),
    [anon_sym_AMP_DOT] = ACTIONS(7030),
    [anon_sym_PLUS_EQ] = ACTIONS(7030),
    [anon_sym_DASH_EQ] = ACTIONS(7030),
    [anon_sym_STAR_EQ] = ACTIONS(7030),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7030),
    [anon_sym_SLASH_EQ] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7030),
    [anon_sym_PIPE_EQ] = ACTIONS(7030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7030),
    [anon_sym_AMP_EQ] = ACTIONS(7030),
    [anon_sym_PERCENT_EQ] = ACTIONS(7030),
    [anon_sym_GT_GT_EQ] = ACTIONS(7030),
    [anon_sym_LT_LT_EQ] = ACTIONS(7030),
    [anon_sym_CARET_EQ] = ACTIONS(7030),
    [anon_sym_QMARK] = ACTIONS(7030),
    [anon_sym_COLON] = ACTIONS(7030),
    [anon_sym_DOT_DOT] = ACTIONS(7032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7030),
    [anon_sym_and] = ACTIONS(7030),
    [anon_sym_or] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE] = ACTIONS(7032),
    [anon_sym_AMP_AMP] = ACTIONS(7032),
    [anon_sym_LT_LT] = ACTIONS(7032),
    [anon_sym_GT_GT] = ACTIONS(7032),
    [anon_sym_EQ_EQ] = ACTIONS(7032),
    [anon_sym_BANG_EQ] = ACTIONS(7030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7030),
    [anon_sym_LT_EQ_GT] = ACTIONS(7030),
    [anon_sym_EQ_TILDE] = ACTIONS(7030),
    [anon_sym_BANG_TILDE] = ACTIONS(7030),
    [anon_sym_LT_EQ] = ACTIONS(7032),
    [anon_sym_GT] = ACTIONS(7032),
    [anon_sym_GT_EQ] = ACTIONS(7030),
    [anon_sym_CARET] = ACTIONS(7032),
    [anon_sym_PLUS] = ACTIONS(7032),
    [anon_sym_SLASH] = ACTIONS(7032),
    [anon_sym_PERCENT] = ACTIONS(7032),
    [sym_comment] = ACTIONS(87),
  },
  [7397] = {
    [anon_sym_DOT] = ACTIONS(12406),
    [anon_sym_COLON_COLON] = ACTIONS(12406),
    [sym_comment] = ACTIONS(87),
  },
  [7398] = {
    [sym__heredoc_body_start] = ACTIONS(7186),
    [sym__element_reference_left_bracket] = ACTIONS(7186),
    [sym__infix_scope_colons] = ACTIONS(7186),
    [sym__binary_minus] = ACTIONS(7186),
    [sym__binary_star] = ACTIONS(7186),
    [anon_sym_LBRACE] = ACTIONS(7186),
    [anon_sym_RBRACE] = ACTIONS(7186),
    [anon_sym_RPAREN] = ACTIONS(7186),
    [anon_sym_DOT] = ACTIONS(7188),
    [anon_sym_COMMA] = ACTIONS(7186),
    [anon_sym_PIPE] = ACTIONS(7188),
    [anon_sym_SEMI] = ACTIONS(7186),
    [anon_sym_STAR_STAR] = ACTIONS(7188),
    [anon_sym_AMP] = ACTIONS(7188),
    [anon_sym_EQ] = ACTIONS(7188),
    [anon_sym_LT] = ACTIONS(7188),
    [anon_sym_if] = ACTIONS(7186),
    [anon_sym_unless] = ACTIONS(7186),
    [anon_sym_while] = ACTIONS(7186),
    [anon_sym_until] = ACTIONS(7186),
    [anon_sym_rescue] = ACTIONS(7186),
    [anon_sym_in] = ACTIONS(7186),
    [anon_sym_do] = ACTIONS(7186),
    [anon_sym_EQ_GT] = ACTIONS(7186),
    [anon_sym_RBRACK] = ACTIONS(7186),
    [anon_sym_AMP_DOT] = ACTIONS(7186),
    [anon_sym_PLUS_EQ] = ACTIONS(7186),
    [anon_sym_DASH_EQ] = ACTIONS(7186),
    [anon_sym_STAR_EQ] = ACTIONS(7186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7186),
    [anon_sym_SLASH_EQ] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7186),
    [anon_sym_PIPE_EQ] = ACTIONS(7186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7186),
    [anon_sym_AMP_EQ] = ACTIONS(7186),
    [anon_sym_PERCENT_EQ] = ACTIONS(7186),
    [anon_sym_GT_GT_EQ] = ACTIONS(7186),
    [anon_sym_LT_LT_EQ] = ACTIONS(7186),
    [anon_sym_CARET_EQ] = ACTIONS(7186),
    [anon_sym_QMARK] = ACTIONS(7186),
    [anon_sym_COLON] = ACTIONS(7186),
    [anon_sym_DOT_DOT] = ACTIONS(7188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7186),
    [anon_sym_and] = ACTIONS(7186),
    [anon_sym_or] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7188),
    [anon_sym_AMP_AMP] = ACTIONS(7188),
    [anon_sym_LT_LT] = ACTIONS(7188),
    [anon_sym_GT_GT] = ACTIONS(7188),
    [anon_sym_EQ_EQ] = ACTIONS(7188),
    [anon_sym_BANG_EQ] = ACTIONS(7186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7186),
    [anon_sym_LT_EQ_GT] = ACTIONS(7186),
    [anon_sym_EQ_TILDE] = ACTIONS(7186),
    [anon_sym_BANG_TILDE] = ACTIONS(7186),
    [anon_sym_LT_EQ] = ACTIONS(7188),
    [anon_sym_GT] = ACTIONS(7188),
    [anon_sym_GT_EQ] = ACTIONS(7186),
    [anon_sym_CARET] = ACTIONS(7188),
    [anon_sym_PLUS] = ACTIONS(7188),
    [anon_sym_SLASH] = ACTIONS(7188),
    [anon_sym_PERCENT] = ACTIONS(7188),
    [sym_comment] = ACTIONS(87),
  },
  [7399] = {
    [sym__heredoc_body_start] = ACTIONS(7202),
    [sym__element_reference_left_bracket] = ACTIONS(7202),
    [sym__infix_scope_colons] = ACTIONS(7202),
    [sym__binary_minus] = ACTIONS(7202),
    [sym__binary_star] = ACTIONS(7202),
    [anon_sym_LBRACE] = ACTIONS(7202),
    [anon_sym_RBRACE] = ACTIONS(7202),
    [anon_sym_RPAREN] = ACTIONS(7202),
    [anon_sym_DOT] = ACTIONS(7204),
    [anon_sym_COMMA] = ACTIONS(7202),
    [anon_sym_PIPE] = ACTIONS(7204),
    [anon_sym_SEMI] = ACTIONS(7202),
    [anon_sym_STAR_STAR] = ACTIONS(7204),
    [anon_sym_AMP] = ACTIONS(7204),
    [anon_sym_EQ] = ACTIONS(7204),
    [anon_sym_LT] = ACTIONS(7204),
    [anon_sym_if] = ACTIONS(7202),
    [anon_sym_unless] = ACTIONS(7202),
    [anon_sym_while] = ACTIONS(7202),
    [anon_sym_until] = ACTIONS(7202),
    [anon_sym_rescue] = ACTIONS(7202),
    [anon_sym_in] = ACTIONS(7202),
    [anon_sym_do] = ACTIONS(7202),
    [anon_sym_EQ_GT] = ACTIONS(7202),
    [anon_sym_RBRACK] = ACTIONS(7202),
    [anon_sym_AMP_DOT] = ACTIONS(7202),
    [anon_sym_PLUS_EQ] = ACTIONS(7202),
    [anon_sym_DASH_EQ] = ACTIONS(7202),
    [anon_sym_STAR_EQ] = ACTIONS(7202),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7202),
    [anon_sym_SLASH_EQ] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7202),
    [anon_sym_PIPE_EQ] = ACTIONS(7202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7202),
    [anon_sym_AMP_EQ] = ACTIONS(7202),
    [anon_sym_PERCENT_EQ] = ACTIONS(7202),
    [anon_sym_GT_GT_EQ] = ACTIONS(7202),
    [anon_sym_LT_LT_EQ] = ACTIONS(7202),
    [anon_sym_CARET_EQ] = ACTIONS(7202),
    [anon_sym_QMARK] = ACTIONS(7202),
    [anon_sym_COLON] = ACTIONS(7202),
    [anon_sym_DOT_DOT] = ACTIONS(7204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7202),
    [anon_sym_and] = ACTIONS(7202),
    [anon_sym_or] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE] = ACTIONS(7204),
    [anon_sym_AMP_AMP] = ACTIONS(7204),
    [anon_sym_LT_LT] = ACTIONS(7204),
    [anon_sym_GT_GT] = ACTIONS(7204),
    [anon_sym_EQ_EQ] = ACTIONS(7204),
    [anon_sym_BANG_EQ] = ACTIONS(7202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7202),
    [anon_sym_LT_EQ_GT] = ACTIONS(7202),
    [anon_sym_EQ_TILDE] = ACTIONS(7202),
    [anon_sym_BANG_TILDE] = ACTIONS(7202),
    [anon_sym_LT_EQ] = ACTIONS(7204),
    [anon_sym_GT] = ACTIONS(7204),
    [anon_sym_GT_EQ] = ACTIONS(7202),
    [anon_sym_CARET] = ACTIONS(7204),
    [anon_sym_PLUS] = ACTIONS(7204),
    [anon_sym_SLASH] = ACTIONS(7204),
    [anon_sym_PERCENT] = ACTIONS(7204),
    [sym_comment] = ACTIONS(87),
  },
  [7400] = {
    [sym__statements] = STATE(2087),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(2088),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(2089),
    [sym_rescue] = STATE(2090),
    [sym__body_statement] = STATE(9636),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12408),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7401] = {
    [sym__statements] = STATE(2087),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(2088),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(2089),
    [sym_rescue] = STATE(2090),
    [sym__body_statement] = STATE(9637),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12410),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7402] = {
    [sym__heredoc_body_start] = ACTIONS(7648),
    [sym__element_reference_left_bracket] = ACTIONS(7648),
    [sym__infix_scope_colons] = ACTIONS(7648),
    [sym__binary_minus] = ACTIONS(7648),
    [sym__binary_star] = ACTIONS(7648),
    [anon_sym_LBRACE] = ACTIONS(7648),
    [anon_sym_RBRACE] = ACTIONS(7648),
    [anon_sym_RPAREN] = ACTIONS(7648),
    [anon_sym_DOT] = ACTIONS(7650),
    [anon_sym_COMMA] = ACTIONS(7648),
    [anon_sym_PIPE] = ACTIONS(7650),
    [anon_sym_SEMI] = ACTIONS(7648),
    [anon_sym_STAR_STAR] = ACTIONS(7650),
    [anon_sym_AMP] = ACTIONS(7650),
    [anon_sym_EQ] = ACTIONS(7650),
    [anon_sym_LT] = ACTIONS(7650),
    [anon_sym_if] = ACTIONS(7648),
    [anon_sym_unless] = ACTIONS(7648),
    [anon_sym_while] = ACTIONS(7648),
    [anon_sym_until] = ACTIONS(7648),
    [anon_sym_rescue] = ACTIONS(7648),
    [anon_sym_in] = ACTIONS(7648),
    [anon_sym_do] = ACTIONS(7648),
    [anon_sym_EQ_GT] = ACTIONS(7648),
    [anon_sym_RBRACK] = ACTIONS(7648),
    [anon_sym_AMP_DOT] = ACTIONS(7648),
    [anon_sym_PLUS_EQ] = ACTIONS(7648),
    [anon_sym_DASH_EQ] = ACTIONS(7648),
    [anon_sym_STAR_EQ] = ACTIONS(7648),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7648),
    [anon_sym_SLASH_EQ] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7648),
    [anon_sym_PIPE_EQ] = ACTIONS(7648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7648),
    [anon_sym_AMP_EQ] = ACTIONS(7648),
    [anon_sym_PERCENT_EQ] = ACTIONS(7648),
    [anon_sym_GT_GT_EQ] = ACTIONS(7648),
    [anon_sym_LT_LT_EQ] = ACTIONS(7648),
    [anon_sym_CARET_EQ] = ACTIONS(7648),
    [anon_sym_QMARK] = ACTIONS(7648),
    [anon_sym_COLON] = ACTIONS(7648),
    [anon_sym_DOT_DOT] = ACTIONS(7650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7648),
    [anon_sym_and] = ACTIONS(7648),
    [anon_sym_or] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE] = ACTIONS(7650),
    [anon_sym_AMP_AMP] = ACTIONS(7650),
    [anon_sym_LT_LT] = ACTIONS(7650),
    [anon_sym_GT_GT] = ACTIONS(7650),
    [anon_sym_EQ_EQ] = ACTIONS(7650),
    [anon_sym_BANG_EQ] = ACTIONS(7648),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7648),
    [anon_sym_LT_EQ_GT] = ACTIONS(7648),
    [anon_sym_EQ_TILDE] = ACTIONS(7648),
    [anon_sym_BANG_TILDE] = ACTIONS(7648),
    [anon_sym_LT_EQ] = ACTIONS(7650),
    [anon_sym_GT] = ACTIONS(7650),
    [anon_sym_GT_EQ] = ACTIONS(7648),
    [anon_sym_CARET] = ACTIONS(7650),
    [anon_sym_PLUS] = ACTIONS(7650),
    [anon_sym_SLASH] = ACTIONS(7650),
    [anon_sym_PERCENT] = ACTIONS(7650),
    [sym_comment] = ACTIONS(87),
  },
  [7403] = {
    [sym__heredoc_body_start] = ACTIONS(7704),
    [sym__element_reference_left_bracket] = ACTIONS(7704),
    [sym__infix_scope_colons] = ACTIONS(7704),
    [sym__binary_minus] = ACTIONS(7704),
    [sym__binary_star] = ACTIONS(7704),
    [anon_sym_LBRACE] = ACTIONS(7704),
    [anon_sym_RBRACE] = ACTIONS(7704),
    [anon_sym_RPAREN] = ACTIONS(7704),
    [anon_sym_DOT] = ACTIONS(7706),
    [anon_sym_COMMA] = ACTIONS(7704),
    [anon_sym_PIPE] = ACTIONS(7706),
    [anon_sym_SEMI] = ACTIONS(7704),
    [anon_sym_STAR_STAR] = ACTIONS(7706),
    [anon_sym_AMP] = ACTIONS(7706),
    [anon_sym_EQ] = ACTIONS(7706),
    [anon_sym_LT] = ACTIONS(7706),
    [anon_sym_if] = ACTIONS(7704),
    [anon_sym_unless] = ACTIONS(7704),
    [anon_sym_while] = ACTIONS(7704),
    [anon_sym_until] = ACTIONS(7704),
    [anon_sym_rescue] = ACTIONS(7704),
    [anon_sym_in] = ACTIONS(7704),
    [anon_sym_do] = ACTIONS(7704),
    [anon_sym_EQ_GT] = ACTIONS(7704),
    [anon_sym_RBRACK] = ACTIONS(7704),
    [anon_sym_AMP_DOT] = ACTIONS(7704),
    [anon_sym_PLUS_EQ] = ACTIONS(7704),
    [anon_sym_DASH_EQ] = ACTIONS(7704),
    [anon_sym_STAR_EQ] = ACTIONS(7704),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7704),
    [anon_sym_SLASH_EQ] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7704),
    [anon_sym_PIPE_EQ] = ACTIONS(7704),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7704),
    [anon_sym_AMP_EQ] = ACTIONS(7704),
    [anon_sym_PERCENT_EQ] = ACTIONS(7704),
    [anon_sym_GT_GT_EQ] = ACTIONS(7704),
    [anon_sym_LT_LT_EQ] = ACTIONS(7704),
    [anon_sym_CARET_EQ] = ACTIONS(7704),
    [anon_sym_QMARK] = ACTIONS(7704),
    [anon_sym_COLON] = ACTIONS(7704),
    [anon_sym_DOT_DOT] = ACTIONS(7706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7704),
    [anon_sym_and] = ACTIONS(7704),
    [anon_sym_or] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE] = ACTIONS(7706),
    [anon_sym_AMP_AMP] = ACTIONS(7706),
    [anon_sym_LT_LT] = ACTIONS(7706),
    [anon_sym_GT_GT] = ACTIONS(7706),
    [anon_sym_EQ_EQ] = ACTIONS(7706),
    [anon_sym_BANG_EQ] = ACTIONS(7704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7704),
    [anon_sym_LT_EQ_GT] = ACTIONS(7704),
    [anon_sym_EQ_TILDE] = ACTIONS(7704),
    [anon_sym_BANG_TILDE] = ACTIONS(7704),
    [anon_sym_LT_EQ] = ACTIONS(7706),
    [anon_sym_GT] = ACTIONS(7706),
    [anon_sym_GT_EQ] = ACTIONS(7704),
    [anon_sym_CARET] = ACTIONS(7706),
    [anon_sym_PLUS] = ACTIONS(7706),
    [anon_sym_SLASH] = ACTIONS(7706),
    [anon_sym_PERCENT] = ACTIONS(7706),
    [sym_comment] = ACTIONS(87),
  },
  [7404] = {
    [sym__heredoc_body_start] = ACTIONS(7880),
    [sym__element_reference_left_bracket] = ACTIONS(7880),
    [sym__infix_scope_colons] = ACTIONS(7880),
    [sym__binary_minus] = ACTIONS(7880),
    [sym__binary_star] = ACTIONS(7880),
    [anon_sym_LBRACE] = ACTIONS(7880),
    [anon_sym_RBRACE] = ACTIONS(7880),
    [anon_sym_RPAREN] = ACTIONS(7880),
    [anon_sym_DOT] = ACTIONS(7882),
    [anon_sym_COMMA] = ACTIONS(7880),
    [anon_sym_PIPE] = ACTIONS(7882),
    [anon_sym_SEMI] = ACTIONS(7880),
    [anon_sym_STAR_STAR] = ACTIONS(7882),
    [anon_sym_AMP] = ACTIONS(7882),
    [anon_sym_EQ] = ACTIONS(7882),
    [anon_sym_LT] = ACTIONS(7882),
    [anon_sym_if] = ACTIONS(7880),
    [anon_sym_unless] = ACTIONS(7880),
    [anon_sym_while] = ACTIONS(7880),
    [anon_sym_until] = ACTIONS(7880),
    [anon_sym_rescue] = ACTIONS(7880),
    [anon_sym_in] = ACTIONS(7880),
    [anon_sym_do] = ACTIONS(7880),
    [anon_sym_EQ_GT] = ACTIONS(7880),
    [anon_sym_RBRACK] = ACTIONS(7880),
    [anon_sym_AMP_DOT] = ACTIONS(7880),
    [anon_sym_PLUS_EQ] = ACTIONS(7880),
    [anon_sym_DASH_EQ] = ACTIONS(7880),
    [anon_sym_STAR_EQ] = ACTIONS(7880),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7880),
    [anon_sym_SLASH_EQ] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7880),
    [anon_sym_PIPE_EQ] = ACTIONS(7880),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7880),
    [anon_sym_AMP_EQ] = ACTIONS(7880),
    [anon_sym_PERCENT_EQ] = ACTIONS(7880),
    [anon_sym_GT_GT_EQ] = ACTIONS(7880),
    [anon_sym_LT_LT_EQ] = ACTIONS(7880),
    [anon_sym_CARET_EQ] = ACTIONS(7880),
    [anon_sym_QMARK] = ACTIONS(7880),
    [anon_sym_COLON] = ACTIONS(7880),
    [anon_sym_DOT_DOT] = ACTIONS(7882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7880),
    [anon_sym_and] = ACTIONS(7880),
    [anon_sym_or] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE] = ACTIONS(7882),
    [anon_sym_AMP_AMP] = ACTIONS(7882),
    [anon_sym_LT_LT] = ACTIONS(7882),
    [anon_sym_GT_GT] = ACTIONS(7882),
    [anon_sym_EQ_EQ] = ACTIONS(7882),
    [anon_sym_BANG_EQ] = ACTIONS(7880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7880),
    [anon_sym_LT_EQ_GT] = ACTIONS(7880),
    [anon_sym_EQ_TILDE] = ACTIONS(7880),
    [anon_sym_BANG_TILDE] = ACTIONS(7880),
    [anon_sym_LT_EQ] = ACTIONS(7882),
    [anon_sym_GT] = ACTIONS(7882),
    [anon_sym_GT_EQ] = ACTIONS(7880),
    [anon_sym_CARET] = ACTIONS(7882),
    [anon_sym_PLUS] = ACTIONS(7882),
    [anon_sym_SLASH] = ACTIONS(7882),
    [anon_sym_PERCENT] = ACTIONS(7882),
    [sym_comment] = ACTIONS(87),
  },
  [7405] = {
    [sym_elsif] = STATE(9639),
    [sym_else] = STATE(9639),
    [sym__if_tail] = STATE(9639),
    [anon_sym_end] = ACTIONS(12412),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [7406] = {
    [anon_sym_end] = ACTIONS(12412),
    [sym_comment] = ACTIONS(87),
  },
  [7407] = {
    [sym__statements] = STATE(9640),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(9639),
    [sym_else] = STATE(9639),
    [sym__if_tail] = STATE(9639),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12414),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7408] = {
    [sym__heredoc_body_start] = ACTIONS(8084),
    [sym__element_reference_left_bracket] = ACTIONS(8084),
    [sym__infix_scope_colons] = ACTIONS(8084),
    [sym__binary_minus] = ACTIONS(8084),
    [sym__binary_star] = ACTIONS(8084),
    [anon_sym_LBRACE] = ACTIONS(8084),
    [anon_sym_RBRACE] = ACTIONS(8084),
    [anon_sym_RPAREN] = ACTIONS(8084),
    [anon_sym_DOT] = ACTIONS(8086),
    [anon_sym_COMMA] = ACTIONS(8084),
    [anon_sym_PIPE] = ACTIONS(8086),
    [anon_sym_SEMI] = ACTIONS(8084),
    [anon_sym_STAR_STAR] = ACTIONS(8086),
    [anon_sym_AMP] = ACTIONS(8086),
    [anon_sym_EQ] = ACTIONS(8086),
    [anon_sym_LT] = ACTIONS(8086),
    [anon_sym_if] = ACTIONS(8084),
    [anon_sym_unless] = ACTIONS(8084),
    [anon_sym_while] = ACTIONS(8084),
    [anon_sym_until] = ACTIONS(8084),
    [anon_sym_rescue] = ACTIONS(8084),
    [anon_sym_in] = ACTIONS(8084),
    [anon_sym_do] = ACTIONS(8084),
    [anon_sym_EQ_GT] = ACTIONS(8084),
    [anon_sym_RBRACK] = ACTIONS(8084),
    [anon_sym_AMP_DOT] = ACTIONS(8084),
    [anon_sym_PLUS_EQ] = ACTIONS(8084),
    [anon_sym_DASH_EQ] = ACTIONS(8084),
    [anon_sym_STAR_EQ] = ACTIONS(8084),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8084),
    [anon_sym_SLASH_EQ] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8084),
    [anon_sym_PIPE_EQ] = ACTIONS(8084),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8084),
    [anon_sym_AMP_EQ] = ACTIONS(8084),
    [anon_sym_PERCENT_EQ] = ACTIONS(8084),
    [anon_sym_GT_GT_EQ] = ACTIONS(8084),
    [anon_sym_LT_LT_EQ] = ACTIONS(8084),
    [anon_sym_CARET_EQ] = ACTIONS(8084),
    [anon_sym_QMARK] = ACTIONS(8084),
    [anon_sym_COLON] = ACTIONS(8084),
    [anon_sym_DOT_DOT] = ACTIONS(8086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8084),
    [anon_sym_and] = ACTIONS(8084),
    [anon_sym_or] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE] = ACTIONS(8086),
    [anon_sym_AMP_AMP] = ACTIONS(8086),
    [anon_sym_LT_LT] = ACTIONS(8086),
    [anon_sym_GT_GT] = ACTIONS(8086),
    [anon_sym_EQ_EQ] = ACTIONS(8086),
    [anon_sym_BANG_EQ] = ACTIONS(8084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8084),
    [anon_sym_LT_EQ_GT] = ACTIONS(8084),
    [anon_sym_EQ_TILDE] = ACTIONS(8084),
    [anon_sym_BANG_TILDE] = ACTIONS(8084),
    [anon_sym_LT_EQ] = ACTIONS(8086),
    [anon_sym_GT] = ACTIONS(8086),
    [anon_sym_GT_EQ] = ACTIONS(8084),
    [anon_sym_CARET] = ACTIONS(8086),
    [anon_sym_PLUS] = ACTIONS(8086),
    [anon_sym_SLASH] = ACTIONS(8086),
    [anon_sym_PERCENT] = ACTIONS(8086),
    [sym_comment] = ACTIONS(87),
  },
  [7409] = {
    [sym_else] = STATE(9642),
    [anon_sym_end] = ACTIONS(12416),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [7410] = {
    [anon_sym_end] = ACTIONS(12416),
    [sym_comment] = ACTIONS(87),
  },
  [7411] = {
    [sym__heredoc_body_start] = ACTIONS(8254),
    [sym__element_reference_left_bracket] = ACTIONS(8254),
    [sym__infix_scope_colons] = ACTIONS(8254),
    [sym__binary_minus] = ACTIONS(8254),
    [sym__binary_star] = ACTIONS(8254),
    [anon_sym_LBRACE] = ACTIONS(8254),
    [anon_sym_RBRACE] = ACTIONS(8254),
    [anon_sym_RPAREN] = ACTIONS(8254),
    [anon_sym_DOT] = ACTIONS(8256),
    [anon_sym_COMMA] = ACTIONS(8254),
    [anon_sym_PIPE] = ACTIONS(8256),
    [anon_sym_SEMI] = ACTIONS(8254),
    [anon_sym_STAR_STAR] = ACTIONS(8256),
    [anon_sym_AMP] = ACTIONS(8256),
    [anon_sym_EQ] = ACTIONS(8256),
    [anon_sym_LT] = ACTIONS(8256),
    [anon_sym_if] = ACTIONS(8254),
    [anon_sym_unless] = ACTIONS(8254),
    [anon_sym_while] = ACTIONS(8254),
    [anon_sym_until] = ACTIONS(8254),
    [anon_sym_rescue] = ACTIONS(8254),
    [anon_sym_in] = ACTIONS(8254),
    [anon_sym_do] = ACTIONS(8254),
    [anon_sym_EQ_GT] = ACTIONS(8254),
    [anon_sym_RBRACK] = ACTIONS(8254),
    [anon_sym_AMP_DOT] = ACTIONS(8254),
    [anon_sym_PLUS_EQ] = ACTIONS(8254),
    [anon_sym_DASH_EQ] = ACTIONS(8254),
    [anon_sym_STAR_EQ] = ACTIONS(8254),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8254),
    [anon_sym_SLASH_EQ] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8254),
    [anon_sym_PIPE_EQ] = ACTIONS(8254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8254),
    [anon_sym_AMP_EQ] = ACTIONS(8254),
    [anon_sym_PERCENT_EQ] = ACTIONS(8254),
    [anon_sym_GT_GT_EQ] = ACTIONS(8254),
    [anon_sym_LT_LT_EQ] = ACTIONS(8254),
    [anon_sym_CARET_EQ] = ACTIONS(8254),
    [anon_sym_QMARK] = ACTIONS(8254),
    [anon_sym_COLON] = ACTIONS(8254),
    [anon_sym_DOT_DOT] = ACTIONS(8256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8254),
    [anon_sym_and] = ACTIONS(8254),
    [anon_sym_or] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE] = ACTIONS(8256),
    [anon_sym_AMP_AMP] = ACTIONS(8256),
    [anon_sym_LT_LT] = ACTIONS(8256),
    [anon_sym_GT_GT] = ACTIONS(8256),
    [anon_sym_EQ_EQ] = ACTIONS(8256),
    [anon_sym_BANG_EQ] = ACTIONS(8254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8254),
    [anon_sym_LT_EQ_GT] = ACTIONS(8254),
    [anon_sym_EQ_TILDE] = ACTIONS(8254),
    [anon_sym_BANG_TILDE] = ACTIONS(8254),
    [anon_sym_LT_EQ] = ACTIONS(8256),
    [anon_sym_GT] = ACTIONS(8256),
    [anon_sym_GT_EQ] = ACTIONS(8254),
    [anon_sym_CARET] = ACTIONS(8256),
    [anon_sym_PLUS] = ACTIONS(8256),
    [anon_sym_SLASH] = ACTIONS(8256),
    [anon_sym_PERCENT] = ACTIONS(8256),
    [sym_comment] = ACTIONS(87),
  },
  [7412] = {
    [anon_sym_end] = ACTIONS(12418),
    [sym_comment] = ACTIONS(87),
  },
  [7413] = {
    [sym__heredoc_body_start] = ACTIONS(8334),
    [sym__element_reference_left_bracket] = ACTIONS(8334),
    [sym__infix_scope_colons] = ACTIONS(8334),
    [sym__binary_minus] = ACTIONS(8334),
    [sym__binary_star] = ACTIONS(8334),
    [anon_sym_LBRACE] = ACTIONS(8334),
    [anon_sym_RBRACE] = ACTIONS(8334),
    [anon_sym_RPAREN] = ACTIONS(8334),
    [anon_sym_DOT] = ACTIONS(8336),
    [anon_sym_COMMA] = ACTIONS(8334),
    [anon_sym_PIPE] = ACTIONS(8336),
    [anon_sym_SEMI] = ACTIONS(8334),
    [anon_sym_STAR_STAR] = ACTIONS(8336),
    [anon_sym_AMP] = ACTIONS(8336),
    [anon_sym_EQ] = ACTIONS(8336),
    [anon_sym_LT] = ACTIONS(8336),
    [anon_sym_if] = ACTIONS(8334),
    [anon_sym_unless] = ACTIONS(8334),
    [anon_sym_while] = ACTIONS(8334),
    [anon_sym_until] = ACTIONS(8334),
    [anon_sym_rescue] = ACTIONS(8334),
    [anon_sym_in] = ACTIONS(8334),
    [anon_sym_do] = ACTIONS(8334),
    [anon_sym_EQ_GT] = ACTIONS(8334),
    [anon_sym_RBRACK] = ACTIONS(8334),
    [anon_sym_AMP_DOT] = ACTIONS(8334),
    [anon_sym_PLUS_EQ] = ACTIONS(8334),
    [anon_sym_DASH_EQ] = ACTIONS(8334),
    [anon_sym_STAR_EQ] = ACTIONS(8334),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8334),
    [anon_sym_SLASH_EQ] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8334),
    [anon_sym_PIPE_EQ] = ACTIONS(8334),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8334),
    [anon_sym_AMP_EQ] = ACTIONS(8334),
    [anon_sym_PERCENT_EQ] = ACTIONS(8334),
    [anon_sym_GT_GT_EQ] = ACTIONS(8334),
    [anon_sym_LT_LT_EQ] = ACTIONS(8334),
    [anon_sym_CARET_EQ] = ACTIONS(8334),
    [anon_sym_QMARK] = ACTIONS(8334),
    [anon_sym_COLON] = ACTIONS(8334),
    [anon_sym_DOT_DOT] = ACTIONS(8336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8334),
    [anon_sym_and] = ACTIONS(8334),
    [anon_sym_or] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE] = ACTIONS(8336),
    [anon_sym_AMP_AMP] = ACTIONS(8336),
    [anon_sym_LT_LT] = ACTIONS(8336),
    [anon_sym_GT_GT] = ACTIONS(8336),
    [anon_sym_EQ_EQ] = ACTIONS(8336),
    [anon_sym_BANG_EQ] = ACTIONS(8334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8334),
    [anon_sym_LT_EQ_GT] = ACTIONS(8334),
    [anon_sym_EQ_TILDE] = ACTIONS(8334),
    [anon_sym_BANG_TILDE] = ACTIONS(8334),
    [anon_sym_LT_EQ] = ACTIONS(8336),
    [anon_sym_GT] = ACTIONS(8336),
    [anon_sym_GT_EQ] = ACTIONS(8334),
    [anon_sym_CARET] = ACTIONS(8336),
    [anon_sym_PLUS] = ACTIONS(8336),
    [anon_sym_SLASH] = ACTIONS(8336),
    [anon_sym_PERCENT] = ACTIONS(8336),
    [sym_comment] = ACTIONS(87),
  },
  [7414] = {
    [anon_sym_end] = ACTIONS(12420),
    [sym_comment] = ACTIONS(87),
  },
  [7415] = {
    [sym__statements] = STATE(9646),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12422),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7416] = {
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [sym__binary_minus] = ACTIONS(11938),
    [sym__binary_star] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11940),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_PIPE] = ACTIONS(11940),
    [anon_sym_STAR_STAR] = ACTIONS(11940),
    [anon_sym_AMP] = ACTIONS(11940),
    [anon_sym_EQ] = ACTIONS(11940),
    [anon_sym_LT] = ACTIONS(11940),
    [anon_sym_EQ_GT] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [anon_sym_PLUS_EQ] = ACTIONS(11938),
    [anon_sym_DASH_EQ] = ACTIONS(11938),
    [anon_sym_STAR_EQ] = ACTIONS(11938),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11938),
    [anon_sym_SLASH_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11938),
    [anon_sym_AMP_EQ] = ACTIONS(11938),
    [anon_sym_PERCENT_EQ] = ACTIONS(11938),
    [anon_sym_GT_GT_EQ] = ACTIONS(11938),
    [anon_sym_LT_LT_EQ] = ACTIONS(11938),
    [anon_sym_CARET_EQ] = ACTIONS(11938),
    [anon_sym_QMARK] = ACTIONS(11938),
    [anon_sym_DOT_DOT] = ACTIONS(11940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11938),
    [anon_sym_and] = ACTIONS(11938),
    [anon_sym_or] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE] = ACTIONS(11940),
    [anon_sym_AMP_AMP] = ACTIONS(11940),
    [anon_sym_LT_LT] = ACTIONS(11940),
    [anon_sym_GT_GT] = ACTIONS(11940),
    [anon_sym_EQ_EQ] = ACTIONS(11940),
    [anon_sym_BANG_EQ] = ACTIONS(11938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11938),
    [anon_sym_LT_EQ_GT] = ACTIONS(11938),
    [anon_sym_EQ_TILDE] = ACTIONS(11938),
    [anon_sym_BANG_TILDE] = ACTIONS(11938),
    [anon_sym_LT_EQ] = ACTIONS(11940),
    [anon_sym_GT] = ACTIONS(11940),
    [anon_sym_GT_EQ] = ACTIONS(11938),
    [anon_sym_CARET] = ACTIONS(11940),
    [anon_sym_PLUS] = ACTIONS(11940),
    [anon_sym_SLASH] = ACTIONS(11940),
    [anon_sym_PERCENT] = ACTIONS(11940),
    [sym_comment] = ACTIONS(87),
  },
  [7417] = {
    [anon_sym_end] = ACTIONS(12424),
    [sym_comment] = ACTIONS(87),
  },
  [7418] = {
    [sym__statements] = STATE(9648),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12426),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7419] = {
    [anon_sym_end] = ACTIONS(12428),
    [sym_comment] = ACTIONS(87),
  },
  [7420] = {
    [sym_when] = STATE(9650),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [7421] = {
    [sym__heredoc_body_start] = ACTIONS(8592),
    [sym__element_reference_left_bracket] = ACTIONS(8592),
    [sym__infix_scope_colons] = ACTIONS(8592),
    [sym__binary_minus] = ACTIONS(8592),
    [sym__binary_star] = ACTIONS(8592),
    [anon_sym_LBRACE] = ACTIONS(8592),
    [anon_sym_RBRACE] = ACTIONS(8592),
    [anon_sym_RPAREN] = ACTIONS(8592),
    [anon_sym_DOT] = ACTIONS(8594),
    [anon_sym_COMMA] = ACTIONS(8592),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_SEMI] = ACTIONS(8592),
    [anon_sym_STAR_STAR] = ACTIONS(8594),
    [anon_sym_AMP] = ACTIONS(8594),
    [anon_sym_EQ] = ACTIONS(8594),
    [anon_sym_LT] = ACTIONS(8594),
    [anon_sym_if] = ACTIONS(8592),
    [anon_sym_unless] = ACTIONS(8592),
    [anon_sym_while] = ACTIONS(8592),
    [anon_sym_until] = ACTIONS(8592),
    [anon_sym_rescue] = ACTIONS(8592),
    [anon_sym_in] = ACTIONS(8592),
    [anon_sym_do] = ACTIONS(8592),
    [anon_sym_EQ_GT] = ACTIONS(8592),
    [anon_sym_RBRACK] = ACTIONS(8592),
    [anon_sym_AMP_DOT] = ACTIONS(8592),
    [anon_sym_PLUS_EQ] = ACTIONS(8592),
    [anon_sym_DASH_EQ] = ACTIONS(8592),
    [anon_sym_STAR_EQ] = ACTIONS(8592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8592),
    [anon_sym_SLASH_EQ] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8592),
    [anon_sym_PIPE_EQ] = ACTIONS(8592),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8592),
    [anon_sym_AMP_EQ] = ACTIONS(8592),
    [anon_sym_PERCENT_EQ] = ACTIONS(8592),
    [anon_sym_GT_GT_EQ] = ACTIONS(8592),
    [anon_sym_LT_LT_EQ] = ACTIONS(8592),
    [anon_sym_CARET_EQ] = ACTIONS(8592),
    [anon_sym_QMARK] = ACTIONS(8592),
    [anon_sym_COLON] = ACTIONS(8592),
    [anon_sym_DOT_DOT] = ACTIONS(8594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8592),
    [anon_sym_and] = ACTIONS(8592),
    [anon_sym_or] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE] = ACTIONS(8594),
    [anon_sym_AMP_AMP] = ACTIONS(8594),
    [anon_sym_LT_LT] = ACTIONS(8594),
    [anon_sym_GT_GT] = ACTIONS(8594),
    [anon_sym_EQ_EQ] = ACTIONS(8594),
    [anon_sym_BANG_EQ] = ACTIONS(8592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8592),
    [anon_sym_LT_EQ_GT] = ACTIONS(8592),
    [anon_sym_EQ_TILDE] = ACTIONS(8592),
    [anon_sym_BANG_TILDE] = ACTIONS(8592),
    [anon_sym_LT_EQ] = ACTIONS(8594),
    [anon_sym_GT] = ACTIONS(8594),
    [anon_sym_GT_EQ] = ACTIONS(8592),
    [anon_sym_CARET] = ACTIONS(8594),
    [anon_sym_PLUS] = ACTIONS(8594),
    [anon_sym_SLASH] = ACTIONS(8594),
    [anon_sym_PERCENT] = ACTIONS(8594),
    [sym_comment] = ACTIONS(87),
  },
  [7422] = {
    [sym__heredoc_body_start] = ACTIONS(9111),
    [sym__element_reference_left_bracket] = ACTIONS(9111),
    [sym__infix_scope_colons] = ACTIONS(9111),
    [sym__binary_minus] = ACTIONS(9111),
    [sym__binary_star] = ACTIONS(9111),
    [anon_sym_LBRACE] = ACTIONS(9111),
    [anon_sym_RBRACE] = ACTIONS(9111),
    [anon_sym_RPAREN] = ACTIONS(9111),
    [anon_sym_DOT] = ACTIONS(9113),
    [anon_sym_COMMA] = ACTIONS(9111),
    [anon_sym_PIPE] = ACTIONS(9113),
    [anon_sym_SEMI] = ACTIONS(9111),
    [anon_sym_STAR_STAR] = ACTIONS(9113),
    [anon_sym_AMP] = ACTIONS(9113),
    [anon_sym_EQ] = ACTIONS(9113),
    [anon_sym_LT] = ACTIONS(9113),
    [anon_sym_if] = ACTIONS(9111),
    [anon_sym_unless] = ACTIONS(9111),
    [anon_sym_while] = ACTIONS(9111),
    [anon_sym_until] = ACTIONS(9111),
    [anon_sym_rescue] = ACTIONS(9111),
    [anon_sym_in] = ACTIONS(9111),
    [anon_sym_do] = ACTIONS(9111),
    [anon_sym_EQ_GT] = ACTIONS(9111),
    [anon_sym_RBRACK] = ACTIONS(9111),
    [anon_sym_AMP_DOT] = ACTIONS(9111),
    [anon_sym_PLUS_EQ] = ACTIONS(9111),
    [anon_sym_DASH_EQ] = ACTIONS(9111),
    [anon_sym_STAR_EQ] = ACTIONS(9111),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9111),
    [anon_sym_SLASH_EQ] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9111),
    [anon_sym_PIPE_EQ] = ACTIONS(9111),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9111),
    [anon_sym_AMP_EQ] = ACTIONS(9111),
    [anon_sym_PERCENT_EQ] = ACTIONS(9111),
    [anon_sym_GT_GT_EQ] = ACTIONS(9111),
    [anon_sym_LT_LT_EQ] = ACTIONS(9111),
    [anon_sym_CARET_EQ] = ACTIONS(9111),
    [anon_sym_QMARK] = ACTIONS(9111),
    [anon_sym_COLON] = ACTIONS(9111),
    [anon_sym_DOT_DOT] = ACTIONS(9113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9111),
    [anon_sym_and] = ACTIONS(9111),
    [anon_sym_or] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE] = ACTIONS(9113),
    [anon_sym_AMP_AMP] = ACTIONS(9113),
    [anon_sym_LT_LT] = ACTIONS(9113),
    [anon_sym_GT_GT] = ACTIONS(9113),
    [anon_sym_EQ_EQ] = ACTIONS(9113),
    [anon_sym_BANG_EQ] = ACTIONS(9111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9111),
    [anon_sym_LT_EQ_GT] = ACTIONS(9111),
    [anon_sym_EQ_TILDE] = ACTIONS(9111),
    [anon_sym_BANG_TILDE] = ACTIONS(9111),
    [anon_sym_LT_EQ] = ACTIONS(9113),
    [anon_sym_GT] = ACTIONS(9113),
    [anon_sym_GT_EQ] = ACTIONS(9111),
    [anon_sym_CARET] = ACTIONS(9113),
    [anon_sym_PLUS] = ACTIONS(9113),
    [anon_sym_SLASH] = ACTIONS(9113),
    [anon_sym_PERCENT] = ACTIONS(9113),
    [sym_comment] = ACTIONS(87),
  },
  [7423] = {
    [anon_sym_end] = ACTIONS(12430),
    [sym_comment] = ACTIONS(87),
  },
  [7424] = {
    [sym_ensure] = STATE(9652),
    [anon_sym_end] = ACTIONS(12430),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [7425] = {
    [sym__heredoc_body_start] = ACTIONS(9333),
    [sym__element_reference_left_bracket] = ACTIONS(9333),
    [sym__infix_scope_colons] = ACTIONS(9333),
    [sym__binary_minus] = ACTIONS(9333),
    [sym__binary_star] = ACTIONS(9333),
    [anon_sym_LBRACE] = ACTIONS(9333),
    [anon_sym_RBRACE] = ACTIONS(9333),
    [anon_sym_RPAREN] = ACTIONS(9333),
    [anon_sym_DOT] = ACTIONS(9335),
    [anon_sym_COMMA] = ACTIONS(9333),
    [anon_sym_PIPE] = ACTIONS(9335),
    [anon_sym_SEMI] = ACTIONS(9333),
    [anon_sym_STAR_STAR] = ACTIONS(9335),
    [anon_sym_AMP] = ACTIONS(9335),
    [anon_sym_EQ] = ACTIONS(9335),
    [anon_sym_LT] = ACTIONS(9335),
    [anon_sym_if] = ACTIONS(9333),
    [anon_sym_unless] = ACTIONS(9333),
    [anon_sym_while] = ACTIONS(9333),
    [anon_sym_until] = ACTIONS(9333),
    [anon_sym_rescue] = ACTIONS(9333),
    [anon_sym_in] = ACTIONS(9333),
    [anon_sym_do] = ACTIONS(9333),
    [anon_sym_EQ_GT] = ACTIONS(9333),
    [anon_sym_RBRACK] = ACTIONS(9333),
    [anon_sym_AMP_DOT] = ACTIONS(9333),
    [anon_sym_PLUS_EQ] = ACTIONS(9333),
    [anon_sym_DASH_EQ] = ACTIONS(9333),
    [anon_sym_STAR_EQ] = ACTIONS(9333),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9333),
    [anon_sym_SLASH_EQ] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9333),
    [anon_sym_PIPE_EQ] = ACTIONS(9333),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9333),
    [anon_sym_AMP_EQ] = ACTIONS(9333),
    [anon_sym_PERCENT_EQ] = ACTIONS(9333),
    [anon_sym_GT_GT_EQ] = ACTIONS(9333),
    [anon_sym_LT_LT_EQ] = ACTIONS(9333),
    [anon_sym_CARET_EQ] = ACTIONS(9333),
    [anon_sym_QMARK] = ACTIONS(9333),
    [anon_sym_COLON] = ACTIONS(9333),
    [anon_sym_DOT_DOT] = ACTIONS(9335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9333),
    [anon_sym_and] = ACTIONS(9333),
    [anon_sym_or] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE] = ACTIONS(9335),
    [anon_sym_AMP_AMP] = ACTIONS(9335),
    [anon_sym_LT_LT] = ACTIONS(9335),
    [anon_sym_GT_GT] = ACTIONS(9335),
    [anon_sym_EQ_EQ] = ACTIONS(9335),
    [anon_sym_BANG_EQ] = ACTIONS(9333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9333),
    [anon_sym_LT_EQ_GT] = ACTIONS(9333),
    [anon_sym_EQ_TILDE] = ACTIONS(9333),
    [anon_sym_BANG_TILDE] = ACTIONS(9333),
    [anon_sym_LT_EQ] = ACTIONS(9335),
    [anon_sym_GT] = ACTIONS(9335),
    [anon_sym_GT_EQ] = ACTIONS(9333),
    [anon_sym_CARET] = ACTIONS(9335),
    [anon_sym_PLUS] = ACTIONS(9335),
    [anon_sym_SLASH] = ACTIONS(9335),
    [anon_sym_PERCENT] = ACTIONS(9335),
    [sym_comment] = ACTIONS(87),
  },
  [7426] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9653),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_assignment] = STATE(9653),
    [sym_operator_assignment] = STATE(9653),
    [sym_conditional] = STATE(9653),
    [sym_range] = STATE(9653),
    [sym_binary] = STATE(9653),
    [sym_unary] = STATE(9653),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7427] = {
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym__element_reference_left_bracket] = ACTIONS(6671),
    [sym__infix_scope_colons] = ACTIONS(6671),
    [sym__binary_minus] = ACTIONS(6671),
    [sym__binary_star] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_RBRACE] = ACTIONS(6671),
    [anon_sym_RPAREN] = ACTIONS(6671),
    [anon_sym_DOT] = ACTIONS(8601),
    [anon_sym_COMMA] = ACTIONS(6671),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_SEMI] = ACTIONS(6671),
    [anon_sym_STAR_STAR] = ACTIONS(8601),
    [anon_sym_AMP] = ACTIONS(8601),
    [anon_sym_EQ] = ACTIONS(8601),
    [anon_sym_LT] = ACTIONS(8601),
    [anon_sym_if] = ACTIONS(6671),
    [anon_sym_unless] = ACTIONS(6671),
    [anon_sym_while] = ACTIONS(6671),
    [anon_sym_until] = ACTIONS(6671),
    [anon_sym_rescue] = ACTIONS(6671),
    [anon_sym_in] = ACTIONS(6671),
    [anon_sym_do] = ACTIONS(6671),
    [anon_sym_EQ_GT] = ACTIONS(6671),
    [anon_sym_RBRACK] = ACTIONS(6671),
    [anon_sym_AMP_DOT] = ACTIONS(6671),
    [anon_sym_PLUS_EQ] = ACTIONS(6671),
    [anon_sym_DASH_EQ] = ACTIONS(6671),
    [anon_sym_STAR_EQ] = ACTIONS(6671),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6671),
    [anon_sym_SLASH_EQ] = ACTIONS(6671),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6671),
    [anon_sym_PIPE_EQ] = ACTIONS(6671),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6671),
    [anon_sym_AMP_EQ] = ACTIONS(6671),
    [anon_sym_PERCENT_EQ] = ACTIONS(6671),
    [anon_sym_GT_GT_EQ] = ACTIONS(6671),
    [anon_sym_LT_LT_EQ] = ACTIONS(6671),
    [anon_sym_CARET_EQ] = ACTIONS(6671),
    [anon_sym_QMARK] = ACTIONS(6671),
    [anon_sym_COLON] = ACTIONS(6671),
    [anon_sym_DOT_DOT] = ACTIONS(8601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6671),
    [anon_sym_and] = ACTIONS(6671),
    [anon_sym_or] = ACTIONS(6671),
    [anon_sym_PIPE_PIPE] = ACTIONS(8601),
    [anon_sym_AMP_AMP] = ACTIONS(8601),
    [anon_sym_LT_LT] = ACTIONS(8601),
    [anon_sym_GT_GT] = ACTIONS(8601),
    [anon_sym_EQ_EQ] = ACTIONS(8601),
    [anon_sym_BANG_EQ] = ACTIONS(6671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6671),
    [anon_sym_LT_EQ_GT] = ACTIONS(6671),
    [anon_sym_EQ_TILDE] = ACTIONS(6671),
    [anon_sym_BANG_TILDE] = ACTIONS(6671),
    [anon_sym_LT_EQ] = ACTIONS(8601),
    [anon_sym_GT] = ACTIONS(8601),
    [anon_sym_GT_EQ] = ACTIONS(6671),
    [anon_sym_CARET] = ACTIONS(8601),
    [anon_sym_PLUS] = ACTIONS(8601),
    [anon_sym_SLASH] = ACTIONS(8601),
    [anon_sym_PERCENT] = ACTIONS(8601),
    [sym_comment] = ACTIONS(87),
  },
  [7428] = {
    [sym__heredoc_body_start] = ACTIONS(10814),
    [sym__element_reference_left_bracket] = ACTIONS(10814),
    [sym__infix_scope_colons] = ACTIONS(10814),
    [sym__binary_minus] = ACTIONS(10814),
    [sym__binary_star] = ACTIONS(10814),
    [anon_sym_LBRACE] = ACTIONS(10814),
    [anon_sym_RBRACE] = ACTIONS(10814),
    [anon_sym_RPAREN] = ACTIONS(10814),
    [anon_sym_DOT] = ACTIONS(10816),
    [anon_sym_COMMA] = ACTIONS(10814),
    [anon_sym_PIPE] = ACTIONS(10816),
    [anon_sym_SEMI] = ACTIONS(10814),
    [anon_sym_STAR_STAR] = ACTIONS(10816),
    [anon_sym_AMP] = ACTIONS(10816),
    [anon_sym_EQ] = ACTIONS(10816),
    [anon_sym_LT] = ACTIONS(10816),
    [anon_sym_if] = ACTIONS(10814),
    [anon_sym_unless] = ACTIONS(10814),
    [anon_sym_while] = ACTIONS(10814),
    [anon_sym_until] = ACTIONS(10814),
    [anon_sym_rescue] = ACTIONS(10814),
    [anon_sym_in] = ACTIONS(10814),
    [anon_sym_do] = ACTIONS(10814),
    [anon_sym_EQ_GT] = ACTIONS(10814),
    [anon_sym_RBRACK] = ACTIONS(10814),
    [anon_sym_AMP_DOT] = ACTIONS(10814),
    [anon_sym_PLUS_EQ] = ACTIONS(10814),
    [anon_sym_DASH_EQ] = ACTIONS(10814),
    [anon_sym_STAR_EQ] = ACTIONS(10814),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10814),
    [anon_sym_SLASH_EQ] = ACTIONS(10814),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10814),
    [anon_sym_PIPE_EQ] = ACTIONS(10814),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10814),
    [anon_sym_AMP_EQ] = ACTIONS(10814),
    [anon_sym_PERCENT_EQ] = ACTIONS(10814),
    [anon_sym_GT_GT_EQ] = ACTIONS(10814),
    [anon_sym_LT_LT_EQ] = ACTIONS(10814),
    [anon_sym_CARET_EQ] = ACTIONS(10814),
    [anon_sym_QMARK] = ACTIONS(10814),
    [anon_sym_COLON] = ACTIONS(10814),
    [anon_sym_DOT_DOT] = ACTIONS(10816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10814),
    [anon_sym_and] = ACTIONS(10814),
    [anon_sym_or] = ACTIONS(10814),
    [anon_sym_PIPE_PIPE] = ACTIONS(10816),
    [anon_sym_AMP_AMP] = ACTIONS(10816),
    [anon_sym_LT_LT] = ACTIONS(10816),
    [anon_sym_GT_GT] = ACTIONS(10816),
    [anon_sym_EQ_EQ] = ACTIONS(10816),
    [anon_sym_BANG_EQ] = ACTIONS(10814),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10814),
    [anon_sym_LT_EQ_GT] = ACTIONS(10814),
    [anon_sym_EQ_TILDE] = ACTIONS(10814),
    [anon_sym_BANG_TILDE] = ACTIONS(10814),
    [anon_sym_LT_EQ] = ACTIONS(10816),
    [anon_sym_GT] = ACTIONS(10816),
    [anon_sym_GT_EQ] = ACTIONS(10814),
    [anon_sym_CARET] = ACTIONS(10816),
    [anon_sym_PLUS] = ACTIONS(10816),
    [anon_sym_SLASH] = ACTIONS(10816),
    [anon_sym_PERCENT] = ACTIONS(10816),
    [sym_comment] = ACTIONS(87),
  },
  [7429] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4612),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_splat_argument] = STATE(9654),
    [sym_assignment] = STATE(4612),
    [sym_operator_assignment] = STATE(4612),
    [sym_conditional] = STATE(4612),
    [sym_range] = STATE(4612),
    [sym_binary] = STATE(4612),
    [sym_unary] = STATE(4612),
    [sym__arg_or_splat_arg] = STATE(9654),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2048),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(1161),
    [sym__unary_minus] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7430] = {
    [aux_sym_exceptions_repeat1] = STATE(9655),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12432),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [7431] = {
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [7432] = {
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7433] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(6995),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7007),
    [anon_sym_GT_GT] = ACTIONS(7007),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [7434] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7435] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7007),
    [anon_sym_GT_GT] = ACTIONS(7007),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [7436] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6991),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(6995),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7007),
    [anon_sym_GT_GT] = ACTIONS(7007),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [7437] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12434),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7438] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(6991),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(6995),
    [anon_sym_LT] = ACTIONS(6997),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7003),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7005),
    [anon_sym_AMP_AMP] = ACTIONS(7005),
    [anon_sym_LT_LT] = ACTIONS(7007),
    [anon_sym_GT_GT] = ACTIONS(7007),
    [anon_sym_EQ_EQ] = ACTIONS(7009),
    [anon_sym_BANG_EQ] = ACTIONS(7005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7005),
    [anon_sym_LT_EQ_GT] = ACTIONS(7005),
    [anon_sym_EQ_TILDE] = ACTIONS(7005),
    [anon_sym_BANG_TILDE] = ACTIONS(7005),
    [anon_sym_LT_EQ] = ACTIONS(6997),
    [anon_sym_GT] = ACTIONS(6997),
    [anon_sym_GT_EQ] = ACTIONS(7011),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [7439] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6991),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(6995),
    [anon_sym_LT] = ACTIONS(6997),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(6999),
    [anon_sym_DOT_DOT] = ACTIONS(7001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7003),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7005),
    [anon_sym_AMP_AMP] = ACTIONS(7005),
    [anon_sym_LT_LT] = ACTIONS(7007),
    [anon_sym_GT_GT] = ACTIONS(7007),
    [anon_sym_EQ_EQ] = ACTIONS(7009),
    [anon_sym_BANG_EQ] = ACTIONS(7005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7005),
    [anon_sym_LT_EQ_GT] = ACTIONS(7005),
    [anon_sym_EQ_TILDE] = ACTIONS(7005),
    [anon_sym_BANG_TILDE] = ACTIONS(7005),
    [anon_sym_LT_EQ] = ACTIONS(6997),
    [anon_sym_GT] = ACTIONS(6997),
    [anon_sym_GT_EQ] = ACTIONS(7011),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [7440] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(6991),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(6995),
    [anon_sym_LT] = ACTIONS(6997),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7007),
    [anon_sym_GT_GT] = ACTIONS(7007),
    [anon_sym_EQ_EQ] = ACTIONS(7009),
    [anon_sym_BANG_EQ] = ACTIONS(7005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7005),
    [anon_sym_LT_EQ_GT] = ACTIONS(7005),
    [anon_sym_EQ_TILDE] = ACTIONS(7005),
    [anon_sym_BANG_TILDE] = ACTIONS(7005),
    [anon_sym_LT_EQ] = ACTIONS(6997),
    [anon_sym_GT] = ACTIONS(6997),
    [anon_sym_GT_EQ] = ACTIONS(7011),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [7441] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [7442] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [7443] = {
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(11449),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_COLON] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [7444] = {
    [aux_sym_exceptions_repeat1] = STATE(7444),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(12436),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [7445] = {
    [aux_sym_exceptions_repeat1] = STATE(4635),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7446] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(6991),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(6995),
    [anon_sym_LT] = ACTIONS(6997),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(6999),
    [anon_sym_DOT_DOT] = ACTIONS(7001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7003),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7005),
    [anon_sym_AMP_AMP] = ACTIONS(7005),
    [anon_sym_LT_LT] = ACTIONS(7007),
    [anon_sym_GT_GT] = ACTIONS(7007),
    [anon_sym_EQ_EQ] = ACTIONS(7009),
    [anon_sym_BANG_EQ] = ACTIONS(7005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7005),
    [anon_sym_LT_EQ_GT] = ACTIONS(7005),
    [anon_sym_EQ_TILDE] = ACTIONS(7005),
    [anon_sym_BANG_TILDE] = ACTIONS(7005),
    [anon_sym_LT_EQ] = ACTIONS(6997),
    [anon_sym_GT] = ACTIONS(6997),
    [anon_sym_GT_EQ] = ACTIONS(7011),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [7447] = {
    [sym_string] = STATE(7447),
    [aux_sym_chained_string_repeat1] = STATE(7447),
    [sym__string_start] = ACTIONS(7027),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [7448] = {
    [sym__simple_symbol] = ACTIONS(6671),
    [sym__string_start] = ACTIONS(6671),
    [sym__symbol_start] = ACTIONS(6671),
    [sym__subshell_start] = ACTIONS(6671),
    [sym__regex_start] = ACTIONS(6671),
    [sym__string_array_start] = ACTIONS(6671),
    [sym__symbol_array_start] = ACTIONS(6671),
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym_heredoc_beginning] = ACTIONS(6671),
    [sym__unary_minus] = ACTIONS(6671),
    [sym__identifier_hash_key] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_RBRACE] = ACTIONS(6671),
    [anon_sym_def] = ACTIONS(8601),
    [anon_sym_LPAREN] = ACTIONS(6671),
    [anon_sym_COLON_COLON] = ACTIONS(6671),
    [anon_sym_STAR] = ACTIONS(8601),
    [anon_sym_STAR_STAR] = ACTIONS(6671),
    [anon_sym_class] = ACTIONS(8601),
    [anon_sym_module] = ACTIONS(8601),
    [anon_sym_return] = ACTIONS(8601),
    [anon_sym_yield] = ACTIONS(8601),
    [anon_sym_break] = ACTIONS(8601),
    [anon_sym_next] = ACTIONS(8601),
    [sym_redo] = ACTIONS(8601),
    [sym_retry] = ACTIONS(8601),
    [anon_sym_if] = ACTIONS(8601),
    [anon_sym_unless] = ACTIONS(8601),
    [anon_sym_while] = ACTIONS(8601),
    [anon_sym_until] = ACTIONS(8601),
    [anon_sym_for] = ACTIONS(8601),
    [anon_sym_case] = ACTIONS(8601),
    [anon_sym_begin] = ACTIONS(8601),
    [anon_sym_PLUS] = ACTIONS(8601),
    [anon_sym_defined_QMARK] = ACTIONS(6671),
    [anon_sym_not] = ACTIONS(8601),
    [anon_sym_BANG] = ACTIONS(6671),
    [anon_sym_TILDE] = ACTIONS(6671),
    [sym_constant] = ACTIONS(8601),
    [sym_identifier] = ACTIONS(8601),
    [sym_instance_variable] = ACTIONS(6671),
    [sym_class_variable] = ACTIONS(6671),
    [sym_global_variable] = ACTIONS(6671),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(8601),
    [sym_float] = ACTIONS(8601),
    [sym_complex] = ACTIONS(6671),
    [sym_super] = ACTIONS(8601),
    [anon_sym_true] = ACTIONS(8601),
    [anon_sym_TRUE] = ACTIONS(8601),
    [anon_sym_false] = ACTIONS(8601),
    [anon_sym_FALSE] = ACTIONS(8601),
    [sym_self] = ACTIONS(8601),
    [anon_sym_nil] = ACTIONS(8601),
    [anon_sym_NIL] = ACTIONS(8601),
    [sym_character] = ACTIONS(6671),
    [anon_sym_LBRACK] = ACTIONS(6671),
    [anon_sym_DASH_GT] = ACTIONS(6671),
  },
  [7449] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [7450] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [7451] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [7452] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9657),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9657),
    [sym_operator_assignment] = STATE(9657),
    [sym_conditional] = STATE(9657),
    [sym_range] = STATE(9657),
    [sym_binary] = STATE(9657),
    [sym_unary] = STATE(9657),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7453] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9658),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9658),
    [sym_operator_assignment] = STATE(9658),
    [sym_conditional] = STATE(9658),
    [sym_range] = STATE(9658),
    [sym_binary] = STATE(9658),
    [sym_unary] = STATE(9658),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7454] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9659),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9659),
    [sym_operator_assignment] = STATE(9659),
    [sym_conditional] = STATE(9659),
    [sym_range] = STATE(9659),
    [sym_binary] = STATE(9659),
    [sym_unary] = STATE(9659),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7455] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9660),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9660),
    [sym_operator_assignment] = STATE(9660),
    [sym_conditional] = STATE(9660),
    [sym_range] = STATE(9660),
    [sym_binary] = STATE(9660),
    [sym_unary] = STATE(9660),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7456] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9661),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9661),
    [sym_operator_assignment] = STATE(9661),
    [sym_conditional] = STATE(9661),
    [sym_range] = STATE(9661),
    [sym_binary] = STATE(9661),
    [sym_unary] = STATE(9661),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7457] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9662),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9662),
    [sym_operator_assignment] = STATE(9662),
    [sym_conditional] = STATE(9662),
    [sym_range] = STATE(9662),
    [sym_binary] = STATE(9662),
    [sym_unary] = STATE(9662),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7458] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9663),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9663),
    [sym_operator_assignment] = STATE(9663),
    [sym_conditional] = STATE(9663),
    [sym_range] = STATE(9663),
    [sym_binary] = STATE(9663),
    [sym_unary] = STATE(9663),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7459] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9664),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9664),
    [sym_operator_assignment] = STATE(9664),
    [sym_conditional] = STATE(9664),
    [sym_range] = STATE(9664),
    [sym_binary] = STATE(9664),
    [sym_unary] = STATE(9664),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7460] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9665),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9665),
    [sym_operator_assignment] = STATE(9665),
    [sym_conditional] = STATE(9665),
    [sym_range] = STATE(9665),
    [sym_binary] = STATE(9665),
    [sym_unary] = STATE(9665),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7461] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9666),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9666),
    [sym_operator_assignment] = STATE(9666),
    [sym_conditional] = STATE(9666),
    [sym_range] = STATE(9666),
    [sym_binary] = STATE(9666),
    [sym_unary] = STATE(9666),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7462] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9667),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9667),
    [sym_operator_assignment] = STATE(9667),
    [sym_conditional] = STATE(9667),
    [sym_range] = STATE(9667),
    [sym_binary] = STATE(9667),
    [sym_unary] = STATE(9667),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7463] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9668),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9668),
    [sym_operator_assignment] = STATE(9668),
    [sym_conditional] = STATE(9668),
    [sym_range] = STATE(9668),
    [sym_binary] = STATE(9668),
    [sym_unary] = STATE(9668),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7464] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9669),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_splat_argument] = STATE(9670),
    [sym_assignment] = STATE(9669),
    [sym_operator_assignment] = STATE(9669),
    [sym_conditional] = STATE(9669),
    [sym_range] = STATE(9669),
    [sym_binary] = STATE(9669),
    [sym_unary] = STATE(9669),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(9670),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(3498),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7465] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9671),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(9671),
    [sym_operator_assignment] = STATE(9671),
    [sym_conditional] = STATE(9671),
    [sym_range] = STATE(9671),
    [sym_binary] = STATE(9671),
    [sym_unary] = STATE(9671),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7466] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [7467] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7468] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7469] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7470] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7471] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7472] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7473] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [7474] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12439),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7475] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7476] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7477] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7478] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7479] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7480] = {
    [sym_heredoc_body] = STATE(7480),
    [aux_sym_call_repeat1] = STATE(7480),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [7481] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2162),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(2162),
    [sym_operator_assignment] = STATE(2162),
    [sym_conditional] = STATE(2162),
    [sym_range] = STATE(2162),
    [sym_binary] = STATE(2162),
    [sym_unary] = STATE(2162),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2167),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(3496),
    [sym__splat_star] = ACTIONS(3498),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__identifier_hash_key] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10411),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7482] = {
    [sym_heredoc_body] = STATE(7480),
    [aux_sym_call_repeat1] = STATE(7480),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [7483] = {
    [aux_sym_argument_list_repeat1] = STATE(7483),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12441),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [7484] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7485] = {
    [aux_sym_exceptions_repeat1] = STATE(9674),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7486] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7487] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [7488] = {
    [sym__line_break] = ACTIONS(12444),
    [sym__heredoc_body_start] = ACTIONS(12444),
    [sym__element_reference_left_bracket] = ACTIONS(12444),
    [sym__infix_scope_colons] = ACTIONS(12444),
    [sym__binary_minus] = ACTIONS(12444),
    [sym__binary_star] = ACTIONS(12444),
    [ts_builtin_sym_end] = ACTIONS(12444),
    [anon_sym___END__] = ACTIONS(12444),
    [anon_sym_LBRACE] = ACTIONS(12444),
    [anon_sym_RBRACE] = ACTIONS(12444),
    [anon_sym_RPAREN] = ACTIONS(12444),
    [anon_sym_DOT] = ACTIONS(12446),
    [anon_sym_COMMA] = ACTIONS(12444),
    [anon_sym_PIPE] = ACTIONS(12446),
    [anon_sym_SEMI] = ACTIONS(12444),
    [anon_sym_STAR_STAR] = ACTIONS(12444),
    [anon_sym_AMP] = ACTIONS(12446),
    [anon_sym_LT] = ACTIONS(12446),
    [anon_sym_end] = ACTIONS(12444),
    [anon_sym_if] = ACTIONS(12444),
    [anon_sym_unless] = ACTIONS(12444),
    [anon_sym_while] = ACTIONS(12444),
    [anon_sym_until] = ACTIONS(12444),
    [anon_sym_rescue] = ACTIONS(12444),
    [anon_sym_do] = ACTIONS(12444),
    [anon_sym_when] = ACTIONS(12444),
    [anon_sym_elsif] = ACTIONS(12444),
    [anon_sym_else] = ACTIONS(12444),
    [anon_sym_then] = ACTIONS(12444),
    [anon_sym_ensure] = ACTIONS(12444),
    [anon_sym_EQ_GT] = ACTIONS(12444),
    [anon_sym_AMP_DOT] = ACTIONS(12444),
    [anon_sym_QMARK] = ACTIONS(12444),
    [anon_sym_DOT_DOT] = ACTIONS(12446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12444),
    [anon_sym_and] = ACTIONS(12444),
    [anon_sym_or] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE] = ACTIONS(12444),
    [anon_sym_AMP_AMP] = ACTIONS(12444),
    [anon_sym_LT_LT] = ACTIONS(12444),
    [anon_sym_GT_GT] = ACTIONS(12444),
    [anon_sym_EQ_EQ] = ACTIONS(12446),
    [anon_sym_BANG_EQ] = ACTIONS(12444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12444),
    [anon_sym_LT_EQ_GT] = ACTIONS(12444),
    [anon_sym_EQ_TILDE] = ACTIONS(12444),
    [anon_sym_BANG_TILDE] = ACTIONS(12444),
    [anon_sym_LT_EQ] = ACTIONS(12446),
    [anon_sym_GT] = ACTIONS(12446),
    [anon_sym_GT_EQ] = ACTIONS(12444),
    [anon_sym_CARET] = ACTIONS(12444),
    [anon_sym_PLUS] = ACTIONS(12444),
    [anon_sym_SLASH] = ACTIONS(12444),
    [anon_sym_PERCENT] = ACTIONS(12444),
    [sym_comment] = ACTIONS(87),
  },
  [7489] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9675),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(705),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(705),
    [sym_assignment] = STATE(9675),
    [sym_operator_assignment] = STATE(9675),
    [sym_conditional] = STATE(9675),
    [sym_range] = STATE(9675),
    [sym_binary] = STATE(9675),
    [sym_unary] = STATE(9675),
    [sym_left_assignment_list] = STATE(704),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(705),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(705),
    [sym_false] = STATE(705),
    [sym_nil] = STATE(705),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(706),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_next] = ACTIONS(1253),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7490] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [7491] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [7492] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(10427),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [7493] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9676),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9676),
    [sym_operator_assignment] = STATE(9676),
    [sym_conditional] = STATE(9676),
    [sym_range] = STATE(9676),
    [sym_binary] = STATE(9676),
    [sym_unary] = STATE(9676),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7494] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9677),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9677),
    [sym_operator_assignment] = STATE(9677),
    [sym_conditional] = STATE(9677),
    [sym_range] = STATE(9677),
    [sym_binary] = STATE(9677),
    [sym_unary] = STATE(9677),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7495] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9678),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9678),
    [sym_operator_assignment] = STATE(9678),
    [sym_conditional] = STATE(9678),
    [sym_range] = STATE(9678),
    [sym_binary] = STATE(9678),
    [sym_unary] = STATE(9678),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7496] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9679),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9679),
    [sym_operator_assignment] = STATE(9679),
    [sym_conditional] = STATE(9679),
    [sym_range] = STATE(9679),
    [sym_binary] = STATE(9679),
    [sym_unary] = STATE(9679),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7497] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9680),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9680),
    [sym_operator_assignment] = STATE(9680),
    [sym_conditional] = STATE(9680),
    [sym_range] = STATE(9680),
    [sym_binary] = STATE(9680),
    [sym_unary] = STATE(9680),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7498] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9681),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9681),
    [sym_operator_assignment] = STATE(9681),
    [sym_conditional] = STATE(9681),
    [sym_range] = STATE(9681),
    [sym_binary] = STATE(9681),
    [sym_unary] = STATE(9681),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7499] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9682),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9682),
    [sym_operator_assignment] = STATE(9682),
    [sym_conditional] = STATE(9682),
    [sym_range] = STATE(9682),
    [sym_binary] = STATE(9682),
    [sym_unary] = STATE(9682),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7500] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9683),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9683),
    [sym_operator_assignment] = STATE(9683),
    [sym_conditional] = STATE(9683),
    [sym_range] = STATE(9683),
    [sym_binary] = STATE(9683),
    [sym_unary] = STATE(9683),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7501] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9684),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9684),
    [sym_operator_assignment] = STATE(9684),
    [sym_conditional] = STATE(9684),
    [sym_range] = STATE(9684),
    [sym_binary] = STATE(9684),
    [sym_unary] = STATE(9684),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7502] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9685),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9685),
    [sym_operator_assignment] = STATE(9685),
    [sym_conditional] = STATE(9685),
    [sym_range] = STATE(9685),
    [sym_binary] = STATE(9685),
    [sym_unary] = STATE(9685),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7503] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9686),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9686),
    [sym_operator_assignment] = STATE(9686),
    [sym_conditional] = STATE(9686),
    [sym_range] = STATE(9686),
    [sym_binary] = STATE(9686),
    [sym_unary] = STATE(9686),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7504] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9687),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9687),
    [sym_operator_assignment] = STATE(9687),
    [sym_conditional] = STATE(9687),
    [sym_range] = STATE(9687),
    [sym_binary] = STATE(9687),
    [sym_unary] = STATE(9687),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7505] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9688),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_splat_argument] = STATE(9689),
    [sym_assignment] = STATE(9688),
    [sym_operator_assignment] = STATE(9688),
    [sym_conditional] = STATE(9688),
    [sym_range] = STATE(9688),
    [sym_binary] = STATE(9688),
    [sym_unary] = STATE(9688),
    [sym_right_assignment_list] = STATE(9466),
    [sym__arg_or_splat_arg] = STATE(9689),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(3550),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7506] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9690),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(9690),
    [sym_operator_assignment] = STATE(9690),
    [sym_conditional] = STATE(9690),
    [sym_range] = STATE(9690),
    [sym_binary] = STATE(9690),
    [sym_unary] = STATE(9690),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7507] = {
    [sym_string] = STATE(9691),
    [aux_sym_chained_string_repeat1] = STATE(9691),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [7508] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(10427),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [7509] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7510] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [7511] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7512] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [7513] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7514] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7515] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(10427),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [7516] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12448),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7517] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7518] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7519] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7520] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7521] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7522] = {
    [sym_heredoc_body] = STATE(7522),
    [aux_sym_call_repeat1] = STATE(7522),
    [sym__heredoc_body_start] = ACTIONS(12320),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [7523] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2196),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym__argument] = STATE(9477),
    [sym_splat_argument] = STATE(9477),
    [sym_hash_splat_argument] = STATE(9477),
    [sym_block_argument] = STATE(9477),
    [sym_assignment] = STATE(2196),
    [sym_operator_assignment] = STATE(2196),
    [sym_conditional] = STATE(2196),
    [sym_range] = STATE(2196),
    [sym_binary] = STATE(2196),
    [sym_unary] = STATE(2196),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2202),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(9477),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(3548),
    [sym__splat_star] = ACTIONS(3550),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__identifier_hash_key] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10449),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3572),
    [sym_identifier] = ACTIONS(3572),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7524] = {
    [sym_heredoc_body] = STATE(7522),
    [aux_sym_call_repeat1] = STATE(7522),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [7525] = {
    [aux_sym_argument_list_repeat1] = STATE(7525),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12450),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [7526] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7527] = {
    [aux_sym_exceptions_repeat1] = STATE(9694),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [7528] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7529] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(10427),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [7530] = {
    [sym_string] = STATE(7530),
    [aux_sym_chained_string_repeat1] = STATE(7530),
    [sym__string_start] = ACTIONS(10368),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [7531] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10455),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(10461),
    [anon_sym_QMARK] = ACTIONS(10463),
    [anon_sym_DOT_DOT] = ACTIONS(10465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10467),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(10469),
    [anon_sym_AMP_AMP] = ACTIONS(10469),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(10473),
    [anon_sym_BANG_EQ] = ACTIONS(10469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10469),
    [anon_sym_LT_EQ_GT] = ACTIONS(10469),
    [anon_sym_EQ_TILDE] = ACTIONS(10469),
    [anon_sym_BANG_TILDE] = ACTIONS(10469),
    [anon_sym_LT_EQ] = ACTIONS(10461),
    [anon_sym_GT] = ACTIONS(10461),
    [anon_sym_GT_EQ] = ACTIONS(10475),
    [anon_sym_CARET] = ACTIONS(10477),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [7532] = {
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [7533] = {
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [7534] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(10455),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(10461),
    [anon_sym_QMARK] = ACTIONS(10463),
    [anon_sym_DOT_DOT] = ACTIONS(10465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10467),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(10469),
    [anon_sym_AMP_AMP] = ACTIONS(10469),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(10473),
    [anon_sym_BANG_EQ] = ACTIONS(10469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10469),
    [anon_sym_LT_EQ_GT] = ACTIONS(10469),
    [anon_sym_EQ_TILDE] = ACTIONS(10469),
    [anon_sym_BANG_TILDE] = ACTIONS(10469),
    [anon_sym_LT_EQ] = ACTIONS(10461),
    [anon_sym_GT] = ACTIONS(10461),
    [anon_sym_GT_EQ] = ACTIONS(10475),
    [anon_sym_CARET] = ACTIONS(10477),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [7535] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9695),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9695),
    [sym_operator_assignment] = STATE(9695),
    [sym_conditional] = STATE(9695),
    [sym_range] = STATE(9695),
    [sym_binary] = STATE(9695),
    [sym_unary] = STATE(9695),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7536] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9696),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9696),
    [sym_operator_assignment] = STATE(9696),
    [sym_conditional] = STATE(9696),
    [sym_range] = STATE(9696),
    [sym_binary] = STATE(9696),
    [sym_unary] = STATE(9696),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7537] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9697),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9697),
    [sym_operator_assignment] = STATE(9697),
    [sym_conditional] = STATE(9697),
    [sym_range] = STATE(9697),
    [sym_binary] = STATE(9697),
    [sym_unary] = STATE(9697),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7538] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9698),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9698),
    [sym_operator_assignment] = STATE(9698),
    [sym_conditional] = STATE(9698),
    [sym_range] = STATE(9698),
    [sym_binary] = STATE(9698),
    [sym_unary] = STATE(9698),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7539] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9699),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9699),
    [sym_operator_assignment] = STATE(9699),
    [sym_conditional] = STATE(9699),
    [sym_range] = STATE(9699),
    [sym_binary] = STATE(9699),
    [sym_unary] = STATE(9699),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7540] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9700),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9700),
    [sym_operator_assignment] = STATE(9700),
    [sym_conditional] = STATE(9700),
    [sym_range] = STATE(9700),
    [sym_binary] = STATE(9700),
    [sym_unary] = STATE(9700),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7541] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9701),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9701),
    [sym_operator_assignment] = STATE(9701),
    [sym_conditional] = STATE(9701),
    [sym_range] = STATE(9701),
    [sym_binary] = STATE(9701),
    [sym_unary] = STATE(9701),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7542] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9702),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9702),
    [sym_operator_assignment] = STATE(9702),
    [sym_conditional] = STATE(9702),
    [sym_range] = STATE(9702),
    [sym_binary] = STATE(9702),
    [sym_unary] = STATE(9702),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7543] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9703),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9703),
    [sym_operator_assignment] = STATE(9703),
    [sym_conditional] = STATE(9703),
    [sym_range] = STATE(9703),
    [sym_binary] = STATE(9703),
    [sym_unary] = STATE(9703),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7544] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9704),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9704),
    [sym_operator_assignment] = STATE(9704),
    [sym_conditional] = STATE(9704),
    [sym_range] = STATE(9704),
    [sym_binary] = STATE(9704),
    [sym_unary] = STATE(9704),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7545] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9705),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9705),
    [sym_operator_assignment] = STATE(9705),
    [sym_conditional] = STATE(9705),
    [sym_range] = STATE(9705),
    [sym_binary] = STATE(9705),
    [sym_unary] = STATE(9705),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7546] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9706),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9706),
    [sym_operator_assignment] = STATE(9706),
    [sym_conditional] = STATE(9706),
    [sym_range] = STATE(9706),
    [sym_binary] = STATE(9706),
    [sym_unary] = STATE(9706),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7547] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4736),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_splat_argument] = STATE(7443),
    [sym_assignment] = STATE(4736),
    [sym_operator_assignment] = STATE(4736),
    [sym_conditional] = STATE(4736),
    [sym_range] = STATE(4736),
    [sym_binary] = STATE(4736),
    [sym_unary] = STATE(4736),
    [sym__arg_or_splat_arg] = STATE(7443),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(7166),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7548] = {
    [aux_sym_exceptions_repeat1] = STATE(9707),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(10481),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [7549] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(4736),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_splat_argument] = STATE(9708),
    [sym_assignment] = STATE(4736),
    [sym_operator_assignment] = STATE(4736),
    [sym_conditional] = STATE(4736),
    [sym_range] = STATE(4736),
    [sym_binary] = STATE(4736),
    [sym_unary] = STATE(4736),
    [sym_right_assignment_list] = STATE(2138),
    [sym__arg_or_splat_arg] = STATE(9708),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(7166),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7550] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9709),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(9709),
    [sym_operator_assignment] = STATE(9709),
    [sym_conditional] = STATE(9709),
    [sym_range] = STATE(9709),
    [sym_binary] = STATE(9709),
    [sym_unary] = STATE(9709),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7551] = {
    [sym_string] = STATE(9710),
    [aux_sym_chained_string_repeat1] = STATE(9710),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [7552] = {
    [sym__simple_symbol] = ACTIONS(12453),
    [sym__string_start] = ACTIONS(12453),
    [sym__symbol_start] = ACTIONS(12453),
    [sym__subshell_start] = ACTIONS(12453),
    [sym__regex_start] = ACTIONS(12453),
    [sym__string_array_start] = ACTIONS(12453),
    [sym__symbol_array_start] = ACTIONS(12453),
    [sym_heredoc_beginning] = ACTIONS(12453),
    [sym__unary_minus] = ACTIONS(12453),
    [anon_sym_BEGIN] = ACTIONS(12455),
    [anon_sym_LBRACE] = ACTIONS(12453),
    [anon_sym_END] = ACTIONS(12455),
    [anon_sym_def] = ACTIONS(12455),
    [anon_sym_LPAREN] = ACTIONS(12453),
    [anon_sym_COLON_COLON] = ACTIONS(12453),
    [anon_sym_SEMI] = ACTIONS(12453),
    [anon_sym_STAR] = ACTIONS(12453),
    [anon_sym_class] = ACTIONS(12455),
    [anon_sym_module] = ACTIONS(12455),
    [anon_sym_end] = ACTIONS(12455),
    [anon_sym_return] = ACTIONS(12455),
    [anon_sym_yield] = ACTIONS(12455),
    [anon_sym_break] = ACTIONS(12455),
    [anon_sym_next] = ACTIONS(12455),
    [sym_redo] = ACTIONS(12455),
    [sym_retry] = ACTIONS(12455),
    [anon_sym_if] = ACTIONS(12455),
    [anon_sym_unless] = ACTIONS(12455),
    [anon_sym_while] = ACTIONS(12455),
    [anon_sym_until] = ACTIONS(12455),
    [anon_sym_rescue] = ACTIONS(12455),
    [anon_sym_for] = ACTIONS(12455),
    [anon_sym_case] = ACTIONS(12455),
    [anon_sym_else] = ACTIONS(12455),
    [anon_sym_begin] = ACTIONS(12455),
    [anon_sym_ensure] = ACTIONS(12455),
    [anon_sym_PLUS] = ACTIONS(12455),
    [anon_sym_defined_QMARK] = ACTIONS(12453),
    [anon_sym_not] = ACTIONS(12455),
    [anon_sym_BANG] = ACTIONS(12453),
    [anon_sym_TILDE] = ACTIONS(12453),
    [sym_constant] = ACTIONS(12455),
    [sym_identifier] = ACTIONS(12455),
    [sym_instance_variable] = ACTIONS(12453),
    [sym_class_variable] = ACTIONS(12453),
    [sym_global_variable] = ACTIONS(12453),
    [anon_sym_undef] = ACTIONS(12455),
    [anon_sym_alias] = ACTIONS(12455),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(12455),
    [sym_float] = ACTIONS(12455),
    [sym_complex] = ACTIONS(12453),
    [sym_super] = ACTIONS(12455),
    [anon_sym_true] = ACTIONS(12455),
    [anon_sym_TRUE] = ACTIONS(12455),
    [anon_sym_false] = ACTIONS(12455),
    [anon_sym_FALSE] = ACTIONS(12455),
    [sym_self] = ACTIONS(12455),
    [anon_sym_nil] = ACTIONS(12455),
    [anon_sym_NIL] = ACTIONS(12455),
    [sym_character] = ACTIONS(12453),
    [anon_sym_LBRACK] = ACTIONS(12453),
    [anon_sym_DASH_GT] = ACTIONS(12453),
  },
  [7553] = {
    [sym_heredoc_body] = STATE(9711),
    [sym__terminator] = STATE(9711),
    [sym__line_break] = ACTIONS(12457),
    [sym__simple_symbol] = ACTIONS(12453),
    [sym__string_start] = ACTIONS(12453),
    [sym__symbol_start] = ACTIONS(12453),
    [sym__subshell_start] = ACTIONS(12453),
    [sym__regex_start] = ACTIONS(12453),
    [sym__string_array_start] = ACTIONS(12453),
    [sym__symbol_array_start] = ACTIONS(12453),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(12453),
    [sym__unary_minus] = ACTIONS(12453),
    [anon_sym_BEGIN] = ACTIONS(12455),
    [anon_sym_LBRACE] = ACTIONS(12453),
    [anon_sym_END] = ACTIONS(12455),
    [anon_sym_def] = ACTIONS(12455),
    [anon_sym_LPAREN] = ACTIONS(12453),
    [anon_sym_COLON_COLON] = ACTIONS(12453),
    [anon_sym_SEMI] = ACTIONS(12457),
    [anon_sym_STAR] = ACTIONS(12453),
    [anon_sym_class] = ACTIONS(12455),
    [anon_sym_module] = ACTIONS(12455),
    [anon_sym_end] = ACTIONS(12455),
    [anon_sym_return] = ACTIONS(12455),
    [anon_sym_yield] = ACTIONS(12455),
    [anon_sym_break] = ACTIONS(12455),
    [anon_sym_next] = ACTIONS(12455),
    [sym_redo] = ACTIONS(12455),
    [sym_retry] = ACTIONS(12455),
    [anon_sym_if] = ACTIONS(12455),
    [anon_sym_unless] = ACTIONS(12455),
    [anon_sym_while] = ACTIONS(12455),
    [anon_sym_until] = ACTIONS(12455),
    [anon_sym_rescue] = ACTIONS(12455),
    [anon_sym_for] = ACTIONS(12455),
    [anon_sym_case] = ACTIONS(12455),
    [anon_sym_else] = ACTIONS(12455),
    [anon_sym_begin] = ACTIONS(12455),
    [anon_sym_ensure] = ACTIONS(12455),
    [anon_sym_PLUS] = ACTIONS(12455),
    [anon_sym_defined_QMARK] = ACTIONS(12453),
    [anon_sym_not] = ACTIONS(12455),
    [anon_sym_BANG] = ACTIONS(12453),
    [anon_sym_TILDE] = ACTIONS(12453),
    [sym_constant] = ACTIONS(12455),
    [sym_identifier] = ACTIONS(12455),
    [sym_instance_variable] = ACTIONS(12453),
    [sym_class_variable] = ACTIONS(12453),
    [sym_global_variable] = ACTIONS(12453),
    [anon_sym_undef] = ACTIONS(12455),
    [anon_sym_alias] = ACTIONS(12455),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(12455),
    [sym_float] = ACTIONS(12455),
    [sym_complex] = ACTIONS(12453),
    [sym_super] = ACTIONS(12455),
    [anon_sym_true] = ACTIONS(12455),
    [anon_sym_TRUE] = ACTIONS(12455),
    [anon_sym_false] = ACTIONS(12455),
    [anon_sym_FALSE] = ACTIONS(12455),
    [sym_self] = ACTIONS(12455),
    [anon_sym_nil] = ACTIONS(12455),
    [anon_sym_NIL] = ACTIONS(12455),
    [sym_character] = ACTIONS(12453),
    [anon_sym_LBRACK] = ACTIONS(12453),
    [anon_sym_DASH_GT] = ACTIONS(12453),
  },
  [7554] = {
    [sym__line_break] = ACTIONS(5684),
    [sym__heredoc_body_start] = ACTIONS(5684),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5684),
    [sym_comment] = ACTIONS(87),
  },
  [7555] = {
    [anon_sym_RBRACE] = ACTIONS(12459),
    [sym_comment] = ACTIONS(87),
  },
  [7556] = {
    [sym__statements] = STATE(9713),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(12459),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7557] = {
    [sym__line_break] = ACTIONS(5724),
    [sym__heredoc_body_start] = ACTIONS(5724),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5724),
    [sym_comment] = ACTIONS(87),
  },
  [7558] = {
    [anon_sym_end] = ACTIONS(12461),
    [sym_comment] = ACTIONS(87),
  },
  [7559] = {
    [sym__statements] = STATE(9715),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(9716),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(9716),
    [sym__line_break] = ACTIONS(12463),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12465),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7560] = {
    [sym__statements] = STATE(9715),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(9717),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12465),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7561] = {
    [sym__line_break] = ACTIONS(5760),
    [sym__heredoc_body_start] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5760),
    [sym_comment] = ACTIONS(87),
  },
  [7562] = {
    [aux_sym_method_parameters_repeat1] = STATE(9719),
    [anon_sym_RPAREN] = ACTIONS(12467),
    [anon_sym_COMMA] = ACTIONS(5706),
    [sym_comment] = ACTIONS(87),
  },
  [7563] = {
    [sym__formal_parameter] = STATE(9720),
    [sym__simple_formal_parameter] = STATE(9720),
    [sym_destructured_parameter] = STATE(9720),
    [sym_splat_parameter] = STATE(9720),
    [sym_hash_splat_parameter] = STATE(9720),
    [sym_block_parameter] = STATE(9720),
    [sym_keyword_parameter] = STATE(9720),
    [sym_optional_parameter] = STATE(9720),
    [anon_sym_LPAREN] = ACTIONS(7206),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_comment] = ACTIONS(87),
  },
  [7564] = {
    [sym_heredoc_body] = STATE(9711),
    [sym__terminator] = STATE(9711),
    [aux_sym_method_parameters_repeat1] = STATE(9721),
    [sym__line_break] = ACTIONS(12457),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_COMMA] = ACTIONS(10507),
    [anon_sym_SEMI] = ACTIONS(12457),
    [sym_comment] = ACTIONS(87),
  },
  [7565] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [7566] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9722),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9722),
    [sym_operator_assignment] = STATE(9722),
    [sym_conditional] = STATE(9722),
    [sym_range] = STATE(9722),
    [sym_binary] = STATE(9722),
    [sym_unary] = STATE(9722),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7567] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9723),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9723),
    [sym_operator_assignment] = STATE(9723),
    [sym_conditional] = STATE(9723),
    [sym_range] = STATE(9723),
    [sym_binary] = STATE(9723),
    [sym_unary] = STATE(9723),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7568] = {
    [sym__keyword_colon] = ACTIONS(12469),
    [sym_comment] = ACTIONS(87),
  },
  [7569] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9725),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9725),
    [sym_operator_assignment] = STATE(9725),
    [sym_conditional] = STATE(9725),
    [sym_range] = STATE(9725),
    [sym_binary] = STATE(9725),
    [sym_unary] = STATE(9725),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7570] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(12469),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [7571] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(12471),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7572] = {
    [sym_heredoc_body] = STATE(9727),
    [aux_sym_call_repeat1] = STATE(9727),
    [sym__heredoc_body_start] = ACTIONS(10709),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [7573] = {
    [sym_heredoc_body] = STATE(9727),
    [aux_sym_call_repeat1] = STATE(9727),
    [aux_sym_argument_list_repeat1] = STATE(9729),
    [sym__heredoc_body_start] = ACTIONS(10709),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(12473),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [7574] = {
    [sym_string] = STATE(4801),
    [aux_sym_chained_string_repeat1] = STATE(4801),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(12475),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [7575] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [7576] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [7577] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9731),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9731),
    [sym_operator_assignment] = STATE(9731),
    [sym_conditional] = STATE(9731),
    [sym_range] = STATE(9731),
    [sym_binary] = STATE(9731),
    [sym_unary] = STATE(9731),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7578] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9732),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9732),
    [sym_operator_assignment] = STATE(9732),
    [sym_conditional] = STATE(9732),
    [sym_range] = STATE(9732),
    [sym_binary] = STATE(9732),
    [sym_unary] = STATE(9732),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7579] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9733),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9733),
    [sym_operator_assignment] = STATE(9733),
    [sym_conditional] = STATE(9733),
    [sym_range] = STATE(9733),
    [sym_binary] = STATE(9733),
    [sym_unary] = STATE(9733),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7580] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9734),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9734),
    [sym_operator_assignment] = STATE(9734),
    [sym_conditional] = STATE(9734),
    [sym_range] = STATE(9734),
    [sym_binary] = STATE(9734),
    [sym_unary] = STATE(9734),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7581] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9735),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9735),
    [sym_operator_assignment] = STATE(9735),
    [sym_conditional] = STATE(9735),
    [sym_range] = STATE(9735),
    [sym_binary] = STATE(9735),
    [sym_unary] = STATE(9735),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7582] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9736),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9736),
    [sym_operator_assignment] = STATE(9736),
    [sym_conditional] = STATE(9736),
    [sym_range] = STATE(9736),
    [sym_binary] = STATE(9736),
    [sym_unary] = STATE(9736),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7583] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9737),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9737),
    [sym_operator_assignment] = STATE(9737),
    [sym_conditional] = STATE(9737),
    [sym_range] = STATE(9737),
    [sym_binary] = STATE(9737),
    [sym_unary] = STATE(9737),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [7584] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9738),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9738),
    [sym_operator_assignment] = STATE(9738),
    [sym_conditional] = STATE(9738),
    [sym_range] = STATE(9738),
    [sym_binary] = STATE(9738),
    [sym_unary] = STATE(9738),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7585] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9739),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9739),
    [sym_operator_assignment] = STATE(9739),
    [sym_conditional] = STATE(9739),
    [sym_range] = STATE(9739),
    [sym_binary] = STATE(9739),
    [sym_unary] = STATE(9739),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7586] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9740),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9740),
    [sym_operator_assignment] = STATE(9740),
    [sym_conditional] = STATE(9740),
    [sym_range] = STATE(9740),
    [sym_binary] = STATE(9740),
    [sym_unary] = STATE(9740),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7587] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9741),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9741),
    [sym_operator_assignment] = STATE(9741),
    [sym_conditional] = STATE(9741),
    [sym_range] = STATE(9741),
    [sym_binary] = STATE(9741),
    [sym_unary] = STATE(9741),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7588] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9742),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9742),
    [sym_operator_assignment] = STATE(9742),
    [sym_conditional] = STATE(9742),
    [sym_range] = STATE(9742),
    [sym_binary] = STATE(9742),
    [sym_unary] = STATE(9742),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7589] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9743),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_splat_argument] = STATE(9744),
    [sym_assignment] = STATE(9743),
    [sym_operator_assignment] = STATE(9743),
    [sym_conditional] = STATE(9743),
    [sym_range] = STATE(9743),
    [sym_binary] = STATE(9743),
    [sym_unary] = STATE(9743),
    [sym_right_assignment_list] = STATE(7848),
    [sym__arg_or_splat_arg] = STATE(9744),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(10511),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7590] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9745),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(9745),
    [sym_operator_assignment] = STATE(9745),
    [sym_conditional] = STATE(9745),
    [sym_range] = STATE(9745),
    [sym_binary] = STATE(9745),
    [sym_unary] = STATE(9745),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7591] = {
    [sym_string] = STATE(9746),
    [aux_sym_chained_string_repeat1] = STATE(9746),
    [sym__string_start] = ACTIONS(3916),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [7592] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(10535),
    [anon_sym_or] = ACTIONS(10535),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [7593] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7594] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7595] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9747),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(9747),
    [sym_operator_assignment] = STATE(9747),
    [sym_conditional] = STATE(9747),
    [sym_range] = STATE(9747),
    [sym_binary] = STATE(9747),
    [sym_unary] = STATE(9747),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7596] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7597] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9748),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(9748),
    [sym_operator_assignment] = STATE(9748),
    [sym_conditional] = STATE(9748),
    [sym_range] = STATE(9748),
    [sym_binary] = STATE(9748),
    [sym_unary] = STATE(9748),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7598] = {
    [sym_heredoc_body] = STATE(9749),
    [aux_sym_call_repeat1] = STATE(9749),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7599] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4776),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(4776),
    [sym_operator_assignment] = STATE(4776),
    [sym_conditional] = STATE(4776),
    [sym_range] = STATE(4776),
    [sym_binary] = STATE(4776),
    [sym_unary] = STATE(4776),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4779),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(9750),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(7228),
    [sym__splat_star] = ACTIONS(7230),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__identifier_hash_key] = ACTIONS(7232),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12477),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(7236),
    [sym_identifier] = ACTIONS(7236),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7600] = {
    [sym_heredoc_body] = STATE(9751),
    [aux_sym_call_repeat1] = STATE(9751),
    [aux_sym_argument_list_repeat1] = STATE(9752),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(10557),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7601] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9753),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(9753),
    [sym_operator_assignment] = STATE(9753),
    [sym_conditional] = STATE(9753),
    [sym_range] = STATE(9753),
    [sym_binary] = STATE(9753),
    [sym_unary] = STATE(9753),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7602] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7603] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7604] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7605] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7606] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7607] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7608] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(10535),
    [anon_sym_or] = ACTIONS(10535),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [7609] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12479),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7610] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7611] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7612] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7613] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7614] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7615] = {
    [sym_heredoc_body] = STATE(7615),
    [aux_sym_call_repeat1] = STATE(7615),
    [sym__heredoc_body_start] = ACTIONS(10631),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7800),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_EQ] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [7616] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2231),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym__argument] = STATE(7750),
    [sym_splat_argument] = STATE(7750),
    [sym_hash_splat_argument] = STATE(7750),
    [sym_block_argument] = STATE(7750),
    [sym_assignment] = STATE(2231),
    [sym_operator_assignment] = STATE(2231),
    [sym_conditional] = STATE(2231),
    [sym_range] = STATE(2231),
    [sym_binary] = STATE(2231),
    [sym_unary] = STATE(2231),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2236),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7750),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(3608),
    [sym__splat_star] = ACTIONS(3610),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__identifier_hash_key] = ACTIONS(3614),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(3634),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7617] = {
    [sym_heredoc_body] = STATE(7615),
    [aux_sym_call_repeat1] = STATE(7615),
    [sym__heredoc_body_start] = ACTIONS(3870),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7815),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_EQ] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [7618] = {
    [aux_sym_argument_list_repeat1] = STATE(7618),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7811),
    [anon_sym_COMMA] = ACTIONS(12481),
    [anon_sym_EQ] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [7619] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7620] = {
    [aux_sym_exceptions_repeat1] = STATE(9756),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7621] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [7622] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(10535),
    [anon_sym_or] = ACTIONS(10535),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [7623] = {
    [sym_string] = STATE(7623),
    [aux_sym_chained_string_repeat1] = STATE(7623),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [7624] = {
    [sym_heredoc_body] = STATE(9757),
    [aux_sym_call_repeat1] = STATE(9757),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7625] = {
    [sym_heredoc_body] = STATE(9758),
    [aux_sym_call_repeat1] = STATE(9758),
    [aux_sym_argument_list_repeat1] = STATE(4857),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(3706),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7626] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [7627] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7628] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [7629] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7630] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [7631] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [7632] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12484),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7633] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [7634] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(7294),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [7635] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [7636] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [7637] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [7638] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(7294),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [7639] = {
    [aux_sym_exceptions_repeat1] = STATE(9761),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7640] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(7294),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [7641] = {
    [sym_string] = STATE(7641),
    [aux_sym_chained_string_repeat1] = STATE(7641),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [7642] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [7643] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [7644] = {
    [sym_heredoc_body] = STATE(7644),
    [aux_sym_call_repeat1] = STATE(7644),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [7645] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2259),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(2259),
    [sym_operator_assignment] = STATE(2259),
    [sym_conditional] = STATE(2259),
    [sym_range] = STATE(2259),
    [sym_binary] = STATE(2259),
    [sym_unary] = STATE(2259),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2262),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(3658),
    [sym__splat_star] = ACTIONS(3660),
    [sym__unary_minus] = ACTIONS(1307),
    [sym__identifier_hash_key] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10561),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(3664),
    [sym_identifier] = ACTIONS(3664),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7646] = {
    [sym_heredoc_body] = STATE(7644),
    [aux_sym_call_repeat1] = STATE(7644),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [7647] = {
    [aux_sym_argument_list_repeat1] = STATE(7647),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12486),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [7648] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [7649] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9762),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_assignment] = STATE(9762),
    [sym_operator_assignment] = STATE(9762),
    [sym_conditional] = STATE(9762),
    [sym_range] = STATE(9762),
    [sym_binary] = STATE(9762),
    [sym_unary] = STATE(9762),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7650] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [7651] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [7652] = {
    [sym_heredoc_body] = STATE(7652),
    [aux_sym_call_repeat1] = STATE(7652),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [7653] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2283),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(2283),
    [sym_operator_assignment] = STATE(2283),
    [sym_conditional] = STATE(2283),
    [sym_range] = STATE(2283),
    [sym_binary] = STATE(2283),
    [sym_unary] = STATE(2283),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2286),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(3698),
    [sym__splat_star] = ACTIONS(3700),
    [sym__unary_minus] = ACTIONS(1383),
    [sym__identifier_hash_key] = ACTIONS(3702),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10565),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(3704),
    [sym_identifier] = ACTIONS(3704),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [7654] = {
    [sym_heredoc_body] = STATE(7652),
    [aux_sym_call_repeat1] = STATE(7652),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [7655] = {
    [aux_sym_argument_list_repeat1] = STATE(7655),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12489),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [7656] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [7657] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(4858),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(736),
    [sym_scope_resolution] = STATE(732),
    [sym_call] = STATE(732),
    [sym_method_call] = STATE(736),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(4858),
    [sym_operator_assignment] = STATE(4858),
    [sym_conditional] = STATE(4858),
    [sym_range] = STATE(4858),
    [sym_binary] = STATE(4858),
    [sym_unary] = STATE(4858),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(735),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(736),
    [sym__variable] = STATE(732),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(736),
    [sym_false] = STATE(736),
    [sym_nil] = STATE(736),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2251),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(3660),
    [sym__unary_minus] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_next] = ACTIONS(1317),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_defined_QMARK] = ACTIONS(1319),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [sym_constant] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [sym_instance_variable] = ACTIONS(1329),
    [sym_class_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1331),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1331),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7658] = {
    [aux_sym_exceptions_repeat1] = STATE(9763),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12492),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [7659] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(1347),
    [sym__binary_star] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ_GT] = ACTIONS(1367),
    [anon_sym_EQ_TILDE] = ACTIONS(1367),
    [anon_sym_BANG_TILDE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [sym_comment] = ACTIONS(87),
  },
  [7660] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [7661] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [7662] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [7663] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [7664] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [7665] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [7666] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12494),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7667] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [7668] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(7349),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [7669] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [7670] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [7671] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [7672] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(7349),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [7673] = {
    [aux_sym_exceptions_repeat1] = STATE(9766),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [7674] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(7349),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [7675] = {
    [sym_string] = STATE(7675),
    [aux_sym_chained_string_repeat1] = STATE(7675),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [7676] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9767),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_assignment] = STATE(9767),
    [sym_operator_assignment] = STATE(9767),
    [sym_conditional] = STATE(9767),
    [sym_range] = STATE(9767),
    [sym_binary] = STATE(9767),
    [sym_unary] = STATE(9767),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [7677] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(4902),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(779),
    [sym_scope_resolution] = STATE(775),
    [sym_call] = STATE(775),
    [sym_method_call] = STATE(779),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(4902),
    [sym_operator_assignment] = STATE(4902),
    [sym_conditional] = STATE(4902),
    [sym_range] = STATE(4902),
    [sym_binary] = STATE(4902),
    [sym_unary] = STATE(4902),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(778),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(779),
    [sym__variable] = STATE(775),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(779),
    [sym_false] = STATE(779),
    [sym_nil] = STATE(779),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2329),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(3700),
    [sym__unary_minus] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_next] = ACTIONS(1393),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_defined_QMARK] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_TILDE] = ACTIONS(1401),
    [sym_constant] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1407),
    [sym_instance_variable] = ACTIONS(1405),
    [sym_class_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1407),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [7678] = {
    [aux_sym_exceptions_repeat1] = STATE(9768),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12496),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [7679] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [7680] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7681] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7393),
    [anon_sym_GT_GT] = ACTIONS(7393),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [7682] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7683] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7393),
    [anon_sym_GT_GT] = ACTIONS(7393),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [7684] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7393),
    [anon_sym_GT_GT] = ACTIONS(7393),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7399),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [7685] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12498),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7686] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7389),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7391),
    [anon_sym_AMP_AMP] = ACTIONS(7391),
    [anon_sym_LT_LT] = ACTIONS(7393),
    [anon_sym_GT_GT] = ACTIONS(7393),
    [anon_sym_EQ_EQ] = ACTIONS(7395),
    [anon_sym_BANG_EQ] = ACTIONS(7391),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7391),
    [anon_sym_LT_EQ_GT] = ACTIONS(7391),
    [anon_sym_EQ_TILDE] = ACTIONS(7391),
    [anon_sym_BANG_TILDE] = ACTIONS(7391),
    [anon_sym_LT_EQ] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_GT_EQ] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7399),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [7687] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(7385),
    [anon_sym_DOT_DOT] = ACTIONS(7387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7389),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7391),
    [anon_sym_AMP_AMP] = ACTIONS(7391),
    [anon_sym_LT_LT] = ACTIONS(7393),
    [anon_sym_GT_GT] = ACTIONS(7393),
    [anon_sym_EQ_EQ] = ACTIONS(7395),
    [anon_sym_BANG_EQ] = ACTIONS(7391),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7391),
    [anon_sym_LT_EQ_GT] = ACTIONS(7391),
    [anon_sym_EQ_TILDE] = ACTIONS(7391),
    [anon_sym_BANG_TILDE] = ACTIONS(7391),
    [anon_sym_LT_EQ] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_GT_EQ] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7399),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [7688] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7393),
    [anon_sym_GT_GT] = ACTIONS(7393),
    [anon_sym_EQ_EQ] = ACTIONS(7395),
    [anon_sym_BANG_EQ] = ACTIONS(7391),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7391),
    [anon_sym_LT_EQ_GT] = ACTIONS(7391),
    [anon_sym_EQ_TILDE] = ACTIONS(7391),
    [anon_sym_BANG_TILDE] = ACTIONS(7391),
    [anon_sym_LT_EQ] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_GT_EQ] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7399),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [7689] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [7690] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [7691] = {
    [aux_sym_exceptions_repeat1] = STATE(7691),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(12500),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [7692] = {
    [aux_sym_exceptions_repeat1] = STATE(4924),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7693] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(7385),
    [anon_sym_DOT_DOT] = ACTIONS(7387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7389),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7391),
    [anon_sym_AMP_AMP] = ACTIONS(7391),
    [anon_sym_LT_LT] = ACTIONS(7393),
    [anon_sym_GT_GT] = ACTIONS(7393),
    [anon_sym_EQ_EQ] = ACTIONS(7395),
    [anon_sym_BANG_EQ] = ACTIONS(7391),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7391),
    [anon_sym_LT_EQ_GT] = ACTIONS(7391),
    [anon_sym_EQ_TILDE] = ACTIONS(7391),
    [anon_sym_BANG_TILDE] = ACTIONS(7391),
    [anon_sym_LT_EQ] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_GT_EQ] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7399),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [7694] = {
    [sym__element_reference_left_bracket] = ACTIONS(9993),
    [sym__infix_scope_colons] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_AMP_DOT] = ACTIONS(9993),
    [sym_comment] = ACTIONS(87),
  },
  [7695] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12503),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [7696] = {
    [sym__element_reference_left_bracket] = ACTIONS(9999),
    [sym__infix_scope_colons] = ACTIONS(9999),
    [anon_sym_DOT] = ACTIONS(9999),
    [anon_sym_AMP_DOT] = ACTIONS(9999),
    [sym_comment] = ACTIONS(87),
  },
  [7697] = {
    [sym__element_reference_left_bracket] = ACTIONS(10003),
    [sym__infix_scope_colons] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_AMP_DOT] = ACTIONS(10003),
    [sym_comment] = ACTIONS(87),
  },
  [7698] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12505),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [7699] = {
    [sym__element_reference_left_bracket] = ACTIONS(10009),
    [sym__infix_scope_colons] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10009),
    [anon_sym_AMP_DOT] = ACTIONS(10009),
    [sym_comment] = ACTIONS(87),
  },
  [7700] = {
    [sym__method_rest] = STATE(9772),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(806),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [7701] = {
    [sym__element_reference_left_bracket] = ACTIONS(10750),
    [sym__infix_scope_colons] = ACTIONS(10750),
    [anon_sym_DOT] = ACTIONS(10750),
    [anon_sym_AMP_DOT] = ACTIONS(10750),
    [sym_comment] = ACTIONS(87),
  },
  [7702] = {
    [sym__element_reference_left_bracket] = ACTIONS(10754),
    [sym__infix_scope_colons] = ACTIONS(10754),
    [anon_sym_DOT] = ACTIONS(10754),
    [anon_sym_AMP_DOT] = ACTIONS(10754),
    [sym_comment] = ACTIONS(87),
  },
  [7703] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7704] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7705] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9773),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(9773),
    [sym_operator_assignment] = STATE(9773),
    [sym_conditional] = STATE(9773),
    [sym_range] = STATE(9773),
    [sym_binary] = STATE(9773),
    [sym_unary] = STATE(9773),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7706] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7707] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9774),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(9774),
    [sym_operator_assignment] = STATE(9774),
    [sym_conditional] = STATE(9774),
    [sym_range] = STATE(9774),
    [sym_binary] = STATE(9774),
    [sym_unary] = STATE(9774),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7708] = {
    [sym_heredoc_body] = STATE(9775),
    [aux_sym_call_repeat1] = STATE(9775),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7709] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4953),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(4953),
    [sym_operator_assignment] = STATE(4953),
    [sym_conditional] = STATE(4953),
    [sym_range] = STATE(4953),
    [sym_binary] = STATE(4953),
    [sym_unary] = STATE(4953),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4956),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(9776),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(7445),
    [sym__splat_star] = ACTIONS(7447),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__identifier_hash_key] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12507),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(7451),
    [sym_identifier] = ACTIONS(7451),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7710] = {
    [sym_heredoc_body] = STATE(9777),
    [aux_sym_call_repeat1] = STATE(9777),
    [aux_sym_argument_list_repeat1] = STATE(9778),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(10597),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7711] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9779),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(9779),
    [sym_operator_assignment] = STATE(9779),
    [sym_conditional] = STATE(9779),
    [sym_range] = STATE(9779),
    [sym_binary] = STATE(9779),
    [sym_unary] = STATE(9779),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7712] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7713] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7714] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7715] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7716] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7717] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7718] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12509),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7719] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7720] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7721] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7722] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7723] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7724] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9781),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(9781),
    [sym_operator_assignment] = STATE(9781),
    [sym_conditional] = STATE(9781),
    [sym_range] = STATE(9781),
    [sym_binary] = STATE(9781),
    [sym_unary] = STATE(9781),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7725] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4976),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(7019),
    [sym__argument_list_with_parens] = STATE(4977),
    [sym__argument] = STATE(4978),
    [sym_splat_argument] = STATE(4978),
    [sym_hash_splat_argument] = STATE(4978),
    [sym_block_argument] = STATE(4978),
    [sym_assignment] = STATE(4976),
    [sym_operator_assignment] = STATE(4976),
    [sym_conditional] = STATE(4976),
    [sym_range] = STATE(4976),
    [sym_binary] = STATE(4976),
    [sym_unary] = STATE(4976),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4979),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4978),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(7485),
    [sym__splat_star] = ACTIONS(7487),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(7491),
    [sym_identifier] = ACTIONS(7491),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7726] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4976),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(7020),
    [sym__argument_list_with_parens] = STATE(4977),
    [sym__argument] = STATE(4978),
    [sym_splat_argument] = STATE(4978),
    [sym_hash_splat_argument] = STATE(4978),
    [sym_block_argument] = STATE(4978),
    [sym_assignment] = STATE(4976),
    [sym_operator_assignment] = STATE(4976),
    [sym_conditional] = STATE(4976),
    [sym_range] = STATE(4976),
    [sym_binary] = STATE(4976),
    [sym_unary] = STATE(4976),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4979),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4978),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(7485),
    [sym__splat_star] = ACTIONS(7487),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(7491),
    [sym_identifier] = ACTIONS(7491),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7727] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4976),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(7021),
    [sym__argument_list_with_parens] = STATE(4977),
    [sym__argument] = STATE(4978),
    [sym_splat_argument] = STATE(4978),
    [sym_hash_splat_argument] = STATE(4978),
    [sym_block_argument] = STATE(4978),
    [sym_assignment] = STATE(4976),
    [sym_operator_assignment] = STATE(4976),
    [sym_conditional] = STATE(4976),
    [sym_range] = STATE(4976),
    [sym_binary] = STATE(4976),
    [sym_unary] = STATE(4976),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4979),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4978),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(7485),
    [sym__splat_star] = ACTIONS(7487),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(7491),
    [sym_identifier] = ACTIONS(7491),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7728] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4976),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym_argument_list] = STATE(7022),
    [sym__argument_list_with_parens] = STATE(4977),
    [sym__argument] = STATE(4978),
    [sym_splat_argument] = STATE(4978),
    [sym_hash_splat_argument] = STATE(4978),
    [sym_block_argument] = STATE(4978),
    [sym_assignment] = STATE(4976),
    [sym_operator_assignment] = STATE(4976),
    [sym_conditional] = STATE(4976),
    [sym_range] = STATE(4976),
    [sym_binary] = STATE(4976),
    [sym_unary] = STATE(4976),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4979),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4978),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(7485),
    [sym__splat_star] = ACTIONS(7487),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(7491),
    [sym_identifier] = ACTIONS(7491),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7729] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9782),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(9782),
    [sym_operator_assignment] = STATE(9782),
    [sym_conditional] = STATE(9782),
    [sym_range] = STATE(9782),
    [sym_binary] = STATE(9782),
    [sym_unary] = STATE(9782),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7730] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9783),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(9783),
    [sym_operator_assignment] = STATE(9783),
    [sym_conditional] = STATE(9783),
    [sym_range] = STATE(9783),
    [sym_binary] = STATE(9783),
    [sym_unary] = STATE(9783),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7731] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7038),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(7038),
    [sym_operator_assignment] = STATE(7038),
    [sym_conditional] = STATE(7038),
    [sym_range] = STATE(7038),
    [sym_binary] = STATE(7038),
    [sym_unary] = STATE(7038),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7732] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(12523),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [7733] = {
    [anon_sym_EQ] = ACTIONS(12539),
    [sym_comment] = ACTIONS(87),
  },
  [7734] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(12541),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(12543),
    [anon_sym_DASH_EQ] = ACTIONS(12543),
    [anon_sym_STAR_EQ] = ACTIONS(12543),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12543),
    [anon_sym_SLASH_EQ] = ACTIONS(12543),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12543),
    [anon_sym_PIPE_EQ] = ACTIONS(12543),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12543),
    [anon_sym_AMP_EQ] = ACTIONS(12543),
    [anon_sym_PERCENT_EQ] = ACTIONS(12543),
    [anon_sym_GT_GT_EQ] = ACTIONS(12543),
    [anon_sym_LT_LT_EQ] = ACTIONS(12543),
    [anon_sym_CARET_EQ] = ACTIONS(12543),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [7735] = {
    [sym_string] = STATE(9798),
    [aux_sym_chained_string_repeat1] = STATE(9798),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [7736] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(12523),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [7737] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9799),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(9799),
    [sym_operator_assignment] = STATE(9799),
    [sym_conditional] = STATE(9799),
    [sym_range] = STATE(9799),
    [sym_binary] = STATE(9799),
    [sym_unary] = STATE(9799),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7738] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(12523),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [7739] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9800),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(9800),
    [sym_operator_assignment] = STATE(9800),
    [sym_conditional] = STATE(9800),
    [sym_range] = STATE(9800),
    [sym_binary] = STATE(9800),
    [sym_unary] = STATE(9800),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7740] = {
    [sym_heredoc_body] = STATE(9801),
    [aux_sym_call_repeat1] = STATE(9801),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [7741] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4976),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym__argument] = STATE(7086),
    [sym_splat_argument] = STATE(7086),
    [sym_hash_splat_argument] = STATE(7086),
    [sym_block_argument] = STATE(7086),
    [sym_assignment] = STATE(4976),
    [sym_operator_assignment] = STATE(4976),
    [sym_conditional] = STATE(4976),
    [sym_range] = STATE(4976),
    [sym_binary] = STATE(4976),
    [sym_unary] = STATE(4976),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4979),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(9802),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7086),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(7485),
    [sym__splat_star] = ACTIONS(7487),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__identifier_hash_key] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12545),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(7491),
    [sym_identifier] = ACTIONS(7491),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7742] = {
    [sym_heredoc_body] = STATE(9803),
    [aux_sym_call_repeat1] = STATE(9803),
    [aux_sym_argument_list_repeat1] = STATE(9804),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(10623),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [7743] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9805),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(9805),
    [sym_operator_assignment] = STATE(9805),
    [sym_conditional] = STATE(9805),
    [sym_range] = STATE(9805),
    [sym_binary] = STATE(9805),
    [sym_unary] = STATE(9805),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [7744] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7745] = {
    [aux_sym_exceptions_repeat1] = STATE(9807),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7746] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [7747] = {
    [sym_string] = STATE(7747),
    [aux_sym_chained_string_repeat1] = STATE(7747),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [7748] = {
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10783),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_EQ] = ACTIONS(10783),
    [anon_sym_in] = ACTIONS(10783),
    [anon_sym_do] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
  },
  [7749] = {
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym__element_reference_left_bracket] = ACTIONS(6671),
    [sym__infix_scope_colons] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_RPAREN] = ACTIONS(6671),
    [anon_sym_DOT] = ACTIONS(6671),
    [anon_sym_COMMA] = ACTIONS(6671),
    [anon_sym_EQ] = ACTIONS(6671),
    [anon_sym_in] = ACTIONS(6671),
    [anon_sym_do] = ACTIONS(6671),
    [anon_sym_AMP_DOT] = ACTIONS(6671),
    [sym_comment] = ACTIONS(87),
  },
  [7750] = {
    [sym__heredoc_body_start] = ACTIONS(10814),
    [sym__element_reference_left_bracket] = ACTIONS(10814),
    [sym__infix_scope_colons] = ACTIONS(10814),
    [anon_sym_LBRACE] = ACTIONS(10814),
    [anon_sym_RPAREN] = ACTIONS(10814),
    [anon_sym_DOT] = ACTIONS(10814),
    [anon_sym_COMMA] = ACTIONS(10814),
    [anon_sym_EQ] = ACTIONS(10814),
    [anon_sym_in] = ACTIONS(10814),
    [anon_sym_do] = ACTIONS(10814),
    [anon_sym_AMP_DOT] = ACTIONS(10814),
    [sym_comment] = ACTIONS(87),
  },
  [7751] = {
    [sym__element_reference_left_bracket] = ACTIONS(10911),
    [sym__infix_scope_colons] = ACTIONS(10911),
    [anon_sym_DOT] = ACTIONS(10911),
    [anon_sym_AMP_DOT] = ACTIONS(10911),
    [sym_comment] = ACTIONS(87),
  },
  [7752] = {
    [anon_sym_end] = ACTIONS(12547),
    [sym_comment] = ACTIONS(87),
  },
  [7753] = {
    [sym_elsif] = STATE(9809),
    [sym_else] = STATE(9809),
    [sym__if_tail] = STATE(9809),
    [anon_sym_end] = ACTIONS(12547),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [7754] = {
    [sym__element_reference_left_bracket] = ACTIONS(11082),
    [sym__infix_scope_colons] = ACTIONS(11082),
    [anon_sym_DOT] = ACTIONS(11082),
    [anon_sym_AMP_DOT] = ACTIONS(11082),
    [sym_comment] = ACTIONS(87),
  },
  [7755] = {
    [anon_sym_end] = ACTIONS(12549),
    [sym_comment] = ACTIONS(87),
  },
  [7756] = {
    [sym__element_reference_left_bracket] = ACTIONS(11177),
    [sym__infix_scope_colons] = ACTIONS(11177),
    [anon_sym_DOT] = ACTIONS(11177),
    [anon_sym_AMP_DOT] = ACTIONS(11177),
    [sym_comment] = ACTIONS(87),
  },
  [7757] = {
    [sym__element_reference_left_bracket] = ACTIONS(11186),
    [sym__infix_scope_colons] = ACTIONS(11186),
    [anon_sym_DOT] = ACTIONS(11186),
    [anon_sym_AMP_DOT] = ACTIONS(11186),
    [sym_comment] = ACTIONS(87),
  },
  [7758] = {
    [sym__element_reference_left_bracket] = ACTIONS(11233),
    [sym__infix_scope_colons] = ACTIONS(11233),
    [anon_sym_DOT] = ACTIONS(11233),
    [anon_sym_AMP_DOT] = ACTIONS(11233),
    [sym_comment] = ACTIONS(87),
  },
  [7759] = {
    [anon_sym_end] = ACTIONS(12551),
    [sym_comment] = ACTIONS(87),
  },
  [7760] = {
    [sym__element_reference_left_bracket] = ACTIONS(11246),
    [sym__infix_scope_colons] = ACTIONS(11246),
    [anon_sym_DOT] = ACTIONS(11246),
    [anon_sym_AMP_DOT] = ACTIONS(11246),
    [sym_comment] = ACTIONS(87),
  },
  [7761] = {
    [anon_sym_end] = ACTIONS(12553),
    [sym_comment] = ACTIONS(87),
  },
  [7762] = {
    [sym__element_reference_left_bracket] = ACTIONS(11712),
    [sym__infix_scope_colons] = ACTIONS(11712),
    [anon_sym_DOT] = ACTIONS(11712),
    [anon_sym_AMP_DOT] = ACTIONS(11712),
    [sym_comment] = ACTIONS(87),
  },
  [7763] = {
    [anon_sym_end] = ACTIONS(12555),
    [sym_comment] = ACTIONS(87),
  },
  [7764] = {
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [anon_sym_RPAREN] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11905),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_EQ] = ACTIONS(11905),
    [anon_sym_in] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [sym_comment] = ACTIONS(87),
  },
  [7765] = {
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [anon_sym_RPAREN] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11938),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_EQ] = ACTIONS(11938),
    [anon_sym_in] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [sym_comment] = ACTIONS(87),
  },
  [7766] = {
    [anon_sym_end] = ACTIONS(12557),
    [sym_comment] = ACTIONS(87),
  },
  [7767] = {
    [sym__statements] = STATE(9815),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12559),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7768] = {
    [sym__element_reference_left_bracket] = ACTIONS(12078),
    [sym__infix_scope_colons] = ACTIONS(12078),
    [anon_sym_RPAREN] = ACTIONS(12078),
    [anon_sym_DOT] = ACTIONS(12078),
    [anon_sym_COMMA] = ACTIONS(12078),
    [anon_sym_EQ] = ACTIONS(12078),
    [anon_sym_in] = ACTIONS(12078),
    [anon_sym_AMP_DOT] = ACTIONS(12078),
    [sym_comment] = ACTIONS(87),
  },
  [7769] = {
    [sym__simple_symbol] = ACTIONS(7758),
    [sym__string_start] = ACTIONS(7758),
    [sym__symbol_start] = ACTIONS(7758),
    [sym__subshell_start] = ACTIONS(7758),
    [sym__regex_start] = ACTIONS(7758),
    [sym__string_array_start] = ACTIONS(7758),
    [sym__symbol_array_start] = ACTIONS(7758),
    [sym_heredoc_beginning] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__block_ampersand] = ACTIONS(7758),
    [sym__splat_star] = ACTIONS(7758),
    [sym__argument_list_left_paren] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__unary_minus] = ACTIONS(7758),
    [sym__identifier_hash_key] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_def] = ACTIONS(7760),
    [anon_sym_LPAREN] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7758),
    [anon_sym_COLON_COLON] = ACTIONS(7758),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_STAR] = ACTIONS(7760),
    [anon_sym_STAR_STAR] = ACTIONS(7758),
    [anon_sym_EQ] = ACTIONS(7758),
    [anon_sym_class] = ACTIONS(7760),
    [anon_sym_module] = ACTIONS(7760),
    [anon_sym_return] = ACTIONS(7760),
    [anon_sym_yield] = ACTIONS(7760),
    [anon_sym_break] = ACTIONS(7760),
    [anon_sym_next] = ACTIONS(7760),
    [sym_redo] = ACTIONS(7760),
    [sym_retry] = ACTIONS(7760),
    [anon_sym_if] = ACTIONS(7760),
    [anon_sym_unless] = ACTIONS(7760),
    [anon_sym_while] = ACTIONS(7760),
    [anon_sym_until] = ACTIONS(7760),
    [anon_sym_for] = ACTIONS(7760),
    [anon_sym_in] = ACTIONS(7760),
    [anon_sym_do] = ACTIONS(7760),
    [anon_sym_case] = ACTIONS(7760),
    [anon_sym_begin] = ACTIONS(7760),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_defined_QMARK] = ACTIONS(7758),
    [anon_sym_not] = ACTIONS(7760),
    [anon_sym_BANG] = ACTIONS(7758),
    [anon_sym_TILDE] = ACTIONS(7758),
    [sym_constant] = ACTIONS(7760),
    [sym_identifier] = ACTIONS(7760),
    [sym_instance_variable] = ACTIONS(7758),
    [sym_class_variable] = ACTIONS(7758),
    [sym_global_variable] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(7760),
    [sym_float] = ACTIONS(7760),
    [sym_complex] = ACTIONS(7758),
    [sym_super] = ACTIONS(7760),
    [anon_sym_true] = ACTIONS(7760),
    [anon_sym_TRUE] = ACTIONS(7760),
    [anon_sym_false] = ACTIONS(7760),
    [anon_sym_FALSE] = ACTIONS(7760),
    [sym_self] = ACTIONS(7760),
    [anon_sym_nil] = ACTIONS(7760),
    [anon_sym_NIL] = ACTIONS(7760),
    [sym_character] = ACTIONS(7758),
    [anon_sym_LBRACK] = ACTIONS(7758),
    [anon_sym_DASH_GT] = ACTIONS(7758),
  },
  [7770] = {
    [anon_sym_RPAREN] = ACTIONS(12561),
    [sym_comment] = ACTIONS(87),
  },
  [7771] = {
    [sym__string_start] = ACTIONS(2929),
    [sym__heredoc_body_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_GT_GT] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(87),
  },
  [7772] = {
    [sym__heredoc_body_start] = ACTIONS(2941),
    [sym__element_reference_left_bracket] = ACTIONS(2941),
    [sym__infix_scope_colons] = ACTIONS(2941),
    [sym__binary_minus] = ACTIONS(2941),
    [sym__binary_star] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_AMP_DOT] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(2941),
    [anon_sym_or] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_GT_GT] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [sym_comment] = ACTIONS(87),
  },
  [7773] = {
    [sym__heredoc_body_start] = ACTIONS(2945),
    [sym__element_reference_left_bracket] = ACTIONS(2945),
    [sym__infix_scope_colons] = ACTIONS(2945),
    [sym__binary_minus] = ACTIONS(2945),
    [sym__binary_star] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_AMP_DOT] = ACTIONS(2945),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2945),
    [anon_sym_or] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_GT_GT] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(87),
  },
  [7774] = {
    [sym__heredoc_body_start] = ACTIONS(2949),
    [sym__element_reference_left_bracket] = ACTIONS(2949),
    [sym__infix_scope_colons] = ACTIONS(2949),
    [sym__binary_minus] = ACTIONS(2949),
    [sym__binary_star] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_STAR_STAR] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_AMP_DOT] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_and] = ACTIONS(2949),
    [anon_sym_or] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(87),
  },
  [7775] = {
    [sym__heredoc_body_start] = ACTIONS(2955),
    [sym__element_reference_left_bracket] = ACTIONS(2955),
    [sym__infix_scope_colons] = ACTIONS(2955),
    [sym__binary_minus] = ACTIONS(2955),
    [sym__binary_star] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_STAR_STAR] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_AMP_DOT] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_GT_GT] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(87),
  },
  [7776] = {
    [sym__string_end] = ACTIONS(12563),
    [sym_comment] = ACTIONS(87),
  },
  [7777] = {
    [aux_sym_string_array_repeat1] = STATE(9820),
    [sym__string_end] = ACTIONS(12565),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12567),
  },
  [7778] = {
    [sym__heredoc_body_start] = ACTIONS(2965),
    [sym__element_reference_left_bracket] = ACTIONS(2965),
    [sym__infix_scope_colons] = ACTIONS(2965),
    [sym__binary_minus] = ACTIONS(2965),
    [sym__binary_star] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_STAR_STAR] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_AMP_DOT] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2965),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(87),
  },
  [7779] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12569),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [7780] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(12569),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12571),
  },
  [7781] = {
    [sym__heredoc_body_start] = ACTIONS(2984),
    [sym__element_reference_left_bracket] = ACTIONS(2984),
    [sym__infix_scope_colons] = ACTIONS(2984),
    [sym__binary_minus] = ACTIONS(2984),
    [sym__binary_star] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_STAR_STAR] = ACTIONS(2984),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(2986),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_AMP_DOT] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_and] = ACTIONS(2984),
    [anon_sym_or] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE] = ACTIONS(2984),
    [anon_sym_AMP_AMP] = ACTIONS(2984),
    [anon_sym_LT_LT] = ACTIONS(2984),
    [anon_sym_GT_GT] = ACTIONS(2984),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_CARET] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_SLASH] = ACTIONS(2984),
    [anon_sym_PERCENT] = ACTIONS(2984),
    [sym_comment] = ACTIONS(87),
  },
  [7782] = {
    [sym__string_end] = ACTIONS(12573),
    [sym_comment] = ACTIONS(87),
  },
  [7783] = {
    [aux_sym_symbol_array_repeat1] = STATE(9826),
    [sym__string_end] = ACTIONS(12575),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12577),
  },
  [7784] = {
    [sym__heredoc_body_start] = ACTIONS(2994),
    [sym__element_reference_left_bracket] = ACTIONS(2994),
    [sym__infix_scope_colons] = ACTIONS(2994),
    [sym__binary_minus] = ACTIONS(2994),
    [sym__binary_star] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RPAREN] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2996),
    [anon_sym_STAR_STAR] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_AMP_DOT] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2994),
    [anon_sym_DOT_DOT] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2994),
    [anon_sym_and] = ACTIONS(2994),
    [anon_sym_or] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_LT_LT] = ACTIONS(2994),
    [anon_sym_GT_GT] = ACTIONS(2994),
    [anon_sym_EQ_EQ] = ACTIONS(2996),
    [anon_sym_BANG_EQ] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2994),
    [anon_sym_LT_EQ_GT] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2994),
    [anon_sym_BANG_TILDE] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT] = ACTIONS(2996),
    [anon_sym_GT_EQ] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_SLASH] = ACTIONS(2994),
    [anon_sym_PERCENT] = ACTIONS(2994),
    [sym_comment] = ACTIONS(87),
  },
  [7785] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(12579),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [7786] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(12579),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(12581),
  },
  [7787] = {
    [sym__heredoc_body_start] = ACTIONS(3480),
    [sym__element_reference_left_bracket] = ACTIONS(3480),
    [sym__infix_scope_colons] = ACTIONS(3480),
    [sym__binary_minus] = ACTIONS(3480),
    [sym__binary_star] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_DOT] = ACTIONS(3482),
    [anon_sym_COMMA] = ACTIONS(3480),
    [anon_sym_PIPE] = ACTIONS(3482),
    [anon_sym_STAR_STAR] = ACTIONS(3480),
    [anon_sym_AMP] = ACTIONS(3482),
    [anon_sym_EQ] = ACTIONS(3482),
    [anon_sym_LT] = ACTIONS(3482),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_AMP_DOT] = ACTIONS(3480),
    [anon_sym_QMARK] = ACTIONS(3480),
    [anon_sym_DOT_DOT] = ACTIONS(3482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3480),
    [anon_sym_and] = ACTIONS(3480),
    [anon_sym_or] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE] = ACTIONS(3480),
    [anon_sym_AMP_AMP] = ACTIONS(3480),
    [anon_sym_LT_LT] = ACTIONS(3480),
    [anon_sym_GT_GT] = ACTIONS(3480),
    [anon_sym_EQ_EQ] = ACTIONS(3482),
    [anon_sym_BANG_EQ] = ACTIONS(3480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3480),
    [anon_sym_LT_EQ_GT] = ACTIONS(3480),
    [anon_sym_EQ_TILDE] = ACTIONS(3480),
    [anon_sym_BANG_TILDE] = ACTIONS(3480),
    [anon_sym_LT_EQ] = ACTIONS(3482),
    [anon_sym_GT] = ACTIONS(3482),
    [anon_sym_GT_EQ] = ACTIONS(3480),
    [anon_sym_CARET] = ACTIONS(3480),
    [anon_sym_PLUS] = ACTIONS(3480),
    [anon_sym_SLASH] = ACTIONS(3480),
    [anon_sym_PERCENT] = ACTIONS(3480),
    [sym_comment] = ACTIONS(87),
  },
  [7788] = {
    [anon_sym_RBRACE] = ACTIONS(12583),
    [sym_comment] = ACTIONS(87),
  },
  [7789] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(12585),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(3534),
    [anon_sym_or] = ACTIONS(3534),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [7790] = {
    [sym__method_rest] = STATE(9831),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(5047),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [7791] = {
    [sym__statements] = STATE(5076),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(5077),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(5078),
    [sym_rescue] = STATE(5079),
    [sym__body_statement] = STATE(9832),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12587),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7792] = {
    [sym__heredoc_body_start] = ACTIONS(3716),
    [sym__element_reference_left_bracket] = ACTIONS(3716),
    [sym__infix_scope_colons] = ACTIONS(3716),
    [sym__binary_minus] = ACTIONS(3716),
    [sym__binary_star] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_DOT] = ACTIONS(3718),
    [anon_sym_COMMA] = ACTIONS(3716),
    [anon_sym_PIPE] = ACTIONS(3718),
    [anon_sym_STAR_STAR] = ACTIONS(3716),
    [anon_sym_AMP] = ACTIONS(3718),
    [anon_sym_EQ] = ACTIONS(3718),
    [anon_sym_LT] = ACTIONS(3718),
    [anon_sym_do] = ACTIONS(3716),
    [anon_sym_AMP_DOT] = ACTIONS(3716),
    [anon_sym_QMARK] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3716),
    [anon_sym_and] = ACTIONS(3716),
    [anon_sym_or] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE] = ACTIONS(3716),
    [anon_sym_AMP_AMP] = ACTIONS(3716),
    [anon_sym_LT_LT] = ACTIONS(3716),
    [anon_sym_GT_GT] = ACTIONS(3716),
    [anon_sym_EQ_EQ] = ACTIONS(3718),
    [anon_sym_BANG_EQ] = ACTIONS(3716),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3716),
    [anon_sym_LT_EQ_GT] = ACTIONS(3716),
    [anon_sym_EQ_TILDE] = ACTIONS(3716),
    [anon_sym_BANG_TILDE] = ACTIONS(3716),
    [anon_sym_LT_EQ] = ACTIONS(3718),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_GT_EQ] = ACTIONS(3716),
    [anon_sym_CARET] = ACTIONS(3716),
    [anon_sym_PLUS] = ACTIONS(3716),
    [anon_sym_SLASH] = ACTIONS(3716),
    [anon_sym_PERCENT] = ACTIONS(3716),
    [sym_comment] = ACTIONS(87),
  },
  [7793] = {
    [sym_heredoc_body] = STATE(9833),
    [sym__terminator] = STATE(9833),
    [sym__line_break] = ACTIONS(12589),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(12589),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [7794] = {
    [sym_heredoc_body] = STATE(9834),
    [sym__terminator] = STATE(9834),
    [sym__line_break] = ACTIONS(12591),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(12591),
    [sym_comment] = ACTIONS(87),
  },
  [7795] = {
    [sym__statements] = STATE(5076),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(5077),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(5078),
    [sym_rescue] = STATE(5079),
    [sym__body_statement] = STATE(9835),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12593),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7796] = {
    [sym__heredoc_body_start] = ACTIONS(4122),
    [sym__element_reference_left_bracket] = ACTIONS(4122),
    [sym__infix_scope_colons] = ACTIONS(4122),
    [sym__binary_minus] = ACTIONS(4122),
    [sym__binary_star] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_STAR_STAR] = ACTIONS(4122),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_do] = ACTIONS(4122),
    [anon_sym_AMP_DOT] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ_GT] = ACTIONS(4122),
    [anon_sym_EQ_TILDE] = ACTIONS(4122),
    [anon_sym_BANG_TILDE] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4122),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(87),
  },
  [7797] = {
    [sym__statements] = STATE(5076),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(5077),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(5078),
    [sym_rescue] = STATE(5079),
    [sym__body_statement] = STATE(9836),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12595),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7798] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7799] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7800] = {
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__binary_minus] = ACTIONS(4198),
    [sym__binary_star] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_STAR_STAR] = ACTIONS(4198),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_do] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_QMARK] = ACTIONS(4198),
    [anon_sym_DOT_DOT] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_and] = ACTIONS(4198),
    [anon_sym_or] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE] = ACTIONS(4198),
    [anon_sym_AMP_AMP] = ACTIONS(4198),
    [anon_sym_LT_LT] = ACTIONS(4198),
    [anon_sym_GT_GT] = ACTIONS(4198),
    [anon_sym_EQ_EQ] = ACTIONS(4200),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ_GT] = ACTIONS(4198),
    [anon_sym_EQ_TILDE] = ACTIONS(4198),
    [anon_sym_BANG_TILDE] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4200),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4198),
    [anon_sym_PLUS] = ACTIONS(4198),
    [anon_sym_SLASH] = ACTIONS(4198),
    [anon_sym_PERCENT] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
  },
  [7801] = {
    [sym_heredoc_body] = STATE(9838),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(12597),
    [sym_comment] = ACTIONS(87),
  },
  [7802] = {
    [anon_sym_RPAREN] = ACTIONS(12597),
    [sym_comment] = ACTIONS(87),
  },
  [7803] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9839),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(9839),
    [sym_operator_assignment] = STATE(9839),
    [sym_conditional] = STATE(9839),
    [sym_range] = STATE(9839),
    [sym_binary] = STATE(9839),
    [sym_unary] = STATE(9839),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7804] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7805] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9840),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(9840),
    [sym_operator_assignment] = STATE(9840),
    [sym_conditional] = STATE(9840),
    [sym_range] = STATE(9840),
    [sym_binary] = STATE(9840),
    [sym_unary] = STATE(9840),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7806] = {
    [sym_interpolation] = STATE(9842),
    [aux_sym_heredoc_body_repeat1] = STATE(9842),
    [sym__heredoc_content] = ACTIONS(12599),
    [sym_heredoc_end] = ACTIONS(12601),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(12599),
  },
  [7807] = {
    [sym_heredoc_body] = STATE(9843),
    [aux_sym_call_repeat1] = STATE(9843),
    [sym__heredoc_body_start] = ACTIONS(10709),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7808] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5061),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym__argument] = STATE(9844),
    [sym_splat_argument] = STATE(9844),
    [sym_hash_splat_argument] = STATE(9844),
    [sym_block_argument] = STATE(9844),
    [sym_assignment] = STATE(5061),
    [sym_operator_assignment] = STATE(5061),
    [sym_conditional] = STATE(5061),
    [sym_range] = STATE(5061),
    [sym_binary] = STATE(5061),
    [sym_unary] = STATE(5061),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5065),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(9845),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(9844),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(7569),
    [sym__splat_star] = ACTIONS(7571),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__identifier_hash_key] = ACTIONS(7575),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12603),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(7577),
    [sym_identifier] = ACTIONS(7577),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7809] = {
    [sym_heredoc_body] = STATE(9846),
    [aux_sym_call_repeat1] = STATE(9846),
    [aux_sym_argument_list_repeat1] = STATE(9847),
    [sym__heredoc_body_start] = ACTIONS(10709),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(10711),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7810] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9848),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(9848),
    [sym_operator_assignment] = STATE(9848),
    [sym_conditional] = STATE(9848),
    [sym_range] = STATE(9848),
    [sym_binary] = STATE(9848),
    [sym_unary] = STATE(9848),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [7811] = {
    [sym__statements] = STATE(9850),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(9851),
    [sym_else] = STATE(9851),
    [sym__if_tail] = STATE(9851),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(9852),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(9852),
    [sym__line_break] = ACTIONS(12605),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12607),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7812] = {
    [sym__statements] = STATE(9854),
    [sym__top_level_statement] = STATE(2886),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(9855),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12609),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7813] = {
    [sym__statements] = STATE(9857),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12611),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7814] = {
    [sym__statements] = STATE(9859),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12613),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7815] = {
    [sym__do] = STATE(9860),
    [sym_heredoc_body] = STATE(9860),
    [sym__terminator] = STATE(9860),
    [sym__line_break] = ACTIONS(12615),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(12615),
    [anon_sym_do] = ACTIONS(12615),
    [sym_comment] = ACTIONS(87),
  },
  [7816] = {
    [sym_when] = STATE(9861),
    [aux_sym_case_repeat1] = STATE(9862),
    [anon_sym_SEMI] = ACTIONS(12617),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [7817] = {
    [anon_sym_end] = ACTIONS(12619),
    [sym_comment] = ACTIONS(87),
  },
  [7818] = {
    [sym_when] = STATE(9861),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [7819] = {
    [sym__heredoc_body_start] = ACTIONS(5352),
    [sym__element_reference_left_bracket] = ACTIONS(5352),
    [sym__infix_scope_colons] = ACTIONS(5352),
    [sym__binary_minus] = ACTIONS(5352),
    [sym__binary_star] = ACTIONS(5352),
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_STAR_STAR] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_EQ] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_do] = ACTIONS(5352),
    [anon_sym_AMP_DOT] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_DOT_DOT] = ACTIONS(5354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_and] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5352),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_EQ_TILDE] = ACTIONS(5352),
    [anon_sym_BANG_TILDE] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5352),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5352),
    [sym_comment] = ACTIONS(87),
  },
  [7820] = {
    [sym_ensure] = STATE(9865),
    [anon_sym_end] = ACTIONS(12621),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [7821] = {
    [anon_sym_end] = ACTIONS(12621),
    [sym_comment] = ACTIONS(87),
  },
  [7822] = {
    [sym_else] = STATE(9866),
    [sym_ensure] = STATE(9865),
    [anon_sym_end] = ACTIONS(12621),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [7823] = {
    [sym__heredoc_body_start] = ACTIONS(5438),
    [sym__element_reference_left_bracket] = ACTIONS(5438),
    [sym__infix_scope_colons] = ACTIONS(5438),
    [sym__binary_minus] = ACTIONS(5438),
    [sym__binary_star] = ACTIONS(5438),
    [anon_sym_LBRACE] = ACTIONS(5438),
    [anon_sym_RPAREN] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5438),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_STAR_STAR] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_do] = ACTIONS(5438),
    [anon_sym_AMP_DOT] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5438),
    [anon_sym_DOT_DOT] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5438),
    [anon_sym_EQ_TILDE] = ACTIONS(5438),
    [anon_sym_BANG_TILDE] = ACTIONS(5438),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [sym_comment] = ACTIONS(87),
  },
  [7824] = {
    [sym__heredoc_body_start] = ACTIONS(5672),
    [sym__element_reference_left_bracket] = ACTIONS(5672),
    [sym__infix_scope_colons] = ACTIONS(5672),
    [sym__binary_minus] = ACTIONS(5672),
    [sym__binary_star] = ACTIONS(5672),
    [anon_sym_LBRACE] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_STAR_STAR] = ACTIONS(5672),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_do] = ACTIONS(5672),
    [anon_sym_AMP_DOT] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_LT_LT] = ACTIONS(5672),
    [anon_sym_GT_GT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5674),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ_GT] = ACTIONS(5672),
    [anon_sym_EQ_TILDE] = ACTIONS(5672),
    [anon_sym_BANG_TILDE] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5672),
    [anon_sym_SLASH] = ACTIONS(5672),
    [anon_sym_PERCENT] = ACTIONS(5672),
    [sym_comment] = ACTIONS(87),
  },
  [7825] = {
    [anon_sym_RBRACK] = ACTIONS(12623),
    [sym_comment] = ACTIONS(87),
  },
  [7826] = {
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_STAR_STAR] = ACTIONS(5684),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5684),
    [anon_sym_AMP_AMP] = ACTIONS(5684),
    [anon_sym_LT_LT] = ACTIONS(5684),
    [anon_sym_GT_GT] = ACTIONS(5684),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5684),
    [anon_sym_SLASH] = ACTIONS(5684),
    [anon_sym_PERCENT] = ACTIONS(5684),
    [sym_comment] = ACTIONS(87),
  },
  [7827] = {
    [anon_sym_RBRACE] = ACTIONS(12625),
    [sym_comment] = ACTIONS(87),
  },
  [7828] = {
    [sym__statements] = STATE(9869),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(12625),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7829] = {
    [sym__heredoc_body_start] = ACTIONS(5724),
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [sym__binary_minus] = ACTIONS(5724),
    [sym__binary_star] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_STAR_STAR] = ACTIONS(5724),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_do] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_DOT_DOT] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_LT_LT] = ACTIONS(5724),
    [anon_sym_GT_GT] = ACTIONS(5724),
    [anon_sym_EQ_EQ] = ACTIONS(5726),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_EQ_TILDE] = ACTIONS(5724),
    [anon_sym_BANG_TILDE] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_CARET] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5724),
    [anon_sym_SLASH] = ACTIONS(5724),
    [anon_sym_PERCENT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(87),
  },
  [7830] = {
    [anon_sym_end] = ACTIONS(12627),
    [sym_comment] = ACTIONS(87),
  },
  [7831] = {
    [sym__statements] = STATE(9871),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(9872),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(9872),
    [sym__line_break] = ACTIONS(12629),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12631),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7832] = {
    [sym__statements] = STATE(9871),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(9873),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12631),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7833] = {
    [sym__heredoc_body_start] = ACTIONS(5760),
    [sym__element_reference_left_bracket] = ACTIONS(5760),
    [sym__infix_scope_colons] = ACTIONS(5760),
    [sym__binary_minus] = ACTIONS(5760),
    [sym__binary_star] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_STAR_STAR] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_do] = ACTIONS(5760),
    [anon_sym_AMP_DOT] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_DOT_DOT] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5762),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_EQ_TILDE] = ACTIONS(5760),
    [anon_sym_BANG_TILDE] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(87),
  },
  [7834] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7835] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7836] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7837] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7838] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7839] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7840] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12633),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7841] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7842] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7843] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7844] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7845] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7846] = {
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_unless] = ACTIONS(5684),
    [anon_sym_while] = ACTIONS(5684),
    [anon_sym_until] = ACTIONS(5684),
    [anon_sym_rescue] = ACTIONS(5684),
    [anon_sym_in] = ACTIONS(5684),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_RBRACK] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [7847] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7848] = {
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7849] = {
    [aux_sym_exceptions_repeat1] = STATE(9876),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7850] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [7851] = {
    [sym_string] = STATE(7851),
    [aux_sym_chained_string_repeat1] = STATE(7851),
    [sym__string_start] = ACTIONS(12635),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [7852] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [7853] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [7854] = {
    [sym_heredoc_body] = STATE(7854),
    [aux_sym_call_repeat1] = STATE(7854),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [7855] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2495),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(2495),
    [sym_operator_assignment] = STATE(2495),
    [sym_conditional] = STATE(2495),
    [sym_range] = STATE(2495),
    [sym_binary] = STATE(2495),
    [sym_unary] = STATE(2495),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2498),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(3984),
    [sym__splat_star] = ACTIONS(3986),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__identifier_hash_key] = ACTIONS(3988),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10743),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(3992),
    [sym_identifier] = ACTIONS(3992),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7856] = {
    [sym_heredoc_body] = STATE(7854),
    [aux_sym_call_repeat1] = STATE(7854),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [7857] = {
    [aux_sym_argument_list_repeat1] = STATE(7857),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12638),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [7858] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [7859] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9877),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_assignment] = STATE(9877),
    [sym_operator_assignment] = STATE(9877),
    [sym_conditional] = STATE(9877),
    [sym_range] = STATE(9877),
    [sym_binary] = STATE(9877),
    [sym_unary] = STATE(9877),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7860] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5137),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(5137),
    [sym_operator_assignment] = STATE(5137),
    [sym_conditional] = STATE(5137),
    [sym_range] = STATE(5137),
    [sym_binary] = STATE(5137),
    [sym_unary] = STATE(5137),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2486),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(3986),
    [sym__unary_minus] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7861] = {
    [aux_sym_exceptions_repeat1] = STATE(9878),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12641),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [7862] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7863] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7864] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9879),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(9879),
    [sym_operator_assignment] = STATE(9879),
    [sym_conditional] = STATE(9879),
    [sym_range] = STATE(9879),
    [sym_binary] = STATE(9879),
    [sym_unary] = STATE(9879),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7865] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7866] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9880),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(9880),
    [sym_operator_assignment] = STATE(9880),
    [sym_conditional] = STATE(9880),
    [sym_range] = STATE(9880),
    [sym_binary] = STATE(9880),
    [sym_unary] = STATE(9880),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7867] = {
    [sym_heredoc_body] = STATE(9881),
    [aux_sym_call_repeat1] = STATE(9881),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7868] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5150),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(5150),
    [sym_operator_assignment] = STATE(5150),
    [sym_conditional] = STATE(5150),
    [sym_range] = STATE(5150),
    [sym_binary] = STATE(5150),
    [sym_unary] = STATE(5150),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5153),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(9882),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(7652),
    [sym__splat_star] = ACTIONS(7654),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12643),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(7658),
    [sym_identifier] = ACTIONS(7658),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7869] = {
    [sym_heredoc_body] = STATE(9883),
    [aux_sym_call_repeat1] = STATE(9883),
    [aux_sym_argument_list_repeat1] = STATE(9884),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(10762),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7870] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9885),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(9885),
    [sym_operator_assignment] = STATE(9885),
    [sym_conditional] = STATE(9885),
    [sym_range] = STATE(9885),
    [sym_binary] = STATE(9885),
    [sym_unary] = STATE(9885),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7871] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7872] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7873] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7874] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7875] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7876] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7877] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12645),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7878] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7879] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7880] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7881] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7882] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7883] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7884] = {
    [aux_sym_exceptions_repeat1] = STATE(9888),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7885] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [7886] = {
    [sym_string] = STATE(7886),
    [aux_sym_chained_string_repeat1] = STATE(7886),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [7887] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [7888] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [7889] = {
    [sym_heredoc_body] = STATE(7889),
    [aux_sym_call_repeat1] = STATE(7889),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [7890] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2551),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(2551),
    [sym_operator_assignment] = STATE(2551),
    [sym_conditional] = STATE(2551),
    [sym_range] = STATE(2551),
    [sym_binary] = STATE(2551),
    [sym_unary] = STATE(2551),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2554),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(4068),
    [sym__splat_star] = ACTIONS(4070),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(4072),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10766),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(4076),
    [sym_identifier] = ACTIONS(4076),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7891] = {
    [sym_heredoc_body] = STATE(7889),
    [aux_sym_call_repeat1] = STATE(7889),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [7892] = {
    [aux_sym_argument_list_repeat1] = STATE(7892),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12647),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [7893] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [7894] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9889),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_assignment] = STATE(9889),
    [sym_operator_assignment] = STATE(9889),
    [sym_conditional] = STATE(9889),
    [sym_range] = STATE(9889),
    [sym_binary] = STATE(9889),
    [sym_unary] = STATE(9889),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7895] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5198),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(5198),
    [sym_operator_assignment] = STATE(5198),
    [sym_conditional] = STATE(5198),
    [sym_range] = STATE(5198),
    [sym_binary] = STATE(5198),
    [sym_unary] = STATE(5198),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2542),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(4070),
    [sym__unary_minus] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1219),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7896] = {
    [aux_sym_exceptions_repeat1] = STATE(9890),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12650),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [7897] = {
    [sym_heredoc_body] = STATE(7897),
    [aux_sym_call_repeat1] = STATE(7897),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [ts_builtin_sym_end] = ACTIONS(7800),
    [anon_sym___END__] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [7898] = {
    [sym_heredoc_body] = STATE(7897),
    [aux_sym_call_repeat1] = STATE(7897),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [ts_builtin_sym_end] = ACTIONS(7815),
    [anon_sym___END__] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [7899] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9891),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_assignment] = STATE(9891),
    [sym_operator_assignment] = STATE(9891),
    [sym_conditional] = STATE(9891),
    [sym_range] = STATE(9891),
    [sym_binary] = STATE(9891),
    [sym_unary] = STATE(9891),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7900] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(5217),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(916),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(916),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(5217),
    [sym_operator_assignment] = STATE(5217),
    [sym_conditional] = STATE(5217),
    [sym_range] = STATE(5217),
    [sym_binary] = STATE(5217),
    [sym_unary] = STATE(5217),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(915),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(916),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(916),
    [sym_false] = STATE(916),
    [sym_nil] = STATE(916),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(371),
    [sym__unary_minus] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_defined_QMARK] = ACTIONS(1577),
    [anon_sym_not] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7901] = {
    [aux_sym_exceptions_repeat1] = STATE(9892),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [ts_builtin_sym_end] = ACTIONS(9799),
    [anon_sym___END__] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12652),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [7902] = {
    [sym_heredoc_body] = STATE(9893),
    [aux_sym_call_repeat1] = STATE(9893),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7903] = {
    [sym_heredoc_body] = STATE(9894),
    [aux_sym_call_repeat1] = STATE(9894),
    [aux_sym_argument_list_repeat1] = STATE(7483),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(7088),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7904] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [7905] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7906] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [7907] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7908] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [7909] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [7910] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12654),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7911] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [7912] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [7913] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [7914] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [7915] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [7916] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9896),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(9896),
    [sym_operator_assignment] = STATE(9896),
    [sym_conditional] = STATE(9896),
    [sym_range] = STATE(9896),
    [sym_binary] = STATE(9896),
    [sym_unary] = STATE(9896),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7917] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [7918] = {
    [aux_sym_exceptions_repeat1] = STATE(9898),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7919] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [7920] = {
    [sym_string] = STATE(7920),
    [aux_sym_chained_string_repeat1] = STATE(7920),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [7921] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7922] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7923] = {
    [sym_heredoc_body] = STATE(7923),
    [aux_sym_call_repeat1] = STATE(7923),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [7924] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(2622),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(2622),
    [sym_operator_assignment] = STATE(2622),
    [sym_conditional] = STATE(2622),
    [sym_range] = STATE(2622),
    [sym_binary] = STATE(2622),
    [sym_unary] = STATE(2622),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2625),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(4202),
    [sym__splat_star] = ACTIONS(4204),
    [sym__unary_minus] = ACTIONS(3500),
    [sym__identifier_hash_key] = ACTIONS(4206),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10777),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(4208),
    [sym_identifier] = ACTIONS(4208),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7925] = {
    [sym_heredoc_body] = STATE(7923),
    [aux_sym_call_repeat1] = STATE(7923),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [7926] = {
    [aux_sym_argument_list_repeat1] = STATE(7926),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12656),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [7927] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [7928] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9899),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_assignment] = STATE(9899),
    [sym_operator_assignment] = STATE(9899),
    [sym_conditional] = STATE(9899),
    [sym_range] = STATE(9899),
    [sym_binary] = STATE(9899),
    [sym_unary] = STATE(9899),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7929] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7930] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7931] = {
    [sym_heredoc_body] = STATE(7931),
    [aux_sym_call_repeat1] = STATE(7931),
    [sym__heredoc_body_start] = ACTIONS(10362),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [7932] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2646),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym__argument] = STATE(7428),
    [sym_splat_argument] = STATE(7428),
    [sym_hash_splat_argument] = STATE(7428),
    [sym_block_argument] = STATE(7428),
    [sym_assignment] = STATE(2646),
    [sym_operator_assignment] = STATE(2646),
    [sym_conditional] = STATE(2646),
    [sym_range] = STATE(2646),
    [sym_binary] = STATE(2646),
    [sym_unary] = STATE(2646),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(2649),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7428),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(4244),
    [sym__splat_star] = ACTIONS(4246),
    [sym__unary_minus] = ACTIONS(3552),
    [sym__identifier_hash_key] = ACTIONS(4248),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10781),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(4250),
    [sym_identifier] = ACTIONS(4250),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [7933] = {
    [sym_heredoc_body] = STATE(7931),
    [aux_sym_call_repeat1] = STATE(7931),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [7934] = {
    [aux_sym_argument_list_repeat1] = STATE(7934),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12659),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [7935] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [7936] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4214),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT] = ACTIONS(4220),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4224),
    [anon_sym_DOT_DOT] = ACTIONS(4226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4228),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4232),
    [anon_sym_AMP_AMP] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(4236),
    [anon_sym_BANG_EQ] = ACTIONS(4232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4232),
    [anon_sym_LT_EQ_GT] = ACTIONS(4232),
    [anon_sym_EQ_TILDE] = ACTIONS(4232),
    [anon_sym_BANG_TILDE] = ACTIONS(4232),
    [anon_sym_LT_EQ] = ACTIONS(4220),
    [anon_sym_GT] = ACTIONS(4220),
    [anon_sym_GT_EQ] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [7937] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5276),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym_splat_argument] = STATE(9086),
    [sym_assignment] = STATE(5276),
    [sym_operator_assignment] = STATE(5276),
    [sym_conditional] = STATE(5276),
    [sym_range] = STATE(5276),
    [sym_binary] = STATE(5276),
    [sym_unary] = STATE(5276),
    [sym__arg_or_splat_arg] = STATE(9086),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(7764),
    [sym__unary_minus] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [7938] = {
    [aux_sym_exceptions_repeat1] = STATE(9900),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(12662),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [7939] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(1633),
    [sym__binary_star] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(12002),
    [anon_sym___END__] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_DOT_DOT] = ACTIONS(1651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1653),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(1655),
    [anon_sym_AMP_AMP] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_EQ_EQ] = ACTIONS(1659),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ_GT] = ACTIONS(1655),
    [anon_sym_EQ_TILDE] = ACTIONS(1655),
    [anon_sym_BANG_TILDE] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(87),
  },
  [7940] = {
    [sym__line_break] = ACTIONS(12078),
    [sym__heredoc_body_start] = ACTIONS(12078),
    [sym__element_reference_left_bracket] = ACTIONS(12078),
    [sym__infix_scope_colons] = ACTIONS(12078),
    [sym__binary_minus] = ACTIONS(12078),
    [sym__binary_star] = ACTIONS(12078),
    [ts_builtin_sym_end] = ACTIONS(12078),
    [anon_sym___END__] = ACTIONS(12078),
    [anon_sym_LBRACE] = ACTIONS(12078),
    [anon_sym_RBRACE] = ACTIONS(12078),
    [anon_sym_RPAREN] = ACTIONS(12078),
    [anon_sym_DOT] = ACTIONS(12080),
    [anon_sym_COMMA] = ACTIONS(12078),
    [anon_sym_PIPE] = ACTIONS(12080),
    [anon_sym_SEMI] = ACTIONS(12078),
    [anon_sym_STAR_STAR] = ACTIONS(12080),
    [anon_sym_AMP] = ACTIONS(12080),
    [anon_sym_EQ] = ACTIONS(12080),
    [anon_sym_LT] = ACTIONS(12080),
    [anon_sym_end] = ACTIONS(12078),
    [anon_sym_if] = ACTIONS(12078),
    [anon_sym_unless] = ACTIONS(12078),
    [anon_sym_while] = ACTIONS(12078),
    [anon_sym_until] = ACTIONS(12078),
    [anon_sym_rescue] = ACTIONS(12078),
    [anon_sym_do] = ACTIONS(12078),
    [anon_sym_when] = ACTIONS(12078),
    [anon_sym_elsif] = ACTIONS(12078),
    [anon_sym_else] = ACTIONS(12078),
    [anon_sym_then] = ACTIONS(12078),
    [anon_sym_ensure] = ACTIONS(12078),
    [anon_sym_EQ_GT] = ACTIONS(12078),
    [anon_sym_AMP_DOT] = ACTIONS(12078),
    [anon_sym_PLUS_EQ] = ACTIONS(12078),
    [anon_sym_DASH_EQ] = ACTIONS(12078),
    [anon_sym_STAR_EQ] = ACTIONS(12078),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12078),
    [anon_sym_SLASH_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12078),
    [anon_sym_AMP_EQ] = ACTIONS(12078),
    [anon_sym_PERCENT_EQ] = ACTIONS(12078),
    [anon_sym_GT_GT_EQ] = ACTIONS(12078),
    [anon_sym_LT_LT_EQ] = ACTIONS(12078),
    [anon_sym_CARET_EQ] = ACTIONS(12078),
    [anon_sym_QMARK] = ACTIONS(12078),
    [anon_sym_DOT_DOT] = ACTIONS(12080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12078),
    [anon_sym_and] = ACTIONS(12078),
    [anon_sym_or] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE] = ACTIONS(12080),
    [anon_sym_AMP_AMP] = ACTIONS(12080),
    [anon_sym_LT_LT] = ACTIONS(12080),
    [anon_sym_GT_GT] = ACTIONS(12080),
    [anon_sym_EQ_EQ] = ACTIONS(12080),
    [anon_sym_BANG_EQ] = ACTIONS(12078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12078),
    [anon_sym_LT_EQ_GT] = ACTIONS(12078),
    [anon_sym_EQ_TILDE] = ACTIONS(12078),
    [anon_sym_BANG_TILDE] = ACTIONS(12078),
    [anon_sym_LT_EQ] = ACTIONS(12080),
    [anon_sym_GT] = ACTIONS(12080),
    [anon_sym_GT_EQ] = ACTIONS(12078),
    [anon_sym_CARET] = ACTIONS(12080),
    [anon_sym_PLUS] = ACTIONS(12080),
    [anon_sym_SLASH] = ACTIONS(12080),
    [anon_sym_PERCENT] = ACTIONS(12080),
    [sym_comment] = ACTIONS(87),
  },
  [7941] = {
    [sym__line_break] = ACTIONS(7758),
    [sym__simple_symbol] = ACTIONS(7758),
    [sym__string_start] = ACTIONS(7758),
    [sym__symbol_start] = ACTIONS(7758),
    [sym__subshell_start] = ACTIONS(7758),
    [sym__regex_start] = ACTIONS(7758),
    [sym__string_array_start] = ACTIONS(7758),
    [sym__symbol_array_start] = ACTIONS(7758),
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym_heredoc_beginning] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__block_ampersand] = ACTIONS(7758),
    [sym__splat_star] = ACTIONS(7758),
    [sym__argument_list_left_paren] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__unary_minus] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [sym__identifier_hash_key] = ACTIONS(7758),
    [ts_builtin_sym_end] = ACTIONS(7758),
    [anon_sym___END__] = ACTIONS(7760),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RBRACE] = ACTIONS(7758),
    [anon_sym_def] = ACTIONS(7760),
    [anon_sym_LPAREN] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COLON_COLON] = ACTIONS(7758),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR] = ACTIONS(7760),
    [anon_sym_STAR_STAR] = ACTIONS(7760),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_class] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_module] = ACTIONS(7760),
    [anon_sym_end] = ACTIONS(7760),
    [anon_sym_return] = ACTIONS(7760),
    [anon_sym_yield] = ACTIONS(7760),
    [anon_sym_break] = ACTIONS(7760),
    [anon_sym_next] = ACTIONS(7760),
    [sym_redo] = ACTIONS(7760),
    [sym_retry] = ACTIONS(7760),
    [anon_sym_if] = ACTIONS(7760),
    [anon_sym_unless] = ACTIONS(7760),
    [anon_sym_while] = ACTIONS(7760),
    [anon_sym_until] = ACTIONS(7760),
    [anon_sym_rescue] = ACTIONS(7760),
    [anon_sym_for] = ACTIONS(7760),
    [anon_sym_do] = ACTIONS(7760),
    [anon_sym_case] = ACTIONS(7760),
    [anon_sym_when] = ACTIONS(7760),
    [anon_sym_elsif] = ACTIONS(7760),
    [anon_sym_else] = ACTIONS(7760),
    [anon_sym_then] = ACTIONS(7760),
    [anon_sym_begin] = ACTIONS(7760),
    [anon_sym_ensure] = ACTIONS(7760),
    [anon_sym_EQ_GT] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS_EQ] = ACTIONS(7758),
    [anon_sym_DASH_EQ] = ACTIONS(7758),
    [anon_sym_STAR_EQ] = ACTIONS(7758),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7758),
    [anon_sym_SLASH_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7758),
    [anon_sym_AMP_EQ] = ACTIONS(7758),
    [anon_sym_PERCENT_EQ] = ACTIONS(7758),
    [anon_sym_GT_GT_EQ] = ACTIONS(7758),
    [anon_sym_LT_LT_EQ] = ACTIONS(7758),
    [anon_sym_CARET_EQ] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7760),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7760),
    [anon_sym_or] = ACTIONS(7760),
    [anon_sym_PIPE_PIPE] = ACTIONS(7760),
    [anon_sym_AMP_AMP] = ACTIONS(7760),
    [anon_sym_LT_LT] = ACTIONS(7760),
    [anon_sym_GT_GT] = ACTIONS(7760),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7760),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_SLASH] = ACTIONS(7760),
    [anon_sym_PERCENT] = ACTIONS(7760),
    [anon_sym_defined_QMARK] = ACTIONS(7758),
    [anon_sym_not] = ACTIONS(7760),
    [anon_sym_BANG] = ACTIONS(7760),
    [anon_sym_TILDE] = ACTIONS(7758),
    [sym_constant] = ACTIONS(7760),
    [sym_identifier] = ACTIONS(7760),
    [sym_instance_variable] = ACTIONS(7758),
    [sym_class_variable] = ACTIONS(7758),
    [sym_global_variable] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(7760),
    [sym_float] = ACTIONS(7760),
    [sym_complex] = ACTIONS(7758),
    [sym_super] = ACTIONS(7760),
    [anon_sym_true] = ACTIONS(7760),
    [anon_sym_TRUE] = ACTIONS(7760),
    [anon_sym_false] = ACTIONS(7760),
    [anon_sym_FALSE] = ACTIONS(7760),
    [sym_self] = ACTIONS(7760),
    [anon_sym_nil] = ACTIONS(7760),
    [anon_sym_NIL] = ACTIONS(7760),
    [sym_character] = ACTIONS(7758),
    [anon_sym_LBRACK] = ACTIONS(7758),
    [anon_sym_DASH_GT] = ACTIONS(7758),
  },
  [7942] = {
    [anon_sym_RPAREN] = ACTIONS(12666),
    [sym_comment] = ACTIONS(87),
  },
  [7943] = {
    [sym__line_break] = ACTIONS(10783),
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [ts_builtin_sym_end] = ACTIONS(10783),
    [anon_sym___END__] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RBRACE] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR_STAR] = ACTIONS(10785),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_end] = ACTIONS(10783),
    [anon_sym_if] = ACTIONS(10783),
    [anon_sym_unless] = ACTIONS(10783),
    [anon_sym_while] = ACTIONS(10783),
    [anon_sym_until] = ACTIONS(10783),
    [anon_sym_rescue] = ACTIONS(10783),
    [anon_sym_do] = ACTIONS(10783),
    [anon_sym_when] = ACTIONS(10783),
    [anon_sym_elsif] = ACTIONS(10783),
    [anon_sym_else] = ACTIONS(10783),
    [anon_sym_then] = ACTIONS(10783),
    [anon_sym_ensure] = ACTIONS(10783),
    [anon_sym_EQ_GT] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS_EQ] = ACTIONS(10783),
    [anon_sym_DASH_EQ] = ACTIONS(10783),
    [anon_sym_STAR_EQ] = ACTIONS(10783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10783),
    [anon_sym_SLASH_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10783),
    [anon_sym_AMP_EQ] = ACTIONS(10783),
    [anon_sym_PERCENT_EQ] = ACTIONS(10783),
    [anon_sym_GT_GT_EQ] = ACTIONS(10783),
    [anon_sym_LT_LT_EQ] = ACTIONS(10783),
    [anon_sym_CARET_EQ] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10783),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10783),
    [anon_sym_or] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE] = ACTIONS(10785),
    [anon_sym_AMP_AMP] = ACTIONS(10785),
    [anon_sym_LT_LT] = ACTIONS(10785),
    [anon_sym_GT_GT] = ACTIONS(10785),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10785),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_SLASH] = ACTIONS(10785),
    [anon_sym_PERCENT] = ACTIONS(10785),
    [sym_comment] = ACTIONS(87),
  },
  [7944] = {
    [sym__line_break] = ACTIONS(11905),
    [sym__heredoc_body_start] = ACTIONS(11905),
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [sym__binary_minus] = ACTIONS(11905),
    [sym__binary_star] = ACTIONS(11905),
    [ts_builtin_sym_end] = ACTIONS(11905),
    [anon_sym___END__] = ACTIONS(11905),
    [anon_sym_LBRACE] = ACTIONS(11905),
    [anon_sym_RBRACE] = ACTIONS(11905),
    [anon_sym_RPAREN] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11907),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_PIPE] = ACTIONS(11907),
    [anon_sym_SEMI] = ACTIONS(11905),
    [anon_sym_STAR_STAR] = ACTIONS(11907),
    [anon_sym_AMP] = ACTIONS(11907),
    [anon_sym_EQ] = ACTIONS(11907),
    [anon_sym_LT] = ACTIONS(11907),
    [anon_sym_end] = ACTIONS(11905),
    [anon_sym_if] = ACTIONS(11905),
    [anon_sym_unless] = ACTIONS(11905),
    [anon_sym_while] = ACTIONS(11905),
    [anon_sym_until] = ACTIONS(11905),
    [anon_sym_rescue] = ACTIONS(11905),
    [anon_sym_do] = ACTIONS(11905),
    [anon_sym_when] = ACTIONS(11905),
    [anon_sym_elsif] = ACTIONS(11905),
    [anon_sym_else] = ACTIONS(11905),
    [anon_sym_then] = ACTIONS(11905),
    [anon_sym_ensure] = ACTIONS(11905),
    [anon_sym_EQ_GT] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [anon_sym_PLUS_EQ] = ACTIONS(11905),
    [anon_sym_DASH_EQ] = ACTIONS(11905),
    [anon_sym_STAR_EQ] = ACTIONS(11905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11905),
    [anon_sym_SLASH_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11905),
    [anon_sym_AMP_EQ] = ACTIONS(11905),
    [anon_sym_PERCENT_EQ] = ACTIONS(11905),
    [anon_sym_GT_GT_EQ] = ACTIONS(11905),
    [anon_sym_LT_LT_EQ] = ACTIONS(11905),
    [anon_sym_CARET_EQ] = ACTIONS(11905),
    [anon_sym_QMARK] = ACTIONS(11905),
    [anon_sym_DOT_DOT] = ACTIONS(11907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11905),
    [anon_sym_and] = ACTIONS(11905),
    [anon_sym_or] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE] = ACTIONS(11907),
    [anon_sym_AMP_AMP] = ACTIONS(11907),
    [anon_sym_LT_LT] = ACTIONS(11907),
    [anon_sym_GT_GT] = ACTIONS(11907),
    [anon_sym_EQ_EQ] = ACTIONS(11907),
    [anon_sym_BANG_EQ] = ACTIONS(11905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11905),
    [anon_sym_LT_EQ_GT] = ACTIONS(11905),
    [anon_sym_EQ_TILDE] = ACTIONS(11905),
    [anon_sym_BANG_TILDE] = ACTIONS(11905),
    [anon_sym_LT_EQ] = ACTIONS(11907),
    [anon_sym_GT] = ACTIONS(11907),
    [anon_sym_GT_EQ] = ACTIONS(11905),
    [anon_sym_CARET] = ACTIONS(11907),
    [anon_sym_PLUS] = ACTIONS(11907),
    [anon_sym_SLASH] = ACTIONS(11907),
    [anon_sym_PERCENT] = ACTIONS(11907),
    [sym_comment] = ACTIONS(87),
  },
  [7945] = {
    [sym__line_break] = ACTIONS(11938),
    [sym__heredoc_body_start] = ACTIONS(11938),
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [sym__binary_minus] = ACTIONS(11938),
    [sym__binary_star] = ACTIONS(11938),
    [ts_builtin_sym_end] = ACTIONS(11938),
    [anon_sym___END__] = ACTIONS(11938),
    [anon_sym_LBRACE] = ACTIONS(11938),
    [anon_sym_RBRACE] = ACTIONS(11938),
    [anon_sym_RPAREN] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11940),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_PIPE] = ACTIONS(11940),
    [anon_sym_SEMI] = ACTIONS(11938),
    [anon_sym_STAR_STAR] = ACTIONS(11940),
    [anon_sym_AMP] = ACTIONS(11940),
    [anon_sym_EQ] = ACTIONS(11940),
    [anon_sym_LT] = ACTIONS(11940),
    [anon_sym_end] = ACTIONS(11938),
    [anon_sym_if] = ACTIONS(11938),
    [anon_sym_unless] = ACTIONS(11938),
    [anon_sym_while] = ACTIONS(11938),
    [anon_sym_until] = ACTIONS(11938),
    [anon_sym_rescue] = ACTIONS(11938),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_when] = ACTIONS(11938),
    [anon_sym_elsif] = ACTIONS(11938),
    [anon_sym_else] = ACTIONS(11938),
    [anon_sym_then] = ACTIONS(11938),
    [anon_sym_ensure] = ACTIONS(11938),
    [anon_sym_EQ_GT] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [anon_sym_PLUS_EQ] = ACTIONS(11938),
    [anon_sym_DASH_EQ] = ACTIONS(11938),
    [anon_sym_STAR_EQ] = ACTIONS(11938),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11938),
    [anon_sym_SLASH_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11938),
    [anon_sym_AMP_EQ] = ACTIONS(11938),
    [anon_sym_PERCENT_EQ] = ACTIONS(11938),
    [anon_sym_GT_GT_EQ] = ACTIONS(11938),
    [anon_sym_LT_LT_EQ] = ACTIONS(11938),
    [anon_sym_CARET_EQ] = ACTIONS(11938),
    [anon_sym_QMARK] = ACTIONS(11938),
    [anon_sym_DOT_DOT] = ACTIONS(11940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11938),
    [anon_sym_and] = ACTIONS(11938),
    [anon_sym_or] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE] = ACTIONS(11940),
    [anon_sym_AMP_AMP] = ACTIONS(11940),
    [anon_sym_LT_LT] = ACTIONS(11940),
    [anon_sym_GT_GT] = ACTIONS(11940),
    [anon_sym_EQ_EQ] = ACTIONS(11940),
    [anon_sym_BANG_EQ] = ACTIONS(11938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11938),
    [anon_sym_LT_EQ_GT] = ACTIONS(11938),
    [anon_sym_EQ_TILDE] = ACTIONS(11938),
    [anon_sym_BANG_TILDE] = ACTIONS(11938),
    [anon_sym_LT_EQ] = ACTIONS(11940),
    [anon_sym_GT] = ACTIONS(11940),
    [anon_sym_GT_EQ] = ACTIONS(11938),
    [anon_sym_CARET] = ACTIONS(11940),
    [anon_sym_PLUS] = ACTIONS(11940),
    [anon_sym_SLASH] = ACTIONS(11940),
    [anon_sym_PERCENT] = ACTIONS(11940),
    [sym_comment] = ACTIONS(87),
  },
  [7946] = {
    [anon_sym_end] = ACTIONS(12668),
    [sym_comment] = ACTIONS(87),
  },
  [7947] = {
    [sym__statements] = STATE(9903),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12670),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7948] = {
    [sym__line_break] = ACTIONS(6671),
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym__element_reference_left_bracket] = ACTIONS(6671),
    [sym__infix_scope_colons] = ACTIONS(6671),
    [sym__binary_minus] = ACTIONS(6671),
    [sym__binary_star] = ACTIONS(6671),
    [ts_builtin_sym_end] = ACTIONS(6671),
    [anon_sym___END__] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_RBRACE] = ACTIONS(6671),
    [anon_sym_RPAREN] = ACTIONS(6671),
    [anon_sym_DOT] = ACTIONS(8601),
    [anon_sym_COMMA] = ACTIONS(6671),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_SEMI] = ACTIONS(6671),
    [anon_sym_STAR_STAR] = ACTIONS(8601),
    [anon_sym_AMP] = ACTIONS(8601),
    [anon_sym_EQ] = ACTIONS(8601),
    [anon_sym_LT] = ACTIONS(8601),
    [anon_sym_end] = ACTIONS(6671),
    [anon_sym_if] = ACTIONS(6671),
    [anon_sym_unless] = ACTIONS(6671),
    [anon_sym_while] = ACTIONS(6671),
    [anon_sym_until] = ACTIONS(6671),
    [anon_sym_rescue] = ACTIONS(6671),
    [anon_sym_do] = ACTIONS(6671),
    [anon_sym_when] = ACTIONS(6671),
    [anon_sym_elsif] = ACTIONS(6671),
    [anon_sym_else] = ACTIONS(6671),
    [anon_sym_then] = ACTIONS(6671),
    [anon_sym_ensure] = ACTIONS(6671),
    [anon_sym_EQ_GT] = ACTIONS(6671),
    [anon_sym_AMP_DOT] = ACTIONS(6671),
    [anon_sym_PLUS_EQ] = ACTIONS(6671),
    [anon_sym_DASH_EQ] = ACTIONS(6671),
    [anon_sym_STAR_EQ] = ACTIONS(6671),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6671),
    [anon_sym_SLASH_EQ] = ACTIONS(6671),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6671),
    [anon_sym_PIPE_EQ] = ACTIONS(6671),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6671),
    [anon_sym_AMP_EQ] = ACTIONS(6671),
    [anon_sym_PERCENT_EQ] = ACTIONS(6671),
    [anon_sym_GT_GT_EQ] = ACTIONS(6671),
    [anon_sym_LT_LT_EQ] = ACTIONS(6671),
    [anon_sym_CARET_EQ] = ACTIONS(6671),
    [anon_sym_QMARK] = ACTIONS(6671),
    [anon_sym_DOT_DOT] = ACTIONS(8601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6671),
    [anon_sym_and] = ACTIONS(6671),
    [anon_sym_or] = ACTIONS(6671),
    [anon_sym_PIPE_PIPE] = ACTIONS(8601),
    [anon_sym_AMP_AMP] = ACTIONS(8601),
    [anon_sym_LT_LT] = ACTIONS(8601),
    [anon_sym_GT_GT] = ACTIONS(8601),
    [anon_sym_EQ_EQ] = ACTIONS(8601),
    [anon_sym_BANG_EQ] = ACTIONS(6671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6671),
    [anon_sym_LT_EQ_GT] = ACTIONS(6671),
    [anon_sym_EQ_TILDE] = ACTIONS(6671),
    [anon_sym_BANG_TILDE] = ACTIONS(6671),
    [anon_sym_LT_EQ] = ACTIONS(8601),
    [anon_sym_GT] = ACTIONS(8601),
    [anon_sym_GT_EQ] = ACTIONS(6671),
    [anon_sym_CARET] = ACTIONS(8601),
    [anon_sym_PLUS] = ACTIONS(8601),
    [anon_sym_SLASH] = ACTIONS(8601),
    [anon_sym_PERCENT] = ACTIONS(8601),
    [sym_comment] = ACTIONS(87),
  },
  [7949] = {
    [sym__line_break] = ACTIONS(10814),
    [sym__heredoc_body_start] = ACTIONS(10814),
    [sym__element_reference_left_bracket] = ACTIONS(10814),
    [sym__infix_scope_colons] = ACTIONS(10814),
    [sym__binary_minus] = ACTIONS(10814),
    [sym__binary_star] = ACTIONS(10814),
    [ts_builtin_sym_end] = ACTIONS(10814),
    [anon_sym___END__] = ACTIONS(10814),
    [anon_sym_LBRACE] = ACTIONS(10814),
    [anon_sym_RBRACE] = ACTIONS(10814),
    [anon_sym_RPAREN] = ACTIONS(10814),
    [anon_sym_DOT] = ACTIONS(10816),
    [anon_sym_COMMA] = ACTIONS(10814),
    [anon_sym_PIPE] = ACTIONS(10816),
    [anon_sym_SEMI] = ACTIONS(10814),
    [anon_sym_STAR_STAR] = ACTIONS(10816),
    [anon_sym_AMP] = ACTIONS(10816),
    [anon_sym_EQ] = ACTIONS(10816),
    [anon_sym_LT] = ACTIONS(10816),
    [anon_sym_end] = ACTIONS(10814),
    [anon_sym_if] = ACTIONS(10814),
    [anon_sym_unless] = ACTIONS(10814),
    [anon_sym_while] = ACTIONS(10814),
    [anon_sym_until] = ACTIONS(10814),
    [anon_sym_rescue] = ACTIONS(10814),
    [anon_sym_do] = ACTIONS(10814),
    [anon_sym_when] = ACTIONS(10814),
    [anon_sym_elsif] = ACTIONS(10814),
    [anon_sym_else] = ACTIONS(10814),
    [anon_sym_then] = ACTIONS(10814),
    [anon_sym_ensure] = ACTIONS(10814),
    [anon_sym_EQ_GT] = ACTIONS(10814),
    [anon_sym_AMP_DOT] = ACTIONS(10814),
    [anon_sym_PLUS_EQ] = ACTIONS(10814),
    [anon_sym_DASH_EQ] = ACTIONS(10814),
    [anon_sym_STAR_EQ] = ACTIONS(10814),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10814),
    [anon_sym_SLASH_EQ] = ACTIONS(10814),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10814),
    [anon_sym_PIPE_EQ] = ACTIONS(10814),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10814),
    [anon_sym_AMP_EQ] = ACTIONS(10814),
    [anon_sym_PERCENT_EQ] = ACTIONS(10814),
    [anon_sym_GT_GT_EQ] = ACTIONS(10814),
    [anon_sym_LT_LT_EQ] = ACTIONS(10814),
    [anon_sym_CARET_EQ] = ACTIONS(10814),
    [anon_sym_QMARK] = ACTIONS(10814),
    [anon_sym_DOT_DOT] = ACTIONS(10816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10814),
    [anon_sym_and] = ACTIONS(10814),
    [anon_sym_or] = ACTIONS(10814),
    [anon_sym_PIPE_PIPE] = ACTIONS(10816),
    [anon_sym_AMP_AMP] = ACTIONS(10816),
    [anon_sym_LT_LT] = ACTIONS(10816),
    [anon_sym_GT_GT] = ACTIONS(10816),
    [anon_sym_EQ_EQ] = ACTIONS(10816),
    [anon_sym_BANG_EQ] = ACTIONS(10814),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10814),
    [anon_sym_LT_EQ_GT] = ACTIONS(10814),
    [anon_sym_EQ_TILDE] = ACTIONS(10814),
    [anon_sym_BANG_TILDE] = ACTIONS(10814),
    [anon_sym_LT_EQ] = ACTIONS(10816),
    [anon_sym_GT] = ACTIONS(10816),
    [anon_sym_GT_EQ] = ACTIONS(10814),
    [anon_sym_CARET] = ACTIONS(10816),
    [anon_sym_PLUS] = ACTIONS(10816),
    [anon_sym_SLASH] = ACTIONS(10816),
    [anon_sym_PERCENT] = ACTIONS(10816),
    [sym_comment] = ACTIONS(87),
  },
  [7950] = {
    [sym__simple_symbol] = ACTIONS(6671),
    [sym__string_start] = ACTIONS(6671),
    [sym__symbol_start] = ACTIONS(6671),
    [sym__subshell_start] = ACTIONS(6671),
    [sym__regex_start] = ACTIONS(6671),
    [sym__string_array_start] = ACTIONS(6671),
    [sym__symbol_array_start] = ACTIONS(6671),
    [sym_heredoc_beginning] = ACTIONS(6671),
    [sym__block_ampersand] = ACTIONS(6671),
    [sym__splat_star] = ACTIONS(6671),
    [sym__unary_minus] = ACTIONS(6671),
    [sym__identifier_hash_key] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_def] = ACTIONS(8601),
    [anon_sym_LPAREN] = ACTIONS(6671),
    [anon_sym_COLON_COLON] = ACTIONS(6671),
    [anon_sym_STAR] = ACTIONS(8601),
    [anon_sym_STAR_STAR] = ACTIONS(6671),
    [anon_sym_class] = ACTIONS(8601),
    [anon_sym_module] = ACTIONS(8601),
    [anon_sym_return] = ACTIONS(8601),
    [anon_sym_yield] = ACTIONS(8601),
    [anon_sym_break] = ACTIONS(8601),
    [anon_sym_next] = ACTIONS(8601),
    [sym_redo] = ACTIONS(8601),
    [sym_retry] = ACTIONS(8601),
    [anon_sym_if] = ACTIONS(8601),
    [anon_sym_unless] = ACTIONS(8601),
    [anon_sym_while] = ACTIONS(8601),
    [anon_sym_until] = ACTIONS(8601),
    [anon_sym_for] = ACTIONS(8601),
    [anon_sym_case] = ACTIONS(8601),
    [anon_sym_begin] = ACTIONS(8601),
    [anon_sym_PLUS] = ACTIONS(8601),
    [anon_sym_defined_QMARK] = ACTIONS(6671),
    [anon_sym_not] = ACTIONS(8601),
    [anon_sym_BANG] = ACTIONS(6671),
    [anon_sym_TILDE] = ACTIONS(6671),
    [sym_constant] = ACTIONS(8601),
    [sym_identifier] = ACTIONS(8601),
    [sym_instance_variable] = ACTIONS(6671),
    [sym_class_variable] = ACTIONS(6671),
    [sym_global_variable] = ACTIONS(6671),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(8601),
    [sym_float] = ACTIONS(8601),
    [sym_complex] = ACTIONS(6671),
    [sym_super] = ACTIONS(8601),
    [anon_sym_true] = ACTIONS(8601),
    [anon_sym_TRUE] = ACTIONS(8601),
    [anon_sym_false] = ACTIONS(8601),
    [anon_sym_FALSE] = ACTIONS(8601),
    [sym_self] = ACTIONS(8601),
    [anon_sym_nil] = ACTIONS(8601),
    [anon_sym_NIL] = ACTIONS(8601),
    [sym_character] = ACTIONS(6671),
    [anon_sym_LBRACK] = ACTIONS(6671),
    [anon_sym_DASH_GT] = ACTIONS(6671),
  },
  [7951] = {
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [ts_builtin_sym_end] = ACTIONS(11449),
    [anon_sym___END__] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(11449),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_when] = ACTIONS(11449),
    [anon_sym_elsif] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [7952] = {
    [aux_sym_exceptions_repeat1] = STATE(7952),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [ts_builtin_sym_end] = ACTIONS(11449),
    [anon_sym___END__] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(12672),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [7953] = {
    [sym_heredoc_body] = STATE(9904),
    [aux_sym_call_repeat1] = STATE(9904),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7954] = {
    [sym_heredoc_body] = STATE(9905),
    [aux_sym_call_repeat1] = STATE(9905),
    [aux_sym_argument_list_repeat1] = STATE(5374),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4384),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [7955] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [7956] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [7957] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [7958] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [7959] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [7960] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [7961] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12675),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [7962] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [7963] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(7840),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [7964] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [7965] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [7966] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [7967] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(7840),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [7968] = {
    [aux_sym_exceptions_repeat1] = STATE(9908),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [7969] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(7840),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [7970] = {
    [sym_string] = STATE(7970),
    [aux_sym_chained_string_repeat1] = STATE(7970),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_then] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [7971] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_then] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [7972] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_then] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [7973] = {
    [sym_heredoc_body] = STATE(7973),
    [aux_sym_call_repeat1] = STATE(7973),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [7974] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2746),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(2746),
    [sym_operator_assignment] = STATE(2746),
    [sym_conditional] = STATE(2746),
    [sym_range] = STATE(2746),
    [sym_binary] = STATE(2746),
    [sym_unary] = STATE(2746),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2749),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(4336),
    [sym__splat_star] = ACTIONS(4338),
    [sym__unary_minus] = ACTIONS(1725),
    [sym__identifier_hash_key] = ACTIONS(4340),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10820),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(4342),
    [sym_identifier] = ACTIONS(4342),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7975] = {
    [sym_heredoc_body] = STATE(7973),
    [aux_sym_call_repeat1] = STATE(7973),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [7976] = {
    [aux_sym_argument_list_repeat1] = STATE(7976),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12677),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [7977] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_then] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [7978] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9909),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_assignment] = STATE(9909),
    [sym_operator_assignment] = STATE(9909),
    [sym_conditional] = STATE(9909),
    [sym_range] = STATE(9909),
    [sym_binary] = STATE(9909),
    [sym_unary] = STATE(9909),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7979] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_then] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [7980] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_then] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [7981] = {
    [sym_heredoc_body] = STATE(7981),
    [aux_sym_call_repeat1] = STATE(7981),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [7982] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2770),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(2770),
    [sym_operator_assignment] = STATE(2770),
    [sym_conditional] = STATE(2770),
    [sym_range] = STATE(2770),
    [sym_binary] = STATE(2770),
    [sym_unary] = STATE(2770),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2773),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(4376),
    [sym__splat_star] = ACTIONS(4378),
    [sym__unary_minus] = ACTIONS(1803),
    [sym__identifier_hash_key] = ACTIONS(4380),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(10824),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(4382),
    [sym_identifier] = ACTIONS(4382),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [7983] = {
    [sym_heredoc_body] = STATE(7981),
    [aux_sym_call_repeat1] = STATE(7981),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [7984] = {
    [aux_sym_argument_list_repeat1] = STATE(7984),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12680),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [7985] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_then] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [7986] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5375),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1015),
    [sym_scope_resolution] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_method_call] = STATE(1015),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(5375),
    [sym_operator_assignment] = STATE(5375),
    [sym_conditional] = STATE(5375),
    [sym_range] = STATE(5375),
    [sym_binary] = STATE(5375),
    [sym_unary] = STATE(5375),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(1014),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1015),
    [sym__variable] = STATE(1011),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1015),
    [sym_false] = STATE(1015),
    [sym_nil] = STATE(1015),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2738),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(4338),
    [sym__unary_minus] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_next] = ACTIONS(1735),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_defined_QMARK] = ACTIONS(1737),
    [anon_sym_not] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [sym_constant] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_instance_variable] = ACTIONS(1747),
    [sym_class_variable] = ACTIONS(1747),
    [sym_global_variable] = ACTIONS(1747),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1749),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1749),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7987] = {
    [aux_sym_exceptions_repeat1] = STATE(9910),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12683),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [7988] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9911),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(9911),
    [sym_operator_assignment] = STATE(9911),
    [sym_conditional] = STATE(9911),
    [sym_range] = STATE(9911),
    [sym_binary] = STATE(9911),
    [sym_unary] = STATE(9911),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7989] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5396),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(9912),
    [sym__argument] = STATE(9913),
    [sym_splat_argument] = STATE(9913),
    [sym_hash_splat_argument] = STATE(9913),
    [sym_block_argument] = STATE(9913),
    [sym_assignment] = STATE(5396),
    [sym_operator_assignment] = STATE(5396),
    [sym_conditional] = STATE(5396),
    [sym_range] = STATE(5396),
    [sym_binary] = STATE(5396),
    [sym_unary] = STATE(5396),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5402),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(9913),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(7884),
    [sym__splat_star] = ACTIONS(7886),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(7890),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7908),
    [sym_identifier] = ACTIONS(7908),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7990] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5396),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(9912),
    [sym__argument] = STATE(9913),
    [sym_splat_argument] = STATE(9913),
    [sym_hash_splat_argument] = STATE(9913),
    [sym_block_argument] = STATE(9913),
    [sym_assignment] = STATE(5396),
    [sym_operator_assignment] = STATE(5396),
    [sym_conditional] = STATE(5396),
    [sym_range] = STATE(5396),
    [sym_binary] = STATE(5396),
    [sym_unary] = STATE(5396),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5402),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(9913),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(7884),
    [sym__splat_star] = ACTIONS(7886),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(7890),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(415),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7908),
    [sym_identifier] = ACTIONS(7908),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7991] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5396),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(9912),
    [sym__argument] = STATE(9913),
    [sym_splat_argument] = STATE(9913),
    [sym_hash_splat_argument] = STATE(9913),
    [sym_block_argument] = STATE(9913),
    [sym_assignment] = STATE(5396),
    [sym_operator_assignment] = STATE(5396),
    [sym_conditional] = STATE(5396),
    [sym_range] = STATE(5396),
    [sym_binary] = STATE(5396),
    [sym_unary] = STATE(5396),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5402),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(9913),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(7884),
    [sym__splat_star] = ACTIONS(7886),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(7890),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7908),
    [sym_identifier] = ACTIONS(7908),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7992] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5396),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(9912),
    [sym__argument] = STATE(9913),
    [sym_splat_argument] = STATE(9913),
    [sym_hash_splat_argument] = STATE(9913),
    [sym_block_argument] = STATE(9913),
    [sym_assignment] = STATE(5396),
    [sym_operator_assignment] = STATE(5396),
    [sym_conditional] = STATE(5396),
    [sym_range] = STATE(5396),
    [sym_binary] = STATE(5396),
    [sym_unary] = STATE(5396),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5402),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(9913),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(7884),
    [sym__splat_star] = ACTIONS(7886),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(7890),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(423),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7904),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7908),
    [sym_identifier] = ACTIONS(7908),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7993] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9914),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(9914),
    [sym_operator_assignment] = STATE(9914),
    [sym_conditional] = STATE(9914),
    [sym_range] = STATE(9914),
    [sym_binary] = STATE(9914),
    [sym_unary] = STATE(9914),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7994] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9915),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(9915),
    [sym_operator_assignment] = STATE(9915),
    [sym_conditional] = STATE(9915),
    [sym_range] = STATE(9915),
    [sym_binary] = STATE(9915),
    [sym_unary] = STATE(9915),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7995] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [7996] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_elsif] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(12697),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [7997] = {
    [anon_sym_EQ] = ACTIONS(12715),
    [sym_comment] = ACTIONS(87),
  },
  [7998] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(12717),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(12719),
    [anon_sym_DASH_EQ] = ACTIONS(12719),
    [anon_sym_STAR_EQ] = ACTIONS(12719),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12719),
    [anon_sym_SLASH_EQ] = ACTIONS(12719),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12719),
    [anon_sym_PIPE_EQ] = ACTIONS(12719),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12719),
    [anon_sym_AMP_EQ] = ACTIONS(12719),
    [anon_sym_PERCENT_EQ] = ACTIONS(12719),
    [anon_sym_GT_GT_EQ] = ACTIONS(12719),
    [anon_sym_LT_LT_EQ] = ACTIONS(12719),
    [anon_sym_CARET_EQ] = ACTIONS(12719),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [7999] = {
    [sym_string] = STATE(9930),
    [aux_sym_chained_string_repeat1] = STATE(9930),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [8000] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_elsif] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(12697),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [8001] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_elsif] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [8002] = {
    [sym_string] = STATE(8044),
    [aux_sym_chained_string_repeat1] = STATE(8044),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [8003] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9931),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(9931),
    [sym_operator_assignment] = STATE(9931),
    [sym_conditional] = STATE(9931),
    [sym_range] = STATE(9931),
    [sym_binary] = STATE(9931),
    [sym_unary] = STATE(9931),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8004] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_elsif] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(12697),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [8005] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9932),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9932),
    [sym_operator_assignment] = STATE(9932),
    [sym_conditional] = STATE(9932),
    [sym_range] = STATE(9932),
    [sym_binary] = STATE(9932),
    [sym_unary] = STATE(9932),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8006] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9933),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9933),
    [sym_operator_assignment] = STATE(9933),
    [sym_conditional] = STATE(9933),
    [sym_range] = STATE(9933),
    [sym_binary] = STATE(9933),
    [sym_unary] = STATE(9933),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8007] = {
    [sym__keyword_colon] = ACTIONS(12721),
    [sym_comment] = ACTIONS(87),
  },
  [8008] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9935),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9935),
    [sym_operator_assignment] = STATE(9935),
    [sym_conditional] = STATE(9935),
    [sym_range] = STATE(9935),
    [sym_binary] = STATE(9935),
    [sym_unary] = STATE(9935),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8009] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(12721),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_elsif] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [8010] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_elsif] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [8011] = {
    [sym_heredoc_body] = STATE(9937),
    [aux_sym_call_repeat1] = STATE(9937),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_elsif] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [8012] = {
    [sym_heredoc_body] = STATE(9937),
    [aux_sym_call_repeat1] = STATE(9937),
    [aux_sym_argument_list_repeat1] = STATE(9939),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(12723),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_elsif] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [8013] = {
    [sym_string] = STATE(8044),
    [aux_sym_chained_string_repeat1] = STATE(8044),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(12725),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [8014] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [8015] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [8016] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9941),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9941),
    [sym_operator_assignment] = STATE(9941),
    [sym_conditional] = STATE(9941),
    [sym_range] = STATE(9941),
    [sym_binary] = STATE(9941),
    [sym_unary] = STATE(9941),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8017] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9942),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9942),
    [sym_operator_assignment] = STATE(9942),
    [sym_conditional] = STATE(9942),
    [sym_range] = STATE(9942),
    [sym_binary] = STATE(9942),
    [sym_unary] = STATE(9942),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8018] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9943),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9943),
    [sym_operator_assignment] = STATE(9943),
    [sym_conditional] = STATE(9943),
    [sym_range] = STATE(9943),
    [sym_binary] = STATE(9943),
    [sym_unary] = STATE(9943),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8019] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9944),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9944),
    [sym_operator_assignment] = STATE(9944),
    [sym_conditional] = STATE(9944),
    [sym_range] = STATE(9944),
    [sym_binary] = STATE(9944),
    [sym_unary] = STATE(9944),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8020] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9945),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9945),
    [sym_operator_assignment] = STATE(9945),
    [sym_conditional] = STATE(9945),
    [sym_range] = STATE(9945),
    [sym_binary] = STATE(9945),
    [sym_unary] = STATE(9945),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8021] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9946),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9946),
    [sym_operator_assignment] = STATE(9946),
    [sym_conditional] = STATE(9946),
    [sym_range] = STATE(9946),
    [sym_binary] = STATE(9946),
    [sym_unary] = STATE(9946),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8022] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9947),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(9947),
    [sym_operator_assignment] = STATE(9947),
    [sym_conditional] = STATE(9947),
    [sym_range] = STATE(9947),
    [sym_binary] = STATE(9947),
    [sym_unary] = STATE(9947),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8023] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9948),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(9948),
    [sym_operator_assignment] = STATE(9948),
    [sym_conditional] = STATE(9948),
    [sym_range] = STATE(9948),
    [sym_binary] = STATE(9948),
    [sym_unary] = STATE(9948),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [8024] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9949),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9949),
    [sym_operator_assignment] = STATE(9949),
    [sym_conditional] = STATE(9949),
    [sym_range] = STATE(9949),
    [sym_binary] = STATE(9949),
    [sym_unary] = STATE(9949),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8025] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9950),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9950),
    [sym_operator_assignment] = STATE(9950),
    [sym_conditional] = STATE(9950),
    [sym_range] = STATE(9950),
    [sym_binary] = STATE(9950),
    [sym_unary] = STATE(9950),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8026] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9951),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9951),
    [sym_operator_assignment] = STATE(9951),
    [sym_conditional] = STATE(9951),
    [sym_range] = STATE(9951),
    [sym_binary] = STATE(9951),
    [sym_unary] = STATE(9951),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8027] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9952),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9952),
    [sym_operator_assignment] = STATE(9952),
    [sym_conditional] = STATE(9952),
    [sym_range] = STATE(9952),
    [sym_binary] = STATE(9952),
    [sym_unary] = STATE(9952),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8028] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9953),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9953),
    [sym_operator_assignment] = STATE(9953),
    [sym_conditional] = STATE(9953),
    [sym_range] = STATE(9953),
    [sym_binary] = STATE(9953),
    [sym_unary] = STATE(9953),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8029] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9954),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(9954),
    [sym_operator_assignment] = STATE(9954),
    [sym_conditional] = STATE(9954),
    [sym_range] = STATE(9954),
    [sym_binary] = STATE(9954),
    [sym_unary] = STATE(9954),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8030] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9955),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(9955),
    [sym_operator_assignment] = STATE(9955),
    [sym_conditional] = STATE(9955),
    [sym_range] = STATE(9955),
    [sym_binary] = STATE(9955),
    [sym_unary] = STATE(9955),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8031] = {
    [sym__keyword_colon] = ACTIONS(12727),
    [sym_comment] = ACTIONS(87),
  },
  [8032] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9957),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(9957),
    [sym_operator_assignment] = STATE(9957),
    [sym_conditional] = STATE(9957),
    [sym_range] = STATE(9957),
    [sym_binary] = STATE(9957),
    [sym_unary] = STATE(9957),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8033] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(12727),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_elsif] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [8034] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_elsif] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [8035] = {
    [sym_heredoc_body] = STATE(9959),
    [aux_sym_call_repeat1] = STATE(9959),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_elsif] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [8036] = {
    [sym_heredoc_body] = STATE(9959),
    [aux_sym_call_repeat1] = STATE(9959),
    [aux_sym_argument_list_repeat1] = STATE(9961),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(12729),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_elsif] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [8037] = {
    [sym_string] = STATE(8106),
    [aux_sym_chained_string_repeat1] = STATE(8106),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(12731),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8038] = {
    [sym_heredoc_body] = STATE(9963),
    [aux_sym_call_repeat1] = STATE(9963),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_elsif] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8039] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5396),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(5396),
    [sym_operator_assignment] = STATE(5396),
    [sym_conditional] = STATE(5396),
    [sym_range] = STATE(5396),
    [sym_binary] = STATE(5396),
    [sym_unary] = STATE(5396),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5402),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(9964),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(7884),
    [sym__splat_star] = ACTIONS(7886),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__identifier_hash_key] = ACTIONS(7890),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12733),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7908),
    [sym_identifier] = ACTIONS(7908),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8040] = {
    [sym_heredoc_body] = STATE(9965),
    [aux_sym_call_repeat1] = STATE(9965),
    [aux_sym_argument_list_repeat1] = STATE(9966),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(10899),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_elsif] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8041] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9967),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_splat_argument] = STATE(9968),
    [sym_assignment] = STATE(9967),
    [sym_operator_assignment] = STATE(9967),
    [sym_conditional] = STATE(9967),
    [sym_range] = STATE(9967),
    [sym_binary] = STATE(9967),
    [sym_unary] = STATE(9967),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(9968),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(10853),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8042] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9969),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(9969),
    [sym_operator_assignment] = STATE(9969),
    [sym_conditional] = STATE(9969),
    [sym_range] = STATE(9969),
    [sym_binary] = STATE(9969),
    [sym_unary] = STATE(9969),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8043] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9970),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(9970),
    [sym_operator_assignment] = STATE(9970),
    [sym_conditional] = STATE(9970),
    [sym_range] = STATE(9970),
    [sym_binary] = STATE(9970),
    [sym_unary] = STATE(9970),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8044] = {
    [sym_string] = STATE(9971),
    [aux_sym_chained_string_repeat1] = STATE(9971),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_elsif] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [8045] = {
    [sym__statements] = STATE(9972),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(9973),
    [sym_else] = STATE(9973),
    [sym__if_tail] = STATE(9973),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(12735),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8046] = {
    [aux_sym_undef_repeat1] = STATE(9974),
    [sym__line_break] = ACTIONS(5442),
    [sym__heredoc_body_start] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym_end] = ACTIONS(5442),
    [anon_sym_if] = ACTIONS(5442),
    [anon_sym_unless] = ACTIONS(5442),
    [anon_sym_while] = ACTIONS(5442),
    [anon_sym_until] = ACTIONS(5442),
    [anon_sym_rescue] = ACTIONS(5442),
    [anon_sym_elsif] = ACTIONS(5442),
    [anon_sym_else] = ACTIONS(5442),
    [sym_comment] = ACTIONS(87),
  },
  [8047] = {
    [sym__line_break] = ACTIONS(12737),
    [sym__heredoc_body_start] = ACTIONS(12737),
    [sym__element_reference_left_bracket] = ACTIONS(12737),
    [sym__infix_scope_colons] = ACTIONS(12737),
    [sym__binary_minus] = ACTIONS(12737),
    [sym__binary_star] = ACTIONS(12737),
    [ts_builtin_sym_end] = ACTIONS(12737),
    [anon_sym___END__] = ACTIONS(12737),
    [anon_sym_LBRACE] = ACTIONS(12737),
    [anon_sym_RBRACE] = ACTIONS(12737),
    [anon_sym_RPAREN] = ACTIONS(12737),
    [anon_sym_DOT] = ACTIONS(12739),
    [anon_sym_COMMA] = ACTIONS(12737),
    [anon_sym_PIPE] = ACTIONS(12739),
    [anon_sym_SEMI] = ACTIONS(12737),
    [anon_sym_STAR_STAR] = ACTIONS(12737),
    [anon_sym_AMP] = ACTIONS(12739),
    [anon_sym_LT] = ACTIONS(12739),
    [anon_sym_end] = ACTIONS(12737),
    [anon_sym_if] = ACTIONS(12737),
    [anon_sym_unless] = ACTIONS(12737),
    [anon_sym_while] = ACTIONS(12737),
    [anon_sym_until] = ACTIONS(12737),
    [anon_sym_rescue] = ACTIONS(12737),
    [anon_sym_do] = ACTIONS(12737),
    [anon_sym_when] = ACTIONS(12737),
    [anon_sym_elsif] = ACTIONS(12737),
    [anon_sym_else] = ACTIONS(12737),
    [anon_sym_then] = ACTIONS(12737),
    [anon_sym_ensure] = ACTIONS(12737),
    [anon_sym_EQ_GT] = ACTIONS(12737),
    [anon_sym_AMP_DOT] = ACTIONS(12737),
    [anon_sym_QMARK] = ACTIONS(12737),
    [anon_sym_DOT_DOT] = ACTIONS(12739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12737),
    [anon_sym_and] = ACTIONS(12737),
    [anon_sym_or] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE] = ACTIONS(12737),
    [anon_sym_AMP_AMP] = ACTIONS(12737),
    [anon_sym_LT_LT] = ACTIONS(12737),
    [anon_sym_GT_GT] = ACTIONS(12737),
    [anon_sym_EQ_EQ] = ACTIONS(12739),
    [anon_sym_BANG_EQ] = ACTIONS(12737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12737),
    [anon_sym_LT_EQ_GT] = ACTIONS(12737),
    [anon_sym_EQ_TILDE] = ACTIONS(12737),
    [anon_sym_BANG_TILDE] = ACTIONS(12737),
    [anon_sym_LT_EQ] = ACTIONS(12739),
    [anon_sym_GT] = ACTIONS(12739),
    [anon_sym_GT_EQ] = ACTIONS(12737),
    [anon_sym_CARET] = ACTIONS(12737),
    [anon_sym_PLUS] = ACTIONS(12737),
    [anon_sym_SLASH] = ACTIONS(12737),
    [anon_sym_PERCENT] = ACTIONS(12737),
    [sym_comment] = ACTIONS(87),
  },
  [8048] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5772),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(5772),
    [anon_sym_else] = ACTIONS(5772),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8049] = {
    [sym_heredoc_body] = STATE(9975),
    [sym__terminator] = STATE(9975),
    [aux_sym__statements_repeat1] = STATE(8049),
    [sym__line_break] = ACTIONS(12741),
    [sym__heredoc_body_start] = ACTIONS(5777),
    [anon_sym_SEMI] = ACTIONS(12741),
    [anon_sym_end] = ACTIONS(5768),
    [anon_sym_elsif] = ACTIONS(5768),
    [anon_sym_else] = ACTIONS(5768),
    [sym_comment] = ACTIONS(87),
  },
  [8050] = {
    [sym__line_break] = ACTIONS(5780),
    [sym__heredoc_body_start] = ACTIONS(5780),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(5780),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_unless] = ACTIONS(5780),
    [anon_sym_while] = ACTIONS(5780),
    [anon_sym_until] = ACTIONS(5780),
    [anon_sym_rescue] = ACTIONS(5780),
    [anon_sym_elsif] = ACTIONS(5780),
    [anon_sym_else] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(7946),
    [anon_sym_DOT_DOT] = ACTIONS(7948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7950),
    [anon_sym_and] = ACTIONS(7952),
    [anon_sym_or] = ACTIONS(7952),
    [anon_sym_PIPE_PIPE] = ACTIONS(7954),
    [anon_sym_AMP_AMP] = ACTIONS(7954),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8051] = {
    [sym__line_break] = ACTIONS(5782),
    [sym__heredoc_body_start] = ACTIONS(5782),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(5782),
    [anon_sym_if] = ACTIONS(5782),
    [anon_sym_unless] = ACTIONS(5782),
    [anon_sym_while] = ACTIONS(5782),
    [anon_sym_until] = ACTIONS(5782),
    [anon_sym_rescue] = ACTIONS(5782),
    [anon_sym_elsif] = ACTIONS(5782),
    [anon_sym_else] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(7946),
    [anon_sym_DOT_DOT] = ACTIONS(7948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7950),
    [anon_sym_and] = ACTIONS(7952),
    [anon_sym_or] = ACTIONS(7952),
    [anon_sym_PIPE_PIPE] = ACTIONS(7954),
    [anon_sym_AMP_AMP] = ACTIONS(7954),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8052] = {
    [sym__line_break] = ACTIONS(5784),
    [sym__heredoc_body_start] = ACTIONS(5784),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(5784),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_unless] = ACTIONS(5784),
    [anon_sym_while] = ACTIONS(5784),
    [anon_sym_until] = ACTIONS(5784),
    [anon_sym_rescue] = ACTIONS(5784),
    [anon_sym_elsif] = ACTIONS(5784),
    [anon_sym_else] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(7946),
    [anon_sym_DOT_DOT] = ACTIONS(7948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7950),
    [anon_sym_and] = ACTIONS(7952),
    [anon_sym_or] = ACTIONS(7952),
    [anon_sym_PIPE_PIPE] = ACTIONS(7954),
    [anon_sym_AMP_AMP] = ACTIONS(7954),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8053] = {
    [sym__line_break] = ACTIONS(5786),
    [sym__heredoc_body_start] = ACTIONS(5786),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(5786),
    [anon_sym_if] = ACTIONS(5786),
    [anon_sym_unless] = ACTIONS(5786),
    [anon_sym_while] = ACTIONS(5786),
    [anon_sym_until] = ACTIONS(5786),
    [anon_sym_rescue] = ACTIONS(5786),
    [anon_sym_elsif] = ACTIONS(5786),
    [anon_sym_else] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(7946),
    [anon_sym_DOT_DOT] = ACTIONS(7948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7950),
    [anon_sym_and] = ACTIONS(7952),
    [anon_sym_or] = ACTIONS(7952),
    [anon_sym_PIPE_PIPE] = ACTIONS(7954),
    [anon_sym_AMP_AMP] = ACTIONS(7954),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8054] = {
    [sym__line_break] = ACTIONS(5788),
    [sym__heredoc_body_start] = ACTIONS(5788),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(5788),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(5788),
    [anon_sym_if] = ACTIONS(5788),
    [anon_sym_unless] = ACTIONS(5788),
    [anon_sym_while] = ACTIONS(5788),
    [anon_sym_until] = ACTIONS(5788),
    [anon_sym_rescue] = ACTIONS(5788),
    [anon_sym_elsif] = ACTIONS(5788),
    [anon_sym_else] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(7946),
    [anon_sym_DOT_DOT] = ACTIONS(7948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7950),
    [anon_sym_and] = ACTIONS(7952),
    [anon_sym_or] = ACTIONS(7952),
    [anon_sym_PIPE_PIPE] = ACTIONS(7954),
    [anon_sym_AMP_AMP] = ACTIONS(7954),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8055] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_elsif] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8056] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_elsif] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8057] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8058] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8059] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8060] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8061] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12744),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8062] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_elsif] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(7948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7950),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(7954),
    [anon_sym_AMP_AMP] = ACTIONS(7954),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8063] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(7946),
    [anon_sym_DOT_DOT] = ACTIONS(7948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7950),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(7954),
    [anon_sym_AMP_AMP] = ACTIONS(7954),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8064] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8065] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8066] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8067] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9977),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(9977),
    [sym_operator_assignment] = STATE(9977),
    [sym_conditional] = STATE(9977),
    [sym_range] = STATE(9977),
    [sym_binary] = STATE(9977),
    [sym_unary] = STATE(9977),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8068] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5442),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(5444),
    [sym__argument] = STATE(5445),
    [sym_splat_argument] = STATE(5445),
    [sym_hash_splat_argument] = STATE(5445),
    [sym_block_argument] = STATE(5445),
    [sym_assignment] = STATE(5442),
    [sym_operator_assignment] = STATE(5442),
    [sym_conditional] = STATE(5442),
    [sym_range] = STATE(5442),
    [sym_binary] = STATE(5442),
    [sym_unary] = STATE(5442),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5448),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5445),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(7966),
    [sym__splat_star] = ACTIONS(7968),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(7972),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7990),
    [sym_identifier] = ACTIONS(7990),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8069] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5442),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(5444),
    [sym__argument] = STATE(5445),
    [sym_splat_argument] = STATE(5445),
    [sym_hash_splat_argument] = STATE(5445),
    [sym_block_argument] = STATE(5445),
    [sym_assignment] = STATE(5442),
    [sym_operator_assignment] = STATE(5442),
    [sym_conditional] = STATE(5442),
    [sym_range] = STATE(5442),
    [sym_binary] = STATE(5442),
    [sym_unary] = STATE(5442),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5448),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5445),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(7966),
    [sym__splat_star] = ACTIONS(7968),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(7972),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(415),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7990),
    [sym_identifier] = ACTIONS(7990),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8070] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5442),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(5444),
    [sym__argument] = STATE(5445),
    [sym_splat_argument] = STATE(5445),
    [sym_hash_splat_argument] = STATE(5445),
    [sym_block_argument] = STATE(5445),
    [sym_assignment] = STATE(5442),
    [sym_operator_assignment] = STATE(5442),
    [sym_conditional] = STATE(5442),
    [sym_range] = STATE(5442),
    [sym_binary] = STATE(5442),
    [sym_unary] = STATE(5442),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5448),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5445),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(7966),
    [sym__splat_star] = ACTIONS(7968),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(7972),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7990),
    [sym_identifier] = ACTIONS(7990),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8071] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5442),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(5444),
    [sym__argument] = STATE(5445),
    [sym_splat_argument] = STATE(5445),
    [sym_hash_splat_argument] = STATE(5445),
    [sym_block_argument] = STATE(5445),
    [sym_assignment] = STATE(5442),
    [sym_operator_assignment] = STATE(5442),
    [sym_conditional] = STATE(5442),
    [sym_range] = STATE(5442),
    [sym_binary] = STATE(5442),
    [sym_unary] = STATE(5442),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5448),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5445),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(7966),
    [sym__splat_star] = ACTIONS(7968),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(7972),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(423),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7990),
    [sym_identifier] = ACTIONS(7990),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8072] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9978),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(9978),
    [sym_operator_assignment] = STATE(9978),
    [sym_conditional] = STATE(9978),
    [sym_range] = STATE(9978),
    [sym_binary] = STATE(9978),
    [sym_unary] = STATE(9978),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8073] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9979),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(9979),
    [sym_operator_assignment] = STATE(9979),
    [sym_conditional] = STATE(9979),
    [sym_range] = STATE(9979),
    [sym_binary] = STATE(9979),
    [sym_unary] = STATE(9979),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8074] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8075] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_elsif] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(12758),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [8076] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5442),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(5444),
    [sym__argument] = STATE(5445),
    [sym_splat_argument] = STATE(5445),
    [sym_hash_splat_argument] = STATE(5445),
    [sym_block_argument] = STATE(5445),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(5442),
    [sym_operator_assignment] = STATE(5442),
    [sym_conditional] = STATE(5442),
    [sym_range] = STATE(5442),
    [sym_binary] = STATE(5442),
    [sym_unary] = STATE(5442),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5448),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5445),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(7966),
    [sym__splat_star] = ACTIONS(7968),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(7972),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_elsif] = ACTIONS(775),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7986),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7990),
    [sym_identifier] = ACTIONS(7990),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8077] = {
    [anon_sym_EQ] = ACTIONS(12774),
    [sym_comment] = ACTIONS(87),
  },
  [8078] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(12776),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(12778),
    [anon_sym_DASH_EQ] = ACTIONS(12778),
    [anon_sym_STAR_EQ] = ACTIONS(12778),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12778),
    [anon_sym_SLASH_EQ] = ACTIONS(12778),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12778),
    [anon_sym_PIPE_EQ] = ACTIONS(12778),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12778),
    [anon_sym_AMP_EQ] = ACTIONS(12778),
    [anon_sym_PERCENT_EQ] = ACTIONS(12778),
    [anon_sym_GT_GT_EQ] = ACTIONS(12778),
    [anon_sym_LT_LT_EQ] = ACTIONS(12778),
    [anon_sym_CARET_EQ] = ACTIONS(12778),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8079] = {
    [sym_string] = STATE(9994),
    [aux_sym_chained_string_repeat1] = STATE(9994),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8080] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_elsif] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(12758),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [8081] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_elsif] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [8082] = {
    [sym_string] = STATE(8106),
    [aux_sym_chained_string_repeat1] = STATE(8106),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8083] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9995),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(9995),
    [sym_operator_assignment] = STATE(9995),
    [sym_conditional] = STATE(9995),
    [sym_range] = STATE(9995),
    [sym_binary] = STATE(9995),
    [sym_unary] = STATE(9995),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8084] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_elsif] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(12758),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [8085] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [8086] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [8087] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9996),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(9996),
    [sym_operator_assignment] = STATE(9996),
    [sym_conditional] = STATE(9996),
    [sym_range] = STATE(9996),
    [sym_binary] = STATE(9996),
    [sym_unary] = STATE(9996),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8088] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9997),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(9997),
    [sym_operator_assignment] = STATE(9997),
    [sym_conditional] = STATE(9997),
    [sym_range] = STATE(9997),
    [sym_binary] = STATE(9997),
    [sym_unary] = STATE(9997),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8089] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9998),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(9998),
    [sym_operator_assignment] = STATE(9998),
    [sym_conditional] = STATE(9998),
    [sym_range] = STATE(9998),
    [sym_binary] = STATE(9998),
    [sym_unary] = STATE(9998),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8090] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(9999),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(9999),
    [sym_operator_assignment] = STATE(9999),
    [sym_conditional] = STATE(9999),
    [sym_range] = STATE(9999),
    [sym_binary] = STATE(9999),
    [sym_unary] = STATE(9999),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8091] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10000),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(10000),
    [sym_operator_assignment] = STATE(10000),
    [sym_conditional] = STATE(10000),
    [sym_range] = STATE(10000),
    [sym_binary] = STATE(10000),
    [sym_unary] = STATE(10000),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8092] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10001),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(10001),
    [sym_operator_assignment] = STATE(10001),
    [sym_conditional] = STATE(10001),
    [sym_range] = STATE(10001),
    [sym_binary] = STATE(10001),
    [sym_unary] = STATE(10001),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8093] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10002),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(10002),
    [sym_operator_assignment] = STATE(10002),
    [sym_conditional] = STATE(10002),
    [sym_range] = STATE(10002),
    [sym_binary] = STATE(10002),
    [sym_unary] = STATE(10002),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8094] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10003),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10003),
    [sym_operator_assignment] = STATE(10003),
    [sym_conditional] = STATE(10003),
    [sym_range] = STATE(10003),
    [sym_binary] = STATE(10003),
    [sym_unary] = STATE(10003),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [8095] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10004),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(10004),
    [sym_operator_assignment] = STATE(10004),
    [sym_conditional] = STATE(10004),
    [sym_range] = STATE(10004),
    [sym_binary] = STATE(10004),
    [sym_unary] = STATE(10004),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8096] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10005),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(10005),
    [sym_operator_assignment] = STATE(10005),
    [sym_conditional] = STATE(10005),
    [sym_range] = STATE(10005),
    [sym_binary] = STATE(10005),
    [sym_unary] = STATE(10005),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8097] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10006),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(10006),
    [sym_operator_assignment] = STATE(10006),
    [sym_conditional] = STATE(10006),
    [sym_range] = STATE(10006),
    [sym_binary] = STATE(10006),
    [sym_unary] = STATE(10006),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8098] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10007),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(10007),
    [sym_operator_assignment] = STATE(10007),
    [sym_conditional] = STATE(10007),
    [sym_range] = STATE(10007),
    [sym_binary] = STATE(10007),
    [sym_unary] = STATE(10007),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8099] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10008),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(10008),
    [sym_operator_assignment] = STATE(10008),
    [sym_conditional] = STATE(10008),
    [sym_range] = STATE(10008),
    [sym_binary] = STATE(10008),
    [sym_unary] = STATE(10008),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8100] = {
    [sym_heredoc_body] = STATE(10009),
    [aux_sym_call_repeat1] = STATE(10009),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_elsif] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8101] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5442),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(5442),
    [sym_operator_assignment] = STATE(5442),
    [sym_conditional] = STATE(5442),
    [sym_range] = STATE(5442),
    [sym_binary] = STATE(5442),
    [sym_unary] = STATE(5442),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5448),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(10010),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(7966),
    [sym__splat_star] = ACTIONS(7968),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__identifier_hash_key] = ACTIONS(7972),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12780),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7990),
    [sym_identifier] = ACTIONS(7990),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8102] = {
    [sym_heredoc_body] = STATE(10011),
    [aux_sym_call_repeat1] = STATE(10011),
    [aux_sym_argument_list_repeat1] = STATE(10012),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(10975),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_elsif] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8103] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10013),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_splat_argument] = STATE(10014),
    [sym_assignment] = STATE(10013),
    [sym_operator_assignment] = STATE(10013),
    [sym_conditional] = STATE(10013),
    [sym_range] = STATE(10013),
    [sym_binary] = STATE(10013),
    [sym_unary] = STATE(10013),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(10014),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(10893),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8104] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10015),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(10015),
    [sym_operator_assignment] = STATE(10015),
    [sym_conditional] = STATE(10015),
    [sym_range] = STATE(10015),
    [sym_binary] = STATE(10015),
    [sym_unary] = STATE(10015),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8105] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10016),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(10016),
    [sym_operator_assignment] = STATE(10016),
    [sym_conditional] = STATE(10016),
    [sym_range] = STATE(10016),
    [sym_binary] = STATE(10016),
    [sym_unary] = STATE(10016),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8106] = {
    [sym_string] = STATE(10017),
    [aux_sym_chained_string_repeat1] = STATE(10017),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_elsif] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [8107] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10018),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(10018),
    [sym_operator_assignment] = STATE(10018),
    [sym_conditional] = STATE(10018),
    [sym_range] = STATE(10018),
    [sym_binary] = STATE(10018),
    [sym_unary] = STATE(10018),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8108] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10019),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(10019),
    [sym_operator_assignment] = STATE(10019),
    [sym_conditional] = STATE(10019),
    [sym_range] = STATE(10019),
    [sym_binary] = STATE(10019),
    [sym_unary] = STATE(10019),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8109] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10020),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(10020),
    [sym_operator_assignment] = STATE(10020),
    [sym_conditional] = STATE(10020),
    [sym_range] = STATE(10020),
    [sym_binary] = STATE(10020),
    [sym_unary] = STATE(10020),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8110] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10021),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(10021),
    [sym_operator_assignment] = STATE(10021),
    [sym_conditional] = STATE(10021),
    [sym_range] = STATE(10021),
    [sym_binary] = STATE(10021),
    [sym_unary] = STATE(10021),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8111] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8112] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(12786),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(12790),
    [anon_sym_LT] = ACTIONS(12792),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_elsif] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(12794),
    [anon_sym_DOT_DOT] = ACTIONS(12796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12798),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(12800),
    [anon_sym_AMP_AMP] = ACTIONS(12800),
    [anon_sym_LT_LT] = ACTIONS(12802),
    [anon_sym_GT_GT] = ACTIONS(12802),
    [anon_sym_EQ_EQ] = ACTIONS(12804),
    [anon_sym_BANG_EQ] = ACTIONS(12800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12800),
    [anon_sym_LT_EQ_GT] = ACTIONS(12800),
    [anon_sym_EQ_TILDE] = ACTIONS(12800),
    [anon_sym_BANG_TILDE] = ACTIONS(12800),
    [anon_sym_LT_EQ] = ACTIONS(12792),
    [anon_sym_GT] = ACTIONS(12792),
    [anon_sym_GT_EQ] = ACTIONS(12806),
    [anon_sym_CARET] = ACTIONS(12808),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [8113] = {
    [aux_sym_exceptions_repeat1] = STATE(10035),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(12812),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_elsif] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8114] = {
    [anon_sym_EQ] = ACTIONS(12814),
    [sym_comment] = ACTIONS(87),
  },
  [8115] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(12816),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_elsif] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(12818),
    [anon_sym_DASH_EQ] = ACTIONS(12818),
    [anon_sym_STAR_EQ] = ACTIONS(12818),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12818),
    [anon_sym_SLASH_EQ] = ACTIONS(12818),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12818),
    [anon_sym_PIPE_EQ] = ACTIONS(12818),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12818),
    [anon_sym_AMP_EQ] = ACTIONS(12818),
    [anon_sym_PERCENT_EQ] = ACTIONS(12818),
    [anon_sym_GT_GT_EQ] = ACTIONS(12818),
    [anon_sym_LT_LT_EQ] = ACTIONS(12818),
    [anon_sym_CARET_EQ] = ACTIONS(12818),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8116] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_elsif] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(7946),
    [anon_sym_DOT_DOT] = ACTIONS(7948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7950),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(7954),
    [anon_sym_AMP_AMP] = ACTIONS(7954),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [8117] = {
    [sym_string] = STATE(8117),
    [aux_sym_chained_string_repeat1] = STATE(8117),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_elsif] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [8118] = {
    [anon_sym_end] = ACTIONS(12820),
    [sym_comment] = ACTIONS(87),
  },
  [8119] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(1767),
    [sym__binary_star] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(87),
  },
  [8120] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [8121] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [8122] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [8123] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [8124] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [8125] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [8126] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12822),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8127] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [8128] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8022),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [8129] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [8130] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [8131] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [8132] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8022),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [8133] = {
    [aux_sym_exceptions_repeat1] = STATE(10041),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [8134] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8022),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [8135] = {
    [sym_string] = STATE(8135),
    [aux_sym_chained_string_repeat1] = STATE(8135),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_then] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [8136] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10042),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_assignment] = STATE(10042),
    [sym_operator_assignment] = STATE(10042),
    [sym_conditional] = STATE(10042),
    [sym_range] = STATE(10042),
    [sym_binary] = STATE(10042),
    [sym_unary] = STATE(10042),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8137] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5490),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1058),
    [sym_scope_resolution] = STATE(1054),
    [sym_call] = STATE(1054),
    [sym_method_call] = STATE(1058),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(5490),
    [sym_operator_assignment] = STATE(5490),
    [sym_conditional] = STATE(5490),
    [sym_range] = STATE(5490),
    [sym_binary] = STATE(5490),
    [sym_unary] = STATE(5490),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(1057),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1058),
    [sym__variable] = STATE(1054),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1058),
    [sym_false] = STATE(1058),
    [sym_nil] = STATE(1058),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(4378),
    [sym__unary_minus] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1807),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_next] = ACTIONS(1813),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_defined_QMARK] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1821),
    [sym_constant] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_instance_variable] = ACTIONS(1825),
    [sym_class_variable] = ACTIONS(1825),
    [sym_global_variable] = ACTIONS(1825),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1827),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8138] = {
    [aux_sym_exceptions_repeat1] = STATE(10043),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12824),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [8139] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [8140] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8141] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(8054),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8066),
    [anon_sym_GT_GT] = ACTIONS(8066),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [8142] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8143] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8066),
    [anon_sym_GT_GT] = ACTIONS(8066),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [8144] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8050),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(8054),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8066),
    [anon_sym_GT_GT] = ACTIONS(8066),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8072),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [8145] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12826),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8146] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8050),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(8054),
    [anon_sym_LT] = ACTIONS(8056),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8062),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8064),
    [anon_sym_AMP_AMP] = ACTIONS(8064),
    [anon_sym_LT_LT] = ACTIONS(8066),
    [anon_sym_GT_GT] = ACTIONS(8066),
    [anon_sym_EQ_EQ] = ACTIONS(8068),
    [anon_sym_BANG_EQ] = ACTIONS(8064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8064),
    [anon_sym_LT_EQ_GT] = ACTIONS(8064),
    [anon_sym_EQ_TILDE] = ACTIONS(8064),
    [anon_sym_BANG_TILDE] = ACTIONS(8064),
    [anon_sym_LT_EQ] = ACTIONS(8056),
    [anon_sym_GT] = ACTIONS(8056),
    [anon_sym_GT_EQ] = ACTIONS(8070),
    [anon_sym_CARET] = ACTIONS(8072),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [8147] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8050),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(8054),
    [anon_sym_LT] = ACTIONS(8056),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8058),
    [anon_sym_DOT_DOT] = ACTIONS(8060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8062),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8064),
    [anon_sym_AMP_AMP] = ACTIONS(8064),
    [anon_sym_LT_LT] = ACTIONS(8066),
    [anon_sym_GT_GT] = ACTIONS(8066),
    [anon_sym_EQ_EQ] = ACTIONS(8068),
    [anon_sym_BANG_EQ] = ACTIONS(8064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8064),
    [anon_sym_LT_EQ_GT] = ACTIONS(8064),
    [anon_sym_EQ_TILDE] = ACTIONS(8064),
    [anon_sym_BANG_TILDE] = ACTIONS(8064),
    [anon_sym_LT_EQ] = ACTIONS(8056),
    [anon_sym_GT] = ACTIONS(8056),
    [anon_sym_GT_EQ] = ACTIONS(8070),
    [anon_sym_CARET] = ACTIONS(8072),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [8148] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8050),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(8054),
    [anon_sym_LT] = ACTIONS(8056),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8066),
    [anon_sym_GT_GT] = ACTIONS(8066),
    [anon_sym_EQ_EQ] = ACTIONS(8068),
    [anon_sym_BANG_EQ] = ACTIONS(8064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8064),
    [anon_sym_LT_EQ_GT] = ACTIONS(8064),
    [anon_sym_EQ_TILDE] = ACTIONS(8064),
    [anon_sym_BANG_TILDE] = ACTIONS(8064),
    [anon_sym_LT_EQ] = ACTIONS(8056),
    [anon_sym_GT] = ACTIONS(8056),
    [anon_sym_GT_EQ] = ACTIONS(8070),
    [anon_sym_CARET] = ACTIONS(8072),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [8149] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [8150] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [8151] = {
    [aux_sym_exceptions_repeat1] = STATE(8151),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(12828),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [8152] = {
    [aux_sym_exceptions_repeat1] = STATE(5512),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8153] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8050),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(8054),
    [anon_sym_LT] = ACTIONS(8056),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8058),
    [anon_sym_DOT_DOT] = ACTIONS(8060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8062),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8064),
    [anon_sym_AMP_AMP] = ACTIONS(8064),
    [anon_sym_LT_LT] = ACTIONS(8066),
    [anon_sym_GT_GT] = ACTIONS(8066),
    [anon_sym_EQ_EQ] = ACTIONS(8068),
    [anon_sym_BANG_EQ] = ACTIONS(8064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8064),
    [anon_sym_LT_EQ_GT] = ACTIONS(8064),
    [anon_sym_EQ_TILDE] = ACTIONS(8064),
    [anon_sym_BANG_TILDE] = ACTIONS(8064),
    [anon_sym_LT_EQ] = ACTIONS(8056),
    [anon_sym_GT] = ACTIONS(8056),
    [anon_sym_GT_EQ] = ACTIONS(8070),
    [anon_sym_CARET] = ACTIONS(8072),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [8154] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10045),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(10045),
    [sym_operator_assignment] = STATE(10045),
    [sym_conditional] = STATE(10045),
    [sym_range] = STATE(10045),
    [sym_binary] = STATE(10045),
    [sym_unary] = STATE(10045),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8155] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5529),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(10046),
    [sym__argument] = STATE(10047),
    [sym_splat_argument] = STATE(10047),
    [sym_hash_splat_argument] = STATE(10047),
    [sym_block_argument] = STATE(10047),
    [sym_assignment] = STATE(5529),
    [sym_operator_assignment] = STATE(5529),
    [sym_conditional] = STATE(5529),
    [sym_range] = STATE(5529),
    [sym_binary] = STATE(5529),
    [sym_unary] = STATE(5529),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5535),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10047),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(8088),
    [sym__splat_star] = ACTIONS(8090),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(8094),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8112),
    [sym_identifier] = ACTIONS(8112),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8156] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5529),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(10046),
    [sym__argument] = STATE(10047),
    [sym_splat_argument] = STATE(10047),
    [sym_hash_splat_argument] = STATE(10047),
    [sym_block_argument] = STATE(10047),
    [sym_assignment] = STATE(5529),
    [sym_operator_assignment] = STATE(5529),
    [sym_conditional] = STATE(5529),
    [sym_range] = STATE(5529),
    [sym_binary] = STATE(5529),
    [sym_unary] = STATE(5529),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5535),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10047),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(8088),
    [sym__splat_star] = ACTIONS(8090),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(8094),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8112),
    [sym_identifier] = ACTIONS(8112),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8157] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5529),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(10046),
    [sym__argument] = STATE(10047),
    [sym_splat_argument] = STATE(10047),
    [sym_hash_splat_argument] = STATE(10047),
    [sym_block_argument] = STATE(10047),
    [sym_assignment] = STATE(5529),
    [sym_operator_assignment] = STATE(5529),
    [sym_conditional] = STATE(5529),
    [sym_range] = STATE(5529),
    [sym_binary] = STATE(5529),
    [sym_unary] = STATE(5529),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5535),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10047),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(8088),
    [sym__splat_star] = ACTIONS(8090),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(8094),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8112),
    [sym_identifier] = ACTIONS(8112),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8158] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5529),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(10046),
    [sym__argument] = STATE(10047),
    [sym_splat_argument] = STATE(10047),
    [sym_hash_splat_argument] = STATE(10047),
    [sym_block_argument] = STATE(10047),
    [sym_assignment] = STATE(5529),
    [sym_operator_assignment] = STATE(5529),
    [sym_conditional] = STATE(5529),
    [sym_range] = STATE(5529),
    [sym_binary] = STATE(5529),
    [sym_unary] = STATE(5529),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5535),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10047),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(8088),
    [sym__splat_star] = ACTIONS(8090),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(8094),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8108),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8112),
    [sym_identifier] = ACTIONS(8112),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8159] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10048),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(10048),
    [sym_operator_assignment] = STATE(10048),
    [sym_conditional] = STATE(10048),
    [sym_range] = STATE(10048),
    [sym_binary] = STATE(10048),
    [sym_unary] = STATE(10048),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8160] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10049),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(10049),
    [sym_operator_assignment] = STATE(10049),
    [sym_conditional] = STATE(10049),
    [sym_range] = STATE(10049),
    [sym_binary] = STATE(10049),
    [sym_unary] = STATE(10049),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8161] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8162] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(12843),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [8163] = {
    [anon_sym_EQ] = ACTIONS(12861),
    [sym_comment] = ACTIONS(87),
  },
  [8164] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(12863),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(12865),
    [anon_sym_DASH_EQ] = ACTIONS(12865),
    [anon_sym_STAR_EQ] = ACTIONS(12865),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12865),
    [anon_sym_SLASH_EQ] = ACTIONS(12865),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12865),
    [anon_sym_PIPE_EQ] = ACTIONS(12865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12865),
    [anon_sym_AMP_EQ] = ACTIONS(12865),
    [anon_sym_PERCENT_EQ] = ACTIONS(12865),
    [anon_sym_GT_GT_EQ] = ACTIONS(12865),
    [anon_sym_LT_LT_EQ] = ACTIONS(12865),
    [anon_sym_CARET_EQ] = ACTIONS(12865),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8165] = {
    [sym_string] = STATE(10064),
    [aux_sym_chained_string_repeat1] = STATE(10064),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [8166] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(12843),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [8167] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [8168] = {
    [sym_string] = STATE(8210),
    [aux_sym_chained_string_repeat1] = STATE(8210),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [8169] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10065),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(10065),
    [sym_operator_assignment] = STATE(10065),
    [sym_conditional] = STATE(10065),
    [sym_range] = STATE(10065),
    [sym_binary] = STATE(10065),
    [sym_unary] = STATE(10065),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8170] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(12843),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [8171] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10066),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10066),
    [sym_operator_assignment] = STATE(10066),
    [sym_conditional] = STATE(10066),
    [sym_range] = STATE(10066),
    [sym_binary] = STATE(10066),
    [sym_unary] = STATE(10066),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8172] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10067),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10067),
    [sym_operator_assignment] = STATE(10067),
    [sym_conditional] = STATE(10067),
    [sym_range] = STATE(10067),
    [sym_binary] = STATE(10067),
    [sym_unary] = STATE(10067),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8173] = {
    [sym__keyword_colon] = ACTIONS(12867),
    [sym_comment] = ACTIONS(87),
  },
  [8174] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10069),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10069),
    [sym_operator_assignment] = STATE(10069),
    [sym_conditional] = STATE(10069),
    [sym_range] = STATE(10069),
    [sym_binary] = STATE(10069),
    [sym_unary] = STATE(10069),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8175] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(12867),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [8176] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [8177] = {
    [sym_heredoc_body] = STATE(10071),
    [aux_sym_call_repeat1] = STATE(10071),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [8178] = {
    [sym_heredoc_body] = STATE(10071),
    [aux_sym_call_repeat1] = STATE(10071),
    [aux_sym_argument_list_repeat1] = STATE(10073),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(12869),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [8179] = {
    [sym_string] = STATE(8210),
    [aux_sym_chained_string_repeat1] = STATE(8210),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(12871),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [8180] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [8181] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [8182] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10075),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10075),
    [sym_operator_assignment] = STATE(10075),
    [sym_conditional] = STATE(10075),
    [sym_range] = STATE(10075),
    [sym_binary] = STATE(10075),
    [sym_unary] = STATE(10075),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8183] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10076),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10076),
    [sym_operator_assignment] = STATE(10076),
    [sym_conditional] = STATE(10076),
    [sym_range] = STATE(10076),
    [sym_binary] = STATE(10076),
    [sym_unary] = STATE(10076),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8184] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10077),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10077),
    [sym_operator_assignment] = STATE(10077),
    [sym_conditional] = STATE(10077),
    [sym_range] = STATE(10077),
    [sym_binary] = STATE(10077),
    [sym_unary] = STATE(10077),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8185] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10078),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10078),
    [sym_operator_assignment] = STATE(10078),
    [sym_conditional] = STATE(10078),
    [sym_range] = STATE(10078),
    [sym_binary] = STATE(10078),
    [sym_unary] = STATE(10078),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8186] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10079),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10079),
    [sym_operator_assignment] = STATE(10079),
    [sym_conditional] = STATE(10079),
    [sym_range] = STATE(10079),
    [sym_binary] = STATE(10079),
    [sym_unary] = STATE(10079),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8187] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10080),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10080),
    [sym_operator_assignment] = STATE(10080),
    [sym_conditional] = STATE(10080),
    [sym_range] = STATE(10080),
    [sym_binary] = STATE(10080),
    [sym_unary] = STATE(10080),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8188] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10081),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(10081),
    [sym_operator_assignment] = STATE(10081),
    [sym_conditional] = STATE(10081),
    [sym_range] = STATE(10081),
    [sym_binary] = STATE(10081),
    [sym_unary] = STATE(10081),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8189] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10082),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10082),
    [sym_operator_assignment] = STATE(10082),
    [sym_conditional] = STATE(10082),
    [sym_range] = STATE(10082),
    [sym_binary] = STATE(10082),
    [sym_unary] = STATE(10082),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [8190] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10083),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10083),
    [sym_operator_assignment] = STATE(10083),
    [sym_conditional] = STATE(10083),
    [sym_range] = STATE(10083),
    [sym_binary] = STATE(10083),
    [sym_unary] = STATE(10083),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8191] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10084),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10084),
    [sym_operator_assignment] = STATE(10084),
    [sym_conditional] = STATE(10084),
    [sym_range] = STATE(10084),
    [sym_binary] = STATE(10084),
    [sym_unary] = STATE(10084),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8192] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10085),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10085),
    [sym_operator_assignment] = STATE(10085),
    [sym_conditional] = STATE(10085),
    [sym_range] = STATE(10085),
    [sym_binary] = STATE(10085),
    [sym_unary] = STATE(10085),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8193] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10086),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10086),
    [sym_operator_assignment] = STATE(10086),
    [sym_conditional] = STATE(10086),
    [sym_range] = STATE(10086),
    [sym_binary] = STATE(10086),
    [sym_unary] = STATE(10086),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8194] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10087),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10087),
    [sym_operator_assignment] = STATE(10087),
    [sym_conditional] = STATE(10087),
    [sym_range] = STATE(10087),
    [sym_binary] = STATE(10087),
    [sym_unary] = STATE(10087),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8195] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10088),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10088),
    [sym_operator_assignment] = STATE(10088),
    [sym_conditional] = STATE(10088),
    [sym_range] = STATE(10088),
    [sym_binary] = STATE(10088),
    [sym_unary] = STATE(10088),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8196] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10089),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10089),
    [sym_operator_assignment] = STATE(10089),
    [sym_conditional] = STATE(10089),
    [sym_range] = STATE(10089),
    [sym_binary] = STATE(10089),
    [sym_unary] = STATE(10089),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8197] = {
    [sym__keyword_colon] = ACTIONS(12873),
    [sym_comment] = ACTIONS(87),
  },
  [8198] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10091),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10091),
    [sym_operator_assignment] = STATE(10091),
    [sym_conditional] = STATE(10091),
    [sym_range] = STATE(10091),
    [sym_binary] = STATE(10091),
    [sym_unary] = STATE(10091),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8199] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(12873),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [8200] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [8201] = {
    [sym_heredoc_body] = STATE(10093),
    [aux_sym_call_repeat1] = STATE(10093),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [8202] = {
    [sym_heredoc_body] = STATE(10093),
    [aux_sym_call_repeat1] = STATE(10093),
    [aux_sym_argument_list_repeat1] = STATE(10095),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(12875),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [8203] = {
    [sym_string] = STATE(8271),
    [aux_sym_chained_string_repeat1] = STATE(8271),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(12877),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8204] = {
    [sym_heredoc_body] = STATE(10097),
    [aux_sym_call_repeat1] = STATE(10097),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8205] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5529),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(5529),
    [sym_operator_assignment] = STATE(5529),
    [sym_conditional] = STATE(5529),
    [sym_range] = STATE(5529),
    [sym_binary] = STATE(5529),
    [sym_unary] = STATE(5529),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5535),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(10098),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(8088),
    [sym__splat_star] = ACTIONS(8090),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__identifier_hash_key] = ACTIONS(8094),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12879),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8112),
    [sym_identifier] = ACTIONS(8112),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8206] = {
    [sym_heredoc_body] = STATE(10099),
    [aux_sym_call_repeat1] = STATE(10099),
    [aux_sym_argument_list_repeat1] = STATE(10100),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11072),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8207] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10101),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_splat_argument] = STATE(10102),
    [sym_assignment] = STATE(10101),
    [sym_operator_assignment] = STATE(10101),
    [sym_conditional] = STATE(10101),
    [sym_range] = STATE(10101),
    [sym_binary] = STATE(10101),
    [sym_unary] = STATE(10101),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(10102),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(11026),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8208] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10103),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(10103),
    [sym_operator_assignment] = STATE(10103),
    [sym_conditional] = STATE(10103),
    [sym_range] = STATE(10103),
    [sym_binary] = STATE(10103),
    [sym_unary] = STATE(10103),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8209] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10104),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(10104),
    [sym_operator_assignment] = STATE(10104),
    [sym_conditional] = STATE(10104),
    [sym_range] = STATE(10104),
    [sym_binary] = STATE(10104),
    [sym_unary] = STATE(10104),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8210] = {
    [sym_string] = STATE(10105),
    [aux_sym_chained_string_repeat1] = STATE(10105),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [8211] = {
    [aux_sym_undef_repeat1] = STATE(10106),
    [sym__line_break] = ACTIONS(5442),
    [sym__heredoc_body_start] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym_end] = ACTIONS(5442),
    [anon_sym_if] = ACTIONS(5442),
    [anon_sym_unless] = ACTIONS(5442),
    [anon_sym_while] = ACTIONS(5442),
    [anon_sym_until] = ACTIONS(5442),
    [anon_sym_rescue] = ACTIONS(5442),
    [anon_sym_else] = ACTIONS(5442),
    [sym_comment] = ACTIONS(87),
  },
  [8212] = {
    [sym__line_break] = ACTIONS(12881),
    [sym__heredoc_body_start] = ACTIONS(12881),
    [sym__element_reference_left_bracket] = ACTIONS(12881),
    [sym__infix_scope_colons] = ACTIONS(12881),
    [sym__binary_minus] = ACTIONS(12881),
    [sym__binary_star] = ACTIONS(12881),
    [ts_builtin_sym_end] = ACTIONS(12881),
    [anon_sym___END__] = ACTIONS(12881),
    [anon_sym_LBRACE] = ACTIONS(12881),
    [anon_sym_RBRACE] = ACTIONS(12881),
    [anon_sym_RPAREN] = ACTIONS(12881),
    [anon_sym_DOT] = ACTIONS(12883),
    [anon_sym_COMMA] = ACTIONS(12881),
    [anon_sym_PIPE] = ACTIONS(12883),
    [anon_sym_SEMI] = ACTIONS(12881),
    [anon_sym_STAR_STAR] = ACTIONS(12881),
    [anon_sym_AMP] = ACTIONS(12883),
    [anon_sym_LT] = ACTIONS(12883),
    [anon_sym_end] = ACTIONS(12881),
    [anon_sym_if] = ACTIONS(12881),
    [anon_sym_unless] = ACTIONS(12881),
    [anon_sym_while] = ACTIONS(12881),
    [anon_sym_until] = ACTIONS(12881),
    [anon_sym_rescue] = ACTIONS(12881),
    [anon_sym_do] = ACTIONS(12881),
    [anon_sym_when] = ACTIONS(12881),
    [anon_sym_elsif] = ACTIONS(12881),
    [anon_sym_else] = ACTIONS(12881),
    [anon_sym_then] = ACTIONS(12881),
    [anon_sym_ensure] = ACTIONS(12881),
    [anon_sym_EQ_GT] = ACTIONS(12881),
    [anon_sym_AMP_DOT] = ACTIONS(12881),
    [anon_sym_QMARK] = ACTIONS(12881),
    [anon_sym_DOT_DOT] = ACTIONS(12883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12881),
    [anon_sym_and] = ACTIONS(12881),
    [anon_sym_or] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE] = ACTIONS(12881),
    [anon_sym_AMP_AMP] = ACTIONS(12881),
    [anon_sym_LT_LT] = ACTIONS(12881),
    [anon_sym_GT_GT] = ACTIONS(12881),
    [anon_sym_EQ_EQ] = ACTIONS(12883),
    [anon_sym_BANG_EQ] = ACTIONS(12881),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12881),
    [anon_sym_LT_EQ_GT] = ACTIONS(12881),
    [anon_sym_EQ_TILDE] = ACTIONS(12881),
    [anon_sym_BANG_TILDE] = ACTIONS(12881),
    [anon_sym_LT_EQ] = ACTIONS(12883),
    [anon_sym_GT] = ACTIONS(12883),
    [anon_sym_GT_EQ] = ACTIONS(12881),
    [anon_sym_CARET] = ACTIONS(12881),
    [anon_sym_PLUS] = ACTIONS(12881),
    [anon_sym_SLASH] = ACTIONS(12881),
    [anon_sym_PERCENT] = ACTIONS(12881),
    [sym_comment] = ACTIONS(87),
  },
  [8213] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5772),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(5772),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8214] = {
    [sym_heredoc_body] = STATE(10107),
    [sym__terminator] = STATE(10107),
    [aux_sym__statements_repeat1] = STATE(8214),
    [sym__line_break] = ACTIONS(12885),
    [sym__heredoc_body_start] = ACTIONS(5777),
    [anon_sym_SEMI] = ACTIONS(12885),
    [anon_sym_end] = ACTIONS(5768),
    [anon_sym_else] = ACTIONS(5768),
    [sym_comment] = ACTIONS(87),
  },
  [8215] = {
    [sym__line_break] = ACTIONS(5780),
    [sym__heredoc_body_start] = ACTIONS(5780),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(5780),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_unless] = ACTIONS(5780),
    [anon_sym_while] = ACTIONS(5780),
    [anon_sym_until] = ACTIONS(5780),
    [anon_sym_rescue] = ACTIONS(5780),
    [anon_sym_else] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(8144),
    [anon_sym_DOT_DOT] = ACTIONS(8146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8148),
    [anon_sym_and] = ACTIONS(8150),
    [anon_sym_or] = ACTIONS(8150),
    [anon_sym_PIPE_PIPE] = ACTIONS(8152),
    [anon_sym_AMP_AMP] = ACTIONS(8152),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8216] = {
    [sym__line_break] = ACTIONS(5782),
    [sym__heredoc_body_start] = ACTIONS(5782),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(5782),
    [anon_sym_if] = ACTIONS(5782),
    [anon_sym_unless] = ACTIONS(5782),
    [anon_sym_while] = ACTIONS(5782),
    [anon_sym_until] = ACTIONS(5782),
    [anon_sym_rescue] = ACTIONS(5782),
    [anon_sym_else] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(8144),
    [anon_sym_DOT_DOT] = ACTIONS(8146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8148),
    [anon_sym_and] = ACTIONS(8150),
    [anon_sym_or] = ACTIONS(8150),
    [anon_sym_PIPE_PIPE] = ACTIONS(8152),
    [anon_sym_AMP_AMP] = ACTIONS(8152),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8217] = {
    [sym__line_break] = ACTIONS(5784),
    [sym__heredoc_body_start] = ACTIONS(5784),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(5784),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_unless] = ACTIONS(5784),
    [anon_sym_while] = ACTIONS(5784),
    [anon_sym_until] = ACTIONS(5784),
    [anon_sym_rescue] = ACTIONS(5784),
    [anon_sym_else] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(8144),
    [anon_sym_DOT_DOT] = ACTIONS(8146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8148),
    [anon_sym_and] = ACTIONS(8150),
    [anon_sym_or] = ACTIONS(8150),
    [anon_sym_PIPE_PIPE] = ACTIONS(8152),
    [anon_sym_AMP_AMP] = ACTIONS(8152),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8218] = {
    [sym__line_break] = ACTIONS(5786),
    [sym__heredoc_body_start] = ACTIONS(5786),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(5786),
    [anon_sym_if] = ACTIONS(5786),
    [anon_sym_unless] = ACTIONS(5786),
    [anon_sym_while] = ACTIONS(5786),
    [anon_sym_until] = ACTIONS(5786),
    [anon_sym_rescue] = ACTIONS(5786),
    [anon_sym_else] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(8144),
    [anon_sym_DOT_DOT] = ACTIONS(8146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8148),
    [anon_sym_and] = ACTIONS(8150),
    [anon_sym_or] = ACTIONS(8150),
    [anon_sym_PIPE_PIPE] = ACTIONS(8152),
    [anon_sym_AMP_AMP] = ACTIONS(8152),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8219] = {
    [sym__line_break] = ACTIONS(5788),
    [sym__heredoc_body_start] = ACTIONS(5788),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(5788),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(5788),
    [anon_sym_if] = ACTIONS(5788),
    [anon_sym_unless] = ACTIONS(5788),
    [anon_sym_while] = ACTIONS(5788),
    [anon_sym_until] = ACTIONS(5788),
    [anon_sym_rescue] = ACTIONS(5788),
    [anon_sym_else] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(8144),
    [anon_sym_DOT_DOT] = ACTIONS(8146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8148),
    [anon_sym_and] = ACTIONS(8150),
    [anon_sym_or] = ACTIONS(8150),
    [anon_sym_PIPE_PIPE] = ACTIONS(8152),
    [anon_sym_AMP_AMP] = ACTIONS(8152),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8220] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8221] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8222] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8223] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8224] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8225] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8226] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12888),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8227] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8148),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8152),
    [anon_sym_AMP_AMP] = ACTIONS(8152),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8228] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8144),
    [anon_sym_DOT_DOT] = ACTIONS(8146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8148),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8152),
    [anon_sym_AMP_AMP] = ACTIONS(8152),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8229] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8230] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8231] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8232] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10109),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(10109),
    [sym_operator_assignment] = STATE(10109),
    [sym_conditional] = STATE(10109),
    [sym_range] = STATE(10109),
    [sym_binary] = STATE(10109),
    [sym_unary] = STATE(10109),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8233] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5573),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(5575),
    [sym__argument] = STATE(5576),
    [sym_splat_argument] = STATE(5576),
    [sym_hash_splat_argument] = STATE(5576),
    [sym_block_argument] = STATE(5576),
    [sym_assignment] = STATE(5573),
    [sym_operator_assignment] = STATE(5573),
    [sym_conditional] = STATE(5573),
    [sym_range] = STATE(5573),
    [sym_binary] = STATE(5573),
    [sym_unary] = STATE(5573),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5579),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5576),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(8164),
    [sym__splat_star] = ACTIONS(8166),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(8170),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8188),
    [sym_identifier] = ACTIONS(8188),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8234] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5573),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(5575),
    [sym__argument] = STATE(5576),
    [sym_splat_argument] = STATE(5576),
    [sym_hash_splat_argument] = STATE(5576),
    [sym_block_argument] = STATE(5576),
    [sym_assignment] = STATE(5573),
    [sym_operator_assignment] = STATE(5573),
    [sym_conditional] = STATE(5573),
    [sym_range] = STATE(5573),
    [sym_binary] = STATE(5573),
    [sym_unary] = STATE(5573),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5579),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5576),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(8164),
    [sym__splat_star] = ACTIONS(8166),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(8170),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8188),
    [sym_identifier] = ACTIONS(8188),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8235] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5573),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(5575),
    [sym__argument] = STATE(5576),
    [sym_splat_argument] = STATE(5576),
    [sym_hash_splat_argument] = STATE(5576),
    [sym_block_argument] = STATE(5576),
    [sym_assignment] = STATE(5573),
    [sym_operator_assignment] = STATE(5573),
    [sym_conditional] = STATE(5573),
    [sym_range] = STATE(5573),
    [sym_binary] = STATE(5573),
    [sym_unary] = STATE(5573),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5579),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5576),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(8164),
    [sym__splat_star] = ACTIONS(8166),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(8170),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8188),
    [sym_identifier] = ACTIONS(8188),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8236] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5573),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(5575),
    [sym__argument] = STATE(5576),
    [sym_splat_argument] = STATE(5576),
    [sym_hash_splat_argument] = STATE(5576),
    [sym_block_argument] = STATE(5576),
    [sym_assignment] = STATE(5573),
    [sym_operator_assignment] = STATE(5573),
    [sym_conditional] = STATE(5573),
    [sym_range] = STATE(5573),
    [sym_binary] = STATE(5573),
    [sym_unary] = STATE(5573),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5579),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5576),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(8164),
    [sym__splat_star] = ACTIONS(8166),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(8170),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8188),
    [sym_identifier] = ACTIONS(8188),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8237] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10110),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(10110),
    [sym_operator_assignment] = STATE(10110),
    [sym_conditional] = STATE(10110),
    [sym_range] = STATE(10110),
    [sym_binary] = STATE(10110),
    [sym_unary] = STATE(10110),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8238] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10111),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(10111),
    [sym_operator_assignment] = STATE(10111),
    [sym_conditional] = STATE(10111),
    [sym_range] = STATE(10111),
    [sym_binary] = STATE(10111),
    [sym_unary] = STATE(10111),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8239] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8240] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(12902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [8241] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5573),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(5575),
    [sym__argument] = STATE(5576),
    [sym_splat_argument] = STATE(5576),
    [sym_hash_splat_argument] = STATE(5576),
    [sym_block_argument] = STATE(5576),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(5573),
    [sym_operator_assignment] = STATE(5573),
    [sym_conditional] = STATE(5573),
    [sym_range] = STATE(5573),
    [sym_binary] = STATE(5573),
    [sym_unary] = STATE(5573),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5579),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5576),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(8164),
    [sym__splat_star] = ACTIONS(8166),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(8170),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8184),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8188),
    [sym_identifier] = ACTIONS(8188),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8242] = {
    [anon_sym_EQ] = ACTIONS(12918),
    [sym_comment] = ACTIONS(87),
  },
  [8243] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(12920),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(12922),
    [anon_sym_DASH_EQ] = ACTIONS(12922),
    [anon_sym_STAR_EQ] = ACTIONS(12922),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12922),
    [anon_sym_SLASH_EQ] = ACTIONS(12922),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12922),
    [anon_sym_PIPE_EQ] = ACTIONS(12922),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12922),
    [anon_sym_AMP_EQ] = ACTIONS(12922),
    [anon_sym_PERCENT_EQ] = ACTIONS(12922),
    [anon_sym_GT_GT_EQ] = ACTIONS(12922),
    [anon_sym_LT_LT_EQ] = ACTIONS(12922),
    [anon_sym_CARET_EQ] = ACTIONS(12922),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8244] = {
    [sym_string] = STATE(10126),
    [aux_sym_chained_string_repeat1] = STATE(10126),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8245] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(12902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [8246] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [8247] = {
    [sym_string] = STATE(8271),
    [aux_sym_chained_string_repeat1] = STATE(8271),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8248] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10127),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(10127),
    [sym_operator_assignment] = STATE(10127),
    [sym_conditional] = STATE(10127),
    [sym_range] = STATE(10127),
    [sym_binary] = STATE(10127),
    [sym_unary] = STATE(10127),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8249] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(12902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [8250] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [8251] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [8252] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10128),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10128),
    [sym_operator_assignment] = STATE(10128),
    [sym_conditional] = STATE(10128),
    [sym_range] = STATE(10128),
    [sym_binary] = STATE(10128),
    [sym_unary] = STATE(10128),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8253] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10129),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10129),
    [sym_operator_assignment] = STATE(10129),
    [sym_conditional] = STATE(10129),
    [sym_range] = STATE(10129),
    [sym_binary] = STATE(10129),
    [sym_unary] = STATE(10129),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8254] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10130),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10130),
    [sym_operator_assignment] = STATE(10130),
    [sym_conditional] = STATE(10130),
    [sym_range] = STATE(10130),
    [sym_binary] = STATE(10130),
    [sym_unary] = STATE(10130),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8255] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10131),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10131),
    [sym_operator_assignment] = STATE(10131),
    [sym_conditional] = STATE(10131),
    [sym_range] = STATE(10131),
    [sym_binary] = STATE(10131),
    [sym_unary] = STATE(10131),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8256] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10132),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10132),
    [sym_operator_assignment] = STATE(10132),
    [sym_conditional] = STATE(10132),
    [sym_range] = STATE(10132),
    [sym_binary] = STATE(10132),
    [sym_unary] = STATE(10132),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8257] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10133),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10133),
    [sym_operator_assignment] = STATE(10133),
    [sym_conditional] = STATE(10133),
    [sym_range] = STATE(10133),
    [sym_binary] = STATE(10133),
    [sym_unary] = STATE(10133),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8258] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10134),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(10134),
    [sym_operator_assignment] = STATE(10134),
    [sym_conditional] = STATE(10134),
    [sym_range] = STATE(10134),
    [sym_binary] = STATE(10134),
    [sym_unary] = STATE(10134),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8259] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10135),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10135),
    [sym_operator_assignment] = STATE(10135),
    [sym_conditional] = STATE(10135),
    [sym_range] = STATE(10135),
    [sym_binary] = STATE(10135),
    [sym_unary] = STATE(10135),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [8260] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10136),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10136),
    [sym_operator_assignment] = STATE(10136),
    [sym_conditional] = STATE(10136),
    [sym_range] = STATE(10136),
    [sym_binary] = STATE(10136),
    [sym_unary] = STATE(10136),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8261] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10137),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10137),
    [sym_operator_assignment] = STATE(10137),
    [sym_conditional] = STATE(10137),
    [sym_range] = STATE(10137),
    [sym_binary] = STATE(10137),
    [sym_unary] = STATE(10137),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8262] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10138),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10138),
    [sym_operator_assignment] = STATE(10138),
    [sym_conditional] = STATE(10138),
    [sym_range] = STATE(10138),
    [sym_binary] = STATE(10138),
    [sym_unary] = STATE(10138),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8263] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10139),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10139),
    [sym_operator_assignment] = STATE(10139),
    [sym_conditional] = STATE(10139),
    [sym_range] = STATE(10139),
    [sym_binary] = STATE(10139),
    [sym_unary] = STATE(10139),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8264] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10140),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10140),
    [sym_operator_assignment] = STATE(10140),
    [sym_conditional] = STATE(10140),
    [sym_range] = STATE(10140),
    [sym_binary] = STATE(10140),
    [sym_unary] = STATE(10140),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8265] = {
    [sym_heredoc_body] = STATE(10141),
    [aux_sym_call_repeat1] = STATE(10141),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8266] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5573),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(5573),
    [sym_operator_assignment] = STATE(5573),
    [sym_conditional] = STATE(5573),
    [sym_range] = STATE(5573),
    [sym_binary] = STATE(5573),
    [sym_unary] = STATE(5573),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5579),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(10142),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(8164),
    [sym__splat_star] = ACTIONS(8166),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__identifier_hash_key] = ACTIONS(8170),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12924),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8188),
    [sym_identifier] = ACTIONS(8188),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8267] = {
    [sym_heredoc_body] = STATE(10143),
    [aux_sym_call_repeat1] = STATE(10143),
    [aux_sym_argument_list_repeat1] = STATE(10144),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11146),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8268] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10145),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_splat_argument] = STATE(10146),
    [sym_assignment] = STATE(10145),
    [sym_operator_assignment] = STATE(10145),
    [sym_conditional] = STATE(10145),
    [sym_range] = STATE(10145),
    [sym_binary] = STATE(10145),
    [sym_unary] = STATE(10145),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(10146),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(11066),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8269] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10147),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(10147),
    [sym_operator_assignment] = STATE(10147),
    [sym_conditional] = STATE(10147),
    [sym_range] = STATE(10147),
    [sym_binary] = STATE(10147),
    [sym_unary] = STATE(10147),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8270] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10148),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(10148),
    [sym_operator_assignment] = STATE(10148),
    [sym_conditional] = STATE(10148),
    [sym_range] = STATE(10148),
    [sym_binary] = STATE(10148),
    [sym_unary] = STATE(10148),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8271] = {
    [sym_string] = STATE(10149),
    [aux_sym_chained_string_repeat1] = STATE(10149),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [8272] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10150),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(10150),
    [sym_operator_assignment] = STATE(10150),
    [sym_conditional] = STATE(10150),
    [sym_range] = STATE(10150),
    [sym_binary] = STATE(10150),
    [sym_unary] = STATE(10150),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8273] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10151),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(10151),
    [sym_operator_assignment] = STATE(10151),
    [sym_conditional] = STATE(10151),
    [sym_range] = STATE(10151),
    [sym_binary] = STATE(10151),
    [sym_unary] = STATE(10151),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8274] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(10152),
    [sym_operator_assignment] = STATE(10152),
    [sym_conditional] = STATE(10152),
    [sym_range] = STATE(10152),
    [sym_binary] = STATE(10152),
    [sym_unary] = STATE(10152),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8275] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10153),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(10153),
    [sym_operator_assignment] = STATE(10153),
    [sym_conditional] = STATE(10153),
    [sym_range] = STATE(10153),
    [sym_binary] = STATE(10153),
    [sym_unary] = STATE(10153),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8276] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8277] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(12930),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(12934),
    [anon_sym_LT] = ACTIONS(12936),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(12938),
    [anon_sym_DOT_DOT] = ACTIONS(12940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12942),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(12944),
    [anon_sym_AMP_AMP] = ACTIONS(12944),
    [anon_sym_LT_LT] = ACTIONS(12946),
    [anon_sym_GT_GT] = ACTIONS(12946),
    [anon_sym_EQ_EQ] = ACTIONS(12948),
    [anon_sym_BANG_EQ] = ACTIONS(12944),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12944),
    [anon_sym_LT_EQ_GT] = ACTIONS(12944),
    [anon_sym_EQ_TILDE] = ACTIONS(12944),
    [anon_sym_BANG_TILDE] = ACTIONS(12944),
    [anon_sym_LT_EQ] = ACTIONS(12936),
    [anon_sym_GT] = ACTIONS(12936),
    [anon_sym_GT_EQ] = ACTIONS(12950),
    [anon_sym_CARET] = ACTIONS(12952),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [8278] = {
    [aux_sym_exceptions_repeat1] = STATE(10167),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(12956),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8279] = {
    [anon_sym_EQ] = ACTIONS(12958),
    [sym_comment] = ACTIONS(87),
  },
  [8280] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(12960),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(12962),
    [anon_sym_DASH_EQ] = ACTIONS(12962),
    [anon_sym_STAR_EQ] = ACTIONS(12962),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12962),
    [anon_sym_SLASH_EQ] = ACTIONS(12962),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12962),
    [anon_sym_PIPE_EQ] = ACTIONS(12962),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12962),
    [anon_sym_AMP_EQ] = ACTIONS(12962),
    [anon_sym_PERCENT_EQ] = ACTIONS(12962),
    [anon_sym_GT_GT_EQ] = ACTIONS(12962),
    [anon_sym_LT_LT_EQ] = ACTIONS(12962),
    [anon_sym_CARET_EQ] = ACTIONS(12962),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8281] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8144),
    [anon_sym_DOT_DOT] = ACTIONS(8146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8148),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8152),
    [anon_sym_AMP_AMP] = ACTIONS(8152),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [8282] = {
    [sym_string] = STATE(8282),
    [aux_sym_chained_string_repeat1] = STATE(8282),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [8283] = {
    [sym_heredoc_body] = STATE(10170),
    [aux_sym_call_repeat1] = STATE(10170),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8284] = {
    [sym_heredoc_body] = STATE(10171),
    [aux_sym_call_repeat1] = STATE(10171),
    [aux_sym_argument_list_repeat1] = STATE(5639),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4614),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8285] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [8286] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8287] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [8288] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8289] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [8290] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [8291] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12964),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8292] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [8293] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8212),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [8294] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [8295] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [8296] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [8297] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8212),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [8298] = {
    [aux_sym_exceptions_repeat1] = STATE(10174),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8299] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8212),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [8300] = {
    [sym_string] = STATE(8300),
    [aux_sym_chained_string_repeat1] = STATE(8300),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [8301] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [8302] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [8303] = {
    [sym_heredoc_body] = STATE(8303),
    [aux_sym_call_repeat1] = STATE(8303),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [8304] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(2917),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(2917),
    [sym_operator_assignment] = STATE(2917),
    [sym_conditional] = STATE(2917),
    [sym_range] = STATE(2917),
    [sym_binary] = STATE(2917),
    [sym_unary] = STATE(2917),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2920),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(4564),
    [sym__splat_star] = ACTIONS(4566),
    [sym__unary_minus] = ACTIONS(1843),
    [sym__identifier_hash_key] = ACTIONS(4568),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11168),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(4570),
    [sym_identifier] = ACTIONS(4570),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8305] = {
    [sym_heredoc_body] = STATE(8303),
    [aux_sym_call_repeat1] = STATE(8303),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [8306] = {
    [aux_sym_argument_list_repeat1] = STATE(8306),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12966),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [8307] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [8308] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10175),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_assignment] = STATE(10175),
    [sym_operator_assignment] = STATE(10175),
    [sym_conditional] = STATE(10175),
    [sym_range] = STATE(10175),
    [sym_binary] = STATE(10175),
    [sym_unary] = STATE(10175),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8309] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [8310] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [8311] = {
    [sym_heredoc_body] = STATE(8311),
    [aux_sym_call_repeat1] = STATE(8311),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [8312] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(2942),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(2942),
    [sym_operator_assignment] = STATE(2942),
    [sym_conditional] = STATE(2942),
    [sym_range] = STATE(2942),
    [sym_binary] = STATE(2942),
    [sym_unary] = STATE(2942),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2945),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(4604),
    [sym__splat_star] = ACTIONS(4606),
    [sym__unary_minus] = ACTIONS(1907),
    [sym__identifier_hash_key] = ACTIONS(4608),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11172),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(4612),
    [sym_identifier] = ACTIONS(4612),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8313] = {
    [sym_heredoc_body] = STATE(8311),
    [aux_sym_call_repeat1] = STATE(8311),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [8314] = {
    [aux_sym_argument_list_repeat1] = STATE(8314),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(12969),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [8315] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [8316] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5640),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1084),
    [sym_scope_resolution] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_method_call] = STATE(1084),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(5640),
    [sym_operator_assignment] = STATE(5640),
    [sym_conditional] = STATE(5640),
    [sym_range] = STATE(5640),
    [sym_binary] = STATE(5640),
    [sym_unary] = STATE(5640),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(1083),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1084),
    [sym__variable] = STATE(1080),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1084),
    [sym_false] = STATE(1084),
    [sym_nil] = STATE(1084),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(2909),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(4566),
    [sym__unary_minus] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1851),
    [anon_sym_next] = ACTIONS(1853),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4560),
    [anon_sym_defined_QMARK] = ACTIONS(1855),
    [anon_sym_not] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [sym_constant] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [sym_instance_variable] = ACTIONS(1865),
    [sym_class_variable] = ACTIONS(1865),
    [sym_global_variable] = ACTIONS(1865),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1867),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8317] = {
    [aux_sym_exceptions_repeat1] = STATE(10176),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12972),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [8318] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(1871),
    [sym__binary_star] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ_GT] = ACTIONS(1891),
    [anon_sym_EQ_TILDE] = ACTIONS(1891),
    [anon_sym_BANG_TILDE] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(87),
  },
  [8319] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [8320] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [8321] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [8322] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [8323] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [8324] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [8325] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12974),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8326] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [8327] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8272),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [8328] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [8329] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [8330] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [8331] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8272),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [8332] = {
    [aux_sym_exceptions_repeat1] = STATE(10179),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [8333] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8272),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [8334] = {
    [sym_string] = STATE(8334),
    [aux_sym_chained_string_repeat1] = STATE(8334),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [8335] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10180),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_assignment] = STATE(10180),
    [sym_operator_assignment] = STATE(10180),
    [sym_conditional] = STATE(10180),
    [sym_range] = STATE(10180),
    [sym_binary] = STATE(10180),
    [sym_unary] = STATE(10180),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8336] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5683),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1121),
    [sym_scope_resolution] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym_method_call] = STATE(1121),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(5683),
    [sym_operator_assignment] = STATE(5683),
    [sym_conditional] = STATE(5683),
    [sym_range] = STATE(5683),
    [sym_binary] = STATE(5683),
    [sym_unary] = STATE(5683),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(1120),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1121),
    [sym__variable] = STATE(1116),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1121),
    [sym_false] = STATE(1121),
    [sym_nil] = STATE(1121),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(2982),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(4606),
    [sym__unary_minus] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_next] = ACTIONS(1919),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_defined_QMARK] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [sym_constant] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1941),
    [sym_instance_variable] = ACTIONS(1939),
    [sym_class_variable] = ACTIONS(1939),
    [sym_global_variable] = ACTIONS(1939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(1941),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8337] = {
    [aux_sym_exceptions_repeat1] = STATE(10181),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(12976),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [8338] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [8339] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8340] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(8304),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8316),
    [anon_sym_GT_GT] = ACTIONS(8316),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [8341] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8342] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8316),
    [anon_sym_GT_GT] = ACTIONS(8316),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [8343] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8300),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(8304),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8316),
    [anon_sym_GT_GT] = ACTIONS(8316),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8322),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [8344] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12978),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8345] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8300),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(8304),
    [anon_sym_LT] = ACTIONS(8306),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8312),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8314),
    [anon_sym_AMP_AMP] = ACTIONS(8314),
    [anon_sym_LT_LT] = ACTIONS(8316),
    [anon_sym_GT_GT] = ACTIONS(8316),
    [anon_sym_EQ_EQ] = ACTIONS(8318),
    [anon_sym_BANG_EQ] = ACTIONS(8314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8314),
    [anon_sym_LT_EQ_GT] = ACTIONS(8314),
    [anon_sym_EQ_TILDE] = ACTIONS(8314),
    [anon_sym_BANG_TILDE] = ACTIONS(8314),
    [anon_sym_LT_EQ] = ACTIONS(8306),
    [anon_sym_GT] = ACTIONS(8306),
    [anon_sym_GT_EQ] = ACTIONS(8320),
    [anon_sym_CARET] = ACTIONS(8322),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [8346] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8300),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(8304),
    [anon_sym_LT] = ACTIONS(8306),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8308),
    [anon_sym_DOT_DOT] = ACTIONS(8310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8312),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8314),
    [anon_sym_AMP_AMP] = ACTIONS(8314),
    [anon_sym_LT_LT] = ACTIONS(8316),
    [anon_sym_GT_GT] = ACTIONS(8316),
    [anon_sym_EQ_EQ] = ACTIONS(8318),
    [anon_sym_BANG_EQ] = ACTIONS(8314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8314),
    [anon_sym_LT_EQ_GT] = ACTIONS(8314),
    [anon_sym_EQ_TILDE] = ACTIONS(8314),
    [anon_sym_BANG_TILDE] = ACTIONS(8314),
    [anon_sym_LT_EQ] = ACTIONS(8306),
    [anon_sym_GT] = ACTIONS(8306),
    [anon_sym_GT_EQ] = ACTIONS(8320),
    [anon_sym_CARET] = ACTIONS(8322),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [8347] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8300),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(8304),
    [anon_sym_LT] = ACTIONS(8306),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8316),
    [anon_sym_GT_GT] = ACTIONS(8316),
    [anon_sym_EQ_EQ] = ACTIONS(8318),
    [anon_sym_BANG_EQ] = ACTIONS(8314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8314),
    [anon_sym_LT_EQ_GT] = ACTIONS(8314),
    [anon_sym_EQ_TILDE] = ACTIONS(8314),
    [anon_sym_BANG_TILDE] = ACTIONS(8314),
    [anon_sym_LT_EQ] = ACTIONS(8306),
    [anon_sym_GT] = ACTIONS(8306),
    [anon_sym_GT_EQ] = ACTIONS(8320),
    [anon_sym_CARET] = ACTIONS(8322),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [8348] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [8349] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [8350] = {
    [aux_sym_exceptions_repeat1] = STATE(8350),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(12980),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [8351] = {
    [aux_sym_exceptions_repeat1] = STATE(5705),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8352] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8300),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(8304),
    [anon_sym_LT] = ACTIONS(8306),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8308),
    [anon_sym_DOT_DOT] = ACTIONS(8310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8312),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8314),
    [anon_sym_AMP_AMP] = ACTIONS(8314),
    [anon_sym_LT_LT] = ACTIONS(8316),
    [anon_sym_GT_GT] = ACTIONS(8316),
    [anon_sym_EQ_EQ] = ACTIONS(8318),
    [anon_sym_BANG_EQ] = ACTIONS(8314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8314),
    [anon_sym_LT_EQ_GT] = ACTIONS(8314),
    [anon_sym_EQ_TILDE] = ACTIONS(8314),
    [anon_sym_BANG_TILDE] = ACTIONS(8314),
    [anon_sym_LT_EQ] = ACTIONS(8306),
    [anon_sym_GT] = ACTIONS(8306),
    [anon_sym_GT_EQ] = ACTIONS(8320),
    [anon_sym_CARET] = ACTIONS(8322),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [8353] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8354] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8355] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10183),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(10183),
    [sym_operator_assignment] = STATE(10183),
    [sym_conditional] = STATE(10183),
    [sym_range] = STATE(10183),
    [sym_binary] = STATE(10183),
    [sym_unary] = STATE(10183),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [8356] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8357] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10184),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(10184),
    [sym_operator_assignment] = STATE(10184),
    [sym_conditional] = STATE(10184),
    [sym_range] = STATE(10184),
    [sym_binary] = STATE(10184),
    [sym_unary] = STATE(10184),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [8358] = {
    [sym_heredoc_body] = STATE(10185),
    [aux_sym_call_repeat1] = STATE(10185),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_in] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8359] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5715),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(5715),
    [sym_operator_assignment] = STATE(5715),
    [sym_conditional] = STATE(5715),
    [sym_range] = STATE(5715),
    [sym_binary] = STATE(5715),
    [sym_unary] = STATE(5715),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5718),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(10186),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(8340),
    [sym__splat_star] = ACTIONS(8342),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__identifier_hash_key] = ACTIONS(8344),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12983),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(8346),
    [sym_identifier] = ACTIONS(8346),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [8360] = {
    [sym_heredoc_body] = STATE(10187),
    [aux_sym_call_repeat1] = STATE(10187),
    [aux_sym_argument_list_repeat1] = STATE(10188),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11194),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_in] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8361] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10189),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(10189),
    [sym_operator_assignment] = STATE(10189),
    [sym_conditional] = STATE(10189),
    [sym_range] = STATE(10189),
    [sym_binary] = STATE(10189),
    [sym_unary] = STATE(10189),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [8362] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_in] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8363] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_in] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8364] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8365] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8366] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8367] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8368] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12985),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8369] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8370] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8371] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8372] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8373] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8374] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10191),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(10191),
    [sym_operator_assignment] = STATE(10191),
    [sym_conditional] = STATE(10191),
    [sym_range] = STATE(10191),
    [sym_binary] = STATE(10191),
    [sym_unary] = STATE(10191),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [8375] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5738),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_argument_list] = STATE(7019),
    [sym__argument_list_with_parens] = STATE(5739),
    [sym__argument] = STATE(5740),
    [sym_splat_argument] = STATE(5740),
    [sym_hash_splat_argument] = STATE(5740),
    [sym_block_argument] = STATE(5740),
    [sym_assignment] = STATE(5738),
    [sym_operator_assignment] = STATE(5738),
    [sym_conditional] = STATE(5738),
    [sym_range] = STATE(5738),
    [sym_binary] = STATE(5738),
    [sym_unary] = STATE(5738),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5741),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(5740),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(8380),
    [sym__splat_star] = ACTIONS(8382),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(8384),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4796),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(8386),
    [sym_identifier] = ACTIONS(8386),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [8376] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5738),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_argument_list] = STATE(7020),
    [sym__argument_list_with_parens] = STATE(5739),
    [sym__argument] = STATE(5740),
    [sym_splat_argument] = STATE(5740),
    [sym_hash_splat_argument] = STATE(5740),
    [sym_block_argument] = STATE(5740),
    [sym_assignment] = STATE(5738),
    [sym_operator_assignment] = STATE(5738),
    [sym_conditional] = STATE(5738),
    [sym_range] = STATE(5738),
    [sym_binary] = STATE(5738),
    [sym_unary] = STATE(5738),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5741),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(5740),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(8380),
    [sym__splat_star] = ACTIONS(8382),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(8384),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_in] = ACTIONS(415),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4796),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(8386),
    [sym_identifier] = ACTIONS(8386),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [8377] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5738),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_argument_list] = STATE(7021),
    [sym__argument_list_with_parens] = STATE(5739),
    [sym__argument] = STATE(5740),
    [sym_splat_argument] = STATE(5740),
    [sym_hash_splat_argument] = STATE(5740),
    [sym_block_argument] = STATE(5740),
    [sym_assignment] = STATE(5738),
    [sym_operator_assignment] = STATE(5738),
    [sym_conditional] = STATE(5738),
    [sym_range] = STATE(5738),
    [sym_binary] = STATE(5738),
    [sym_unary] = STATE(5738),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5741),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(5740),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(8380),
    [sym__splat_star] = ACTIONS(8382),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(8384),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_in] = ACTIONS(419),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4796),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(8386),
    [sym_identifier] = ACTIONS(8386),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [8378] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5738),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_argument_list] = STATE(7022),
    [sym__argument_list_with_parens] = STATE(5739),
    [sym__argument] = STATE(5740),
    [sym_splat_argument] = STATE(5740),
    [sym_hash_splat_argument] = STATE(5740),
    [sym_block_argument] = STATE(5740),
    [sym_assignment] = STATE(5738),
    [sym_operator_assignment] = STATE(5738),
    [sym_conditional] = STATE(5738),
    [sym_range] = STATE(5738),
    [sym_binary] = STATE(5738),
    [sym_unary] = STATE(5738),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5741),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(5740),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(8380),
    [sym__splat_star] = ACTIONS(8382),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(8384),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4796),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(8386),
    [sym_identifier] = ACTIONS(8386),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [8379] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10192),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(10192),
    [sym_operator_assignment] = STATE(10192),
    [sym_conditional] = STATE(10192),
    [sym_range] = STATE(10192),
    [sym_binary] = STATE(10192),
    [sym_unary] = STATE(10192),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [8380] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10193),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(10193),
    [sym_operator_assignment] = STATE(10193),
    [sym_conditional] = STATE(10193),
    [sym_range] = STATE(10193),
    [sym_binary] = STATE(10193),
    [sym_unary] = STATE(10193),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [8381] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7038),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(7038),
    [sym_operator_assignment] = STATE(7038),
    [sym_conditional] = STATE(7038),
    [sym_range] = STATE(7038),
    [sym_binary] = STATE(7038),
    [sym_unary] = STATE(7038),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [8382] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(12999),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [8383] = {
    [anon_sym_EQ] = ACTIONS(13015),
    [sym_comment] = ACTIONS(87),
  },
  [8384] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(13017),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(13019),
    [anon_sym_DASH_EQ] = ACTIONS(13019),
    [anon_sym_STAR_EQ] = ACTIONS(13019),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13019),
    [anon_sym_SLASH_EQ] = ACTIONS(13019),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13019),
    [anon_sym_PIPE_EQ] = ACTIONS(13019),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13019),
    [anon_sym_AMP_EQ] = ACTIONS(13019),
    [anon_sym_PERCENT_EQ] = ACTIONS(13019),
    [anon_sym_GT_GT_EQ] = ACTIONS(13019),
    [anon_sym_LT_LT_EQ] = ACTIONS(13019),
    [anon_sym_CARET_EQ] = ACTIONS(13019),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8385] = {
    [sym_string] = STATE(10208),
    [aux_sym_chained_string_repeat1] = STATE(10208),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8386] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(12999),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [8387] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10209),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(10209),
    [sym_operator_assignment] = STATE(10209),
    [sym_conditional] = STATE(10209),
    [sym_range] = STATE(10209),
    [sym_binary] = STATE(10209),
    [sym_unary] = STATE(10209),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [8388] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(12999),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [8389] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10210),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(10210),
    [sym_operator_assignment] = STATE(10210),
    [sym_conditional] = STATE(10210),
    [sym_range] = STATE(10210),
    [sym_binary] = STATE(10210),
    [sym_unary] = STATE(10210),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [8390] = {
    [sym_heredoc_body] = STATE(10211),
    [aux_sym_call_repeat1] = STATE(10211),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_in] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8391] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5738),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym__argument] = STATE(7086),
    [sym_splat_argument] = STATE(7086),
    [sym_hash_splat_argument] = STATE(7086),
    [sym_block_argument] = STATE(7086),
    [sym_assignment] = STATE(5738),
    [sym_operator_assignment] = STATE(5738),
    [sym_conditional] = STATE(5738),
    [sym_range] = STATE(5738),
    [sym_binary] = STATE(5738),
    [sym_unary] = STATE(5738),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5741),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(10212),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7086),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(8380),
    [sym__splat_star] = ACTIONS(8382),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__identifier_hash_key] = ACTIONS(8384),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13021),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(8386),
    [sym_identifier] = ACTIONS(8386),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [8392] = {
    [sym_heredoc_body] = STATE(10213),
    [aux_sym_call_repeat1] = STATE(10213),
    [aux_sym_argument_list_repeat1] = STATE(10214),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11220),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_in] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8393] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10215),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(10215),
    [sym_operator_assignment] = STATE(10215),
    [sym_conditional] = STATE(10215),
    [sym_range] = STATE(10215),
    [sym_binary] = STATE(10215),
    [sym_unary] = STATE(10215),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [8394] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8395] = {
    [aux_sym_exceptions_repeat1] = STATE(10217),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_in] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8396] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [8397] = {
    [sym_string] = STATE(8397),
    [aux_sym_chained_string_repeat1] = STATE(8397),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_in] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [8398] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [8399] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [8400] = {
    [sym_heredoc_body] = STATE(8400),
    [aux_sym_call_repeat1] = STATE(8400),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_in] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [8401] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(3044),
    [sym_operator_assignment] = STATE(3044),
    [sym_conditional] = STATE(3044),
    [sym_range] = STATE(3044),
    [sym_binary] = STATE(3044),
    [sym_unary] = STATE(3044),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(4732),
    [sym__splat_star] = ACTIONS(4734),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__identifier_hash_key] = ACTIONS(4736),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11224),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(4740),
    [sym_identifier] = ACTIONS(4740),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [8402] = {
    [sym_heredoc_body] = STATE(8400),
    [aux_sym_call_repeat1] = STATE(8400),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_in] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [8403] = {
    [aux_sym_argument_list_repeat1] = STATE(8403),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13023),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_in] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [8404] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [8405] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10218),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_assignment] = STATE(10218),
    [sym_operator_assignment] = STATE(10218),
    [sym_conditional] = STATE(10218),
    [sym_range] = STATE(10218),
    [sym_binary] = STATE(10218),
    [sym_unary] = STATE(10218),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [8406] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8407] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_in] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8408] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_in] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [8409] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8410] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [8411] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8412] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8413] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8414] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13026),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8415] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8416] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8417] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8418] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8419] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8420] = {
    [sym_heredoc_body] = STATE(8420),
    [aux_sym_call_repeat1] = STATE(8420),
    [sym__heredoc_body_start] = ACTIONS(10362),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_in] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [8421] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3076),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym__argument] = STATE(7428),
    [sym_splat_argument] = STATE(7428),
    [sym_hash_splat_argument] = STATE(7428),
    [sym_block_argument] = STATE(7428),
    [sym_assignment] = STATE(3076),
    [sym_operator_assignment] = STATE(3076),
    [sym_conditional] = STATE(3076),
    [sym_range] = STATE(3076),
    [sym_binary] = STATE(3076),
    [sym_unary] = STATE(3076),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3081),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7428),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(4776),
    [sym__splat_star] = ACTIONS(4778),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__identifier_hash_key] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11228),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(4800),
    [sym_identifier] = ACTIONS(4800),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [8422] = {
    [sym_heredoc_body] = STATE(8420),
    [aux_sym_call_repeat1] = STATE(8420),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_in] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [8423] = {
    [aux_sym_argument_list_repeat1] = STATE(8423),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13028),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_in] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [8424] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8425] = {
    [aux_sym_exceptions_repeat1] = STATE(10221),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_in] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [8426] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8427] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [8428] = {
    [sym_string] = STATE(8428),
    [aux_sym_chained_string_repeat1] = STATE(8428),
    [sym__string_start] = ACTIONS(10368),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_in] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [8429] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5800),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(5800),
    [sym_operator_assignment] = STATE(5800),
    [sym_conditional] = STATE(5800),
    [sym_range] = STATE(5800),
    [sym_binary] = STATE(5800),
    [sym_unary] = STATE(5800),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(4734),
    [sym__unary_minus] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [8430] = {
    [aux_sym_exceptions_repeat1] = STATE(10222),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13031),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_in] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [8431] = {
    [sym__line_break] = ACTIONS(13033),
    [sym__heredoc_body_start] = ACTIONS(13033),
    [sym__element_reference_left_bracket] = ACTIONS(13033),
    [sym__infix_scope_colons] = ACTIONS(13033),
    [sym__binary_minus] = ACTIONS(13033),
    [sym__binary_star] = ACTIONS(13033),
    [ts_builtin_sym_end] = ACTIONS(13033),
    [anon_sym___END__] = ACTIONS(13033),
    [anon_sym_LBRACE] = ACTIONS(13033),
    [anon_sym_RBRACE] = ACTIONS(13033),
    [anon_sym_RPAREN] = ACTIONS(13033),
    [anon_sym_DOT] = ACTIONS(13035),
    [anon_sym_COMMA] = ACTIONS(13033),
    [anon_sym_PIPE] = ACTIONS(13035),
    [anon_sym_SEMI] = ACTIONS(13033),
    [anon_sym_STAR_STAR] = ACTIONS(13033),
    [anon_sym_AMP] = ACTIONS(13035),
    [anon_sym_LT] = ACTIONS(13035),
    [anon_sym_end] = ACTIONS(13033),
    [anon_sym_if] = ACTIONS(13033),
    [anon_sym_unless] = ACTIONS(13033),
    [anon_sym_while] = ACTIONS(13033),
    [anon_sym_until] = ACTIONS(13033),
    [anon_sym_rescue] = ACTIONS(13033),
    [anon_sym_do] = ACTIONS(13033),
    [anon_sym_when] = ACTIONS(13033),
    [anon_sym_elsif] = ACTIONS(13033),
    [anon_sym_else] = ACTIONS(13033),
    [anon_sym_then] = ACTIONS(13033),
    [anon_sym_ensure] = ACTIONS(13033),
    [anon_sym_EQ_GT] = ACTIONS(13033),
    [anon_sym_AMP_DOT] = ACTIONS(13033),
    [anon_sym_QMARK] = ACTIONS(13033),
    [anon_sym_DOT_DOT] = ACTIONS(13035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13033),
    [anon_sym_and] = ACTIONS(13033),
    [anon_sym_or] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE] = ACTIONS(13033),
    [anon_sym_AMP_AMP] = ACTIONS(13033),
    [anon_sym_LT_LT] = ACTIONS(13033),
    [anon_sym_GT_GT] = ACTIONS(13033),
    [anon_sym_EQ_EQ] = ACTIONS(13035),
    [anon_sym_BANG_EQ] = ACTIONS(13033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13033),
    [anon_sym_LT_EQ_GT] = ACTIONS(13033),
    [anon_sym_EQ_TILDE] = ACTIONS(13033),
    [anon_sym_BANG_TILDE] = ACTIONS(13033),
    [anon_sym_LT_EQ] = ACTIONS(13035),
    [anon_sym_GT] = ACTIONS(13035),
    [anon_sym_GT_EQ] = ACTIONS(13033),
    [anon_sym_CARET] = ACTIONS(13033),
    [anon_sym_PLUS] = ACTIONS(13033),
    [anon_sym_SLASH] = ACTIONS(13033),
    [anon_sym_PERCENT] = ACTIONS(13033),
    [sym_comment] = ACTIONS(87),
  },
  [8432] = {
    [sym_heredoc_body] = STATE(10223),
    [aux_sym_call_repeat1] = STATE(10223),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8433] = {
    [sym_heredoc_body] = STATE(10224),
    [aux_sym_call_repeat1] = STATE(10224),
    [aux_sym_argument_list_repeat1] = STATE(5853),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8434] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [8435] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8436] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [8437] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8438] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [8439] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [8440] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13037),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8441] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [8442] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8458),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [8443] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [8444] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [8445] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [8446] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8458),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [8447] = {
    [aux_sym_exceptions_repeat1] = STATE(10227),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8448] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8458),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [8449] = {
    [sym_string] = STATE(8449),
    [aux_sym_chained_string_repeat1] = STATE(8449),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [8450] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [8451] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [8452] = {
    [sym_heredoc_body] = STATE(8452),
    [aux_sym_call_repeat1] = STATE(8452),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [8453] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3113),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(3113),
    [sym_operator_assignment] = STATE(3113),
    [sym_conditional] = STATE(3113),
    [sym_range] = STATE(3113),
    [sym_binary] = STATE(3113),
    [sym_unary] = STATE(3113),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3116),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(4838),
    [sym__splat_star] = ACTIONS(4840),
    [sym__unary_minus] = ACTIONS(1993),
    [sym__identifier_hash_key] = ACTIONS(4842),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11239),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(4844),
    [sym_identifier] = ACTIONS(4844),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8454] = {
    [sym_heredoc_body] = STATE(8452),
    [aux_sym_call_repeat1] = STATE(8452),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [8455] = {
    [aux_sym_argument_list_repeat1] = STATE(8455),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13039),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [8456] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [8457] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10228),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_assignment] = STATE(10228),
    [sym_operator_assignment] = STATE(10228),
    [sym_conditional] = STATE(10228),
    [sym_range] = STATE(10228),
    [sym_binary] = STATE(10228),
    [sym_unary] = STATE(10228),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8458] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5854),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1169),
    [sym_scope_resolution] = STATE(1165),
    [sym_call] = STATE(1165),
    [sym_method_call] = STATE(1169),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(5854),
    [sym_operator_assignment] = STATE(5854),
    [sym_conditional] = STATE(5854),
    [sym_range] = STATE(5854),
    [sym_binary] = STATE(5854),
    [sym_unary] = STATE(5854),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(1168),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1169),
    [sym__variable] = STATE(1165),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1169),
    [sym_false] = STATE(1169),
    [sym_nil] = STATE(1169),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3105),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(4840),
    [sym__unary_minus] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_next] = ACTIONS(2003),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_defined_QMARK] = ACTIONS(2005),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [sym_constant] = ACTIONS(2017),
    [sym_identifier] = ACTIONS(2017),
    [sym_instance_variable] = ACTIONS(2015),
    [sym_class_variable] = ACTIONS(2015),
    [sym_global_variable] = ACTIONS(2015),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2017),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8459] = {
    [aux_sym_exceptions_repeat1] = STATE(10229),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13042),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [8460] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [8461] = {
    [sym__line_break] = ACTIONS(13044),
    [sym__heredoc_body_start] = ACTIONS(13044),
    [sym__element_reference_left_bracket] = ACTIONS(13044),
    [sym__infix_scope_colons] = ACTIONS(13044),
    [sym__binary_minus] = ACTIONS(13044),
    [sym__binary_star] = ACTIONS(13044),
    [ts_builtin_sym_end] = ACTIONS(13044),
    [anon_sym___END__] = ACTIONS(13044),
    [anon_sym_LBRACE] = ACTIONS(13044),
    [anon_sym_RBRACE] = ACTIONS(13044),
    [anon_sym_RPAREN] = ACTIONS(13044),
    [anon_sym_DOT] = ACTIONS(13046),
    [anon_sym_COMMA] = ACTIONS(13044),
    [anon_sym_PIPE] = ACTIONS(13046),
    [anon_sym_SEMI] = ACTIONS(13044),
    [anon_sym_STAR_STAR] = ACTIONS(13044),
    [anon_sym_AMP] = ACTIONS(13046),
    [anon_sym_LT] = ACTIONS(13046),
    [anon_sym_end] = ACTIONS(13044),
    [anon_sym_if] = ACTIONS(13044),
    [anon_sym_unless] = ACTIONS(13044),
    [anon_sym_while] = ACTIONS(13044),
    [anon_sym_until] = ACTIONS(13044),
    [anon_sym_rescue] = ACTIONS(13044),
    [anon_sym_do] = ACTIONS(13044),
    [anon_sym_when] = ACTIONS(13044),
    [anon_sym_elsif] = ACTIONS(13044),
    [anon_sym_else] = ACTIONS(13044),
    [anon_sym_then] = ACTIONS(13044),
    [anon_sym_ensure] = ACTIONS(13044),
    [anon_sym_EQ_GT] = ACTIONS(13044),
    [anon_sym_AMP_DOT] = ACTIONS(13044),
    [anon_sym_QMARK] = ACTIONS(13044),
    [anon_sym_DOT_DOT] = ACTIONS(13046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13044),
    [anon_sym_and] = ACTIONS(13044),
    [anon_sym_or] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE] = ACTIONS(13044),
    [anon_sym_AMP_AMP] = ACTIONS(13044),
    [anon_sym_LT_LT] = ACTIONS(13044),
    [anon_sym_GT_GT] = ACTIONS(13044),
    [anon_sym_EQ_EQ] = ACTIONS(13046),
    [anon_sym_BANG_EQ] = ACTIONS(13044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13044),
    [anon_sym_LT_EQ_GT] = ACTIONS(13044),
    [anon_sym_EQ_TILDE] = ACTIONS(13044),
    [anon_sym_BANG_TILDE] = ACTIONS(13044),
    [anon_sym_LT_EQ] = ACTIONS(13046),
    [anon_sym_GT] = ACTIONS(13046),
    [anon_sym_GT_EQ] = ACTIONS(13044),
    [anon_sym_CARET] = ACTIONS(13044),
    [anon_sym_PLUS] = ACTIONS(13044),
    [anon_sym_SLASH] = ACTIONS(13044),
    [anon_sym_PERCENT] = ACTIONS(13044),
    [sym_comment] = ACTIONS(87),
  },
  [8462] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [8463] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8464] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [8465] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8466] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [8467] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8498),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8520),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [8468] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13048),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8469] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8498),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(8504),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8510),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8512),
    [anon_sym_AMP_AMP] = ACTIONS(8512),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(8516),
    [anon_sym_BANG_EQ] = ACTIONS(8512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8512),
    [anon_sym_LT_EQ_GT] = ACTIONS(8512),
    [anon_sym_EQ_TILDE] = ACTIONS(8512),
    [anon_sym_BANG_TILDE] = ACTIONS(8512),
    [anon_sym_LT_EQ] = ACTIONS(8504),
    [anon_sym_GT] = ACTIONS(8504),
    [anon_sym_GT_EQ] = ACTIONS(8518),
    [anon_sym_CARET] = ACTIONS(8520),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [8470] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8498),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(8504),
    [anon_sym_QMARK] = ACTIONS(8506),
    [anon_sym_DOT_DOT] = ACTIONS(8508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8510),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8512),
    [anon_sym_AMP_AMP] = ACTIONS(8512),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(8516),
    [anon_sym_BANG_EQ] = ACTIONS(8512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8512),
    [anon_sym_LT_EQ_GT] = ACTIONS(8512),
    [anon_sym_EQ_TILDE] = ACTIONS(8512),
    [anon_sym_BANG_TILDE] = ACTIONS(8512),
    [anon_sym_LT_EQ] = ACTIONS(8504),
    [anon_sym_GT] = ACTIONS(8504),
    [anon_sym_GT_EQ] = ACTIONS(8518),
    [anon_sym_CARET] = ACTIONS(8520),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [8471] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8498),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(8504),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(8516),
    [anon_sym_BANG_EQ] = ACTIONS(8512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8512),
    [anon_sym_LT_EQ_GT] = ACTIONS(8512),
    [anon_sym_EQ_TILDE] = ACTIONS(8512),
    [anon_sym_BANG_TILDE] = ACTIONS(8512),
    [anon_sym_LT_EQ] = ACTIONS(8504),
    [anon_sym_GT] = ACTIONS(8504),
    [anon_sym_GT_EQ] = ACTIONS(8518),
    [anon_sym_CARET] = ACTIONS(8520),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [8472] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [8473] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [8474] = {
    [aux_sym_exceptions_repeat1] = STATE(8474),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(13050),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [8475] = {
    [aux_sym_exceptions_repeat1] = STATE(5879),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8476] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8498),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(8504),
    [anon_sym_QMARK] = ACTIONS(8506),
    [anon_sym_DOT_DOT] = ACTIONS(8508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8510),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8512),
    [anon_sym_AMP_AMP] = ACTIONS(8512),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(8516),
    [anon_sym_BANG_EQ] = ACTIONS(8512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8512),
    [anon_sym_LT_EQ_GT] = ACTIONS(8512),
    [anon_sym_EQ_TILDE] = ACTIONS(8512),
    [anon_sym_BANG_TILDE] = ACTIONS(8512),
    [anon_sym_LT_EQ] = ACTIONS(8504),
    [anon_sym_GT] = ACTIONS(8504),
    [anon_sym_GT_EQ] = ACTIONS(8518),
    [anon_sym_CARET] = ACTIONS(8520),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [8477] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10231),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(10231),
    [sym_operator_assignment] = STATE(10231),
    [sym_conditional] = STATE(10231),
    [sym_range] = STATE(10231),
    [sym_binary] = STATE(10231),
    [sym_unary] = STATE(10231),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8478] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10232),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(10232),
    [sym_operator_assignment] = STATE(10232),
    [sym_conditional] = STATE(10232),
    [sym_range] = STATE(10232),
    [sym_binary] = STATE(10232),
    [sym_unary] = STATE(10232),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8479] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10233),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(10233),
    [sym_operator_assignment] = STATE(10233),
    [sym_conditional] = STATE(10233),
    [sym_range] = STATE(10233),
    [sym_binary] = STATE(10233),
    [sym_unary] = STATE(10233),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8480] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8481] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(13065),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [8482] = {
    [anon_sym_EQ] = ACTIONS(13083),
    [sym_comment] = ACTIONS(87),
  },
  [8483] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(13085),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(13087),
    [anon_sym_DASH_EQ] = ACTIONS(13087),
    [anon_sym_STAR_EQ] = ACTIONS(13087),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13087),
    [anon_sym_SLASH_EQ] = ACTIONS(13087),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13087),
    [anon_sym_PIPE_EQ] = ACTIONS(13087),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13087),
    [anon_sym_AMP_EQ] = ACTIONS(13087),
    [anon_sym_PERCENT_EQ] = ACTIONS(13087),
    [anon_sym_GT_GT_EQ] = ACTIONS(13087),
    [anon_sym_LT_LT_EQ] = ACTIONS(13087),
    [anon_sym_CARET_EQ] = ACTIONS(13087),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8484] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(13065),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [8485] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10248),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(10248),
    [sym_operator_assignment] = STATE(10248),
    [sym_conditional] = STATE(10248),
    [sym_range] = STATE(10248),
    [sym_binary] = STATE(10248),
    [sym_unary] = STATE(10248),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8486] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(13065),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [8487] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10249),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(10249),
    [sym_operator_assignment] = STATE(10249),
    [sym_conditional] = STATE(10249),
    [sym_range] = STATE(10249),
    [sym_binary] = STATE(10249),
    [sym_unary] = STATE(10249),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8488] = {
    [sym_heredoc_body] = STATE(10250),
    [aux_sym_call_repeat1] = STATE(10250),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8489] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5889),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(5889),
    [sym_operator_assignment] = STATE(5889),
    [sym_conditional] = STATE(5889),
    [sym_range] = STATE(5889),
    [sym_binary] = STATE(5889),
    [sym_unary] = STATE(5889),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5892),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(10251),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(8532),
    [sym__splat_star] = ACTIONS(8534),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__identifier_hash_key] = ACTIONS(8536),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13089),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(8538),
    [sym_identifier] = ACTIONS(8538),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8490] = {
    [sym_heredoc_body] = STATE(10252),
    [aux_sym_call_repeat1] = STATE(10252),
    [aux_sym_argument_list_repeat1] = STATE(10253),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11266),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8491] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10254),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(10254),
    [sym_operator_assignment] = STATE(10254),
    [sym_conditional] = STATE(10254),
    [sym_range] = STATE(10254),
    [sym_binary] = STATE(10254),
    [sym_unary] = STATE(10254),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8492] = {
    [sym__line_break] = ACTIONS(13091),
    [sym__heredoc_body_start] = ACTIONS(13091),
    [anon_sym_COMMA] = ACTIONS(13091),
    [anon_sym_SEMI] = ACTIONS(13091),
    [anon_sym_then] = ACTIONS(13091),
    [sym_comment] = ACTIONS(87),
  },
  [8493] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10255),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(10255),
    [sym_operator_assignment] = STATE(10255),
    [sym_conditional] = STATE(10255),
    [sym_range] = STATE(10255),
    [sym_binary] = STATE(10255),
    [sym_unary] = STATE(10255),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8494] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10269),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(10271),
    [sym__argument] = STATE(10272),
    [sym_splat_argument] = STATE(10272),
    [sym_hash_splat_argument] = STATE(10272),
    [sym_block_argument] = STATE(10272),
    [sym_assignment] = STATE(10269),
    [sym_operator_assignment] = STATE(10269),
    [sym_conditional] = STATE(10269),
    [sym_range] = STATE(10269),
    [sym_binary] = STATE(10269),
    [sym_unary] = STATE(10269),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10275),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10272),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(13093),
    [sym__splat_star] = ACTIONS(13095),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(13099),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13117),
    [sym_identifier] = ACTIONS(13117),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8495] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10269),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(10271),
    [sym__argument] = STATE(10272),
    [sym_splat_argument] = STATE(10272),
    [sym_hash_splat_argument] = STATE(10272),
    [sym_block_argument] = STATE(10272),
    [sym_assignment] = STATE(10269),
    [sym_operator_assignment] = STATE(10269),
    [sym_conditional] = STATE(10269),
    [sym_range] = STATE(10269),
    [sym_binary] = STATE(10269),
    [sym_unary] = STATE(10269),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10275),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10272),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(13093),
    [sym__splat_star] = ACTIONS(13095),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(13099),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(415),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13117),
    [sym_identifier] = ACTIONS(13117),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8496] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10269),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(10271),
    [sym__argument] = STATE(10272),
    [sym_splat_argument] = STATE(10272),
    [sym_hash_splat_argument] = STATE(10272),
    [sym_block_argument] = STATE(10272),
    [sym_assignment] = STATE(10269),
    [sym_operator_assignment] = STATE(10269),
    [sym_conditional] = STATE(10269),
    [sym_range] = STATE(10269),
    [sym_binary] = STATE(10269),
    [sym_unary] = STATE(10269),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10275),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10272),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(13093),
    [sym__splat_star] = ACTIONS(13095),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(13099),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13117),
    [sym_identifier] = ACTIONS(13117),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8497] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10269),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(10271),
    [sym__argument] = STATE(10272),
    [sym_splat_argument] = STATE(10272),
    [sym_hash_splat_argument] = STATE(10272),
    [sym_block_argument] = STATE(10272),
    [sym_assignment] = STATE(10269),
    [sym_operator_assignment] = STATE(10269),
    [sym_conditional] = STATE(10269),
    [sym_range] = STATE(10269),
    [sym_binary] = STATE(10269),
    [sym_unary] = STATE(10269),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10275),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10272),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(13093),
    [sym__splat_star] = ACTIONS(13095),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(13099),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(423),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13117),
    [sym_identifier] = ACTIONS(13117),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8498] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10276),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(10276),
    [sym_operator_assignment] = STATE(10276),
    [sym_conditional] = STATE(10276),
    [sym_range] = STATE(10276),
    [sym_binary] = STATE(10276),
    [sym_unary] = STATE(10276),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8499] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10277),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(10277),
    [sym_operator_assignment] = STATE(10277),
    [sym_conditional] = STATE(10277),
    [sym_range] = STATE(10277),
    [sym_binary] = STATE(10277),
    [sym_unary] = STATE(10277),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8500] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8501] = {
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(10278),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [8502] = {
    [sym_when] = STATE(10279),
    [sym_else] = STATE(10279),
    [anon_sym_end] = ACTIONS(13123),
    [anon_sym_when] = ACTIONS(2061),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [8503] = {
    [sym_heredoc_body] = STATE(10280),
    [sym__terminator] = STATE(10280),
    [aux_sym__statements_repeat1] = STATE(10281),
    [sym__line_break] = ACTIONS(13125),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(13125),
    [anon_sym_end] = ACTIONS(687),
    [anon_sym_when] = ACTIONS(687),
    [anon_sym_else] = ACTIONS(687),
    [sym_comment] = ACTIONS(87),
  },
  [8504] = {
    [sym__line_break] = ACTIONS(689),
    [sym__heredoc_body_start] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_end] = ACTIONS(689),
    [anon_sym_if] = ACTIONS(13127),
    [anon_sym_unless] = ACTIONS(13129),
    [anon_sym_while] = ACTIONS(13131),
    [anon_sym_until] = ACTIONS(13133),
    [anon_sym_rescue] = ACTIONS(13135),
    [anon_sym_when] = ACTIONS(689),
    [anon_sym_else] = ACTIONS(689),
    [sym_comment] = ACTIONS(87),
  },
  [8505] = {
    [anon_sym_end] = ACTIONS(13123),
    [sym_comment] = ACTIONS(87),
  },
  [8506] = {
    [sym__line_break] = ACTIONS(701),
    [sym__heredoc_body_start] = ACTIONS(701),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(701),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_unless] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_until] = ACTIONS(701),
    [anon_sym_rescue] = ACTIONS(701),
    [anon_sym_when] = ACTIONS(701),
    [anon_sym_else] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(13149),
    [anon_sym_DOT_DOT] = ACTIONS(13151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13153),
    [anon_sym_and] = ACTIONS(13155),
    [anon_sym_or] = ACTIONS(13155),
    [anon_sym_PIPE_PIPE] = ACTIONS(13157),
    [anon_sym_AMP_AMP] = ACTIONS(13157),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [8507] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10312),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(444),
    [sym__argument_list_with_parens] = STATE(10314),
    [sym__argument] = STATE(10315),
    [sym_splat_argument] = STATE(10315),
    [sym_hash_splat_argument] = STATE(10315),
    [sym_block_argument] = STATE(10315),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(10312),
    [sym_operator_assignment] = STATE(10312),
    [sym_conditional] = STATE(10312),
    [sym_range] = STATE(10312),
    [sym_binary] = STATE(10312),
    [sym_unary] = STATE(10312),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(10318),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(10315),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(13169),
    [sym__splat_star] = ACTIONS(13171),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(13175),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(775),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13193),
    [sym_identifier] = ACTIONS(13193),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8508] = {
    [anon_sym_EQ] = ACTIONS(13199),
    [sym_comment] = ACTIONS(87),
  },
  [8509] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(13201),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(13203),
    [anon_sym_DASH_EQ] = ACTIONS(13203),
    [anon_sym_STAR_EQ] = ACTIONS(13203),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13203),
    [anon_sym_SLASH_EQ] = ACTIONS(13203),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13203),
    [anon_sym_PIPE_EQ] = ACTIONS(13203),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13203),
    [anon_sym_AMP_EQ] = ACTIONS(13203),
    [anon_sym_PERCENT_EQ] = ACTIONS(13203),
    [anon_sym_GT_GT_EQ] = ACTIONS(13203),
    [anon_sym_LT_LT_EQ] = ACTIONS(13203),
    [anon_sym_CARET_EQ] = ACTIONS(13203),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8510] = {
    [sym_string] = STATE(10321),
    [aux_sym_chained_string_repeat1] = STATE(10321),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [8511] = {
    [sym__statements] = STATE(10322),
    [sym__top_level_statement] = STATE(8503),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(8504),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_when] = STATE(10279),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(10279),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8506),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(8506),
    [sym_operator_assignment] = STATE(8506),
    [sym_conditional] = STATE(8506),
    [sym_range] = STATE(8506),
    [sym_binary] = STATE(8506),
    [sym_unary] = STATE(8506),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13205),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(11282),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [anon_sym_undef] = ACTIONS(11296),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8512] = {
    [aux_sym_when_repeat1] = STATE(8512),
    [sym__line_break] = ACTIONS(13091),
    [sym__heredoc_body_start] = ACTIONS(13091),
    [anon_sym_COMMA] = ACTIONS(13207),
    [anon_sym_SEMI] = ACTIONS(13091),
    [anon_sym_then] = ACTIONS(13091),
    [sym_comment] = ACTIONS(87),
  },
  [8513] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [8514] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8515] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [8516] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8517] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [8518] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8550),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8574),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [8519] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8520] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8550),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(8556),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8562),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8566),
    [anon_sym_AMP_AMP] = ACTIONS(8566),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(8570),
    [anon_sym_BANG_EQ] = ACTIONS(8566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8566),
    [anon_sym_LT_EQ_GT] = ACTIONS(8566),
    [anon_sym_EQ_TILDE] = ACTIONS(8566),
    [anon_sym_BANG_TILDE] = ACTIONS(8566),
    [anon_sym_LT_EQ] = ACTIONS(8556),
    [anon_sym_GT] = ACTIONS(8556),
    [anon_sym_GT_EQ] = ACTIONS(8572),
    [anon_sym_CARET] = ACTIONS(8574),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [8521] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8550),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(8556),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8558),
    [anon_sym_DOT_DOT] = ACTIONS(8560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8562),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8566),
    [anon_sym_AMP_AMP] = ACTIONS(8566),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(8570),
    [anon_sym_BANG_EQ] = ACTIONS(8566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8566),
    [anon_sym_LT_EQ_GT] = ACTIONS(8566),
    [anon_sym_EQ_TILDE] = ACTIONS(8566),
    [anon_sym_BANG_TILDE] = ACTIONS(8566),
    [anon_sym_LT_EQ] = ACTIONS(8556),
    [anon_sym_GT] = ACTIONS(8556),
    [anon_sym_GT_EQ] = ACTIONS(8572),
    [anon_sym_CARET] = ACTIONS(8574),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [8522] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8550),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(8556),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(8570),
    [anon_sym_BANG_EQ] = ACTIONS(8566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8566),
    [anon_sym_LT_EQ_GT] = ACTIONS(8566),
    [anon_sym_EQ_TILDE] = ACTIONS(8566),
    [anon_sym_BANG_TILDE] = ACTIONS(8566),
    [anon_sym_LT_EQ] = ACTIONS(8556),
    [anon_sym_GT] = ACTIONS(8556),
    [anon_sym_GT_EQ] = ACTIONS(8572),
    [anon_sym_CARET] = ACTIONS(8574),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [8523] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [8524] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [8525] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10324),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(10324),
    [sym_operator_assignment] = STATE(10324),
    [sym_conditional] = STATE(10324),
    [sym_range] = STATE(10324),
    [sym_binary] = STATE(10324),
    [sym_unary] = STATE(10324),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8526] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5915),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(5916),
    [sym__argument] = STATE(5917),
    [sym_splat_argument] = STATE(5917),
    [sym_hash_splat_argument] = STATE(5917),
    [sym_block_argument] = STATE(5917),
    [sym_assignment] = STATE(5915),
    [sym_operator_assignment] = STATE(5915),
    [sym_conditional] = STATE(5915),
    [sym_range] = STATE(5915),
    [sym_binary] = STATE(5915),
    [sym_unary] = STATE(5915),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5918),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5917),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(8578),
    [sym__splat_star] = ACTIONS(8580),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(8582),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(8584),
    [sym_identifier] = ACTIONS(8584),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8527] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5915),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(5916),
    [sym__argument] = STATE(5917),
    [sym_splat_argument] = STATE(5917),
    [sym_hash_splat_argument] = STATE(5917),
    [sym_block_argument] = STATE(5917),
    [sym_assignment] = STATE(5915),
    [sym_operator_assignment] = STATE(5915),
    [sym_conditional] = STATE(5915),
    [sym_range] = STATE(5915),
    [sym_binary] = STATE(5915),
    [sym_unary] = STATE(5915),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5918),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5917),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(8578),
    [sym__splat_star] = ACTIONS(8580),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(8582),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(8584),
    [sym_identifier] = ACTIONS(8584),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8528] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5915),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(5916),
    [sym__argument] = STATE(5917),
    [sym_splat_argument] = STATE(5917),
    [sym_hash_splat_argument] = STATE(5917),
    [sym_block_argument] = STATE(5917),
    [sym_assignment] = STATE(5915),
    [sym_operator_assignment] = STATE(5915),
    [sym_conditional] = STATE(5915),
    [sym_range] = STATE(5915),
    [sym_binary] = STATE(5915),
    [sym_unary] = STATE(5915),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5918),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5917),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(8578),
    [sym__splat_star] = ACTIONS(8580),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(8582),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(8584),
    [sym_identifier] = ACTIONS(8584),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8529] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5915),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(5916),
    [sym__argument] = STATE(5917),
    [sym_splat_argument] = STATE(5917),
    [sym_hash_splat_argument] = STATE(5917),
    [sym_block_argument] = STATE(5917),
    [sym_assignment] = STATE(5915),
    [sym_operator_assignment] = STATE(5915),
    [sym_conditional] = STATE(5915),
    [sym_range] = STATE(5915),
    [sym_binary] = STATE(5915),
    [sym_unary] = STATE(5915),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5918),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5917),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(8578),
    [sym__splat_star] = ACTIONS(8580),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(8582),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(8584),
    [sym_identifier] = ACTIONS(8584),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8530] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10325),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(10325),
    [sym_operator_assignment] = STATE(10325),
    [sym_conditional] = STATE(10325),
    [sym_range] = STATE(10325),
    [sym_binary] = STATE(10325),
    [sym_unary] = STATE(10325),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8531] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10326),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(10326),
    [sym_operator_assignment] = STATE(10326),
    [sym_conditional] = STATE(10326),
    [sym_range] = STATE(10326),
    [sym_binary] = STATE(10326),
    [sym_unary] = STATE(10326),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8532] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8533] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_then] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(13224),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [8534] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5915),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(5916),
    [sym__argument] = STATE(5917),
    [sym_splat_argument] = STATE(5917),
    [sym_hash_splat_argument] = STATE(5917),
    [sym_block_argument] = STATE(5917),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(5915),
    [sym_operator_assignment] = STATE(5915),
    [sym_conditional] = STATE(5915),
    [sym_range] = STATE(5915),
    [sym_binary] = STATE(5915),
    [sym_unary] = STATE(5915),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5918),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5917),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(8578),
    [sym__splat_star] = ACTIONS(8580),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(8582),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_then] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(8584),
    [sym_identifier] = ACTIONS(8584),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8535] = {
    [anon_sym_EQ] = ACTIONS(13240),
    [sym_comment] = ACTIONS(87),
  },
  [8536] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(13244),
    [anon_sym_DASH_EQ] = ACTIONS(13244),
    [anon_sym_STAR_EQ] = ACTIONS(13244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13244),
    [anon_sym_SLASH_EQ] = ACTIONS(13244),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13244),
    [anon_sym_PIPE_EQ] = ACTIONS(13244),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13244),
    [anon_sym_AMP_EQ] = ACTIONS(13244),
    [anon_sym_PERCENT_EQ] = ACTIONS(13244),
    [anon_sym_GT_GT_EQ] = ACTIONS(13244),
    [anon_sym_LT_LT_EQ] = ACTIONS(13244),
    [anon_sym_CARET_EQ] = ACTIONS(13244),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8537] = {
    [sym_string] = STATE(10341),
    [aux_sym_chained_string_repeat1] = STATE(10341),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8538] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(13224),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [8539] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10342),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(10342),
    [sym_operator_assignment] = STATE(10342),
    [sym_conditional] = STATE(10342),
    [sym_range] = STATE(10342),
    [sym_binary] = STATE(10342),
    [sym_unary] = STATE(10342),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8540] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_then] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(13224),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [8541] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10343),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(10343),
    [sym_operator_assignment] = STATE(10343),
    [sym_conditional] = STATE(10343),
    [sym_range] = STATE(10343),
    [sym_binary] = STATE(10343),
    [sym_unary] = STATE(10343),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8542] = {
    [sym_heredoc_body] = STATE(10344),
    [aux_sym_call_repeat1] = STATE(10344),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8543] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5915),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(5915),
    [sym_operator_assignment] = STATE(5915),
    [sym_conditional] = STATE(5915),
    [sym_range] = STATE(5915),
    [sym_binary] = STATE(5915),
    [sym_unary] = STATE(5915),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5918),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(10345),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(8578),
    [sym__splat_star] = ACTIONS(8580),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__identifier_hash_key] = ACTIONS(8582),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13246),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(8584),
    [sym_identifier] = ACTIONS(8584),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8544] = {
    [sym_heredoc_body] = STATE(10346),
    [aux_sym_call_repeat1] = STATE(10346),
    [aux_sym_argument_list_repeat1] = STATE(10347),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11326),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8545] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10348),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(10348),
    [sym_operator_assignment] = STATE(10348),
    [sym_conditional] = STATE(10348),
    [sym_range] = STATE(10348),
    [sym_binary] = STATE(10348),
    [sym_unary] = STATE(10348),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8546] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10349),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(10349),
    [sym_operator_assignment] = STATE(10349),
    [sym_conditional] = STATE(10349),
    [sym_range] = STATE(10349),
    [sym_binary] = STATE(10349),
    [sym_unary] = STATE(10349),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8547] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8550),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(8556),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8558),
    [anon_sym_DOT_DOT] = ACTIONS(8560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8562),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8566),
    [anon_sym_AMP_AMP] = ACTIONS(8566),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(8570),
    [anon_sym_BANG_EQ] = ACTIONS(8566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8566),
    [anon_sym_LT_EQ_GT] = ACTIONS(8566),
    [anon_sym_EQ_TILDE] = ACTIONS(8566),
    [anon_sym_BANG_TILDE] = ACTIONS(8566),
    [anon_sym_LT_EQ] = ACTIONS(8556),
    [anon_sym_GT] = ACTIONS(8556),
    [anon_sym_GT_EQ] = ACTIONS(8572),
    [anon_sym_CARET] = ACTIONS(8574),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [8548] = {
    [aux_sym_exceptions_repeat1] = STATE(10351),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8549] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8550),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(8556),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8558),
    [anon_sym_DOT_DOT] = ACTIONS(8560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8562),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8566),
    [anon_sym_AMP_AMP] = ACTIONS(8566),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(8570),
    [anon_sym_BANG_EQ] = ACTIONS(8566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8566),
    [anon_sym_LT_EQ_GT] = ACTIONS(8566),
    [anon_sym_EQ_TILDE] = ACTIONS(8566),
    [anon_sym_BANG_TILDE] = ACTIONS(8566),
    [anon_sym_LT_EQ] = ACTIONS(8556),
    [anon_sym_GT] = ACTIONS(8556),
    [anon_sym_GT_EQ] = ACTIONS(8572),
    [anon_sym_CARET] = ACTIONS(8574),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [8550] = {
    [sym_string] = STATE(8550),
    [aux_sym_chained_string_repeat1] = STATE(8550),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_then] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [8551] = {
    [sym_heredoc_body] = STATE(10352),
    [aux_sym_call_repeat1] = STATE(10352),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8552] = {
    [sym_heredoc_body] = STATE(10353),
    [aux_sym_call_repeat1] = STATE(10353),
    [aux_sym_argument_list_repeat1] = STATE(5977),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(5004),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8553] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [8554] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8555] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [8556] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8557] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [8558] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [8559] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13248),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8560] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [8561] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8615),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [8562] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [8563] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [8564] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [8565] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_ensure] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8615),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [8566] = {
    [aux_sym_exceptions_repeat1] = STATE(10356),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8567] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8615),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [8568] = {
    [sym_string] = STATE(8568),
    [aux_sym_chained_string_repeat1] = STATE(8568),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_ensure] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [8569] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_ensure] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [8570] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_ensure] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [8571] = {
    [sym_heredoc_body] = STATE(8571),
    [aux_sym_call_repeat1] = STATE(8571),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_ensure] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [8572] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3205),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(3205),
    [sym_operator_assignment] = STATE(3205),
    [sym_conditional] = STATE(3205),
    [sym_range] = STATE(3205),
    [sym_binary] = STATE(3205),
    [sym_unary] = STATE(3205),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3208),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(4956),
    [sym__splat_star] = ACTIONS(4958),
    [sym__unary_minus] = ACTIONS(2075),
    [sym__identifier_hash_key] = ACTIONS(4960),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11332),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(4962),
    [sym_identifier] = ACTIONS(4962),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8573] = {
    [sym_heredoc_body] = STATE(8571),
    [aux_sym_call_repeat1] = STATE(8571),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_ensure] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [8574] = {
    [aux_sym_argument_list_repeat1] = STATE(8574),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13250),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_ensure] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [8575] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_ensure] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [8576] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10357),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_assignment] = STATE(10357),
    [sym_operator_assignment] = STATE(10357),
    [sym_conditional] = STATE(10357),
    [sym_range] = STATE(10357),
    [sym_binary] = STATE(10357),
    [sym_unary] = STATE(10357),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8577] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_ensure] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [8578] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_ensure] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [8579] = {
    [sym_heredoc_body] = STATE(8579),
    [aux_sym_call_repeat1] = STATE(8579),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_ensure] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [8580] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3229),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(3229),
    [sym_operator_assignment] = STATE(3229),
    [sym_conditional] = STATE(3229),
    [sym_range] = STATE(3229),
    [sym_binary] = STATE(3229),
    [sym_unary] = STATE(3229),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3232),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(4996),
    [sym__splat_star] = ACTIONS(4998),
    [sym__unary_minus] = ACTIONS(2245),
    [sym__identifier_hash_key] = ACTIONS(5000),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11336),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(5002),
    [sym_identifier] = ACTIONS(5002),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8581] = {
    [sym_heredoc_body] = STATE(8579),
    [aux_sym_call_repeat1] = STATE(8579),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_ensure] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [8582] = {
    [aux_sym_argument_list_repeat1] = STATE(8582),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13253),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_ensure] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [8583] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_ensure] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [8584] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5978),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1213),
    [sym_scope_resolution] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_method_call] = STATE(1213),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(5978),
    [sym_operator_assignment] = STATE(5978),
    [sym_conditional] = STATE(5978),
    [sym_range] = STATE(5978),
    [sym_binary] = STATE(5978),
    [sym_unary] = STATE(5978),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(1212),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1213),
    [sym__variable] = STATE(1209),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1213),
    [sym_false] = STATE(1213),
    [sym_nil] = STATE(1213),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3197),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(4958),
    [sym__unary_minus] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_next] = ACTIONS(2085),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_defined_QMARK] = ACTIONS(2087),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [sym_constant] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2099),
    [sym_instance_variable] = ACTIONS(2097),
    [sym_class_variable] = ACTIONS(2097),
    [sym_global_variable] = ACTIONS(2097),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2099),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8585] = {
    [aux_sym_exceptions_repeat1] = STATE(10358),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13256),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_ensure] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [8586] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8587] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8588] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8589] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8590] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8591] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8592] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8593] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8594] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13258),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8595] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8596] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8597] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8598] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8599] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8600] = {
    [sym_heredoc_body] = STATE(8600),
    [aux_sym_call_repeat1] = STATE(8600),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [8601] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3251),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(3251),
    [sym_operator_assignment] = STATE(3251),
    [sym_conditional] = STATE(3251),
    [sym_range] = STATE(3251),
    [sym_binary] = STATE(3251),
    [sym_unary] = STATE(3251),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3256),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(5014),
    [sym__splat_star] = ACTIONS(5016),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__identifier_hash_key] = ACTIONS(5020),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11341),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(5030),
    [sym_identifier] = ACTIONS(5030),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8602] = {
    [sym_heredoc_body] = STATE(8600),
    [aux_sym_call_repeat1] = STATE(8600),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [8603] = {
    [aux_sym_argument_list_repeat1] = STATE(8603),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13260),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [8604] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8605] = {
    [aux_sym_exceptions_repeat1] = STATE(10361),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8606] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8607] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [8608] = {
    [sym__line_break] = ACTIONS(5904),
    [sym__heredoc_body_start] = ACTIONS(5904),
    [sym__element_reference_left_bracket] = ACTIONS(5904),
    [sym__infix_scope_colons] = ACTIONS(5904),
    [anon_sym_DOT] = ACTIONS(5904),
    [anon_sym_SEMI] = ACTIONS(5904),
    [anon_sym_then] = ACTIONS(5904),
    [anon_sym_AMP_DOT] = ACTIONS(5904),
    [sym_comment] = ACTIONS(87),
  },
  [8609] = {
    [sym_heredoc_body] = STATE(10363),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RBRACK] = ACTIONS(13263),
    [sym_comment] = ACTIONS(87),
  },
  [8610] = {
    [anon_sym_RBRACK] = ACTIONS(13263),
    [sym_comment] = ACTIONS(87),
  },
  [8611] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(933),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(938),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(938),
    [sym__argument_list_with_trailing_comma] = STATE(10365),
    [sym__argument] = STATE(936),
    [sym_splat_argument] = STATE(936),
    [sym_hash_splat_argument] = STATE(936),
    [sym_block_argument] = STATE(936),
    [sym_assignment] = STATE(933),
    [sym_operator_assignment] = STATE(933),
    [sym_conditional] = STATE(933),
    [sym_range] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_left_assignment_list] = STATE(937),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(938),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(938),
    [sym_false] = STATE(938),
    [sym_nil] = STATE(938),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(939),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(10366),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(936),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(151),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(1583),
    [sym__splat_star] = ACTIONS(1585),
    [sym__unary_minus] = ACTIONS(1587),
    [sym__identifier_hash_key] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(13265),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_defined_QMARK] = ACTIONS(1605),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [sym_constant] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [8612] = {
    [sym__line_break] = ACTIONS(1267),
    [sym__simple_symbol] = ACTIONS(1267),
    [sym__string_start] = ACTIONS(1267),
    [sym__symbol_start] = ACTIONS(1267),
    [sym__subshell_start] = ACTIONS(1267),
    [sym__regex_start] = ACTIONS(1267),
    [sym__string_array_start] = ACTIONS(1267),
    [sym__symbol_array_start] = ACTIONS(1267),
    [sym__heredoc_body_start] = ACTIONS(1267),
    [sym_heredoc_beginning] = ACTIONS(1267),
    [sym__element_reference_left_bracket] = ACTIONS(1267),
    [sym__block_ampersand] = ACTIONS(1267),
    [sym__splat_star] = ACTIONS(1267),
    [sym__argument_list_left_paren] = ACTIONS(1267),
    [sym__infix_scope_colons] = ACTIONS(1267),
    [sym__unary_minus] = ACTIONS(1267),
    [sym__identifier_hash_key] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_def] = ACTIONS(1269),
    [anon_sym_LPAREN] = ACTIONS(1267),
    [anon_sym_DOT] = ACTIONS(1267),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_SEMI] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1267),
    [anon_sym_class] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_yield] = ACTIONS(1269),
    [anon_sym_break] = ACTIONS(1269),
    [anon_sym_next] = ACTIONS(1269),
    [sym_redo] = ACTIONS(1269),
    [sym_retry] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1269),
    [anon_sym_unless] = ACTIONS(1269),
    [anon_sym_while] = ACTIONS(1269),
    [anon_sym_until] = ACTIONS(1269),
    [anon_sym_for] = ACTIONS(1269),
    [anon_sym_do] = ACTIONS(1269),
    [anon_sym_case] = ACTIONS(1269),
    [anon_sym_then] = ACTIONS(1269),
    [anon_sym_begin] = ACTIONS(1269),
    [anon_sym_AMP_DOT] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1267),
    [anon_sym_not] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1267),
    [anon_sym_TILDE] = ACTIONS(1267),
    [sym_constant] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1269),
    [sym_instance_variable] = ACTIONS(1267),
    [sym_class_variable] = ACTIONS(1267),
    [sym_global_variable] = ACTIONS(1267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1269),
    [sym_float] = ACTIONS(1269),
    [sym_complex] = ACTIONS(1267),
    [sym_super] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1269),
    [anon_sym_TRUE] = ACTIONS(1269),
    [anon_sym_false] = ACTIONS(1269),
    [anon_sym_FALSE] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [anon_sym_nil] = ACTIONS(1269),
    [anon_sym_NIL] = ACTIONS(1269),
    [sym_character] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1267),
    [anon_sym_DASH_GT] = ACTIONS(1267),
  },
  [8613] = {
    [sym__line_break] = ACTIONS(5920),
    [sym__simple_symbol] = ACTIONS(5920),
    [sym__string_start] = ACTIONS(5920),
    [sym__symbol_start] = ACTIONS(5920),
    [sym__subshell_start] = ACTIONS(5920),
    [sym__regex_start] = ACTIONS(5920),
    [sym__string_array_start] = ACTIONS(5920),
    [sym__symbol_array_start] = ACTIONS(5920),
    [sym__heredoc_body_start] = ACTIONS(5920),
    [sym_heredoc_beginning] = ACTIONS(5920),
    [sym__element_reference_left_bracket] = ACTIONS(5920),
    [sym__block_ampersand] = ACTIONS(5920),
    [sym__splat_star] = ACTIONS(5920),
    [sym__argument_list_left_paren] = ACTIONS(5920),
    [sym__infix_scope_colons] = ACTIONS(5920),
    [sym__unary_minus] = ACTIONS(5920),
    [sym__identifier_hash_key] = ACTIONS(5920),
    [anon_sym_LBRACE] = ACTIONS(5920),
    [anon_sym_def] = ACTIONS(5922),
    [anon_sym_LPAREN] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5920),
    [anon_sym_COLON_COLON] = ACTIONS(5920),
    [anon_sym_SEMI] = ACTIONS(5920),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_STAR_STAR] = ACTIONS(5920),
    [anon_sym_class] = ACTIONS(5922),
    [anon_sym_module] = ACTIONS(5922),
    [anon_sym_return] = ACTIONS(5922),
    [anon_sym_yield] = ACTIONS(5922),
    [anon_sym_break] = ACTIONS(5922),
    [anon_sym_next] = ACTIONS(5922),
    [sym_redo] = ACTIONS(5922),
    [sym_retry] = ACTIONS(5922),
    [anon_sym_if] = ACTIONS(5922),
    [anon_sym_unless] = ACTIONS(5922),
    [anon_sym_while] = ACTIONS(5922),
    [anon_sym_until] = ACTIONS(5922),
    [anon_sym_for] = ACTIONS(5922),
    [anon_sym_do] = ACTIONS(5922),
    [anon_sym_case] = ACTIONS(5922),
    [anon_sym_then] = ACTIONS(5922),
    [anon_sym_begin] = ACTIONS(5922),
    [anon_sym_AMP_DOT] = ACTIONS(5920),
    [anon_sym_PLUS] = ACTIONS(5922),
    [anon_sym_defined_QMARK] = ACTIONS(5920),
    [anon_sym_not] = ACTIONS(5922),
    [anon_sym_BANG] = ACTIONS(5920),
    [anon_sym_TILDE] = ACTIONS(5920),
    [sym_constant] = ACTIONS(5922),
    [sym_identifier] = ACTIONS(5922),
    [sym_instance_variable] = ACTIONS(5920),
    [sym_class_variable] = ACTIONS(5920),
    [sym_global_variable] = ACTIONS(5920),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5922),
    [sym_float] = ACTIONS(5922),
    [sym_complex] = ACTIONS(5920),
    [sym_super] = ACTIONS(5922),
    [anon_sym_true] = ACTIONS(5922),
    [anon_sym_TRUE] = ACTIONS(5922),
    [anon_sym_false] = ACTIONS(5922),
    [anon_sym_FALSE] = ACTIONS(5922),
    [sym_self] = ACTIONS(5922),
    [anon_sym_nil] = ACTIONS(5922),
    [anon_sym_NIL] = ACTIONS(5922),
    [sym_character] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
  },
  [8614] = {
    [sym__line_break] = ACTIONS(5924),
    [sym__simple_symbol] = ACTIONS(5924),
    [sym__string_start] = ACTIONS(5924),
    [sym__symbol_start] = ACTIONS(5924),
    [sym__subshell_start] = ACTIONS(5924),
    [sym__regex_start] = ACTIONS(5924),
    [sym__string_array_start] = ACTIONS(5924),
    [sym__symbol_array_start] = ACTIONS(5924),
    [sym__heredoc_body_start] = ACTIONS(5924),
    [sym_heredoc_beginning] = ACTIONS(5924),
    [sym__element_reference_left_bracket] = ACTIONS(5924),
    [sym__block_ampersand] = ACTIONS(5924),
    [sym__splat_star] = ACTIONS(5924),
    [sym__argument_list_left_paren] = ACTIONS(5924),
    [sym__infix_scope_colons] = ACTIONS(5924),
    [sym__unary_minus] = ACTIONS(5924),
    [sym__identifier_hash_key] = ACTIONS(5924),
    [anon_sym_LBRACE] = ACTIONS(5924),
    [anon_sym_def] = ACTIONS(5926),
    [anon_sym_LPAREN] = ACTIONS(5924),
    [anon_sym_DOT] = ACTIONS(5924),
    [anon_sym_COLON_COLON] = ACTIONS(5924),
    [anon_sym_SEMI] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_STAR_STAR] = ACTIONS(5924),
    [anon_sym_class] = ACTIONS(5926),
    [anon_sym_module] = ACTIONS(5926),
    [anon_sym_return] = ACTIONS(5926),
    [anon_sym_yield] = ACTIONS(5926),
    [anon_sym_break] = ACTIONS(5926),
    [anon_sym_next] = ACTIONS(5926),
    [sym_redo] = ACTIONS(5926),
    [sym_retry] = ACTIONS(5926),
    [anon_sym_if] = ACTIONS(5926),
    [anon_sym_unless] = ACTIONS(5926),
    [anon_sym_while] = ACTIONS(5926),
    [anon_sym_until] = ACTIONS(5926),
    [anon_sym_for] = ACTIONS(5926),
    [anon_sym_do] = ACTIONS(5926),
    [anon_sym_case] = ACTIONS(5926),
    [anon_sym_then] = ACTIONS(5926),
    [anon_sym_begin] = ACTIONS(5926),
    [anon_sym_AMP_DOT] = ACTIONS(5924),
    [anon_sym_PLUS] = ACTIONS(5926),
    [anon_sym_defined_QMARK] = ACTIONS(5924),
    [anon_sym_not] = ACTIONS(5926),
    [anon_sym_BANG] = ACTIONS(5924),
    [anon_sym_TILDE] = ACTIONS(5924),
    [sym_constant] = ACTIONS(5926),
    [sym_identifier] = ACTIONS(5926),
    [sym_instance_variable] = ACTIONS(5924),
    [sym_class_variable] = ACTIONS(5924),
    [sym_global_variable] = ACTIONS(5924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(5926),
    [sym_float] = ACTIONS(5926),
    [sym_complex] = ACTIONS(5924),
    [sym_super] = ACTIONS(5926),
    [anon_sym_true] = ACTIONS(5926),
    [anon_sym_TRUE] = ACTIONS(5926),
    [anon_sym_false] = ACTIONS(5926),
    [anon_sym_FALSE] = ACTIONS(5926),
    [sym_self] = ACTIONS(5926),
    [anon_sym_nil] = ACTIONS(5926),
    [anon_sym_NIL] = ACTIONS(5926),
    [sym_character] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5924),
    [anon_sym_DASH_GT] = ACTIONS(5924),
  },
  [8615] = {
    [sym_argument_list_with_parens] = STATE(10367),
    [sym__argument_list_with_parens] = STATE(8614),
    [sym_operator] = STATE(10367),
    [sym_heredoc_body] = STATE(3808),
    [aux_sym_call_repeat1] = STATE(3808),
    [sym__heredoc_body_start] = ACTIONS(2559),
    [sym__argument_list_left_paren] = ACTIONS(11345),
    [anon_sym_PIPE] = ACTIONS(11347),
    [anon_sym_STAR] = ACTIONS(11349),
    [anon_sym_STAR_STAR] = ACTIONS(11347),
    [anon_sym_AMP] = ACTIONS(11347),
    [anon_sym_LT] = ACTIONS(11349),
    [anon_sym_DOT_DOT] = ACTIONS(11347),
    [anon_sym_LT_LT] = ACTIONS(11347),
    [anon_sym_GT_GT] = ACTIONS(11347),
    [anon_sym_EQ_EQ] = ACTIONS(11349),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11347),
    [anon_sym_LT_EQ_GT] = ACTIONS(11347),
    [anon_sym_EQ_TILDE] = ACTIONS(11347),
    [anon_sym_BANG_TILDE] = ACTIONS(11347),
    [anon_sym_LT_EQ] = ACTIONS(11349),
    [anon_sym_GT] = ACTIONS(11349),
    [anon_sym_GT_EQ] = ACTIONS(11347),
    [anon_sym_CARET] = ACTIONS(11347),
    [anon_sym_PLUS] = ACTIONS(11349),
    [anon_sym_SLASH] = ACTIONS(11347),
    [anon_sym_PERCENT] = ACTIONS(11347),
    [anon_sym_BANG] = ACTIONS(11349),
    [anon_sym_TILDE] = ACTIONS(11347),
    [sym_constant] = ACTIONS(13267),
    [sym_identifier] = ACTIONS(13267),
    [anon_sym_DASH] = ACTIONS(11349),
    [anon_sym_PLUS_AT] = ACTIONS(11347),
    [anon_sym_DASH_AT] = ACTIONS(11347),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(11349),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(11347),
    [anon_sym_BQUOTE] = ACTIONS(11347),
    [sym_comment] = ACTIONS(87),
  },
  [8616] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10368),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(10368),
    [sym_operator_assignment] = STATE(10368),
    [sym_conditional] = STATE(10368),
    [sym_range] = STATE(10368),
    [sym_binary] = STATE(10368),
    [sym_unary] = STATE(10368),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8617] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10374),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(10375),
    [sym__argument] = STATE(10376),
    [sym_splat_argument] = STATE(10376),
    [sym_hash_splat_argument] = STATE(10376),
    [sym_block_argument] = STATE(10376),
    [sym_assignment] = STATE(10374),
    [sym_operator_assignment] = STATE(10374),
    [sym_conditional] = STATE(10374),
    [sym_range] = STATE(10374),
    [sym_binary] = STATE(10374),
    [sym_unary] = STATE(10374),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10377),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10376),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(13269),
    [sym__splat_star] = ACTIONS(13271),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(13273),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(11383),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(13275),
    [sym_identifier] = ACTIONS(13275),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8618] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10374),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(10375),
    [sym__argument] = STATE(10376),
    [sym_splat_argument] = STATE(10376),
    [sym_hash_splat_argument] = STATE(10376),
    [sym_block_argument] = STATE(10376),
    [sym_assignment] = STATE(10374),
    [sym_operator_assignment] = STATE(10374),
    [sym_conditional] = STATE(10374),
    [sym_range] = STATE(10374),
    [sym_binary] = STATE(10374),
    [sym_unary] = STATE(10374),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10377),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10376),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(13269),
    [sym__splat_star] = ACTIONS(13271),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(13273),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(11383),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(13275),
    [sym_identifier] = ACTIONS(13275),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8619] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10374),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(10375),
    [sym__argument] = STATE(10376),
    [sym_splat_argument] = STATE(10376),
    [sym_hash_splat_argument] = STATE(10376),
    [sym_block_argument] = STATE(10376),
    [sym_assignment] = STATE(10374),
    [sym_operator_assignment] = STATE(10374),
    [sym_conditional] = STATE(10374),
    [sym_range] = STATE(10374),
    [sym_binary] = STATE(10374),
    [sym_unary] = STATE(10374),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10377),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10376),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(13269),
    [sym__splat_star] = ACTIONS(13271),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(13273),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(11383),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(13275),
    [sym_identifier] = ACTIONS(13275),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8620] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10374),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(10375),
    [sym__argument] = STATE(10376),
    [sym_splat_argument] = STATE(10376),
    [sym_hash_splat_argument] = STATE(10376),
    [sym_block_argument] = STATE(10376),
    [sym_assignment] = STATE(10374),
    [sym_operator_assignment] = STATE(10374),
    [sym_conditional] = STATE(10374),
    [sym_range] = STATE(10374),
    [sym_binary] = STATE(10374),
    [sym_unary] = STATE(10374),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10377),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10376),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(13269),
    [sym__splat_star] = ACTIONS(13271),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(13273),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_then] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(11383),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(13275),
    [sym_identifier] = ACTIONS(13275),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8621] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10378),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(10378),
    [sym_operator_assignment] = STATE(10378),
    [sym_conditional] = STATE(10378),
    [sym_range] = STATE(10378),
    [sym_binary] = STATE(10378),
    [sym_unary] = STATE(10378),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8622] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10379),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(10379),
    [sym_operator_assignment] = STATE(10379),
    [sym_conditional] = STATE(10379),
    [sym_range] = STATE(10379),
    [sym_binary] = STATE(10379),
    [sym_unary] = STATE(10379),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8623] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8624] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_then] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(13295),
    [anon_sym_or] = ACTIONS(13295),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [8625] = {
    [anon_sym_EQ] = ACTIONS(13309),
    [sym_comment] = ACTIONS(87),
  },
  [8626] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(13311),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(13313),
    [anon_sym_DASH_EQ] = ACTIONS(13313),
    [anon_sym_STAR_EQ] = ACTIONS(13313),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13313),
    [anon_sym_SLASH_EQ] = ACTIONS(13313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13313),
    [anon_sym_PIPE_EQ] = ACTIONS(13313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13313),
    [anon_sym_AMP_EQ] = ACTIONS(13313),
    [anon_sym_PERCENT_EQ] = ACTIONS(13313),
    [anon_sym_GT_GT_EQ] = ACTIONS(13313),
    [anon_sym_LT_LT_EQ] = ACTIONS(13313),
    [anon_sym_CARET_EQ] = ACTIONS(13313),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [8627] = {
    [sym_string] = STATE(10394),
    [aux_sym_chained_string_repeat1] = STATE(10394),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [8628] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(13295),
    [anon_sym_or] = ACTIONS(13295),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [8629] = {
    [sym__line_break] = ACTIONS(4198),
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4198),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_do] = ACTIONS(4198),
    [anon_sym_then] = ACTIONS(4198),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
  },
  [8630] = {
    [sym_heredoc_body] = STATE(10396),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(13315),
    [sym_comment] = ACTIONS(87),
  },
  [8631] = {
    [anon_sym_RPAREN] = ACTIONS(13315),
    [sym_comment] = ACTIONS(87),
  },
  [8632] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [8633] = {
    [sym_string] = STATE(8676),
    [aux_sym_chained_string_repeat1] = STATE(8676),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [8634] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10397),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(10397),
    [sym_operator_assignment] = STATE(10397),
    [sym_conditional] = STATE(10397),
    [sym_range] = STATE(10397),
    [sym_binary] = STATE(10397),
    [sym_unary] = STATE(10397),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8635] = {
    [sym__line_break] = ACTIONS(5684),
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(997),
    [sym__binary_star] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_STAR_STAR] = ACTIONS(997),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_then] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(997),
    [anon_sym_and] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(997),
    [anon_sym_PIPE_PIPE] = ACTIONS(997),
    [anon_sym_AMP_AMP] = ACTIONS(997),
    [anon_sym_LT_LT] = ACTIONS(997),
    [anon_sym_GT_GT] = ACTIONS(997),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(997),
    [anon_sym_LT_EQ_GT] = ACTIONS(997),
    [anon_sym_EQ_TILDE] = ACTIONS(997),
    [anon_sym_BANG_TILDE] = ACTIONS(997),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(999),
    [anon_sym_GT_EQ] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_SLASH] = ACTIONS(997),
    [anon_sym_PERCENT] = ACTIONS(997),
    [sym_comment] = ACTIONS(87),
  },
  [8636] = {
    [anon_sym_RBRACE] = ACTIONS(13317),
    [sym_comment] = ACTIONS(87),
  },
  [8637] = {
    [sym__statements] = STATE(10399),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(13317),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8638] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_then] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(13295),
    [anon_sym_or] = ACTIONS(13295),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [8639] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10400),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10400),
    [sym_operator_assignment] = STATE(10400),
    [sym_conditional] = STATE(10400),
    [sym_range] = STATE(10400),
    [sym_binary] = STATE(10400),
    [sym_unary] = STATE(10400),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8640] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10401),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10401),
    [sym_operator_assignment] = STATE(10401),
    [sym_conditional] = STATE(10401),
    [sym_range] = STATE(10401),
    [sym_binary] = STATE(10401),
    [sym_unary] = STATE(10401),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8641] = {
    [sym__keyword_colon] = ACTIONS(13319),
    [sym_comment] = ACTIONS(87),
  },
  [8642] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10403),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10403),
    [sym_operator_assignment] = STATE(10403),
    [sym_conditional] = STATE(10403),
    [sym_range] = STATE(10403),
    [sym_binary] = STATE(10403),
    [sym_unary] = STATE(10403),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8643] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(13319),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_then] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [8644] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_then] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [8645] = {
    [sym_heredoc_body] = STATE(10405),
    [aux_sym_call_repeat1] = STATE(10405),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [8646] = {
    [sym_heredoc_body] = STATE(10405),
    [aux_sym_call_repeat1] = STATE(10405),
    [aux_sym_argument_list_repeat1] = STATE(10407),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(13321),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [8647] = {
    [sym_string] = STATE(8676),
    [aux_sym_chained_string_repeat1] = STATE(8676),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(13323),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [8648] = {
    [sym__line_break] = ACTIONS(5724),
    [sym__heredoc_body_start] = ACTIONS(5724),
    [sym__element_reference_left_bracket] = ACTIONS(5724),
    [sym__infix_scope_colons] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym_then] = ACTIONS(5724),
    [anon_sym_AMP_DOT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(87),
  },
  [8649] = {
    [anon_sym_end] = ACTIONS(13325),
    [sym_comment] = ACTIONS(87),
  },
  [8650] = {
    [sym__statements] = STATE(10410),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(10411),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(10411),
    [sym__line_break] = ACTIONS(13327),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13329),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8651] = {
    [sym__statements] = STATE(10410),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(10412),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13329),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8652] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [8653] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [8654] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10413),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10413),
    [sym_operator_assignment] = STATE(10413),
    [sym_conditional] = STATE(10413),
    [sym_range] = STATE(10413),
    [sym_binary] = STATE(10413),
    [sym_unary] = STATE(10413),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8655] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10414),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10414),
    [sym_operator_assignment] = STATE(10414),
    [sym_conditional] = STATE(10414),
    [sym_range] = STATE(10414),
    [sym_binary] = STATE(10414),
    [sym_unary] = STATE(10414),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8656] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10415),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10415),
    [sym_operator_assignment] = STATE(10415),
    [sym_conditional] = STATE(10415),
    [sym_range] = STATE(10415),
    [sym_binary] = STATE(10415),
    [sym_unary] = STATE(10415),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8657] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10416),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10416),
    [sym_operator_assignment] = STATE(10416),
    [sym_conditional] = STATE(10416),
    [sym_range] = STATE(10416),
    [sym_binary] = STATE(10416),
    [sym_unary] = STATE(10416),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8658] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10417),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10417),
    [sym_operator_assignment] = STATE(10417),
    [sym_conditional] = STATE(10417),
    [sym_range] = STATE(10417),
    [sym_binary] = STATE(10417),
    [sym_unary] = STATE(10417),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8659] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10418),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10418),
    [sym_operator_assignment] = STATE(10418),
    [sym_conditional] = STATE(10418),
    [sym_range] = STATE(10418),
    [sym_binary] = STATE(10418),
    [sym_unary] = STATE(10418),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8660] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10419),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(10419),
    [sym_operator_assignment] = STATE(10419),
    [sym_conditional] = STATE(10419),
    [sym_range] = STATE(10419),
    [sym_binary] = STATE(10419),
    [sym_unary] = STATE(10419),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8661] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10420),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10420),
    [sym_operator_assignment] = STATE(10420),
    [sym_conditional] = STATE(10420),
    [sym_range] = STATE(10420),
    [sym_binary] = STATE(10420),
    [sym_unary] = STATE(10420),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [8662] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10421),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10421),
    [sym_operator_assignment] = STATE(10421),
    [sym_conditional] = STATE(10421),
    [sym_range] = STATE(10421),
    [sym_binary] = STATE(10421),
    [sym_unary] = STATE(10421),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8663] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10422),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10422),
    [sym_operator_assignment] = STATE(10422),
    [sym_conditional] = STATE(10422),
    [sym_range] = STATE(10422),
    [sym_binary] = STATE(10422),
    [sym_unary] = STATE(10422),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8664] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10423),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10423),
    [sym_operator_assignment] = STATE(10423),
    [sym_conditional] = STATE(10423),
    [sym_range] = STATE(10423),
    [sym_binary] = STATE(10423),
    [sym_unary] = STATE(10423),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8665] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10424),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10424),
    [sym_operator_assignment] = STATE(10424),
    [sym_conditional] = STATE(10424),
    [sym_range] = STATE(10424),
    [sym_binary] = STATE(10424),
    [sym_unary] = STATE(10424),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8666] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10425),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10425),
    [sym_operator_assignment] = STATE(10425),
    [sym_conditional] = STATE(10425),
    [sym_range] = STATE(10425),
    [sym_binary] = STATE(10425),
    [sym_unary] = STATE(10425),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8667] = {
    [sym__statements] = STATE(8636),
    [sym__top_level_statement] = STATE(510),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(511),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_block_parameters] = STATE(8637),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(512),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(515),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(515),
    [sym_assignment] = STATE(512),
    [sym_operator_assignment] = STATE(512),
    [sym_conditional] = STATE(512),
    [sym_range] = STATE(512),
    [sym_binary] = STATE(512),
    [sym_unary] = STATE(512),
    [sym_left_assignment_list] = STATE(514),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(515),
    [sym__variable] = STATE(513),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(515),
    [sym_false] = STATE(515),
    [sym_nil] = STATE(515),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(516),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(945),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(13331),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_next] = ACTIONS(955),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_defined_QMARK] = ACTIONS(959),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [anon_sym_undef] = ACTIONS(969),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8668] = {
    [sym__line_break] = ACTIONS(6134),
    [sym__heredoc_body_start] = ACTIONS(6134),
    [sym__element_reference_left_bracket] = ACTIONS(6134),
    [sym__infix_scope_colons] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6134),
    [anon_sym_SEMI] = ACTIONS(6134),
    [anon_sym_then] = ACTIONS(6134),
    [anon_sym_AMP_DOT] = ACTIONS(6134),
    [sym_comment] = ACTIONS(87),
  },
  [8669] = {
    [sym_interpolation] = STATE(10428),
    [aux_sym_heredoc_body_repeat1] = STATE(10428),
    [sym__heredoc_content] = ACTIONS(13333),
    [sym_heredoc_end] = ACTIONS(13335),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(13333),
  },
  [8670] = {
    [sym_heredoc_body] = STATE(10429),
    [aux_sym_call_repeat1] = STATE(10429),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(11429),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8671] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6027),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym__argument] = STATE(10430),
    [sym_splat_argument] = STATE(10430),
    [sym_hash_splat_argument] = STATE(10430),
    [sym_block_argument] = STATE(10430),
    [sym_assignment] = STATE(6027),
    [sym_operator_assignment] = STATE(6027),
    [sym_conditional] = STATE(6027),
    [sym_range] = STATE(6027),
    [sym_binary] = STATE(6027),
    [sym_unary] = STATE(6027),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6034),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(10431),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(10430),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(8701),
    [sym__splat_star] = ACTIONS(8703),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__identifier_hash_key] = ACTIONS(8709),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8713),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(8733),
    [sym_identifier] = ACTIONS(8733),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8672] = {
    [sym_heredoc_body] = STATE(10432),
    [aux_sym_call_repeat1] = STATE(10432),
    [aux_sym_argument_list_repeat1] = STATE(10433),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(11429),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(11431),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8673] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10434),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_splat_argument] = STATE(10435),
    [sym_assignment] = STATE(10434),
    [sym_operator_assignment] = STATE(10434),
    [sym_conditional] = STATE(10434),
    [sym_range] = STATE(10434),
    [sym_binary] = STATE(10434),
    [sym_unary] = STATE(10434),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(10435),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(11379),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8674] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10436),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(10436),
    [sym_operator_assignment] = STATE(10436),
    [sym_conditional] = STATE(10436),
    [sym_range] = STATE(10436),
    [sym_binary] = STATE(10436),
    [sym_unary] = STATE(10436),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8675] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10437),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(10437),
    [sym_operator_assignment] = STATE(10437),
    [sym_conditional] = STATE(10437),
    [sym_range] = STATE(10437),
    [sym_binary] = STATE(10437),
    [sym_unary] = STATE(10437),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8676] = {
    [sym_string] = STATE(10438),
    [aux_sym_chained_string_repeat1] = STATE(10438),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_then] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [8677] = {
    [anon_sym_end] = ACTIONS(13337),
    [anon_sym_else] = ACTIONS(13337),
    [anon_sym_ensure] = ACTIONS(13337),
    [sym_comment] = ACTIONS(87),
  },
  [8678] = {
    [sym_rescue] = STATE(10439),
    [anon_sym_end] = ACTIONS(13337),
    [anon_sym_rescue] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(13337),
    [anon_sym_ensure] = ACTIONS(13337),
    [sym_comment] = ACTIONS(87),
  },
  [8679] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10440),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_assignment] = STATE(10440),
    [sym_operator_assignment] = STATE(10440),
    [sym_conditional] = STATE(10440),
    [sym_range] = STATE(10440),
    [sym_binary] = STATE(10440),
    [sym_unary] = STATE(10440),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8680] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_then] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8681] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8682] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [8683] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8684] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [8685] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8686] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8687] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_then] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8688] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13339),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8689] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8690] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8691] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8692] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8693] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8694] = {
    [sym_heredoc_body] = STATE(8694),
    [aux_sym_call_repeat1] = STATE(8694),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [8695] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3294),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(3294),
    [sym_operator_assignment] = STATE(3294),
    [sym_conditional] = STATE(3294),
    [sym_range] = STATE(3294),
    [sym_binary] = STATE(3294),
    [sym_unary] = STATE(3294),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3300),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(5084),
    [sym__splat_star] = ACTIONS(5086),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__identifier_hash_key] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11447),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5108),
    [sym_identifier] = ACTIONS(5108),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8696] = {
    [sym_heredoc_body] = STATE(8694),
    [aux_sym_call_repeat1] = STATE(8694),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [8697] = {
    [aux_sym_argument_list_repeat1] = STATE(8697),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13341),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [8698] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8699] = {
    [aux_sym_exceptions_repeat1] = STATE(10443),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [8700] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8701] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_then] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [8702] = {
    [sym_string] = STATE(8702),
    [aux_sym_chained_string_repeat1] = STATE(8702),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_then] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [8703] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5062),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(5064),
    [anon_sym_DOT_DOT] = ACTIONS(5066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5068),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5072),
    [anon_sym_LT_EQ_GT] = ACTIONS(5072),
    [anon_sym_EQ_TILDE] = ACTIONS(5072),
    [anon_sym_BANG_TILDE] = ACTIONS(5072),
    [anon_sym_LT_EQ] = ACTIONS(5062),
    [anon_sym_GT] = ACTIONS(5062),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [8704] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6081),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1232),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(1232),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(6081),
    [sym_operator_assignment] = STATE(6081),
    [sym_conditional] = STATE(6081),
    [sym_range] = STATE(6081),
    [sym_binary] = STATE(6081),
    [sym_unary] = STATE(6081),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(1231),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1232),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1232),
    [sym_false] = STATE(1232),
    [sym_nil] = STATE(1232),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(8787),
    [sym__unary_minus] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_defined_QMARK] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_TILDE] = ACTIONS(2123),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8705] = {
    [aux_sym_exceptions_repeat1] = STATE(10444),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(13344),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [8706] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [8707] = {
    [sym_heredoc_body] = STATE(10445),
    [aux_sym_call_repeat1] = STATE(10445),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [8708] = {
    [sym_heredoc_body] = STATE(10445),
    [aux_sym_call_repeat1] = STATE(10445),
    [aux_sym_argument_list_repeat1] = STATE(10446),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(8859),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_ensure] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [8709] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [8710] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11466),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [8711] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10447),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10447),
    [sym_operator_assignment] = STATE(10447),
    [sym_conditional] = STATE(10447),
    [sym_range] = STATE(10447),
    [sym_binary] = STATE(10447),
    [sym_unary] = STATE(10447),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8712] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10448),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10448),
    [sym_operator_assignment] = STATE(10448),
    [sym_conditional] = STATE(10448),
    [sym_range] = STATE(10448),
    [sym_binary] = STATE(10448),
    [sym_unary] = STATE(10448),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8713] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10449),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10449),
    [sym_operator_assignment] = STATE(10449),
    [sym_conditional] = STATE(10449),
    [sym_range] = STATE(10449),
    [sym_binary] = STATE(10449),
    [sym_unary] = STATE(10449),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8714] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10450),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10450),
    [sym_operator_assignment] = STATE(10450),
    [sym_conditional] = STATE(10450),
    [sym_range] = STATE(10450),
    [sym_binary] = STATE(10450),
    [sym_unary] = STATE(10450),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8715] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10451),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10451),
    [sym_operator_assignment] = STATE(10451),
    [sym_conditional] = STATE(10451),
    [sym_range] = STATE(10451),
    [sym_binary] = STATE(10451),
    [sym_unary] = STATE(10451),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8716] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10452),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10452),
    [sym_operator_assignment] = STATE(10452),
    [sym_conditional] = STATE(10452),
    [sym_range] = STATE(10452),
    [sym_binary] = STATE(10452),
    [sym_unary] = STATE(10452),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8717] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10453),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10453),
    [sym_operator_assignment] = STATE(10453),
    [sym_conditional] = STATE(10453),
    [sym_range] = STATE(10453),
    [sym_binary] = STATE(10453),
    [sym_unary] = STATE(10453),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [8718] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10454),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10454),
    [sym_operator_assignment] = STATE(10454),
    [sym_conditional] = STATE(10454),
    [sym_range] = STATE(10454),
    [sym_binary] = STATE(10454),
    [sym_unary] = STATE(10454),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8719] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10455),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10455),
    [sym_operator_assignment] = STATE(10455),
    [sym_conditional] = STATE(10455),
    [sym_range] = STATE(10455),
    [sym_binary] = STATE(10455),
    [sym_unary] = STATE(10455),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8720] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10456),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10456),
    [sym_operator_assignment] = STATE(10456),
    [sym_conditional] = STATE(10456),
    [sym_range] = STATE(10456),
    [sym_binary] = STATE(10456),
    [sym_unary] = STATE(10456),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8721] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10457),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10457),
    [sym_operator_assignment] = STATE(10457),
    [sym_conditional] = STATE(10457),
    [sym_range] = STATE(10457),
    [sym_binary] = STATE(10457),
    [sym_unary] = STATE(10457),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8722] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10458),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10458),
    [sym_operator_assignment] = STATE(10458),
    [sym_conditional] = STATE(10458),
    [sym_range] = STATE(10458),
    [sym_binary] = STATE(10458),
    [sym_unary] = STATE(10458),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8723] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10459),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_splat_argument] = STATE(10460),
    [sym_assignment] = STATE(10459),
    [sym_operator_assignment] = STATE(10459),
    [sym_conditional] = STATE(10459),
    [sym_range] = STATE(10459),
    [sym_binary] = STATE(10459),
    [sym_unary] = STATE(10459),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(10460),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(5128),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8724] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10461),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(10461),
    [sym_operator_assignment] = STATE(10461),
    [sym_conditional] = STATE(10461),
    [sym_range] = STATE(10461),
    [sym_binary] = STATE(10461),
    [sym_unary] = STATE(10461),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8725] = {
    [sym_string] = STATE(10462),
    [aux_sym_chained_string_repeat1] = STATE(10462),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_ensure] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [8726] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_ensure] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(11466),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [8727] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_ensure] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8728] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_ensure] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8729] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10463),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(10463),
    [sym_operator_assignment] = STATE(10463),
    [sym_conditional] = STATE(10463),
    [sym_range] = STATE(10463),
    [sym_binary] = STATE(10463),
    [sym_unary] = STATE(10463),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8730] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_ensure] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8731] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10464),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(10464),
    [sym_operator_assignment] = STATE(10464),
    [sym_conditional] = STATE(10464),
    [sym_range] = STATE(10464),
    [sym_binary] = STATE(10464),
    [sym_unary] = STATE(10464),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8732] = {
    [sym_heredoc_body] = STATE(10465),
    [aux_sym_call_repeat1] = STATE(10465),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8733] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6107),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(6107),
    [sym_operator_assignment] = STATE(6107),
    [sym_conditional] = STATE(6107),
    [sym_range] = STATE(6107),
    [sym_binary] = STATE(6107),
    [sym_unary] = STATE(6107),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6110),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(10466),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(8811),
    [sym__splat_star] = ACTIONS(8813),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__identifier_hash_key] = ACTIONS(8815),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13346),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(8817),
    [sym_identifier] = ACTIONS(8817),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8734] = {
    [sym_heredoc_body] = STATE(10467),
    [aux_sym_call_repeat1] = STATE(10467),
    [aux_sym_argument_list_repeat1] = STATE(10468),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11492),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8735] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10469),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(10469),
    [sym_operator_assignment] = STATE(10469),
    [sym_conditional] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_binary] = STATE(10469),
    [sym_unary] = STATE(10469),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8736] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8737] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8738] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8739] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8740] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8741] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8742] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_ensure] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(11466),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [8743] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13348),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8744] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8745] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8746] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8747] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8748] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8749] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_ensure] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8750] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_ensure] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8751] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10471),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(10471),
    [sym_operator_assignment] = STATE(10471),
    [sym_conditional] = STATE(10471),
    [sym_range] = STATE(10471),
    [sym_binary] = STATE(10471),
    [sym_unary] = STATE(10471),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8752] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_ensure] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8753] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10472),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(10472),
    [sym_operator_assignment] = STATE(10472),
    [sym_conditional] = STATE(10472),
    [sym_range] = STATE(10472),
    [sym_binary] = STATE(10472),
    [sym_unary] = STATE(10472),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8754] = {
    [sym_heredoc_body] = STATE(10473),
    [aux_sym_call_repeat1] = STATE(10473),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8755] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6131),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(6131),
    [sym_operator_assignment] = STATE(6131),
    [sym_conditional] = STATE(6131),
    [sym_range] = STATE(6131),
    [sym_binary] = STATE(6131),
    [sym_unary] = STATE(6131),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6134),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(10474),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(8851),
    [sym__splat_star] = ACTIONS(8853),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__identifier_hash_key] = ACTIONS(8855),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13350),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(8857),
    [sym_identifier] = ACTIONS(8857),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8756] = {
    [sym_heredoc_body] = STATE(10475),
    [aux_sym_call_repeat1] = STATE(10475),
    [aux_sym_argument_list_repeat1] = STATE(10476),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11498),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8757] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10477),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(10477),
    [sym_operator_assignment] = STATE(10477),
    [sym_conditional] = STATE(10477),
    [sym_range] = STATE(10477),
    [sym_binary] = STATE(10477),
    [sym_unary] = STATE(10477),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8758] = {
    [sym_heredoc_body] = STATE(8758),
    [aux_sym_call_repeat1] = STATE(8758),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_ensure] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [8759] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3320),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(3320),
    [sym_operator_assignment] = STATE(3320),
    [sym_conditional] = STATE(3320),
    [sym_range] = STATE(3320),
    [sym_binary] = STATE(3320),
    [sym_unary] = STATE(3320),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3326),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(5126),
    [sym__splat_star] = ACTIONS(5128),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__identifier_hash_key] = ACTIONS(5132),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11502),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5150),
    [sym_identifier] = ACTIONS(5150),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8760] = {
    [sym_heredoc_body] = STATE(8758),
    [aux_sym_call_repeat1] = STATE(8758),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_ensure] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [8761] = {
    [aux_sym_argument_list_repeat1] = STATE(8761),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13352),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_ensure] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [8762] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_ensure] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8763] = {
    [aux_sym_exceptions_repeat1] = STATE(10479),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8764] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [8765] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_ensure] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(11466),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [8766] = {
    [sym_string] = STATE(8766),
    [aux_sym_chained_string_repeat1] = STATE(8766),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_ensure] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [8767] = {
    [aux_sym_undef_repeat1] = STATE(8767),
    [sym__line_break] = ACTIONS(9196),
    [sym__heredoc_body_start] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9198),
    [anon_sym_SEMI] = ACTIONS(9196),
    [anon_sym_end] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [anon_sym_ensure] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [8768] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1246),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1247),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(1247),
    [sym_operator_assignment] = STATE(1247),
    [sym_conditional] = STATE(1247),
    [sym_range] = STATE(1247),
    [sym_binary] = STATE(1247),
    [sym_unary] = STATE(1247),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [anon_sym_undef] = ACTIONS(2157),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8769] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10480),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1250),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(1250),
    [sym_assignment] = STATE(10480),
    [sym_operator_assignment] = STATE(10480),
    [sym_conditional] = STATE(10480),
    [sym_range] = STATE(10480),
    [sym_binary] = STATE(10480),
    [sym_unary] = STATE(10480),
    [sym_left_assignment_list] = STATE(1249),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1250),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1250),
    [sym_false] = STATE(1250),
    [sym_nil] = STATE(1250),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1251),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2143),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_defined_QMARK] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8770] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [8771] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [8772] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [8773] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10481),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10481),
    [sym_operator_assignment] = STATE(10481),
    [sym_conditional] = STATE(10481),
    [sym_range] = STATE(10481),
    [sym_binary] = STATE(10481),
    [sym_unary] = STATE(10481),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8774] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10482),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10482),
    [sym_operator_assignment] = STATE(10482),
    [sym_conditional] = STATE(10482),
    [sym_range] = STATE(10482),
    [sym_binary] = STATE(10482),
    [sym_unary] = STATE(10482),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8775] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10483),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10483),
    [sym_operator_assignment] = STATE(10483),
    [sym_conditional] = STATE(10483),
    [sym_range] = STATE(10483),
    [sym_binary] = STATE(10483),
    [sym_unary] = STATE(10483),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8776] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10484),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10484),
    [sym_operator_assignment] = STATE(10484),
    [sym_conditional] = STATE(10484),
    [sym_range] = STATE(10484),
    [sym_binary] = STATE(10484),
    [sym_unary] = STATE(10484),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8777] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10485),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10485),
    [sym_operator_assignment] = STATE(10485),
    [sym_conditional] = STATE(10485),
    [sym_range] = STATE(10485),
    [sym_binary] = STATE(10485),
    [sym_unary] = STATE(10485),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8778] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10486),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10486),
    [sym_operator_assignment] = STATE(10486),
    [sym_conditional] = STATE(10486),
    [sym_range] = STATE(10486),
    [sym_binary] = STATE(10486),
    [sym_unary] = STATE(10486),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8779] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10487),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10487),
    [sym_operator_assignment] = STATE(10487),
    [sym_conditional] = STATE(10487),
    [sym_range] = STATE(10487),
    [sym_binary] = STATE(10487),
    [sym_unary] = STATE(10487),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [8780] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10488),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10488),
    [sym_operator_assignment] = STATE(10488),
    [sym_conditional] = STATE(10488),
    [sym_range] = STATE(10488),
    [sym_binary] = STATE(10488),
    [sym_unary] = STATE(10488),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8781] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10489),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10489),
    [sym_operator_assignment] = STATE(10489),
    [sym_conditional] = STATE(10489),
    [sym_range] = STATE(10489),
    [sym_binary] = STATE(10489),
    [sym_unary] = STATE(10489),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8782] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10490),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10490),
    [sym_operator_assignment] = STATE(10490),
    [sym_conditional] = STATE(10490),
    [sym_range] = STATE(10490),
    [sym_binary] = STATE(10490),
    [sym_unary] = STATE(10490),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8783] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10491),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10491),
    [sym_operator_assignment] = STATE(10491),
    [sym_conditional] = STATE(10491),
    [sym_range] = STATE(10491),
    [sym_binary] = STATE(10491),
    [sym_unary] = STATE(10491),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8784] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10492),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10492),
    [sym_operator_assignment] = STATE(10492),
    [sym_conditional] = STATE(10492),
    [sym_range] = STATE(10492),
    [sym_binary] = STATE(10492),
    [sym_unary] = STATE(10492),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8785] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10493),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_splat_argument] = STATE(10494),
    [sym_assignment] = STATE(10493),
    [sym_operator_assignment] = STATE(10493),
    [sym_conditional] = STATE(10493),
    [sym_range] = STATE(10493),
    [sym_binary] = STATE(10493),
    [sym_unary] = STATE(10493),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(10494),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(5204),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8786] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10495),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(10495),
    [sym_operator_assignment] = STATE(10495),
    [sym_conditional] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_binary] = STATE(10495),
    [sym_unary] = STATE(10495),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8787] = {
    [sym_string] = STATE(10496),
    [aux_sym_chained_string_repeat1] = STATE(10496),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_ensure] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [8788] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_ensure] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [8789] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8790] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [8791] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8792] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [8793] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8794] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8795] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_ensure] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [8796] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13355),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8797] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8798] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8799] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8800] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8801] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8802] = {
    [sym_heredoc_body] = STATE(8802),
    [aux_sym_call_repeat1] = STATE(8802),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_ensure] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [8803] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3362),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(3362),
    [sym_operator_assignment] = STATE(3362),
    [sym_conditional] = STATE(3362),
    [sym_range] = STATE(3362),
    [sym_binary] = STATE(3362),
    [sym_unary] = STATE(3362),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3368),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(5202),
    [sym__splat_star] = ACTIONS(5204),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__identifier_hash_key] = ACTIONS(5208),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11543),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5226),
    [sym_identifier] = ACTIONS(5226),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8804] = {
    [sym_heredoc_body] = STATE(8802),
    [aux_sym_call_repeat1] = STATE(8802),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_ensure] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [8805] = {
    [aux_sym_argument_list_repeat1] = STATE(8805),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13357),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_ensure] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [8806] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_ensure] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8807] = {
    [aux_sym_exceptions_repeat1] = STATE(10499),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [8808] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [8809] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_ensure] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [8810] = {
    [sym_string] = STATE(8810),
    [aux_sym_chained_string_repeat1] = STATE(8810),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_ensure] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [8811] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(11553),
    [anon_sym_LT] = ACTIONS(11555),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_ensure] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_DOT_DOT] = ACTIONS(11559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11563),
    [anon_sym_AMP_AMP] = ACTIONS(11563),
    [anon_sym_LT_LT] = ACTIONS(11565),
    [anon_sym_GT_GT] = ACTIONS(11565),
    [anon_sym_EQ_EQ] = ACTIONS(11567),
    [anon_sym_BANG_EQ] = ACTIONS(11563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11563),
    [anon_sym_LT_EQ_GT] = ACTIONS(11563),
    [anon_sym_EQ_TILDE] = ACTIONS(11563),
    [anon_sym_BANG_TILDE] = ACTIONS(11563),
    [anon_sym_LT_EQ] = ACTIONS(11555),
    [anon_sym_GT] = ACTIONS(11555),
    [anon_sym_GT_EQ] = ACTIONS(11569),
    [anon_sym_CARET] = ACTIONS(11571),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [8812] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_ensure] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [8813] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [8814] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(11553),
    [anon_sym_LT] = ACTIONS(11555),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_ensure] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_DOT_DOT] = ACTIONS(11559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11563),
    [anon_sym_AMP_AMP] = ACTIONS(11563),
    [anon_sym_LT_LT] = ACTIONS(11565),
    [anon_sym_GT_GT] = ACTIONS(11565),
    [anon_sym_EQ_EQ] = ACTIONS(11567),
    [anon_sym_BANG_EQ] = ACTIONS(11563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11563),
    [anon_sym_LT_EQ_GT] = ACTIONS(11563),
    [anon_sym_EQ_TILDE] = ACTIONS(11563),
    [anon_sym_BANG_TILDE] = ACTIONS(11563),
    [anon_sym_LT_EQ] = ACTIONS(11555),
    [anon_sym_GT] = ACTIONS(11555),
    [anon_sym_GT_EQ] = ACTIONS(11569),
    [anon_sym_CARET] = ACTIONS(11571),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [8815] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10500),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10500),
    [sym_operator_assignment] = STATE(10500),
    [sym_conditional] = STATE(10500),
    [sym_range] = STATE(10500),
    [sym_binary] = STATE(10500),
    [sym_unary] = STATE(10500),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8816] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10501),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10501),
    [sym_operator_assignment] = STATE(10501),
    [sym_conditional] = STATE(10501),
    [sym_range] = STATE(10501),
    [sym_binary] = STATE(10501),
    [sym_unary] = STATE(10501),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8817] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10502),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10502),
    [sym_operator_assignment] = STATE(10502),
    [sym_conditional] = STATE(10502),
    [sym_range] = STATE(10502),
    [sym_binary] = STATE(10502),
    [sym_unary] = STATE(10502),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8818] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10503),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10503),
    [sym_operator_assignment] = STATE(10503),
    [sym_conditional] = STATE(10503),
    [sym_range] = STATE(10503),
    [sym_binary] = STATE(10503),
    [sym_unary] = STATE(10503),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8819] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10504),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10504),
    [sym_operator_assignment] = STATE(10504),
    [sym_conditional] = STATE(10504),
    [sym_range] = STATE(10504),
    [sym_binary] = STATE(10504),
    [sym_unary] = STATE(10504),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8820] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10505),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10505),
    [sym_operator_assignment] = STATE(10505),
    [sym_conditional] = STATE(10505),
    [sym_range] = STATE(10505),
    [sym_binary] = STATE(10505),
    [sym_unary] = STATE(10505),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8821] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10506),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10506),
    [sym_operator_assignment] = STATE(10506),
    [sym_conditional] = STATE(10506),
    [sym_range] = STATE(10506),
    [sym_binary] = STATE(10506),
    [sym_unary] = STATE(10506),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [8822] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10507),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10507),
    [sym_operator_assignment] = STATE(10507),
    [sym_conditional] = STATE(10507),
    [sym_range] = STATE(10507),
    [sym_binary] = STATE(10507),
    [sym_unary] = STATE(10507),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8823] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10508),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10508),
    [sym_operator_assignment] = STATE(10508),
    [sym_conditional] = STATE(10508),
    [sym_range] = STATE(10508),
    [sym_binary] = STATE(10508),
    [sym_unary] = STATE(10508),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8824] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10509),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10509),
    [sym_operator_assignment] = STATE(10509),
    [sym_conditional] = STATE(10509),
    [sym_range] = STATE(10509),
    [sym_binary] = STATE(10509),
    [sym_unary] = STATE(10509),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8825] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10510),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10510),
    [sym_operator_assignment] = STATE(10510),
    [sym_conditional] = STATE(10510),
    [sym_range] = STATE(10510),
    [sym_binary] = STATE(10510),
    [sym_unary] = STATE(10510),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8826] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10511),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10511),
    [sym_operator_assignment] = STATE(10511),
    [sym_conditional] = STATE(10511),
    [sym_range] = STATE(10511),
    [sym_binary] = STATE(10511),
    [sym_unary] = STATE(10511),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8827] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6207),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(6207),
    [sym_operator_assignment] = STATE(6207),
    [sym_conditional] = STATE(6207),
    [sym_range] = STATE(6207),
    [sym_binary] = STATE(6207),
    [sym_unary] = STATE(6207),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(8937),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8828] = {
    [aux_sym_exceptions_repeat1] = STATE(10512),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(11575),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_ensure] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [8829] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6207),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_splat_argument] = STATE(10513),
    [sym_assignment] = STATE(6207),
    [sym_operator_assignment] = STATE(6207),
    [sym_conditional] = STATE(6207),
    [sym_range] = STATE(6207),
    [sym_binary] = STATE(6207),
    [sym_unary] = STATE(6207),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(10513),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(8937),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8830] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10514),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(10514),
    [sym_operator_assignment] = STATE(10514),
    [sym_conditional] = STATE(10514),
    [sym_range] = STATE(10514),
    [sym_binary] = STATE(10514),
    [sym_unary] = STATE(10514),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8831] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [8832] = {
    [sym_heredoc_body] = STATE(10515),
    [aux_sym_call_repeat1] = STATE(10515),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [8833] = {
    [sym_heredoc_body] = STATE(10515),
    [aux_sym_call_repeat1] = STATE(10515),
    [aux_sym_argument_list_repeat1] = STATE(10516),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9021),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [8834] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [8835] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [8836] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10517),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10517),
    [sym_operator_assignment] = STATE(10517),
    [sym_conditional] = STATE(10517),
    [sym_range] = STATE(10517),
    [sym_binary] = STATE(10517),
    [sym_unary] = STATE(10517),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8837] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10518),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10518),
    [sym_operator_assignment] = STATE(10518),
    [sym_conditional] = STATE(10518),
    [sym_range] = STATE(10518),
    [sym_binary] = STATE(10518),
    [sym_unary] = STATE(10518),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8838] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10519),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10519),
    [sym_operator_assignment] = STATE(10519),
    [sym_conditional] = STATE(10519),
    [sym_range] = STATE(10519),
    [sym_binary] = STATE(10519),
    [sym_unary] = STATE(10519),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8839] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10520),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10520),
    [sym_operator_assignment] = STATE(10520),
    [sym_conditional] = STATE(10520),
    [sym_range] = STATE(10520),
    [sym_binary] = STATE(10520),
    [sym_unary] = STATE(10520),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8840] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10521),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10521),
    [sym_operator_assignment] = STATE(10521),
    [sym_conditional] = STATE(10521),
    [sym_range] = STATE(10521),
    [sym_binary] = STATE(10521),
    [sym_unary] = STATE(10521),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8841] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10522),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10522),
    [sym_operator_assignment] = STATE(10522),
    [sym_conditional] = STATE(10522),
    [sym_range] = STATE(10522),
    [sym_binary] = STATE(10522),
    [sym_unary] = STATE(10522),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8842] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10523),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10523),
    [sym_operator_assignment] = STATE(10523),
    [sym_conditional] = STATE(10523),
    [sym_range] = STATE(10523),
    [sym_binary] = STATE(10523),
    [sym_unary] = STATE(10523),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [8843] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10524),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10524),
    [sym_operator_assignment] = STATE(10524),
    [sym_conditional] = STATE(10524),
    [sym_range] = STATE(10524),
    [sym_binary] = STATE(10524),
    [sym_unary] = STATE(10524),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8844] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10525),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10525),
    [sym_operator_assignment] = STATE(10525),
    [sym_conditional] = STATE(10525),
    [sym_range] = STATE(10525),
    [sym_binary] = STATE(10525),
    [sym_unary] = STATE(10525),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8845] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10526),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10526),
    [sym_operator_assignment] = STATE(10526),
    [sym_conditional] = STATE(10526),
    [sym_range] = STATE(10526),
    [sym_binary] = STATE(10526),
    [sym_unary] = STATE(10526),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8846] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10527),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10527),
    [sym_operator_assignment] = STATE(10527),
    [sym_conditional] = STATE(10527),
    [sym_range] = STATE(10527),
    [sym_binary] = STATE(10527),
    [sym_unary] = STATE(10527),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8847] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10528),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10528),
    [sym_operator_assignment] = STATE(10528),
    [sym_conditional] = STATE(10528),
    [sym_range] = STATE(10528),
    [sym_binary] = STATE(10528),
    [sym_unary] = STATE(10528),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8848] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10529),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_splat_argument] = STATE(10530),
    [sym_assignment] = STATE(10529),
    [sym_operator_assignment] = STATE(10529),
    [sym_conditional] = STATE(10529),
    [sym_range] = STATE(10529),
    [sym_binary] = STATE(10529),
    [sym_unary] = STATE(10529),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(10530),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(5242),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8849] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10531),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(10531),
    [sym_operator_assignment] = STATE(10531),
    [sym_conditional] = STATE(10531),
    [sym_range] = STATE(10531),
    [sym_binary] = STATE(10531),
    [sym_unary] = STATE(10531),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8850] = {
    [sym_string] = STATE(10532),
    [aux_sym_chained_string_repeat1] = STATE(10532),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [8851] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [8852] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8853] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8854] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10533),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(10533),
    [sym_operator_assignment] = STATE(10533),
    [sym_conditional] = STATE(10533),
    [sym_range] = STATE(10533),
    [sym_binary] = STATE(10533),
    [sym_unary] = STATE(10533),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8855] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8856] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10534),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(10534),
    [sym_operator_assignment] = STATE(10534),
    [sym_conditional] = STATE(10534),
    [sym_range] = STATE(10534),
    [sym_binary] = STATE(10534),
    [sym_unary] = STATE(10534),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8857] = {
    [sym_heredoc_body] = STATE(10535),
    [aux_sym_call_repeat1] = STATE(10535),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8858] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6235),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(6235),
    [sym_operator_assignment] = STATE(6235),
    [sym_conditional] = STATE(6235),
    [sym_range] = STATE(6235),
    [sym_binary] = STATE(6235),
    [sym_unary] = STATE(6235),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6238),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(10536),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(8973),
    [sym__splat_star] = ACTIONS(8975),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__identifier_hash_key] = ACTIONS(8977),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13360),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(8979),
    [sym_identifier] = ACTIONS(8979),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8859] = {
    [sym_heredoc_body] = STATE(10537),
    [aux_sym_call_repeat1] = STATE(10537),
    [aux_sym_argument_list_repeat1] = STATE(10538),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11621),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [8860] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10539),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(10539),
    [sym_operator_assignment] = STATE(10539),
    [sym_conditional] = STATE(10539),
    [sym_range] = STATE(10539),
    [sym_binary] = STATE(10539),
    [sym_unary] = STATE(10539),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8861] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8862] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8863] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8864] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8865] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8866] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8867] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [8868] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13362),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8869] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8870] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8871] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8872] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8873] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8874] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8875] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8876] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10541),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(10541),
    [sym_operator_assignment] = STATE(10541),
    [sym_conditional] = STATE(10541),
    [sym_range] = STATE(10541),
    [sym_binary] = STATE(10541),
    [sym_unary] = STATE(10541),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8877] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8878] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10542),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(10542),
    [sym_operator_assignment] = STATE(10542),
    [sym_conditional] = STATE(10542),
    [sym_range] = STATE(10542),
    [sym_binary] = STATE(10542),
    [sym_unary] = STATE(10542),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8879] = {
    [sym_heredoc_body] = STATE(10543),
    [aux_sym_call_repeat1] = STATE(10543),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8880] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6259),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(6259),
    [sym_operator_assignment] = STATE(6259),
    [sym_conditional] = STATE(6259),
    [sym_range] = STATE(6259),
    [sym_binary] = STATE(6259),
    [sym_unary] = STATE(6259),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6262),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(10544),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(9013),
    [sym__splat_star] = ACTIONS(9015),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__identifier_hash_key] = ACTIONS(9017),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13364),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(9019),
    [sym_identifier] = ACTIONS(9019),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8881] = {
    [sym_heredoc_body] = STATE(10545),
    [aux_sym_call_repeat1] = STATE(10545),
    [aux_sym_argument_list_repeat1] = STATE(10546),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11627),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [8882] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10547),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(10547),
    [sym_operator_assignment] = STATE(10547),
    [sym_conditional] = STATE(10547),
    [sym_range] = STATE(10547),
    [sym_binary] = STATE(10547),
    [sym_unary] = STATE(10547),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8883] = {
    [sym_heredoc_body] = STATE(8883),
    [aux_sym_call_repeat1] = STATE(8883),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [8884] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3387),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(3387),
    [sym_operator_assignment] = STATE(3387),
    [sym_conditional] = STATE(3387),
    [sym_range] = STATE(3387),
    [sym_binary] = STATE(3387),
    [sym_unary] = STATE(3387),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3393),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(5240),
    [sym__splat_star] = ACTIONS(5242),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__identifier_hash_key] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11631),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5264),
    [sym_identifier] = ACTIONS(5264),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8885] = {
    [sym_heredoc_body] = STATE(8883),
    [aux_sym_call_repeat1] = STATE(8883),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [8886] = {
    [aux_sym_argument_list_repeat1] = STATE(8886),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13366),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [8887] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8888] = {
    [aux_sym_exceptions_repeat1] = STATE(10549),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8889] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [8890] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [8891] = {
    [sym_string] = STATE(8891),
    [aux_sym_chained_string_repeat1] = STATE(8891),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [8892] = {
    [aux_sym_undef_repeat1] = STATE(8892),
    [sym__line_break] = ACTIONS(9196),
    [sym__heredoc_body_start] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9198),
    [anon_sym_SEMI] = ACTIONS(9196),
    [anon_sym_end] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [8893] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8894] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10550),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(10550),
    [sym_operator_assignment] = STATE(10550),
    [sym_conditional] = STATE(10550),
    [sym_range] = STATE(10550),
    [sym_binary] = STATE(10550),
    [sym_unary] = STATE(10550),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8895] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [8896] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [8897] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11650),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [8898] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10551),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10551),
    [sym_operator_assignment] = STATE(10551),
    [sym_conditional] = STATE(10551),
    [sym_range] = STATE(10551),
    [sym_binary] = STATE(10551),
    [sym_unary] = STATE(10551),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8899] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10552),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10552),
    [sym_operator_assignment] = STATE(10552),
    [sym_conditional] = STATE(10552),
    [sym_range] = STATE(10552),
    [sym_binary] = STATE(10552),
    [sym_unary] = STATE(10552),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8900] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10553),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10553),
    [sym_operator_assignment] = STATE(10553),
    [sym_conditional] = STATE(10553),
    [sym_range] = STATE(10553),
    [sym_binary] = STATE(10553),
    [sym_unary] = STATE(10553),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8901] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10554),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10554),
    [sym_operator_assignment] = STATE(10554),
    [sym_conditional] = STATE(10554),
    [sym_range] = STATE(10554),
    [sym_binary] = STATE(10554),
    [sym_unary] = STATE(10554),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8902] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10555),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10555),
    [sym_operator_assignment] = STATE(10555),
    [sym_conditional] = STATE(10555),
    [sym_range] = STATE(10555),
    [sym_binary] = STATE(10555),
    [sym_unary] = STATE(10555),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8903] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10556),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10556),
    [sym_operator_assignment] = STATE(10556),
    [sym_conditional] = STATE(10556),
    [sym_range] = STATE(10556),
    [sym_binary] = STATE(10556),
    [sym_unary] = STATE(10556),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8904] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10557),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10557),
    [sym_operator_assignment] = STATE(10557),
    [sym_conditional] = STATE(10557),
    [sym_range] = STATE(10557),
    [sym_binary] = STATE(10557),
    [sym_unary] = STATE(10557),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [8905] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10558),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10558),
    [sym_operator_assignment] = STATE(10558),
    [sym_conditional] = STATE(10558),
    [sym_range] = STATE(10558),
    [sym_binary] = STATE(10558),
    [sym_unary] = STATE(10558),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8906] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10559),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10559),
    [sym_operator_assignment] = STATE(10559),
    [sym_conditional] = STATE(10559),
    [sym_range] = STATE(10559),
    [sym_binary] = STATE(10559),
    [sym_unary] = STATE(10559),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8907] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10560),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10560),
    [sym_operator_assignment] = STATE(10560),
    [sym_conditional] = STATE(10560),
    [sym_range] = STATE(10560),
    [sym_binary] = STATE(10560),
    [sym_unary] = STATE(10560),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8908] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10561),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10561),
    [sym_operator_assignment] = STATE(10561),
    [sym_conditional] = STATE(10561),
    [sym_range] = STATE(10561),
    [sym_binary] = STATE(10561),
    [sym_unary] = STATE(10561),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8909] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10562),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10562),
    [sym_operator_assignment] = STATE(10562),
    [sym_conditional] = STATE(10562),
    [sym_range] = STATE(10562),
    [sym_binary] = STATE(10562),
    [sym_unary] = STATE(10562),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8910] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10563),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_splat_argument] = STATE(10564),
    [sym_assignment] = STATE(10563),
    [sym_operator_assignment] = STATE(10563),
    [sym_conditional] = STATE(10563),
    [sym_range] = STATE(10563),
    [sym_binary] = STATE(10563),
    [sym_unary] = STATE(10563),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(10564),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(5318),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8911] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10565),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(10565),
    [sym_operator_assignment] = STATE(10565),
    [sym_conditional] = STATE(10565),
    [sym_range] = STATE(10565),
    [sym_binary] = STATE(10565),
    [sym_unary] = STATE(10565),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [8912] = {
    [sym_string] = STATE(10566),
    [aux_sym_chained_string_repeat1] = STATE(10566),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [8913] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(11650),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [8914] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8915] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [8916] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8917] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [8918] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8919] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8920] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(11650),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [8921] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13369),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8922] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8923] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8924] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8925] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8926] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8927] = {
    [sym_heredoc_body] = STATE(8927),
    [aux_sym_call_repeat1] = STATE(8927),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [8928] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3429),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(3429),
    [sym_operator_assignment] = STATE(3429),
    [sym_conditional] = STATE(3429),
    [sym_range] = STATE(3429),
    [sym_binary] = STATE(3429),
    [sym_unary] = STATE(3429),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3435),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(5316),
    [sym__splat_star] = ACTIONS(5318),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__identifier_hash_key] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11672),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5340),
    [sym_identifier] = ACTIONS(5340),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8929] = {
    [sym_heredoc_body] = STATE(8927),
    [aux_sym_call_repeat1] = STATE(8927),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [8930] = {
    [aux_sym_argument_list_repeat1] = STATE(8930),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13371),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [8931] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8932] = {
    [aux_sym_exceptions_repeat1] = STATE(10569),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [8933] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [8934] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(11650),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [8935] = {
    [sym_string] = STATE(8935),
    [aux_sym_chained_string_repeat1] = STATE(8935),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [8936] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11678),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(11682),
    [anon_sym_LT] = ACTIONS(11684),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11686),
    [anon_sym_DOT_DOT] = ACTIONS(11688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11690),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11692),
    [anon_sym_AMP_AMP] = ACTIONS(11692),
    [anon_sym_LT_LT] = ACTIONS(11694),
    [anon_sym_GT_GT] = ACTIONS(11694),
    [anon_sym_EQ_EQ] = ACTIONS(11696),
    [anon_sym_BANG_EQ] = ACTIONS(11692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11692),
    [anon_sym_LT_EQ_GT] = ACTIONS(11692),
    [anon_sym_EQ_TILDE] = ACTIONS(11692),
    [anon_sym_BANG_TILDE] = ACTIONS(11692),
    [anon_sym_LT_EQ] = ACTIONS(11684),
    [anon_sym_GT] = ACTIONS(11684),
    [anon_sym_GT_EQ] = ACTIONS(11698),
    [anon_sym_CARET] = ACTIONS(11700),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [8937] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [8938] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [8939] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11678),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(11682),
    [anon_sym_LT] = ACTIONS(11684),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11686),
    [anon_sym_DOT_DOT] = ACTIONS(11688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11690),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11692),
    [anon_sym_AMP_AMP] = ACTIONS(11692),
    [anon_sym_LT_LT] = ACTIONS(11694),
    [anon_sym_GT_GT] = ACTIONS(11694),
    [anon_sym_EQ_EQ] = ACTIONS(11696),
    [anon_sym_BANG_EQ] = ACTIONS(11692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11692),
    [anon_sym_LT_EQ_GT] = ACTIONS(11692),
    [anon_sym_EQ_TILDE] = ACTIONS(11692),
    [anon_sym_BANG_TILDE] = ACTIONS(11692),
    [anon_sym_LT_EQ] = ACTIONS(11684),
    [anon_sym_GT] = ACTIONS(11684),
    [anon_sym_GT_EQ] = ACTIONS(11698),
    [anon_sym_CARET] = ACTIONS(11700),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [8940] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10570),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10570),
    [sym_operator_assignment] = STATE(10570),
    [sym_conditional] = STATE(10570),
    [sym_range] = STATE(10570),
    [sym_binary] = STATE(10570),
    [sym_unary] = STATE(10570),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8941] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10571),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10571),
    [sym_operator_assignment] = STATE(10571),
    [sym_conditional] = STATE(10571),
    [sym_range] = STATE(10571),
    [sym_binary] = STATE(10571),
    [sym_unary] = STATE(10571),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8942] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10572),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10572),
    [sym_operator_assignment] = STATE(10572),
    [sym_conditional] = STATE(10572),
    [sym_range] = STATE(10572),
    [sym_binary] = STATE(10572),
    [sym_unary] = STATE(10572),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8943] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10573),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10573),
    [sym_operator_assignment] = STATE(10573),
    [sym_conditional] = STATE(10573),
    [sym_range] = STATE(10573),
    [sym_binary] = STATE(10573),
    [sym_unary] = STATE(10573),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8944] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10574),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10574),
    [sym_operator_assignment] = STATE(10574),
    [sym_conditional] = STATE(10574),
    [sym_range] = STATE(10574),
    [sym_binary] = STATE(10574),
    [sym_unary] = STATE(10574),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8945] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10575),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10575),
    [sym_operator_assignment] = STATE(10575),
    [sym_conditional] = STATE(10575),
    [sym_range] = STATE(10575),
    [sym_binary] = STATE(10575),
    [sym_unary] = STATE(10575),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8946] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10576),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10576),
    [sym_operator_assignment] = STATE(10576),
    [sym_conditional] = STATE(10576),
    [sym_range] = STATE(10576),
    [sym_binary] = STATE(10576),
    [sym_unary] = STATE(10576),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [8947] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10577),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10577),
    [sym_operator_assignment] = STATE(10577),
    [sym_conditional] = STATE(10577),
    [sym_range] = STATE(10577),
    [sym_binary] = STATE(10577),
    [sym_unary] = STATE(10577),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8948] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10578),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10578),
    [sym_operator_assignment] = STATE(10578),
    [sym_conditional] = STATE(10578),
    [sym_range] = STATE(10578),
    [sym_binary] = STATE(10578),
    [sym_unary] = STATE(10578),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8949] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10579),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10579),
    [sym_operator_assignment] = STATE(10579),
    [sym_conditional] = STATE(10579),
    [sym_range] = STATE(10579),
    [sym_binary] = STATE(10579),
    [sym_unary] = STATE(10579),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8950] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10580),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10580),
    [sym_operator_assignment] = STATE(10580),
    [sym_conditional] = STATE(10580),
    [sym_range] = STATE(10580),
    [sym_binary] = STATE(10580),
    [sym_unary] = STATE(10580),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8951] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10581),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10581),
    [sym_operator_assignment] = STATE(10581),
    [sym_conditional] = STATE(10581),
    [sym_range] = STATE(10581),
    [sym_binary] = STATE(10581),
    [sym_unary] = STATE(10581),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8952] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6335),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(6335),
    [sym_operator_assignment] = STATE(6335),
    [sym_conditional] = STATE(6335),
    [sym_range] = STATE(6335),
    [sym_binary] = STATE(6335),
    [sym_unary] = STATE(6335),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(9099),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8953] = {
    [aux_sym_exceptions_repeat1] = STATE(10582),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [8954] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(6335),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_splat_argument] = STATE(10583),
    [sym_assignment] = STATE(6335),
    [sym_operator_assignment] = STATE(6335),
    [sym_conditional] = STATE(6335),
    [sym_range] = STATE(6335),
    [sym_binary] = STATE(6335),
    [sym_unary] = STATE(6335),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(10583),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(9099),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8955] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10584),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(10584),
    [sym_operator_assignment] = STATE(10584),
    [sym_conditional] = STATE(10584),
    [sym_range] = STATE(10584),
    [sym_binary] = STATE(10584),
    [sym_unary] = STATE(10584),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [8956] = {
    [sym__line_break] = ACTIONS(13374),
    [sym__heredoc_body_start] = ACTIONS(13374),
    [sym__element_reference_left_bracket] = ACTIONS(13374),
    [sym__infix_scope_colons] = ACTIONS(13374),
    [sym__binary_minus] = ACTIONS(13374),
    [sym__binary_star] = ACTIONS(13374),
    [ts_builtin_sym_end] = ACTIONS(13374),
    [anon_sym___END__] = ACTIONS(13374),
    [anon_sym_LBRACE] = ACTIONS(13374),
    [anon_sym_RBRACE] = ACTIONS(13374),
    [anon_sym_RPAREN] = ACTIONS(13374),
    [anon_sym_DOT] = ACTIONS(13376),
    [anon_sym_COMMA] = ACTIONS(13374),
    [anon_sym_PIPE] = ACTIONS(13376),
    [anon_sym_SEMI] = ACTIONS(13374),
    [anon_sym_STAR_STAR] = ACTIONS(13374),
    [anon_sym_AMP] = ACTIONS(13376),
    [anon_sym_LT] = ACTIONS(13376),
    [anon_sym_end] = ACTIONS(13374),
    [anon_sym_if] = ACTIONS(13374),
    [anon_sym_unless] = ACTIONS(13374),
    [anon_sym_while] = ACTIONS(13374),
    [anon_sym_until] = ACTIONS(13374),
    [anon_sym_rescue] = ACTIONS(13374),
    [anon_sym_do] = ACTIONS(13374),
    [anon_sym_when] = ACTIONS(13374),
    [anon_sym_elsif] = ACTIONS(13374),
    [anon_sym_else] = ACTIONS(13374),
    [anon_sym_then] = ACTIONS(13374),
    [anon_sym_ensure] = ACTIONS(13374),
    [anon_sym_EQ_GT] = ACTIONS(13374),
    [anon_sym_AMP_DOT] = ACTIONS(13374),
    [anon_sym_QMARK] = ACTIONS(13374),
    [anon_sym_DOT_DOT] = ACTIONS(13376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13374),
    [anon_sym_and] = ACTIONS(13374),
    [anon_sym_or] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE] = ACTIONS(13374),
    [anon_sym_AMP_AMP] = ACTIONS(13374),
    [anon_sym_LT_LT] = ACTIONS(13374),
    [anon_sym_GT_GT] = ACTIONS(13374),
    [anon_sym_EQ_EQ] = ACTIONS(13376),
    [anon_sym_BANG_EQ] = ACTIONS(13374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13374),
    [anon_sym_LT_EQ_GT] = ACTIONS(13374),
    [anon_sym_EQ_TILDE] = ACTIONS(13374),
    [anon_sym_BANG_TILDE] = ACTIONS(13374),
    [anon_sym_LT_EQ] = ACTIONS(13376),
    [anon_sym_GT] = ACTIONS(13376),
    [anon_sym_GT_EQ] = ACTIONS(13374),
    [anon_sym_CARET] = ACTIONS(13374),
    [anon_sym_PLUS] = ACTIONS(13374),
    [anon_sym_SLASH] = ACTIONS(13374),
    [anon_sym_PERCENT] = ACTIONS(13374),
    [sym_comment] = ACTIONS(87),
  },
  [8957] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(2209),
    [sym__binary_star] = ACTIONS(2211),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(2221),
    [anon_sym_DOT_DOT] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ_GT] = ACTIONS(2229),
    [anon_sym_EQ_TILDE] = ACTIONS(2229),
    [anon_sym_BANG_TILDE] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [sym_comment] = ACTIONS(87),
  },
  [8958] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [8959] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [8960] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [8961] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [8962] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [8963] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [8964] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13378),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8965] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [8966] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(9134),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [8967] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [8968] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [8969] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [8970] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_ensure] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(9134),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [8971] = {
    [aux_sym_exceptions_repeat1] = STATE(10587),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [8972] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(9134),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [8973] = {
    [sym_string] = STATE(8973),
    [aux_sym_chained_string_repeat1] = STATE(8973),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_ensure] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [8974] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10588),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_assignment] = STATE(10588),
    [sym_operator_assignment] = STATE(10588),
    [sym_conditional] = STATE(10588),
    [sym_range] = STATE(10588),
    [sym_binary] = STATE(10588),
    [sym_unary] = STATE(10588),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8975] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6382),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1314),
    [sym_scope_resolution] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_method_call] = STATE(1314),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(6382),
    [sym_operator_assignment] = STATE(6382),
    [sym_conditional] = STATE(6382),
    [sym_range] = STATE(6382),
    [sym_binary] = STATE(6382),
    [sym_unary] = STATE(6382),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(1313),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1314),
    [sym__variable] = STATE(1310),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1314),
    [sym_false] = STATE(1314),
    [sym_nil] = STATE(1314),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3477),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(4998),
    [sym__unary_minus] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2255),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_defined_QMARK] = ACTIONS(2257),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_constant] = ACTIONS(2269),
    [sym_identifier] = ACTIONS(2269),
    [sym_instance_variable] = ACTIONS(2267),
    [sym_class_variable] = ACTIONS(2267),
    [sym_global_variable] = ACTIONS(2267),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2269),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [8976] = {
    [aux_sym_exceptions_repeat1] = STATE(10589),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13380),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_ensure] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [8977] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [8978] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [8979] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(9166),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9178),
    [anon_sym_GT_GT] = ACTIONS(9178),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [8980] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [8981] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9178),
    [anon_sym_GT_GT] = ACTIONS(9178),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [8982] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9162),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(9166),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9178),
    [anon_sym_GT_GT] = ACTIONS(9178),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(9184),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [8983] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13382),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [8984] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(9162),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(9166),
    [anon_sym_LT] = ACTIONS(9168),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(9172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9174),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(9176),
    [anon_sym_AMP_AMP] = ACTIONS(9176),
    [anon_sym_LT_LT] = ACTIONS(9178),
    [anon_sym_GT_GT] = ACTIONS(9178),
    [anon_sym_EQ_EQ] = ACTIONS(9180),
    [anon_sym_BANG_EQ] = ACTIONS(9176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9176),
    [anon_sym_LT_EQ_GT] = ACTIONS(9176),
    [anon_sym_EQ_TILDE] = ACTIONS(9176),
    [anon_sym_BANG_TILDE] = ACTIONS(9176),
    [anon_sym_LT_EQ] = ACTIONS(9168),
    [anon_sym_GT] = ACTIONS(9168),
    [anon_sym_GT_EQ] = ACTIONS(9182),
    [anon_sym_CARET] = ACTIONS(9184),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [8985] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9162),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(9166),
    [anon_sym_LT] = ACTIONS(9168),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(9170),
    [anon_sym_DOT_DOT] = ACTIONS(9172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9174),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(9176),
    [anon_sym_AMP_AMP] = ACTIONS(9176),
    [anon_sym_LT_LT] = ACTIONS(9178),
    [anon_sym_GT_GT] = ACTIONS(9178),
    [anon_sym_EQ_EQ] = ACTIONS(9180),
    [anon_sym_BANG_EQ] = ACTIONS(9176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9176),
    [anon_sym_LT_EQ_GT] = ACTIONS(9176),
    [anon_sym_EQ_TILDE] = ACTIONS(9176),
    [anon_sym_BANG_TILDE] = ACTIONS(9176),
    [anon_sym_LT_EQ] = ACTIONS(9168),
    [anon_sym_GT] = ACTIONS(9168),
    [anon_sym_GT_EQ] = ACTIONS(9182),
    [anon_sym_CARET] = ACTIONS(9184),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [8986] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9162),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(9166),
    [anon_sym_LT] = ACTIONS(9168),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9178),
    [anon_sym_GT_GT] = ACTIONS(9178),
    [anon_sym_EQ_EQ] = ACTIONS(9180),
    [anon_sym_BANG_EQ] = ACTIONS(9176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9176),
    [anon_sym_LT_EQ_GT] = ACTIONS(9176),
    [anon_sym_EQ_TILDE] = ACTIONS(9176),
    [anon_sym_BANG_TILDE] = ACTIONS(9176),
    [anon_sym_LT_EQ] = ACTIONS(9168),
    [anon_sym_GT] = ACTIONS(9168),
    [anon_sym_GT_EQ] = ACTIONS(9182),
    [anon_sym_CARET] = ACTIONS(9184),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [8987] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [8988] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [8989] = {
    [aux_sym_exceptions_repeat1] = STATE(8989),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(13384),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [8990] = {
    [aux_sym_exceptions_repeat1] = STATE(6404),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [8991] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(9162),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(9166),
    [anon_sym_LT] = ACTIONS(9168),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(9170),
    [anon_sym_DOT_DOT] = ACTIONS(9172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9174),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(9176),
    [anon_sym_AMP_AMP] = ACTIONS(9176),
    [anon_sym_LT_LT] = ACTIONS(9178),
    [anon_sym_GT_GT] = ACTIONS(9178),
    [anon_sym_EQ_EQ] = ACTIONS(9180),
    [anon_sym_BANG_EQ] = ACTIONS(9176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9176),
    [anon_sym_LT_EQ_GT] = ACTIONS(9176),
    [anon_sym_EQ_TILDE] = ACTIONS(9176),
    [anon_sym_BANG_TILDE] = ACTIONS(9176),
    [anon_sym_LT_EQ] = ACTIONS(9168),
    [anon_sym_GT] = ACTIONS(9168),
    [anon_sym_GT_EQ] = ACTIONS(9182),
    [anon_sym_CARET] = ACTIONS(9184),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [8992] = {
    [sym__heredoc_body_start] = ACTIONS(9993),
    [sym__element_reference_left_bracket] = ACTIONS(9993),
    [sym__infix_scope_colons] = ACTIONS(9993),
    [sym__binary_minus] = ACTIONS(9993),
    [sym__binary_star] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_RBRACE] = ACTIONS(9993),
    [anon_sym_RPAREN] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9995),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_PIPE] = ACTIONS(9995),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_STAR_STAR] = ACTIONS(9993),
    [anon_sym_AMP] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9995),
    [anon_sym_LT] = ACTIONS(9995),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_unless] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [anon_sym_until] = ACTIONS(9993),
    [anon_sym_rescue] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_do] = ACTIONS(9993),
    [anon_sym_EQ_GT] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_AMP_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_DOT_DOT] = ACTIONS(9995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_and] = ACTIONS(9993),
    [anon_sym_or] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE] = ACTIONS(9993),
    [anon_sym_AMP_AMP] = ACTIONS(9993),
    [anon_sym_LT_LT] = ACTIONS(9993),
    [anon_sym_GT_GT] = ACTIONS(9993),
    [anon_sym_EQ_EQ] = ACTIONS(9995),
    [anon_sym_BANG_EQ] = ACTIONS(9993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9993),
    [anon_sym_LT_EQ_GT] = ACTIONS(9993),
    [anon_sym_EQ_TILDE] = ACTIONS(9993),
    [anon_sym_BANG_TILDE] = ACTIONS(9993),
    [anon_sym_LT_EQ] = ACTIONS(9995),
    [anon_sym_GT] = ACTIONS(9995),
    [anon_sym_GT_EQ] = ACTIONS(9993),
    [anon_sym_CARET] = ACTIONS(9993),
    [anon_sym_PLUS] = ACTIONS(9993),
    [anon_sym_SLASH] = ACTIONS(9993),
    [anon_sym_PERCENT] = ACTIONS(9993),
    [sym_comment] = ACTIONS(87),
  },
  [8993] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13387),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [8994] = {
    [sym__heredoc_body_start] = ACTIONS(9999),
    [sym__element_reference_left_bracket] = ACTIONS(9999),
    [sym__infix_scope_colons] = ACTIONS(9999),
    [sym__binary_minus] = ACTIONS(9999),
    [sym__binary_star] = ACTIONS(9999),
    [anon_sym_LBRACE] = ACTIONS(9999),
    [anon_sym_RBRACE] = ACTIONS(9999),
    [anon_sym_RPAREN] = ACTIONS(9999),
    [anon_sym_DOT] = ACTIONS(10001),
    [anon_sym_COMMA] = ACTIONS(9999),
    [anon_sym_PIPE] = ACTIONS(10001),
    [anon_sym_SEMI] = ACTIONS(9999),
    [anon_sym_STAR_STAR] = ACTIONS(9999),
    [anon_sym_AMP] = ACTIONS(10001),
    [anon_sym_EQ] = ACTIONS(10001),
    [anon_sym_LT] = ACTIONS(10001),
    [anon_sym_if] = ACTIONS(9999),
    [anon_sym_unless] = ACTIONS(9999),
    [anon_sym_while] = ACTIONS(9999),
    [anon_sym_until] = ACTIONS(9999),
    [anon_sym_rescue] = ACTIONS(9999),
    [anon_sym_in] = ACTIONS(9999),
    [anon_sym_do] = ACTIONS(9999),
    [anon_sym_EQ_GT] = ACTIONS(9999),
    [anon_sym_RBRACK] = ACTIONS(9999),
    [anon_sym_AMP_DOT] = ACTIONS(9999),
    [anon_sym_QMARK] = ACTIONS(9999),
    [anon_sym_COLON] = ACTIONS(9999),
    [anon_sym_DOT_DOT] = ACTIONS(10001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9999),
    [anon_sym_and] = ACTIONS(9999),
    [anon_sym_or] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE] = ACTIONS(9999),
    [anon_sym_AMP_AMP] = ACTIONS(9999),
    [anon_sym_LT_LT] = ACTIONS(9999),
    [anon_sym_GT_GT] = ACTIONS(9999),
    [anon_sym_EQ_EQ] = ACTIONS(10001),
    [anon_sym_BANG_EQ] = ACTIONS(9999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9999),
    [anon_sym_LT_EQ_GT] = ACTIONS(9999),
    [anon_sym_EQ_TILDE] = ACTIONS(9999),
    [anon_sym_BANG_TILDE] = ACTIONS(9999),
    [anon_sym_LT_EQ] = ACTIONS(10001),
    [anon_sym_GT] = ACTIONS(10001),
    [anon_sym_GT_EQ] = ACTIONS(9999),
    [anon_sym_CARET] = ACTIONS(9999),
    [anon_sym_PLUS] = ACTIONS(9999),
    [anon_sym_SLASH] = ACTIONS(9999),
    [anon_sym_PERCENT] = ACTIONS(9999),
    [sym_comment] = ACTIONS(87),
  },
  [8995] = {
    [sym__heredoc_body_start] = ACTIONS(10003),
    [sym__element_reference_left_bracket] = ACTIONS(10003),
    [sym__infix_scope_colons] = ACTIONS(10003),
    [sym__binary_minus] = ACTIONS(10003),
    [sym__binary_star] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_RBRACE] = ACTIONS(10003),
    [anon_sym_RPAREN] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10005),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_PIPE] = ACTIONS(10005),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_STAR_STAR] = ACTIONS(10003),
    [anon_sym_AMP] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10005),
    [anon_sym_LT] = ACTIONS(10005),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_unless] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [anon_sym_until] = ACTIONS(10003),
    [anon_sym_rescue] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_EQ_GT] = ACTIONS(10003),
    [anon_sym_RBRACK] = ACTIONS(10003),
    [anon_sym_AMP_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_DOT_DOT] = ACTIONS(10005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_and] = ACTIONS(10003),
    [anon_sym_or] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE] = ACTIONS(10003),
    [anon_sym_AMP_AMP] = ACTIONS(10003),
    [anon_sym_LT_LT] = ACTIONS(10003),
    [anon_sym_GT_GT] = ACTIONS(10003),
    [anon_sym_EQ_EQ] = ACTIONS(10005),
    [anon_sym_BANG_EQ] = ACTIONS(10003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10003),
    [anon_sym_LT_EQ_GT] = ACTIONS(10003),
    [anon_sym_EQ_TILDE] = ACTIONS(10003),
    [anon_sym_BANG_TILDE] = ACTIONS(10003),
    [anon_sym_LT_EQ] = ACTIONS(10005),
    [anon_sym_GT] = ACTIONS(10005),
    [anon_sym_GT_EQ] = ACTIONS(10003),
    [anon_sym_CARET] = ACTIONS(10003),
    [anon_sym_PLUS] = ACTIONS(10003),
    [anon_sym_SLASH] = ACTIONS(10003),
    [anon_sym_PERCENT] = ACTIONS(10003),
    [sym_comment] = ACTIONS(87),
  },
  [8996] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13389),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [8997] = {
    [sym__heredoc_body_start] = ACTIONS(10009),
    [sym__element_reference_left_bracket] = ACTIONS(10009),
    [sym__infix_scope_colons] = ACTIONS(10009),
    [sym__binary_minus] = ACTIONS(10009),
    [sym__binary_star] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_PIPE] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_STAR_STAR] = ACTIONS(10009),
    [anon_sym_AMP] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_LT] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10009),
    [anon_sym_unless] = ACTIONS(10009),
    [anon_sym_while] = ACTIONS(10009),
    [anon_sym_until] = ACTIONS(10009),
    [anon_sym_rescue] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10009),
    [anon_sym_do] = ACTIONS(10009),
    [anon_sym_EQ_GT] = ACTIONS(10009),
    [anon_sym_RBRACK] = ACTIONS(10009),
    [anon_sym_AMP_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10009),
    [anon_sym_DOT_DOT] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_and] = ACTIONS(10009),
    [anon_sym_or] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE] = ACTIONS(10009),
    [anon_sym_AMP_AMP] = ACTIONS(10009),
    [anon_sym_LT_LT] = ACTIONS(10009),
    [anon_sym_GT_GT] = ACTIONS(10009),
    [anon_sym_EQ_EQ] = ACTIONS(10011),
    [anon_sym_BANG_EQ] = ACTIONS(10009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10009),
    [anon_sym_LT_EQ_GT] = ACTIONS(10009),
    [anon_sym_EQ_TILDE] = ACTIONS(10009),
    [anon_sym_BANG_TILDE] = ACTIONS(10009),
    [anon_sym_LT_EQ] = ACTIONS(10011),
    [anon_sym_GT] = ACTIONS(10011),
    [anon_sym_GT_EQ] = ACTIONS(10009),
    [anon_sym_CARET] = ACTIONS(10009),
    [anon_sym_PLUS] = ACTIONS(10009),
    [anon_sym_SLASH] = ACTIONS(10009),
    [anon_sym_PERCENT] = ACTIONS(10009),
    [sym_comment] = ACTIONS(87),
  },
  [8998] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [8999] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [9000] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11747),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [9001] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10593),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10593),
    [sym_operator_assignment] = STATE(10593),
    [sym_conditional] = STATE(10593),
    [sym_range] = STATE(10593),
    [sym_binary] = STATE(10593),
    [sym_unary] = STATE(10593),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9002] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10594),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10594),
    [sym_operator_assignment] = STATE(10594),
    [sym_conditional] = STATE(10594),
    [sym_range] = STATE(10594),
    [sym_binary] = STATE(10594),
    [sym_unary] = STATE(10594),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9003] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10595),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10595),
    [sym_operator_assignment] = STATE(10595),
    [sym_conditional] = STATE(10595),
    [sym_range] = STATE(10595),
    [sym_binary] = STATE(10595),
    [sym_unary] = STATE(10595),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9004] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10596),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10596),
    [sym_operator_assignment] = STATE(10596),
    [sym_conditional] = STATE(10596),
    [sym_range] = STATE(10596),
    [sym_binary] = STATE(10596),
    [sym_unary] = STATE(10596),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9005] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10597),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10597),
    [sym_operator_assignment] = STATE(10597),
    [sym_conditional] = STATE(10597),
    [sym_range] = STATE(10597),
    [sym_binary] = STATE(10597),
    [sym_unary] = STATE(10597),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9006] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10598),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10598),
    [sym_operator_assignment] = STATE(10598),
    [sym_conditional] = STATE(10598),
    [sym_range] = STATE(10598),
    [sym_binary] = STATE(10598),
    [sym_unary] = STATE(10598),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9007] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10599),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10599),
    [sym_operator_assignment] = STATE(10599),
    [sym_conditional] = STATE(10599),
    [sym_range] = STATE(10599),
    [sym_binary] = STATE(10599),
    [sym_unary] = STATE(10599),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9008] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10600),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10600),
    [sym_operator_assignment] = STATE(10600),
    [sym_conditional] = STATE(10600),
    [sym_range] = STATE(10600),
    [sym_binary] = STATE(10600),
    [sym_unary] = STATE(10600),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9009] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10601),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10601),
    [sym_operator_assignment] = STATE(10601),
    [sym_conditional] = STATE(10601),
    [sym_range] = STATE(10601),
    [sym_binary] = STATE(10601),
    [sym_unary] = STATE(10601),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9010] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10602),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10602),
    [sym_operator_assignment] = STATE(10602),
    [sym_conditional] = STATE(10602),
    [sym_range] = STATE(10602),
    [sym_binary] = STATE(10602),
    [sym_unary] = STATE(10602),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9011] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10603),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10603),
    [sym_operator_assignment] = STATE(10603),
    [sym_conditional] = STATE(10603),
    [sym_range] = STATE(10603),
    [sym_binary] = STATE(10603),
    [sym_unary] = STATE(10603),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9012] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10604),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10604),
    [sym_operator_assignment] = STATE(10604),
    [sym_conditional] = STATE(10604),
    [sym_range] = STATE(10604),
    [sym_binary] = STATE(10604),
    [sym_unary] = STATE(10604),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9013] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10605),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_splat_argument] = STATE(10606),
    [sym_assignment] = STATE(10605),
    [sym_operator_assignment] = STATE(10605),
    [sym_conditional] = STATE(10605),
    [sym_range] = STATE(10605),
    [sym_binary] = STATE(10605),
    [sym_unary] = STATE(10605),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(10606),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(5474),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9014] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10607),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(10607),
    [sym_operator_assignment] = STATE(10607),
    [sym_conditional] = STATE(10607),
    [sym_range] = STATE(10607),
    [sym_binary] = STATE(10607),
    [sym_unary] = STATE(10607),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9015] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(11747),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [9016] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(11747),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [9017] = {
    [sym_heredoc_body] = STATE(9017),
    [aux_sym_call_repeat1] = STATE(9017),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_RBRACK] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9018] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3538),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(3538),
    [sym_operator_assignment] = STATE(3538),
    [sym_conditional] = STATE(3538),
    [sym_range] = STATE(3538),
    [sym_binary] = STATE(3538),
    [sym_unary] = STATE(3538),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3541),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(5472),
    [sym__splat_star] = ACTIONS(5474),
    [sym__unary_minus] = ACTIONS(2355),
    [sym__identifier_hash_key] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11771),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(5478),
    [sym_identifier] = ACTIONS(5478),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9019] = {
    [sym_heredoc_body] = STATE(9017),
    [aux_sym_call_repeat1] = STATE(9017),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_RBRACK] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9020] = {
    [aux_sym_argument_list_repeat1] = STATE(9020),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13391),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_RBRACK] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [9021] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(11747),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [9022] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10608),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_assignment] = STATE(10608),
    [sym_operator_assignment] = STATE(10608),
    [sym_conditional] = STATE(10608),
    [sym_range] = STATE(10608),
    [sym_binary] = STATE(10608),
    [sym_unary] = STATE(10608),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9023] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [9024] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [9025] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11787),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [9026] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10609),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10609),
    [sym_operator_assignment] = STATE(10609),
    [sym_conditional] = STATE(10609),
    [sym_range] = STATE(10609),
    [sym_binary] = STATE(10609),
    [sym_unary] = STATE(10609),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9027] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10610),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10610),
    [sym_operator_assignment] = STATE(10610),
    [sym_conditional] = STATE(10610),
    [sym_range] = STATE(10610),
    [sym_binary] = STATE(10610),
    [sym_unary] = STATE(10610),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9028] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10611),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10611),
    [sym_operator_assignment] = STATE(10611),
    [sym_conditional] = STATE(10611),
    [sym_range] = STATE(10611),
    [sym_binary] = STATE(10611),
    [sym_unary] = STATE(10611),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9029] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10612),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10612),
    [sym_operator_assignment] = STATE(10612),
    [sym_conditional] = STATE(10612),
    [sym_range] = STATE(10612),
    [sym_binary] = STATE(10612),
    [sym_unary] = STATE(10612),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9030] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10613),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10613),
    [sym_operator_assignment] = STATE(10613),
    [sym_conditional] = STATE(10613),
    [sym_range] = STATE(10613),
    [sym_binary] = STATE(10613),
    [sym_unary] = STATE(10613),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9031] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10614),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10614),
    [sym_operator_assignment] = STATE(10614),
    [sym_conditional] = STATE(10614),
    [sym_range] = STATE(10614),
    [sym_binary] = STATE(10614),
    [sym_unary] = STATE(10614),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9032] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10615),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10615),
    [sym_operator_assignment] = STATE(10615),
    [sym_conditional] = STATE(10615),
    [sym_range] = STATE(10615),
    [sym_binary] = STATE(10615),
    [sym_unary] = STATE(10615),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9033] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10616),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10616),
    [sym_operator_assignment] = STATE(10616),
    [sym_conditional] = STATE(10616),
    [sym_range] = STATE(10616),
    [sym_binary] = STATE(10616),
    [sym_unary] = STATE(10616),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9034] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10617),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10617),
    [sym_operator_assignment] = STATE(10617),
    [sym_conditional] = STATE(10617),
    [sym_range] = STATE(10617),
    [sym_binary] = STATE(10617),
    [sym_unary] = STATE(10617),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9035] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10618),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10618),
    [sym_operator_assignment] = STATE(10618),
    [sym_conditional] = STATE(10618),
    [sym_range] = STATE(10618),
    [sym_binary] = STATE(10618),
    [sym_unary] = STATE(10618),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9036] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10619),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10619),
    [sym_operator_assignment] = STATE(10619),
    [sym_conditional] = STATE(10619),
    [sym_range] = STATE(10619),
    [sym_binary] = STATE(10619),
    [sym_unary] = STATE(10619),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9037] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10620),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10620),
    [sym_operator_assignment] = STATE(10620),
    [sym_conditional] = STATE(10620),
    [sym_range] = STATE(10620),
    [sym_binary] = STATE(10620),
    [sym_unary] = STATE(10620),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9038] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10621),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_splat_argument] = STATE(10622),
    [sym_assignment] = STATE(10621),
    [sym_operator_assignment] = STATE(10621),
    [sym_conditional] = STATE(10621),
    [sym_range] = STATE(10621),
    [sym_binary] = STATE(10621),
    [sym_unary] = STATE(10621),
    [sym_right_assignment_list] = STATE(9466),
    [sym__arg_or_splat_arg] = STATE(10622),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(5514),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9039] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10623),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(10623),
    [sym_operator_assignment] = STATE(10623),
    [sym_conditional] = STATE(10623),
    [sym_range] = STATE(10623),
    [sym_binary] = STATE(10623),
    [sym_unary] = STATE(10623),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9040] = {
    [sym_string] = STATE(10624),
    [aux_sym_chained_string_repeat1] = STATE(10624),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_RBRACK] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [9041] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_RBRACK] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(11787),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [9042] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_RBRACK] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(11787),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [9043] = {
    [sym_heredoc_body] = STATE(9043),
    [aux_sym_call_repeat1] = STATE(9043),
    [sym__heredoc_body_start] = ACTIONS(12320),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_RBRACK] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [9044] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3561),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym__argument] = STATE(9477),
    [sym_splat_argument] = STATE(9477),
    [sym_hash_splat_argument] = STATE(9477),
    [sym_block_argument] = STATE(9477),
    [sym_assignment] = STATE(3561),
    [sym_operator_assignment] = STATE(3561),
    [sym_conditional] = STATE(3561),
    [sym_range] = STATE(3561),
    [sym_binary] = STATE(3561),
    [sym_unary] = STATE(3561),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3564),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(9477),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(5512),
    [sym__splat_star] = ACTIONS(5514),
    [sym__unary_minus] = ACTIONS(2433),
    [sym__identifier_hash_key] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11809),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(5518),
    [sym_identifier] = ACTIONS(5518),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9045] = {
    [sym_heredoc_body] = STATE(9043),
    [aux_sym_call_repeat1] = STATE(9043),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_RBRACK] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [9046] = {
    [aux_sym_argument_list_repeat1] = STATE(9046),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13394),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_RBRACK] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [9047] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_RBRACK] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(11787),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [9048] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [9049] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(6468),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(1351),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(1351),
    [sym_splat_argument] = STATE(9086),
    [sym_assignment] = STATE(6468),
    [sym_operator_assignment] = STATE(6468),
    [sym_conditional] = STATE(6468),
    [sym_range] = STATE(6468),
    [sym_binary] = STATE(6468),
    [sym_unary] = STATE(6468),
    [sym__arg_or_splat_arg] = STATE(9086),
    [sym_left_assignment_list] = STATE(1350),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1351),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(1351),
    [sym_false] = STATE(1351),
    [sym_nil] = STATE(1351),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(9269),
    [sym__unary_minus] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_defined_QMARK] = ACTIONS(2323),
    [anon_sym_not] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2327),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9050] = {
    [aux_sym_exceptions_repeat1] = STATE(10625),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(13397),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_RBRACK] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9051] = {
    [sym__method_rest] = STATE(10626),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(1363),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [9052] = {
    [sym__heredoc_body_start] = ACTIONS(10750),
    [sym__element_reference_left_bracket] = ACTIONS(10750),
    [sym__infix_scope_colons] = ACTIONS(10750),
    [sym__binary_minus] = ACTIONS(10750),
    [sym__binary_star] = ACTIONS(10750),
    [anon_sym_LBRACE] = ACTIONS(10750),
    [anon_sym_RBRACE] = ACTIONS(10750),
    [anon_sym_RPAREN] = ACTIONS(10750),
    [anon_sym_DOT] = ACTIONS(10752),
    [anon_sym_COMMA] = ACTIONS(10750),
    [anon_sym_PIPE] = ACTIONS(10752),
    [anon_sym_SEMI] = ACTIONS(10750),
    [anon_sym_STAR_STAR] = ACTIONS(10750),
    [anon_sym_AMP] = ACTIONS(10752),
    [anon_sym_EQ] = ACTIONS(10752),
    [anon_sym_LT] = ACTIONS(10752),
    [anon_sym_if] = ACTIONS(10750),
    [anon_sym_unless] = ACTIONS(10750),
    [anon_sym_while] = ACTIONS(10750),
    [anon_sym_until] = ACTIONS(10750),
    [anon_sym_rescue] = ACTIONS(10750),
    [anon_sym_in] = ACTIONS(10750),
    [anon_sym_do] = ACTIONS(10750),
    [anon_sym_EQ_GT] = ACTIONS(10750),
    [anon_sym_RBRACK] = ACTIONS(10750),
    [anon_sym_AMP_DOT] = ACTIONS(10750),
    [anon_sym_QMARK] = ACTIONS(10750),
    [anon_sym_COLON] = ACTIONS(10750),
    [anon_sym_DOT_DOT] = ACTIONS(10752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10750),
    [anon_sym_and] = ACTIONS(10750),
    [anon_sym_or] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE] = ACTIONS(10750),
    [anon_sym_AMP_AMP] = ACTIONS(10750),
    [anon_sym_LT_LT] = ACTIONS(10750),
    [anon_sym_GT_GT] = ACTIONS(10750),
    [anon_sym_EQ_EQ] = ACTIONS(10752),
    [anon_sym_BANG_EQ] = ACTIONS(10750),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10750),
    [anon_sym_LT_EQ_GT] = ACTIONS(10750),
    [anon_sym_EQ_TILDE] = ACTIONS(10750),
    [anon_sym_BANG_TILDE] = ACTIONS(10750),
    [anon_sym_LT_EQ] = ACTIONS(10752),
    [anon_sym_GT] = ACTIONS(10752),
    [anon_sym_GT_EQ] = ACTIONS(10750),
    [anon_sym_CARET] = ACTIONS(10750),
    [anon_sym_PLUS] = ACTIONS(10750),
    [anon_sym_SLASH] = ACTIONS(10750),
    [anon_sym_PERCENT] = ACTIONS(10750),
    [sym_comment] = ACTIONS(87),
  },
  [9053] = {
    [sym__heredoc_body_start] = ACTIONS(10754),
    [sym__element_reference_left_bracket] = ACTIONS(10754),
    [sym__infix_scope_colons] = ACTIONS(10754),
    [sym__binary_minus] = ACTIONS(10754),
    [sym__binary_star] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_RBRACE] = ACTIONS(10754),
    [anon_sym_RPAREN] = ACTIONS(10754),
    [anon_sym_DOT] = ACTIONS(10756),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_PIPE] = ACTIONS(10756),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_STAR_STAR] = ACTIONS(10754),
    [anon_sym_AMP] = ACTIONS(10756),
    [anon_sym_EQ] = ACTIONS(10756),
    [anon_sym_LT] = ACTIONS(10756),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_unless] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [anon_sym_until] = ACTIONS(10754),
    [anon_sym_rescue] = ACTIONS(10754),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_do] = ACTIONS(10754),
    [anon_sym_EQ_GT] = ACTIONS(10754),
    [anon_sym_RBRACK] = ACTIONS(10754),
    [anon_sym_AMP_DOT] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_DOT_DOT] = ACTIONS(10756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_and] = ACTIONS(10754),
    [anon_sym_or] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE] = ACTIONS(10754),
    [anon_sym_AMP_AMP] = ACTIONS(10754),
    [anon_sym_LT_LT] = ACTIONS(10754),
    [anon_sym_GT_GT] = ACTIONS(10754),
    [anon_sym_EQ_EQ] = ACTIONS(10756),
    [anon_sym_BANG_EQ] = ACTIONS(10754),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10754),
    [anon_sym_LT_EQ_GT] = ACTIONS(10754),
    [anon_sym_EQ_TILDE] = ACTIONS(10754),
    [anon_sym_BANG_TILDE] = ACTIONS(10754),
    [anon_sym_LT_EQ] = ACTIONS(10756),
    [anon_sym_GT] = ACTIONS(10756),
    [anon_sym_GT_EQ] = ACTIONS(10754),
    [anon_sym_CARET] = ACTIONS(10754),
    [anon_sym_PLUS] = ACTIONS(10754),
    [anon_sym_SLASH] = ACTIONS(10754),
    [anon_sym_PERCENT] = ACTIONS(10754),
    [sym_comment] = ACTIONS(87),
  },
  [9054] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10627),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_assignment] = STATE(10627),
    [sym_operator_assignment] = STATE(10627),
    [sym_conditional] = STATE(10627),
    [sym_range] = STATE(10627),
    [sym_binary] = STATE(10627),
    [sym_unary] = STATE(10627),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9055] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6498),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1387),
    [sym_scope_resolution] = STATE(364),
    [sym_call] = STATE(364),
    [sym_method_call] = STATE(1387),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(6498),
    [sym_operator_assignment] = STATE(6498),
    [sym_conditional] = STATE(6498),
    [sym_range] = STATE(6498),
    [sym_binary] = STATE(6498),
    [sym_unary] = STATE(6498),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(1386),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1387),
    [sym__variable] = STATE(364),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1387),
    [sym_false] = STATE(1387),
    [sym_nil] = STATE(1387),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(1355),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(2353),
    [sym__unary_minus] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(615),
    [anon_sym_break] = ACTIONS(617),
    [anon_sym_next] = ACTIONS(619),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_defined_QMARK] = ACTIONS(2359),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2365),
    [sym_constant] = ACTIONS(653),
    [sym_identifier] = ACTIONS(653),
    [sym_instance_variable] = ACTIONS(649),
    [sym_class_variable] = ACTIONS(649),
    [sym_global_variable] = ACTIONS(649),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(653),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(653),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9056] = {
    [aux_sym_exceptions_repeat1] = STATE(10628),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13399),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_RBRACK] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9057] = {
    [sym__heredoc_body_start] = ACTIONS(10911),
    [sym__element_reference_left_bracket] = ACTIONS(10911),
    [sym__infix_scope_colons] = ACTIONS(10911),
    [sym__binary_minus] = ACTIONS(10911),
    [sym__binary_star] = ACTIONS(10911),
    [anon_sym_LBRACE] = ACTIONS(10911),
    [anon_sym_RBRACE] = ACTIONS(10911),
    [anon_sym_RPAREN] = ACTIONS(10911),
    [anon_sym_DOT] = ACTIONS(10913),
    [anon_sym_COMMA] = ACTIONS(10911),
    [anon_sym_PIPE] = ACTIONS(10913),
    [anon_sym_SEMI] = ACTIONS(10911),
    [anon_sym_STAR_STAR] = ACTIONS(10911),
    [anon_sym_AMP] = ACTIONS(10913),
    [anon_sym_EQ] = ACTIONS(10913),
    [anon_sym_LT] = ACTIONS(10913),
    [anon_sym_if] = ACTIONS(10911),
    [anon_sym_unless] = ACTIONS(10911),
    [anon_sym_while] = ACTIONS(10911),
    [anon_sym_until] = ACTIONS(10911),
    [anon_sym_rescue] = ACTIONS(10911),
    [anon_sym_in] = ACTIONS(10911),
    [anon_sym_do] = ACTIONS(10911),
    [anon_sym_EQ_GT] = ACTIONS(10911),
    [anon_sym_RBRACK] = ACTIONS(10911),
    [anon_sym_AMP_DOT] = ACTIONS(10911),
    [anon_sym_QMARK] = ACTIONS(10911),
    [anon_sym_COLON] = ACTIONS(10911),
    [anon_sym_DOT_DOT] = ACTIONS(10913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10911),
    [anon_sym_and] = ACTIONS(10911),
    [anon_sym_or] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE] = ACTIONS(10911),
    [anon_sym_AMP_AMP] = ACTIONS(10911),
    [anon_sym_LT_LT] = ACTIONS(10911),
    [anon_sym_GT_GT] = ACTIONS(10911),
    [anon_sym_EQ_EQ] = ACTIONS(10913),
    [anon_sym_BANG_EQ] = ACTIONS(10911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10911),
    [anon_sym_LT_EQ_GT] = ACTIONS(10911),
    [anon_sym_EQ_TILDE] = ACTIONS(10911),
    [anon_sym_BANG_TILDE] = ACTIONS(10911),
    [anon_sym_LT_EQ] = ACTIONS(10913),
    [anon_sym_GT] = ACTIONS(10913),
    [anon_sym_GT_EQ] = ACTIONS(10911),
    [anon_sym_CARET] = ACTIONS(10911),
    [anon_sym_PLUS] = ACTIONS(10911),
    [anon_sym_SLASH] = ACTIONS(10911),
    [anon_sym_PERCENT] = ACTIONS(10911),
    [sym_comment] = ACTIONS(87),
  },
  [9058] = {
    [anon_sym_end] = ACTIONS(13401),
    [sym_comment] = ACTIONS(87),
  },
  [9059] = {
    [sym_elsif] = STATE(10630),
    [sym_else] = STATE(10630),
    [sym__if_tail] = STATE(10630),
    [anon_sym_end] = ACTIONS(13401),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [9060] = {
    [sym__heredoc_body_start] = ACTIONS(11082),
    [sym__element_reference_left_bracket] = ACTIONS(11082),
    [sym__infix_scope_colons] = ACTIONS(11082),
    [sym__binary_minus] = ACTIONS(11082),
    [sym__binary_star] = ACTIONS(11082),
    [anon_sym_LBRACE] = ACTIONS(11082),
    [anon_sym_RBRACE] = ACTIONS(11082),
    [anon_sym_RPAREN] = ACTIONS(11082),
    [anon_sym_DOT] = ACTIONS(11084),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_PIPE] = ACTIONS(11084),
    [anon_sym_SEMI] = ACTIONS(11082),
    [anon_sym_STAR_STAR] = ACTIONS(11082),
    [anon_sym_AMP] = ACTIONS(11084),
    [anon_sym_EQ] = ACTIONS(11084),
    [anon_sym_LT] = ACTIONS(11084),
    [anon_sym_if] = ACTIONS(11082),
    [anon_sym_unless] = ACTIONS(11082),
    [anon_sym_while] = ACTIONS(11082),
    [anon_sym_until] = ACTIONS(11082),
    [anon_sym_rescue] = ACTIONS(11082),
    [anon_sym_in] = ACTIONS(11082),
    [anon_sym_do] = ACTIONS(11082),
    [anon_sym_EQ_GT] = ACTIONS(11082),
    [anon_sym_RBRACK] = ACTIONS(11082),
    [anon_sym_AMP_DOT] = ACTIONS(11082),
    [anon_sym_QMARK] = ACTIONS(11082),
    [anon_sym_COLON] = ACTIONS(11082),
    [anon_sym_DOT_DOT] = ACTIONS(11084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11082),
    [anon_sym_and] = ACTIONS(11082),
    [anon_sym_or] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE] = ACTIONS(11082),
    [anon_sym_AMP_AMP] = ACTIONS(11082),
    [anon_sym_LT_LT] = ACTIONS(11082),
    [anon_sym_GT_GT] = ACTIONS(11082),
    [anon_sym_EQ_EQ] = ACTIONS(11084),
    [anon_sym_BANG_EQ] = ACTIONS(11082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11082),
    [anon_sym_LT_EQ_GT] = ACTIONS(11082),
    [anon_sym_EQ_TILDE] = ACTIONS(11082),
    [anon_sym_BANG_TILDE] = ACTIONS(11082),
    [anon_sym_LT_EQ] = ACTIONS(11084),
    [anon_sym_GT] = ACTIONS(11084),
    [anon_sym_GT_EQ] = ACTIONS(11082),
    [anon_sym_CARET] = ACTIONS(11082),
    [anon_sym_PLUS] = ACTIONS(11082),
    [anon_sym_SLASH] = ACTIONS(11082),
    [anon_sym_PERCENT] = ACTIONS(11082),
    [sym_comment] = ACTIONS(87),
  },
  [9061] = {
    [anon_sym_end] = ACTIONS(13403),
    [sym_comment] = ACTIONS(87),
  },
  [9062] = {
    [sym__heredoc_body_start] = ACTIONS(11177),
    [sym__element_reference_left_bracket] = ACTIONS(11177),
    [sym__infix_scope_colons] = ACTIONS(11177),
    [sym__binary_minus] = ACTIONS(11177),
    [sym__binary_star] = ACTIONS(11177),
    [anon_sym_LBRACE] = ACTIONS(11177),
    [anon_sym_RBRACE] = ACTIONS(11177),
    [anon_sym_RPAREN] = ACTIONS(11177),
    [anon_sym_DOT] = ACTIONS(11179),
    [anon_sym_COMMA] = ACTIONS(11177),
    [anon_sym_PIPE] = ACTIONS(11179),
    [anon_sym_SEMI] = ACTIONS(11177),
    [anon_sym_STAR_STAR] = ACTIONS(11177),
    [anon_sym_AMP] = ACTIONS(11179),
    [anon_sym_EQ] = ACTIONS(11179),
    [anon_sym_LT] = ACTIONS(11179),
    [anon_sym_if] = ACTIONS(11177),
    [anon_sym_unless] = ACTIONS(11177),
    [anon_sym_while] = ACTIONS(11177),
    [anon_sym_until] = ACTIONS(11177),
    [anon_sym_rescue] = ACTIONS(11177),
    [anon_sym_in] = ACTIONS(11177),
    [anon_sym_do] = ACTIONS(11177),
    [anon_sym_EQ_GT] = ACTIONS(11177),
    [anon_sym_RBRACK] = ACTIONS(11177),
    [anon_sym_AMP_DOT] = ACTIONS(11177),
    [anon_sym_QMARK] = ACTIONS(11177),
    [anon_sym_COLON] = ACTIONS(11177),
    [anon_sym_DOT_DOT] = ACTIONS(11179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11177),
    [anon_sym_and] = ACTIONS(11177),
    [anon_sym_or] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE] = ACTIONS(11177),
    [anon_sym_AMP_AMP] = ACTIONS(11177),
    [anon_sym_LT_LT] = ACTIONS(11177),
    [anon_sym_GT_GT] = ACTIONS(11177),
    [anon_sym_EQ_EQ] = ACTIONS(11179),
    [anon_sym_BANG_EQ] = ACTIONS(11177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11177),
    [anon_sym_LT_EQ_GT] = ACTIONS(11177),
    [anon_sym_EQ_TILDE] = ACTIONS(11177),
    [anon_sym_BANG_TILDE] = ACTIONS(11177),
    [anon_sym_LT_EQ] = ACTIONS(11179),
    [anon_sym_GT] = ACTIONS(11179),
    [anon_sym_GT_EQ] = ACTIONS(11177),
    [anon_sym_CARET] = ACTIONS(11177),
    [anon_sym_PLUS] = ACTIONS(11177),
    [anon_sym_SLASH] = ACTIONS(11177),
    [anon_sym_PERCENT] = ACTIONS(11177),
    [sym_comment] = ACTIONS(87),
  },
  [9063] = {
    [sym__heredoc_body_start] = ACTIONS(11186),
    [sym__element_reference_left_bracket] = ACTIONS(11186),
    [sym__infix_scope_colons] = ACTIONS(11186),
    [sym__binary_minus] = ACTIONS(11186),
    [sym__binary_star] = ACTIONS(11186),
    [anon_sym_LBRACE] = ACTIONS(11186),
    [anon_sym_RBRACE] = ACTIONS(11186),
    [anon_sym_RPAREN] = ACTIONS(11186),
    [anon_sym_DOT] = ACTIONS(11188),
    [anon_sym_COMMA] = ACTIONS(11186),
    [anon_sym_PIPE] = ACTIONS(11188),
    [anon_sym_SEMI] = ACTIONS(11186),
    [anon_sym_STAR_STAR] = ACTIONS(11186),
    [anon_sym_AMP] = ACTIONS(11188),
    [anon_sym_EQ] = ACTIONS(11188),
    [anon_sym_LT] = ACTIONS(11188),
    [anon_sym_if] = ACTIONS(11186),
    [anon_sym_unless] = ACTIONS(11186),
    [anon_sym_while] = ACTIONS(11186),
    [anon_sym_until] = ACTIONS(11186),
    [anon_sym_rescue] = ACTIONS(11186),
    [anon_sym_in] = ACTIONS(11186),
    [anon_sym_do] = ACTIONS(11186),
    [anon_sym_EQ_GT] = ACTIONS(11186),
    [anon_sym_RBRACK] = ACTIONS(11186),
    [anon_sym_AMP_DOT] = ACTIONS(11186),
    [anon_sym_QMARK] = ACTIONS(11186),
    [anon_sym_COLON] = ACTIONS(11186),
    [anon_sym_DOT_DOT] = ACTIONS(11188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11186),
    [anon_sym_and] = ACTIONS(11186),
    [anon_sym_or] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11186),
    [anon_sym_AMP_AMP] = ACTIONS(11186),
    [anon_sym_LT_LT] = ACTIONS(11186),
    [anon_sym_GT_GT] = ACTIONS(11186),
    [anon_sym_EQ_EQ] = ACTIONS(11188),
    [anon_sym_BANG_EQ] = ACTIONS(11186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11186),
    [anon_sym_LT_EQ_GT] = ACTIONS(11186),
    [anon_sym_EQ_TILDE] = ACTIONS(11186),
    [anon_sym_BANG_TILDE] = ACTIONS(11186),
    [anon_sym_LT_EQ] = ACTIONS(11188),
    [anon_sym_GT] = ACTIONS(11188),
    [anon_sym_GT_EQ] = ACTIONS(11186),
    [anon_sym_CARET] = ACTIONS(11186),
    [anon_sym_PLUS] = ACTIONS(11186),
    [anon_sym_SLASH] = ACTIONS(11186),
    [anon_sym_PERCENT] = ACTIONS(11186),
    [sym_comment] = ACTIONS(87),
  },
  [9064] = {
    [sym__heredoc_body_start] = ACTIONS(11233),
    [sym__element_reference_left_bracket] = ACTIONS(11233),
    [sym__infix_scope_colons] = ACTIONS(11233),
    [sym__binary_minus] = ACTIONS(11233),
    [sym__binary_star] = ACTIONS(11233),
    [anon_sym_LBRACE] = ACTIONS(11233),
    [anon_sym_RBRACE] = ACTIONS(11233),
    [anon_sym_RPAREN] = ACTIONS(11233),
    [anon_sym_DOT] = ACTIONS(11235),
    [anon_sym_COMMA] = ACTIONS(11233),
    [anon_sym_PIPE] = ACTIONS(11235),
    [anon_sym_SEMI] = ACTIONS(11233),
    [anon_sym_STAR_STAR] = ACTIONS(11233),
    [anon_sym_AMP] = ACTIONS(11235),
    [anon_sym_EQ] = ACTIONS(11235),
    [anon_sym_LT] = ACTIONS(11235),
    [anon_sym_if] = ACTIONS(11233),
    [anon_sym_unless] = ACTIONS(11233),
    [anon_sym_while] = ACTIONS(11233),
    [anon_sym_until] = ACTIONS(11233),
    [anon_sym_rescue] = ACTIONS(11233),
    [anon_sym_in] = ACTIONS(11233),
    [anon_sym_do] = ACTIONS(11233),
    [anon_sym_EQ_GT] = ACTIONS(11233),
    [anon_sym_RBRACK] = ACTIONS(11233),
    [anon_sym_AMP_DOT] = ACTIONS(11233),
    [anon_sym_QMARK] = ACTIONS(11233),
    [anon_sym_COLON] = ACTIONS(11233),
    [anon_sym_DOT_DOT] = ACTIONS(11235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11233),
    [anon_sym_and] = ACTIONS(11233),
    [anon_sym_or] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE] = ACTIONS(11233),
    [anon_sym_AMP_AMP] = ACTIONS(11233),
    [anon_sym_LT_LT] = ACTIONS(11233),
    [anon_sym_GT_GT] = ACTIONS(11233),
    [anon_sym_EQ_EQ] = ACTIONS(11235),
    [anon_sym_BANG_EQ] = ACTIONS(11233),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11233),
    [anon_sym_LT_EQ_GT] = ACTIONS(11233),
    [anon_sym_EQ_TILDE] = ACTIONS(11233),
    [anon_sym_BANG_TILDE] = ACTIONS(11233),
    [anon_sym_LT_EQ] = ACTIONS(11235),
    [anon_sym_GT] = ACTIONS(11235),
    [anon_sym_GT_EQ] = ACTIONS(11233),
    [anon_sym_CARET] = ACTIONS(11233),
    [anon_sym_PLUS] = ACTIONS(11233),
    [anon_sym_SLASH] = ACTIONS(11233),
    [anon_sym_PERCENT] = ACTIONS(11233),
    [sym_comment] = ACTIONS(87),
  },
  [9065] = {
    [anon_sym_end] = ACTIONS(13405),
    [sym_comment] = ACTIONS(87),
  },
  [9066] = {
    [sym__heredoc_body_start] = ACTIONS(11246),
    [sym__element_reference_left_bracket] = ACTIONS(11246),
    [sym__infix_scope_colons] = ACTIONS(11246),
    [sym__binary_minus] = ACTIONS(11246),
    [sym__binary_star] = ACTIONS(11246),
    [anon_sym_LBRACE] = ACTIONS(11246),
    [anon_sym_RBRACE] = ACTIONS(11246),
    [anon_sym_RPAREN] = ACTIONS(11246),
    [anon_sym_DOT] = ACTIONS(11248),
    [anon_sym_COMMA] = ACTIONS(11246),
    [anon_sym_PIPE] = ACTIONS(11248),
    [anon_sym_SEMI] = ACTIONS(11246),
    [anon_sym_STAR_STAR] = ACTIONS(11246),
    [anon_sym_AMP] = ACTIONS(11248),
    [anon_sym_EQ] = ACTIONS(11248),
    [anon_sym_LT] = ACTIONS(11248),
    [anon_sym_if] = ACTIONS(11246),
    [anon_sym_unless] = ACTIONS(11246),
    [anon_sym_while] = ACTIONS(11246),
    [anon_sym_until] = ACTIONS(11246),
    [anon_sym_rescue] = ACTIONS(11246),
    [anon_sym_in] = ACTIONS(11246),
    [anon_sym_do] = ACTIONS(11246),
    [anon_sym_EQ_GT] = ACTIONS(11246),
    [anon_sym_RBRACK] = ACTIONS(11246),
    [anon_sym_AMP_DOT] = ACTIONS(11246),
    [anon_sym_QMARK] = ACTIONS(11246),
    [anon_sym_COLON] = ACTIONS(11246),
    [anon_sym_DOT_DOT] = ACTIONS(11248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11246),
    [anon_sym_and] = ACTIONS(11246),
    [anon_sym_or] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE] = ACTIONS(11246),
    [anon_sym_AMP_AMP] = ACTIONS(11246),
    [anon_sym_LT_LT] = ACTIONS(11246),
    [anon_sym_GT_GT] = ACTIONS(11246),
    [anon_sym_EQ_EQ] = ACTIONS(11248),
    [anon_sym_BANG_EQ] = ACTIONS(11246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11246),
    [anon_sym_LT_EQ_GT] = ACTIONS(11246),
    [anon_sym_EQ_TILDE] = ACTIONS(11246),
    [anon_sym_BANG_TILDE] = ACTIONS(11246),
    [anon_sym_LT_EQ] = ACTIONS(11248),
    [anon_sym_GT] = ACTIONS(11248),
    [anon_sym_GT_EQ] = ACTIONS(11246),
    [anon_sym_CARET] = ACTIONS(11246),
    [anon_sym_PLUS] = ACTIONS(11246),
    [anon_sym_SLASH] = ACTIONS(11246),
    [anon_sym_PERCENT] = ACTIONS(11246),
    [sym_comment] = ACTIONS(87),
  },
  [9067] = {
    [anon_sym_end] = ACTIONS(13407),
    [sym_comment] = ACTIONS(87),
  },
  [9068] = {
    [sym__heredoc_body_start] = ACTIONS(11712),
    [sym__element_reference_left_bracket] = ACTIONS(11712),
    [sym__infix_scope_colons] = ACTIONS(11712),
    [sym__binary_minus] = ACTIONS(11712),
    [sym__binary_star] = ACTIONS(11712),
    [anon_sym_LBRACE] = ACTIONS(11712),
    [anon_sym_RBRACE] = ACTIONS(11712),
    [anon_sym_RPAREN] = ACTIONS(11712),
    [anon_sym_DOT] = ACTIONS(11714),
    [anon_sym_COMMA] = ACTIONS(11712),
    [anon_sym_PIPE] = ACTIONS(11714),
    [anon_sym_SEMI] = ACTIONS(11712),
    [anon_sym_STAR_STAR] = ACTIONS(11712),
    [anon_sym_AMP] = ACTIONS(11714),
    [anon_sym_EQ] = ACTIONS(11714),
    [anon_sym_LT] = ACTIONS(11714),
    [anon_sym_if] = ACTIONS(11712),
    [anon_sym_unless] = ACTIONS(11712),
    [anon_sym_while] = ACTIONS(11712),
    [anon_sym_until] = ACTIONS(11712),
    [anon_sym_rescue] = ACTIONS(11712),
    [anon_sym_in] = ACTIONS(11712),
    [anon_sym_do] = ACTIONS(11712),
    [anon_sym_EQ_GT] = ACTIONS(11712),
    [anon_sym_RBRACK] = ACTIONS(11712),
    [anon_sym_AMP_DOT] = ACTIONS(11712),
    [anon_sym_QMARK] = ACTIONS(11712),
    [anon_sym_COLON] = ACTIONS(11712),
    [anon_sym_DOT_DOT] = ACTIONS(11714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11712),
    [anon_sym_and] = ACTIONS(11712),
    [anon_sym_or] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE] = ACTIONS(11712),
    [anon_sym_AMP_AMP] = ACTIONS(11712),
    [anon_sym_LT_LT] = ACTIONS(11712),
    [anon_sym_GT_GT] = ACTIONS(11712),
    [anon_sym_EQ_EQ] = ACTIONS(11714),
    [anon_sym_BANG_EQ] = ACTIONS(11712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11712),
    [anon_sym_LT_EQ_GT] = ACTIONS(11712),
    [anon_sym_EQ_TILDE] = ACTIONS(11712),
    [anon_sym_BANG_TILDE] = ACTIONS(11712),
    [anon_sym_LT_EQ] = ACTIONS(11714),
    [anon_sym_GT] = ACTIONS(11714),
    [anon_sym_GT_EQ] = ACTIONS(11712),
    [anon_sym_CARET] = ACTIONS(11712),
    [anon_sym_PLUS] = ACTIONS(11712),
    [anon_sym_SLASH] = ACTIONS(11712),
    [anon_sym_PERCENT] = ACTIONS(11712),
    [sym_comment] = ACTIONS(87),
  },
  [9069] = {
    [anon_sym_end] = ACTIONS(13409),
    [sym_comment] = ACTIONS(87),
  },
  [9070] = {
    [sym__heredoc_body_start] = ACTIONS(11905),
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [sym__binary_minus] = ACTIONS(11905),
    [sym__binary_star] = ACTIONS(11905),
    [anon_sym_LBRACE] = ACTIONS(11905),
    [anon_sym_RBRACE] = ACTIONS(11905),
    [anon_sym_RPAREN] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11907),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_PIPE] = ACTIONS(11907),
    [anon_sym_SEMI] = ACTIONS(11905),
    [anon_sym_STAR_STAR] = ACTIONS(11905),
    [anon_sym_AMP] = ACTIONS(11907),
    [anon_sym_EQ] = ACTIONS(11907),
    [anon_sym_LT] = ACTIONS(11907),
    [anon_sym_if] = ACTIONS(11905),
    [anon_sym_unless] = ACTIONS(11905),
    [anon_sym_while] = ACTIONS(11905),
    [anon_sym_until] = ACTIONS(11905),
    [anon_sym_rescue] = ACTIONS(11905),
    [anon_sym_in] = ACTIONS(11905),
    [anon_sym_do] = ACTIONS(11905),
    [anon_sym_EQ_GT] = ACTIONS(11905),
    [anon_sym_RBRACK] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [anon_sym_QMARK] = ACTIONS(11905),
    [anon_sym_COLON] = ACTIONS(11905),
    [anon_sym_DOT_DOT] = ACTIONS(11907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11905),
    [anon_sym_and] = ACTIONS(11905),
    [anon_sym_or] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE] = ACTIONS(11905),
    [anon_sym_AMP_AMP] = ACTIONS(11905),
    [anon_sym_LT_LT] = ACTIONS(11905),
    [anon_sym_GT_GT] = ACTIONS(11905),
    [anon_sym_EQ_EQ] = ACTIONS(11907),
    [anon_sym_BANG_EQ] = ACTIONS(11905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11905),
    [anon_sym_LT_EQ_GT] = ACTIONS(11905),
    [anon_sym_EQ_TILDE] = ACTIONS(11905),
    [anon_sym_BANG_TILDE] = ACTIONS(11905),
    [anon_sym_LT_EQ] = ACTIONS(11907),
    [anon_sym_GT] = ACTIONS(11907),
    [anon_sym_GT_EQ] = ACTIONS(11905),
    [anon_sym_CARET] = ACTIONS(11905),
    [anon_sym_PLUS] = ACTIONS(11905),
    [anon_sym_SLASH] = ACTIONS(11905),
    [anon_sym_PERCENT] = ACTIONS(11905),
    [sym_comment] = ACTIONS(87),
  },
  [9071] = {
    [sym__heredoc_body_start] = ACTIONS(11938),
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [sym__binary_minus] = ACTIONS(11938),
    [sym__binary_star] = ACTIONS(11938),
    [anon_sym_LBRACE] = ACTIONS(11938),
    [anon_sym_RBRACE] = ACTIONS(11938),
    [anon_sym_RPAREN] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11940),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_PIPE] = ACTIONS(11940),
    [anon_sym_SEMI] = ACTIONS(11938),
    [anon_sym_STAR_STAR] = ACTIONS(11938),
    [anon_sym_AMP] = ACTIONS(11940),
    [anon_sym_EQ] = ACTIONS(11940),
    [anon_sym_LT] = ACTIONS(11940),
    [anon_sym_if] = ACTIONS(11938),
    [anon_sym_unless] = ACTIONS(11938),
    [anon_sym_while] = ACTIONS(11938),
    [anon_sym_until] = ACTIONS(11938),
    [anon_sym_rescue] = ACTIONS(11938),
    [anon_sym_in] = ACTIONS(11938),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_EQ_GT] = ACTIONS(11938),
    [anon_sym_RBRACK] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [anon_sym_QMARK] = ACTIONS(11938),
    [anon_sym_COLON] = ACTIONS(11938),
    [anon_sym_DOT_DOT] = ACTIONS(11940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11938),
    [anon_sym_and] = ACTIONS(11938),
    [anon_sym_or] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE] = ACTIONS(11938),
    [anon_sym_AMP_AMP] = ACTIONS(11938),
    [anon_sym_LT_LT] = ACTIONS(11938),
    [anon_sym_GT_GT] = ACTIONS(11938),
    [anon_sym_EQ_EQ] = ACTIONS(11940),
    [anon_sym_BANG_EQ] = ACTIONS(11938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11938),
    [anon_sym_LT_EQ_GT] = ACTIONS(11938),
    [anon_sym_EQ_TILDE] = ACTIONS(11938),
    [anon_sym_BANG_TILDE] = ACTIONS(11938),
    [anon_sym_LT_EQ] = ACTIONS(11940),
    [anon_sym_GT] = ACTIONS(11940),
    [anon_sym_GT_EQ] = ACTIONS(11938),
    [anon_sym_CARET] = ACTIONS(11938),
    [anon_sym_PLUS] = ACTIONS(11938),
    [anon_sym_SLASH] = ACTIONS(11938),
    [anon_sym_PERCENT] = ACTIONS(11938),
    [sym_comment] = ACTIONS(87),
  },
  [9072] = {
    [anon_sym_end] = ACTIONS(13411),
    [sym_comment] = ACTIONS(87),
  },
  [9073] = {
    [sym__statements] = STATE(10636),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13413),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9074] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(2387),
    [sym__binary_star] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_STAR_STAR] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_RBRACK] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2405),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ_GT] = ACTIONS(2409),
    [anon_sym_EQ_TILDE] = ACTIONS(2409),
    [anon_sym_BANG_TILDE] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_GT_EQ] = ACTIONS(2415),
    [anon_sym_CARET] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [sym_comment] = ACTIONS(87),
  },
  [9075] = {
    [sym__heredoc_body_start] = ACTIONS(12078),
    [sym__element_reference_left_bracket] = ACTIONS(12078),
    [sym__infix_scope_colons] = ACTIONS(12078),
    [sym__binary_minus] = ACTIONS(12078),
    [sym__binary_star] = ACTIONS(12078),
    [anon_sym_LBRACE] = ACTIONS(12078),
    [anon_sym_RBRACE] = ACTIONS(12078),
    [anon_sym_RPAREN] = ACTIONS(12078),
    [anon_sym_DOT] = ACTIONS(12080),
    [anon_sym_COMMA] = ACTIONS(12078),
    [anon_sym_PIPE] = ACTIONS(12080),
    [anon_sym_SEMI] = ACTIONS(12078),
    [anon_sym_STAR_STAR] = ACTIONS(12080),
    [anon_sym_AMP] = ACTIONS(12080),
    [anon_sym_EQ] = ACTIONS(12080),
    [anon_sym_LT] = ACTIONS(12080),
    [anon_sym_if] = ACTIONS(12078),
    [anon_sym_unless] = ACTIONS(12078),
    [anon_sym_while] = ACTIONS(12078),
    [anon_sym_until] = ACTIONS(12078),
    [anon_sym_rescue] = ACTIONS(12078),
    [anon_sym_in] = ACTIONS(12078),
    [anon_sym_do] = ACTIONS(12078),
    [anon_sym_EQ_GT] = ACTIONS(12078),
    [anon_sym_RBRACK] = ACTIONS(12078),
    [anon_sym_AMP_DOT] = ACTIONS(12078),
    [anon_sym_PLUS_EQ] = ACTIONS(12078),
    [anon_sym_DASH_EQ] = ACTIONS(12078),
    [anon_sym_STAR_EQ] = ACTIONS(12078),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12078),
    [anon_sym_SLASH_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12078),
    [anon_sym_AMP_EQ] = ACTIONS(12078),
    [anon_sym_PERCENT_EQ] = ACTIONS(12078),
    [anon_sym_GT_GT_EQ] = ACTIONS(12078),
    [anon_sym_LT_LT_EQ] = ACTIONS(12078),
    [anon_sym_CARET_EQ] = ACTIONS(12078),
    [anon_sym_QMARK] = ACTIONS(12078),
    [anon_sym_COLON] = ACTIONS(12078),
    [anon_sym_DOT_DOT] = ACTIONS(12080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12078),
    [anon_sym_and] = ACTIONS(12078),
    [anon_sym_or] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE] = ACTIONS(12080),
    [anon_sym_AMP_AMP] = ACTIONS(12080),
    [anon_sym_LT_LT] = ACTIONS(12080),
    [anon_sym_GT_GT] = ACTIONS(12080),
    [anon_sym_EQ_EQ] = ACTIONS(12080),
    [anon_sym_BANG_EQ] = ACTIONS(12078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12078),
    [anon_sym_LT_EQ_GT] = ACTIONS(12078),
    [anon_sym_EQ_TILDE] = ACTIONS(12078),
    [anon_sym_BANG_TILDE] = ACTIONS(12078),
    [anon_sym_LT_EQ] = ACTIONS(12080),
    [anon_sym_GT] = ACTIONS(12080),
    [anon_sym_GT_EQ] = ACTIONS(12078),
    [anon_sym_CARET] = ACTIONS(12080),
    [anon_sym_PLUS] = ACTIONS(12080),
    [anon_sym_SLASH] = ACTIONS(12080),
    [anon_sym_PERCENT] = ACTIONS(12080),
    [sym_comment] = ACTIONS(87),
  },
  [9076] = {
    [sym__simple_symbol] = ACTIONS(7758),
    [sym__string_start] = ACTIONS(7758),
    [sym__symbol_start] = ACTIONS(7758),
    [sym__subshell_start] = ACTIONS(7758),
    [sym__regex_start] = ACTIONS(7758),
    [sym__string_array_start] = ACTIONS(7758),
    [sym__symbol_array_start] = ACTIONS(7758),
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym_heredoc_beginning] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__block_ampersand] = ACTIONS(7758),
    [sym__splat_star] = ACTIONS(7758),
    [sym__argument_list_left_paren] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__unary_minus] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [sym__identifier_hash_key] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RBRACE] = ACTIONS(7758),
    [anon_sym_def] = ACTIONS(7760),
    [anon_sym_LPAREN] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COLON_COLON] = ACTIONS(7758),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR] = ACTIONS(7760),
    [anon_sym_STAR_STAR] = ACTIONS(7760),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_class] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_module] = ACTIONS(7760),
    [anon_sym_return] = ACTIONS(7760),
    [anon_sym_yield] = ACTIONS(7760),
    [anon_sym_break] = ACTIONS(7760),
    [anon_sym_next] = ACTIONS(7760),
    [sym_redo] = ACTIONS(7760),
    [sym_retry] = ACTIONS(7760),
    [anon_sym_if] = ACTIONS(7760),
    [anon_sym_unless] = ACTIONS(7760),
    [anon_sym_while] = ACTIONS(7760),
    [anon_sym_until] = ACTIONS(7760),
    [anon_sym_rescue] = ACTIONS(7760),
    [anon_sym_for] = ACTIONS(7760),
    [anon_sym_in] = ACTIONS(7760),
    [anon_sym_do] = ACTIONS(7760),
    [anon_sym_case] = ACTIONS(7760),
    [anon_sym_begin] = ACTIONS(7760),
    [anon_sym_EQ_GT] = ACTIONS(7758),
    [anon_sym_RBRACK] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS_EQ] = ACTIONS(7758),
    [anon_sym_DASH_EQ] = ACTIONS(7758),
    [anon_sym_STAR_EQ] = ACTIONS(7758),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7758),
    [anon_sym_SLASH_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7758),
    [anon_sym_AMP_EQ] = ACTIONS(7758),
    [anon_sym_PERCENT_EQ] = ACTIONS(7758),
    [anon_sym_GT_GT_EQ] = ACTIONS(7758),
    [anon_sym_LT_LT_EQ] = ACTIONS(7758),
    [anon_sym_CARET_EQ] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7760),
    [anon_sym_COLON] = ACTIONS(7760),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7760),
    [anon_sym_or] = ACTIONS(7760),
    [anon_sym_PIPE_PIPE] = ACTIONS(7760),
    [anon_sym_AMP_AMP] = ACTIONS(7760),
    [anon_sym_LT_LT] = ACTIONS(7760),
    [anon_sym_GT_GT] = ACTIONS(7760),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7760),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_SLASH] = ACTIONS(7760),
    [anon_sym_PERCENT] = ACTIONS(7760),
    [anon_sym_defined_QMARK] = ACTIONS(7758),
    [anon_sym_not] = ACTIONS(7760),
    [anon_sym_BANG] = ACTIONS(7760),
    [anon_sym_TILDE] = ACTIONS(7758),
    [sym_constant] = ACTIONS(7760),
    [sym_identifier] = ACTIONS(7760),
    [sym_instance_variable] = ACTIONS(7758),
    [sym_class_variable] = ACTIONS(7758),
    [sym_global_variable] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(7760),
    [sym_float] = ACTIONS(7760),
    [sym_complex] = ACTIONS(7758),
    [sym_super] = ACTIONS(7760),
    [anon_sym_true] = ACTIONS(7760),
    [anon_sym_TRUE] = ACTIONS(7760),
    [anon_sym_false] = ACTIONS(7760),
    [anon_sym_FALSE] = ACTIONS(7760),
    [sym_self] = ACTIONS(7760),
    [anon_sym_nil] = ACTIONS(7760),
    [anon_sym_NIL] = ACTIONS(7760),
    [sym_character] = ACTIONS(7758),
    [anon_sym_LBRACK] = ACTIONS(7758),
    [anon_sym_DASH_GT] = ACTIONS(7758),
  },
  [9077] = {
    [anon_sym_RPAREN] = ACTIONS(13415),
    [sym_comment] = ACTIONS(87),
  },
  [9078] = {
    [sym__heredoc_body_start] = ACTIONS(11905),
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [sym__binary_minus] = ACTIONS(11905),
    [sym__binary_star] = ACTIONS(11905),
    [anon_sym_LBRACE] = ACTIONS(11905),
    [anon_sym_RBRACE] = ACTIONS(11905),
    [anon_sym_RPAREN] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11907),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_PIPE] = ACTIONS(11907),
    [anon_sym_SEMI] = ACTIONS(11905),
    [anon_sym_STAR_STAR] = ACTIONS(11907),
    [anon_sym_AMP] = ACTIONS(11907),
    [anon_sym_EQ] = ACTIONS(11907),
    [anon_sym_LT] = ACTIONS(11907),
    [anon_sym_if] = ACTIONS(11905),
    [anon_sym_unless] = ACTIONS(11905),
    [anon_sym_while] = ACTIONS(11905),
    [anon_sym_until] = ACTIONS(11905),
    [anon_sym_rescue] = ACTIONS(11905),
    [anon_sym_in] = ACTIONS(11905),
    [anon_sym_do] = ACTIONS(11905),
    [anon_sym_EQ_GT] = ACTIONS(11905),
    [anon_sym_RBRACK] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [anon_sym_PLUS_EQ] = ACTIONS(11905),
    [anon_sym_DASH_EQ] = ACTIONS(11905),
    [anon_sym_STAR_EQ] = ACTIONS(11905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11905),
    [anon_sym_SLASH_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11905),
    [anon_sym_AMP_EQ] = ACTIONS(11905),
    [anon_sym_PERCENT_EQ] = ACTIONS(11905),
    [anon_sym_GT_GT_EQ] = ACTIONS(11905),
    [anon_sym_LT_LT_EQ] = ACTIONS(11905),
    [anon_sym_CARET_EQ] = ACTIONS(11905),
    [anon_sym_QMARK] = ACTIONS(11905),
    [anon_sym_COLON] = ACTIONS(11905),
    [anon_sym_DOT_DOT] = ACTIONS(11907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11905),
    [anon_sym_and] = ACTIONS(11905),
    [anon_sym_or] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE] = ACTIONS(11907),
    [anon_sym_AMP_AMP] = ACTIONS(11907),
    [anon_sym_LT_LT] = ACTIONS(11907),
    [anon_sym_GT_GT] = ACTIONS(11907),
    [anon_sym_EQ_EQ] = ACTIONS(11907),
    [anon_sym_BANG_EQ] = ACTIONS(11905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11905),
    [anon_sym_LT_EQ_GT] = ACTIONS(11905),
    [anon_sym_EQ_TILDE] = ACTIONS(11905),
    [anon_sym_BANG_TILDE] = ACTIONS(11905),
    [anon_sym_LT_EQ] = ACTIONS(11907),
    [anon_sym_GT] = ACTIONS(11907),
    [anon_sym_GT_EQ] = ACTIONS(11905),
    [anon_sym_CARET] = ACTIONS(11907),
    [anon_sym_PLUS] = ACTIONS(11907),
    [anon_sym_SLASH] = ACTIONS(11907),
    [anon_sym_PERCENT] = ACTIONS(11907),
    [sym_comment] = ACTIONS(87),
  },
  [9079] = {
    [sym__heredoc_body_start] = ACTIONS(11938),
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [sym__binary_minus] = ACTIONS(11938),
    [sym__binary_star] = ACTIONS(11938),
    [anon_sym_LBRACE] = ACTIONS(11938),
    [anon_sym_RBRACE] = ACTIONS(11938),
    [anon_sym_RPAREN] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11940),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_PIPE] = ACTIONS(11940),
    [anon_sym_SEMI] = ACTIONS(11938),
    [anon_sym_STAR_STAR] = ACTIONS(11940),
    [anon_sym_AMP] = ACTIONS(11940),
    [anon_sym_EQ] = ACTIONS(11940),
    [anon_sym_LT] = ACTIONS(11940),
    [anon_sym_if] = ACTIONS(11938),
    [anon_sym_unless] = ACTIONS(11938),
    [anon_sym_while] = ACTIONS(11938),
    [anon_sym_until] = ACTIONS(11938),
    [anon_sym_rescue] = ACTIONS(11938),
    [anon_sym_in] = ACTIONS(11938),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_EQ_GT] = ACTIONS(11938),
    [anon_sym_RBRACK] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [anon_sym_PLUS_EQ] = ACTIONS(11938),
    [anon_sym_DASH_EQ] = ACTIONS(11938),
    [anon_sym_STAR_EQ] = ACTIONS(11938),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11938),
    [anon_sym_SLASH_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11938),
    [anon_sym_AMP_EQ] = ACTIONS(11938),
    [anon_sym_PERCENT_EQ] = ACTIONS(11938),
    [anon_sym_GT_GT_EQ] = ACTIONS(11938),
    [anon_sym_LT_LT_EQ] = ACTIONS(11938),
    [anon_sym_CARET_EQ] = ACTIONS(11938),
    [anon_sym_QMARK] = ACTIONS(11938),
    [anon_sym_COLON] = ACTIONS(11938),
    [anon_sym_DOT_DOT] = ACTIONS(11940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11938),
    [anon_sym_and] = ACTIONS(11938),
    [anon_sym_or] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE] = ACTIONS(11940),
    [anon_sym_AMP_AMP] = ACTIONS(11940),
    [anon_sym_LT_LT] = ACTIONS(11940),
    [anon_sym_GT_GT] = ACTIONS(11940),
    [anon_sym_EQ_EQ] = ACTIONS(11940),
    [anon_sym_BANG_EQ] = ACTIONS(11938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11938),
    [anon_sym_LT_EQ_GT] = ACTIONS(11938),
    [anon_sym_EQ_TILDE] = ACTIONS(11938),
    [anon_sym_BANG_TILDE] = ACTIONS(11938),
    [anon_sym_LT_EQ] = ACTIONS(11940),
    [anon_sym_GT] = ACTIONS(11940),
    [anon_sym_GT_EQ] = ACTIONS(11938),
    [anon_sym_CARET] = ACTIONS(11940),
    [anon_sym_PLUS] = ACTIONS(11940),
    [anon_sym_SLASH] = ACTIONS(11940),
    [anon_sym_PERCENT] = ACTIONS(11940),
    [sym_comment] = ACTIONS(87),
  },
  [9080] = {
    [anon_sym_end] = ACTIONS(13417),
    [sym_comment] = ACTIONS(87),
  },
  [9081] = {
    [sym__statements] = STATE(10639),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13419),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9082] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10640),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_assignment] = STATE(10640),
    [sym_operator_assignment] = STATE(10640),
    [sym_conditional] = STATE(10640),
    [sym_range] = STATE(10640),
    [sym_binary] = STATE(10640),
    [sym_unary] = STATE(10640),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9083] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6558),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1454),
    [sym_scope_resolution] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_method_call] = STATE(1454),
    [sym_splat_argument] = STATE(9654),
    [sym_assignment] = STATE(6558),
    [sym_operator_assignment] = STATE(6558),
    [sym_conditional] = STATE(6558),
    [sym_range] = STATE(6558),
    [sym_binary] = STATE(6558),
    [sym_unary] = STATE(6558),
    [sym__arg_or_splat_arg] = STATE(9654),
    [sym_left_assignment_list] = STATE(1453),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1454),
    [sym__variable] = STATE(1448),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1454),
    [sym_false] = STATE(1454),
    [sym_nil] = STATE(1454),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3652),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(2431),
    [sym__unary_minus] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_next] = ACTIONS(2445),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_defined_QMARK] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [sym_constant] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2461),
    [sym_instance_variable] = ACTIONS(2459),
    [sym_class_variable] = ACTIONS(2459),
    [sym_global_variable] = ACTIONS(2459),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2461),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9084] = {
    [aux_sym_exceptions_repeat1] = STATE(10641),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13421),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_RBRACK] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [9085] = {
    [sym__simple_symbol] = ACTIONS(6671),
    [sym__string_start] = ACTIONS(6671),
    [sym__symbol_start] = ACTIONS(6671),
    [sym__subshell_start] = ACTIONS(6671),
    [sym__regex_start] = ACTIONS(6671),
    [sym__string_array_start] = ACTIONS(6671),
    [sym__symbol_array_start] = ACTIONS(6671),
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym_heredoc_beginning] = ACTIONS(6671),
    [sym__block_ampersand] = ACTIONS(6671),
    [sym__splat_star] = ACTIONS(6671),
    [sym__unary_minus] = ACTIONS(6671),
    [sym__identifier_hash_key] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_def] = ACTIONS(8601),
    [anon_sym_LPAREN] = ACTIONS(6671),
    [anon_sym_RPAREN] = ACTIONS(6671),
    [anon_sym_COLON_COLON] = ACTIONS(6671),
    [anon_sym_STAR] = ACTIONS(8601),
    [anon_sym_STAR_STAR] = ACTIONS(6671),
    [anon_sym_class] = ACTIONS(8601),
    [anon_sym_module] = ACTIONS(8601),
    [anon_sym_return] = ACTIONS(8601),
    [anon_sym_yield] = ACTIONS(8601),
    [anon_sym_break] = ACTIONS(8601),
    [anon_sym_next] = ACTIONS(8601),
    [sym_redo] = ACTIONS(8601),
    [sym_retry] = ACTIONS(8601),
    [anon_sym_if] = ACTIONS(8601),
    [anon_sym_unless] = ACTIONS(8601),
    [anon_sym_while] = ACTIONS(8601),
    [anon_sym_until] = ACTIONS(8601),
    [anon_sym_for] = ACTIONS(8601),
    [anon_sym_case] = ACTIONS(8601),
    [anon_sym_begin] = ACTIONS(8601),
    [anon_sym_RBRACK] = ACTIONS(6671),
    [anon_sym_PLUS] = ACTIONS(8601),
    [anon_sym_defined_QMARK] = ACTIONS(6671),
    [anon_sym_not] = ACTIONS(8601),
    [anon_sym_BANG] = ACTIONS(6671),
    [anon_sym_TILDE] = ACTIONS(6671),
    [sym_constant] = ACTIONS(8601),
    [sym_identifier] = ACTIONS(8601),
    [sym_instance_variable] = ACTIONS(6671),
    [sym_class_variable] = ACTIONS(6671),
    [sym_global_variable] = ACTIONS(6671),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(8601),
    [sym_float] = ACTIONS(8601),
    [sym_complex] = ACTIONS(6671),
    [sym_super] = ACTIONS(8601),
    [anon_sym_true] = ACTIONS(8601),
    [anon_sym_TRUE] = ACTIONS(8601),
    [anon_sym_false] = ACTIONS(8601),
    [anon_sym_FALSE] = ACTIONS(8601),
    [sym_self] = ACTIONS(8601),
    [anon_sym_nil] = ACTIONS(8601),
    [anon_sym_NIL] = ACTIONS(8601),
    [sym_character] = ACTIONS(6671),
    [anon_sym_LBRACK] = ACTIONS(6671),
    [anon_sym_DASH_GT] = ACTIONS(6671),
  },
  [9086] = {
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(11449),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_RBRACK] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9087] = {
    [aux_sym_exceptions_repeat1] = STATE(9087),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(13423),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_RBRACK] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9088] = {
    [aux_sym_block_parameters_repeat1] = STATE(10643),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(13426),
    [sym_comment] = ACTIONS(87),
  },
  [9089] = {
    [sym_identifier] = ACTIONS(13428),
    [sym_comment] = ACTIONS(87),
  },
  [9090] = {
    [sym__simple_symbol] = ACTIONS(13430),
    [sym__string_start] = ACTIONS(13430),
    [sym__symbol_start] = ACTIONS(13430),
    [sym__subshell_start] = ACTIONS(13430),
    [sym__regex_start] = ACTIONS(13430),
    [sym__string_array_start] = ACTIONS(13430),
    [sym__symbol_array_start] = ACTIONS(13430),
    [sym_heredoc_beginning] = ACTIONS(13430),
    [sym__unary_minus] = ACTIONS(13430),
    [anon_sym_BEGIN] = ACTIONS(13432),
    [anon_sym_LBRACE] = ACTIONS(13430),
    [anon_sym_RBRACE] = ACTIONS(13430),
    [anon_sym_END] = ACTIONS(13432),
    [anon_sym_def] = ACTIONS(13432),
    [anon_sym_LPAREN] = ACTIONS(13430),
    [anon_sym_COLON_COLON] = ACTIONS(13430),
    [anon_sym_SEMI] = ACTIONS(13430),
    [anon_sym_STAR] = ACTIONS(13430),
    [anon_sym_class] = ACTIONS(13432),
    [anon_sym_module] = ACTIONS(13432),
    [anon_sym_return] = ACTIONS(13432),
    [anon_sym_yield] = ACTIONS(13432),
    [anon_sym_break] = ACTIONS(13432),
    [anon_sym_next] = ACTIONS(13432),
    [sym_redo] = ACTIONS(13432),
    [sym_retry] = ACTIONS(13432),
    [anon_sym_if] = ACTIONS(13432),
    [anon_sym_unless] = ACTIONS(13432),
    [anon_sym_while] = ACTIONS(13432),
    [anon_sym_until] = ACTIONS(13432),
    [anon_sym_for] = ACTIONS(13432),
    [anon_sym_case] = ACTIONS(13432),
    [anon_sym_begin] = ACTIONS(13432),
    [anon_sym_PLUS] = ACTIONS(13432),
    [anon_sym_defined_QMARK] = ACTIONS(13430),
    [anon_sym_not] = ACTIONS(13432),
    [anon_sym_BANG] = ACTIONS(13430),
    [anon_sym_TILDE] = ACTIONS(13430),
    [sym_constant] = ACTIONS(13432),
    [sym_identifier] = ACTIONS(13432),
    [sym_instance_variable] = ACTIONS(13430),
    [sym_class_variable] = ACTIONS(13430),
    [sym_global_variable] = ACTIONS(13430),
    [anon_sym_undef] = ACTIONS(13432),
    [anon_sym_alias] = ACTIONS(13432),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(13432),
    [sym_float] = ACTIONS(13432),
    [sym_complex] = ACTIONS(13430),
    [sym_super] = ACTIONS(13432),
    [anon_sym_true] = ACTIONS(13432),
    [anon_sym_TRUE] = ACTIONS(13432),
    [anon_sym_false] = ACTIONS(13432),
    [anon_sym_FALSE] = ACTIONS(13432),
    [sym_self] = ACTIONS(13432),
    [anon_sym_nil] = ACTIONS(13432),
    [anon_sym_NIL] = ACTIONS(13432),
    [sym_character] = ACTIONS(13430),
    [anon_sym_LBRACK] = ACTIONS(13430),
    [anon_sym_DASH_GT] = ACTIONS(13430),
  },
  [9091] = {
    [aux_sym_block_parameters_repeat1] = STATE(10645),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(13426),
    [sym_comment] = ACTIONS(87),
  },
  [9092] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10646),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(10646),
    [sym_operator_assignment] = STATE(10646),
    [sym_conditional] = STATE(10646),
    [sym_range] = STATE(10646),
    [sym_binary] = STATE(10646),
    [sym_unary] = STATE(10646),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9093] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10660),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(587),
    [sym__argument_list_with_parens] = STATE(10662),
    [sym__argument] = STATE(10663),
    [sym_splat_argument] = STATE(10663),
    [sym_hash_splat_argument] = STATE(10663),
    [sym_block_argument] = STATE(10663),
    [sym_assignment] = STATE(10660),
    [sym_operator_assignment] = STATE(10660),
    [sym_conditional] = STATE(10660),
    [sym_range] = STATE(10660),
    [sym_binary] = STATE(10660),
    [sym_unary] = STATE(10660),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(10666),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(10663),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(13434),
    [sym__splat_star] = ACTIONS(13436),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(13440),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13458),
    [sym_identifier] = ACTIONS(13458),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9094] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10660),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(593),
    [sym__argument_list_with_parens] = STATE(10662),
    [sym__argument] = STATE(10663),
    [sym_splat_argument] = STATE(10663),
    [sym_hash_splat_argument] = STATE(10663),
    [sym_block_argument] = STATE(10663),
    [sym_assignment] = STATE(10660),
    [sym_operator_assignment] = STATE(10660),
    [sym_conditional] = STATE(10660),
    [sym_range] = STATE(10660),
    [sym_binary] = STATE(10660),
    [sym_unary] = STATE(10660),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(10666),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(10663),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(13434),
    [sym__splat_star] = ACTIONS(13436),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(13440),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13458),
    [sym_identifier] = ACTIONS(13458),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9095] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10660),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(594),
    [sym__argument_list_with_parens] = STATE(10662),
    [sym__argument] = STATE(10663),
    [sym_splat_argument] = STATE(10663),
    [sym_hash_splat_argument] = STATE(10663),
    [sym_block_argument] = STATE(10663),
    [sym_assignment] = STATE(10660),
    [sym_operator_assignment] = STATE(10660),
    [sym_conditional] = STATE(10660),
    [sym_range] = STATE(10660),
    [sym_binary] = STATE(10660),
    [sym_unary] = STATE(10660),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(10666),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(10663),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(13434),
    [sym__splat_star] = ACTIONS(13436),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(13440),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13458),
    [sym_identifier] = ACTIONS(13458),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9096] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10660),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(595),
    [sym__argument_list_with_parens] = STATE(10662),
    [sym__argument] = STATE(10663),
    [sym_splat_argument] = STATE(10663),
    [sym_hash_splat_argument] = STATE(10663),
    [sym_block_argument] = STATE(10663),
    [sym_assignment] = STATE(10660),
    [sym_operator_assignment] = STATE(10660),
    [sym_conditional] = STATE(10660),
    [sym_range] = STATE(10660),
    [sym_binary] = STATE(10660),
    [sym_unary] = STATE(10660),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(10666),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(10663),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(13434),
    [sym__splat_star] = ACTIONS(13436),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(13440),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13458),
    [sym_identifier] = ACTIONS(13458),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9097] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10667),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(10667),
    [sym_operator_assignment] = STATE(10667),
    [sym_conditional] = STATE(10667),
    [sym_range] = STATE(10667),
    [sym_binary] = STATE(10667),
    [sym_unary] = STATE(10667),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9098] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10668),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(10668),
    [sym_operator_assignment] = STATE(10668),
    [sym_conditional] = STATE(10668),
    [sym_range] = STATE(10668),
    [sym_binary] = STATE(10668),
    [sym_unary] = STATE(10668),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9099] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(611),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(611),
    [sym_operator_assignment] = STATE(611),
    [sym_conditional] = STATE(611),
    [sym_range] = STATE(611),
    [sym_binary] = STATE(611),
    [sym_unary] = STATE(611),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9100] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(9404),
    [anon_sym_PIPE] = ACTIONS(13468),
    [anon_sym_SEMI] = ACTIONS(9404),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13476),
    [anon_sym_DOT_DOT] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_and] = ACTIONS(13482),
    [anon_sym_or] = ACTIONS(13482),
    [anon_sym_PIPE_PIPE] = ACTIONS(13484),
    [anon_sym_AMP_AMP] = ACTIONS(13484),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(13488),
    [anon_sym_BANG_EQ] = ACTIONS(13484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13484),
    [anon_sym_LT_EQ_GT] = ACTIONS(13484),
    [anon_sym_EQ_TILDE] = ACTIONS(13484),
    [anon_sym_BANG_TILDE] = ACTIONS(13484),
    [anon_sym_LT_EQ] = ACTIONS(13474),
    [anon_sym_GT] = ACTIONS(13474),
    [anon_sym_GT_EQ] = ACTIONS(13490),
    [anon_sym_CARET] = ACTIONS(13492),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [9101] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10694),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(1759),
    [sym__argument_list_with_parens] = STATE(10696),
    [sym__argument] = STATE(10697),
    [sym_splat_argument] = STATE(10697),
    [sym_hash_splat_argument] = STATE(10697),
    [sym_block_argument] = STATE(10697),
    [sym_do_block] = STATE(1762),
    [sym_block] = STATE(1762),
    [sym_assignment] = STATE(10694),
    [sym_operator_assignment] = STATE(10694),
    [sym_conditional] = STATE(10694),
    [sym_range] = STATE(10694),
    [sym_binary] = STATE(10694),
    [sym_unary] = STATE(10694),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(10700),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(10697),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(13496),
    [sym__splat_star] = ACTIONS(13498),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(13502),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13520),
    [sym_identifier] = ACTIONS(13520),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9102] = {
    [anon_sym_EQ] = ACTIONS(13526),
    [sym_comment] = ACTIONS(87),
  },
  [9103] = {
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(13528),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(13530),
    [anon_sym_DASH_EQ] = ACTIONS(13530),
    [anon_sym_STAR_EQ] = ACTIONS(13530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13530),
    [anon_sym_SLASH_EQ] = ACTIONS(13530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13530),
    [anon_sym_PIPE_EQ] = ACTIONS(13530),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13530),
    [anon_sym_AMP_EQ] = ACTIONS(13530),
    [anon_sym_PERCENT_EQ] = ACTIONS(13530),
    [anon_sym_GT_GT_EQ] = ACTIONS(13530),
    [anon_sym_LT_LT_EQ] = ACTIONS(13530),
    [anon_sym_CARET_EQ] = ACTIONS(13530),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [9104] = {
    [sym_string] = STATE(10703),
    [aux_sym_chained_string_repeat1] = STATE(10703),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [9105] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_PIPE] = ACTIONS(13532),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13476),
    [anon_sym_DOT_DOT] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_and] = ACTIONS(13482),
    [anon_sym_or] = ACTIONS(13482),
    [anon_sym_PIPE_PIPE] = ACTIONS(13484),
    [anon_sym_AMP_AMP] = ACTIONS(13484),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(13488),
    [anon_sym_BANG_EQ] = ACTIONS(13484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13484),
    [anon_sym_LT_EQ_GT] = ACTIONS(13484),
    [anon_sym_EQ_TILDE] = ACTIONS(13484),
    [anon_sym_BANG_TILDE] = ACTIONS(13484),
    [anon_sym_LT_EQ] = ACTIONS(13474),
    [anon_sym_GT] = ACTIONS(13474),
    [anon_sym_GT_EQ] = ACTIONS(13490),
    [anon_sym_CARET] = ACTIONS(13492),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [9106] = {
    [sym_identifier] = ACTIONS(13534),
    [sym_comment] = ACTIONS(87),
  },
  [9107] = {
    [sym__formal_parameter] = STATE(6581),
    [sym__simple_formal_parameter] = STATE(6581),
    [sym_destructured_parameter] = STATE(6581),
    [sym_splat_parameter] = STATE(6581),
    [sym_hash_splat_parameter] = STATE(6581),
    [sym_block_parameter] = STATE(6581),
    [sym_keyword_parameter] = STATE(6581),
    [sym_optional_parameter] = STATE(6581),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_PIPE] = ACTIONS(13426),
    [anon_sym_SEMI] = ACTIONS(13536),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(5694),
    [sym_comment] = ACTIONS(87),
  },
  [9108] = {
    [aux_sym_method_parameters_repeat1] = STATE(9108),
    [anon_sym_COMMA] = ACTIONS(13538),
    [anon_sym_PIPE] = ACTIONS(11915),
    [anon_sym_SEMI] = ACTIONS(11915),
    [sym_comment] = ACTIONS(87),
  },
  [9109] = {
    [anon_sym_RPAREN] = ACTIONS(13541),
    [anon_sym_COMMA] = ACTIONS(13541),
    [anon_sym_PIPE] = ACTIONS(13541),
    [anon_sym_SEMI] = ACTIONS(13541),
    [sym_comment] = ACTIONS(87),
  },
  [9110] = {
    [anon_sym_LBRACE] = ACTIONS(9362),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_PIPE] = ACTIONS(9362),
    [anon_sym_SEMI] = ACTIONS(9362),
    [anon_sym_do] = ACTIONS(9362),
    [sym_comment] = ACTIONS(87),
  },
  [9111] = {
    [anon_sym_RBRACE] = ACTIONS(13543),
    [sym_comment] = ACTIONS(87),
  },
  [9112] = {
    [anon_sym_LBRACE] = ACTIONS(9390),
    [anon_sym_RPAREN] = ACTIONS(9390),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_PIPE] = ACTIONS(9390),
    [anon_sym_SEMI] = ACTIONS(9390),
    [anon_sym_do] = ACTIONS(9390),
    [sym_comment] = ACTIONS(87),
  },
  [9113] = {
    [anon_sym_end] = ACTIONS(13545),
    [sym_comment] = ACTIONS(87),
  },
  [9114] = {
    [sym__statements] = STATE(10709),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13547),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9115] = {
    [sym__statements] = STATE(10709),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(10710),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(10710),
    [sym__line_break] = ACTIONS(13549),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13547),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9116] = {
    [aux_sym_block_parameters_repeat1] = STATE(10712),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(13551),
    [sym_comment] = ACTIONS(87),
  },
  [9117] = {
    [sym__line_break] = ACTIONS(13430),
    [sym__simple_symbol] = ACTIONS(13430),
    [sym__string_start] = ACTIONS(13430),
    [sym__symbol_start] = ACTIONS(13430),
    [sym__subshell_start] = ACTIONS(13430),
    [sym__regex_start] = ACTIONS(13430),
    [sym__string_array_start] = ACTIONS(13430),
    [sym__symbol_array_start] = ACTIONS(13430),
    [sym__heredoc_body_start] = ACTIONS(13430),
    [sym_heredoc_beginning] = ACTIONS(13430),
    [sym__unary_minus] = ACTIONS(13430),
    [anon_sym_BEGIN] = ACTIONS(13432),
    [anon_sym_LBRACE] = ACTIONS(13430),
    [anon_sym_END] = ACTIONS(13432),
    [anon_sym_def] = ACTIONS(13432),
    [anon_sym_LPAREN] = ACTIONS(13430),
    [anon_sym_COLON_COLON] = ACTIONS(13430),
    [anon_sym_SEMI] = ACTIONS(13430),
    [anon_sym_STAR] = ACTIONS(13430),
    [anon_sym_class] = ACTIONS(13432),
    [anon_sym_module] = ACTIONS(13432),
    [anon_sym_end] = ACTIONS(13432),
    [anon_sym_return] = ACTIONS(13432),
    [anon_sym_yield] = ACTIONS(13432),
    [anon_sym_break] = ACTIONS(13432),
    [anon_sym_next] = ACTIONS(13432),
    [sym_redo] = ACTIONS(13432),
    [sym_retry] = ACTIONS(13432),
    [anon_sym_if] = ACTIONS(13432),
    [anon_sym_unless] = ACTIONS(13432),
    [anon_sym_while] = ACTIONS(13432),
    [anon_sym_until] = ACTIONS(13432),
    [anon_sym_for] = ACTIONS(13432),
    [anon_sym_case] = ACTIONS(13432),
    [anon_sym_begin] = ACTIONS(13432),
    [anon_sym_PLUS] = ACTIONS(13432),
    [anon_sym_defined_QMARK] = ACTIONS(13430),
    [anon_sym_not] = ACTIONS(13432),
    [anon_sym_BANG] = ACTIONS(13430),
    [anon_sym_TILDE] = ACTIONS(13430),
    [sym_constant] = ACTIONS(13432),
    [sym_identifier] = ACTIONS(13432),
    [sym_instance_variable] = ACTIONS(13430),
    [sym_class_variable] = ACTIONS(13430),
    [sym_global_variable] = ACTIONS(13430),
    [anon_sym_undef] = ACTIONS(13432),
    [anon_sym_alias] = ACTIONS(13432),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(13432),
    [sym_float] = ACTIONS(13432),
    [sym_complex] = ACTIONS(13430),
    [sym_super] = ACTIONS(13432),
    [anon_sym_true] = ACTIONS(13432),
    [anon_sym_TRUE] = ACTIONS(13432),
    [anon_sym_false] = ACTIONS(13432),
    [anon_sym_FALSE] = ACTIONS(13432),
    [sym_self] = ACTIONS(13432),
    [anon_sym_nil] = ACTIONS(13432),
    [anon_sym_NIL] = ACTIONS(13432),
    [sym_character] = ACTIONS(13430),
    [anon_sym_LBRACK] = ACTIONS(13430),
    [anon_sym_DASH_GT] = ACTIONS(13430),
  },
  [9118] = {
    [aux_sym_block_parameters_repeat1] = STATE(10645),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(13551),
    [sym_comment] = ACTIONS(87),
  },
  [9119] = {
    [sym_identifier] = ACTIONS(13553),
    [sym_comment] = ACTIONS(87),
  },
  [9120] = {
    [sym__formal_parameter] = STATE(6581),
    [sym__simple_formal_parameter] = STATE(6581),
    [sym_destructured_parameter] = STATE(6581),
    [sym_splat_parameter] = STATE(6581),
    [sym_hash_splat_parameter] = STATE(6581),
    [sym_block_parameter] = STATE(6581),
    [sym_keyword_parameter] = STATE(6581),
    [sym_optional_parameter] = STATE(6581),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_PIPE] = ACTIONS(13551),
    [anon_sym_SEMI] = ACTIONS(13555),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(5694),
    [sym_comment] = ACTIONS(87),
  },
  [9121] = {
    [sym__line_break] = ACTIONS(13557),
    [sym__heredoc_body_start] = ACTIONS(13557),
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [sym__binary_minus] = ACTIONS(13557),
    [sym__binary_star] = ACTIONS(13557),
    [ts_builtin_sym_end] = ACTIONS(13557),
    [anon_sym___END__] = ACTIONS(13557),
    [anon_sym_LBRACE] = ACTIONS(13557),
    [anon_sym_RBRACE] = ACTIONS(13557),
    [anon_sym_RPAREN] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13559),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_PIPE] = ACTIONS(13559),
    [anon_sym_SEMI] = ACTIONS(13557),
    [anon_sym_STAR_STAR] = ACTIONS(13557),
    [anon_sym_AMP] = ACTIONS(13559),
    [anon_sym_LT] = ACTIONS(13559),
    [anon_sym_end] = ACTIONS(13557),
    [anon_sym_if] = ACTIONS(13557),
    [anon_sym_unless] = ACTIONS(13557),
    [anon_sym_while] = ACTIONS(13557),
    [anon_sym_until] = ACTIONS(13557),
    [anon_sym_rescue] = ACTIONS(13557),
    [anon_sym_do] = ACTIONS(13557),
    [anon_sym_when] = ACTIONS(13557),
    [anon_sym_elsif] = ACTIONS(13557),
    [anon_sym_else] = ACTIONS(13557),
    [anon_sym_then] = ACTIONS(13557),
    [anon_sym_ensure] = ACTIONS(13557),
    [anon_sym_EQ_GT] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [anon_sym_QMARK] = ACTIONS(13557),
    [anon_sym_DOT_DOT] = ACTIONS(13559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13557),
    [anon_sym_and] = ACTIONS(13557),
    [anon_sym_or] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE] = ACTIONS(13557),
    [anon_sym_AMP_AMP] = ACTIONS(13557),
    [anon_sym_LT_LT] = ACTIONS(13557),
    [anon_sym_GT_GT] = ACTIONS(13557),
    [anon_sym_EQ_EQ] = ACTIONS(13559),
    [anon_sym_BANG_EQ] = ACTIONS(13557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13557),
    [anon_sym_LT_EQ_GT] = ACTIONS(13557),
    [anon_sym_EQ_TILDE] = ACTIONS(13557),
    [anon_sym_BANG_TILDE] = ACTIONS(13557),
    [anon_sym_LT_EQ] = ACTIONS(13559),
    [anon_sym_GT] = ACTIONS(13559),
    [anon_sym_GT_EQ] = ACTIONS(13557),
    [anon_sym_CARET] = ACTIONS(13557),
    [anon_sym_PLUS] = ACTIONS(13557),
    [anon_sym_SLASH] = ACTIONS(13557),
    [anon_sym_PERCENT] = ACTIONS(13557),
    [sym_comment] = ACTIONS(87),
  },
  [9122] = {
    [anon_sym_end] = ACTIONS(13561),
    [sym_comment] = ACTIONS(87),
  },
  [9123] = {
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [9124] = {
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [9125] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [9126] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [9127] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [9128] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9406),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(9430),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [9129] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13563),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9130] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(9406),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(9412),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(9416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9418),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(9422),
    [anon_sym_AMP_AMP] = ACTIONS(9422),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(9426),
    [anon_sym_BANG_EQ] = ACTIONS(9422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9422),
    [anon_sym_LT_EQ_GT] = ACTIONS(9422),
    [anon_sym_EQ_TILDE] = ACTIONS(9422),
    [anon_sym_BANG_TILDE] = ACTIONS(9422),
    [anon_sym_LT_EQ] = ACTIONS(9412),
    [anon_sym_GT] = ACTIONS(9412),
    [anon_sym_GT_EQ] = ACTIONS(9428),
    [anon_sym_CARET] = ACTIONS(9430),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [9131] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9406),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(9412),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(9414),
    [anon_sym_DOT_DOT] = ACTIONS(9416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9418),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(9422),
    [anon_sym_AMP_AMP] = ACTIONS(9422),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(9426),
    [anon_sym_BANG_EQ] = ACTIONS(9422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9422),
    [anon_sym_LT_EQ_GT] = ACTIONS(9422),
    [anon_sym_EQ_TILDE] = ACTIONS(9422),
    [anon_sym_BANG_TILDE] = ACTIONS(9422),
    [anon_sym_LT_EQ] = ACTIONS(9412),
    [anon_sym_GT] = ACTIONS(9412),
    [anon_sym_GT_EQ] = ACTIONS(9428),
    [anon_sym_CARET] = ACTIONS(9430),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [9132] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9406),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(9412),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(9426),
    [anon_sym_BANG_EQ] = ACTIONS(9422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9422),
    [anon_sym_LT_EQ_GT] = ACTIONS(9422),
    [anon_sym_EQ_TILDE] = ACTIONS(9422),
    [anon_sym_BANG_TILDE] = ACTIONS(9422),
    [anon_sym_LT_EQ] = ACTIONS(9412),
    [anon_sym_GT] = ACTIONS(9412),
    [anon_sym_GT_EQ] = ACTIONS(9428),
    [anon_sym_CARET] = ACTIONS(9430),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [9133] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [9134] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [9135] = {
    [sym__heredoc_body_start] = ACTIONS(997),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [sym__binary_minus] = ACTIONS(5684),
    [sym__binary_star] = ACTIONS(5684),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_STAR_STAR] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_do] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(997),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_DOT_DOT] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_and] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_EQ_TILDE] = ACTIONS(5684),
    [anon_sym_BANG_TILDE] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [sym_comment] = ACTIONS(87),
  },
  [9136] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10717),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(10717),
    [sym_operator_assignment] = STATE(10717),
    [sym_conditional] = STATE(10717),
    [sym_range] = STATE(10717),
    [sym_binary] = STATE(10717),
    [sym_unary] = STATE(10717),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9137] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(9406),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(9412),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(9414),
    [anon_sym_DOT_DOT] = ACTIONS(9416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9418),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(9422),
    [anon_sym_AMP_AMP] = ACTIONS(9422),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(9426),
    [anon_sym_BANG_EQ] = ACTIONS(9422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9422),
    [anon_sym_LT_EQ_GT] = ACTIONS(9422),
    [anon_sym_EQ_TILDE] = ACTIONS(9422),
    [anon_sym_BANG_TILDE] = ACTIONS(9422),
    [anon_sym_LT_EQ] = ACTIONS(9412),
    [anon_sym_GT] = ACTIONS(9412),
    [anon_sym_GT_EQ] = ACTIONS(9428),
    [anon_sym_CARET] = ACTIONS(9430),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [9138] = {
    [aux_sym_exceptions_repeat1] = STATE(10719),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [9139] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(9406),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(9412),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(9414),
    [anon_sym_DOT_DOT] = ACTIONS(9416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9418),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(9422),
    [anon_sym_AMP_AMP] = ACTIONS(9422),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(9426),
    [anon_sym_BANG_EQ] = ACTIONS(9422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9422),
    [anon_sym_LT_EQ_GT] = ACTIONS(9422),
    [anon_sym_EQ_TILDE] = ACTIONS(9422),
    [anon_sym_BANG_TILDE] = ACTIONS(9422),
    [anon_sym_LT_EQ] = ACTIONS(9412),
    [anon_sym_GT] = ACTIONS(9412),
    [anon_sym_GT_EQ] = ACTIONS(9428),
    [anon_sym_CARET] = ACTIONS(9430),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [9140] = {
    [sym_string] = STATE(9140),
    [aux_sym_chained_string_repeat1] = STATE(9140),
    [sym__string_start] = ACTIONS(7027),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [9141] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_COLON] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [9142] = {
    [sym_heredoc_body] = STATE(10720),
    [aux_sym_call_repeat1] = STATE(10720),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [9143] = {
    [sym_heredoc_body] = STATE(10720),
    [aux_sym_call_repeat1] = STATE(10720),
    [aux_sym_argument_list_repeat1] = STATE(10721),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(9525),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [9144] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [9145] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(11962),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [9146] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10722),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10722),
    [sym_operator_assignment] = STATE(10722),
    [sym_conditional] = STATE(10722),
    [sym_range] = STATE(10722),
    [sym_binary] = STATE(10722),
    [sym_unary] = STATE(10722),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9147] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10723),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10723),
    [sym_operator_assignment] = STATE(10723),
    [sym_conditional] = STATE(10723),
    [sym_range] = STATE(10723),
    [sym_binary] = STATE(10723),
    [sym_unary] = STATE(10723),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9148] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10724),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10724),
    [sym_operator_assignment] = STATE(10724),
    [sym_conditional] = STATE(10724),
    [sym_range] = STATE(10724),
    [sym_binary] = STATE(10724),
    [sym_unary] = STATE(10724),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9149] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10725),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10725),
    [sym_operator_assignment] = STATE(10725),
    [sym_conditional] = STATE(10725),
    [sym_range] = STATE(10725),
    [sym_binary] = STATE(10725),
    [sym_unary] = STATE(10725),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9150] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10726),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10726),
    [sym_operator_assignment] = STATE(10726),
    [sym_conditional] = STATE(10726),
    [sym_range] = STATE(10726),
    [sym_binary] = STATE(10726),
    [sym_unary] = STATE(10726),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9151] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10727),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10727),
    [sym_operator_assignment] = STATE(10727),
    [sym_conditional] = STATE(10727),
    [sym_range] = STATE(10727),
    [sym_binary] = STATE(10727),
    [sym_unary] = STATE(10727),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9152] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10728),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10728),
    [sym_operator_assignment] = STATE(10728),
    [sym_conditional] = STATE(10728),
    [sym_range] = STATE(10728),
    [sym_binary] = STATE(10728),
    [sym_unary] = STATE(10728),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9153] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10729),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10729),
    [sym_operator_assignment] = STATE(10729),
    [sym_conditional] = STATE(10729),
    [sym_range] = STATE(10729),
    [sym_binary] = STATE(10729),
    [sym_unary] = STATE(10729),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9154] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10730),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10730),
    [sym_operator_assignment] = STATE(10730),
    [sym_conditional] = STATE(10730),
    [sym_range] = STATE(10730),
    [sym_binary] = STATE(10730),
    [sym_unary] = STATE(10730),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9155] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10731),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10731),
    [sym_operator_assignment] = STATE(10731),
    [sym_conditional] = STATE(10731),
    [sym_range] = STATE(10731),
    [sym_binary] = STATE(10731),
    [sym_unary] = STATE(10731),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9156] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10732),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10732),
    [sym_operator_assignment] = STATE(10732),
    [sym_conditional] = STATE(10732),
    [sym_range] = STATE(10732),
    [sym_binary] = STATE(10732),
    [sym_unary] = STATE(10732),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9157] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10733),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10733),
    [sym_operator_assignment] = STATE(10733),
    [sym_conditional] = STATE(10733),
    [sym_range] = STATE(10733),
    [sym_binary] = STATE(10733),
    [sym_unary] = STATE(10733),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9158] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10734),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_splat_argument] = STATE(10735),
    [sym_assignment] = STATE(10734),
    [sym_operator_assignment] = STATE(10734),
    [sym_conditional] = STATE(10734),
    [sym_range] = STATE(10734),
    [sym_binary] = STATE(10734),
    [sym_unary] = STATE(10734),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(10735),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(5804),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9159] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10736),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(10736),
    [sym_operator_assignment] = STATE(10736),
    [sym_conditional] = STATE(10736),
    [sym_range] = STATE(10736),
    [sym_binary] = STATE(10736),
    [sym_unary] = STATE(10736),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9160] = {
    [sym_string] = STATE(10737),
    [aux_sym_chained_string_repeat1] = STATE(10737),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [9161] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(11962),
    [anon_sym_COLON] = ACTIONS(6681),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [9162] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9163] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(4170),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9164] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10738),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(10738),
    [sym_operator_assignment] = STATE(10738),
    [sym_conditional] = STATE(10738),
    [sym_range] = STATE(10738),
    [sym_binary] = STATE(10738),
    [sym_unary] = STATE(10738),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9165] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9166] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10739),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(10739),
    [sym_operator_assignment] = STATE(10739),
    [sym_conditional] = STATE(10739),
    [sym_range] = STATE(10739),
    [sym_binary] = STATE(10739),
    [sym_unary] = STATE(10739),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9167] = {
    [sym_heredoc_body] = STATE(10740),
    [aux_sym_call_repeat1] = STATE(10740),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_COLON] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [9168] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6643),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(6643),
    [sym_operator_assignment] = STATE(6643),
    [sym_conditional] = STATE(6643),
    [sym_range] = STATE(6643),
    [sym_binary] = STATE(6643),
    [sym_unary] = STATE(6643),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6646),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(10741),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(9477),
    [sym__splat_star] = ACTIONS(9479),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__identifier_hash_key] = ACTIONS(9481),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13565),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(9483),
    [sym_identifier] = ACTIONS(9483),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9169] = {
    [sym_heredoc_body] = STATE(10742),
    [aux_sym_call_repeat1] = STATE(10742),
    [aux_sym_argument_list_repeat1] = STATE(10743),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_COLON] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [9170] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10744),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(10744),
    [sym_operator_assignment] = STATE(10744),
    [sym_conditional] = STATE(10744),
    [sym_range] = STATE(10744),
    [sym_binary] = STATE(10744),
    [sym_unary] = STATE(10744),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9171] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9172] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [9173] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9174] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [9175] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9176] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9177] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(11962),
    [anon_sym_COLON] = ACTIONS(6897),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [9178] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13567),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9179] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_COLON] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9180] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9181] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9182] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9183] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9184] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9185] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(4170),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9186] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10746),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(10746),
    [sym_operator_assignment] = STATE(10746),
    [sym_conditional] = STATE(10746),
    [sym_range] = STATE(10746),
    [sym_binary] = STATE(10746),
    [sym_unary] = STATE(10746),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9187] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9188] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10747),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(10747),
    [sym_operator_assignment] = STATE(10747),
    [sym_conditional] = STATE(10747),
    [sym_range] = STATE(10747),
    [sym_binary] = STATE(10747),
    [sym_unary] = STATE(10747),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9189] = {
    [sym_heredoc_body] = STATE(10748),
    [aux_sym_call_repeat1] = STATE(10748),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_COLON] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [9190] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6667),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym__argument] = STATE(4608),
    [sym_splat_argument] = STATE(4608),
    [sym_hash_splat_argument] = STATE(4608),
    [sym_block_argument] = STATE(4608),
    [sym_assignment] = STATE(6667),
    [sym_operator_assignment] = STATE(6667),
    [sym_conditional] = STATE(6667),
    [sym_range] = STATE(6667),
    [sym_binary] = STATE(6667),
    [sym_unary] = STATE(6667),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6670),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(10749),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4608),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(9517),
    [sym__splat_star] = ACTIONS(9519),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__identifier_hash_key] = ACTIONS(9521),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13569),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(9523),
    [sym_identifier] = ACTIONS(9523),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9191] = {
    [sym_heredoc_body] = STATE(10750),
    [aux_sym_call_repeat1] = STATE(10750),
    [aux_sym_argument_list_repeat1] = STATE(10751),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11994),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_COLON] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [9192] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10752),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(10752),
    [sym_operator_assignment] = STATE(10752),
    [sym_conditional] = STATE(10752),
    [sym_range] = STATE(10752),
    [sym_binary] = STATE(10752),
    [sym_unary] = STATE(10752),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9193] = {
    [sym_heredoc_body] = STATE(9193),
    [aux_sym_call_repeat1] = STATE(9193),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_COLON] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9194] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(3755),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(3755),
    [sym_operator_assignment] = STATE(3755),
    [sym_conditional] = STATE(3755),
    [sym_range] = STATE(3755),
    [sym_binary] = STATE(3755),
    [sym_unary] = STATE(3755),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(3761),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(5802),
    [sym__splat_star] = ACTIONS(5804),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__identifier_hash_key] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(11998),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5826),
    [sym_identifier] = ACTIONS(5826),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9195] = {
    [sym_heredoc_body] = STATE(9193),
    [aux_sym_call_repeat1] = STATE(9193),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_COLON] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9196] = {
    [aux_sym_argument_list_repeat1] = STATE(9196),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13571),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_COLON] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [9197] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(5050),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9198] = {
    [aux_sym_exceptions_repeat1] = STATE(10754),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [9199] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(6188),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [9200] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(11962),
    [anon_sym_COLON] = ACTIONS(7025),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [9201] = {
    [sym_string] = STATE(9201),
    [aux_sym_chained_string_repeat1] = STATE(9201),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_COLON] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [9202] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10755),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10755),
    [sym_operator_assignment] = STATE(10755),
    [sym_conditional] = STATE(10755),
    [sym_range] = STATE(10755),
    [sym_binary] = STATE(10755),
    [sym_unary] = STATE(10755),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9203] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_COLON] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [9204] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [9205] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [9206] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10756),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10756),
    [sym_operator_assignment] = STATE(10756),
    [sym_conditional] = STATE(10756),
    [sym_range] = STATE(10756),
    [sym_binary] = STATE(10756),
    [sym_unary] = STATE(10756),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9207] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10757),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10757),
    [sym_operator_assignment] = STATE(10757),
    [sym_conditional] = STATE(10757),
    [sym_range] = STATE(10757),
    [sym_binary] = STATE(10757),
    [sym_unary] = STATE(10757),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9208] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10758),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10758),
    [sym_operator_assignment] = STATE(10758),
    [sym_conditional] = STATE(10758),
    [sym_range] = STATE(10758),
    [sym_binary] = STATE(10758),
    [sym_unary] = STATE(10758),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9209] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10759),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10759),
    [sym_operator_assignment] = STATE(10759),
    [sym_conditional] = STATE(10759),
    [sym_range] = STATE(10759),
    [sym_binary] = STATE(10759),
    [sym_unary] = STATE(10759),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9210] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10760),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10760),
    [sym_operator_assignment] = STATE(10760),
    [sym_conditional] = STATE(10760),
    [sym_range] = STATE(10760),
    [sym_binary] = STATE(10760),
    [sym_unary] = STATE(10760),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9211] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10761),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10761),
    [sym_operator_assignment] = STATE(10761),
    [sym_conditional] = STATE(10761),
    [sym_range] = STATE(10761),
    [sym_binary] = STATE(10761),
    [sym_unary] = STATE(10761),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9212] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10762),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10762),
    [sym_operator_assignment] = STATE(10762),
    [sym_conditional] = STATE(10762),
    [sym_range] = STATE(10762),
    [sym_binary] = STATE(10762),
    [sym_unary] = STATE(10762),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9213] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10763),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10763),
    [sym_operator_assignment] = STATE(10763),
    [sym_conditional] = STATE(10763),
    [sym_range] = STATE(10763),
    [sym_binary] = STATE(10763),
    [sym_unary] = STATE(10763),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9214] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10764),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10764),
    [sym_operator_assignment] = STATE(10764),
    [sym_conditional] = STATE(10764),
    [sym_range] = STATE(10764),
    [sym_binary] = STATE(10764),
    [sym_unary] = STATE(10764),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9215] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10765),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10765),
    [sym_operator_assignment] = STATE(10765),
    [sym_conditional] = STATE(10765),
    [sym_range] = STATE(10765),
    [sym_binary] = STATE(10765),
    [sym_unary] = STATE(10765),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9216] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10766),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10766),
    [sym_operator_assignment] = STATE(10766),
    [sym_conditional] = STATE(10766),
    [sym_range] = STATE(10766),
    [sym_binary] = STATE(10766),
    [sym_unary] = STATE(10766),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9217] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10767),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10767),
    [sym_operator_assignment] = STATE(10767),
    [sym_conditional] = STATE(10767),
    [sym_range] = STATE(10767),
    [sym_binary] = STATE(10767),
    [sym_unary] = STATE(10767),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9218] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10768),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_splat_argument] = STATE(10769),
    [sym_assignment] = STATE(10768),
    [sym_operator_assignment] = STATE(10768),
    [sym_conditional] = STATE(10768),
    [sym_range] = STATE(10768),
    [sym_binary] = STATE(10768),
    [sym_unary] = STATE(10768),
    [sym_right_assignment_list] = STATE(9466),
    [sym__arg_or_splat_arg] = STATE(10769),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(5868),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9219] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10770),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(10770),
    [sym_operator_assignment] = STATE(10770),
    [sym_conditional] = STATE(10770),
    [sym_range] = STATE(10770),
    [sym_binary] = STATE(10770),
    [sym_unary] = STATE(10770),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9220] = {
    [sym_string] = STATE(10771),
    [aux_sym_chained_string_repeat1] = STATE(10771),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [9221] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(6681),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [9222] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9223] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [9224] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9225] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [9226] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9227] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9228] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(6897),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [9229] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13574),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9230] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_COLON] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9231] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9232] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9233] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9234] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9235] = {
    [sym_heredoc_body] = STATE(9235),
    [aux_sym_call_repeat1] = STATE(9235),
    [sym__heredoc_body_start] = ACTIONS(12320),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_COLON] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [9236] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(3790),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym__argument] = STATE(9477),
    [sym_splat_argument] = STATE(9477),
    [sym_hash_splat_argument] = STATE(9477),
    [sym_block_argument] = STATE(9477),
    [sym_assignment] = STATE(3790),
    [sym_operator_assignment] = STATE(3790),
    [sym_conditional] = STATE(3790),
    [sym_range] = STATE(3790),
    [sym_binary] = STATE(3790),
    [sym_unary] = STATE(3790),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(3796),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(9477),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(5866),
    [sym__splat_star] = ACTIONS(5868),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__identifier_hash_key] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12038),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5890),
    [sym_identifier] = ACTIONS(5890),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9237] = {
    [sym_heredoc_body] = STATE(9235),
    [aux_sym_call_repeat1] = STATE(9235),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_COLON] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [9238] = {
    [aux_sym_argument_list_repeat1] = STATE(9238),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13576),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_COLON] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [9239] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(5050),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9240] = {
    [aux_sym_exceptions_repeat1] = STATE(10774),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [9241] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(6188),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [9242] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(7025),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [9243] = {
    [sym_string] = STATE(9243),
    [aux_sym_chained_string_repeat1] = STATE(9243),
    [sym__string_start] = ACTIONS(10368),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_COLON] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [9244] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(12044),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(12048),
    [anon_sym_LT] = ACTIONS(12050),
    [anon_sym_QMARK] = ACTIONS(12052),
    [anon_sym_COLON] = ACTIONS(4170),
    [anon_sym_DOT_DOT] = ACTIONS(12054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12056),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(12058),
    [anon_sym_AMP_AMP] = ACTIONS(12058),
    [anon_sym_LT_LT] = ACTIONS(12060),
    [anon_sym_GT_GT] = ACTIONS(12060),
    [anon_sym_EQ_EQ] = ACTIONS(12062),
    [anon_sym_BANG_EQ] = ACTIONS(12058),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12058),
    [anon_sym_LT_EQ_GT] = ACTIONS(12058),
    [anon_sym_EQ_TILDE] = ACTIONS(12058),
    [anon_sym_BANG_TILDE] = ACTIONS(12058),
    [anon_sym_LT_EQ] = ACTIONS(12050),
    [anon_sym_GT] = ACTIONS(12050),
    [anon_sym_GT_EQ] = ACTIONS(12064),
    [anon_sym_CARET] = ACTIONS(12066),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [9245] = {
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_COLON] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [9246] = {
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [9247] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(12044),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(12048),
    [anon_sym_LT] = ACTIONS(12050),
    [anon_sym_QMARK] = ACTIONS(12052),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(12054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12056),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(12058),
    [anon_sym_AMP_AMP] = ACTIONS(12058),
    [anon_sym_LT_LT] = ACTIONS(12060),
    [anon_sym_GT_GT] = ACTIONS(12060),
    [anon_sym_EQ_EQ] = ACTIONS(12062),
    [anon_sym_BANG_EQ] = ACTIONS(12058),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12058),
    [anon_sym_LT_EQ_GT] = ACTIONS(12058),
    [anon_sym_EQ_TILDE] = ACTIONS(12058),
    [anon_sym_BANG_TILDE] = ACTIONS(12058),
    [anon_sym_LT_EQ] = ACTIONS(12050),
    [anon_sym_GT] = ACTIONS(12050),
    [anon_sym_GT_EQ] = ACTIONS(12064),
    [anon_sym_CARET] = ACTIONS(12066),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [9248] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10775),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10775),
    [sym_operator_assignment] = STATE(10775),
    [sym_conditional] = STATE(10775),
    [sym_range] = STATE(10775),
    [sym_binary] = STATE(10775),
    [sym_unary] = STATE(10775),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9249] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10776),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10776),
    [sym_operator_assignment] = STATE(10776),
    [sym_conditional] = STATE(10776),
    [sym_range] = STATE(10776),
    [sym_binary] = STATE(10776),
    [sym_unary] = STATE(10776),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9250] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10777),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10777),
    [sym_operator_assignment] = STATE(10777),
    [sym_conditional] = STATE(10777),
    [sym_range] = STATE(10777),
    [sym_binary] = STATE(10777),
    [sym_unary] = STATE(10777),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9251] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10778),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10778),
    [sym_operator_assignment] = STATE(10778),
    [sym_conditional] = STATE(10778),
    [sym_range] = STATE(10778),
    [sym_binary] = STATE(10778),
    [sym_unary] = STATE(10778),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9252] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10779),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10779),
    [sym_operator_assignment] = STATE(10779),
    [sym_conditional] = STATE(10779),
    [sym_range] = STATE(10779),
    [sym_binary] = STATE(10779),
    [sym_unary] = STATE(10779),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9253] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10780),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10780),
    [sym_operator_assignment] = STATE(10780),
    [sym_conditional] = STATE(10780),
    [sym_range] = STATE(10780),
    [sym_binary] = STATE(10780),
    [sym_unary] = STATE(10780),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9254] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10781),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10781),
    [sym_operator_assignment] = STATE(10781),
    [sym_conditional] = STATE(10781),
    [sym_range] = STATE(10781),
    [sym_binary] = STATE(10781),
    [sym_unary] = STATE(10781),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9255] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10782),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10782),
    [sym_operator_assignment] = STATE(10782),
    [sym_conditional] = STATE(10782),
    [sym_range] = STATE(10782),
    [sym_binary] = STATE(10782),
    [sym_unary] = STATE(10782),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9256] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10783),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10783),
    [sym_operator_assignment] = STATE(10783),
    [sym_conditional] = STATE(10783),
    [sym_range] = STATE(10783),
    [sym_binary] = STATE(10783),
    [sym_unary] = STATE(10783),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9257] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10784),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10784),
    [sym_operator_assignment] = STATE(10784),
    [sym_conditional] = STATE(10784),
    [sym_range] = STATE(10784),
    [sym_binary] = STATE(10784),
    [sym_unary] = STATE(10784),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9258] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10785),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10785),
    [sym_operator_assignment] = STATE(10785),
    [sym_conditional] = STATE(10785),
    [sym_range] = STATE(10785),
    [sym_binary] = STATE(10785),
    [sym_unary] = STATE(10785),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9259] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10786),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10786),
    [sym_operator_assignment] = STATE(10786),
    [sym_conditional] = STATE(10786),
    [sym_range] = STATE(10786),
    [sym_binary] = STATE(10786),
    [sym_unary] = STATE(10786),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9260] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6740),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_splat_argument] = STATE(7443),
    [sym_assignment] = STATE(6740),
    [sym_operator_assignment] = STATE(6740),
    [sym_conditional] = STATE(6740),
    [sym_range] = STATE(6740),
    [sym_binary] = STATE(6740),
    [sym_unary] = STATE(6740),
    [sym__arg_or_splat_arg] = STATE(7443),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(9601),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9261] = {
    [aux_sym_exceptions_repeat1] = STATE(10787),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(12070),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_COLON] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9262] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(6740),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_splat_argument] = STATE(10788),
    [sym_assignment] = STATE(6740),
    [sym_operator_assignment] = STATE(6740),
    [sym_conditional] = STATE(6740),
    [sym_range] = STATE(6740),
    [sym_binary] = STATE(6740),
    [sym_unary] = STATE(6740),
    [sym_right_assignment_list] = STATE(2138),
    [sym__arg_or_splat_arg] = STATE(10788),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(9601),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9263] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10789),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(10789),
    [sym_operator_assignment] = STATE(10789),
    [sym_conditional] = STATE(10789),
    [sym_range] = STATE(10789),
    [sym_binary] = STATE(10789),
    [sym_unary] = STATE(10789),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9264] = {
    [sym_string] = STATE(10790),
    [aux_sym_chained_string_repeat1] = STATE(10790),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [9265] = {
    [sym__line_break] = ACTIONS(10783),
    [sym__simple_symbol] = ACTIONS(10783),
    [sym__string_start] = ACTIONS(10783),
    [sym__symbol_start] = ACTIONS(10783),
    [sym__subshell_start] = ACTIONS(10783),
    [sym__regex_start] = ACTIONS(10783),
    [sym__string_array_start] = ACTIONS(10783),
    [sym__symbol_array_start] = ACTIONS(10783),
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym_heredoc_beginning] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__block_ampersand] = ACTIONS(10783),
    [sym__splat_star] = ACTIONS(10783),
    [sym__argument_list_left_paren] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__unary_minus] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [sym__identifier_hash_key] = ACTIONS(10783),
    [ts_builtin_sym_end] = ACTIONS(10783),
    [anon_sym___END__] = ACTIONS(10785),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RBRACE] = ACTIONS(10783),
    [anon_sym_def] = ACTIONS(10785),
    [anon_sym_LPAREN] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COLON_COLON] = ACTIONS(10783),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR] = ACTIONS(10785),
    [anon_sym_STAR_STAR] = ACTIONS(10785),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_class] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_module] = ACTIONS(10785),
    [anon_sym_end] = ACTIONS(10785),
    [anon_sym_return] = ACTIONS(10785),
    [anon_sym_yield] = ACTIONS(10785),
    [anon_sym_break] = ACTIONS(10785),
    [anon_sym_next] = ACTIONS(10785),
    [sym_redo] = ACTIONS(10785),
    [sym_retry] = ACTIONS(10785),
    [anon_sym_if] = ACTIONS(10785),
    [anon_sym_unless] = ACTIONS(10785),
    [anon_sym_while] = ACTIONS(10785),
    [anon_sym_until] = ACTIONS(10785),
    [anon_sym_rescue] = ACTIONS(10785),
    [anon_sym_for] = ACTIONS(10785),
    [anon_sym_do] = ACTIONS(10785),
    [anon_sym_case] = ACTIONS(10785),
    [anon_sym_when] = ACTIONS(10785),
    [anon_sym_elsif] = ACTIONS(10785),
    [anon_sym_else] = ACTIONS(10785),
    [anon_sym_then] = ACTIONS(10785),
    [anon_sym_begin] = ACTIONS(10785),
    [anon_sym_ensure] = ACTIONS(10785),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS_EQ] = ACTIONS(10783),
    [anon_sym_DASH_EQ] = ACTIONS(10783),
    [anon_sym_STAR_EQ] = ACTIONS(10783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10783),
    [anon_sym_SLASH_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10783),
    [anon_sym_AMP_EQ] = ACTIONS(10783),
    [anon_sym_PERCENT_EQ] = ACTIONS(10783),
    [anon_sym_GT_GT_EQ] = ACTIONS(10783),
    [anon_sym_LT_LT_EQ] = ACTIONS(10783),
    [anon_sym_CARET_EQ] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10785),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10785),
    [anon_sym_or] = ACTIONS(10785),
    [anon_sym_PIPE_PIPE] = ACTIONS(10785),
    [anon_sym_AMP_AMP] = ACTIONS(10785),
    [anon_sym_LT_LT] = ACTIONS(10785),
    [anon_sym_GT_GT] = ACTIONS(10785),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10785),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_SLASH] = ACTIONS(10785),
    [anon_sym_PERCENT] = ACTIONS(10785),
    [anon_sym_defined_QMARK] = ACTIONS(10783),
    [anon_sym_not] = ACTIONS(10785),
    [anon_sym_BANG] = ACTIONS(10785),
    [anon_sym_TILDE] = ACTIONS(10783),
    [sym_constant] = ACTIONS(10785),
    [sym_identifier] = ACTIONS(10785),
    [sym_instance_variable] = ACTIONS(10783),
    [sym_class_variable] = ACTIONS(10783),
    [sym_global_variable] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(10785),
    [sym_float] = ACTIONS(10785),
    [sym_complex] = ACTIONS(10783),
    [sym_super] = ACTIONS(10785),
    [anon_sym_true] = ACTIONS(10785),
    [anon_sym_TRUE] = ACTIONS(10785),
    [anon_sym_false] = ACTIONS(10785),
    [anon_sym_FALSE] = ACTIONS(10785),
    [sym_self] = ACTIONS(10785),
    [anon_sym_nil] = ACTIONS(10785),
    [anon_sym_NIL] = ACTIONS(10785),
    [sym_character] = ACTIONS(10783),
    [anon_sym_LBRACK] = ACTIONS(10783),
    [anon_sym_DASH_GT] = ACTIONS(10783),
  },
  [9266] = {
    [sym__line_break] = ACTIONS(9993),
    [sym__heredoc_body_start] = ACTIONS(9993),
    [sym__element_reference_left_bracket] = ACTIONS(9993),
    [sym__infix_scope_colons] = ACTIONS(9993),
    [sym__binary_minus] = ACTIONS(9993),
    [sym__binary_star] = ACTIONS(9993),
    [ts_builtin_sym_end] = ACTIONS(9993),
    [anon_sym___END__] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_RBRACE] = ACTIONS(9993),
    [anon_sym_RPAREN] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9995),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_PIPE] = ACTIONS(9995),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_STAR_STAR] = ACTIONS(9995),
    [anon_sym_AMP] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9995),
    [anon_sym_LT] = ACTIONS(9995),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_unless] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [anon_sym_until] = ACTIONS(9993),
    [anon_sym_rescue] = ACTIONS(9993),
    [anon_sym_do] = ACTIONS(9993),
    [anon_sym_when] = ACTIONS(9993),
    [anon_sym_elsif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_then] = ACTIONS(9993),
    [anon_sym_ensure] = ACTIONS(9993),
    [anon_sym_EQ_GT] = ACTIONS(9993),
    [anon_sym_AMP_DOT] = ACTIONS(9993),
    [anon_sym_PLUS_EQ] = ACTIONS(9993),
    [anon_sym_DASH_EQ] = ACTIONS(9993),
    [anon_sym_STAR_EQ] = ACTIONS(9993),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9993),
    [anon_sym_SLASH_EQ] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9993),
    [anon_sym_PIPE_EQ] = ACTIONS(9993),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9993),
    [anon_sym_AMP_EQ] = ACTIONS(9993),
    [anon_sym_PERCENT_EQ] = ACTIONS(9993),
    [anon_sym_GT_GT_EQ] = ACTIONS(9993),
    [anon_sym_LT_LT_EQ] = ACTIONS(9993),
    [anon_sym_CARET_EQ] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DOT_DOT] = ACTIONS(9995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_and] = ACTIONS(9993),
    [anon_sym_or] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE] = ACTIONS(9995),
    [anon_sym_AMP_AMP] = ACTIONS(9995),
    [anon_sym_LT_LT] = ACTIONS(9995),
    [anon_sym_GT_GT] = ACTIONS(9995),
    [anon_sym_EQ_EQ] = ACTIONS(9995),
    [anon_sym_BANG_EQ] = ACTIONS(9993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9993),
    [anon_sym_LT_EQ_GT] = ACTIONS(9993),
    [anon_sym_EQ_TILDE] = ACTIONS(9993),
    [anon_sym_BANG_TILDE] = ACTIONS(9993),
    [anon_sym_LT_EQ] = ACTIONS(9995),
    [anon_sym_GT] = ACTIONS(9995),
    [anon_sym_GT_EQ] = ACTIONS(9993),
    [anon_sym_CARET] = ACTIONS(9995),
    [anon_sym_PLUS] = ACTIONS(9995),
    [anon_sym_SLASH] = ACTIONS(9995),
    [anon_sym_PERCENT] = ACTIONS(9995),
    [sym_comment] = ACTIONS(87),
  },
  [9267] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13579),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9268] = {
    [sym__line_break] = ACTIONS(9999),
    [sym__heredoc_body_start] = ACTIONS(9999),
    [sym__element_reference_left_bracket] = ACTIONS(9999),
    [sym__infix_scope_colons] = ACTIONS(9999),
    [sym__binary_minus] = ACTIONS(9999),
    [sym__binary_star] = ACTIONS(9999),
    [ts_builtin_sym_end] = ACTIONS(9999),
    [anon_sym___END__] = ACTIONS(9999),
    [anon_sym_LBRACE] = ACTIONS(9999),
    [anon_sym_RBRACE] = ACTIONS(9999),
    [anon_sym_RPAREN] = ACTIONS(9999),
    [anon_sym_DOT] = ACTIONS(10001),
    [anon_sym_COMMA] = ACTIONS(9999),
    [anon_sym_PIPE] = ACTIONS(10001),
    [anon_sym_SEMI] = ACTIONS(9999),
    [anon_sym_STAR_STAR] = ACTIONS(10001),
    [anon_sym_AMP] = ACTIONS(10001),
    [anon_sym_EQ] = ACTIONS(10001),
    [anon_sym_LT] = ACTIONS(10001),
    [anon_sym_end] = ACTIONS(9999),
    [anon_sym_if] = ACTIONS(9999),
    [anon_sym_unless] = ACTIONS(9999),
    [anon_sym_while] = ACTIONS(9999),
    [anon_sym_until] = ACTIONS(9999),
    [anon_sym_rescue] = ACTIONS(9999),
    [anon_sym_do] = ACTIONS(9999),
    [anon_sym_when] = ACTIONS(9999),
    [anon_sym_elsif] = ACTIONS(9999),
    [anon_sym_else] = ACTIONS(9999),
    [anon_sym_then] = ACTIONS(9999),
    [anon_sym_ensure] = ACTIONS(9999),
    [anon_sym_EQ_GT] = ACTIONS(9999),
    [anon_sym_AMP_DOT] = ACTIONS(9999),
    [anon_sym_PLUS_EQ] = ACTIONS(9999),
    [anon_sym_DASH_EQ] = ACTIONS(9999),
    [anon_sym_STAR_EQ] = ACTIONS(9999),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9999),
    [anon_sym_SLASH_EQ] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9999),
    [anon_sym_PIPE_EQ] = ACTIONS(9999),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9999),
    [anon_sym_AMP_EQ] = ACTIONS(9999),
    [anon_sym_PERCENT_EQ] = ACTIONS(9999),
    [anon_sym_GT_GT_EQ] = ACTIONS(9999),
    [anon_sym_LT_LT_EQ] = ACTIONS(9999),
    [anon_sym_CARET_EQ] = ACTIONS(9999),
    [anon_sym_QMARK] = ACTIONS(9999),
    [anon_sym_DOT_DOT] = ACTIONS(10001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9999),
    [anon_sym_and] = ACTIONS(9999),
    [anon_sym_or] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE] = ACTIONS(10001),
    [anon_sym_AMP_AMP] = ACTIONS(10001),
    [anon_sym_LT_LT] = ACTIONS(10001),
    [anon_sym_GT_GT] = ACTIONS(10001),
    [anon_sym_EQ_EQ] = ACTIONS(10001),
    [anon_sym_BANG_EQ] = ACTIONS(9999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9999),
    [anon_sym_LT_EQ_GT] = ACTIONS(9999),
    [anon_sym_EQ_TILDE] = ACTIONS(9999),
    [anon_sym_BANG_TILDE] = ACTIONS(9999),
    [anon_sym_LT_EQ] = ACTIONS(10001),
    [anon_sym_GT] = ACTIONS(10001),
    [anon_sym_GT_EQ] = ACTIONS(9999),
    [anon_sym_CARET] = ACTIONS(10001),
    [anon_sym_PLUS] = ACTIONS(10001),
    [anon_sym_SLASH] = ACTIONS(10001),
    [anon_sym_PERCENT] = ACTIONS(10001),
    [sym_comment] = ACTIONS(87),
  },
  [9269] = {
    [sym__line_break] = ACTIONS(10003),
    [sym__heredoc_body_start] = ACTIONS(10003),
    [sym__element_reference_left_bracket] = ACTIONS(10003),
    [sym__infix_scope_colons] = ACTIONS(10003),
    [sym__binary_minus] = ACTIONS(10003),
    [sym__binary_star] = ACTIONS(10003),
    [ts_builtin_sym_end] = ACTIONS(10003),
    [anon_sym___END__] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_RBRACE] = ACTIONS(10003),
    [anon_sym_RPAREN] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10005),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_PIPE] = ACTIONS(10005),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_STAR_STAR] = ACTIONS(10005),
    [anon_sym_AMP] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10005),
    [anon_sym_LT] = ACTIONS(10005),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_unless] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [anon_sym_until] = ACTIONS(10003),
    [anon_sym_rescue] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_when] = ACTIONS(10003),
    [anon_sym_elsif] = ACTIONS(10003),
    [anon_sym_else] = ACTIONS(10003),
    [anon_sym_then] = ACTIONS(10003),
    [anon_sym_ensure] = ACTIONS(10003),
    [anon_sym_EQ_GT] = ACTIONS(10003),
    [anon_sym_AMP_DOT] = ACTIONS(10003),
    [anon_sym_PLUS_EQ] = ACTIONS(10003),
    [anon_sym_DASH_EQ] = ACTIONS(10003),
    [anon_sym_STAR_EQ] = ACTIONS(10003),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10003),
    [anon_sym_SLASH_EQ] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10003),
    [anon_sym_PIPE_EQ] = ACTIONS(10003),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10003),
    [anon_sym_AMP_EQ] = ACTIONS(10003),
    [anon_sym_PERCENT_EQ] = ACTIONS(10003),
    [anon_sym_GT_GT_EQ] = ACTIONS(10003),
    [anon_sym_LT_LT_EQ] = ACTIONS(10003),
    [anon_sym_CARET_EQ] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_DOT_DOT] = ACTIONS(10005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_and] = ACTIONS(10003),
    [anon_sym_or] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE] = ACTIONS(10005),
    [anon_sym_AMP_AMP] = ACTIONS(10005),
    [anon_sym_LT_LT] = ACTIONS(10005),
    [anon_sym_GT_GT] = ACTIONS(10005),
    [anon_sym_EQ_EQ] = ACTIONS(10005),
    [anon_sym_BANG_EQ] = ACTIONS(10003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10003),
    [anon_sym_LT_EQ_GT] = ACTIONS(10003),
    [anon_sym_EQ_TILDE] = ACTIONS(10003),
    [anon_sym_BANG_TILDE] = ACTIONS(10003),
    [anon_sym_LT_EQ] = ACTIONS(10005),
    [anon_sym_GT] = ACTIONS(10005),
    [anon_sym_GT_EQ] = ACTIONS(10003),
    [anon_sym_CARET] = ACTIONS(10005),
    [anon_sym_PLUS] = ACTIONS(10005),
    [anon_sym_SLASH] = ACTIONS(10005),
    [anon_sym_PERCENT] = ACTIONS(10005),
    [sym_comment] = ACTIONS(87),
  },
  [9270] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13581),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9271] = {
    [sym__line_break] = ACTIONS(10009),
    [sym__heredoc_body_start] = ACTIONS(10009),
    [sym__element_reference_left_bracket] = ACTIONS(10009),
    [sym__infix_scope_colons] = ACTIONS(10009),
    [sym__binary_minus] = ACTIONS(10009),
    [sym__binary_star] = ACTIONS(10009),
    [ts_builtin_sym_end] = ACTIONS(10009),
    [anon_sym___END__] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_PIPE] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_STAR_STAR] = ACTIONS(10011),
    [anon_sym_AMP] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_LT] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10009),
    [anon_sym_if] = ACTIONS(10009),
    [anon_sym_unless] = ACTIONS(10009),
    [anon_sym_while] = ACTIONS(10009),
    [anon_sym_until] = ACTIONS(10009),
    [anon_sym_rescue] = ACTIONS(10009),
    [anon_sym_do] = ACTIONS(10009),
    [anon_sym_when] = ACTIONS(10009),
    [anon_sym_elsif] = ACTIONS(10009),
    [anon_sym_else] = ACTIONS(10009),
    [anon_sym_then] = ACTIONS(10009),
    [anon_sym_ensure] = ACTIONS(10009),
    [anon_sym_EQ_GT] = ACTIONS(10009),
    [anon_sym_AMP_DOT] = ACTIONS(10009),
    [anon_sym_PLUS_EQ] = ACTIONS(10009),
    [anon_sym_DASH_EQ] = ACTIONS(10009),
    [anon_sym_STAR_EQ] = ACTIONS(10009),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10009),
    [anon_sym_SLASH_EQ] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10009),
    [anon_sym_PIPE_EQ] = ACTIONS(10009),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10009),
    [anon_sym_AMP_EQ] = ACTIONS(10009),
    [anon_sym_PERCENT_EQ] = ACTIONS(10009),
    [anon_sym_GT_GT_EQ] = ACTIONS(10009),
    [anon_sym_LT_LT_EQ] = ACTIONS(10009),
    [anon_sym_CARET_EQ] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_DOT_DOT] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_and] = ACTIONS(10009),
    [anon_sym_or] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE] = ACTIONS(10011),
    [anon_sym_AMP_AMP] = ACTIONS(10011),
    [anon_sym_LT_LT] = ACTIONS(10011),
    [anon_sym_GT_GT] = ACTIONS(10011),
    [anon_sym_EQ_EQ] = ACTIONS(10011),
    [anon_sym_BANG_EQ] = ACTIONS(10009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10009),
    [anon_sym_LT_EQ_GT] = ACTIONS(10009),
    [anon_sym_EQ_TILDE] = ACTIONS(10009),
    [anon_sym_BANG_TILDE] = ACTIONS(10009),
    [anon_sym_LT_EQ] = ACTIONS(10011),
    [anon_sym_GT] = ACTIONS(10011),
    [anon_sym_GT_EQ] = ACTIONS(10009),
    [anon_sym_CARET] = ACTIONS(10011),
    [anon_sym_PLUS] = ACTIONS(10011),
    [anon_sym_SLASH] = ACTIONS(10011),
    [anon_sym_PERCENT] = ACTIONS(10011),
    [sym_comment] = ACTIONS(87),
  },
  [9272] = {
    [sym__line_break] = ACTIONS(6453),
    [sym__heredoc_body_start] = ACTIONS(6453),
    [sym__element_reference_left_bracket] = ACTIONS(6453),
    [sym__infix_scope_colons] = ACTIONS(6453),
    [sym__binary_minus] = ACTIONS(6453),
    [sym__binary_star] = ACTIONS(6453),
    [ts_builtin_sym_end] = ACTIONS(6453),
    [anon_sym___END__] = ACTIONS(6453),
    [anon_sym_LBRACE] = ACTIONS(6453),
    [anon_sym_RBRACE] = ACTIONS(6453),
    [anon_sym_RPAREN] = ACTIONS(6453),
    [anon_sym_DOT] = ACTIONS(6455),
    [anon_sym_COMMA] = ACTIONS(6453),
    [anon_sym_PIPE] = ACTIONS(6455),
    [anon_sym_SEMI] = ACTIONS(6453),
    [anon_sym_STAR_STAR] = ACTIONS(6455),
    [anon_sym_AMP] = ACTIONS(6455),
    [anon_sym_EQ] = ACTIONS(6455),
    [anon_sym_LT] = ACTIONS(6455),
    [anon_sym_end] = ACTIONS(6453),
    [anon_sym_if] = ACTIONS(6453),
    [anon_sym_unless] = ACTIONS(6453),
    [anon_sym_while] = ACTIONS(6453),
    [anon_sym_until] = ACTIONS(6453),
    [anon_sym_rescue] = ACTIONS(6453),
    [anon_sym_do] = ACTIONS(6453),
    [anon_sym_when] = ACTIONS(6453),
    [anon_sym_elsif] = ACTIONS(6453),
    [anon_sym_else] = ACTIONS(6453),
    [anon_sym_then] = ACTIONS(6453),
    [anon_sym_ensure] = ACTIONS(6453),
    [anon_sym_AMP_DOT] = ACTIONS(6453),
    [anon_sym_PLUS_EQ] = ACTIONS(6453),
    [anon_sym_DASH_EQ] = ACTIONS(6453),
    [anon_sym_STAR_EQ] = ACTIONS(6453),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6453),
    [anon_sym_SLASH_EQ] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6453),
    [anon_sym_PIPE_EQ] = ACTIONS(6453),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6453),
    [anon_sym_AMP_EQ] = ACTIONS(6453),
    [anon_sym_PERCENT_EQ] = ACTIONS(6453),
    [anon_sym_GT_GT_EQ] = ACTIONS(6453),
    [anon_sym_LT_LT_EQ] = ACTIONS(6453),
    [anon_sym_CARET_EQ] = ACTIONS(6453),
    [anon_sym_QMARK] = ACTIONS(6453),
    [anon_sym_DOT_DOT] = ACTIONS(6455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6453),
    [anon_sym_and] = ACTIONS(6453),
    [anon_sym_or] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE] = ACTIONS(6455),
    [anon_sym_AMP_AMP] = ACTIONS(6455),
    [anon_sym_LT_LT] = ACTIONS(6455),
    [anon_sym_GT_GT] = ACTIONS(6455),
    [anon_sym_EQ_EQ] = ACTIONS(6455),
    [anon_sym_BANG_EQ] = ACTIONS(6453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6453),
    [anon_sym_LT_EQ_GT] = ACTIONS(6453),
    [anon_sym_EQ_TILDE] = ACTIONS(6453),
    [anon_sym_BANG_TILDE] = ACTIONS(6453),
    [anon_sym_LT_EQ] = ACTIONS(6455),
    [anon_sym_GT] = ACTIONS(6455),
    [anon_sym_GT_EQ] = ACTIONS(6453),
    [anon_sym_CARET] = ACTIONS(6455),
    [anon_sym_PLUS] = ACTIONS(6455),
    [anon_sym_SLASH] = ACTIONS(6455),
    [anon_sym_PERCENT] = ACTIONS(6455),
    [sym_comment] = ACTIONS(87),
  },
  [9273] = {
    [sym__line_break] = ACTIONS(6457),
    [sym__heredoc_body_start] = ACTIONS(6457),
    [sym__element_reference_left_bracket] = ACTIONS(6457),
    [sym__infix_scope_colons] = ACTIONS(6457),
    [sym__binary_minus] = ACTIONS(6457),
    [sym__binary_star] = ACTIONS(6457),
    [ts_builtin_sym_end] = ACTIONS(6457),
    [anon_sym___END__] = ACTIONS(6457),
    [anon_sym_LBRACE] = ACTIONS(6457),
    [anon_sym_RBRACE] = ACTIONS(6457),
    [anon_sym_RPAREN] = ACTIONS(6457),
    [anon_sym_DOT] = ACTIONS(6459),
    [anon_sym_COMMA] = ACTIONS(6457),
    [anon_sym_PIPE] = ACTIONS(6459),
    [anon_sym_SEMI] = ACTIONS(6457),
    [anon_sym_STAR_STAR] = ACTIONS(6459),
    [anon_sym_AMP] = ACTIONS(6459),
    [anon_sym_EQ] = ACTIONS(6459),
    [anon_sym_LT] = ACTIONS(6459),
    [anon_sym_end] = ACTIONS(6457),
    [anon_sym_if] = ACTIONS(6457),
    [anon_sym_unless] = ACTIONS(6457),
    [anon_sym_while] = ACTIONS(6457),
    [anon_sym_until] = ACTIONS(6457),
    [anon_sym_rescue] = ACTIONS(6457),
    [anon_sym_do] = ACTIONS(6457),
    [anon_sym_when] = ACTIONS(6457),
    [anon_sym_elsif] = ACTIONS(6457),
    [anon_sym_else] = ACTIONS(6457),
    [anon_sym_then] = ACTIONS(6457),
    [anon_sym_ensure] = ACTIONS(6457),
    [anon_sym_AMP_DOT] = ACTIONS(6457),
    [anon_sym_PLUS_EQ] = ACTIONS(6457),
    [anon_sym_DASH_EQ] = ACTIONS(6457),
    [anon_sym_STAR_EQ] = ACTIONS(6457),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6457),
    [anon_sym_SLASH_EQ] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6457),
    [anon_sym_PIPE_EQ] = ACTIONS(6457),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6457),
    [anon_sym_AMP_EQ] = ACTIONS(6457),
    [anon_sym_PERCENT_EQ] = ACTIONS(6457),
    [anon_sym_GT_GT_EQ] = ACTIONS(6457),
    [anon_sym_LT_LT_EQ] = ACTIONS(6457),
    [anon_sym_CARET_EQ] = ACTIONS(6457),
    [anon_sym_QMARK] = ACTIONS(6457),
    [anon_sym_DOT_DOT] = ACTIONS(6459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6457),
    [anon_sym_and] = ACTIONS(6457),
    [anon_sym_or] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE] = ACTIONS(6459),
    [anon_sym_AMP_AMP] = ACTIONS(6459),
    [anon_sym_LT_LT] = ACTIONS(6459),
    [anon_sym_GT_GT] = ACTIONS(6459),
    [anon_sym_EQ_EQ] = ACTIONS(6459),
    [anon_sym_BANG_EQ] = ACTIONS(6457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6457),
    [anon_sym_LT_EQ_GT] = ACTIONS(6457),
    [anon_sym_EQ_TILDE] = ACTIONS(6457),
    [anon_sym_BANG_TILDE] = ACTIONS(6457),
    [anon_sym_LT_EQ] = ACTIONS(6459),
    [anon_sym_GT] = ACTIONS(6459),
    [anon_sym_GT_EQ] = ACTIONS(6457),
    [anon_sym_CARET] = ACTIONS(6459),
    [anon_sym_PLUS] = ACTIONS(6459),
    [anon_sym_SLASH] = ACTIONS(6459),
    [anon_sym_PERCENT] = ACTIONS(6459),
    [sym_comment] = ACTIONS(87),
  },
  [9274] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13583),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9275] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(13583),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(13585),
  },
  [9276] = {
    [sym__line_break] = ACTIONS(6465),
    [sym__heredoc_body_start] = ACTIONS(6465),
    [sym__element_reference_left_bracket] = ACTIONS(6465),
    [sym__infix_scope_colons] = ACTIONS(6465),
    [sym__binary_minus] = ACTIONS(6465),
    [sym__binary_star] = ACTIONS(6465),
    [ts_builtin_sym_end] = ACTIONS(6465),
    [anon_sym___END__] = ACTIONS(6465),
    [anon_sym_LBRACE] = ACTIONS(6465),
    [anon_sym_RBRACE] = ACTIONS(6465),
    [anon_sym_RPAREN] = ACTIONS(6465),
    [anon_sym_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6465),
    [anon_sym_PIPE] = ACTIONS(6467),
    [anon_sym_SEMI] = ACTIONS(6465),
    [anon_sym_STAR_STAR] = ACTIONS(6467),
    [anon_sym_AMP] = ACTIONS(6467),
    [anon_sym_EQ] = ACTIONS(6467),
    [anon_sym_LT] = ACTIONS(6467),
    [anon_sym_end] = ACTIONS(6465),
    [anon_sym_if] = ACTIONS(6465),
    [anon_sym_unless] = ACTIONS(6465),
    [anon_sym_while] = ACTIONS(6465),
    [anon_sym_until] = ACTIONS(6465),
    [anon_sym_rescue] = ACTIONS(6465),
    [anon_sym_do] = ACTIONS(6465),
    [anon_sym_when] = ACTIONS(6465),
    [anon_sym_elsif] = ACTIONS(6465),
    [anon_sym_else] = ACTIONS(6465),
    [anon_sym_then] = ACTIONS(6465),
    [anon_sym_ensure] = ACTIONS(6465),
    [anon_sym_AMP_DOT] = ACTIONS(6465),
    [anon_sym_PLUS_EQ] = ACTIONS(6465),
    [anon_sym_DASH_EQ] = ACTIONS(6465),
    [anon_sym_STAR_EQ] = ACTIONS(6465),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6465),
    [anon_sym_SLASH_EQ] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6465),
    [anon_sym_PIPE_EQ] = ACTIONS(6465),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6465),
    [anon_sym_AMP_EQ] = ACTIONS(6465),
    [anon_sym_PERCENT_EQ] = ACTIONS(6465),
    [anon_sym_GT_GT_EQ] = ACTIONS(6465),
    [anon_sym_LT_LT_EQ] = ACTIONS(6465),
    [anon_sym_CARET_EQ] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6465),
    [anon_sym_DOT_DOT] = ACTIONS(6467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6467),
    [anon_sym_AMP_AMP] = ACTIONS(6467),
    [anon_sym_LT_LT] = ACTIONS(6467),
    [anon_sym_GT_GT] = ACTIONS(6467),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6465),
    [anon_sym_EQ_TILDE] = ACTIONS(6465),
    [anon_sym_BANG_TILDE] = ACTIONS(6465),
    [anon_sym_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6467),
    [anon_sym_GT_EQ] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6467),
    [anon_sym_PLUS] = ACTIONS(6467),
    [anon_sym_SLASH] = ACTIONS(6467),
    [anon_sym_PERCENT] = ACTIONS(6467),
    [sym_comment] = ACTIONS(87),
  },
  [9277] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13587),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9278] = {
    [sym__line_break] = ACTIONS(6478),
    [sym__heredoc_body_start] = ACTIONS(6478),
    [sym__element_reference_left_bracket] = ACTIONS(6478),
    [sym__infix_scope_colons] = ACTIONS(6478),
    [sym__binary_minus] = ACTIONS(6478),
    [sym__binary_star] = ACTIONS(6478),
    [ts_builtin_sym_end] = ACTIONS(6478),
    [anon_sym___END__] = ACTIONS(6478),
    [anon_sym_LBRACE] = ACTIONS(6478),
    [anon_sym_RBRACE] = ACTIONS(6478),
    [anon_sym_RPAREN] = ACTIONS(6478),
    [anon_sym_DOT] = ACTIONS(6480),
    [anon_sym_COMMA] = ACTIONS(6478),
    [anon_sym_PIPE] = ACTIONS(6480),
    [anon_sym_SEMI] = ACTIONS(6478),
    [anon_sym_STAR_STAR] = ACTIONS(6480),
    [anon_sym_AMP] = ACTIONS(6480),
    [anon_sym_EQ] = ACTIONS(6480),
    [anon_sym_LT] = ACTIONS(6480),
    [anon_sym_end] = ACTIONS(6478),
    [anon_sym_if] = ACTIONS(6478),
    [anon_sym_unless] = ACTIONS(6478),
    [anon_sym_while] = ACTIONS(6478),
    [anon_sym_until] = ACTIONS(6478),
    [anon_sym_rescue] = ACTIONS(6478),
    [anon_sym_do] = ACTIONS(6478),
    [anon_sym_when] = ACTIONS(6478),
    [anon_sym_elsif] = ACTIONS(6478),
    [anon_sym_else] = ACTIONS(6478),
    [anon_sym_then] = ACTIONS(6478),
    [anon_sym_ensure] = ACTIONS(6478),
    [anon_sym_AMP_DOT] = ACTIONS(6478),
    [anon_sym_PLUS_EQ] = ACTIONS(6478),
    [anon_sym_DASH_EQ] = ACTIONS(6478),
    [anon_sym_STAR_EQ] = ACTIONS(6478),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6478),
    [anon_sym_SLASH_EQ] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6478),
    [anon_sym_PIPE_EQ] = ACTIONS(6478),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6478),
    [anon_sym_AMP_EQ] = ACTIONS(6478),
    [anon_sym_PERCENT_EQ] = ACTIONS(6478),
    [anon_sym_GT_GT_EQ] = ACTIONS(6478),
    [anon_sym_LT_LT_EQ] = ACTIONS(6478),
    [anon_sym_CARET_EQ] = ACTIONS(6478),
    [anon_sym_QMARK] = ACTIONS(6478),
    [anon_sym_DOT_DOT] = ACTIONS(6480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6478),
    [anon_sym_and] = ACTIONS(6478),
    [anon_sym_or] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE] = ACTIONS(6480),
    [anon_sym_AMP_AMP] = ACTIONS(6480),
    [anon_sym_LT_LT] = ACTIONS(6480),
    [anon_sym_GT_GT] = ACTIONS(6480),
    [anon_sym_EQ_EQ] = ACTIONS(6480),
    [anon_sym_BANG_EQ] = ACTIONS(6478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6478),
    [anon_sym_LT_EQ_GT] = ACTIONS(6478),
    [anon_sym_EQ_TILDE] = ACTIONS(6478),
    [anon_sym_BANG_TILDE] = ACTIONS(6478),
    [anon_sym_LT_EQ] = ACTIONS(6480),
    [anon_sym_GT] = ACTIONS(6480),
    [anon_sym_GT_EQ] = ACTIONS(6478),
    [anon_sym_CARET] = ACTIONS(6480),
    [anon_sym_PLUS] = ACTIONS(6480),
    [anon_sym_SLASH] = ACTIONS(6480),
    [anon_sym_PERCENT] = ACTIONS(6480),
    [sym_comment] = ACTIONS(87),
  },
  [9279] = {
    [sym__line_break] = ACTIONS(6482),
    [sym__heredoc_body_start] = ACTIONS(6482),
    [sym__element_reference_left_bracket] = ACTIONS(6482),
    [sym__infix_scope_colons] = ACTIONS(6482),
    [sym__binary_minus] = ACTIONS(6482),
    [sym__binary_star] = ACTIONS(6482),
    [ts_builtin_sym_end] = ACTIONS(6482),
    [anon_sym___END__] = ACTIONS(6482),
    [anon_sym_LBRACE] = ACTIONS(6482),
    [anon_sym_RBRACE] = ACTIONS(6482),
    [anon_sym_RPAREN] = ACTIONS(6482),
    [anon_sym_DOT] = ACTIONS(6484),
    [anon_sym_COMMA] = ACTIONS(6482),
    [anon_sym_PIPE] = ACTIONS(6484),
    [anon_sym_SEMI] = ACTIONS(6482),
    [anon_sym_STAR_STAR] = ACTIONS(6484),
    [anon_sym_AMP] = ACTIONS(6484),
    [anon_sym_EQ] = ACTIONS(6484),
    [anon_sym_LT] = ACTIONS(6484),
    [anon_sym_end] = ACTIONS(6482),
    [anon_sym_if] = ACTIONS(6482),
    [anon_sym_unless] = ACTIONS(6482),
    [anon_sym_while] = ACTIONS(6482),
    [anon_sym_until] = ACTIONS(6482),
    [anon_sym_rescue] = ACTIONS(6482),
    [anon_sym_do] = ACTIONS(6482),
    [anon_sym_when] = ACTIONS(6482),
    [anon_sym_elsif] = ACTIONS(6482),
    [anon_sym_else] = ACTIONS(6482),
    [anon_sym_then] = ACTIONS(6482),
    [anon_sym_ensure] = ACTIONS(6482),
    [anon_sym_AMP_DOT] = ACTIONS(6482),
    [anon_sym_PLUS_EQ] = ACTIONS(6482),
    [anon_sym_DASH_EQ] = ACTIONS(6482),
    [anon_sym_STAR_EQ] = ACTIONS(6482),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6482),
    [anon_sym_SLASH_EQ] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6482),
    [anon_sym_PIPE_EQ] = ACTIONS(6482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6482),
    [anon_sym_AMP_EQ] = ACTIONS(6482),
    [anon_sym_PERCENT_EQ] = ACTIONS(6482),
    [anon_sym_GT_GT_EQ] = ACTIONS(6482),
    [anon_sym_LT_LT_EQ] = ACTIONS(6482),
    [anon_sym_CARET_EQ] = ACTIONS(6482),
    [anon_sym_QMARK] = ACTIONS(6482),
    [anon_sym_DOT_DOT] = ACTIONS(6484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6482),
    [anon_sym_and] = ACTIONS(6482),
    [anon_sym_or] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE] = ACTIONS(6484),
    [anon_sym_AMP_AMP] = ACTIONS(6484),
    [anon_sym_LT_LT] = ACTIONS(6484),
    [anon_sym_GT_GT] = ACTIONS(6484),
    [anon_sym_EQ_EQ] = ACTIONS(6484),
    [anon_sym_BANG_EQ] = ACTIONS(6482),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6482),
    [anon_sym_LT_EQ_GT] = ACTIONS(6482),
    [anon_sym_EQ_TILDE] = ACTIONS(6482),
    [anon_sym_BANG_TILDE] = ACTIONS(6482),
    [anon_sym_LT_EQ] = ACTIONS(6484),
    [anon_sym_GT] = ACTIONS(6484),
    [anon_sym_GT_EQ] = ACTIONS(6482),
    [anon_sym_CARET] = ACTIONS(6484),
    [anon_sym_PLUS] = ACTIONS(6484),
    [anon_sym_SLASH] = ACTIONS(6484),
    [anon_sym_PERCENT] = ACTIONS(6484),
    [sym_comment] = ACTIONS(87),
  },
  [9280] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13589),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9281] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(13589),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(13591),
  },
  [9282] = {
    [sym__line_break] = ACTIONS(6490),
    [sym__heredoc_body_start] = ACTIONS(6490),
    [sym__element_reference_left_bracket] = ACTIONS(6490),
    [sym__infix_scope_colons] = ACTIONS(6490),
    [sym__binary_minus] = ACTIONS(6490),
    [sym__binary_star] = ACTIONS(6490),
    [ts_builtin_sym_end] = ACTIONS(6490),
    [anon_sym___END__] = ACTIONS(6490),
    [anon_sym_LBRACE] = ACTIONS(6490),
    [anon_sym_RBRACE] = ACTIONS(6490),
    [anon_sym_RPAREN] = ACTIONS(6490),
    [anon_sym_DOT] = ACTIONS(6492),
    [anon_sym_COMMA] = ACTIONS(6490),
    [anon_sym_PIPE] = ACTIONS(6492),
    [anon_sym_SEMI] = ACTIONS(6490),
    [anon_sym_STAR_STAR] = ACTIONS(6492),
    [anon_sym_AMP] = ACTIONS(6492),
    [anon_sym_EQ] = ACTIONS(6492),
    [anon_sym_LT] = ACTIONS(6492),
    [anon_sym_end] = ACTIONS(6490),
    [anon_sym_if] = ACTIONS(6490),
    [anon_sym_unless] = ACTIONS(6490),
    [anon_sym_while] = ACTIONS(6490),
    [anon_sym_until] = ACTIONS(6490),
    [anon_sym_rescue] = ACTIONS(6490),
    [anon_sym_do] = ACTIONS(6490),
    [anon_sym_when] = ACTIONS(6490),
    [anon_sym_elsif] = ACTIONS(6490),
    [anon_sym_else] = ACTIONS(6490),
    [anon_sym_then] = ACTIONS(6490),
    [anon_sym_ensure] = ACTIONS(6490),
    [anon_sym_AMP_DOT] = ACTIONS(6490),
    [anon_sym_PLUS_EQ] = ACTIONS(6490),
    [anon_sym_DASH_EQ] = ACTIONS(6490),
    [anon_sym_STAR_EQ] = ACTIONS(6490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6490),
    [anon_sym_SLASH_EQ] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6490),
    [anon_sym_PIPE_EQ] = ACTIONS(6490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6490),
    [anon_sym_AMP_EQ] = ACTIONS(6490),
    [anon_sym_PERCENT_EQ] = ACTIONS(6490),
    [anon_sym_GT_GT_EQ] = ACTIONS(6490),
    [anon_sym_LT_LT_EQ] = ACTIONS(6490),
    [anon_sym_CARET_EQ] = ACTIONS(6490),
    [anon_sym_QMARK] = ACTIONS(6490),
    [anon_sym_DOT_DOT] = ACTIONS(6492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6490),
    [anon_sym_and] = ACTIONS(6490),
    [anon_sym_or] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE] = ACTIONS(6492),
    [anon_sym_AMP_AMP] = ACTIONS(6492),
    [anon_sym_LT_LT] = ACTIONS(6492),
    [anon_sym_GT_GT] = ACTIONS(6492),
    [anon_sym_EQ_EQ] = ACTIONS(6492),
    [anon_sym_BANG_EQ] = ACTIONS(6490),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6490),
    [anon_sym_LT_EQ_GT] = ACTIONS(6490),
    [anon_sym_EQ_TILDE] = ACTIONS(6490),
    [anon_sym_BANG_TILDE] = ACTIONS(6490),
    [anon_sym_LT_EQ] = ACTIONS(6492),
    [anon_sym_GT] = ACTIONS(6492),
    [anon_sym_GT_EQ] = ACTIONS(6490),
    [anon_sym_CARET] = ACTIONS(6492),
    [anon_sym_PLUS] = ACTIONS(6492),
    [anon_sym_SLASH] = ACTIONS(6492),
    [anon_sym_PERCENT] = ACTIONS(6492),
    [sym_comment] = ACTIONS(87),
  },
  [9283] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13593),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9284] = {
    [sym__line_break] = ACTIONS(7030),
    [sym__heredoc_body_start] = ACTIONS(7030),
    [sym__element_reference_left_bracket] = ACTIONS(7030),
    [sym__infix_scope_colons] = ACTIONS(7030),
    [sym__binary_minus] = ACTIONS(7030),
    [sym__binary_star] = ACTIONS(7030),
    [ts_builtin_sym_end] = ACTIONS(7030),
    [anon_sym___END__] = ACTIONS(7030),
    [anon_sym_LBRACE] = ACTIONS(7030),
    [anon_sym_RBRACE] = ACTIONS(7030),
    [anon_sym_RPAREN] = ACTIONS(7030),
    [anon_sym_DOT] = ACTIONS(7032),
    [anon_sym_COMMA] = ACTIONS(7030),
    [anon_sym_PIPE] = ACTIONS(7032),
    [anon_sym_SEMI] = ACTIONS(7030),
    [anon_sym_STAR_STAR] = ACTIONS(7032),
    [anon_sym_AMP] = ACTIONS(7032),
    [anon_sym_EQ] = ACTIONS(7032),
    [anon_sym_LT] = ACTIONS(7032),
    [anon_sym_end] = ACTIONS(7030),
    [anon_sym_if] = ACTIONS(7030),
    [anon_sym_unless] = ACTIONS(7030),
    [anon_sym_while] = ACTIONS(7030),
    [anon_sym_until] = ACTIONS(7030),
    [anon_sym_rescue] = ACTIONS(7030),
    [anon_sym_do] = ACTIONS(7030),
    [anon_sym_when] = ACTIONS(7030),
    [anon_sym_elsif] = ACTIONS(7030),
    [anon_sym_else] = ACTIONS(7030),
    [anon_sym_then] = ACTIONS(7030),
    [anon_sym_ensure] = ACTIONS(7030),
    [anon_sym_AMP_DOT] = ACTIONS(7030),
    [anon_sym_PLUS_EQ] = ACTIONS(7030),
    [anon_sym_DASH_EQ] = ACTIONS(7030),
    [anon_sym_STAR_EQ] = ACTIONS(7030),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7030),
    [anon_sym_SLASH_EQ] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7030),
    [anon_sym_PIPE_EQ] = ACTIONS(7030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7030),
    [anon_sym_AMP_EQ] = ACTIONS(7030),
    [anon_sym_PERCENT_EQ] = ACTIONS(7030),
    [anon_sym_GT_GT_EQ] = ACTIONS(7030),
    [anon_sym_LT_LT_EQ] = ACTIONS(7030),
    [anon_sym_CARET_EQ] = ACTIONS(7030),
    [anon_sym_QMARK] = ACTIONS(7030),
    [anon_sym_DOT_DOT] = ACTIONS(7032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7030),
    [anon_sym_and] = ACTIONS(7030),
    [anon_sym_or] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE] = ACTIONS(7032),
    [anon_sym_AMP_AMP] = ACTIONS(7032),
    [anon_sym_LT_LT] = ACTIONS(7032),
    [anon_sym_GT_GT] = ACTIONS(7032),
    [anon_sym_EQ_EQ] = ACTIONS(7032),
    [anon_sym_BANG_EQ] = ACTIONS(7030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7030),
    [anon_sym_LT_EQ_GT] = ACTIONS(7030),
    [anon_sym_EQ_TILDE] = ACTIONS(7030),
    [anon_sym_BANG_TILDE] = ACTIONS(7030),
    [anon_sym_LT_EQ] = ACTIONS(7032),
    [anon_sym_GT] = ACTIONS(7032),
    [anon_sym_GT_EQ] = ACTIONS(7030),
    [anon_sym_CARET] = ACTIONS(7032),
    [anon_sym_PLUS] = ACTIONS(7032),
    [anon_sym_SLASH] = ACTIONS(7032),
    [anon_sym_PERCENT] = ACTIONS(7032),
    [sym_comment] = ACTIONS(87),
  },
  [9285] = {
    [anon_sym_DOT] = ACTIONS(13595),
    [anon_sym_COLON_COLON] = ACTIONS(13595),
    [sym_comment] = ACTIONS(87),
  },
  [9286] = {
    [sym__line_break] = ACTIONS(7186),
    [sym__heredoc_body_start] = ACTIONS(7186),
    [sym__element_reference_left_bracket] = ACTIONS(7186),
    [sym__infix_scope_colons] = ACTIONS(7186),
    [sym__binary_minus] = ACTIONS(7186),
    [sym__binary_star] = ACTIONS(7186),
    [ts_builtin_sym_end] = ACTIONS(7186),
    [anon_sym___END__] = ACTIONS(7186),
    [anon_sym_LBRACE] = ACTIONS(7186),
    [anon_sym_RBRACE] = ACTIONS(7186),
    [anon_sym_RPAREN] = ACTIONS(7186),
    [anon_sym_DOT] = ACTIONS(7188),
    [anon_sym_COMMA] = ACTIONS(7186),
    [anon_sym_PIPE] = ACTIONS(7188),
    [anon_sym_SEMI] = ACTIONS(7186),
    [anon_sym_STAR_STAR] = ACTIONS(7188),
    [anon_sym_AMP] = ACTIONS(7188),
    [anon_sym_EQ] = ACTIONS(7188),
    [anon_sym_LT] = ACTIONS(7188),
    [anon_sym_end] = ACTIONS(7186),
    [anon_sym_if] = ACTIONS(7186),
    [anon_sym_unless] = ACTIONS(7186),
    [anon_sym_while] = ACTIONS(7186),
    [anon_sym_until] = ACTIONS(7186),
    [anon_sym_rescue] = ACTIONS(7186),
    [anon_sym_do] = ACTIONS(7186),
    [anon_sym_when] = ACTIONS(7186),
    [anon_sym_elsif] = ACTIONS(7186),
    [anon_sym_else] = ACTIONS(7186),
    [anon_sym_then] = ACTIONS(7186),
    [anon_sym_ensure] = ACTIONS(7186),
    [anon_sym_AMP_DOT] = ACTIONS(7186),
    [anon_sym_PLUS_EQ] = ACTIONS(7186),
    [anon_sym_DASH_EQ] = ACTIONS(7186),
    [anon_sym_STAR_EQ] = ACTIONS(7186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7186),
    [anon_sym_SLASH_EQ] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7186),
    [anon_sym_PIPE_EQ] = ACTIONS(7186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7186),
    [anon_sym_AMP_EQ] = ACTIONS(7186),
    [anon_sym_PERCENT_EQ] = ACTIONS(7186),
    [anon_sym_GT_GT_EQ] = ACTIONS(7186),
    [anon_sym_LT_LT_EQ] = ACTIONS(7186),
    [anon_sym_CARET_EQ] = ACTIONS(7186),
    [anon_sym_QMARK] = ACTIONS(7186),
    [anon_sym_DOT_DOT] = ACTIONS(7188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7186),
    [anon_sym_and] = ACTIONS(7186),
    [anon_sym_or] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7188),
    [anon_sym_AMP_AMP] = ACTIONS(7188),
    [anon_sym_LT_LT] = ACTIONS(7188),
    [anon_sym_GT_GT] = ACTIONS(7188),
    [anon_sym_EQ_EQ] = ACTIONS(7188),
    [anon_sym_BANG_EQ] = ACTIONS(7186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7186),
    [anon_sym_LT_EQ_GT] = ACTIONS(7186),
    [anon_sym_EQ_TILDE] = ACTIONS(7186),
    [anon_sym_BANG_TILDE] = ACTIONS(7186),
    [anon_sym_LT_EQ] = ACTIONS(7188),
    [anon_sym_GT] = ACTIONS(7188),
    [anon_sym_GT_EQ] = ACTIONS(7186),
    [anon_sym_CARET] = ACTIONS(7188),
    [anon_sym_PLUS] = ACTIONS(7188),
    [anon_sym_SLASH] = ACTIONS(7188),
    [anon_sym_PERCENT] = ACTIONS(7188),
    [sym_comment] = ACTIONS(87),
  },
  [9287] = {
    [sym__line_break] = ACTIONS(7202),
    [sym__heredoc_body_start] = ACTIONS(7202),
    [sym__element_reference_left_bracket] = ACTIONS(7202),
    [sym__infix_scope_colons] = ACTIONS(7202),
    [sym__binary_minus] = ACTIONS(7202),
    [sym__binary_star] = ACTIONS(7202),
    [ts_builtin_sym_end] = ACTIONS(7202),
    [anon_sym___END__] = ACTIONS(7202),
    [anon_sym_LBRACE] = ACTIONS(7202),
    [anon_sym_RBRACE] = ACTIONS(7202),
    [anon_sym_RPAREN] = ACTIONS(7202),
    [anon_sym_DOT] = ACTIONS(7204),
    [anon_sym_COMMA] = ACTIONS(7202),
    [anon_sym_PIPE] = ACTIONS(7204),
    [anon_sym_SEMI] = ACTIONS(7202),
    [anon_sym_STAR_STAR] = ACTIONS(7204),
    [anon_sym_AMP] = ACTIONS(7204),
    [anon_sym_EQ] = ACTIONS(7204),
    [anon_sym_LT] = ACTIONS(7204),
    [anon_sym_end] = ACTIONS(7202),
    [anon_sym_if] = ACTIONS(7202),
    [anon_sym_unless] = ACTIONS(7202),
    [anon_sym_while] = ACTIONS(7202),
    [anon_sym_until] = ACTIONS(7202),
    [anon_sym_rescue] = ACTIONS(7202),
    [anon_sym_do] = ACTIONS(7202),
    [anon_sym_when] = ACTIONS(7202),
    [anon_sym_elsif] = ACTIONS(7202),
    [anon_sym_else] = ACTIONS(7202),
    [anon_sym_then] = ACTIONS(7202),
    [anon_sym_ensure] = ACTIONS(7202),
    [anon_sym_AMP_DOT] = ACTIONS(7202),
    [anon_sym_PLUS_EQ] = ACTIONS(7202),
    [anon_sym_DASH_EQ] = ACTIONS(7202),
    [anon_sym_STAR_EQ] = ACTIONS(7202),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7202),
    [anon_sym_SLASH_EQ] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7202),
    [anon_sym_PIPE_EQ] = ACTIONS(7202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7202),
    [anon_sym_AMP_EQ] = ACTIONS(7202),
    [anon_sym_PERCENT_EQ] = ACTIONS(7202),
    [anon_sym_GT_GT_EQ] = ACTIONS(7202),
    [anon_sym_LT_LT_EQ] = ACTIONS(7202),
    [anon_sym_CARET_EQ] = ACTIONS(7202),
    [anon_sym_QMARK] = ACTIONS(7202),
    [anon_sym_DOT_DOT] = ACTIONS(7204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7202),
    [anon_sym_and] = ACTIONS(7202),
    [anon_sym_or] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE] = ACTIONS(7204),
    [anon_sym_AMP_AMP] = ACTIONS(7204),
    [anon_sym_LT_LT] = ACTIONS(7204),
    [anon_sym_GT_GT] = ACTIONS(7204),
    [anon_sym_EQ_EQ] = ACTIONS(7204),
    [anon_sym_BANG_EQ] = ACTIONS(7202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7202),
    [anon_sym_LT_EQ_GT] = ACTIONS(7202),
    [anon_sym_EQ_TILDE] = ACTIONS(7202),
    [anon_sym_BANG_TILDE] = ACTIONS(7202),
    [anon_sym_LT_EQ] = ACTIONS(7204),
    [anon_sym_GT] = ACTIONS(7204),
    [anon_sym_GT_EQ] = ACTIONS(7202),
    [anon_sym_CARET] = ACTIONS(7204),
    [anon_sym_PLUS] = ACTIONS(7204),
    [anon_sym_SLASH] = ACTIONS(7204),
    [anon_sym_PERCENT] = ACTIONS(7204),
    [sym_comment] = ACTIONS(87),
  },
  [9288] = {
    [sym__statements] = STATE(3865),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(3866),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(3867),
    [sym_rescue] = STATE(3868),
    [sym__body_statement] = STATE(10800),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13597),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9289] = {
    [sym__statements] = STATE(3865),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(3866),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(3867),
    [sym_rescue] = STATE(3868),
    [sym__body_statement] = STATE(10801),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13599),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9290] = {
    [sym__line_break] = ACTIONS(7648),
    [sym__heredoc_body_start] = ACTIONS(7648),
    [sym__element_reference_left_bracket] = ACTIONS(7648),
    [sym__infix_scope_colons] = ACTIONS(7648),
    [sym__binary_minus] = ACTIONS(7648),
    [sym__binary_star] = ACTIONS(7648),
    [ts_builtin_sym_end] = ACTIONS(7648),
    [anon_sym___END__] = ACTIONS(7648),
    [anon_sym_LBRACE] = ACTIONS(7648),
    [anon_sym_RBRACE] = ACTIONS(7648),
    [anon_sym_RPAREN] = ACTIONS(7648),
    [anon_sym_DOT] = ACTIONS(7650),
    [anon_sym_COMMA] = ACTIONS(7648),
    [anon_sym_PIPE] = ACTIONS(7650),
    [anon_sym_SEMI] = ACTIONS(7648),
    [anon_sym_STAR_STAR] = ACTIONS(7650),
    [anon_sym_AMP] = ACTIONS(7650),
    [anon_sym_EQ] = ACTIONS(7650),
    [anon_sym_LT] = ACTIONS(7650),
    [anon_sym_end] = ACTIONS(7648),
    [anon_sym_if] = ACTIONS(7648),
    [anon_sym_unless] = ACTIONS(7648),
    [anon_sym_while] = ACTIONS(7648),
    [anon_sym_until] = ACTIONS(7648),
    [anon_sym_rescue] = ACTIONS(7648),
    [anon_sym_do] = ACTIONS(7648),
    [anon_sym_when] = ACTIONS(7648),
    [anon_sym_elsif] = ACTIONS(7648),
    [anon_sym_else] = ACTIONS(7648),
    [anon_sym_then] = ACTIONS(7648),
    [anon_sym_ensure] = ACTIONS(7648),
    [anon_sym_AMP_DOT] = ACTIONS(7648),
    [anon_sym_PLUS_EQ] = ACTIONS(7648),
    [anon_sym_DASH_EQ] = ACTIONS(7648),
    [anon_sym_STAR_EQ] = ACTIONS(7648),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7648),
    [anon_sym_SLASH_EQ] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7648),
    [anon_sym_PIPE_EQ] = ACTIONS(7648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7648),
    [anon_sym_AMP_EQ] = ACTIONS(7648),
    [anon_sym_PERCENT_EQ] = ACTIONS(7648),
    [anon_sym_GT_GT_EQ] = ACTIONS(7648),
    [anon_sym_LT_LT_EQ] = ACTIONS(7648),
    [anon_sym_CARET_EQ] = ACTIONS(7648),
    [anon_sym_QMARK] = ACTIONS(7648),
    [anon_sym_DOT_DOT] = ACTIONS(7650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7648),
    [anon_sym_and] = ACTIONS(7648),
    [anon_sym_or] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE] = ACTIONS(7650),
    [anon_sym_AMP_AMP] = ACTIONS(7650),
    [anon_sym_LT_LT] = ACTIONS(7650),
    [anon_sym_GT_GT] = ACTIONS(7650),
    [anon_sym_EQ_EQ] = ACTIONS(7650),
    [anon_sym_BANG_EQ] = ACTIONS(7648),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7648),
    [anon_sym_LT_EQ_GT] = ACTIONS(7648),
    [anon_sym_EQ_TILDE] = ACTIONS(7648),
    [anon_sym_BANG_TILDE] = ACTIONS(7648),
    [anon_sym_LT_EQ] = ACTIONS(7650),
    [anon_sym_GT] = ACTIONS(7650),
    [anon_sym_GT_EQ] = ACTIONS(7648),
    [anon_sym_CARET] = ACTIONS(7650),
    [anon_sym_PLUS] = ACTIONS(7650),
    [anon_sym_SLASH] = ACTIONS(7650),
    [anon_sym_PERCENT] = ACTIONS(7650),
    [sym_comment] = ACTIONS(87),
  },
  [9291] = {
    [sym__line_break] = ACTIONS(7704),
    [sym__heredoc_body_start] = ACTIONS(7704),
    [sym__element_reference_left_bracket] = ACTIONS(7704),
    [sym__infix_scope_colons] = ACTIONS(7704),
    [sym__binary_minus] = ACTIONS(7704),
    [sym__binary_star] = ACTIONS(7704),
    [ts_builtin_sym_end] = ACTIONS(7704),
    [anon_sym___END__] = ACTIONS(7704),
    [anon_sym_LBRACE] = ACTIONS(7704),
    [anon_sym_RBRACE] = ACTIONS(7704),
    [anon_sym_RPAREN] = ACTIONS(7704),
    [anon_sym_DOT] = ACTIONS(7706),
    [anon_sym_COMMA] = ACTIONS(7704),
    [anon_sym_PIPE] = ACTIONS(7706),
    [anon_sym_SEMI] = ACTIONS(7704),
    [anon_sym_STAR_STAR] = ACTIONS(7706),
    [anon_sym_AMP] = ACTIONS(7706),
    [anon_sym_EQ] = ACTIONS(7706),
    [anon_sym_LT] = ACTIONS(7706),
    [anon_sym_end] = ACTIONS(7704),
    [anon_sym_if] = ACTIONS(7704),
    [anon_sym_unless] = ACTIONS(7704),
    [anon_sym_while] = ACTIONS(7704),
    [anon_sym_until] = ACTIONS(7704),
    [anon_sym_rescue] = ACTIONS(7704),
    [anon_sym_do] = ACTIONS(7704),
    [anon_sym_when] = ACTIONS(7704),
    [anon_sym_elsif] = ACTIONS(7704),
    [anon_sym_else] = ACTIONS(7704),
    [anon_sym_then] = ACTIONS(7704),
    [anon_sym_ensure] = ACTIONS(7704),
    [anon_sym_AMP_DOT] = ACTIONS(7704),
    [anon_sym_PLUS_EQ] = ACTIONS(7704),
    [anon_sym_DASH_EQ] = ACTIONS(7704),
    [anon_sym_STAR_EQ] = ACTIONS(7704),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7704),
    [anon_sym_SLASH_EQ] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7704),
    [anon_sym_PIPE_EQ] = ACTIONS(7704),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7704),
    [anon_sym_AMP_EQ] = ACTIONS(7704),
    [anon_sym_PERCENT_EQ] = ACTIONS(7704),
    [anon_sym_GT_GT_EQ] = ACTIONS(7704),
    [anon_sym_LT_LT_EQ] = ACTIONS(7704),
    [anon_sym_CARET_EQ] = ACTIONS(7704),
    [anon_sym_QMARK] = ACTIONS(7704),
    [anon_sym_DOT_DOT] = ACTIONS(7706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7704),
    [anon_sym_and] = ACTIONS(7704),
    [anon_sym_or] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE] = ACTIONS(7706),
    [anon_sym_AMP_AMP] = ACTIONS(7706),
    [anon_sym_LT_LT] = ACTIONS(7706),
    [anon_sym_GT_GT] = ACTIONS(7706),
    [anon_sym_EQ_EQ] = ACTIONS(7706),
    [anon_sym_BANG_EQ] = ACTIONS(7704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7704),
    [anon_sym_LT_EQ_GT] = ACTIONS(7704),
    [anon_sym_EQ_TILDE] = ACTIONS(7704),
    [anon_sym_BANG_TILDE] = ACTIONS(7704),
    [anon_sym_LT_EQ] = ACTIONS(7706),
    [anon_sym_GT] = ACTIONS(7706),
    [anon_sym_GT_EQ] = ACTIONS(7704),
    [anon_sym_CARET] = ACTIONS(7706),
    [anon_sym_PLUS] = ACTIONS(7706),
    [anon_sym_SLASH] = ACTIONS(7706),
    [anon_sym_PERCENT] = ACTIONS(7706),
    [sym_comment] = ACTIONS(87),
  },
  [9292] = {
    [sym__line_break] = ACTIONS(7880),
    [sym__heredoc_body_start] = ACTIONS(7880),
    [sym__element_reference_left_bracket] = ACTIONS(7880),
    [sym__infix_scope_colons] = ACTIONS(7880),
    [sym__binary_minus] = ACTIONS(7880),
    [sym__binary_star] = ACTIONS(7880),
    [ts_builtin_sym_end] = ACTIONS(7880),
    [anon_sym___END__] = ACTIONS(7880),
    [anon_sym_LBRACE] = ACTIONS(7880),
    [anon_sym_RBRACE] = ACTIONS(7880),
    [anon_sym_RPAREN] = ACTIONS(7880),
    [anon_sym_DOT] = ACTIONS(7882),
    [anon_sym_COMMA] = ACTIONS(7880),
    [anon_sym_PIPE] = ACTIONS(7882),
    [anon_sym_SEMI] = ACTIONS(7880),
    [anon_sym_STAR_STAR] = ACTIONS(7882),
    [anon_sym_AMP] = ACTIONS(7882),
    [anon_sym_EQ] = ACTIONS(7882),
    [anon_sym_LT] = ACTIONS(7882),
    [anon_sym_end] = ACTIONS(7880),
    [anon_sym_if] = ACTIONS(7880),
    [anon_sym_unless] = ACTIONS(7880),
    [anon_sym_while] = ACTIONS(7880),
    [anon_sym_until] = ACTIONS(7880),
    [anon_sym_rescue] = ACTIONS(7880),
    [anon_sym_do] = ACTIONS(7880),
    [anon_sym_when] = ACTIONS(7880),
    [anon_sym_elsif] = ACTIONS(7880),
    [anon_sym_else] = ACTIONS(7880),
    [anon_sym_then] = ACTIONS(7880),
    [anon_sym_ensure] = ACTIONS(7880),
    [anon_sym_AMP_DOT] = ACTIONS(7880),
    [anon_sym_PLUS_EQ] = ACTIONS(7880),
    [anon_sym_DASH_EQ] = ACTIONS(7880),
    [anon_sym_STAR_EQ] = ACTIONS(7880),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7880),
    [anon_sym_SLASH_EQ] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7880),
    [anon_sym_PIPE_EQ] = ACTIONS(7880),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7880),
    [anon_sym_AMP_EQ] = ACTIONS(7880),
    [anon_sym_PERCENT_EQ] = ACTIONS(7880),
    [anon_sym_GT_GT_EQ] = ACTIONS(7880),
    [anon_sym_LT_LT_EQ] = ACTIONS(7880),
    [anon_sym_CARET_EQ] = ACTIONS(7880),
    [anon_sym_QMARK] = ACTIONS(7880),
    [anon_sym_DOT_DOT] = ACTIONS(7882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7880),
    [anon_sym_and] = ACTIONS(7880),
    [anon_sym_or] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE] = ACTIONS(7882),
    [anon_sym_AMP_AMP] = ACTIONS(7882),
    [anon_sym_LT_LT] = ACTIONS(7882),
    [anon_sym_GT_GT] = ACTIONS(7882),
    [anon_sym_EQ_EQ] = ACTIONS(7882),
    [anon_sym_BANG_EQ] = ACTIONS(7880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7880),
    [anon_sym_LT_EQ_GT] = ACTIONS(7880),
    [anon_sym_EQ_TILDE] = ACTIONS(7880),
    [anon_sym_BANG_TILDE] = ACTIONS(7880),
    [anon_sym_LT_EQ] = ACTIONS(7882),
    [anon_sym_GT] = ACTIONS(7882),
    [anon_sym_GT_EQ] = ACTIONS(7880),
    [anon_sym_CARET] = ACTIONS(7882),
    [anon_sym_PLUS] = ACTIONS(7882),
    [anon_sym_SLASH] = ACTIONS(7882),
    [anon_sym_PERCENT] = ACTIONS(7882),
    [sym_comment] = ACTIONS(87),
  },
  [9293] = {
    [sym_elsif] = STATE(10803),
    [sym_else] = STATE(10803),
    [sym__if_tail] = STATE(10803),
    [anon_sym_end] = ACTIONS(13601),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [9294] = {
    [anon_sym_end] = ACTIONS(13601),
    [sym_comment] = ACTIONS(87),
  },
  [9295] = {
    [sym__statements] = STATE(10804),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(10803),
    [sym_else] = STATE(10803),
    [sym__if_tail] = STATE(10803),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13603),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9296] = {
    [sym__line_break] = ACTIONS(8084),
    [sym__heredoc_body_start] = ACTIONS(8084),
    [sym__element_reference_left_bracket] = ACTIONS(8084),
    [sym__infix_scope_colons] = ACTIONS(8084),
    [sym__binary_minus] = ACTIONS(8084),
    [sym__binary_star] = ACTIONS(8084),
    [ts_builtin_sym_end] = ACTIONS(8084),
    [anon_sym___END__] = ACTIONS(8084),
    [anon_sym_LBRACE] = ACTIONS(8084),
    [anon_sym_RBRACE] = ACTIONS(8084),
    [anon_sym_RPAREN] = ACTIONS(8084),
    [anon_sym_DOT] = ACTIONS(8086),
    [anon_sym_COMMA] = ACTIONS(8084),
    [anon_sym_PIPE] = ACTIONS(8086),
    [anon_sym_SEMI] = ACTIONS(8084),
    [anon_sym_STAR_STAR] = ACTIONS(8086),
    [anon_sym_AMP] = ACTIONS(8086),
    [anon_sym_EQ] = ACTIONS(8086),
    [anon_sym_LT] = ACTIONS(8086),
    [anon_sym_end] = ACTIONS(8084),
    [anon_sym_if] = ACTIONS(8084),
    [anon_sym_unless] = ACTIONS(8084),
    [anon_sym_while] = ACTIONS(8084),
    [anon_sym_until] = ACTIONS(8084),
    [anon_sym_rescue] = ACTIONS(8084),
    [anon_sym_do] = ACTIONS(8084),
    [anon_sym_when] = ACTIONS(8084),
    [anon_sym_elsif] = ACTIONS(8084),
    [anon_sym_else] = ACTIONS(8084),
    [anon_sym_then] = ACTIONS(8084),
    [anon_sym_ensure] = ACTIONS(8084),
    [anon_sym_AMP_DOT] = ACTIONS(8084),
    [anon_sym_PLUS_EQ] = ACTIONS(8084),
    [anon_sym_DASH_EQ] = ACTIONS(8084),
    [anon_sym_STAR_EQ] = ACTIONS(8084),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8084),
    [anon_sym_SLASH_EQ] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8084),
    [anon_sym_PIPE_EQ] = ACTIONS(8084),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8084),
    [anon_sym_AMP_EQ] = ACTIONS(8084),
    [anon_sym_PERCENT_EQ] = ACTIONS(8084),
    [anon_sym_GT_GT_EQ] = ACTIONS(8084),
    [anon_sym_LT_LT_EQ] = ACTIONS(8084),
    [anon_sym_CARET_EQ] = ACTIONS(8084),
    [anon_sym_QMARK] = ACTIONS(8084),
    [anon_sym_DOT_DOT] = ACTIONS(8086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8084),
    [anon_sym_and] = ACTIONS(8084),
    [anon_sym_or] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE] = ACTIONS(8086),
    [anon_sym_AMP_AMP] = ACTIONS(8086),
    [anon_sym_LT_LT] = ACTIONS(8086),
    [anon_sym_GT_GT] = ACTIONS(8086),
    [anon_sym_EQ_EQ] = ACTIONS(8086),
    [anon_sym_BANG_EQ] = ACTIONS(8084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8084),
    [anon_sym_LT_EQ_GT] = ACTIONS(8084),
    [anon_sym_EQ_TILDE] = ACTIONS(8084),
    [anon_sym_BANG_TILDE] = ACTIONS(8084),
    [anon_sym_LT_EQ] = ACTIONS(8086),
    [anon_sym_GT] = ACTIONS(8086),
    [anon_sym_GT_EQ] = ACTIONS(8084),
    [anon_sym_CARET] = ACTIONS(8086),
    [anon_sym_PLUS] = ACTIONS(8086),
    [anon_sym_SLASH] = ACTIONS(8086),
    [anon_sym_PERCENT] = ACTIONS(8086),
    [sym_comment] = ACTIONS(87),
  },
  [9297] = {
    [sym_else] = STATE(10806),
    [anon_sym_end] = ACTIONS(13605),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [9298] = {
    [anon_sym_end] = ACTIONS(13605),
    [sym_comment] = ACTIONS(87),
  },
  [9299] = {
    [sym__line_break] = ACTIONS(8254),
    [sym__heredoc_body_start] = ACTIONS(8254),
    [sym__element_reference_left_bracket] = ACTIONS(8254),
    [sym__infix_scope_colons] = ACTIONS(8254),
    [sym__binary_minus] = ACTIONS(8254),
    [sym__binary_star] = ACTIONS(8254),
    [ts_builtin_sym_end] = ACTIONS(8254),
    [anon_sym___END__] = ACTIONS(8254),
    [anon_sym_LBRACE] = ACTIONS(8254),
    [anon_sym_RBRACE] = ACTIONS(8254),
    [anon_sym_RPAREN] = ACTIONS(8254),
    [anon_sym_DOT] = ACTIONS(8256),
    [anon_sym_COMMA] = ACTIONS(8254),
    [anon_sym_PIPE] = ACTIONS(8256),
    [anon_sym_SEMI] = ACTIONS(8254),
    [anon_sym_STAR_STAR] = ACTIONS(8256),
    [anon_sym_AMP] = ACTIONS(8256),
    [anon_sym_EQ] = ACTIONS(8256),
    [anon_sym_LT] = ACTIONS(8256),
    [anon_sym_end] = ACTIONS(8254),
    [anon_sym_if] = ACTIONS(8254),
    [anon_sym_unless] = ACTIONS(8254),
    [anon_sym_while] = ACTIONS(8254),
    [anon_sym_until] = ACTIONS(8254),
    [anon_sym_rescue] = ACTIONS(8254),
    [anon_sym_do] = ACTIONS(8254),
    [anon_sym_when] = ACTIONS(8254),
    [anon_sym_elsif] = ACTIONS(8254),
    [anon_sym_else] = ACTIONS(8254),
    [anon_sym_then] = ACTIONS(8254),
    [anon_sym_ensure] = ACTIONS(8254),
    [anon_sym_AMP_DOT] = ACTIONS(8254),
    [anon_sym_PLUS_EQ] = ACTIONS(8254),
    [anon_sym_DASH_EQ] = ACTIONS(8254),
    [anon_sym_STAR_EQ] = ACTIONS(8254),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8254),
    [anon_sym_SLASH_EQ] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8254),
    [anon_sym_PIPE_EQ] = ACTIONS(8254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8254),
    [anon_sym_AMP_EQ] = ACTIONS(8254),
    [anon_sym_PERCENT_EQ] = ACTIONS(8254),
    [anon_sym_GT_GT_EQ] = ACTIONS(8254),
    [anon_sym_LT_LT_EQ] = ACTIONS(8254),
    [anon_sym_CARET_EQ] = ACTIONS(8254),
    [anon_sym_QMARK] = ACTIONS(8254),
    [anon_sym_DOT_DOT] = ACTIONS(8256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8254),
    [anon_sym_and] = ACTIONS(8254),
    [anon_sym_or] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE] = ACTIONS(8256),
    [anon_sym_AMP_AMP] = ACTIONS(8256),
    [anon_sym_LT_LT] = ACTIONS(8256),
    [anon_sym_GT_GT] = ACTIONS(8256),
    [anon_sym_EQ_EQ] = ACTIONS(8256),
    [anon_sym_BANG_EQ] = ACTIONS(8254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8254),
    [anon_sym_LT_EQ_GT] = ACTIONS(8254),
    [anon_sym_EQ_TILDE] = ACTIONS(8254),
    [anon_sym_BANG_TILDE] = ACTIONS(8254),
    [anon_sym_LT_EQ] = ACTIONS(8256),
    [anon_sym_GT] = ACTIONS(8256),
    [anon_sym_GT_EQ] = ACTIONS(8254),
    [anon_sym_CARET] = ACTIONS(8256),
    [anon_sym_PLUS] = ACTIONS(8256),
    [anon_sym_SLASH] = ACTIONS(8256),
    [anon_sym_PERCENT] = ACTIONS(8256),
    [sym_comment] = ACTIONS(87),
  },
  [9300] = {
    [anon_sym_end] = ACTIONS(13607),
    [sym_comment] = ACTIONS(87),
  },
  [9301] = {
    [sym__line_break] = ACTIONS(8334),
    [sym__heredoc_body_start] = ACTIONS(8334),
    [sym__element_reference_left_bracket] = ACTIONS(8334),
    [sym__infix_scope_colons] = ACTIONS(8334),
    [sym__binary_minus] = ACTIONS(8334),
    [sym__binary_star] = ACTIONS(8334),
    [ts_builtin_sym_end] = ACTIONS(8334),
    [anon_sym___END__] = ACTIONS(8334),
    [anon_sym_LBRACE] = ACTIONS(8334),
    [anon_sym_RBRACE] = ACTIONS(8334),
    [anon_sym_RPAREN] = ACTIONS(8334),
    [anon_sym_DOT] = ACTIONS(8336),
    [anon_sym_COMMA] = ACTIONS(8334),
    [anon_sym_PIPE] = ACTIONS(8336),
    [anon_sym_SEMI] = ACTIONS(8334),
    [anon_sym_STAR_STAR] = ACTIONS(8336),
    [anon_sym_AMP] = ACTIONS(8336),
    [anon_sym_EQ] = ACTIONS(8336),
    [anon_sym_LT] = ACTIONS(8336),
    [anon_sym_end] = ACTIONS(8334),
    [anon_sym_if] = ACTIONS(8334),
    [anon_sym_unless] = ACTIONS(8334),
    [anon_sym_while] = ACTIONS(8334),
    [anon_sym_until] = ACTIONS(8334),
    [anon_sym_rescue] = ACTIONS(8334),
    [anon_sym_do] = ACTIONS(8334),
    [anon_sym_when] = ACTIONS(8334),
    [anon_sym_elsif] = ACTIONS(8334),
    [anon_sym_else] = ACTIONS(8334),
    [anon_sym_then] = ACTIONS(8334),
    [anon_sym_ensure] = ACTIONS(8334),
    [anon_sym_AMP_DOT] = ACTIONS(8334),
    [anon_sym_PLUS_EQ] = ACTIONS(8334),
    [anon_sym_DASH_EQ] = ACTIONS(8334),
    [anon_sym_STAR_EQ] = ACTIONS(8334),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8334),
    [anon_sym_SLASH_EQ] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8334),
    [anon_sym_PIPE_EQ] = ACTIONS(8334),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8334),
    [anon_sym_AMP_EQ] = ACTIONS(8334),
    [anon_sym_PERCENT_EQ] = ACTIONS(8334),
    [anon_sym_GT_GT_EQ] = ACTIONS(8334),
    [anon_sym_LT_LT_EQ] = ACTIONS(8334),
    [anon_sym_CARET_EQ] = ACTIONS(8334),
    [anon_sym_QMARK] = ACTIONS(8334),
    [anon_sym_DOT_DOT] = ACTIONS(8336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8334),
    [anon_sym_and] = ACTIONS(8334),
    [anon_sym_or] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE] = ACTIONS(8336),
    [anon_sym_AMP_AMP] = ACTIONS(8336),
    [anon_sym_LT_LT] = ACTIONS(8336),
    [anon_sym_GT_GT] = ACTIONS(8336),
    [anon_sym_EQ_EQ] = ACTIONS(8336),
    [anon_sym_BANG_EQ] = ACTIONS(8334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8334),
    [anon_sym_LT_EQ_GT] = ACTIONS(8334),
    [anon_sym_EQ_TILDE] = ACTIONS(8334),
    [anon_sym_BANG_TILDE] = ACTIONS(8334),
    [anon_sym_LT_EQ] = ACTIONS(8336),
    [anon_sym_GT] = ACTIONS(8336),
    [anon_sym_GT_EQ] = ACTIONS(8334),
    [anon_sym_CARET] = ACTIONS(8336),
    [anon_sym_PLUS] = ACTIONS(8336),
    [anon_sym_SLASH] = ACTIONS(8336),
    [anon_sym_PERCENT] = ACTIONS(8336),
    [sym_comment] = ACTIONS(87),
  },
  [9302] = {
    [anon_sym_end] = ACTIONS(13609),
    [sym_comment] = ACTIONS(87),
  },
  [9303] = {
    [sym__statements] = STATE(10810),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13611),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9304] = {
    [anon_sym_end] = ACTIONS(13613),
    [sym_comment] = ACTIONS(87),
  },
  [9305] = {
    [sym_when] = STATE(10812),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [9306] = {
    [sym__line_break] = ACTIONS(8592),
    [sym__heredoc_body_start] = ACTIONS(8592),
    [sym__element_reference_left_bracket] = ACTIONS(8592),
    [sym__infix_scope_colons] = ACTIONS(8592),
    [sym__binary_minus] = ACTIONS(8592),
    [sym__binary_star] = ACTIONS(8592),
    [ts_builtin_sym_end] = ACTIONS(8592),
    [anon_sym___END__] = ACTIONS(8592),
    [anon_sym_LBRACE] = ACTIONS(8592),
    [anon_sym_RBRACE] = ACTIONS(8592),
    [anon_sym_RPAREN] = ACTIONS(8592),
    [anon_sym_DOT] = ACTIONS(8594),
    [anon_sym_COMMA] = ACTIONS(8592),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_SEMI] = ACTIONS(8592),
    [anon_sym_STAR_STAR] = ACTIONS(8594),
    [anon_sym_AMP] = ACTIONS(8594),
    [anon_sym_EQ] = ACTIONS(8594),
    [anon_sym_LT] = ACTIONS(8594),
    [anon_sym_end] = ACTIONS(8592),
    [anon_sym_if] = ACTIONS(8592),
    [anon_sym_unless] = ACTIONS(8592),
    [anon_sym_while] = ACTIONS(8592),
    [anon_sym_until] = ACTIONS(8592),
    [anon_sym_rescue] = ACTIONS(8592),
    [anon_sym_do] = ACTIONS(8592),
    [anon_sym_when] = ACTIONS(8592),
    [anon_sym_elsif] = ACTIONS(8592),
    [anon_sym_else] = ACTIONS(8592),
    [anon_sym_then] = ACTIONS(8592),
    [anon_sym_ensure] = ACTIONS(8592),
    [anon_sym_AMP_DOT] = ACTIONS(8592),
    [anon_sym_PLUS_EQ] = ACTIONS(8592),
    [anon_sym_DASH_EQ] = ACTIONS(8592),
    [anon_sym_STAR_EQ] = ACTIONS(8592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8592),
    [anon_sym_SLASH_EQ] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8592),
    [anon_sym_PIPE_EQ] = ACTIONS(8592),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8592),
    [anon_sym_AMP_EQ] = ACTIONS(8592),
    [anon_sym_PERCENT_EQ] = ACTIONS(8592),
    [anon_sym_GT_GT_EQ] = ACTIONS(8592),
    [anon_sym_LT_LT_EQ] = ACTIONS(8592),
    [anon_sym_CARET_EQ] = ACTIONS(8592),
    [anon_sym_QMARK] = ACTIONS(8592),
    [anon_sym_DOT_DOT] = ACTIONS(8594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8592),
    [anon_sym_and] = ACTIONS(8592),
    [anon_sym_or] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE] = ACTIONS(8594),
    [anon_sym_AMP_AMP] = ACTIONS(8594),
    [anon_sym_LT_LT] = ACTIONS(8594),
    [anon_sym_GT_GT] = ACTIONS(8594),
    [anon_sym_EQ_EQ] = ACTIONS(8594),
    [anon_sym_BANG_EQ] = ACTIONS(8592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8592),
    [anon_sym_LT_EQ_GT] = ACTIONS(8592),
    [anon_sym_EQ_TILDE] = ACTIONS(8592),
    [anon_sym_BANG_TILDE] = ACTIONS(8592),
    [anon_sym_LT_EQ] = ACTIONS(8594),
    [anon_sym_GT] = ACTIONS(8594),
    [anon_sym_GT_EQ] = ACTIONS(8592),
    [anon_sym_CARET] = ACTIONS(8594),
    [anon_sym_PLUS] = ACTIONS(8594),
    [anon_sym_SLASH] = ACTIONS(8594),
    [anon_sym_PERCENT] = ACTIONS(8594),
    [sym_comment] = ACTIONS(87),
  },
  [9307] = {
    [sym__line_break] = ACTIONS(9111),
    [sym__heredoc_body_start] = ACTIONS(9111),
    [sym__element_reference_left_bracket] = ACTIONS(9111),
    [sym__infix_scope_colons] = ACTIONS(9111),
    [sym__binary_minus] = ACTIONS(9111),
    [sym__binary_star] = ACTIONS(9111),
    [ts_builtin_sym_end] = ACTIONS(9111),
    [anon_sym___END__] = ACTIONS(9111),
    [anon_sym_LBRACE] = ACTIONS(9111),
    [anon_sym_RBRACE] = ACTIONS(9111),
    [anon_sym_RPAREN] = ACTIONS(9111),
    [anon_sym_DOT] = ACTIONS(9113),
    [anon_sym_COMMA] = ACTIONS(9111),
    [anon_sym_PIPE] = ACTIONS(9113),
    [anon_sym_SEMI] = ACTIONS(9111),
    [anon_sym_STAR_STAR] = ACTIONS(9113),
    [anon_sym_AMP] = ACTIONS(9113),
    [anon_sym_EQ] = ACTIONS(9113),
    [anon_sym_LT] = ACTIONS(9113),
    [anon_sym_end] = ACTIONS(9111),
    [anon_sym_if] = ACTIONS(9111),
    [anon_sym_unless] = ACTIONS(9111),
    [anon_sym_while] = ACTIONS(9111),
    [anon_sym_until] = ACTIONS(9111),
    [anon_sym_rescue] = ACTIONS(9111),
    [anon_sym_do] = ACTIONS(9111),
    [anon_sym_when] = ACTIONS(9111),
    [anon_sym_elsif] = ACTIONS(9111),
    [anon_sym_else] = ACTIONS(9111),
    [anon_sym_then] = ACTIONS(9111),
    [anon_sym_ensure] = ACTIONS(9111),
    [anon_sym_AMP_DOT] = ACTIONS(9111),
    [anon_sym_PLUS_EQ] = ACTIONS(9111),
    [anon_sym_DASH_EQ] = ACTIONS(9111),
    [anon_sym_STAR_EQ] = ACTIONS(9111),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9111),
    [anon_sym_SLASH_EQ] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9111),
    [anon_sym_PIPE_EQ] = ACTIONS(9111),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9111),
    [anon_sym_AMP_EQ] = ACTIONS(9111),
    [anon_sym_PERCENT_EQ] = ACTIONS(9111),
    [anon_sym_GT_GT_EQ] = ACTIONS(9111),
    [anon_sym_LT_LT_EQ] = ACTIONS(9111),
    [anon_sym_CARET_EQ] = ACTIONS(9111),
    [anon_sym_QMARK] = ACTIONS(9111),
    [anon_sym_DOT_DOT] = ACTIONS(9113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9111),
    [anon_sym_and] = ACTIONS(9111),
    [anon_sym_or] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE] = ACTIONS(9113),
    [anon_sym_AMP_AMP] = ACTIONS(9113),
    [anon_sym_LT_LT] = ACTIONS(9113),
    [anon_sym_GT_GT] = ACTIONS(9113),
    [anon_sym_EQ_EQ] = ACTIONS(9113),
    [anon_sym_BANG_EQ] = ACTIONS(9111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9111),
    [anon_sym_LT_EQ_GT] = ACTIONS(9111),
    [anon_sym_EQ_TILDE] = ACTIONS(9111),
    [anon_sym_BANG_TILDE] = ACTIONS(9111),
    [anon_sym_LT_EQ] = ACTIONS(9113),
    [anon_sym_GT] = ACTIONS(9113),
    [anon_sym_GT_EQ] = ACTIONS(9111),
    [anon_sym_CARET] = ACTIONS(9113),
    [anon_sym_PLUS] = ACTIONS(9113),
    [anon_sym_SLASH] = ACTIONS(9113),
    [anon_sym_PERCENT] = ACTIONS(9113),
    [sym_comment] = ACTIONS(87),
  },
  [9308] = {
    [anon_sym_end] = ACTIONS(13615),
    [sym_comment] = ACTIONS(87),
  },
  [9309] = {
    [sym_ensure] = STATE(10814),
    [anon_sym_end] = ACTIONS(13615),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [9310] = {
    [sym__line_break] = ACTIONS(9333),
    [sym__heredoc_body_start] = ACTIONS(9333),
    [sym__element_reference_left_bracket] = ACTIONS(9333),
    [sym__infix_scope_colons] = ACTIONS(9333),
    [sym__binary_minus] = ACTIONS(9333),
    [sym__binary_star] = ACTIONS(9333),
    [ts_builtin_sym_end] = ACTIONS(9333),
    [anon_sym___END__] = ACTIONS(9333),
    [anon_sym_LBRACE] = ACTIONS(9333),
    [anon_sym_RBRACE] = ACTIONS(9333),
    [anon_sym_RPAREN] = ACTIONS(9333),
    [anon_sym_DOT] = ACTIONS(9335),
    [anon_sym_COMMA] = ACTIONS(9333),
    [anon_sym_PIPE] = ACTIONS(9335),
    [anon_sym_SEMI] = ACTIONS(9333),
    [anon_sym_STAR_STAR] = ACTIONS(9335),
    [anon_sym_AMP] = ACTIONS(9335),
    [anon_sym_EQ] = ACTIONS(9335),
    [anon_sym_LT] = ACTIONS(9335),
    [anon_sym_end] = ACTIONS(9333),
    [anon_sym_if] = ACTIONS(9333),
    [anon_sym_unless] = ACTIONS(9333),
    [anon_sym_while] = ACTIONS(9333),
    [anon_sym_until] = ACTIONS(9333),
    [anon_sym_rescue] = ACTIONS(9333),
    [anon_sym_do] = ACTIONS(9333),
    [anon_sym_when] = ACTIONS(9333),
    [anon_sym_elsif] = ACTIONS(9333),
    [anon_sym_else] = ACTIONS(9333),
    [anon_sym_then] = ACTIONS(9333),
    [anon_sym_ensure] = ACTIONS(9333),
    [anon_sym_AMP_DOT] = ACTIONS(9333),
    [anon_sym_PLUS_EQ] = ACTIONS(9333),
    [anon_sym_DASH_EQ] = ACTIONS(9333),
    [anon_sym_STAR_EQ] = ACTIONS(9333),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9333),
    [anon_sym_SLASH_EQ] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9333),
    [anon_sym_PIPE_EQ] = ACTIONS(9333),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9333),
    [anon_sym_AMP_EQ] = ACTIONS(9333),
    [anon_sym_PERCENT_EQ] = ACTIONS(9333),
    [anon_sym_GT_GT_EQ] = ACTIONS(9333),
    [anon_sym_LT_LT_EQ] = ACTIONS(9333),
    [anon_sym_CARET_EQ] = ACTIONS(9333),
    [anon_sym_QMARK] = ACTIONS(9333),
    [anon_sym_DOT_DOT] = ACTIONS(9335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9333),
    [anon_sym_and] = ACTIONS(9333),
    [anon_sym_or] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE] = ACTIONS(9335),
    [anon_sym_AMP_AMP] = ACTIONS(9335),
    [anon_sym_LT_LT] = ACTIONS(9335),
    [anon_sym_GT_GT] = ACTIONS(9335),
    [anon_sym_EQ_EQ] = ACTIONS(9335),
    [anon_sym_BANG_EQ] = ACTIONS(9333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9333),
    [anon_sym_LT_EQ_GT] = ACTIONS(9333),
    [anon_sym_EQ_TILDE] = ACTIONS(9333),
    [anon_sym_BANG_TILDE] = ACTIONS(9333),
    [anon_sym_LT_EQ] = ACTIONS(9335),
    [anon_sym_GT] = ACTIONS(9335),
    [anon_sym_GT_EQ] = ACTIONS(9333),
    [anon_sym_CARET] = ACTIONS(9335),
    [anon_sym_PLUS] = ACTIONS(9335),
    [anon_sym_SLASH] = ACTIONS(9335),
    [anon_sym_PERCENT] = ACTIONS(9335),
    [sym_comment] = ACTIONS(87),
  },
  [9311] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10815),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_assignment] = STATE(10815),
    [sym_operator_assignment] = STATE(10815),
    [sym_conditional] = STATE(10815),
    [sym_range] = STATE(10815),
    [sym_binary] = STATE(10815),
    [sym_unary] = STATE(10815),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9312] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(6819),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(1576),
    [sym_scope_resolution] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym_method_call] = STATE(1576),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(6819),
    [sym_operator_assignment] = STATE(6819),
    [sym_conditional] = STATE(6819),
    [sym_range] = STATE(6819),
    [sym_binary] = STATE(6819),
    [sym_unary] = STATE(6819),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(1575),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1576),
    [sym__variable] = STATE(1574),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(1576),
    [sym_false] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(1577),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(767),
    [sym__unary_minus] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_next] = ACTIONS(2619),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_defined_QMARK] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [sym_constant] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2645),
    [sym_instance_variable] = ACTIONS(2647),
    [sym_class_variable] = ACTIONS(2647),
    [sym_global_variable] = ACTIONS(2647),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9313] = {
    [aux_sym_exceptions_repeat1] = STATE(10817),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [ts_builtin_sym_end] = ACTIONS(9799),
    [anon_sym___END__] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13617),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [9314] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [9315] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [9316] = {
    [sym_heredoc_body] = STATE(9316),
    [aux_sym_call_repeat1] = STATE(9316),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9317] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(3909),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(3909),
    [sym_operator_assignment] = STATE(3909),
    [sym_conditional] = STATE(3909),
    [sym_range] = STATE(3909),
    [sym_binary] = STATE(3909),
    [sym_unary] = STATE(3909),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3912),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(6036),
    [sym__splat_star] = ACTIONS(6038),
    [sym__unary_minus] = ACTIONS(3010),
    [sym__identifier_hash_key] = ACTIONS(6040),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12155),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(6042),
    [sym_identifier] = ACTIONS(6042),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9318] = {
    [sym_heredoc_body] = STATE(9316),
    [aux_sym_call_repeat1] = STATE(9316),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9319] = {
    [aux_sym_argument_list_repeat1] = STATE(9319),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13619),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [9320] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [9321] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10818),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1602),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1602),
    [sym_assignment] = STATE(10818),
    [sym_operator_assignment] = STATE(10818),
    [sym_conditional] = STATE(10818),
    [sym_range] = STATE(10818),
    [sym_binary] = STATE(10818),
    [sym_unary] = STATE(10818),
    [sym_left_assignment_list] = STATE(1601),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1602),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1602),
    [sym_false] = STATE(1602),
    [sym_nil] = STATE(1602),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(3903),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_next] = ACTIONS(2675),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_defined_QMARK] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9322] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [9323] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [9324] = {
    [sym_heredoc_body] = STATE(9324),
    [aux_sym_call_repeat1] = STATE(9324),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [9325] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(3934),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(3934),
    [sym_operator_assignment] = STATE(3934),
    [sym_conditional] = STATE(3934),
    [sym_range] = STATE(3934),
    [sym_binary] = STATE(3934),
    [sym_unary] = STATE(3934),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(3937),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(6078),
    [sym__splat_star] = ACTIONS(6080),
    [sym__unary_minus] = ACTIONS(3082),
    [sym__identifier_hash_key] = ACTIONS(6082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12159),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(6084),
    [sym_identifier] = ACTIONS(6084),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [9326] = {
    [sym_heredoc_body] = STATE(9324),
    [aux_sym_call_repeat1] = STATE(9324),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [9327] = {
    [aux_sym_argument_list_repeat1] = STATE(9327),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13622),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [9328] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [9329] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(12165),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(12169),
    [anon_sym_LT] = ACTIONS(12171),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(12173),
    [anon_sym_DOT_DOT] = ACTIONS(12175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12177),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(12179),
    [anon_sym_AMP_AMP] = ACTIONS(12179),
    [anon_sym_LT_LT] = ACTIONS(12181),
    [anon_sym_GT_GT] = ACTIONS(12181),
    [anon_sym_EQ_EQ] = ACTIONS(12183),
    [anon_sym_BANG_EQ] = ACTIONS(12179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12179),
    [anon_sym_LT_EQ_GT] = ACTIONS(12179),
    [anon_sym_EQ_TILDE] = ACTIONS(12179),
    [anon_sym_BANG_TILDE] = ACTIONS(12179),
    [anon_sym_LT_EQ] = ACTIONS(12171),
    [anon_sym_GT] = ACTIONS(12171),
    [anon_sym_GT_EQ] = ACTIONS(12185),
    [anon_sym_CARET] = ACTIONS(12187),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [9330] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [9331] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [9332] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(12165),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(12169),
    [anon_sym_LT] = ACTIONS(12171),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(12173),
    [anon_sym_DOT_DOT] = ACTIONS(12175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12177),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(12179),
    [anon_sym_AMP_AMP] = ACTIONS(12179),
    [anon_sym_LT_LT] = ACTIONS(12181),
    [anon_sym_GT_GT] = ACTIONS(12181),
    [anon_sym_EQ_EQ] = ACTIONS(12183),
    [anon_sym_BANG_EQ] = ACTIONS(12179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12179),
    [anon_sym_LT_EQ_GT] = ACTIONS(12179),
    [anon_sym_EQ_TILDE] = ACTIONS(12179),
    [anon_sym_BANG_TILDE] = ACTIONS(12179),
    [anon_sym_LT_EQ] = ACTIONS(12171),
    [anon_sym_GT] = ACTIONS(12171),
    [anon_sym_GT_EQ] = ACTIONS(12185),
    [anon_sym_CARET] = ACTIONS(12187),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [9333] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10819),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10819),
    [sym_operator_assignment] = STATE(10819),
    [sym_conditional] = STATE(10819),
    [sym_range] = STATE(10819),
    [sym_binary] = STATE(10819),
    [sym_unary] = STATE(10819),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9334] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10820),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10820),
    [sym_operator_assignment] = STATE(10820),
    [sym_conditional] = STATE(10820),
    [sym_range] = STATE(10820),
    [sym_binary] = STATE(10820),
    [sym_unary] = STATE(10820),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9335] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10821),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10821),
    [sym_operator_assignment] = STATE(10821),
    [sym_conditional] = STATE(10821),
    [sym_range] = STATE(10821),
    [sym_binary] = STATE(10821),
    [sym_unary] = STATE(10821),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9336] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10822),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10822),
    [sym_operator_assignment] = STATE(10822),
    [sym_conditional] = STATE(10822),
    [sym_range] = STATE(10822),
    [sym_binary] = STATE(10822),
    [sym_unary] = STATE(10822),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9337] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10823),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10823),
    [sym_operator_assignment] = STATE(10823),
    [sym_conditional] = STATE(10823),
    [sym_range] = STATE(10823),
    [sym_binary] = STATE(10823),
    [sym_unary] = STATE(10823),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9338] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10824),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10824),
    [sym_operator_assignment] = STATE(10824),
    [sym_conditional] = STATE(10824),
    [sym_range] = STATE(10824),
    [sym_binary] = STATE(10824),
    [sym_unary] = STATE(10824),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9339] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10825),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10825),
    [sym_operator_assignment] = STATE(10825),
    [sym_conditional] = STATE(10825),
    [sym_range] = STATE(10825),
    [sym_binary] = STATE(10825),
    [sym_unary] = STATE(10825),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9340] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10826),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10826),
    [sym_operator_assignment] = STATE(10826),
    [sym_conditional] = STATE(10826),
    [sym_range] = STATE(10826),
    [sym_binary] = STATE(10826),
    [sym_unary] = STATE(10826),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9341] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10827),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10827),
    [sym_operator_assignment] = STATE(10827),
    [sym_conditional] = STATE(10827),
    [sym_range] = STATE(10827),
    [sym_binary] = STATE(10827),
    [sym_unary] = STATE(10827),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9342] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10828),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10828),
    [sym_operator_assignment] = STATE(10828),
    [sym_conditional] = STATE(10828),
    [sym_range] = STATE(10828),
    [sym_binary] = STATE(10828),
    [sym_unary] = STATE(10828),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9343] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10829),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10829),
    [sym_operator_assignment] = STATE(10829),
    [sym_conditional] = STATE(10829),
    [sym_range] = STATE(10829),
    [sym_binary] = STATE(10829),
    [sym_unary] = STATE(10829),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9344] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10830),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10830),
    [sym_operator_assignment] = STATE(10830),
    [sym_conditional] = STATE(10830),
    [sym_range] = STATE(10830),
    [sym_binary] = STATE(10830),
    [sym_unary] = STATE(10830),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9345] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6862),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(6862),
    [sym_operator_assignment] = STATE(6862),
    [sym_conditional] = STATE(6862),
    [sym_range] = STATE(6862),
    [sym_binary] = STATE(6862),
    [sym_unary] = STATE(6862),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(9734),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9346] = {
    [aux_sym_exceptions_repeat1] = STATE(10831),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(12191),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9347] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6862),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_splat_argument] = STATE(10832),
    [sym_assignment] = STATE(6862),
    [sym_operator_assignment] = STATE(6862),
    [sym_conditional] = STATE(6862),
    [sym_range] = STATE(6862),
    [sym_binary] = STATE(6862),
    [sym_unary] = STATE(6862),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(10832),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(9734),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9348] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10833),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(10833),
    [sym_operator_assignment] = STATE(10833),
    [sym_conditional] = STATE(10833),
    [sym_range] = STATE(10833),
    [sym_binary] = STATE(10833),
    [sym_unary] = STATE(10833),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9349] = {
    [sym__method_rest] = STATE(10834),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(1609),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [9350] = {
    [sym__line_break] = ACTIONS(10750),
    [sym__heredoc_body_start] = ACTIONS(10750),
    [sym__element_reference_left_bracket] = ACTIONS(10750),
    [sym__infix_scope_colons] = ACTIONS(10750),
    [sym__binary_minus] = ACTIONS(10750),
    [sym__binary_star] = ACTIONS(10750),
    [ts_builtin_sym_end] = ACTIONS(10750),
    [anon_sym___END__] = ACTIONS(10750),
    [anon_sym_LBRACE] = ACTIONS(10750),
    [anon_sym_RBRACE] = ACTIONS(10750),
    [anon_sym_RPAREN] = ACTIONS(10750),
    [anon_sym_DOT] = ACTIONS(10752),
    [anon_sym_COMMA] = ACTIONS(10750),
    [anon_sym_PIPE] = ACTIONS(10752),
    [anon_sym_SEMI] = ACTIONS(10750),
    [anon_sym_STAR_STAR] = ACTIONS(10752),
    [anon_sym_AMP] = ACTIONS(10752),
    [anon_sym_EQ] = ACTIONS(10752),
    [anon_sym_LT] = ACTIONS(10752),
    [anon_sym_end] = ACTIONS(10750),
    [anon_sym_if] = ACTIONS(10750),
    [anon_sym_unless] = ACTIONS(10750),
    [anon_sym_while] = ACTIONS(10750),
    [anon_sym_until] = ACTIONS(10750),
    [anon_sym_rescue] = ACTIONS(10750),
    [anon_sym_do] = ACTIONS(10750),
    [anon_sym_when] = ACTIONS(10750),
    [anon_sym_elsif] = ACTIONS(10750),
    [anon_sym_else] = ACTIONS(10750),
    [anon_sym_then] = ACTIONS(10750),
    [anon_sym_ensure] = ACTIONS(10750),
    [anon_sym_EQ_GT] = ACTIONS(10750),
    [anon_sym_AMP_DOT] = ACTIONS(10750),
    [anon_sym_PLUS_EQ] = ACTIONS(10750),
    [anon_sym_DASH_EQ] = ACTIONS(10750),
    [anon_sym_STAR_EQ] = ACTIONS(10750),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10750),
    [anon_sym_SLASH_EQ] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10750),
    [anon_sym_PIPE_EQ] = ACTIONS(10750),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10750),
    [anon_sym_AMP_EQ] = ACTIONS(10750),
    [anon_sym_PERCENT_EQ] = ACTIONS(10750),
    [anon_sym_GT_GT_EQ] = ACTIONS(10750),
    [anon_sym_LT_LT_EQ] = ACTIONS(10750),
    [anon_sym_CARET_EQ] = ACTIONS(10750),
    [anon_sym_QMARK] = ACTIONS(10750),
    [anon_sym_DOT_DOT] = ACTIONS(10752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10750),
    [anon_sym_and] = ACTIONS(10750),
    [anon_sym_or] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE] = ACTIONS(10752),
    [anon_sym_AMP_AMP] = ACTIONS(10752),
    [anon_sym_LT_LT] = ACTIONS(10752),
    [anon_sym_GT_GT] = ACTIONS(10752),
    [anon_sym_EQ_EQ] = ACTIONS(10752),
    [anon_sym_BANG_EQ] = ACTIONS(10750),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10750),
    [anon_sym_LT_EQ_GT] = ACTIONS(10750),
    [anon_sym_EQ_TILDE] = ACTIONS(10750),
    [anon_sym_BANG_TILDE] = ACTIONS(10750),
    [anon_sym_LT_EQ] = ACTIONS(10752),
    [anon_sym_GT] = ACTIONS(10752),
    [anon_sym_GT_EQ] = ACTIONS(10750),
    [anon_sym_CARET] = ACTIONS(10752),
    [anon_sym_PLUS] = ACTIONS(10752),
    [anon_sym_SLASH] = ACTIONS(10752),
    [anon_sym_PERCENT] = ACTIONS(10752),
    [sym_comment] = ACTIONS(87),
  },
  [9351] = {
    [sym__line_break] = ACTIONS(10754),
    [sym__heredoc_body_start] = ACTIONS(10754),
    [sym__element_reference_left_bracket] = ACTIONS(10754),
    [sym__infix_scope_colons] = ACTIONS(10754),
    [sym__binary_minus] = ACTIONS(10754),
    [sym__binary_star] = ACTIONS(10754),
    [ts_builtin_sym_end] = ACTIONS(10754),
    [anon_sym___END__] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_RBRACE] = ACTIONS(10754),
    [anon_sym_RPAREN] = ACTIONS(10754),
    [anon_sym_DOT] = ACTIONS(10756),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_PIPE] = ACTIONS(10756),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_STAR_STAR] = ACTIONS(10756),
    [anon_sym_AMP] = ACTIONS(10756),
    [anon_sym_EQ] = ACTIONS(10756),
    [anon_sym_LT] = ACTIONS(10756),
    [anon_sym_end] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_unless] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [anon_sym_until] = ACTIONS(10754),
    [anon_sym_rescue] = ACTIONS(10754),
    [anon_sym_do] = ACTIONS(10754),
    [anon_sym_when] = ACTIONS(10754),
    [anon_sym_elsif] = ACTIONS(10754),
    [anon_sym_else] = ACTIONS(10754),
    [anon_sym_then] = ACTIONS(10754),
    [anon_sym_ensure] = ACTIONS(10754),
    [anon_sym_EQ_GT] = ACTIONS(10754),
    [anon_sym_AMP_DOT] = ACTIONS(10754),
    [anon_sym_PLUS_EQ] = ACTIONS(10754),
    [anon_sym_DASH_EQ] = ACTIONS(10754),
    [anon_sym_STAR_EQ] = ACTIONS(10754),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10754),
    [anon_sym_SLASH_EQ] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10754),
    [anon_sym_PIPE_EQ] = ACTIONS(10754),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10754),
    [anon_sym_AMP_EQ] = ACTIONS(10754),
    [anon_sym_PERCENT_EQ] = ACTIONS(10754),
    [anon_sym_GT_GT_EQ] = ACTIONS(10754),
    [anon_sym_LT_LT_EQ] = ACTIONS(10754),
    [anon_sym_CARET_EQ] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_DOT_DOT] = ACTIONS(10756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_and] = ACTIONS(10754),
    [anon_sym_or] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE] = ACTIONS(10756),
    [anon_sym_AMP_AMP] = ACTIONS(10756),
    [anon_sym_LT_LT] = ACTIONS(10756),
    [anon_sym_GT_GT] = ACTIONS(10756),
    [anon_sym_EQ_EQ] = ACTIONS(10756),
    [anon_sym_BANG_EQ] = ACTIONS(10754),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10754),
    [anon_sym_LT_EQ_GT] = ACTIONS(10754),
    [anon_sym_EQ_TILDE] = ACTIONS(10754),
    [anon_sym_BANG_TILDE] = ACTIONS(10754),
    [anon_sym_LT_EQ] = ACTIONS(10756),
    [anon_sym_GT] = ACTIONS(10756),
    [anon_sym_GT_EQ] = ACTIONS(10754),
    [anon_sym_CARET] = ACTIONS(10756),
    [anon_sym_PLUS] = ACTIONS(10756),
    [anon_sym_SLASH] = ACTIONS(10756),
    [anon_sym_PERCENT] = ACTIONS(10756),
    [sym_comment] = ACTIONS(87),
  },
  [9352] = {
    [sym__line_break] = ACTIONS(10911),
    [sym__heredoc_body_start] = ACTIONS(10911),
    [sym__element_reference_left_bracket] = ACTIONS(10911),
    [sym__infix_scope_colons] = ACTIONS(10911),
    [sym__binary_minus] = ACTIONS(10911),
    [sym__binary_star] = ACTIONS(10911),
    [ts_builtin_sym_end] = ACTIONS(10911),
    [anon_sym___END__] = ACTIONS(10911),
    [anon_sym_LBRACE] = ACTIONS(10911),
    [anon_sym_RBRACE] = ACTIONS(10911),
    [anon_sym_RPAREN] = ACTIONS(10911),
    [anon_sym_DOT] = ACTIONS(10913),
    [anon_sym_COMMA] = ACTIONS(10911),
    [anon_sym_PIPE] = ACTIONS(10913),
    [anon_sym_SEMI] = ACTIONS(10911),
    [anon_sym_STAR_STAR] = ACTIONS(10913),
    [anon_sym_AMP] = ACTIONS(10913),
    [anon_sym_EQ] = ACTIONS(10913),
    [anon_sym_LT] = ACTIONS(10913),
    [anon_sym_end] = ACTIONS(10911),
    [anon_sym_if] = ACTIONS(10911),
    [anon_sym_unless] = ACTIONS(10911),
    [anon_sym_while] = ACTIONS(10911),
    [anon_sym_until] = ACTIONS(10911),
    [anon_sym_rescue] = ACTIONS(10911),
    [anon_sym_do] = ACTIONS(10911),
    [anon_sym_when] = ACTIONS(10911),
    [anon_sym_elsif] = ACTIONS(10911),
    [anon_sym_else] = ACTIONS(10911),
    [anon_sym_then] = ACTIONS(10911),
    [anon_sym_ensure] = ACTIONS(10911),
    [anon_sym_EQ_GT] = ACTIONS(10911),
    [anon_sym_AMP_DOT] = ACTIONS(10911),
    [anon_sym_PLUS_EQ] = ACTIONS(10911),
    [anon_sym_DASH_EQ] = ACTIONS(10911),
    [anon_sym_STAR_EQ] = ACTIONS(10911),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10911),
    [anon_sym_SLASH_EQ] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10911),
    [anon_sym_PIPE_EQ] = ACTIONS(10911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10911),
    [anon_sym_AMP_EQ] = ACTIONS(10911),
    [anon_sym_PERCENT_EQ] = ACTIONS(10911),
    [anon_sym_GT_GT_EQ] = ACTIONS(10911),
    [anon_sym_LT_LT_EQ] = ACTIONS(10911),
    [anon_sym_CARET_EQ] = ACTIONS(10911),
    [anon_sym_QMARK] = ACTIONS(10911),
    [anon_sym_DOT_DOT] = ACTIONS(10913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10911),
    [anon_sym_and] = ACTIONS(10911),
    [anon_sym_or] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE] = ACTIONS(10913),
    [anon_sym_AMP_AMP] = ACTIONS(10913),
    [anon_sym_LT_LT] = ACTIONS(10913),
    [anon_sym_GT_GT] = ACTIONS(10913),
    [anon_sym_EQ_EQ] = ACTIONS(10913),
    [anon_sym_BANG_EQ] = ACTIONS(10911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10911),
    [anon_sym_LT_EQ_GT] = ACTIONS(10911),
    [anon_sym_EQ_TILDE] = ACTIONS(10911),
    [anon_sym_BANG_TILDE] = ACTIONS(10911),
    [anon_sym_LT_EQ] = ACTIONS(10913),
    [anon_sym_GT] = ACTIONS(10913),
    [anon_sym_GT_EQ] = ACTIONS(10911),
    [anon_sym_CARET] = ACTIONS(10913),
    [anon_sym_PLUS] = ACTIONS(10913),
    [anon_sym_SLASH] = ACTIONS(10913),
    [anon_sym_PERCENT] = ACTIONS(10913),
    [sym_comment] = ACTIONS(87),
  },
  [9353] = {
    [anon_sym_end] = ACTIONS(13625),
    [sym_comment] = ACTIONS(87),
  },
  [9354] = {
    [sym_elsif] = STATE(10836),
    [sym_else] = STATE(10836),
    [sym__if_tail] = STATE(10836),
    [anon_sym_end] = ACTIONS(13625),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [9355] = {
    [sym__line_break] = ACTIONS(11082),
    [sym__heredoc_body_start] = ACTIONS(11082),
    [sym__element_reference_left_bracket] = ACTIONS(11082),
    [sym__infix_scope_colons] = ACTIONS(11082),
    [sym__binary_minus] = ACTIONS(11082),
    [sym__binary_star] = ACTIONS(11082),
    [ts_builtin_sym_end] = ACTIONS(11082),
    [anon_sym___END__] = ACTIONS(11082),
    [anon_sym_LBRACE] = ACTIONS(11082),
    [anon_sym_RBRACE] = ACTIONS(11082),
    [anon_sym_RPAREN] = ACTIONS(11082),
    [anon_sym_DOT] = ACTIONS(11084),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_PIPE] = ACTIONS(11084),
    [anon_sym_SEMI] = ACTIONS(11082),
    [anon_sym_STAR_STAR] = ACTIONS(11084),
    [anon_sym_AMP] = ACTIONS(11084),
    [anon_sym_EQ] = ACTIONS(11084),
    [anon_sym_LT] = ACTIONS(11084),
    [anon_sym_end] = ACTIONS(11082),
    [anon_sym_if] = ACTIONS(11082),
    [anon_sym_unless] = ACTIONS(11082),
    [anon_sym_while] = ACTIONS(11082),
    [anon_sym_until] = ACTIONS(11082),
    [anon_sym_rescue] = ACTIONS(11082),
    [anon_sym_do] = ACTIONS(11082),
    [anon_sym_when] = ACTIONS(11082),
    [anon_sym_elsif] = ACTIONS(11082),
    [anon_sym_else] = ACTIONS(11082),
    [anon_sym_then] = ACTIONS(11082),
    [anon_sym_ensure] = ACTIONS(11082),
    [anon_sym_EQ_GT] = ACTIONS(11082),
    [anon_sym_AMP_DOT] = ACTIONS(11082),
    [anon_sym_PLUS_EQ] = ACTIONS(11082),
    [anon_sym_DASH_EQ] = ACTIONS(11082),
    [anon_sym_STAR_EQ] = ACTIONS(11082),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11082),
    [anon_sym_SLASH_EQ] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11082),
    [anon_sym_PIPE_EQ] = ACTIONS(11082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11082),
    [anon_sym_AMP_EQ] = ACTIONS(11082),
    [anon_sym_PERCENT_EQ] = ACTIONS(11082),
    [anon_sym_GT_GT_EQ] = ACTIONS(11082),
    [anon_sym_LT_LT_EQ] = ACTIONS(11082),
    [anon_sym_CARET_EQ] = ACTIONS(11082),
    [anon_sym_QMARK] = ACTIONS(11082),
    [anon_sym_DOT_DOT] = ACTIONS(11084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11082),
    [anon_sym_and] = ACTIONS(11082),
    [anon_sym_or] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE] = ACTIONS(11084),
    [anon_sym_AMP_AMP] = ACTIONS(11084),
    [anon_sym_LT_LT] = ACTIONS(11084),
    [anon_sym_GT_GT] = ACTIONS(11084),
    [anon_sym_EQ_EQ] = ACTIONS(11084),
    [anon_sym_BANG_EQ] = ACTIONS(11082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11082),
    [anon_sym_LT_EQ_GT] = ACTIONS(11082),
    [anon_sym_EQ_TILDE] = ACTIONS(11082),
    [anon_sym_BANG_TILDE] = ACTIONS(11082),
    [anon_sym_LT_EQ] = ACTIONS(11084),
    [anon_sym_GT] = ACTIONS(11084),
    [anon_sym_GT_EQ] = ACTIONS(11082),
    [anon_sym_CARET] = ACTIONS(11084),
    [anon_sym_PLUS] = ACTIONS(11084),
    [anon_sym_SLASH] = ACTIONS(11084),
    [anon_sym_PERCENT] = ACTIONS(11084),
    [sym_comment] = ACTIONS(87),
  },
  [9356] = {
    [anon_sym_end] = ACTIONS(13627),
    [sym_comment] = ACTIONS(87),
  },
  [9357] = {
    [sym__line_break] = ACTIONS(11177),
    [sym__heredoc_body_start] = ACTIONS(11177),
    [sym__element_reference_left_bracket] = ACTIONS(11177),
    [sym__infix_scope_colons] = ACTIONS(11177),
    [sym__binary_minus] = ACTIONS(11177),
    [sym__binary_star] = ACTIONS(11177),
    [ts_builtin_sym_end] = ACTIONS(11177),
    [anon_sym___END__] = ACTIONS(11177),
    [anon_sym_LBRACE] = ACTIONS(11177),
    [anon_sym_RBRACE] = ACTIONS(11177),
    [anon_sym_RPAREN] = ACTIONS(11177),
    [anon_sym_DOT] = ACTIONS(11179),
    [anon_sym_COMMA] = ACTIONS(11177),
    [anon_sym_PIPE] = ACTIONS(11179),
    [anon_sym_SEMI] = ACTIONS(11177),
    [anon_sym_STAR_STAR] = ACTIONS(11179),
    [anon_sym_AMP] = ACTIONS(11179),
    [anon_sym_EQ] = ACTIONS(11179),
    [anon_sym_LT] = ACTIONS(11179),
    [anon_sym_end] = ACTIONS(11177),
    [anon_sym_if] = ACTIONS(11177),
    [anon_sym_unless] = ACTIONS(11177),
    [anon_sym_while] = ACTIONS(11177),
    [anon_sym_until] = ACTIONS(11177),
    [anon_sym_rescue] = ACTIONS(11177),
    [anon_sym_do] = ACTIONS(11177),
    [anon_sym_when] = ACTIONS(11177),
    [anon_sym_elsif] = ACTIONS(11177),
    [anon_sym_else] = ACTIONS(11177),
    [anon_sym_then] = ACTIONS(11177),
    [anon_sym_ensure] = ACTIONS(11177),
    [anon_sym_EQ_GT] = ACTIONS(11177),
    [anon_sym_AMP_DOT] = ACTIONS(11177),
    [anon_sym_PLUS_EQ] = ACTIONS(11177),
    [anon_sym_DASH_EQ] = ACTIONS(11177),
    [anon_sym_STAR_EQ] = ACTIONS(11177),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11177),
    [anon_sym_SLASH_EQ] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11177),
    [anon_sym_PIPE_EQ] = ACTIONS(11177),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11177),
    [anon_sym_AMP_EQ] = ACTIONS(11177),
    [anon_sym_PERCENT_EQ] = ACTIONS(11177),
    [anon_sym_GT_GT_EQ] = ACTIONS(11177),
    [anon_sym_LT_LT_EQ] = ACTIONS(11177),
    [anon_sym_CARET_EQ] = ACTIONS(11177),
    [anon_sym_QMARK] = ACTIONS(11177),
    [anon_sym_DOT_DOT] = ACTIONS(11179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11177),
    [anon_sym_and] = ACTIONS(11177),
    [anon_sym_or] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE] = ACTIONS(11179),
    [anon_sym_AMP_AMP] = ACTIONS(11179),
    [anon_sym_LT_LT] = ACTIONS(11179),
    [anon_sym_GT_GT] = ACTIONS(11179),
    [anon_sym_EQ_EQ] = ACTIONS(11179),
    [anon_sym_BANG_EQ] = ACTIONS(11177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11177),
    [anon_sym_LT_EQ_GT] = ACTIONS(11177),
    [anon_sym_EQ_TILDE] = ACTIONS(11177),
    [anon_sym_BANG_TILDE] = ACTIONS(11177),
    [anon_sym_LT_EQ] = ACTIONS(11179),
    [anon_sym_GT] = ACTIONS(11179),
    [anon_sym_GT_EQ] = ACTIONS(11177),
    [anon_sym_CARET] = ACTIONS(11179),
    [anon_sym_PLUS] = ACTIONS(11179),
    [anon_sym_SLASH] = ACTIONS(11179),
    [anon_sym_PERCENT] = ACTIONS(11179),
    [sym_comment] = ACTIONS(87),
  },
  [9358] = {
    [sym__line_break] = ACTIONS(11186),
    [sym__heredoc_body_start] = ACTIONS(11186),
    [sym__element_reference_left_bracket] = ACTIONS(11186),
    [sym__infix_scope_colons] = ACTIONS(11186),
    [sym__binary_minus] = ACTIONS(11186),
    [sym__binary_star] = ACTIONS(11186),
    [ts_builtin_sym_end] = ACTIONS(11186),
    [anon_sym___END__] = ACTIONS(11186),
    [anon_sym_LBRACE] = ACTIONS(11186),
    [anon_sym_RBRACE] = ACTIONS(11186),
    [anon_sym_RPAREN] = ACTIONS(11186),
    [anon_sym_DOT] = ACTIONS(11188),
    [anon_sym_COMMA] = ACTIONS(11186),
    [anon_sym_PIPE] = ACTIONS(11188),
    [anon_sym_SEMI] = ACTIONS(11186),
    [anon_sym_STAR_STAR] = ACTIONS(11188),
    [anon_sym_AMP] = ACTIONS(11188),
    [anon_sym_EQ] = ACTIONS(11188),
    [anon_sym_LT] = ACTIONS(11188),
    [anon_sym_end] = ACTIONS(11186),
    [anon_sym_if] = ACTIONS(11186),
    [anon_sym_unless] = ACTIONS(11186),
    [anon_sym_while] = ACTIONS(11186),
    [anon_sym_until] = ACTIONS(11186),
    [anon_sym_rescue] = ACTIONS(11186),
    [anon_sym_do] = ACTIONS(11186),
    [anon_sym_when] = ACTIONS(11186),
    [anon_sym_elsif] = ACTIONS(11186),
    [anon_sym_else] = ACTIONS(11186),
    [anon_sym_then] = ACTIONS(11186),
    [anon_sym_ensure] = ACTIONS(11186),
    [anon_sym_EQ_GT] = ACTIONS(11186),
    [anon_sym_AMP_DOT] = ACTIONS(11186),
    [anon_sym_PLUS_EQ] = ACTIONS(11186),
    [anon_sym_DASH_EQ] = ACTIONS(11186),
    [anon_sym_STAR_EQ] = ACTIONS(11186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11186),
    [anon_sym_SLASH_EQ] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11186),
    [anon_sym_PIPE_EQ] = ACTIONS(11186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11186),
    [anon_sym_AMP_EQ] = ACTIONS(11186),
    [anon_sym_PERCENT_EQ] = ACTIONS(11186),
    [anon_sym_GT_GT_EQ] = ACTIONS(11186),
    [anon_sym_LT_LT_EQ] = ACTIONS(11186),
    [anon_sym_CARET_EQ] = ACTIONS(11186),
    [anon_sym_QMARK] = ACTIONS(11186),
    [anon_sym_DOT_DOT] = ACTIONS(11188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11186),
    [anon_sym_and] = ACTIONS(11186),
    [anon_sym_or] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11188),
    [anon_sym_AMP_AMP] = ACTIONS(11188),
    [anon_sym_LT_LT] = ACTIONS(11188),
    [anon_sym_GT_GT] = ACTIONS(11188),
    [anon_sym_EQ_EQ] = ACTIONS(11188),
    [anon_sym_BANG_EQ] = ACTIONS(11186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11186),
    [anon_sym_LT_EQ_GT] = ACTIONS(11186),
    [anon_sym_EQ_TILDE] = ACTIONS(11186),
    [anon_sym_BANG_TILDE] = ACTIONS(11186),
    [anon_sym_LT_EQ] = ACTIONS(11188),
    [anon_sym_GT] = ACTIONS(11188),
    [anon_sym_GT_EQ] = ACTIONS(11186),
    [anon_sym_CARET] = ACTIONS(11188),
    [anon_sym_PLUS] = ACTIONS(11188),
    [anon_sym_SLASH] = ACTIONS(11188),
    [anon_sym_PERCENT] = ACTIONS(11188),
    [sym_comment] = ACTIONS(87),
  },
  [9359] = {
    [sym__line_break] = ACTIONS(11233),
    [sym__heredoc_body_start] = ACTIONS(11233),
    [sym__element_reference_left_bracket] = ACTIONS(11233),
    [sym__infix_scope_colons] = ACTIONS(11233),
    [sym__binary_minus] = ACTIONS(11233),
    [sym__binary_star] = ACTIONS(11233),
    [ts_builtin_sym_end] = ACTIONS(11233),
    [anon_sym___END__] = ACTIONS(11233),
    [anon_sym_LBRACE] = ACTIONS(11233),
    [anon_sym_RBRACE] = ACTIONS(11233),
    [anon_sym_RPAREN] = ACTIONS(11233),
    [anon_sym_DOT] = ACTIONS(11235),
    [anon_sym_COMMA] = ACTIONS(11233),
    [anon_sym_PIPE] = ACTIONS(11235),
    [anon_sym_SEMI] = ACTIONS(11233),
    [anon_sym_STAR_STAR] = ACTIONS(11235),
    [anon_sym_AMP] = ACTIONS(11235),
    [anon_sym_EQ] = ACTIONS(11235),
    [anon_sym_LT] = ACTIONS(11235),
    [anon_sym_end] = ACTIONS(11233),
    [anon_sym_if] = ACTIONS(11233),
    [anon_sym_unless] = ACTIONS(11233),
    [anon_sym_while] = ACTIONS(11233),
    [anon_sym_until] = ACTIONS(11233),
    [anon_sym_rescue] = ACTIONS(11233),
    [anon_sym_do] = ACTIONS(11233),
    [anon_sym_when] = ACTIONS(11233),
    [anon_sym_elsif] = ACTIONS(11233),
    [anon_sym_else] = ACTIONS(11233),
    [anon_sym_then] = ACTIONS(11233),
    [anon_sym_ensure] = ACTIONS(11233),
    [anon_sym_EQ_GT] = ACTIONS(11233),
    [anon_sym_AMP_DOT] = ACTIONS(11233),
    [anon_sym_PLUS_EQ] = ACTIONS(11233),
    [anon_sym_DASH_EQ] = ACTIONS(11233),
    [anon_sym_STAR_EQ] = ACTIONS(11233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11233),
    [anon_sym_SLASH_EQ] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11233),
    [anon_sym_PIPE_EQ] = ACTIONS(11233),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11233),
    [anon_sym_AMP_EQ] = ACTIONS(11233),
    [anon_sym_PERCENT_EQ] = ACTIONS(11233),
    [anon_sym_GT_GT_EQ] = ACTIONS(11233),
    [anon_sym_LT_LT_EQ] = ACTIONS(11233),
    [anon_sym_CARET_EQ] = ACTIONS(11233),
    [anon_sym_QMARK] = ACTIONS(11233),
    [anon_sym_DOT_DOT] = ACTIONS(11235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11233),
    [anon_sym_and] = ACTIONS(11233),
    [anon_sym_or] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE] = ACTIONS(11235),
    [anon_sym_AMP_AMP] = ACTIONS(11235),
    [anon_sym_LT_LT] = ACTIONS(11235),
    [anon_sym_GT_GT] = ACTIONS(11235),
    [anon_sym_EQ_EQ] = ACTIONS(11235),
    [anon_sym_BANG_EQ] = ACTIONS(11233),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11233),
    [anon_sym_LT_EQ_GT] = ACTIONS(11233),
    [anon_sym_EQ_TILDE] = ACTIONS(11233),
    [anon_sym_BANG_TILDE] = ACTIONS(11233),
    [anon_sym_LT_EQ] = ACTIONS(11235),
    [anon_sym_GT] = ACTIONS(11235),
    [anon_sym_GT_EQ] = ACTIONS(11233),
    [anon_sym_CARET] = ACTIONS(11235),
    [anon_sym_PLUS] = ACTIONS(11235),
    [anon_sym_SLASH] = ACTIONS(11235),
    [anon_sym_PERCENT] = ACTIONS(11235),
    [sym_comment] = ACTIONS(87),
  },
  [9360] = {
    [anon_sym_end] = ACTIONS(13629),
    [sym_comment] = ACTIONS(87),
  },
  [9361] = {
    [sym__line_break] = ACTIONS(13557),
    [sym__heredoc_body_start] = ACTIONS(13557),
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [sym__binary_minus] = ACTIONS(13557),
    [sym__binary_star] = ACTIONS(13557),
    [ts_builtin_sym_end] = ACTIONS(13557),
    [anon_sym___END__] = ACTIONS(13557),
    [anon_sym_LBRACE] = ACTIONS(13557),
    [anon_sym_RBRACE] = ACTIONS(13557),
    [anon_sym_RPAREN] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13559),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_PIPE] = ACTIONS(13559),
    [anon_sym_SEMI] = ACTIONS(13557),
    [anon_sym_STAR_STAR] = ACTIONS(13559),
    [anon_sym_AMP] = ACTIONS(13559),
    [anon_sym_EQ] = ACTIONS(13559),
    [anon_sym_LT] = ACTIONS(13559),
    [anon_sym_end] = ACTIONS(13557),
    [anon_sym_if] = ACTIONS(13557),
    [anon_sym_unless] = ACTIONS(13557),
    [anon_sym_while] = ACTIONS(13557),
    [anon_sym_until] = ACTIONS(13557),
    [anon_sym_rescue] = ACTIONS(13557),
    [anon_sym_do] = ACTIONS(13557),
    [anon_sym_when] = ACTIONS(13557),
    [anon_sym_elsif] = ACTIONS(13557),
    [anon_sym_else] = ACTIONS(13557),
    [anon_sym_then] = ACTIONS(13557),
    [anon_sym_ensure] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [anon_sym_PLUS_EQ] = ACTIONS(13557),
    [anon_sym_DASH_EQ] = ACTIONS(13557),
    [anon_sym_STAR_EQ] = ACTIONS(13557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13557),
    [anon_sym_SLASH_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13557),
    [anon_sym_AMP_EQ] = ACTIONS(13557),
    [anon_sym_PERCENT_EQ] = ACTIONS(13557),
    [anon_sym_GT_GT_EQ] = ACTIONS(13557),
    [anon_sym_LT_LT_EQ] = ACTIONS(13557),
    [anon_sym_CARET_EQ] = ACTIONS(13557),
    [anon_sym_QMARK] = ACTIONS(13557),
    [anon_sym_DOT_DOT] = ACTIONS(13559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13557),
    [anon_sym_and] = ACTIONS(13557),
    [anon_sym_or] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE] = ACTIONS(13559),
    [anon_sym_AMP_AMP] = ACTIONS(13559),
    [anon_sym_LT_LT] = ACTIONS(13559),
    [anon_sym_GT_GT] = ACTIONS(13559),
    [anon_sym_EQ_EQ] = ACTIONS(13559),
    [anon_sym_BANG_EQ] = ACTIONS(13557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13557),
    [anon_sym_LT_EQ_GT] = ACTIONS(13557),
    [anon_sym_EQ_TILDE] = ACTIONS(13557),
    [anon_sym_BANG_TILDE] = ACTIONS(13557),
    [anon_sym_LT_EQ] = ACTIONS(13559),
    [anon_sym_GT] = ACTIONS(13559),
    [anon_sym_GT_EQ] = ACTIONS(13557),
    [anon_sym_CARET] = ACTIONS(13559),
    [anon_sym_PLUS] = ACTIONS(13559),
    [anon_sym_SLASH] = ACTIONS(13559),
    [anon_sym_PERCENT] = ACTIONS(13559),
    [sym_comment] = ACTIONS(87),
  },
  [9362] = {
    [anon_sym_end] = ACTIONS(13631),
    [sym_comment] = ACTIONS(87),
  },
  [9363] = {
    [sym__line_break] = ACTIONS(11246),
    [sym__heredoc_body_start] = ACTIONS(11246),
    [sym__element_reference_left_bracket] = ACTIONS(11246),
    [sym__infix_scope_colons] = ACTIONS(11246),
    [sym__binary_minus] = ACTIONS(11246),
    [sym__binary_star] = ACTIONS(11246),
    [ts_builtin_sym_end] = ACTIONS(11246),
    [anon_sym___END__] = ACTIONS(11246),
    [anon_sym_LBRACE] = ACTIONS(11246),
    [anon_sym_RBRACE] = ACTIONS(11246),
    [anon_sym_RPAREN] = ACTIONS(11246),
    [anon_sym_DOT] = ACTIONS(11248),
    [anon_sym_COMMA] = ACTIONS(11246),
    [anon_sym_PIPE] = ACTIONS(11248),
    [anon_sym_SEMI] = ACTIONS(11246),
    [anon_sym_STAR_STAR] = ACTIONS(11248),
    [anon_sym_AMP] = ACTIONS(11248),
    [anon_sym_EQ] = ACTIONS(11248),
    [anon_sym_LT] = ACTIONS(11248),
    [anon_sym_end] = ACTIONS(11246),
    [anon_sym_if] = ACTIONS(11246),
    [anon_sym_unless] = ACTIONS(11246),
    [anon_sym_while] = ACTIONS(11246),
    [anon_sym_until] = ACTIONS(11246),
    [anon_sym_rescue] = ACTIONS(11246),
    [anon_sym_do] = ACTIONS(11246),
    [anon_sym_when] = ACTIONS(11246),
    [anon_sym_elsif] = ACTIONS(11246),
    [anon_sym_else] = ACTIONS(11246),
    [anon_sym_then] = ACTIONS(11246),
    [anon_sym_ensure] = ACTIONS(11246),
    [anon_sym_EQ_GT] = ACTIONS(11246),
    [anon_sym_AMP_DOT] = ACTIONS(11246),
    [anon_sym_PLUS_EQ] = ACTIONS(11246),
    [anon_sym_DASH_EQ] = ACTIONS(11246),
    [anon_sym_STAR_EQ] = ACTIONS(11246),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11246),
    [anon_sym_SLASH_EQ] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11246),
    [anon_sym_PIPE_EQ] = ACTIONS(11246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11246),
    [anon_sym_AMP_EQ] = ACTIONS(11246),
    [anon_sym_PERCENT_EQ] = ACTIONS(11246),
    [anon_sym_GT_GT_EQ] = ACTIONS(11246),
    [anon_sym_LT_LT_EQ] = ACTIONS(11246),
    [anon_sym_CARET_EQ] = ACTIONS(11246),
    [anon_sym_QMARK] = ACTIONS(11246),
    [anon_sym_DOT_DOT] = ACTIONS(11248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11246),
    [anon_sym_and] = ACTIONS(11246),
    [anon_sym_or] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE] = ACTIONS(11248),
    [anon_sym_AMP_AMP] = ACTIONS(11248),
    [anon_sym_LT_LT] = ACTIONS(11248),
    [anon_sym_GT_GT] = ACTIONS(11248),
    [anon_sym_EQ_EQ] = ACTIONS(11248),
    [anon_sym_BANG_EQ] = ACTIONS(11246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11246),
    [anon_sym_LT_EQ_GT] = ACTIONS(11246),
    [anon_sym_EQ_TILDE] = ACTIONS(11246),
    [anon_sym_BANG_TILDE] = ACTIONS(11246),
    [anon_sym_LT_EQ] = ACTIONS(11248),
    [anon_sym_GT] = ACTIONS(11248),
    [anon_sym_GT_EQ] = ACTIONS(11246),
    [anon_sym_CARET] = ACTIONS(11248),
    [anon_sym_PLUS] = ACTIONS(11248),
    [anon_sym_SLASH] = ACTIONS(11248),
    [anon_sym_PERCENT] = ACTIONS(11248),
    [sym_comment] = ACTIONS(87),
  },
  [9364] = {
    [anon_sym_end] = ACTIONS(13633),
    [sym_comment] = ACTIONS(87),
  },
  [9365] = {
    [sym__line_break] = ACTIONS(11712),
    [sym__heredoc_body_start] = ACTIONS(11712),
    [sym__element_reference_left_bracket] = ACTIONS(11712),
    [sym__infix_scope_colons] = ACTIONS(11712),
    [sym__binary_minus] = ACTIONS(11712),
    [sym__binary_star] = ACTIONS(11712),
    [ts_builtin_sym_end] = ACTIONS(11712),
    [anon_sym___END__] = ACTIONS(11712),
    [anon_sym_LBRACE] = ACTIONS(11712),
    [anon_sym_RBRACE] = ACTIONS(11712),
    [anon_sym_RPAREN] = ACTIONS(11712),
    [anon_sym_DOT] = ACTIONS(11714),
    [anon_sym_COMMA] = ACTIONS(11712),
    [anon_sym_PIPE] = ACTIONS(11714),
    [anon_sym_SEMI] = ACTIONS(11712),
    [anon_sym_STAR_STAR] = ACTIONS(11714),
    [anon_sym_AMP] = ACTIONS(11714),
    [anon_sym_EQ] = ACTIONS(11714),
    [anon_sym_LT] = ACTIONS(11714),
    [anon_sym_end] = ACTIONS(11712),
    [anon_sym_if] = ACTIONS(11712),
    [anon_sym_unless] = ACTIONS(11712),
    [anon_sym_while] = ACTIONS(11712),
    [anon_sym_until] = ACTIONS(11712),
    [anon_sym_rescue] = ACTIONS(11712),
    [anon_sym_do] = ACTIONS(11712),
    [anon_sym_when] = ACTIONS(11712),
    [anon_sym_elsif] = ACTIONS(11712),
    [anon_sym_else] = ACTIONS(11712),
    [anon_sym_then] = ACTIONS(11712),
    [anon_sym_ensure] = ACTIONS(11712),
    [anon_sym_EQ_GT] = ACTIONS(11712),
    [anon_sym_AMP_DOT] = ACTIONS(11712),
    [anon_sym_PLUS_EQ] = ACTIONS(11712),
    [anon_sym_DASH_EQ] = ACTIONS(11712),
    [anon_sym_STAR_EQ] = ACTIONS(11712),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11712),
    [anon_sym_SLASH_EQ] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11712),
    [anon_sym_PIPE_EQ] = ACTIONS(11712),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11712),
    [anon_sym_AMP_EQ] = ACTIONS(11712),
    [anon_sym_PERCENT_EQ] = ACTIONS(11712),
    [anon_sym_GT_GT_EQ] = ACTIONS(11712),
    [anon_sym_LT_LT_EQ] = ACTIONS(11712),
    [anon_sym_CARET_EQ] = ACTIONS(11712),
    [anon_sym_QMARK] = ACTIONS(11712),
    [anon_sym_DOT_DOT] = ACTIONS(11714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11712),
    [anon_sym_and] = ACTIONS(11712),
    [anon_sym_or] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE] = ACTIONS(11714),
    [anon_sym_AMP_AMP] = ACTIONS(11714),
    [anon_sym_LT_LT] = ACTIONS(11714),
    [anon_sym_GT_GT] = ACTIONS(11714),
    [anon_sym_EQ_EQ] = ACTIONS(11714),
    [anon_sym_BANG_EQ] = ACTIONS(11712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11712),
    [anon_sym_LT_EQ_GT] = ACTIONS(11712),
    [anon_sym_EQ_TILDE] = ACTIONS(11712),
    [anon_sym_BANG_TILDE] = ACTIONS(11712),
    [anon_sym_LT_EQ] = ACTIONS(11714),
    [anon_sym_GT] = ACTIONS(11714),
    [anon_sym_GT_EQ] = ACTIONS(11712),
    [anon_sym_CARET] = ACTIONS(11714),
    [anon_sym_PLUS] = ACTIONS(11714),
    [anon_sym_SLASH] = ACTIONS(11714),
    [anon_sym_PERCENT] = ACTIONS(11714),
    [sym_comment] = ACTIONS(87),
  },
  [9366] = {
    [anon_sym_end] = ACTIONS(13635),
    [sym_comment] = ACTIONS(87),
  },
  [9367] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(2719),
    [sym__binary_star] = ACTIONS(2721),
    [ts_builtin_sym_end] = ACTIONS(12002),
    [anon_sym___END__] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2741),
    [anon_sym_GT_GT] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ_GT] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2743),
    [anon_sym_BANG_TILDE] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(87),
  },
  [9368] = {
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [ts_builtin_sym_end] = ACTIONS(11449),
    [anon_sym___END__] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(11449),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_when] = ACTIONS(11449),
    [anon_sym_elsif] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [9369] = {
    [aux_sym_exceptions_repeat1] = STATE(9369),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [ts_builtin_sym_end] = ACTIONS(11449),
    [anon_sym___END__] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13637),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [9370] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10842),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1683),
    [sym_scope_resolution] = STATE(51),
    [sym_call] = STATE(51),
    [sym_method_call] = STATE(1683),
    [sym_assignment] = STATE(10842),
    [sym_operator_assignment] = STATE(10842),
    [sym_conditional] = STATE(10842),
    [sym_range] = STATE(10842),
    [sym_binary] = STATE(10842),
    [sym_unary] = STATE(10842),
    [sym_left_assignment_list] = STATE(1682),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1683),
    [sym__variable] = STATE(51),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1683),
    [sym_false] = STATE(1683),
    [sym_nil] = STATE(1683),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(917),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1571),
    [anon_sym_next] = ACTIONS(1573),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_defined_QMARK] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [sym_constant] = ACTIONS(79),
    [sym_identifier] = ACTIONS(79),
    [sym_instance_variable] = ACTIONS(81),
    [sym_class_variable] = ACTIONS(81),
    [sym_global_variable] = ACTIONS(81),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(79),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9371] = {
    [sym_heredoc_body] = STATE(10843),
    [aux_sym_call_repeat1] = STATE(10843),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [9372] = {
    [sym_heredoc_body] = STATE(10844),
    [aux_sym_call_repeat1] = STATE(10844),
    [aux_sym_argument_list_repeat1] = STATE(6974),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(6273),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [9373] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [9374] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [9375] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [9376] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [9377] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [9378] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [9379] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13640),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9380] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [9381] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(9815),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [9382] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [9383] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [9384] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [9385] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(9815),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [9386] = {
    [aux_sym_exceptions_repeat1] = STATE(10847),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [9387] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(9815),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [9388] = {
    [sym_string] = STATE(9388),
    [aux_sym_chained_string_repeat1] = STATE(9388),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [9389] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [9390] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [9391] = {
    [sym_heredoc_body] = STATE(9391),
    [aux_sym_call_repeat1] = STATE(9391),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9392] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4044),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(4044),
    [sym_operator_assignment] = STATE(4044),
    [sym_conditional] = STATE(4044),
    [sym_range] = STATE(4044),
    [sym_binary] = STATE(4044),
    [sym_unary] = STATE(4044),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4047),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(6225),
    [sym__splat_star] = ACTIONS(6227),
    [sym__unary_minus] = ACTIONS(2797),
    [sym__identifier_hash_key] = ACTIONS(6229),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12234),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(6231),
    [sym_identifier] = ACTIONS(6231),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9393] = {
    [sym_heredoc_body] = STATE(9391),
    [aux_sym_call_repeat1] = STATE(9391),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9394] = {
    [aux_sym_argument_list_repeat1] = STATE(9394),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13642),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [9395] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [9396] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10848),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_assignment] = STATE(10848),
    [sym_operator_assignment] = STATE(10848),
    [sym_conditional] = STATE(10848),
    [sym_range] = STATE(10848),
    [sym_binary] = STATE(10848),
    [sym_unary] = STATE(10848),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9397] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [9398] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [9399] = {
    [sym_heredoc_body] = STATE(9399),
    [aux_sym_call_repeat1] = STATE(9399),
    [sym__heredoc_body_start] = ACTIONS(10362),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [9400] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4068),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym__argument] = STATE(7428),
    [sym_splat_argument] = STATE(7428),
    [sym_hash_splat_argument] = STATE(7428),
    [sym_block_argument] = STATE(7428),
    [sym_assignment] = STATE(4068),
    [sym_operator_assignment] = STATE(4068),
    [sym_conditional] = STATE(4068),
    [sym_range] = STATE(4068),
    [sym_binary] = STATE(4068),
    [sym_unary] = STATE(4068),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4071),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7428),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(6265),
    [sym__splat_star] = ACTIONS(6267),
    [sym__unary_minus] = ACTIONS(2893),
    [sym__identifier_hash_key] = ACTIONS(6269),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12238),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(6271),
    [sym_identifier] = ACTIONS(6271),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9401] = {
    [sym_heredoc_body] = STATE(9399),
    [aux_sym_call_repeat1] = STATE(9399),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [9402] = {
    [aux_sym_argument_list_repeat1] = STATE(9402),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13645),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [9403] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [9404] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6975),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1709),
    [sym_scope_resolution] = STATE(1705),
    [sym_call] = STATE(1705),
    [sym_method_call] = STATE(1709),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(6975),
    [sym_operator_assignment] = STATE(6975),
    [sym_conditional] = STATE(6975),
    [sym_range] = STATE(6975),
    [sym_binary] = STATE(6975),
    [sym_unary] = STATE(6975),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(1708),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1709),
    [sym__variable] = STATE(1705),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1709),
    [sym_false] = STATE(1709),
    [sym_nil] = STATE(1709),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4036),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(6227),
    [sym__unary_minus] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_next] = ACTIONS(2807),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_defined_QMARK] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [sym_constant] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2821),
    [sym_instance_variable] = ACTIONS(2819),
    [sym_class_variable] = ACTIONS(2819),
    [sym_global_variable] = ACTIONS(2819),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(2821),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9405] = {
    [aux_sym_exceptions_repeat1] = STATE(10849),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13648),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9406] = {
    [sym__binary_minus] = ACTIONS(2847),
    [sym__binary_star] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(2859),
    [anon_sym_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2869),
    [anon_sym_GT_GT] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2867),
    [anon_sym_LT_EQ_GT] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2867),
    [anon_sym_BANG_TILDE] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(87),
  },
  [9407] = {
    [sym__element_reference_left_bracket] = ACTIONS(12078),
    [sym__infix_scope_colons] = ACTIONS(12078),
    [sym__binary_minus] = ACTIONS(12078),
    [sym__binary_star] = ACTIONS(12078),
    [anon_sym_LBRACE] = ACTIONS(12078),
    [anon_sym_RBRACE] = ACTIONS(12078),
    [anon_sym_RPAREN] = ACTIONS(12078),
    [anon_sym_DOT] = ACTIONS(12080),
    [anon_sym_COMMA] = ACTIONS(12078),
    [anon_sym_PIPE] = ACTIONS(12080),
    [anon_sym_SEMI] = ACTIONS(12078),
    [anon_sym_STAR_STAR] = ACTIONS(12080),
    [anon_sym_AMP] = ACTIONS(12080),
    [anon_sym_EQ] = ACTIONS(12080),
    [anon_sym_LT] = ACTIONS(12080),
    [anon_sym_if] = ACTIONS(12078),
    [anon_sym_unless] = ACTIONS(12078),
    [anon_sym_while] = ACTIONS(12078),
    [anon_sym_until] = ACTIONS(12078),
    [anon_sym_rescue] = ACTIONS(12078),
    [anon_sym_do] = ACTIONS(12078),
    [anon_sym_AMP_DOT] = ACTIONS(12078),
    [anon_sym_PLUS_EQ] = ACTIONS(12078),
    [anon_sym_DASH_EQ] = ACTIONS(12078),
    [anon_sym_STAR_EQ] = ACTIONS(12078),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12078),
    [anon_sym_SLASH_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12078),
    [anon_sym_AMP_EQ] = ACTIONS(12078),
    [anon_sym_PERCENT_EQ] = ACTIONS(12078),
    [anon_sym_GT_GT_EQ] = ACTIONS(12078),
    [anon_sym_LT_LT_EQ] = ACTIONS(12078),
    [anon_sym_CARET_EQ] = ACTIONS(12078),
    [anon_sym_QMARK] = ACTIONS(12078),
    [anon_sym_COLON] = ACTIONS(12078),
    [anon_sym_DOT_DOT] = ACTIONS(12080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12078),
    [anon_sym_and] = ACTIONS(12078),
    [anon_sym_or] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE] = ACTIONS(12080),
    [anon_sym_AMP_AMP] = ACTIONS(12080),
    [anon_sym_LT_LT] = ACTIONS(12080),
    [anon_sym_GT_GT] = ACTIONS(12080),
    [anon_sym_EQ_EQ] = ACTIONS(12080),
    [anon_sym_BANG_EQ] = ACTIONS(12078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12078),
    [anon_sym_LT_EQ_GT] = ACTIONS(12078),
    [anon_sym_EQ_TILDE] = ACTIONS(12078),
    [anon_sym_BANG_TILDE] = ACTIONS(12078),
    [anon_sym_LT_EQ] = ACTIONS(12080),
    [anon_sym_GT] = ACTIONS(12080),
    [anon_sym_GT_EQ] = ACTIONS(12078),
    [anon_sym_CARET] = ACTIONS(12080),
    [anon_sym_PLUS] = ACTIONS(12080),
    [anon_sym_SLASH] = ACTIONS(12080),
    [anon_sym_PERCENT] = ACTIONS(12080),
    [sym_comment] = ACTIONS(87),
  },
  [9408] = {
    [sym__simple_symbol] = ACTIONS(7758),
    [sym__string_start] = ACTIONS(7758),
    [sym__symbol_start] = ACTIONS(7758),
    [sym__subshell_start] = ACTIONS(7758),
    [sym__regex_start] = ACTIONS(7758),
    [sym__string_array_start] = ACTIONS(7758),
    [sym__symbol_array_start] = ACTIONS(7758),
    [sym_heredoc_beginning] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__block_ampersand] = ACTIONS(7758),
    [sym__splat_star] = ACTIONS(7758),
    [sym__argument_list_left_paren] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__unary_minus] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [sym__identifier_hash_key] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RBRACE] = ACTIONS(7758),
    [anon_sym_def] = ACTIONS(7760),
    [anon_sym_LPAREN] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COLON_COLON] = ACTIONS(7758),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR] = ACTIONS(7760),
    [anon_sym_STAR_STAR] = ACTIONS(7760),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_class] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_module] = ACTIONS(7760),
    [anon_sym_return] = ACTIONS(7760),
    [anon_sym_yield] = ACTIONS(7760),
    [anon_sym_break] = ACTIONS(7760),
    [anon_sym_next] = ACTIONS(7760),
    [sym_redo] = ACTIONS(7760),
    [sym_retry] = ACTIONS(7760),
    [anon_sym_if] = ACTIONS(7760),
    [anon_sym_unless] = ACTIONS(7760),
    [anon_sym_while] = ACTIONS(7760),
    [anon_sym_until] = ACTIONS(7760),
    [anon_sym_rescue] = ACTIONS(7760),
    [anon_sym_for] = ACTIONS(7760),
    [anon_sym_do] = ACTIONS(7760),
    [anon_sym_case] = ACTIONS(7760),
    [anon_sym_begin] = ACTIONS(7760),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS_EQ] = ACTIONS(7758),
    [anon_sym_DASH_EQ] = ACTIONS(7758),
    [anon_sym_STAR_EQ] = ACTIONS(7758),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7758),
    [anon_sym_SLASH_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7758),
    [anon_sym_AMP_EQ] = ACTIONS(7758),
    [anon_sym_PERCENT_EQ] = ACTIONS(7758),
    [anon_sym_GT_GT_EQ] = ACTIONS(7758),
    [anon_sym_LT_LT_EQ] = ACTIONS(7758),
    [anon_sym_CARET_EQ] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7760),
    [anon_sym_COLON] = ACTIONS(7760),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7760),
    [anon_sym_or] = ACTIONS(7760),
    [anon_sym_PIPE_PIPE] = ACTIONS(7760),
    [anon_sym_AMP_AMP] = ACTIONS(7760),
    [anon_sym_LT_LT] = ACTIONS(7760),
    [anon_sym_GT_GT] = ACTIONS(7760),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7760),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_SLASH] = ACTIONS(7760),
    [anon_sym_PERCENT] = ACTIONS(7760),
    [anon_sym_defined_QMARK] = ACTIONS(7758),
    [anon_sym_not] = ACTIONS(7760),
    [anon_sym_BANG] = ACTIONS(7760),
    [anon_sym_TILDE] = ACTIONS(7758),
    [sym_constant] = ACTIONS(7760),
    [sym_identifier] = ACTIONS(7760),
    [sym_instance_variable] = ACTIONS(7758),
    [sym_class_variable] = ACTIONS(7758),
    [sym_global_variable] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(7760),
    [sym_float] = ACTIONS(7760),
    [sym_complex] = ACTIONS(7758),
    [sym_super] = ACTIONS(7760),
    [anon_sym_true] = ACTIONS(7760),
    [anon_sym_TRUE] = ACTIONS(7760),
    [anon_sym_false] = ACTIONS(7760),
    [anon_sym_FALSE] = ACTIONS(7760),
    [sym_self] = ACTIONS(7760),
    [anon_sym_nil] = ACTIONS(7760),
    [anon_sym_NIL] = ACTIONS(7760),
    [sym_character] = ACTIONS(7758),
    [anon_sym_LBRACK] = ACTIONS(7758),
    [anon_sym_DASH_GT] = ACTIONS(7758),
  },
  [9409] = {
    [anon_sym_RPAREN] = ACTIONS(13650),
    [sym_comment] = ACTIONS(87),
  },
  [9410] = {
    [sym__string_start] = ACTIONS(2929),
    [sym__heredoc_body_start] = ACTIONS(2929),
    [sym__element_reference_left_bracket] = ACTIONS(2929),
    [sym__infix_scope_colons] = ACTIONS(2929),
    [sym__binary_minus] = ACTIONS(2929),
    [sym__binary_star] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [anon_sym_rescue] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_RBRACK] = ACTIONS(2929),
    [anon_sym_AMP_DOT] = ACTIONS(2929),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2929),
    [anon_sym_AMP_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_GT_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_LT_EQ] = ACTIONS(2929),
    [anon_sym_CARET_EQ] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_COLON] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_LT_LT] = ACTIONS(2931),
    [anon_sym_GT_GT] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(87),
  },
  [9411] = {
    [sym__heredoc_body_start] = ACTIONS(2941),
    [sym__element_reference_left_bracket] = ACTIONS(2941),
    [sym__infix_scope_colons] = ACTIONS(2941),
    [sym__binary_minus] = ACTIONS(2941),
    [sym__binary_star] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_unless] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_until] = ACTIONS(2941),
    [anon_sym_rescue] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_RBRACK] = ACTIONS(2941),
    [anon_sym_AMP_DOT] = ACTIONS(2941),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2941),
    [anon_sym_AMP_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_GT_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_LT_EQ] = ACTIONS(2941),
    [anon_sym_CARET_EQ] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_COLON] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(2941),
    [anon_sym_or] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2943),
    [anon_sym_GT_GT] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(87),
  },
  [9412] = {
    [sym__heredoc_body_start] = ACTIONS(2945),
    [sym__element_reference_left_bracket] = ACTIONS(2945),
    [sym__infix_scope_colons] = ACTIONS(2945),
    [sym__binary_minus] = ACTIONS(2945),
    [sym__binary_star] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_unless] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_until] = ACTIONS(2945),
    [anon_sym_rescue] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_RBRACK] = ACTIONS(2945),
    [anon_sym_AMP_DOT] = ACTIONS(2945),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_GT_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_LT_EQ] = ACTIONS(2945),
    [anon_sym_CARET_EQ] = ACTIONS(2945),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_COLON] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2945),
    [anon_sym_or] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2947),
    [anon_sym_GT_GT] = ACTIONS(2947),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(87),
  },
  [9413] = {
    [sym__heredoc_body_start] = ACTIONS(2949),
    [sym__element_reference_left_bracket] = ACTIONS(2949),
    [sym__infix_scope_colons] = ACTIONS(2949),
    [sym__binary_minus] = ACTIONS(2949),
    [sym__binary_star] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_unless] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_until] = ACTIONS(2949),
    [anon_sym_rescue] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_RBRACK] = ACTIONS(2949),
    [anon_sym_AMP_DOT] = ACTIONS(2949),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2949),
    [anon_sym_AMP_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_GT_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_LT_EQ] = ACTIONS(2949),
    [anon_sym_CARET_EQ] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_and] = ACTIONS(2949),
    [anon_sym_or] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_GT_GT] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(87),
  },
  [9414] = {
    [sym__heredoc_body_start] = ACTIONS(2955),
    [sym__element_reference_left_bracket] = ACTIONS(2955),
    [sym__infix_scope_colons] = ACTIONS(2955),
    [sym__binary_minus] = ACTIONS(2955),
    [sym__binary_star] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_unless] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_until] = ACTIONS(2955),
    [anon_sym_rescue] = ACTIONS(2955),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_RBRACK] = ACTIONS(2955),
    [anon_sym_AMP_DOT] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2957),
    [anon_sym_GT_GT] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [sym_comment] = ACTIONS(87),
  },
  [9415] = {
    [sym__string_end] = ACTIONS(13652),
    [sym_comment] = ACTIONS(87),
  },
  [9416] = {
    [aux_sym_string_array_repeat1] = STATE(10854),
    [sym__string_end] = ACTIONS(13654),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(13656),
  },
  [9417] = {
    [sym__heredoc_body_start] = ACTIONS(2965),
    [sym__element_reference_left_bracket] = ACTIONS(2965),
    [sym__infix_scope_colons] = ACTIONS(2965),
    [sym__binary_minus] = ACTIONS(2965),
    [sym__binary_star] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_unless] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_until] = ACTIONS(2965),
    [anon_sym_rescue] = ACTIONS(2965),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_RBRACK] = ACTIONS(2965),
    [anon_sym_AMP_DOT] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_COLON] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_GT_GT] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [sym_comment] = ACTIONS(87),
  },
  [9418] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13658),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9419] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(13658),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(13660),
  },
  [9420] = {
    [sym__heredoc_body_start] = ACTIONS(2984),
    [sym__element_reference_left_bracket] = ACTIONS(2984),
    [sym__infix_scope_colons] = ACTIONS(2984),
    [sym__binary_minus] = ACTIONS(2984),
    [sym__binary_star] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2984),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_STAR_STAR] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(2986),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_unless] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_until] = ACTIONS(2984),
    [anon_sym_rescue] = ACTIONS(2984),
    [anon_sym_in] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_RBRACK] = ACTIONS(2984),
    [anon_sym_AMP_DOT] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(2984),
    [anon_sym_DASH_EQ] = ACTIONS(2984),
    [anon_sym_STAR_EQ] = ACTIONS(2984),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2984),
    [anon_sym_AMP_EQ] = ACTIONS(2984),
    [anon_sym_PERCENT_EQ] = ACTIONS(2984),
    [anon_sym_GT_GT_EQ] = ACTIONS(2984),
    [anon_sym_LT_LT_EQ] = ACTIONS(2984),
    [anon_sym_CARET_EQ] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_COLON] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_and] = ACTIONS(2984),
    [anon_sym_or] = ACTIONS(2984),
    [anon_sym_PIPE_PIPE] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_GT_GT] = ACTIONS(2986),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_CARET] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [sym_comment] = ACTIONS(87),
  },
  [9421] = {
    [sym__string_end] = ACTIONS(13662),
    [sym_comment] = ACTIONS(87),
  },
  [9422] = {
    [aux_sym_symbol_array_repeat1] = STATE(10860),
    [sym__string_end] = ACTIONS(13664),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(13666),
  },
  [9423] = {
    [sym__heredoc_body_start] = ACTIONS(2994),
    [sym__element_reference_left_bracket] = ACTIONS(2994),
    [sym__infix_scope_colons] = ACTIONS(2994),
    [sym__binary_minus] = ACTIONS(2994),
    [sym__binary_star] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_RPAREN] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_unless] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_until] = ACTIONS(2994),
    [anon_sym_rescue] = ACTIONS(2994),
    [anon_sym_in] = ACTIONS(2994),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_RBRACK] = ACTIONS(2994),
    [anon_sym_AMP_DOT] = ACTIONS(2994),
    [anon_sym_PLUS_EQ] = ACTIONS(2994),
    [anon_sym_DASH_EQ] = ACTIONS(2994),
    [anon_sym_STAR_EQ] = ACTIONS(2994),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2994),
    [anon_sym_SLASH_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_EQ] = ACTIONS(2994),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2994),
    [anon_sym_AMP_EQ] = ACTIONS(2994),
    [anon_sym_PERCENT_EQ] = ACTIONS(2994),
    [anon_sym_GT_GT_EQ] = ACTIONS(2994),
    [anon_sym_LT_LT_EQ] = ACTIONS(2994),
    [anon_sym_CARET_EQ] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2994),
    [anon_sym_COLON] = ACTIONS(2994),
    [anon_sym_DOT_DOT] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2994),
    [anon_sym_and] = ACTIONS(2994),
    [anon_sym_or] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2996),
    [anon_sym_LT_LT] = ACTIONS(2996),
    [anon_sym_GT_GT] = ACTIONS(2996),
    [anon_sym_EQ_EQ] = ACTIONS(2996),
    [anon_sym_BANG_EQ] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2994),
    [anon_sym_LT_EQ_GT] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2994),
    [anon_sym_BANG_TILDE] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT] = ACTIONS(2996),
    [anon_sym_GT_EQ] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_SLASH] = ACTIONS(2996),
    [anon_sym_PERCENT] = ACTIONS(2996),
    [sym_comment] = ACTIONS(87),
  },
  [9424] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13668),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9425] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(13668),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(13670),
  },
  [9426] = {
    [sym__heredoc_body_start] = ACTIONS(3480),
    [sym__element_reference_left_bracket] = ACTIONS(3480),
    [sym__infix_scope_colons] = ACTIONS(3480),
    [sym__binary_minus] = ACTIONS(3480),
    [sym__binary_star] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_DOT] = ACTIONS(3482),
    [anon_sym_COMMA] = ACTIONS(3480),
    [anon_sym_PIPE] = ACTIONS(3482),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_STAR_STAR] = ACTIONS(3482),
    [anon_sym_AMP] = ACTIONS(3482),
    [anon_sym_EQ] = ACTIONS(3482),
    [anon_sym_LT] = ACTIONS(3482),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_unless] = ACTIONS(3480),
    [anon_sym_while] = ACTIONS(3480),
    [anon_sym_until] = ACTIONS(3480),
    [anon_sym_rescue] = ACTIONS(3480),
    [anon_sym_in] = ACTIONS(3480),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_RBRACK] = ACTIONS(3480),
    [anon_sym_AMP_DOT] = ACTIONS(3480),
    [anon_sym_PLUS_EQ] = ACTIONS(3480),
    [anon_sym_DASH_EQ] = ACTIONS(3480),
    [anon_sym_STAR_EQ] = ACTIONS(3480),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3480),
    [anon_sym_SLASH_EQ] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3480),
    [anon_sym_PIPE_EQ] = ACTIONS(3480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3480),
    [anon_sym_AMP_EQ] = ACTIONS(3480),
    [anon_sym_PERCENT_EQ] = ACTIONS(3480),
    [anon_sym_GT_GT_EQ] = ACTIONS(3480),
    [anon_sym_LT_LT_EQ] = ACTIONS(3480),
    [anon_sym_CARET_EQ] = ACTIONS(3480),
    [anon_sym_QMARK] = ACTIONS(3480),
    [anon_sym_COLON] = ACTIONS(3480),
    [anon_sym_DOT_DOT] = ACTIONS(3482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3480),
    [anon_sym_and] = ACTIONS(3480),
    [anon_sym_or] = ACTIONS(3480),
    [anon_sym_PIPE_PIPE] = ACTIONS(3482),
    [anon_sym_AMP_AMP] = ACTIONS(3482),
    [anon_sym_LT_LT] = ACTIONS(3482),
    [anon_sym_GT_GT] = ACTIONS(3482),
    [anon_sym_EQ_EQ] = ACTIONS(3482),
    [anon_sym_BANG_EQ] = ACTIONS(3480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3480),
    [anon_sym_LT_EQ_GT] = ACTIONS(3480),
    [anon_sym_EQ_TILDE] = ACTIONS(3480),
    [anon_sym_BANG_TILDE] = ACTIONS(3480),
    [anon_sym_LT_EQ] = ACTIONS(3482),
    [anon_sym_GT] = ACTIONS(3482),
    [anon_sym_GT_EQ] = ACTIONS(3480),
    [anon_sym_CARET] = ACTIONS(3482),
    [anon_sym_PLUS] = ACTIONS(3482),
    [anon_sym_SLASH] = ACTIONS(3482),
    [anon_sym_PERCENT] = ACTIONS(3482),
    [sym_comment] = ACTIONS(87),
  },
  [9427] = {
    [anon_sym_RBRACE] = ACTIONS(13672),
    [sym_comment] = ACTIONS(87),
  },
  [9428] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(13674),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(3534),
    [anon_sym_or] = ACTIONS(3534),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [9429] = {
    [sym__method_rest] = STATE(10865),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(7011),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [9430] = {
    [sym__statements] = STATE(7030),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(7031),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(7032),
    [sym_rescue] = STATE(7033),
    [sym__body_statement] = STATE(10866),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13676),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9431] = {
    [sym__heredoc_body_start] = ACTIONS(3716),
    [sym__element_reference_left_bracket] = ACTIONS(3716),
    [sym__infix_scope_colons] = ACTIONS(3716),
    [sym__binary_minus] = ACTIONS(3716),
    [sym__binary_star] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_RBRACE] = ACTIONS(3716),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_DOT] = ACTIONS(3718),
    [anon_sym_COMMA] = ACTIONS(3716),
    [anon_sym_PIPE] = ACTIONS(3718),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym_STAR_STAR] = ACTIONS(3718),
    [anon_sym_AMP] = ACTIONS(3718),
    [anon_sym_EQ] = ACTIONS(3718),
    [anon_sym_LT] = ACTIONS(3718),
    [anon_sym_if] = ACTIONS(3716),
    [anon_sym_unless] = ACTIONS(3716),
    [anon_sym_while] = ACTIONS(3716),
    [anon_sym_until] = ACTIONS(3716),
    [anon_sym_rescue] = ACTIONS(3716),
    [anon_sym_in] = ACTIONS(3716),
    [anon_sym_do] = ACTIONS(3716),
    [anon_sym_RBRACK] = ACTIONS(3716),
    [anon_sym_AMP_DOT] = ACTIONS(3716),
    [anon_sym_PLUS_EQ] = ACTIONS(3716),
    [anon_sym_DASH_EQ] = ACTIONS(3716),
    [anon_sym_STAR_EQ] = ACTIONS(3716),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3716),
    [anon_sym_SLASH_EQ] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3716),
    [anon_sym_PIPE_EQ] = ACTIONS(3716),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3716),
    [anon_sym_AMP_EQ] = ACTIONS(3716),
    [anon_sym_PERCENT_EQ] = ACTIONS(3716),
    [anon_sym_GT_GT_EQ] = ACTIONS(3716),
    [anon_sym_LT_LT_EQ] = ACTIONS(3716),
    [anon_sym_CARET_EQ] = ACTIONS(3716),
    [anon_sym_QMARK] = ACTIONS(3716),
    [anon_sym_COLON] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3716),
    [anon_sym_and] = ACTIONS(3716),
    [anon_sym_or] = ACTIONS(3716),
    [anon_sym_PIPE_PIPE] = ACTIONS(3718),
    [anon_sym_AMP_AMP] = ACTIONS(3718),
    [anon_sym_LT_LT] = ACTIONS(3718),
    [anon_sym_GT_GT] = ACTIONS(3718),
    [anon_sym_EQ_EQ] = ACTIONS(3718),
    [anon_sym_BANG_EQ] = ACTIONS(3716),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3716),
    [anon_sym_LT_EQ_GT] = ACTIONS(3716),
    [anon_sym_EQ_TILDE] = ACTIONS(3716),
    [anon_sym_BANG_TILDE] = ACTIONS(3716),
    [anon_sym_LT_EQ] = ACTIONS(3718),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_GT_EQ] = ACTIONS(3716),
    [anon_sym_CARET] = ACTIONS(3718),
    [anon_sym_PLUS] = ACTIONS(3718),
    [anon_sym_SLASH] = ACTIONS(3718),
    [anon_sym_PERCENT] = ACTIONS(3718),
    [sym_comment] = ACTIONS(87),
  },
  [9432] = {
    [sym_heredoc_body] = STATE(10867),
    [sym__terminator] = STATE(10867),
    [sym__line_break] = ACTIONS(13678),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym__binary_minus] = ACTIONS(2021),
    [sym__binary_star] = ACTIONS(2023),
    [anon_sym_PIPE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(13678),
    [anon_sym_STAR_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_QMARK] = ACTIONS(2033),
    [anon_sym_DOT_DOT] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_and] = ACTIONS(2039),
    [anon_sym_or] = ACTIONS(2039),
    [anon_sym_PIPE_PIPE] = ACTIONS(2041),
    [anon_sym_AMP_AMP] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2041),
    [anon_sym_LT_EQ_GT] = ACTIONS(2041),
    [anon_sym_EQ_TILDE] = ACTIONS(2041),
    [anon_sym_BANG_TILDE] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2027),
    [sym_comment] = ACTIONS(87),
  },
  [9433] = {
    [sym_heredoc_body] = STATE(10868),
    [sym__terminator] = STATE(10868),
    [sym__line_break] = ACTIONS(13680),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(13680),
    [sym_comment] = ACTIONS(87),
  },
  [9434] = {
    [sym__statements] = STATE(7030),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(7031),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(7032),
    [sym_rescue] = STATE(7033),
    [sym__body_statement] = STATE(10869),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13682),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9435] = {
    [sym__heredoc_body_start] = ACTIONS(4122),
    [sym__element_reference_left_bracket] = ACTIONS(4122),
    [sym__infix_scope_colons] = ACTIONS(4122),
    [sym__binary_minus] = ACTIONS(4122),
    [sym__binary_star] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_STAR_STAR] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_unless] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(4122),
    [anon_sym_until] = ACTIONS(4122),
    [anon_sym_rescue] = ACTIONS(4122),
    [anon_sym_in] = ACTIONS(4122),
    [anon_sym_do] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_AMP_DOT] = ACTIONS(4122),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4124),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ_GT] = ACTIONS(4122),
    [anon_sym_EQ_TILDE] = ACTIONS(4122),
    [anon_sym_BANG_TILDE] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4124),
    [sym_comment] = ACTIONS(87),
  },
  [9436] = {
    [sym__statements] = STATE(7030),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(7031),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(7032),
    [sym_rescue] = STATE(7033),
    [sym__body_statement] = STATE(10870),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13684),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9437] = {
    [sym__statements] = STATE(10872),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(10873),
    [sym_else] = STATE(10873),
    [sym__if_tail] = STATE(10873),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(10874),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(10874),
    [sym__line_break] = ACTIONS(13686),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13688),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9438] = {
    [sym__statements] = STATE(10876),
    [sym__top_level_statement] = STATE(2886),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(10877),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13690),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9439] = {
    [sym__statements] = STATE(10879),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13692),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9440] = {
    [sym__statements] = STATE(10881),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13694),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9441] = {
    [sym__do] = STATE(10882),
    [sym_heredoc_body] = STATE(10882),
    [sym__terminator] = STATE(10882),
    [sym__line_break] = ACTIONS(13696),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(13696),
    [anon_sym_do] = ACTIONS(13696),
    [sym_comment] = ACTIONS(87),
  },
  [9442] = {
    [sym_when] = STATE(10883),
    [aux_sym_case_repeat1] = STATE(10884),
    [anon_sym_SEMI] = ACTIONS(13698),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [9443] = {
    [anon_sym_end] = ACTIONS(13700),
    [sym_comment] = ACTIONS(87),
  },
  [9444] = {
    [sym_when] = STATE(10883),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [9445] = {
    [sym__heredoc_body_start] = ACTIONS(5352),
    [sym__element_reference_left_bracket] = ACTIONS(5352),
    [sym__infix_scope_colons] = ACTIONS(5352),
    [sym__binary_minus] = ACTIONS(5352),
    [sym__binary_star] = ACTIONS(5352),
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_STAR_STAR] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_EQ] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_if] = ACTIONS(5352),
    [anon_sym_unless] = ACTIONS(5352),
    [anon_sym_while] = ACTIONS(5352),
    [anon_sym_until] = ACTIONS(5352),
    [anon_sym_rescue] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5352),
    [anon_sym_do] = ACTIONS(5352),
    [anon_sym_RBRACK] = ACTIONS(5352),
    [anon_sym_AMP_DOT] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_COLON] = ACTIONS(5352),
    [anon_sym_DOT_DOT] = ACTIONS(5354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_and] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_LT_LT] = ACTIONS(5354),
    [anon_sym_GT_GT] = ACTIONS(5354),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_EQ_TILDE] = ACTIONS(5352),
    [anon_sym_BANG_TILDE] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5354),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_SLASH] = ACTIONS(5354),
    [anon_sym_PERCENT] = ACTIONS(5354),
    [sym_comment] = ACTIONS(87),
  },
  [9446] = {
    [sym_ensure] = STATE(10887),
    [anon_sym_end] = ACTIONS(13702),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [9447] = {
    [anon_sym_end] = ACTIONS(13702),
    [sym_comment] = ACTIONS(87),
  },
  [9448] = {
    [sym_else] = STATE(10888),
    [sym_ensure] = STATE(10887),
    [anon_sym_end] = ACTIONS(13702),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [9449] = {
    [sym__heredoc_body_start] = ACTIONS(5438),
    [sym__element_reference_left_bracket] = ACTIONS(5438),
    [sym__infix_scope_colons] = ACTIONS(5438),
    [sym__binary_minus] = ACTIONS(5438),
    [sym__binary_star] = ACTIONS(5438),
    [anon_sym_LBRACE] = ACTIONS(5438),
    [anon_sym_RBRACE] = ACTIONS(5438),
    [anon_sym_RPAREN] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5438),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym_STAR_STAR] = ACTIONS(5440),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_if] = ACTIONS(5438),
    [anon_sym_unless] = ACTIONS(5438),
    [anon_sym_while] = ACTIONS(5438),
    [anon_sym_until] = ACTIONS(5438),
    [anon_sym_rescue] = ACTIONS(5438),
    [anon_sym_in] = ACTIONS(5438),
    [anon_sym_do] = ACTIONS(5438),
    [anon_sym_RBRACK] = ACTIONS(5438),
    [anon_sym_AMP_DOT] = ACTIONS(5438),
    [anon_sym_PLUS_EQ] = ACTIONS(5438),
    [anon_sym_DASH_EQ] = ACTIONS(5438),
    [anon_sym_STAR_EQ] = ACTIONS(5438),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5438),
    [anon_sym_SLASH_EQ] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5438),
    [anon_sym_PIPE_EQ] = ACTIONS(5438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5438),
    [anon_sym_AMP_EQ] = ACTIONS(5438),
    [anon_sym_PERCENT_EQ] = ACTIONS(5438),
    [anon_sym_GT_GT_EQ] = ACTIONS(5438),
    [anon_sym_LT_LT_EQ] = ACTIONS(5438),
    [anon_sym_CARET_EQ] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5438),
    [anon_sym_COLON] = ACTIONS(5438),
    [anon_sym_DOT_DOT] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_LT_LT] = ACTIONS(5440),
    [anon_sym_GT_GT] = ACTIONS(5440),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5438),
    [anon_sym_EQ_TILDE] = ACTIONS(5438),
    [anon_sym_BANG_TILDE] = ACTIONS(5438),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5440),
    [anon_sym_SLASH] = ACTIONS(5440),
    [anon_sym_PERCENT] = ACTIONS(5440),
    [sym_comment] = ACTIONS(87),
  },
  [9450] = {
    [sym__heredoc_body_start] = ACTIONS(5672),
    [sym__element_reference_left_bracket] = ACTIONS(5672),
    [sym__infix_scope_colons] = ACTIONS(5672),
    [sym__binary_minus] = ACTIONS(5672),
    [sym__binary_star] = ACTIONS(5672),
    [anon_sym_LBRACE] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_STAR_STAR] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_if] = ACTIONS(5672),
    [anon_sym_unless] = ACTIONS(5672),
    [anon_sym_while] = ACTIONS(5672),
    [anon_sym_until] = ACTIONS(5672),
    [anon_sym_rescue] = ACTIONS(5672),
    [anon_sym_in] = ACTIONS(5672),
    [anon_sym_do] = ACTIONS(5672),
    [anon_sym_RBRACK] = ACTIONS(5672),
    [anon_sym_AMP_DOT] = ACTIONS(5672),
    [anon_sym_PLUS_EQ] = ACTIONS(5672),
    [anon_sym_DASH_EQ] = ACTIONS(5672),
    [anon_sym_STAR_EQ] = ACTIONS(5672),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5672),
    [anon_sym_SLASH_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5672),
    [anon_sym_AMP_EQ] = ACTIONS(5672),
    [anon_sym_PERCENT_EQ] = ACTIONS(5672),
    [anon_sym_GT_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_LT_EQ] = ACTIONS(5672),
    [anon_sym_CARET_EQ] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5674),
    [anon_sym_AMP_AMP] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5674),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5674),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ_GT] = ACTIONS(5672),
    [anon_sym_EQ_TILDE] = ACTIONS(5672),
    [anon_sym_BANG_TILDE] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5674),
    [sym_comment] = ACTIONS(87),
  },
  [9451] = {
    [anon_sym_RBRACK] = ACTIONS(13704),
    [sym_comment] = ACTIONS(87),
  },
  [9452] = {
    [sym__heredoc_body_start] = ACTIONS(5760),
    [sym__element_reference_left_bracket] = ACTIONS(5760),
    [sym__infix_scope_colons] = ACTIONS(5760),
    [sym__binary_minus] = ACTIONS(5760),
    [sym__binary_star] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym_STAR_STAR] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_if] = ACTIONS(5760),
    [anon_sym_unless] = ACTIONS(5760),
    [anon_sym_while] = ACTIONS(5760),
    [anon_sym_until] = ACTIONS(5760),
    [anon_sym_rescue] = ACTIONS(5760),
    [anon_sym_in] = ACTIONS(5760),
    [anon_sym_do] = ACTIONS(5760),
    [anon_sym_RBRACK] = ACTIONS(5760),
    [anon_sym_AMP_DOT] = ACTIONS(5760),
    [anon_sym_PLUS_EQ] = ACTIONS(5760),
    [anon_sym_DASH_EQ] = ACTIONS(5760),
    [anon_sym_STAR_EQ] = ACTIONS(5760),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5760),
    [anon_sym_SLASH_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5760),
    [anon_sym_AMP_EQ] = ACTIONS(5760),
    [anon_sym_PERCENT_EQ] = ACTIONS(5760),
    [anon_sym_GT_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_LT_EQ] = ACTIONS(5760),
    [anon_sym_CARET_EQ] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym_DOT_DOT] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5762),
    [anon_sym_AMP_AMP] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5762),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5762),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_EQ_TILDE] = ACTIONS(5760),
    [anon_sym_BANG_TILDE] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5762),
    [sym_comment] = ACTIONS(87),
  },
  [9453] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [9454] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [9455] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [9456] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [9457] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [9458] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [9459] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13706),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9460] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [9461] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(9915),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [9462] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [9463] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [9464] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [9465] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(9915),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [9466] = {
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_in] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_RBRACK] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [9467] = {
    [aux_sym_exceptions_repeat1] = STATE(10892),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [9468] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(9915),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [9469] = {
    [sym_string] = STATE(9469),
    [aux_sym_chained_string_repeat1] = STATE(9469),
    [sym__string_start] = ACTIONS(13708),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [9470] = {
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RBRACE] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR_STAR] = ACTIONS(10785),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_if] = ACTIONS(10783),
    [anon_sym_unless] = ACTIONS(10783),
    [anon_sym_while] = ACTIONS(10783),
    [anon_sym_until] = ACTIONS(10783),
    [anon_sym_rescue] = ACTIONS(10783),
    [anon_sym_in] = ACTIONS(10783),
    [anon_sym_do] = ACTIONS(10783),
    [anon_sym_RBRACK] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS_EQ] = ACTIONS(10783),
    [anon_sym_DASH_EQ] = ACTIONS(10783),
    [anon_sym_STAR_EQ] = ACTIONS(10783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10783),
    [anon_sym_SLASH_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10783),
    [anon_sym_AMP_EQ] = ACTIONS(10783),
    [anon_sym_PERCENT_EQ] = ACTIONS(10783),
    [anon_sym_GT_GT_EQ] = ACTIONS(10783),
    [anon_sym_LT_LT_EQ] = ACTIONS(10783),
    [anon_sym_CARET_EQ] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10783),
    [anon_sym_COLON] = ACTIONS(10783),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10783),
    [anon_sym_or] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE] = ACTIONS(10785),
    [anon_sym_AMP_AMP] = ACTIONS(10785),
    [anon_sym_LT_LT] = ACTIONS(10785),
    [anon_sym_GT_GT] = ACTIONS(10785),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10785),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_SLASH] = ACTIONS(10785),
    [anon_sym_PERCENT] = ACTIONS(10785),
    [sym_comment] = ACTIONS(87),
  },
  [9471] = {
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [sym__binary_minus] = ACTIONS(11905),
    [sym__binary_star] = ACTIONS(11905),
    [anon_sym_LBRACE] = ACTIONS(11905),
    [anon_sym_RBRACE] = ACTIONS(11905),
    [anon_sym_RPAREN] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11907),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_PIPE] = ACTIONS(11907),
    [anon_sym_SEMI] = ACTIONS(11905),
    [anon_sym_STAR_STAR] = ACTIONS(11907),
    [anon_sym_AMP] = ACTIONS(11907),
    [anon_sym_EQ] = ACTIONS(11907),
    [anon_sym_LT] = ACTIONS(11907),
    [anon_sym_if] = ACTIONS(11905),
    [anon_sym_unless] = ACTIONS(11905),
    [anon_sym_while] = ACTIONS(11905),
    [anon_sym_until] = ACTIONS(11905),
    [anon_sym_rescue] = ACTIONS(11905),
    [anon_sym_do] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [anon_sym_PLUS_EQ] = ACTIONS(11905),
    [anon_sym_DASH_EQ] = ACTIONS(11905),
    [anon_sym_STAR_EQ] = ACTIONS(11905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11905),
    [anon_sym_SLASH_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11905),
    [anon_sym_AMP_EQ] = ACTIONS(11905),
    [anon_sym_PERCENT_EQ] = ACTIONS(11905),
    [anon_sym_GT_GT_EQ] = ACTIONS(11905),
    [anon_sym_LT_LT_EQ] = ACTIONS(11905),
    [anon_sym_CARET_EQ] = ACTIONS(11905),
    [anon_sym_QMARK] = ACTIONS(11905),
    [anon_sym_COLON] = ACTIONS(11905),
    [anon_sym_DOT_DOT] = ACTIONS(11907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11905),
    [anon_sym_and] = ACTIONS(11905),
    [anon_sym_or] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE] = ACTIONS(11907),
    [anon_sym_AMP_AMP] = ACTIONS(11907),
    [anon_sym_LT_LT] = ACTIONS(11907),
    [anon_sym_GT_GT] = ACTIONS(11907),
    [anon_sym_EQ_EQ] = ACTIONS(11907),
    [anon_sym_BANG_EQ] = ACTIONS(11905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11905),
    [anon_sym_LT_EQ_GT] = ACTIONS(11905),
    [anon_sym_EQ_TILDE] = ACTIONS(11905),
    [anon_sym_BANG_TILDE] = ACTIONS(11905),
    [anon_sym_LT_EQ] = ACTIONS(11907),
    [anon_sym_GT] = ACTIONS(11907),
    [anon_sym_GT_EQ] = ACTIONS(11905),
    [anon_sym_CARET] = ACTIONS(11907),
    [anon_sym_PLUS] = ACTIONS(11907),
    [anon_sym_SLASH] = ACTIONS(11907),
    [anon_sym_PERCENT] = ACTIONS(11907),
    [sym_comment] = ACTIONS(87),
  },
  [9472] = {
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [sym__binary_minus] = ACTIONS(11938),
    [sym__binary_star] = ACTIONS(11938),
    [anon_sym_LBRACE] = ACTIONS(11938),
    [anon_sym_RBRACE] = ACTIONS(11938),
    [anon_sym_RPAREN] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11940),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_PIPE] = ACTIONS(11940),
    [anon_sym_SEMI] = ACTIONS(11938),
    [anon_sym_STAR_STAR] = ACTIONS(11940),
    [anon_sym_AMP] = ACTIONS(11940),
    [anon_sym_EQ] = ACTIONS(11940),
    [anon_sym_LT] = ACTIONS(11940),
    [anon_sym_if] = ACTIONS(11938),
    [anon_sym_unless] = ACTIONS(11938),
    [anon_sym_while] = ACTIONS(11938),
    [anon_sym_until] = ACTIONS(11938),
    [anon_sym_rescue] = ACTIONS(11938),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [anon_sym_PLUS_EQ] = ACTIONS(11938),
    [anon_sym_DASH_EQ] = ACTIONS(11938),
    [anon_sym_STAR_EQ] = ACTIONS(11938),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11938),
    [anon_sym_SLASH_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11938),
    [anon_sym_AMP_EQ] = ACTIONS(11938),
    [anon_sym_PERCENT_EQ] = ACTIONS(11938),
    [anon_sym_GT_GT_EQ] = ACTIONS(11938),
    [anon_sym_LT_LT_EQ] = ACTIONS(11938),
    [anon_sym_CARET_EQ] = ACTIONS(11938),
    [anon_sym_QMARK] = ACTIONS(11938),
    [anon_sym_COLON] = ACTIONS(11938),
    [anon_sym_DOT_DOT] = ACTIONS(11940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11938),
    [anon_sym_and] = ACTIONS(11938),
    [anon_sym_or] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE] = ACTIONS(11940),
    [anon_sym_AMP_AMP] = ACTIONS(11940),
    [anon_sym_LT_LT] = ACTIONS(11940),
    [anon_sym_GT_GT] = ACTIONS(11940),
    [anon_sym_EQ_EQ] = ACTIONS(11940),
    [anon_sym_BANG_EQ] = ACTIONS(11938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11938),
    [anon_sym_LT_EQ_GT] = ACTIONS(11938),
    [anon_sym_EQ_TILDE] = ACTIONS(11938),
    [anon_sym_BANG_TILDE] = ACTIONS(11938),
    [anon_sym_LT_EQ] = ACTIONS(11940),
    [anon_sym_GT] = ACTIONS(11940),
    [anon_sym_GT_EQ] = ACTIONS(11938),
    [anon_sym_CARET] = ACTIONS(11940),
    [anon_sym_PLUS] = ACTIONS(11940),
    [anon_sym_SLASH] = ACTIONS(11940),
    [anon_sym_PERCENT] = ACTIONS(11940),
    [sym_comment] = ACTIONS(87),
  },
  [9473] = {
    [anon_sym_end] = ACTIONS(13711),
    [sym_comment] = ACTIONS(87),
  },
  [9474] = {
    [sym__statements] = STATE(10894),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13713),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9475] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10895),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_assignment] = STATE(10895),
    [sym_operator_assignment] = STATE(10895),
    [sym_conditional] = STATE(10895),
    [sym_range] = STATE(10895),
    [sym_binary] = STATE(10895),
    [sym_unary] = STATE(10895),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9476] = {
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym__element_reference_left_bracket] = ACTIONS(6671),
    [sym__infix_scope_colons] = ACTIONS(6671),
    [sym__binary_minus] = ACTIONS(6671),
    [sym__binary_star] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_RBRACE] = ACTIONS(6671),
    [anon_sym_RPAREN] = ACTIONS(6671),
    [anon_sym_DOT] = ACTIONS(8601),
    [anon_sym_COMMA] = ACTIONS(6671),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_SEMI] = ACTIONS(6671),
    [anon_sym_STAR_STAR] = ACTIONS(8601),
    [anon_sym_AMP] = ACTIONS(8601),
    [anon_sym_EQ] = ACTIONS(8601),
    [anon_sym_LT] = ACTIONS(8601),
    [anon_sym_if] = ACTIONS(6671),
    [anon_sym_unless] = ACTIONS(6671),
    [anon_sym_while] = ACTIONS(6671),
    [anon_sym_until] = ACTIONS(6671),
    [anon_sym_rescue] = ACTIONS(6671),
    [anon_sym_in] = ACTIONS(6671),
    [anon_sym_do] = ACTIONS(6671),
    [anon_sym_RBRACK] = ACTIONS(6671),
    [anon_sym_AMP_DOT] = ACTIONS(6671),
    [anon_sym_PLUS_EQ] = ACTIONS(6671),
    [anon_sym_DASH_EQ] = ACTIONS(6671),
    [anon_sym_STAR_EQ] = ACTIONS(6671),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6671),
    [anon_sym_SLASH_EQ] = ACTIONS(6671),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6671),
    [anon_sym_PIPE_EQ] = ACTIONS(6671),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6671),
    [anon_sym_AMP_EQ] = ACTIONS(6671),
    [anon_sym_PERCENT_EQ] = ACTIONS(6671),
    [anon_sym_GT_GT_EQ] = ACTIONS(6671),
    [anon_sym_LT_LT_EQ] = ACTIONS(6671),
    [anon_sym_CARET_EQ] = ACTIONS(6671),
    [anon_sym_QMARK] = ACTIONS(6671),
    [anon_sym_COLON] = ACTIONS(6671),
    [anon_sym_DOT_DOT] = ACTIONS(8601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6671),
    [anon_sym_and] = ACTIONS(6671),
    [anon_sym_or] = ACTIONS(6671),
    [anon_sym_PIPE_PIPE] = ACTIONS(8601),
    [anon_sym_AMP_AMP] = ACTIONS(8601),
    [anon_sym_LT_LT] = ACTIONS(8601),
    [anon_sym_GT_GT] = ACTIONS(8601),
    [anon_sym_EQ_EQ] = ACTIONS(8601),
    [anon_sym_BANG_EQ] = ACTIONS(6671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6671),
    [anon_sym_LT_EQ_GT] = ACTIONS(6671),
    [anon_sym_EQ_TILDE] = ACTIONS(6671),
    [anon_sym_BANG_TILDE] = ACTIONS(6671),
    [anon_sym_LT_EQ] = ACTIONS(8601),
    [anon_sym_GT] = ACTIONS(8601),
    [anon_sym_GT_EQ] = ACTIONS(6671),
    [anon_sym_CARET] = ACTIONS(8601),
    [anon_sym_PLUS] = ACTIONS(8601),
    [anon_sym_SLASH] = ACTIONS(8601),
    [anon_sym_PERCENT] = ACTIONS(8601),
    [sym_comment] = ACTIONS(87),
  },
  [9477] = {
    [sym__heredoc_body_start] = ACTIONS(10814),
    [sym__element_reference_left_bracket] = ACTIONS(10814),
    [sym__infix_scope_colons] = ACTIONS(10814),
    [sym__binary_minus] = ACTIONS(10814),
    [sym__binary_star] = ACTIONS(10814),
    [anon_sym_LBRACE] = ACTIONS(10814),
    [anon_sym_RBRACE] = ACTIONS(10814),
    [anon_sym_RPAREN] = ACTIONS(10814),
    [anon_sym_DOT] = ACTIONS(10816),
    [anon_sym_COMMA] = ACTIONS(10814),
    [anon_sym_PIPE] = ACTIONS(10816),
    [anon_sym_SEMI] = ACTIONS(10814),
    [anon_sym_STAR_STAR] = ACTIONS(10816),
    [anon_sym_AMP] = ACTIONS(10816),
    [anon_sym_EQ] = ACTIONS(10816),
    [anon_sym_LT] = ACTIONS(10816),
    [anon_sym_if] = ACTIONS(10814),
    [anon_sym_unless] = ACTIONS(10814),
    [anon_sym_while] = ACTIONS(10814),
    [anon_sym_until] = ACTIONS(10814),
    [anon_sym_rescue] = ACTIONS(10814),
    [anon_sym_in] = ACTIONS(10814),
    [anon_sym_do] = ACTIONS(10814),
    [anon_sym_RBRACK] = ACTIONS(10814),
    [anon_sym_AMP_DOT] = ACTIONS(10814),
    [anon_sym_PLUS_EQ] = ACTIONS(10814),
    [anon_sym_DASH_EQ] = ACTIONS(10814),
    [anon_sym_STAR_EQ] = ACTIONS(10814),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10814),
    [anon_sym_SLASH_EQ] = ACTIONS(10814),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10814),
    [anon_sym_PIPE_EQ] = ACTIONS(10814),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10814),
    [anon_sym_AMP_EQ] = ACTIONS(10814),
    [anon_sym_PERCENT_EQ] = ACTIONS(10814),
    [anon_sym_GT_GT_EQ] = ACTIONS(10814),
    [anon_sym_LT_LT_EQ] = ACTIONS(10814),
    [anon_sym_CARET_EQ] = ACTIONS(10814),
    [anon_sym_QMARK] = ACTIONS(10814),
    [anon_sym_COLON] = ACTIONS(10814),
    [anon_sym_DOT_DOT] = ACTIONS(10816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10814),
    [anon_sym_and] = ACTIONS(10814),
    [anon_sym_or] = ACTIONS(10814),
    [anon_sym_PIPE_PIPE] = ACTIONS(10816),
    [anon_sym_AMP_AMP] = ACTIONS(10816),
    [anon_sym_LT_LT] = ACTIONS(10816),
    [anon_sym_GT_GT] = ACTIONS(10816),
    [anon_sym_EQ_EQ] = ACTIONS(10816),
    [anon_sym_BANG_EQ] = ACTIONS(10814),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10814),
    [anon_sym_LT_EQ_GT] = ACTIONS(10814),
    [anon_sym_EQ_TILDE] = ACTIONS(10814),
    [anon_sym_BANG_TILDE] = ACTIONS(10814),
    [anon_sym_LT_EQ] = ACTIONS(10816),
    [anon_sym_GT] = ACTIONS(10816),
    [anon_sym_GT_EQ] = ACTIONS(10814),
    [anon_sym_CARET] = ACTIONS(10816),
    [anon_sym_PLUS] = ACTIONS(10816),
    [anon_sym_SLASH] = ACTIONS(10816),
    [anon_sym_PERCENT] = ACTIONS(10816),
    [sym_comment] = ACTIONS(87),
  },
  [9478] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7090),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1764),
    [sym_scope_resolution] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_method_call] = STATE(1764),
    [sym_splat_argument] = STATE(9654),
    [sym_assignment] = STATE(7090),
    [sym_operator_assignment] = STATE(7090),
    [sym_conditional] = STATE(7090),
    [sym_range] = STATE(7090),
    [sym_binary] = STATE(7090),
    [sym_unary] = STATE(7090),
    [sym__arg_or_splat_arg] = STATE(9654),
    [sym_left_assignment_list] = STATE(1763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1764),
    [sym__variable] = STATE(1758),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1764),
    [sym_false] = STATE(1764),
    [sym_nil] = STATE(1764),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4152),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(6267),
    [sym__unary_minus] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_next] = ACTIONS(2905),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_defined_QMARK] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [sym_constant] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_instance_variable] = ACTIONS(2919),
    [sym_class_variable] = ACTIONS(2919),
    [sym_global_variable] = ACTIONS(2919),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(2921),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(2921),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9479] = {
    [aux_sym_exceptions_repeat1] = STATE(10896),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13715),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [9480] = {
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [9481] = {
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [9482] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(9963),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9975),
    [anon_sym_GT_GT] = ACTIONS(9975),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [9483] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [9484] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9975),
    [anon_sym_GT_GT] = ACTIONS(9975),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [9485] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9959),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(9963),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9975),
    [anon_sym_GT_GT] = ACTIONS(9975),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(9981),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [9486] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13717),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9487] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(9959),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(9963),
    [anon_sym_LT] = ACTIONS(9965),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(9973),
    [anon_sym_AMP_AMP] = ACTIONS(9973),
    [anon_sym_LT_LT] = ACTIONS(9975),
    [anon_sym_GT_GT] = ACTIONS(9975),
    [anon_sym_EQ_EQ] = ACTIONS(9977),
    [anon_sym_BANG_EQ] = ACTIONS(9973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9973),
    [anon_sym_LT_EQ_GT] = ACTIONS(9973),
    [anon_sym_EQ_TILDE] = ACTIONS(9973),
    [anon_sym_BANG_TILDE] = ACTIONS(9973),
    [anon_sym_LT_EQ] = ACTIONS(9965),
    [anon_sym_GT] = ACTIONS(9965),
    [anon_sym_GT_EQ] = ACTIONS(9979),
    [anon_sym_CARET] = ACTIONS(9981),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [9488] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9959),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(9963),
    [anon_sym_LT] = ACTIONS(9965),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(9967),
    [anon_sym_DOT_DOT] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(9973),
    [anon_sym_AMP_AMP] = ACTIONS(9973),
    [anon_sym_LT_LT] = ACTIONS(9975),
    [anon_sym_GT_GT] = ACTIONS(9975),
    [anon_sym_EQ_EQ] = ACTIONS(9977),
    [anon_sym_BANG_EQ] = ACTIONS(9973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9973),
    [anon_sym_LT_EQ_GT] = ACTIONS(9973),
    [anon_sym_EQ_TILDE] = ACTIONS(9973),
    [anon_sym_BANG_TILDE] = ACTIONS(9973),
    [anon_sym_LT_EQ] = ACTIONS(9965),
    [anon_sym_GT] = ACTIONS(9965),
    [anon_sym_GT_EQ] = ACTIONS(9979),
    [anon_sym_CARET] = ACTIONS(9981),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [9489] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(9959),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(9963),
    [anon_sym_LT] = ACTIONS(9965),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(9975),
    [anon_sym_GT_GT] = ACTIONS(9975),
    [anon_sym_EQ_EQ] = ACTIONS(9977),
    [anon_sym_BANG_EQ] = ACTIONS(9973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9973),
    [anon_sym_LT_EQ_GT] = ACTIONS(9973),
    [anon_sym_EQ_TILDE] = ACTIONS(9973),
    [anon_sym_BANG_TILDE] = ACTIONS(9973),
    [anon_sym_LT_EQ] = ACTIONS(9965),
    [anon_sym_GT] = ACTIONS(9965),
    [anon_sym_GT_EQ] = ACTIONS(9979),
    [anon_sym_CARET] = ACTIONS(9981),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [9490] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [9491] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [9492] = {
    [aux_sym_exceptions_repeat1] = STATE(9492),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(13719),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9493] = {
    [aux_sym_exceptions_repeat1] = STATE(7112),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [9494] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(9959),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(9963),
    [anon_sym_LT] = ACTIONS(9965),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(9967),
    [anon_sym_DOT_DOT] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(9973),
    [anon_sym_AMP_AMP] = ACTIONS(9973),
    [anon_sym_LT_LT] = ACTIONS(9975),
    [anon_sym_GT_GT] = ACTIONS(9975),
    [anon_sym_EQ_EQ] = ACTIONS(9977),
    [anon_sym_BANG_EQ] = ACTIONS(9973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9973),
    [anon_sym_LT_EQ_GT] = ACTIONS(9973),
    [anon_sym_EQ_TILDE] = ACTIONS(9973),
    [anon_sym_BANG_TILDE] = ACTIONS(9973),
    [anon_sym_LT_EQ] = ACTIONS(9965),
    [anon_sym_GT] = ACTIONS(9965),
    [anon_sym_GT_EQ] = ACTIONS(9979),
    [anon_sym_CARET] = ACTIONS(9981),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [9495] = {
    [sym_string] = STATE(9495),
    [aux_sym_chained_string_repeat1] = STATE(9495),
    [sym__string_start] = ACTIONS(7027),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [9496] = {
    [sym_heredoc_body] = STATE(10898),
    [aux_sym_call_repeat1] = STATE(10898),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [9497] = {
    [sym_heredoc_body] = STATE(10899),
    [aux_sym_call_repeat1] = STATE(10899),
    [aux_sym_argument_list_repeat1] = STATE(7157),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(6557),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [9498] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [9499] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [9500] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [9501] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [9502] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [9503] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [9504] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13722),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9505] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [9506] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(10025),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [9507] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [9508] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [9509] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [9510] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(10025),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [9511] = {
    [aux_sym_exceptions_repeat1] = STATE(10902),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [9512] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(10025),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [9513] = {
    [sym_string] = STATE(9513),
    [aux_sym_chained_string_repeat1] = STATE(9513),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [9514] = {
    [sym_heredoc_body] = STATE(9514),
    [aux_sym_call_repeat1] = STATE(9514),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9515] = {
    [sym_heredoc_body] = STATE(9514),
    [aux_sym_call_repeat1] = STATE(9514),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9516] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10903),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_assignment] = STATE(10903),
    [sym_operator_assignment] = STATE(10903),
    [sym_conditional] = STATE(10903),
    [sym_range] = STATE(10903),
    [sym_binary] = STATE(10903),
    [sym_unary] = STATE(10903),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9517] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(7158),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(1804),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(1804),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(7158),
    [sym_operator_assignment] = STATE(7158),
    [sym_conditional] = STATE(7158),
    [sym_range] = STATE(7158),
    [sym_binary] = STATE(7158),
    [sym_unary] = STATE(7158),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(1803),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1804),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(1804),
    [sym_false] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(6038),
    [sym__unary_minus] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_defined_QMARK] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9518] = {
    [aux_sym_exceptions_repeat1] = STATE(10904),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13724),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9519] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(3046),
    [sym__binary_star] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [sym_comment] = ACTIONS(87),
  },
  [9520] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [9521] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [9522] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [9523] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [9524] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [9525] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [9526] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13726),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9527] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [9528] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(10068),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [9529] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [9530] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [9531] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [9532] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(10068),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [9533] = {
    [aux_sym_exceptions_repeat1] = STATE(10907),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [9534] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(10068),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [9535] = {
    [sym_string] = STATE(9535),
    [aux_sym_chained_string_repeat1] = STATE(9535),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [9536] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10908),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_assignment] = STATE(10908),
    [sym_operator_assignment] = STATE(10908),
    [sym_conditional] = STATE(10908),
    [sym_range] = STATE(10908),
    [sym_binary] = STATE(10908),
    [sym_unary] = STATE(10908),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [9537] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(7202),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(1847),
    [sym_scope_resolution] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_method_call] = STATE(1847),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(7202),
    [sym_operator_assignment] = STATE(7202),
    [sym_conditional] = STATE(7202),
    [sym_range] = STATE(7202),
    [sym_binary] = STATE(7202),
    [sym_unary] = STATE(7202),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(1846),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1847),
    [sym__variable] = STATE(1843),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(1847),
    [sym_false] = STATE(1847),
    [sym_nil] = STATE(1847),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(4287),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(6080),
    [sym__unary_minus] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_next] = ACTIONS(3092),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(6593),
    [anon_sym_defined_QMARK] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [sym_constant] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3106),
    [sym_instance_variable] = ACTIONS(3104),
    [sym_class_variable] = ACTIONS(3104),
    [sym_global_variable] = ACTIONS(3104),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(3106),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(3106),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [9538] = {
    [aux_sym_exceptions_repeat1] = STATE(10909),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13728),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [9539] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [9540] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [9541] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(10100),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10112),
    [anon_sym_GT_GT] = ACTIONS(10112),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [9542] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [9543] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10112),
    [anon_sym_GT_GT] = ACTIONS(10112),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [9544] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10096),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(10100),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10112),
    [anon_sym_GT_GT] = ACTIONS(10112),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(10118),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [9545] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13730),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9546] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(10096),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(10100),
    [anon_sym_LT] = ACTIONS(10102),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(10106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10108),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(10110),
    [anon_sym_AMP_AMP] = ACTIONS(10110),
    [anon_sym_LT_LT] = ACTIONS(10112),
    [anon_sym_GT_GT] = ACTIONS(10112),
    [anon_sym_EQ_EQ] = ACTIONS(10114),
    [anon_sym_BANG_EQ] = ACTIONS(10110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10110),
    [anon_sym_LT_EQ_GT] = ACTIONS(10110),
    [anon_sym_EQ_TILDE] = ACTIONS(10110),
    [anon_sym_BANG_TILDE] = ACTIONS(10110),
    [anon_sym_LT_EQ] = ACTIONS(10102),
    [anon_sym_GT] = ACTIONS(10102),
    [anon_sym_GT_EQ] = ACTIONS(10116),
    [anon_sym_CARET] = ACTIONS(10118),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [9547] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10096),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(10100),
    [anon_sym_LT] = ACTIONS(10102),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(10104),
    [anon_sym_DOT_DOT] = ACTIONS(10106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10108),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(10110),
    [anon_sym_AMP_AMP] = ACTIONS(10110),
    [anon_sym_LT_LT] = ACTIONS(10112),
    [anon_sym_GT_GT] = ACTIONS(10112),
    [anon_sym_EQ_EQ] = ACTIONS(10114),
    [anon_sym_BANG_EQ] = ACTIONS(10110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10110),
    [anon_sym_LT_EQ_GT] = ACTIONS(10110),
    [anon_sym_EQ_TILDE] = ACTIONS(10110),
    [anon_sym_BANG_TILDE] = ACTIONS(10110),
    [anon_sym_LT_EQ] = ACTIONS(10102),
    [anon_sym_GT] = ACTIONS(10102),
    [anon_sym_GT_EQ] = ACTIONS(10116),
    [anon_sym_CARET] = ACTIONS(10118),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [9548] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10096),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(10100),
    [anon_sym_LT] = ACTIONS(10102),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10112),
    [anon_sym_GT_GT] = ACTIONS(10112),
    [anon_sym_EQ_EQ] = ACTIONS(10114),
    [anon_sym_BANG_EQ] = ACTIONS(10110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10110),
    [anon_sym_LT_EQ_GT] = ACTIONS(10110),
    [anon_sym_EQ_TILDE] = ACTIONS(10110),
    [anon_sym_BANG_TILDE] = ACTIONS(10110),
    [anon_sym_LT_EQ] = ACTIONS(10102),
    [anon_sym_GT] = ACTIONS(10102),
    [anon_sym_GT_EQ] = ACTIONS(10116),
    [anon_sym_CARET] = ACTIONS(10118),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [9549] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [9550] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [9551] = {
    [aux_sym_exceptions_repeat1] = STATE(9551),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(13732),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9552] = {
    [aux_sym_exceptions_repeat1] = STATE(7224),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [9553] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(10096),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(10100),
    [anon_sym_LT] = ACTIONS(10102),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(10104),
    [anon_sym_DOT_DOT] = ACTIONS(10106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10108),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(10110),
    [anon_sym_AMP_AMP] = ACTIONS(10110),
    [anon_sym_LT_LT] = ACTIONS(10112),
    [anon_sym_GT_GT] = ACTIONS(10112),
    [anon_sym_EQ_EQ] = ACTIONS(10114),
    [anon_sym_BANG_EQ] = ACTIONS(10110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10110),
    [anon_sym_LT_EQ_GT] = ACTIONS(10110),
    [anon_sym_EQ_TILDE] = ACTIONS(10110),
    [anon_sym_BANG_TILDE] = ACTIONS(10110),
    [anon_sym_LT_EQ] = ACTIONS(10102),
    [anon_sym_GT] = ACTIONS(10102),
    [anon_sym_GT_EQ] = ACTIONS(10116),
    [anon_sym_CARET] = ACTIONS(10118),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [9554] = {
    [sym__element_reference_left_bracket] = ACTIONS(12326),
    [sym__infix_scope_colons] = ACTIONS(12326),
    [sym__binary_minus] = ACTIONS(12326),
    [sym__binary_star] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_RBRACE] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_PIPE] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_STAR_STAR] = ACTIONS(12326),
    [anon_sym_AMP] = ACTIONS(12328),
    [anon_sym_LT] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_unless] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [anon_sym_until] = ACTIONS(12326),
    [anon_sym_rescue] = ACTIONS(12326),
    [anon_sym_do] = ACTIONS(12326),
    [anon_sym_EQ_GT] = ACTIONS(12326),
    [anon_sym_AMP_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_DOT_DOT] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_and] = ACTIONS(12326),
    [anon_sym_or] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE] = ACTIONS(12326),
    [anon_sym_AMP_AMP] = ACTIONS(12326),
    [anon_sym_LT_LT] = ACTIONS(12326),
    [anon_sym_GT_GT] = ACTIONS(12326),
    [anon_sym_EQ_EQ] = ACTIONS(12328),
    [anon_sym_BANG_EQ] = ACTIONS(12326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12326),
    [anon_sym_LT_EQ_GT] = ACTIONS(12326),
    [anon_sym_EQ_TILDE] = ACTIONS(12326),
    [anon_sym_BANG_TILDE] = ACTIONS(12326),
    [anon_sym_LT_EQ] = ACTIONS(12328),
    [anon_sym_GT] = ACTIONS(12328),
    [anon_sym_GT_EQ] = ACTIONS(12326),
    [anon_sym_CARET] = ACTIONS(12326),
    [anon_sym_PLUS] = ACTIONS(12326),
    [anon_sym_SLASH] = ACTIONS(12326),
    [anon_sym_PERCENT] = ACTIONS(12326),
    [sym_comment] = ACTIONS(87),
  },
  [9555] = {
    [sym__element_reference_left_bracket] = ACTIONS(12330),
    [sym__infix_scope_colons] = ACTIONS(12330),
    [sym__binary_minus] = ACTIONS(12330),
    [sym__binary_star] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12330),
    [anon_sym_RBRACE] = ACTIONS(12330),
    [anon_sym_RPAREN] = ACTIONS(12330),
    [anon_sym_DOT] = ACTIONS(12332),
    [anon_sym_COMMA] = ACTIONS(12330),
    [anon_sym_PIPE] = ACTIONS(12332),
    [anon_sym_SEMI] = ACTIONS(12330),
    [anon_sym_STAR_STAR] = ACTIONS(12330),
    [anon_sym_AMP] = ACTIONS(12332),
    [anon_sym_LT] = ACTIONS(12332),
    [anon_sym_if] = ACTIONS(12330),
    [anon_sym_unless] = ACTIONS(12330),
    [anon_sym_while] = ACTIONS(12330),
    [anon_sym_until] = ACTIONS(12330),
    [anon_sym_rescue] = ACTIONS(12330),
    [anon_sym_do] = ACTIONS(12330),
    [anon_sym_EQ_GT] = ACTIONS(12330),
    [anon_sym_AMP_DOT] = ACTIONS(12330),
    [anon_sym_QMARK] = ACTIONS(12330),
    [anon_sym_COLON] = ACTIONS(12330),
    [anon_sym_DOT_DOT] = ACTIONS(12332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12330),
    [anon_sym_and] = ACTIONS(12330),
    [anon_sym_or] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE] = ACTIONS(12330),
    [anon_sym_AMP_AMP] = ACTIONS(12330),
    [anon_sym_LT_LT] = ACTIONS(12330),
    [anon_sym_GT_GT] = ACTIONS(12330),
    [anon_sym_EQ_EQ] = ACTIONS(12332),
    [anon_sym_BANG_EQ] = ACTIONS(12330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12330),
    [anon_sym_LT_EQ_GT] = ACTIONS(12330),
    [anon_sym_EQ_TILDE] = ACTIONS(12330),
    [anon_sym_BANG_TILDE] = ACTIONS(12330),
    [anon_sym_LT_EQ] = ACTIONS(12332),
    [anon_sym_GT] = ACTIONS(12332),
    [anon_sym_GT_EQ] = ACTIONS(12330),
    [anon_sym_CARET] = ACTIONS(12330),
    [anon_sym_PLUS] = ACTIONS(12330),
    [anon_sym_SLASH] = ACTIONS(12330),
    [anon_sym_PERCENT] = ACTIONS(12330),
    [sym_comment] = ACTIONS(87),
  },
  [9556] = {
    [sym__element_reference_left_bracket] = ACTIONS(12444),
    [sym__infix_scope_colons] = ACTIONS(12444),
    [sym__binary_minus] = ACTIONS(12444),
    [sym__binary_star] = ACTIONS(12444),
    [anon_sym_LBRACE] = ACTIONS(12444),
    [anon_sym_RBRACE] = ACTIONS(12444),
    [anon_sym_RPAREN] = ACTIONS(12444),
    [anon_sym_DOT] = ACTIONS(12446),
    [anon_sym_COMMA] = ACTIONS(12444),
    [anon_sym_PIPE] = ACTIONS(12446),
    [anon_sym_SEMI] = ACTIONS(12444),
    [anon_sym_STAR_STAR] = ACTIONS(12444),
    [anon_sym_AMP] = ACTIONS(12446),
    [anon_sym_LT] = ACTIONS(12446),
    [anon_sym_if] = ACTIONS(12444),
    [anon_sym_unless] = ACTIONS(12444),
    [anon_sym_while] = ACTIONS(12444),
    [anon_sym_until] = ACTIONS(12444),
    [anon_sym_rescue] = ACTIONS(12444),
    [anon_sym_do] = ACTIONS(12444),
    [anon_sym_EQ_GT] = ACTIONS(12444),
    [anon_sym_AMP_DOT] = ACTIONS(12444),
    [anon_sym_QMARK] = ACTIONS(12444),
    [anon_sym_COLON] = ACTIONS(12444),
    [anon_sym_DOT_DOT] = ACTIONS(12446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12444),
    [anon_sym_and] = ACTIONS(12444),
    [anon_sym_or] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE] = ACTIONS(12444),
    [anon_sym_AMP_AMP] = ACTIONS(12444),
    [anon_sym_LT_LT] = ACTIONS(12444),
    [anon_sym_GT_GT] = ACTIONS(12444),
    [anon_sym_EQ_EQ] = ACTIONS(12446),
    [anon_sym_BANG_EQ] = ACTIONS(12444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12444),
    [anon_sym_LT_EQ_GT] = ACTIONS(12444),
    [anon_sym_EQ_TILDE] = ACTIONS(12444),
    [anon_sym_BANG_TILDE] = ACTIONS(12444),
    [anon_sym_LT_EQ] = ACTIONS(12446),
    [anon_sym_GT] = ACTIONS(12446),
    [anon_sym_GT_EQ] = ACTIONS(12444),
    [anon_sym_CARET] = ACTIONS(12444),
    [anon_sym_PLUS] = ACTIONS(12444),
    [anon_sym_SLASH] = ACTIONS(12444),
    [anon_sym_PERCENT] = ACTIONS(12444),
    [sym_comment] = ACTIONS(87),
  },
  [9557] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [9558] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [9559] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [9560] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [9561] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [9562] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [9563] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13735),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9564] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [9565] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(10156),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [9566] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [9567] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [9568] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [9569] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(10156),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [9570] = {
    [aux_sym_exceptions_repeat1] = STATE(10913),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [9571] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(10156),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [9572] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [9573] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [9574] = {
    [sym_heredoc_body] = STATE(9574),
    [aux_sym_call_repeat1] = STATE(9574),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9575] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4358),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(4358),
    [sym_operator_assignment] = STATE(4358),
    [sym_conditional] = STATE(4358),
    [sym_range] = STATE(4358),
    [sym_binary] = STATE(4358),
    [sym_unary] = STATE(4358),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4361),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(6705),
    [sym__splat_star] = ACTIONS(6707),
    [sym__unary_minus] = ACTIONS(3160),
    [sym__identifier_hash_key] = ACTIONS(6709),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12348),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(6711),
    [sym_identifier] = ACTIONS(6711),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9576] = {
    [sym_heredoc_body] = STATE(9574),
    [aux_sym_call_repeat1] = STATE(9574),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9577] = {
    [aux_sym_argument_list_repeat1] = STATE(9577),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13737),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [9578] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [9579] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10914),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_assignment] = STATE(10914),
    [sym_operator_assignment] = STATE(10914),
    [sym_conditional] = STATE(10914),
    [sym_range] = STATE(10914),
    [sym_binary] = STATE(10914),
    [sym_unary] = STATE(10914),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9580] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [9581] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [9582] = {
    [sym_heredoc_body] = STATE(9582),
    [aux_sym_call_repeat1] = STATE(9582),
    [sym__heredoc_body_start] = ACTIONS(10362),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [9583] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4382),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym__argument] = STATE(7428),
    [sym_splat_argument] = STATE(7428),
    [sym_hash_splat_argument] = STATE(7428),
    [sym_block_argument] = STATE(7428),
    [sym_assignment] = STATE(4382),
    [sym_operator_assignment] = STATE(4382),
    [sym_conditional] = STATE(4382),
    [sym_range] = STATE(4382),
    [sym_binary] = STATE(4382),
    [sym_unary] = STATE(4382),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4385),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7428),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(6745),
    [sym__splat_star] = ACTIONS(6747),
    [sym__unary_minus] = ACTIONS(3232),
    [sym__identifier_hash_key] = ACTIONS(6749),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12352),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(6751),
    [sym_identifier] = ACTIONS(6751),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9584] = {
    [sym_heredoc_body] = STATE(9582),
    [aux_sym_call_repeat1] = STATE(9582),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [9585] = {
    [aux_sym_argument_list_repeat1] = STATE(9585),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13740),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [9586] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [9587] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7287),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1900),
    [sym_scope_resolution] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_method_call] = STATE(1900),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(7287),
    [sym_operator_assignment] = STATE(7287),
    [sym_conditional] = STATE(7287),
    [sym_range] = STATE(7287),
    [sym_binary] = STATE(7287),
    [sym_unary] = STATE(7287),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(1899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1900),
    [sym__variable] = STATE(1896),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1900),
    [sym_false] = STATE(1900),
    [sym_nil] = STATE(1900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4350),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(6707),
    [sym__unary_minus] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_next] = ACTIONS(3170),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6701),
    [anon_sym_defined_QMARK] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [sym_constant] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [sym_instance_variable] = ACTIONS(3182),
    [sym_class_variable] = ACTIONS(3182),
    [sym_global_variable] = ACTIONS(3182),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3184),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3184),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9588] = {
    [aux_sym_exceptions_repeat1] = STATE(10915),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13743),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9589] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(3188),
    [sym__binary_star] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3210),
    [anon_sym_GT_GT] = ACTIONS(3210),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ_GT] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3208),
    [anon_sym_BANG_TILDE] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(87),
  },
  [9590] = {
    [sym__heredoc_body_start] = ACTIONS(12078),
    [sym__element_reference_left_bracket] = ACTIONS(12078),
    [sym__infix_scope_colons] = ACTIONS(12078),
    [sym__binary_minus] = ACTIONS(12078),
    [sym__binary_star] = ACTIONS(12078),
    [anon_sym_LBRACE] = ACTIONS(12078),
    [anon_sym_RBRACE] = ACTIONS(12078),
    [anon_sym_RPAREN] = ACTIONS(12078),
    [anon_sym_DOT] = ACTIONS(12080),
    [anon_sym_COMMA] = ACTIONS(12078),
    [anon_sym_PIPE] = ACTIONS(12080),
    [anon_sym_SEMI] = ACTIONS(12078),
    [anon_sym_STAR_STAR] = ACTIONS(12080),
    [anon_sym_AMP] = ACTIONS(12080),
    [anon_sym_EQ] = ACTIONS(12080),
    [anon_sym_LT] = ACTIONS(12080),
    [anon_sym_if] = ACTIONS(12078),
    [anon_sym_unless] = ACTIONS(12078),
    [anon_sym_while] = ACTIONS(12078),
    [anon_sym_until] = ACTIONS(12078),
    [anon_sym_rescue] = ACTIONS(12078),
    [anon_sym_in] = ACTIONS(12078),
    [anon_sym_do] = ACTIONS(12078),
    [anon_sym_RBRACK] = ACTIONS(12078),
    [anon_sym_AMP_DOT] = ACTIONS(12078),
    [anon_sym_PLUS_EQ] = ACTIONS(12078),
    [anon_sym_DASH_EQ] = ACTIONS(12078),
    [anon_sym_STAR_EQ] = ACTIONS(12078),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12078),
    [anon_sym_SLASH_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_PIPE_EQ] = ACTIONS(12078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12078),
    [anon_sym_AMP_EQ] = ACTIONS(12078),
    [anon_sym_PERCENT_EQ] = ACTIONS(12078),
    [anon_sym_GT_GT_EQ] = ACTIONS(12078),
    [anon_sym_LT_LT_EQ] = ACTIONS(12078),
    [anon_sym_CARET_EQ] = ACTIONS(12078),
    [anon_sym_QMARK] = ACTIONS(12078),
    [anon_sym_COLON] = ACTIONS(12078),
    [anon_sym_DOT_DOT] = ACTIONS(12080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12078),
    [anon_sym_and] = ACTIONS(12078),
    [anon_sym_or] = ACTIONS(12078),
    [anon_sym_PIPE_PIPE] = ACTIONS(12080),
    [anon_sym_AMP_AMP] = ACTIONS(12080),
    [anon_sym_LT_LT] = ACTIONS(12080),
    [anon_sym_GT_GT] = ACTIONS(12080),
    [anon_sym_EQ_EQ] = ACTIONS(12080),
    [anon_sym_BANG_EQ] = ACTIONS(12078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12078),
    [anon_sym_LT_EQ_GT] = ACTIONS(12078),
    [anon_sym_EQ_TILDE] = ACTIONS(12078),
    [anon_sym_BANG_TILDE] = ACTIONS(12078),
    [anon_sym_LT_EQ] = ACTIONS(12080),
    [anon_sym_GT] = ACTIONS(12080),
    [anon_sym_GT_EQ] = ACTIONS(12078),
    [anon_sym_CARET] = ACTIONS(12080),
    [anon_sym_PLUS] = ACTIONS(12080),
    [anon_sym_SLASH] = ACTIONS(12080),
    [anon_sym_PERCENT] = ACTIONS(12080),
    [sym_comment] = ACTIONS(87),
  },
  [9591] = {
    [sym__simple_symbol] = ACTIONS(7758),
    [sym__string_start] = ACTIONS(7758),
    [sym__symbol_start] = ACTIONS(7758),
    [sym__subshell_start] = ACTIONS(7758),
    [sym__regex_start] = ACTIONS(7758),
    [sym__string_array_start] = ACTIONS(7758),
    [sym__symbol_array_start] = ACTIONS(7758),
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym_heredoc_beginning] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__block_ampersand] = ACTIONS(7758),
    [sym__splat_star] = ACTIONS(7758),
    [sym__argument_list_left_paren] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__unary_minus] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [sym__identifier_hash_key] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RBRACE] = ACTIONS(7758),
    [anon_sym_def] = ACTIONS(7760),
    [anon_sym_LPAREN] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COLON_COLON] = ACTIONS(7758),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR] = ACTIONS(7760),
    [anon_sym_STAR_STAR] = ACTIONS(7760),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_class] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_module] = ACTIONS(7760),
    [anon_sym_return] = ACTIONS(7760),
    [anon_sym_yield] = ACTIONS(7760),
    [anon_sym_break] = ACTIONS(7760),
    [anon_sym_next] = ACTIONS(7760),
    [sym_redo] = ACTIONS(7760),
    [sym_retry] = ACTIONS(7760),
    [anon_sym_if] = ACTIONS(7760),
    [anon_sym_unless] = ACTIONS(7760),
    [anon_sym_while] = ACTIONS(7760),
    [anon_sym_until] = ACTIONS(7760),
    [anon_sym_rescue] = ACTIONS(7760),
    [anon_sym_for] = ACTIONS(7760),
    [anon_sym_in] = ACTIONS(7760),
    [anon_sym_do] = ACTIONS(7760),
    [anon_sym_case] = ACTIONS(7760),
    [anon_sym_begin] = ACTIONS(7760),
    [anon_sym_RBRACK] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS_EQ] = ACTIONS(7758),
    [anon_sym_DASH_EQ] = ACTIONS(7758),
    [anon_sym_STAR_EQ] = ACTIONS(7758),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7758),
    [anon_sym_SLASH_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_PIPE_EQ] = ACTIONS(7758),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7758),
    [anon_sym_AMP_EQ] = ACTIONS(7758),
    [anon_sym_PERCENT_EQ] = ACTIONS(7758),
    [anon_sym_GT_GT_EQ] = ACTIONS(7758),
    [anon_sym_LT_LT_EQ] = ACTIONS(7758),
    [anon_sym_CARET_EQ] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7760),
    [anon_sym_COLON] = ACTIONS(7760),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7760),
    [anon_sym_or] = ACTIONS(7760),
    [anon_sym_PIPE_PIPE] = ACTIONS(7760),
    [anon_sym_AMP_AMP] = ACTIONS(7760),
    [anon_sym_LT_LT] = ACTIONS(7760),
    [anon_sym_GT_GT] = ACTIONS(7760),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7760),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_SLASH] = ACTIONS(7760),
    [anon_sym_PERCENT] = ACTIONS(7760),
    [anon_sym_defined_QMARK] = ACTIONS(7758),
    [anon_sym_not] = ACTIONS(7760),
    [anon_sym_BANG] = ACTIONS(7760),
    [anon_sym_TILDE] = ACTIONS(7758),
    [sym_constant] = ACTIONS(7760),
    [sym_identifier] = ACTIONS(7760),
    [sym_instance_variable] = ACTIONS(7758),
    [sym_class_variable] = ACTIONS(7758),
    [sym_global_variable] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(7760),
    [sym_float] = ACTIONS(7760),
    [sym_complex] = ACTIONS(7758),
    [sym_super] = ACTIONS(7760),
    [anon_sym_true] = ACTIONS(7760),
    [anon_sym_TRUE] = ACTIONS(7760),
    [anon_sym_false] = ACTIONS(7760),
    [anon_sym_FALSE] = ACTIONS(7760),
    [sym_self] = ACTIONS(7760),
    [anon_sym_nil] = ACTIONS(7760),
    [anon_sym_NIL] = ACTIONS(7760),
    [sym_character] = ACTIONS(7758),
    [anon_sym_LBRACK] = ACTIONS(7758),
    [anon_sym_DASH_GT] = ACTIONS(7758),
  },
  [9592] = {
    [anon_sym_RPAREN] = ACTIONS(13745),
    [sym_comment] = ACTIONS(87),
  },
  [9593] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [9594] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [9595] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [9596] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [9597] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [9598] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [9599] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13747),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9600] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [9601] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(10214),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [9602] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [9603] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [9604] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [9605] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(10214),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [9606] = {
    [aux_sym_exceptions_repeat1] = STATE(10919),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [9607] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(10214),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [9608] = {
    [sym_string] = STATE(9608),
    [aux_sym_chained_string_repeat1] = STATE(9608),
    [sym__string_start] = ACTIONS(13708),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [9609] = {
    [sym__heredoc_body_start] = ACTIONS(11905),
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [sym__binary_minus] = ACTIONS(11905),
    [sym__binary_star] = ACTIONS(11905),
    [anon_sym_LBRACE] = ACTIONS(11905),
    [anon_sym_RBRACE] = ACTIONS(11905),
    [anon_sym_RPAREN] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11907),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_PIPE] = ACTIONS(11907),
    [anon_sym_SEMI] = ACTIONS(11905),
    [anon_sym_STAR_STAR] = ACTIONS(11907),
    [anon_sym_AMP] = ACTIONS(11907),
    [anon_sym_EQ] = ACTIONS(11907),
    [anon_sym_LT] = ACTIONS(11907),
    [anon_sym_if] = ACTIONS(11905),
    [anon_sym_unless] = ACTIONS(11905),
    [anon_sym_while] = ACTIONS(11905),
    [anon_sym_until] = ACTIONS(11905),
    [anon_sym_rescue] = ACTIONS(11905),
    [anon_sym_in] = ACTIONS(11905),
    [anon_sym_do] = ACTIONS(11905),
    [anon_sym_RBRACK] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [anon_sym_PLUS_EQ] = ACTIONS(11905),
    [anon_sym_DASH_EQ] = ACTIONS(11905),
    [anon_sym_STAR_EQ] = ACTIONS(11905),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11905),
    [anon_sym_SLASH_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_PIPE_EQ] = ACTIONS(11905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11905),
    [anon_sym_AMP_EQ] = ACTIONS(11905),
    [anon_sym_PERCENT_EQ] = ACTIONS(11905),
    [anon_sym_GT_GT_EQ] = ACTIONS(11905),
    [anon_sym_LT_LT_EQ] = ACTIONS(11905),
    [anon_sym_CARET_EQ] = ACTIONS(11905),
    [anon_sym_QMARK] = ACTIONS(11905),
    [anon_sym_COLON] = ACTIONS(11905),
    [anon_sym_DOT_DOT] = ACTIONS(11907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11905),
    [anon_sym_and] = ACTIONS(11905),
    [anon_sym_or] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE] = ACTIONS(11907),
    [anon_sym_AMP_AMP] = ACTIONS(11907),
    [anon_sym_LT_LT] = ACTIONS(11907),
    [anon_sym_GT_GT] = ACTIONS(11907),
    [anon_sym_EQ_EQ] = ACTIONS(11907),
    [anon_sym_BANG_EQ] = ACTIONS(11905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11905),
    [anon_sym_LT_EQ_GT] = ACTIONS(11905),
    [anon_sym_EQ_TILDE] = ACTIONS(11905),
    [anon_sym_BANG_TILDE] = ACTIONS(11905),
    [anon_sym_LT_EQ] = ACTIONS(11907),
    [anon_sym_GT] = ACTIONS(11907),
    [anon_sym_GT_EQ] = ACTIONS(11905),
    [anon_sym_CARET] = ACTIONS(11907),
    [anon_sym_PLUS] = ACTIONS(11907),
    [anon_sym_SLASH] = ACTIONS(11907),
    [anon_sym_PERCENT] = ACTIONS(11907),
    [sym_comment] = ACTIONS(87),
  },
  [9610] = {
    [sym__heredoc_body_start] = ACTIONS(11938),
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [sym__binary_minus] = ACTIONS(11938),
    [sym__binary_star] = ACTIONS(11938),
    [anon_sym_LBRACE] = ACTIONS(11938),
    [anon_sym_RBRACE] = ACTIONS(11938),
    [anon_sym_RPAREN] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11940),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_PIPE] = ACTIONS(11940),
    [anon_sym_SEMI] = ACTIONS(11938),
    [anon_sym_STAR_STAR] = ACTIONS(11940),
    [anon_sym_AMP] = ACTIONS(11940),
    [anon_sym_EQ] = ACTIONS(11940),
    [anon_sym_LT] = ACTIONS(11940),
    [anon_sym_if] = ACTIONS(11938),
    [anon_sym_unless] = ACTIONS(11938),
    [anon_sym_while] = ACTIONS(11938),
    [anon_sym_until] = ACTIONS(11938),
    [anon_sym_rescue] = ACTIONS(11938),
    [anon_sym_in] = ACTIONS(11938),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_RBRACK] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [anon_sym_PLUS_EQ] = ACTIONS(11938),
    [anon_sym_DASH_EQ] = ACTIONS(11938),
    [anon_sym_STAR_EQ] = ACTIONS(11938),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11938),
    [anon_sym_SLASH_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_PIPE_EQ] = ACTIONS(11938),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11938),
    [anon_sym_AMP_EQ] = ACTIONS(11938),
    [anon_sym_PERCENT_EQ] = ACTIONS(11938),
    [anon_sym_GT_GT_EQ] = ACTIONS(11938),
    [anon_sym_LT_LT_EQ] = ACTIONS(11938),
    [anon_sym_CARET_EQ] = ACTIONS(11938),
    [anon_sym_QMARK] = ACTIONS(11938),
    [anon_sym_COLON] = ACTIONS(11938),
    [anon_sym_DOT_DOT] = ACTIONS(11940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11938),
    [anon_sym_and] = ACTIONS(11938),
    [anon_sym_or] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE] = ACTIONS(11940),
    [anon_sym_AMP_AMP] = ACTIONS(11940),
    [anon_sym_LT_LT] = ACTIONS(11940),
    [anon_sym_GT_GT] = ACTIONS(11940),
    [anon_sym_EQ_EQ] = ACTIONS(11940),
    [anon_sym_BANG_EQ] = ACTIONS(11938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11938),
    [anon_sym_LT_EQ_GT] = ACTIONS(11938),
    [anon_sym_EQ_TILDE] = ACTIONS(11938),
    [anon_sym_BANG_TILDE] = ACTIONS(11938),
    [anon_sym_LT_EQ] = ACTIONS(11940),
    [anon_sym_GT] = ACTIONS(11940),
    [anon_sym_GT_EQ] = ACTIONS(11938),
    [anon_sym_CARET] = ACTIONS(11940),
    [anon_sym_PLUS] = ACTIONS(11940),
    [anon_sym_SLASH] = ACTIONS(11940),
    [anon_sym_PERCENT] = ACTIONS(11940),
    [sym_comment] = ACTIONS(87),
  },
  [9611] = {
    [anon_sym_end] = ACTIONS(13749),
    [sym_comment] = ACTIONS(87),
  },
  [9612] = {
    [sym__statements] = STATE(10921),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13751),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9613] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10922),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_assignment] = STATE(10922),
    [sym_operator_assignment] = STATE(10922),
    [sym_conditional] = STATE(10922),
    [sym_range] = STATE(10922),
    [sym_binary] = STATE(10922),
    [sym_unary] = STATE(10922),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9614] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7342),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(1941),
    [sym_scope_resolution] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_method_call] = STATE(1941),
    [sym_splat_argument] = STATE(9654),
    [sym_assignment] = STATE(7342),
    [sym_operator_assignment] = STATE(7342),
    [sym_conditional] = STATE(7342),
    [sym_range] = STATE(7342),
    [sym_binary] = STATE(7342),
    [sym_unary] = STATE(7342),
    [sym__arg_or_splat_arg] = STATE(9654),
    [sym_left_assignment_list] = STATE(1940),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1941),
    [sym__variable] = STATE(1935),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(1941),
    [sym_false] = STATE(1941),
    [sym_nil] = STATE(1941),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4429),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(6747),
    [sym__unary_minus] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_next] = ACTIONS(3244),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(6797),
    [anon_sym_defined_QMARK] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [sym_constant] = ACTIONS(3260),
    [sym_identifier] = ACTIONS(3260),
    [sym_instance_variable] = ACTIONS(3258),
    [sym_class_variable] = ACTIONS(3258),
    [sym_global_variable] = ACTIONS(3258),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3260),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3260),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9615] = {
    [aux_sym_exceptions_repeat1] = STATE(10923),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13753),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [9616] = {
    [aux_sym_exceptions_repeat1] = STATE(9616),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(13755),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9617] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(3278),
    [sym__binary_star] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3298),
    [anon_sym_GT_GT] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ_GT] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3296),
    [anon_sym_BANG_TILDE] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [sym_comment] = ACTIONS(87),
  },
  [9618] = {
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(11449),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_in] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_RBRACK] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_COLON] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9619] = {
    [aux_sym_exceptions_repeat1] = STATE(9619),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13758),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9620] = {
    [sym__element_reference_left_bracket] = ACTIONS(12737),
    [sym__infix_scope_colons] = ACTIONS(12737),
    [sym__binary_minus] = ACTIONS(12737),
    [sym__binary_star] = ACTIONS(12737),
    [anon_sym_LBRACE] = ACTIONS(12737),
    [anon_sym_RBRACE] = ACTIONS(12737),
    [anon_sym_RPAREN] = ACTIONS(12737),
    [anon_sym_DOT] = ACTIONS(12739),
    [anon_sym_COMMA] = ACTIONS(12737),
    [anon_sym_PIPE] = ACTIONS(12739),
    [anon_sym_SEMI] = ACTIONS(12737),
    [anon_sym_STAR_STAR] = ACTIONS(12737),
    [anon_sym_AMP] = ACTIONS(12739),
    [anon_sym_LT] = ACTIONS(12739),
    [anon_sym_if] = ACTIONS(12737),
    [anon_sym_unless] = ACTIONS(12737),
    [anon_sym_while] = ACTIONS(12737),
    [anon_sym_until] = ACTIONS(12737),
    [anon_sym_rescue] = ACTIONS(12737),
    [anon_sym_do] = ACTIONS(12737),
    [anon_sym_EQ_GT] = ACTIONS(12737),
    [anon_sym_AMP_DOT] = ACTIONS(12737),
    [anon_sym_QMARK] = ACTIONS(12737),
    [anon_sym_COLON] = ACTIONS(12737),
    [anon_sym_DOT_DOT] = ACTIONS(12739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12737),
    [anon_sym_and] = ACTIONS(12737),
    [anon_sym_or] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE] = ACTIONS(12737),
    [anon_sym_AMP_AMP] = ACTIONS(12737),
    [anon_sym_LT_LT] = ACTIONS(12737),
    [anon_sym_GT_GT] = ACTIONS(12737),
    [anon_sym_EQ_EQ] = ACTIONS(12739),
    [anon_sym_BANG_EQ] = ACTIONS(12737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12737),
    [anon_sym_LT_EQ_GT] = ACTIONS(12737),
    [anon_sym_EQ_TILDE] = ACTIONS(12737),
    [anon_sym_BANG_TILDE] = ACTIONS(12737),
    [anon_sym_LT_EQ] = ACTIONS(12739),
    [anon_sym_GT] = ACTIONS(12739),
    [anon_sym_GT_EQ] = ACTIONS(12737),
    [anon_sym_CARET] = ACTIONS(12737),
    [anon_sym_PLUS] = ACTIONS(12737),
    [anon_sym_SLASH] = ACTIONS(12737),
    [anon_sym_PERCENT] = ACTIONS(12737),
    [sym_comment] = ACTIONS(87),
  },
  [9621] = {
    [anon_sym_end] = ACTIONS(13761),
    [sym_comment] = ACTIONS(87),
  },
  [9622] = {
    [sym__element_reference_left_bracket] = ACTIONS(12881),
    [sym__infix_scope_colons] = ACTIONS(12881),
    [sym__binary_minus] = ACTIONS(12881),
    [sym__binary_star] = ACTIONS(12881),
    [anon_sym_LBRACE] = ACTIONS(12881),
    [anon_sym_RBRACE] = ACTIONS(12881),
    [anon_sym_RPAREN] = ACTIONS(12881),
    [anon_sym_DOT] = ACTIONS(12883),
    [anon_sym_COMMA] = ACTIONS(12881),
    [anon_sym_PIPE] = ACTIONS(12883),
    [anon_sym_SEMI] = ACTIONS(12881),
    [anon_sym_STAR_STAR] = ACTIONS(12881),
    [anon_sym_AMP] = ACTIONS(12883),
    [anon_sym_LT] = ACTIONS(12883),
    [anon_sym_if] = ACTIONS(12881),
    [anon_sym_unless] = ACTIONS(12881),
    [anon_sym_while] = ACTIONS(12881),
    [anon_sym_until] = ACTIONS(12881),
    [anon_sym_rescue] = ACTIONS(12881),
    [anon_sym_do] = ACTIONS(12881),
    [anon_sym_EQ_GT] = ACTIONS(12881),
    [anon_sym_AMP_DOT] = ACTIONS(12881),
    [anon_sym_QMARK] = ACTIONS(12881),
    [anon_sym_COLON] = ACTIONS(12881),
    [anon_sym_DOT_DOT] = ACTIONS(12883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12881),
    [anon_sym_and] = ACTIONS(12881),
    [anon_sym_or] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE] = ACTIONS(12881),
    [anon_sym_AMP_AMP] = ACTIONS(12881),
    [anon_sym_LT_LT] = ACTIONS(12881),
    [anon_sym_GT_GT] = ACTIONS(12881),
    [anon_sym_EQ_EQ] = ACTIONS(12883),
    [anon_sym_BANG_EQ] = ACTIONS(12881),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12881),
    [anon_sym_LT_EQ_GT] = ACTIONS(12881),
    [anon_sym_EQ_TILDE] = ACTIONS(12881),
    [anon_sym_BANG_TILDE] = ACTIONS(12881),
    [anon_sym_LT_EQ] = ACTIONS(12883),
    [anon_sym_GT] = ACTIONS(12883),
    [anon_sym_GT_EQ] = ACTIONS(12881),
    [anon_sym_CARET] = ACTIONS(12881),
    [anon_sym_PLUS] = ACTIONS(12881),
    [anon_sym_SLASH] = ACTIONS(12881),
    [anon_sym_PERCENT] = ACTIONS(12881),
    [sym_comment] = ACTIONS(87),
  },
  [9623] = {
    [sym__element_reference_left_bracket] = ACTIONS(13033),
    [sym__infix_scope_colons] = ACTIONS(13033),
    [sym__binary_minus] = ACTIONS(13033),
    [sym__binary_star] = ACTIONS(13033),
    [anon_sym_LBRACE] = ACTIONS(13033),
    [anon_sym_RBRACE] = ACTIONS(13033),
    [anon_sym_RPAREN] = ACTIONS(13033),
    [anon_sym_DOT] = ACTIONS(13035),
    [anon_sym_COMMA] = ACTIONS(13033),
    [anon_sym_PIPE] = ACTIONS(13035),
    [anon_sym_SEMI] = ACTIONS(13033),
    [anon_sym_STAR_STAR] = ACTIONS(13033),
    [anon_sym_AMP] = ACTIONS(13035),
    [anon_sym_LT] = ACTIONS(13035),
    [anon_sym_if] = ACTIONS(13033),
    [anon_sym_unless] = ACTIONS(13033),
    [anon_sym_while] = ACTIONS(13033),
    [anon_sym_until] = ACTIONS(13033),
    [anon_sym_rescue] = ACTIONS(13033),
    [anon_sym_do] = ACTIONS(13033),
    [anon_sym_EQ_GT] = ACTIONS(13033),
    [anon_sym_AMP_DOT] = ACTIONS(13033),
    [anon_sym_QMARK] = ACTIONS(13033),
    [anon_sym_COLON] = ACTIONS(13033),
    [anon_sym_DOT_DOT] = ACTIONS(13035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13033),
    [anon_sym_and] = ACTIONS(13033),
    [anon_sym_or] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE] = ACTIONS(13033),
    [anon_sym_AMP_AMP] = ACTIONS(13033),
    [anon_sym_LT_LT] = ACTIONS(13033),
    [anon_sym_GT_GT] = ACTIONS(13033),
    [anon_sym_EQ_EQ] = ACTIONS(13035),
    [anon_sym_BANG_EQ] = ACTIONS(13033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13033),
    [anon_sym_LT_EQ_GT] = ACTIONS(13033),
    [anon_sym_EQ_TILDE] = ACTIONS(13033),
    [anon_sym_BANG_TILDE] = ACTIONS(13033),
    [anon_sym_LT_EQ] = ACTIONS(13035),
    [anon_sym_GT] = ACTIONS(13035),
    [anon_sym_GT_EQ] = ACTIONS(13033),
    [anon_sym_CARET] = ACTIONS(13033),
    [anon_sym_PLUS] = ACTIONS(13033),
    [anon_sym_SLASH] = ACTIONS(13033),
    [anon_sym_PERCENT] = ACTIONS(13033),
    [sym_comment] = ACTIONS(87),
  },
  [9624] = {
    [sym__element_reference_left_bracket] = ACTIONS(13044),
    [sym__infix_scope_colons] = ACTIONS(13044),
    [sym__binary_minus] = ACTIONS(13044),
    [sym__binary_star] = ACTIONS(13044),
    [anon_sym_LBRACE] = ACTIONS(13044),
    [anon_sym_RBRACE] = ACTIONS(13044),
    [anon_sym_RPAREN] = ACTIONS(13044),
    [anon_sym_DOT] = ACTIONS(13046),
    [anon_sym_COMMA] = ACTIONS(13044),
    [anon_sym_PIPE] = ACTIONS(13046),
    [anon_sym_SEMI] = ACTIONS(13044),
    [anon_sym_STAR_STAR] = ACTIONS(13044),
    [anon_sym_AMP] = ACTIONS(13046),
    [anon_sym_LT] = ACTIONS(13046),
    [anon_sym_if] = ACTIONS(13044),
    [anon_sym_unless] = ACTIONS(13044),
    [anon_sym_while] = ACTIONS(13044),
    [anon_sym_until] = ACTIONS(13044),
    [anon_sym_rescue] = ACTIONS(13044),
    [anon_sym_do] = ACTIONS(13044),
    [anon_sym_EQ_GT] = ACTIONS(13044),
    [anon_sym_AMP_DOT] = ACTIONS(13044),
    [anon_sym_QMARK] = ACTIONS(13044),
    [anon_sym_COLON] = ACTIONS(13044),
    [anon_sym_DOT_DOT] = ACTIONS(13046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13044),
    [anon_sym_and] = ACTIONS(13044),
    [anon_sym_or] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE] = ACTIONS(13044),
    [anon_sym_AMP_AMP] = ACTIONS(13044),
    [anon_sym_LT_LT] = ACTIONS(13044),
    [anon_sym_GT_GT] = ACTIONS(13044),
    [anon_sym_EQ_EQ] = ACTIONS(13046),
    [anon_sym_BANG_EQ] = ACTIONS(13044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13044),
    [anon_sym_LT_EQ_GT] = ACTIONS(13044),
    [anon_sym_EQ_TILDE] = ACTIONS(13044),
    [anon_sym_BANG_TILDE] = ACTIONS(13044),
    [anon_sym_LT_EQ] = ACTIONS(13046),
    [anon_sym_GT] = ACTIONS(13046),
    [anon_sym_GT_EQ] = ACTIONS(13044),
    [anon_sym_CARET] = ACTIONS(13044),
    [anon_sym_PLUS] = ACTIONS(13044),
    [anon_sym_SLASH] = ACTIONS(13044),
    [anon_sym_PERCENT] = ACTIONS(13044),
    [sym_comment] = ACTIONS(87),
  },
  [9625] = {
    [sym__element_reference_left_bracket] = ACTIONS(13374),
    [sym__infix_scope_colons] = ACTIONS(13374),
    [sym__binary_minus] = ACTIONS(13374),
    [sym__binary_star] = ACTIONS(13374),
    [anon_sym_LBRACE] = ACTIONS(13374),
    [anon_sym_RBRACE] = ACTIONS(13374),
    [anon_sym_RPAREN] = ACTIONS(13374),
    [anon_sym_DOT] = ACTIONS(13376),
    [anon_sym_COMMA] = ACTIONS(13374),
    [anon_sym_PIPE] = ACTIONS(13376),
    [anon_sym_SEMI] = ACTIONS(13374),
    [anon_sym_STAR_STAR] = ACTIONS(13374),
    [anon_sym_AMP] = ACTIONS(13376),
    [anon_sym_LT] = ACTIONS(13376),
    [anon_sym_if] = ACTIONS(13374),
    [anon_sym_unless] = ACTIONS(13374),
    [anon_sym_while] = ACTIONS(13374),
    [anon_sym_until] = ACTIONS(13374),
    [anon_sym_rescue] = ACTIONS(13374),
    [anon_sym_do] = ACTIONS(13374),
    [anon_sym_EQ_GT] = ACTIONS(13374),
    [anon_sym_AMP_DOT] = ACTIONS(13374),
    [anon_sym_QMARK] = ACTIONS(13374),
    [anon_sym_COLON] = ACTIONS(13374),
    [anon_sym_DOT_DOT] = ACTIONS(13376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13374),
    [anon_sym_and] = ACTIONS(13374),
    [anon_sym_or] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE] = ACTIONS(13374),
    [anon_sym_AMP_AMP] = ACTIONS(13374),
    [anon_sym_LT_LT] = ACTIONS(13374),
    [anon_sym_GT_GT] = ACTIONS(13374),
    [anon_sym_EQ_EQ] = ACTIONS(13376),
    [anon_sym_BANG_EQ] = ACTIONS(13374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13374),
    [anon_sym_LT_EQ_GT] = ACTIONS(13374),
    [anon_sym_EQ_TILDE] = ACTIONS(13374),
    [anon_sym_BANG_TILDE] = ACTIONS(13374),
    [anon_sym_LT_EQ] = ACTIONS(13376),
    [anon_sym_GT] = ACTIONS(13376),
    [anon_sym_GT_EQ] = ACTIONS(13374),
    [anon_sym_CARET] = ACTIONS(13374),
    [anon_sym_PLUS] = ACTIONS(13374),
    [anon_sym_SLASH] = ACTIONS(13374),
    [anon_sym_PERCENT] = ACTIONS(13374),
    [sym_comment] = ACTIONS(87),
  },
  [9626] = {
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [sym__binary_minus] = ACTIONS(13557),
    [sym__binary_star] = ACTIONS(13557),
    [anon_sym_LBRACE] = ACTIONS(13557),
    [anon_sym_RBRACE] = ACTIONS(13557),
    [anon_sym_RPAREN] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13559),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_PIPE] = ACTIONS(13559),
    [anon_sym_SEMI] = ACTIONS(13557),
    [anon_sym_STAR_STAR] = ACTIONS(13557),
    [anon_sym_AMP] = ACTIONS(13559),
    [anon_sym_LT] = ACTIONS(13559),
    [anon_sym_if] = ACTIONS(13557),
    [anon_sym_unless] = ACTIONS(13557),
    [anon_sym_while] = ACTIONS(13557),
    [anon_sym_until] = ACTIONS(13557),
    [anon_sym_rescue] = ACTIONS(13557),
    [anon_sym_do] = ACTIONS(13557),
    [anon_sym_EQ_GT] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [anon_sym_QMARK] = ACTIONS(13557),
    [anon_sym_COLON] = ACTIONS(13557),
    [anon_sym_DOT_DOT] = ACTIONS(13559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13557),
    [anon_sym_and] = ACTIONS(13557),
    [anon_sym_or] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE] = ACTIONS(13557),
    [anon_sym_AMP_AMP] = ACTIONS(13557),
    [anon_sym_LT_LT] = ACTIONS(13557),
    [anon_sym_GT_GT] = ACTIONS(13557),
    [anon_sym_EQ_EQ] = ACTIONS(13559),
    [anon_sym_BANG_EQ] = ACTIONS(13557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13557),
    [anon_sym_LT_EQ_GT] = ACTIONS(13557),
    [anon_sym_EQ_TILDE] = ACTIONS(13557),
    [anon_sym_BANG_TILDE] = ACTIONS(13557),
    [anon_sym_LT_EQ] = ACTIONS(13559),
    [anon_sym_GT] = ACTIONS(13559),
    [anon_sym_GT_EQ] = ACTIONS(13557),
    [anon_sym_CARET] = ACTIONS(13557),
    [anon_sym_PLUS] = ACTIONS(13557),
    [anon_sym_SLASH] = ACTIONS(13557),
    [anon_sym_PERCENT] = ACTIONS(13557),
    [sym_comment] = ACTIONS(87),
  },
  [9627] = {
    [anon_sym_end] = ACTIONS(13763),
    [sym_comment] = ACTIONS(87),
  },
  [9628] = {
    [sym__simple_symbol] = ACTIONS(10783),
    [sym__string_start] = ACTIONS(10783),
    [sym__symbol_start] = ACTIONS(10783),
    [sym__subshell_start] = ACTIONS(10783),
    [sym__regex_start] = ACTIONS(10783),
    [sym__string_array_start] = ACTIONS(10783),
    [sym__symbol_array_start] = ACTIONS(10783),
    [sym_heredoc_beginning] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__block_ampersand] = ACTIONS(10783),
    [sym__splat_star] = ACTIONS(10783),
    [sym__argument_list_left_paren] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__unary_minus] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [sym__identifier_hash_key] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_def] = ACTIONS(10785),
    [anon_sym_LPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COLON_COLON] = ACTIONS(10783),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_STAR] = ACTIONS(10785),
    [anon_sym_STAR_STAR] = ACTIONS(10785),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_class] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_module] = ACTIONS(10785),
    [anon_sym_return] = ACTIONS(10785),
    [anon_sym_yield] = ACTIONS(10785),
    [anon_sym_break] = ACTIONS(10785),
    [anon_sym_next] = ACTIONS(10785),
    [sym_redo] = ACTIONS(10785),
    [sym_retry] = ACTIONS(10785),
    [anon_sym_if] = ACTIONS(10785),
    [anon_sym_unless] = ACTIONS(10785),
    [anon_sym_while] = ACTIONS(10785),
    [anon_sym_until] = ACTIONS(10785),
    [anon_sym_for] = ACTIONS(10785),
    [anon_sym_do] = ACTIONS(10785),
    [anon_sym_case] = ACTIONS(10785),
    [anon_sym_begin] = ACTIONS(10785),
    [anon_sym_EQ_GT] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS_EQ] = ACTIONS(10783),
    [anon_sym_DASH_EQ] = ACTIONS(10783),
    [anon_sym_STAR_EQ] = ACTIONS(10783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10783),
    [anon_sym_SLASH_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10783),
    [anon_sym_AMP_EQ] = ACTIONS(10783),
    [anon_sym_PERCENT_EQ] = ACTIONS(10783),
    [anon_sym_GT_GT_EQ] = ACTIONS(10783),
    [anon_sym_LT_LT_EQ] = ACTIONS(10783),
    [anon_sym_CARET_EQ] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10785),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10785),
    [anon_sym_or] = ACTIONS(10785),
    [anon_sym_PIPE_PIPE] = ACTIONS(10785),
    [anon_sym_AMP_AMP] = ACTIONS(10785),
    [anon_sym_LT_LT] = ACTIONS(10785),
    [anon_sym_GT_GT] = ACTIONS(10785),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10785),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_SLASH] = ACTIONS(10785),
    [anon_sym_PERCENT] = ACTIONS(10785),
    [anon_sym_defined_QMARK] = ACTIONS(10783),
    [anon_sym_not] = ACTIONS(10785),
    [anon_sym_BANG] = ACTIONS(10785),
    [anon_sym_TILDE] = ACTIONS(10783),
    [sym_constant] = ACTIONS(10785),
    [sym_identifier] = ACTIONS(10785),
    [sym_instance_variable] = ACTIONS(10783),
    [sym_class_variable] = ACTIONS(10783),
    [sym_global_variable] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(10785),
    [sym_float] = ACTIONS(10785),
    [sym_complex] = ACTIONS(10783),
    [sym_super] = ACTIONS(10785),
    [anon_sym_true] = ACTIONS(10785),
    [anon_sym_TRUE] = ACTIONS(10785),
    [anon_sym_false] = ACTIONS(10785),
    [anon_sym_FALSE] = ACTIONS(10785),
    [sym_self] = ACTIONS(10785),
    [anon_sym_nil] = ACTIONS(10785),
    [anon_sym_NIL] = ACTIONS(10785),
    [sym_character] = ACTIONS(10783),
    [anon_sym_LBRACK] = ACTIONS(10783),
    [anon_sym_DASH_GT] = ACTIONS(10783),
  },
  [9629] = {
    [sym__heredoc_body_start] = ACTIONS(9993),
    [sym__element_reference_left_bracket] = ACTIONS(9993),
    [sym__infix_scope_colons] = ACTIONS(9993),
    [sym__binary_minus] = ACTIONS(9993),
    [sym__binary_star] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_RBRACE] = ACTIONS(9993),
    [anon_sym_RPAREN] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9995),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_PIPE] = ACTIONS(9995),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_STAR_STAR] = ACTIONS(9995),
    [anon_sym_AMP] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9995),
    [anon_sym_LT] = ACTIONS(9995),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_unless] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [anon_sym_until] = ACTIONS(9993),
    [anon_sym_rescue] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_do] = ACTIONS(9993),
    [anon_sym_EQ_GT] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_AMP_DOT] = ACTIONS(9993),
    [anon_sym_PLUS_EQ] = ACTIONS(9993),
    [anon_sym_DASH_EQ] = ACTIONS(9993),
    [anon_sym_STAR_EQ] = ACTIONS(9993),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9993),
    [anon_sym_SLASH_EQ] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9993),
    [anon_sym_PIPE_EQ] = ACTIONS(9993),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9993),
    [anon_sym_AMP_EQ] = ACTIONS(9993),
    [anon_sym_PERCENT_EQ] = ACTIONS(9993),
    [anon_sym_GT_GT_EQ] = ACTIONS(9993),
    [anon_sym_LT_LT_EQ] = ACTIONS(9993),
    [anon_sym_CARET_EQ] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_DOT_DOT] = ACTIONS(9995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_and] = ACTIONS(9993),
    [anon_sym_or] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE] = ACTIONS(9995),
    [anon_sym_AMP_AMP] = ACTIONS(9995),
    [anon_sym_LT_LT] = ACTIONS(9995),
    [anon_sym_GT_GT] = ACTIONS(9995),
    [anon_sym_EQ_EQ] = ACTIONS(9995),
    [anon_sym_BANG_EQ] = ACTIONS(9993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9993),
    [anon_sym_LT_EQ_GT] = ACTIONS(9993),
    [anon_sym_EQ_TILDE] = ACTIONS(9993),
    [anon_sym_BANG_TILDE] = ACTIONS(9993),
    [anon_sym_LT_EQ] = ACTIONS(9995),
    [anon_sym_GT] = ACTIONS(9995),
    [anon_sym_GT_EQ] = ACTIONS(9993),
    [anon_sym_CARET] = ACTIONS(9995),
    [anon_sym_PLUS] = ACTIONS(9995),
    [anon_sym_SLASH] = ACTIONS(9995),
    [anon_sym_PERCENT] = ACTIONS(9995),
    [sym_comment] = ACTIONS(87),
  },
  [9630] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13765),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9631] = {
    [sym__heredoc_body_start] = ACTIONS(9999),
    [sym__element_reference_left_bracket] = ACTIONS(9999),
    [sym__infix_scope_colons] = ACTIONS(9999),
    [sym__binary_minus] = ACTIONS(9999),
    [sym__binary_star] = ACTIONS(9999),
    [anon_sym_LBRACE] = ACTIONS(9999),
    [anon_sym_RBRACE] = ACTIONS(9999),
    [anon_sym_RPAREN] = ACTIONS(9999),
    [anon_sym_DOT] = ACTIONS(10001),
    [anon_sym_COMMA] = ACTIONS(9999),
    [anon_sym_PIPE] = ACTIONS(10001),
    [anon_sym_SEMI] = ACTIONS(9999),
    [anon_sym_STAR_STAR] = ACTIONS(10001),
    [anon_sym_AMP] = ACTIONS(10001),
    [anon_sym_EQ] = ACTIONS(10001),
    [anon_sym_LT] = ACTIONS(10001),
    [anon_sym_if] = ACTIONS(9999),
    [anon_sym_unless] = ACTIONS(9999),
    [anon_sym_while] = ACTIONS(9999),
    [anon_sym_until] = ACTIONS(9999),
    [anon_sym_rescue] = ACTIONS(9999),
    [anon_sym_in] = ACTIONS(9999),
    [anon_sym_do] = ACTIONS(9999),
    [anon_sym_EQ_GT] = ACTIONS(9999),
    [anon_sym_RBRACK] = ACTIONS(9999),
    [anon_sym_AMP_DOT] = ACTIONS(9999),
    [anon_sym_PLUS_EQ] = ACTIONS(9999),
    [anon_sym_DASH_EQ] = ACTIONS(9999),
    [anon_sym_STAR_EQ] = ACTIONS(9999),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9999),
    [anon_sym_SLASH_EQ] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9999),
    [anon_sym_PIPE_EQ] = ACTIONS(9999),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9999),
    [anon_sym_AMP_EQ] = ACTIONS(9999),
    [anon_sym_PERCENT_EQ] = ACTIONS(9999),
    [anon_sym_GT_GT_EQ] = ACTIONS(9999),
    [anon_sym_LT_LT_EQ] = ACTIONS(9999),
    [anon_sym_CARET_EQ] = ACTIONS(9999),
    [anon_sym_QMARK] = ACTIONS(9999),
    [anon_sym_COLON] = ACTIONS(9999),
    [anon_sym_DOT_DOT] = ACTIONS(10001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9999),
    [anon_sym_and] = ACTIONS(9999),
    [anon_sym_or] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE] = ACTIONS(10001),
    [anon_sym_AMP_AMP] = ACTIONS(10001),
    [anon_sym_LT_LT] = ACTIONS(10001),
    [anon_sym_GT_GT] = ACTIONS(10001),
    [anon_sym_EQ_EQ] = ACTIONS(10001),
    [anon_sym_BANG_EQ] = ACTIONS(9999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9999),
    [anon_sym_LT_EQ_GT] = ACTIONS(9999),
    [anon_sym_EQ_TILDE] = ACTIONS(9999),
    [anon_sym_BANG_TILDE] = ACTIONS(9999),
    [anon_sym_LT_EQ] = ACTIONS(10001),
    [anon_sym_GT] = ACTIONS(10001),
    [anon_sym_GT_EQ] = ACTIONS(9999),
    [anon_sym_CARET] = ACTIONS(10001),
    [anon_sym_PLUS] = ACTIONS(10001),
    [anon_sym_SLASH] = ACTIONS(10001),
    [anon_sym_PERCENT] = ACTIONS(10001),
    [sym_comment] = ACTIONS(87),
  },
  [9632] = {
    [sym__heredoc_body_start] = ACTIONS(10003),
    [sym__element_reference_left_bracket] = ACTIONS(10003),
    [sym__infix_scope_colons] = ACTIONS(10003),
    [sym__binary_minus] = ACTIONS(10003),
    [sym__binary_star] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_RBRACE] = ACTIONS(10003),
    [anon_sym_RPAREN] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10005),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_PIPE] = ACTIONS(10005),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_STAR_STAR] = ACTIONS(10005),
    [anon_sym_AMP] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10005),
    [anon_sym_LT] = ACTIONS(10005),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_unless] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [anon_sym_until] = ACTIONS(10003),
    [anon_sym_rescue] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_EQ_GT] = ACTIONS(10003),
    [anon_sym_RBRACK] = ACTIONS(10003),
    [anon_sym_AMP_DOT] = ACTIONS(10003),
    [anon_sym_PLUS_EQ] = ACTIONS(10003),
    [anon_sym_DASH_EQ] = ACTIONS(10003),
    [anon_sym_STAR_EQ] = ACTIONS(10003),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10003),
    [anon_sym_SLASH_EQ] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10003),
    [anon_sym_PIPE_EQ] = ACTIONS(10003),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10003),
    [anon_sym_AMP_EQ] = ACTIONS(10003),
    [anon_sym_PERCENT_EQ] = ACTIONS(10003),
    [anon_sym_GT_GT_EQ] = ACTIONS(10003),
    [anon_sym_LT_LT_EQ] = ACTIONS(10003),
    [anon_sym_CARET_EQ] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_DOT_DOT] = ACTIONS(10005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_and] = ACTIONS(10003),
    [anon_sym_or] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE] = ACTIONS(10005),
    [anon_sym_AMP_AMP] = ACTIONS(10005),
    [anon_sym_LT_LT] = ACTIONS(10005),
    [anon_sym_GT_GT] = ACTIONS(10005),
    [anon_sym_EQ_EQ] = ACTIONS(10005),
    [anon_sym_BANG_EQ] = ACTIONS(10003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10003),
    [anon_sym_LT_EQ_GT] = ACTIONS(10003),
    [anon_sym_EQ_TILDE] = ACTIONS(10003),
    [anon_sym_BANG_TILDE] = ACTIONS(10003),
    [anon_sym_LT_EQ] = ACTIONS(10005),
    [anon_sym_GT] = ACTIONS(10005),
    [anon_sym_GT_EQ] = ACTIONS(10003),
    [anon_sym_CARET] = ACTIONS(10005),
    [anon_sym_PLUS] = ACTIONS(10005),
    [anon_sym_SLASH] = ACTIONS(10005),
    [anon_sym_PERCENT] = ACTIONS(10005),
    [sym_comment] = ACTIONS(87),
  },
  [9633] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13767),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9634] = {
    [sym__heredoc_body_start] = ACTIONS(10009),
    [sym__element_reference_left_bracket] = ACTIONS(10009),
    [sym__infix_scope_colons] = ACTIONS(10009),
    [sym__binary_minus] = ACTIONS(10009),
    [sym__binary_star] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_PIPE] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_STAR_STAR] = ACTIONS(10011),
    [anon_sym_AMP] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_LT] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10009),
    [anon_sym_unless] = ACTIONS(10009),
    [anon_sym_while] = ACTIONS(10009),
    [anon_sym_until] = ACTIONS(10009),
    [anon_sym_rescue] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10009),
    [anon_sym_do] = ACTIONS(10009),
    [anon_sym_EQ_GT] = ACTIONS(10009),
    [anon_sym_RBRACK] = ACTIONS(10009),
    [anon_sym_AMP_DOT] = ACTIONS(10009),
    [anon_sym_PLUS_EQ] = ACTIONS(10009),
    [anon_sym_DASH_EQ] = ACTIONS(10009),
    [anon_sym_STAR_EQ] = ACTIONS(10009),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10009),
    [anon_sym_SLASH_EQ] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10009),
    [anon_sym_PIPE_EQ] = ACTIONS(10009),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10009),
    [anon_sym_AMP_EQ] = ACTIONS(10009),
    [anon_sym_PERCENT_EQ] = ACTIONS(10009),
    [anon_sym_GT_GT_EQ] = ACTIONS(10009),
    [anon_sym_LT_LT_EQ] = ACTIONS(10009),
    [anon_sym_CARET_EQ] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10009),
    [anon_sym_DOT_DOT] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_and] = ACTIONS(10009),
    [anon_sym_or] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE] = ACTIONS(10011),
    [anon_sym_AMP_AMP] = ACTIONS(10011),
    [anon_sym_LT_LT] = ACTIONS(10011),
    [anon_sym_GT_GT] = ACTIONS(10011),
    [anon_sym_EQ_EQ] = ACTIONS(10011),
    [anon_sym_BANG_EQ] = ACTIONS(10009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10009),
    [anon_sym_LT_EQ_GT] = ACTIONS(10009),
    [anon_sym_EQ_TILDE] = ACTIONS(10009),
    [anon_sym_BANG_TILDE] = ACTIONS(10009),
    [anon_sym_LT_EQ] = ACTIONS(10011),
    [anon_sym_GT] = ACTIONS(10011),
    [anon_sym_GT_EQ] = ACTIONS(10009),
    [anon_sym_CARET] = ACTIONS(10011),
    [anon_sym_PLUS] = ACTIONS(10011),
    [anon_sym_SLASH] = ACTIONS(10011),
    [anon_sym_PERCENT] = ACTIONS(10011),
    [sym_comment] = ACTIONS(87),
  },
  [9635] = {
    [sym__method_rest] = STATE(10928),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(2063),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [9636] = {
    [sym__heredoc_body_start] = ACTIONS(10750),
    [sym__element_reference_left_bracket] = ACTIONS(10750),
    [sym__infix_scope_colons] = ACTIONS(10750),
    [sym__binary_minus] = ACTIONS(10750),
    [sym__binary_star] = ACTIONS(10750),
    [anon_sym_LBRACE] = ACTIONS(10750),
    [anon_sym_RBRACE] = ACTIONS(10750),
    [anon_sym_RPAREN] = ACTIONS(10750),
    [anon_sym_DOT] = ACTIONS(10752),
    [anon_sym_COMMA] = ACTIONS(10750),
    [anon_sym_PIPE] = ACTIONS(10752),
    [anon_sym_SEMI] = ACTIONS(10750),
    [anon_sym_STAR_STAR] = ACTIONS(10752),
    [anon_sym_AMP] = ACTIONS(10752),
    [anon_sym_EQ] = ACTIONS(10752),
    [anon_sym_LT] = ACTIONS(10752),
    [anon_sym_if] = ACTIONS(10750),
    [anon_sym_unless] = ACTIONS(10750),
    [anon_sym_while] = ACTIONS(10750),
    [anon_sym_until] = ACTIONS(10750),
    [anon_sym_rescue] = ACTIONS(10750),
    [anon_sym_in] = ACTIONS(10750),
    [anon_sym_do] = ACTIONS(10750),
    [anon_sym_EQ_GT] = ACTIONS(10750),
    [anon_sym_RBRACK] = ACTIONS(10750),
    [anon_sym_AMP_DOT] = ACTIONS(10750),
    [anon_sym_PLUS_EQ] = ACTIONS(10750),
    [anon_sym_DASH_EQ] = ACTIONS(10750),
    [anon_sym_STAR_EQ] = ACTIONS(10750),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10750),
    [anon_sym_SLASH_EQ] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10750),
    [anon_sym_PIPE_EQ] = ACTIONS(10750),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10750),
    [anon_sym_AMP_EQ] = ACTIONS(10750),
    [anon_sym_PERCENT_EQ] = ACTIONS(10750),
    [anon_sym_GT_GT_EQ] = ACTIONS(10750),
    [anon_sym_LT_LT_EQ] = ACTIONS(10750),
    [anon_sym_CARET_EQ] = ACTIONS(10750),
    [anon_sym_QMARK] = ACTIONS(10750),
    [anon_sym_COLON] = ACTIONS(10750),
    [anon_sym_DOT_DOT] = ACTIONS(10752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10750),
    [anon_sym_and] = ACTIONS(10750),
    [anon_sym_or] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE] = ACTIONS(10752),
    [anon_sym_AMP_AMP] = ACTIONS(10752),
    [anon_sym_LT_LT] = ACTIONS(10752),
    [anon_sym_GT_GT] = ACTIONS(10752),
    [anon_sym_EQ_EQ] = ACTIONS(10752),
    [anon_sym_BANG_EQ] = ACTIONS(10750),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10750),
    [anon_sym_LT_EQ_GT] = ACTIONS(10750),
    [anon_sym_EQ_TILDE] = ACTIONS(10750),
    [anon_sym_BANG_TILDE] = ACTIONS(10750),
    [anon_sym_LT_EQ] = ACTIONS(10752),
    [anon_sym_GT] = ACTIONS(10752),
    [anon_sym_GT_EQ] = ACTIONS(10750),
    [anon_sym_CARET] = ACTIONS(10752),
    [anon_sym_PLUS] = ACTIONS(10752),
    [anon_sym_SLASH] = ACTIONS(10752),
    [anon_sym_PERCENT] = ACTIONS(10752),
    [sym_comment] = ACTIONS(87),
  },
  [9637] = {
    [sym__heredoc_body_start] = ACTIONS(10754),
    [sym__element_reference_left_bracket] = ACTIONS(10754),
    [sym__infix_scope_colons] = ACTIONS(10754),
    [sym__binary_minus] = ACTIONS(10754),
    [sym__binary_star] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_RBRACE] = ACTIONS(10754),
    [anon_sym_RPAREN] = ACTIONS(10754),
    [anon_sym_DOT] = ACTIONS(10756),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_PIPE] = ACTIONS(10756),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_STAR_STAR] = ACTIONS(10756),
    [anon_sym_AMP] = ACTIONS(10756),
    [anon_sym_EQ] = ACTIONS(10756),
    [anon_sym_LT] = ACTIONS(10756),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_unless] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [anon_sym_until] = ACTIONS(10754),
    [anon_sym_rescue] = ACTIONS(10754),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_do] = ACTIONS(10754),
    [anon_sym_EQ_GT] = ACTIONS(10754),
    [anon_sym_RBRACK] = ACTIONS(10754),
    [anon_sym_AMP_DOT] = ACTIONS(10754),
    [anon_sym_PLUS_EQ] = ACTIONS(10754),
    [anon_sym_DASH_EQ] = ACTIONS(10754),
    [anon_sym_STAR_EQ] = ACTIONS(10754),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10754),
    [anon_sym_SLASH_EQ] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10754),
    [anon_sym_PIPE_EQ] = ACTIONS(10754),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10754),
    [anon_sym_AMP_EQ] = ACTIONS(10754),
    [anon_sym_PERCENT_EQ] = ACTIONS(10754),
    [anon_sym_GT_GT_EQ] = ACTIONS(10754),
    [anon_sym_LT_LT_EQ] = ACTIONS(10754),
    [anon_sym_CARET_EQ] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_DOT_DOT] = ACTIONS(10756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_and] = ACTIONS(10754),
    [anon_sym_or] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE] = ACTIONS(10756),
    [anon_sym_AMP_AMP] = ACTIONS(10756),
    [anon_sym_LT_LT] = ACTIONS(10756),
    [anon_sym_GT_GT] = ACTIONS(10756),
    [anon_sym_EQ_EQ] = ACTIONS(10756),
    [anon_sym_BANG_EQ] = ACTIONS(10754),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10754),
    [anon_sym_LT_EQ_GT] = ACTIONS(10754),
    [anon_sym_EQ_TILDE] = ACTIONS(10754),
    [anon_sym_BANG_TILDE] = ACTIONS(10754),
    [anon_sym_LT_EQ] = ACTIONS(10756),
    [anon_sym_GT] = ACTIONS(10756),
    [anon_sym_GT_EQ] = ACTIONS(10754),
    [anon_sym_CARET] = ACTIONS(10756),
    [anon_sym_PLUS] = ACTIONS(10756),
    [anon_sym_SLASH] = ACTIONS(10756),
    [anon_sym_PERCENT] = ACTIONS(10756),
    [sym_comment] = ACTIONS(87),
  },
  [9638] = {
    [sym__heredoc_body_start] = ACTIONS(10911),
    [sym__element_reference_left_bracket] = ACTIONS(10911),
    [sym__infix_scope_colons] = ACTIONS(10911),
    [sym__binary_minus] = ACTIONS(10911),
    [sym__binary_star] = ACTIONS(10911),
    [anon_sym_LBRACE] = ACTIONS(10911),
    [anon_sym_RBRACE] = ACTIONS(10911),
    [anon_sym_RPAREN] = ACTIONS(10911),
    [anon_sym_DOT] = ACTIONS(10913),
    [anon_sym_COMMA] = ACTIONS(10911),
    [anon_sym_PIPE] = ACTIONS(10913),
    [anon_sym_SEMI] = ACTIONS(10911),
    [anon_sym_STAR_STAR] = ACTIONS(10913),
    [anon_sym_AMP] = ACTIONS(10913),
    [anon_sym_EQ] = ACTIONS(10913),
    [anon_sym_LT] = ACTIONS(10913),
    [anon_sym_if] = ACTIONS(10911),
    [anon_sym_unless] = ACTIONS(10911),
    [anon_sym_while] = ACTIONS(10911),
    [anon_sym_until] = ACTIONS(10911),
    [anon_sym_rescue] = ACTIONS(10911),
    [anon_sym_in] = ACTIONS(10911),
    [anon_sym_do] = ACTIONS(10911),
    [anon_sym_EQ_GT] = ACTIONS(10911),
    [anon_sym_RBRACK] = ACTIONS(10911),
    [anon_sym_AMP_DOT] = ACTIONS(10911),
    [anon_sym_PLUS_EQ] = ACTIONS(10911),
    [anon_sym_DASH_EQ] = ACTIONS(10911),
    [anon_sym_STAR_EQ] = ACTIONS(10911),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10911),
    [anon_sym_SLASH_EQ] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10911),
    [anon_sym_PIPE_EQ] = ACTIONS(10911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10911),
    [anon_sym_AMP_EQ] = ACTIONS(10911),
    [anon_sym_PERCENT_EQ] = ACTIONS(10911),
    [anon_sym_GT_GT_EQ] = ACTIONS(10911),
    [anon_sym_LT_LT_EQ] = ACTIONS(10911),
    [anon_sym_CARET_EQ] = ACTIONS(10911),
    [anon_sym_QMARK] = ACTIONS(10911),
    [anon_sym_COLON] = ACTIONS(10911),
    [anon_sym_DOT_DOT] = ACTIONS(10913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10911),
    [anon_sym_and] = ACTIONS(10911),
    [anon_sym_or] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE] = ACTIONS(10913),
    [anon_sym_AMP_AMP] = ACTIONS(10913),
    [anon_sym_LT_LT] = ACTIONS(10913),
    [anon_sym_GT_GT] = ACTIONS(10913),
    [anon_sym_EQ_EQ] = ACTIONS(10913),
    [anon_sym_BANG_EQ] = ACTIONS(10911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10911),
    [anon_sym_LT_EQ_GT] = ACTIONS(10911),
    [anon_sym_EQ_TILDE] = ACTIONS(10911),
    [anon_sym_BANG_TILDE] = ACTIONS(10911),
    [anon_sym_LT_EQ] = ACTIONS(10913),
    [anon_sym_GT] = ACTIONS(10913),
    [anon_sym_GT_EQ] = ACTIONS(10911),
    [anon_sym_CARET] = ACTIONS(10913),
    [anon_sym_PLUS] = ACTIONS(10913),
    [anon_sym_SLASH] = ACTIONS(10913),
    [anon_sym_PERCENT] = ACTIONS(10913),
    [sym_comment] = ACTIONS(87),
  },
  [9639] = {
    [anon_sym_end] = ACTIONS(13769),
    [sym_comment] = ACTIONS(87),
  },
  [9640] = {
    [sym_elsif] = STATE(10930),
    [sym_else] = STATE(10930),
    [sym__if_tail] = STATE(10930),
    [anon_sym_end] = ACTIONS(13769),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [9641] = {
    [sym__heredoc_body_start] = ACTIONS(11082),
    [sym__element_reference_left_bracket] = ACTIONS(11082),
    [sym__infix_scope_colons] = ACTIONS(11082),
    [sym__binary_minus] = ACTIONS(11082),
    [sym__binary_star] = ACTIONS(11082),
    [anon_sym_LBRACE] = ACTIONS(11082),
    [anon_sym_RBRACE] = ACTIONS(11082),
    [anon_sym_RPAREN] = ACTIONS(11082),
    [anon_sym_DOT] = ACTIONS(11084),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_PIPE] = ACTIONS(11084),
    [anon_sym_SEMI] = ACTIONS(11082),
    [anon_sym_STAR_STAR] = ACTIONS(11084),
    [anon_sym_AMP] = ACTIONS(11084),
    [anon_sym_EQ] = ACTIONS(11084),
    [anon_sym_LT] = ACTIONS(11084),
    [anon_sym_if] = ACTIONS(11082),
    [anon_sym_unless] = ACTIONS(11082),
    [anon_sym_while] = ACTIONS(11082),
    [anon_sym_until] = ACTIONS(11082),
    [anon_sym_rescue] = ACTIONS(11082),
    [anon_sym_in] = ACTIONS(11082),
    [anon_sym_do] = ACTIONS(11082),
    [anon_sym_EQ_GT] = ACTIONS(11082),
    [anon_sym_RBRACK] = ACTIONS(11082),
    [anon_sym_AMP_DOT] = ACTIONS(11082),
    [anon_sym_PLUS_EQ] = ACTIONS(11082),
    [anon_sym_DASH_EQ] = ACTIONS(11082),
    [anon_sym_STAR_EQ] = ACTIONS(11082),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11082),
    [anon_sym_SLASH_EQ] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11082),
    [anon_sym_PIPE_EQ] = ACTIONS(11082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11082),
    [anon_sym_AMP_EQ] = ACTIONS(11082),
    [anon_sym_PERCENT_EQ] = ACTIONS(11082),
    [anon_sym_GT_GT_EQ] = ACTIONS(11082),
    [anon_sym_LT_LT_EQ] = ACTIONS(11082),
    [anon_sym_CARET_EQ] = ACTIONS(11082),
    [anon_sym_QMARK] = ACTIONS(11082),
    [anon_sym_COLON] = ACTIONS(11082),
    [anon_sym_DOT_DOT] = ACTIONS(11084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11082),
    [anon_sym_and] = ACTIONS(11082),
    [anon_sym_or] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE] = ACTIONS(11084),
    [anon_sym_AMP_AMP] = ACTIONS(11084),
    [anon_sym_LT_LT] = ACTIONS(11084),
    [anon_sym_GT_GT] = ACTIONS(11084),
    [anon_sym_EQ_EQ] = ACTIONS(11084),
    [anon_sym_BANG_EQ] = ACTIONS(11082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11082),
    [anon_sym_LT_EQ_GT] = ACTIONS(11082),
    [anon_sym_EQ_TILDE] = ACTIONS(11082),
    [anon_sym_BANG_TILDE] = ACTIONS(11082),
    [anon_sym_LT_EQ] = ACTIONS(11084),
    [anon_sym_GT] = ACTIONS(11084),
    [anon_sym_GT_EQ] = ACTIONS(11082),
    [anon_sym_CARET] = ACTIONS(11084),
    [anon_sym_PLUS] = ACTIONS(11084),
    [anon_sym_SLASH] = ACTIONS(11084),
    [anon_sym_PERCENT] = ACTIONS(11084),
    [sym_comment] = ACTIONS(87),
  },
  [9642] = {
    [anon_sym_end] = ACTIONS(13771),
    [sym_comment] = ACTIONS(87),
  },
  [9643] = {
    [sym__heredoc_body_start] = ACTIONS(11177),
    [sym__element_reference_left_bracket] = ACTIONS(11177),
    [sym__infix_scope_colons] = ACTIONS(11177),
    [sym__binary_minus] = ACTIONS(11177),
    [sym__binary_star] = ACTIONS(11177),
    [anon_sym_LBRACE] = ACTIONS(11177),
    [anon_sym_RBRACE] = ACTIONS(11177),
    [anon_sym_RPAREN] = ACTIONS(11177),
    [anon_sym_DOT] = ACTIONS(11179),
    [anon_sym_COMMA] = ACTIONS(11177),
    [anon_sym_PIPE] = ACTIONS(11179),
    [anon_sym_SEMI] = ACTIONS(11177),
    [anon_sym_STAR_STAR] = ACTIONS(11179),
    [anon_sym_AMP] = ACTIONS(11179),
    [anon_sym_EQ] = ACTIONS(11179),
    [anon_sym_LT] = ACTIONS(11179),
    [anon_sym_if] = ACTIONS(11177),
    [anon_sym_unless] = ACTIONS(11177),
    [anon_sym_while] = ACTIONS(11177),
    [anon_sym_until] = ACTIONS(11177),
    [anon_sym_rescue] = ACTIONS(11177),
    [anon_sym_in] = ACTIONS(11177),
    [anon_sym_do] = ACTIONS(11177),
    [anon_sym_EQ_GT] = ACTIONS(11177),
    [anon_sym_RBRACK] = ACTIONS(11177),
    [anon_sym_AMP_DOT] = ACTIONS(11177),
    [anon_sym_PLUS_EQ] = ACTIONS(11177),
    [anon_sym_DASH_EQ] = ACTIONS(11177),
    [anon_sym_STAR_EQ] = ACTIONS(11177),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11177),
    [anon_sym_SLASH_EQ] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11177),
    [anon_sym_PIPE_EQ] = ACTIONS(11177),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11177),
    [anon_sym_AMP_EQ] = ACTIONS(11177),
    [anon_sym_PERCENT_EQ] = ACTIONS(11177),
    [anon_sym_GT_GT_EQ] = ACTIONS(11177),
    [anon_sym_LT_LT_EQ] = ACTIONS(11177),
    [anon_sym_CARET_EQ] = ACTIONS(11177),
    [anon_sym_QMARK] = ACTIONS(11177),
    [anon_sym_COLON] = ACTIONS(11177),
    [anon_sym_DOT_DOT] = ACTIONS(11179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11177),
    [anon_sym_and] = ACTIONS(11177),
    [anon_sym_or] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE] = ACTIONS(11179),
    [anon_sym_AMP_AMP] = ACTIONS(11179),
    [anon_sym_LT_LT] = ACTIONS(11179),
    [anon_sym_GT_GT] = ACTIONS(11179),
    [anon_sym_EQ_EQ] = ACTIONS(11179),
    [anon_sym_BANG_EQ] = ACTIONS(11177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11177),
    [anon_sym_LT_EQ_GT] = ACTIONS(11177),
    [anon_sym_EQ_TILDE] = ACTIONS(11177),
    [anon_sym_BANG_TILDE] = ACTIONS(11177),
    [anon_sym_LT_EQ] = ACTIONS(11179),
    [anon_sym_GT] = ACTIONS(11179),
    [anon_sym_GT_EQ] = ACTIONS(11177),
    [anon_sym_CARET] = ACTIONS(11179),
    [anon_sym_PLUS] = ACTIONS(11179),
    [anon_sym_SLASH] = ACTIONS(11179),
    [anon_sym_PERCENT] = ACTIONS(11179),
    [sym_comment] = ACTIONS(87),
  },
  [9644] = {
    [sym__heredoc_body_start] = ACTIONS(11186),
    [sym__element_reference_left_bracket] = ACTIONS(11186),
    [sym__infix_scope_colons] = ACTIONS(11186),
    [sym__binary_minus] = ACTIONS(11186),
    [sym__binary_star] = ACTIONS(11186),
    [anon_sym_LBRACE] = ACTIONS(11186),
    [anon_sym_RBRACE] = ACTIONS(11186),
    [anon_sym_RPAREN] = ACTIONS(11186),
    [anon_sym_DOT] = ACTIONS(11188),
    [anon_sym_COMMA] = ACTIONS(11186),
    [anon_sym_PIPE] = ACTIONS(11188),
    [anon_sym_SEMI] = ACTIONS(11186),
    [anon_sym_STAR_STAR] = ACTIONS(11188),
    [anon_sym_AMP] = ACTIONS(11188),
    [anon_sym_EQ] = ACTIONS(11188),
    [anon_sym_LT] = ACTIONS(11188),
    [anon_sym_if] = ACTIONS(11186),
    [anon_sym_unless] = ACTIONS(11186),
    [anon_sym_while] = ACTIONS(11186),
    [anon_sym_until] = ACTIONS(11186),
    [anon_sym_rescue] = ACTIONS(11186),
    [anon_sym_in] = ACTIONS(11186),
    [anon_sym_do] = ACTIONS(11186),
    [anon_sym_EQ_GT] = ACTIONS(11186),
    [anon_sym_RBRACK] = ACTIONS(11186),
    [anon_sym_AMP_DOT] = ACTIONS(11186),
    [anon_sym_PLUS_EQ] = ACTIONS(11186),
    [anon_sym_DASH_EQ] = ACTIONS(11186),
    [anon_sym_STAR_EQ] = ACTIONS(11186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11186),
    [anon_sym_SLASH_EQ] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11186),
    [anon_sym_PIPE_EQ] = ACTIONS(11186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11186),
    [anon_sym_AMP_EQ] = ACTIONS(11186),
    [anon_sym_PERCENT_EQ] = ACTIONS(11186),
    [anon_sym_GT_GT_EQ] = ACTIONS(11186),
    [anon_sym_LT_LT_EQ] = ACTIONS(11186),
    [anon_sym_CARET_EQ] = ACTIONS(11186),
    [anon_sym_QMARK] = ACTIONS(11186),
    [anon_sym_COLON] = ACTIONS(11186),
    [anon_sym_DOT_DOT] = ACTIONS(11188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11186),
    [anon_sym_and] = ACTIONS(11186),
    [anon_sym_or] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11188),
    [anon_sym_AMP_AMP] = ACTIONS(11188),
    [anon_sym_LT_LT] = ACTIONS(11188),
    [anon_sym_GT_GT] = ACTIONS(11188),
    [anon_sym_EQ_EQ] = ACTIONS(11188),
    [anon_sym_BANG_EQ] = ACTIONS(11186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11186),
    [anon_sym_LT_EQ_GT] = ACTIONS(11186),
    [anon_sym_EQ_TILDE] = ACTIONS(11186),
    [anon_sym_BANG_TILDE] = ACTIONS(11186),
    [anon_sym_LT_EQ] = ACTIONS(11188),
    [anon_sym_GT] = ACTIONS(11188),
    [anon_sym_GT_EQ] = ACTIONS(11186),
    [anon_sym_CARET] = ACTIONS(11188),
    [anon_sym_PLUS] = ACTIONS(11188),
    [anon_sym_SLASH] = ACTIONS(11188),
    [anon_sym_PERCENT] = ACTIONS(11188),
    [sym_comment] = ACTIONS(87),
  },
  [9645] = {
    [sym__heredoc_body_start] = ACTIONS(11233),
    [sym__element_reference_left_bracket] = ACTIONS(11233),
    [sym__infix_scope_colons] = ACTIONS(11233),
    [sym__binary_minus] = ACTIONS(11233),
    [sym__binary_star] = ACTIONS(11233),
    [anon_sym_LBRACE] = ACTIONS(11233),
    [anon_sym_RBRACE] = ACTIONS(11233),
    [anon_sym_RPAREN] = ACTIONS(11233),
    [anon_sym_DOT] = ACTIONS(11235),
    [anon_sym_COMMA] = ACTIONS(11233),
    [anon_sym_PIPE] = ACTIONS(11235),
    [anon_sym_SEMI] = ACTIONS(11233),
    [anon_sym_STAR_STAR] = ACTIONS(11235),
    [anon_sym_AMP] = ACTIONS(11235),
    [anon_sym_EQ] = ACTIONS(11235),
    [anon_sym_LT] = ACTIONS(11235),
    [anon_sym_if] = ACTIONS(11233),
    [anon_sym_unless] = ACTIONS(11233),
    [anon_sym_while] = ACTIONS(11233),
    [anon_sym_until] = ACTIONS(11233),
    [anon_sym_rescue] = ACTIONS(11233),
    [anon_sym_in] = ACTIONS(11233),
    [anon_sym_do] = ACTIONS(11233),
    [anon_sym_EQ_GT] = ACTIONS(11233),
    [anon_sym_RBRACK] = ACTIONS(11233),
    [anon_sym_AMP_DOT] = ACTIONS(11233),
    [anon_sym_PLUS_EQ] = ACTIONS(11233),
    [anon_sym_DASH_EQ] = ACTIONS(11233),
    [anon_sym_STAR_EQ] = ACTIONS(11233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11233),
    [anon_sym_SLASH_EQ] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11233),
    [anon_sym_PIPE_EQ] = ACTIONS(11233),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11233),
    [anon_sym_AMP_EQ] = ACTIONS(11233),
    [anon_sym_PERCENT_EQ] = ACTIONS(11233),
    [anon_sym_GT_GT_EQ] = ACTIONS(11233),
    [anon_sym_LT_LT_EQ] = ACTIONS(11233),
    [anon_sym_CARET_EQ] = ACTIONS(11233),
    [anon_sym_QMARK] = ACTIONS(11233),
    [anon_sym_COLON] = ACTIONS(11233),
    [anon_sym_DOT_DOT] = ACTIONS(11235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11233),
    [anon_sym_and] = ACTIONS(11233),
    [anon_sym_or] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE] = ACTIONS(11235),
    [anon_sym_AMP_AMP] = ACTIONS(11235),
    [anon_sym_LT_LT] = ACTIONS(11235),
    [anon_sym_GT_GT] = ACTIONS(11235),
    [anon_sym_EQ_EQ] = ACTIONS(11235),
    [anon_sym_BANG_EQ] = ACTIONS(11233),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11233),
    [anon_sym_LT_EQ_GT] = ACTIONS(11233),
    [anon_sym_EQ_TILDE] = ACTIONS(11233),
    [anon_sym_BANG_TILDE] = ACTIONS(11233),
    [anon_sym_LT_EQ] = ACTIONS(11235),
    [anon_sym_GT] = ACTIONS(11235),
    [anon_sym_GT_EQ] = ACTIONS(11233),
    [anon_sym_CARET] = ACTIONS(11235),
    [anon_sym_PLUS] = ACTIONS(11235),
    [anon_sym_SLASH] = ACTIONS(11235),
    [anon_sym_PERCENT] = ACTIONS(11235),
    [sym_comment] = ACTIONS(87),
  },
  [9646] = {
    [anon_sym_end] = ACTIONS(13773),
    [sym_comment] = ACTIONS(87),
  },
  [9647] = {
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [sym__binary_minus] = ACTIONS(13557),
    [sym__binary_star] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13559),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_PIPE] = ACTIONS(13559),
    [anon_sym_STAR_STAR] = ACTIONS(13559),
    [anon_sym_AMP] = ACTIONS(13559),
    [anon_sym_EQ] = ACTIONS(13559),
    [anon_sym_LT] = ACTIONS(13559),
    [anon_sym_EQ_GT] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [anon_sym_PLUS_EQ] = ACTIONS(13557),
    [anon_sym_DASH_EQ] = ACTIONS(13557),
    [anon_sym_STAR_EQ] = ACTIONS(13557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13557),
    [anon_sym_SLASH_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13557),
    [anon_sym_AMP_EQ] = ACTIONS(13557),
    [anon_sym_PERCENT_EQ] = ACTIONS(13557),
    [anon_sym_GT_GT_EQ] = ACTIONS(13557),
    [anon_sym_LT_LT_EQ] = ACTIONS(13557),
    [anon_sym_CARET_EQ] = ACTIONS(13557),
    [anon_sym_QMARK] = ACTIONS(13557),
    [anon_sym_DOT_DOT] = ACTIONS(13559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13557),
    [anon_sym_and] = ACTIONS(13557),
    [anon_sym_or] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE] = ACTIONS(13559),
    [anon_sym_AMP_AMP] = ACTIONS(13559),
    [anon_sym_LT_LT] = ACTIONS(13559),
    [anon_sym_GT_GT] = ACTIONS(13559),
    [anon_sym_EQ_EQ] = ACTIONS(13559),
    [anon_sym_BANG_EQ] = ACTIONS(13557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13557),
    [anon_sym_LT_EQ_GT] = ACTIONS(13557),
    [anon_sym_EQ_TILDE] = ACTIONS(13557),
    [anon_sym_BANG_TILDE] = ACTIONS(13557),
    [anon_sym_LT_EQ] = ACTIONS(13559),
    [anon_sym_GT] = ACTIONS(13559),
    [anon_sym_GT_EQ] = ACTIONS(13557),
    [anon_sym_CARET] = ACTIONS(13559),
    [anon_sym_PLUS] = ACTIONS(13559),
    [anon_sym_SLASH] = ACTIONS(13559),
    [anon_sym_PERCENT] = ACTIONS(13559),
    [sym_comment] = ACTIONS(87),
  },
  [9648] = {
    [anon_sym_end] = ACTIONS(13775),
    [sym_comment] = ACTIONS(87),
  },
  [9649] = {
    [sym__heredoc_body_start] = ACTIONS(11246),
    [sym__element_reference_left_bracket] = ACTIONS(11246),
    [sym__infix_scope_colons] = ACTIONS(11246),
    [sym__binary_minus] = ACTIONS(11246),
    [sym__binary_star] = ACTIONS(11246),
    [anon_sym_LBRACE] = ACTIONS(11246),
    [anon_sym_RBRACE] = ACTIONS(11246),
    [anon_sym_RPAREN] = ACTIONS(11246),
    [anon_sym_DOT] = ACTIONS(11248),
    [anon_sym_COMMA] = ACTIONS(11246),
    [anon_sym_PIPE] = ACTIONS(11248),
    [anon_sym_SEMI] = ACTIONS(11246),
    [anon_sym_STAR_STAR] = ACTIONS(11248),
    [anon_sym_AMP] = ACTIONS(11248),
    [anon_sym_EQ] = ACTIONS(11248),
    [anon_sym_LT] = ACTIONS(11248),
    [anon_sym_if] = ACTIONS(11246),
    [anon_sym_unless] = ACTIONS(11246),
    [anon_sym_while] = ACTIONS(11246),
    [anon_sym_until] = ACTIONS(11246),
    [anon_sym_rescue] = ACTIONS(11246),
    [anon_sym_in] = ACTIONS(11246),
    [anon_sym_do] = ACTIONS(11246),
    [anon_sym_EQ_GT] = ACTIONS(11246),
    [anon_sym_RBRACK] = ACTIONS(11246),
    [anon_sym_AMP_DOT] = ACTIONS(11246),
    [anon_sym_PLUS_EQ] = ACTIONS(11246),
    [anon_sym_DASH_EQ] = ACTIONS(11246),
    [anon_sym_STAR_EQ] = ACTIONS(11246),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11246),
    [anon_sym_SLASH_EQ] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11246),
    [anon_sym_PIPE_EQ] = ACTIONS(11246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11246),
    [anon_sym_AMP_EQ] = ACTIONS(11246),
    [anon_sym_PERCENT_EQ] = ACTIONS(11246),
    [anon_sym_GT_GT_EQ] = ACTIONS(11246),
    [anon_sym_LT_LT_EQ] = ACTIONS(11246),
    [anon_sym_CARET_EQ] = ACTIONS(11246),
    [anon_sym_QMARK] = ACTIONS(11246),
    [anon_sym_COLON] = ACTIONS(11246),
    [anon_sym_DOT_DOT] = ACTIONS(11248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11246),
    [anon_sym_and] = ACTIONS(11246),
    [anon_sym_or] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE] = ACTIONS(11248),
    [anon_sym_AMP_AMP] = ACTIONS(11248),
    [anon_sym_LT_LT] = ACTIONS(11248),
    [anon_sym_GT_GT] = ACTIONS(11248),
    [anon_sym_EQ_EQ] = ACTIONS(11248),
    [anon_sym_BANG_EQ] = ACTIONS(11246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11246),
    [anon_sym_LT_EQ_GT] = ACTIONS(11246),
    [anon_sym_EQ_TILDE] = ACTIONS(11246),
    [anon_sym_BANG_TILDE] = ACTIONS(11246),
    [anon_sym_LT_EQ] = ACTIONS(11248),
    [anon_sym_GT] = ACTIONS(11248),
    [anon_sym_GT_EQ] = ACTIONS(11246),
    [anon_sym_CARET] = ACTIONS(11248),
    [anon_sym_PLUS] = ACTIONS(11248),
    [anon_sym_SLASH] = ACTIONS(11248),
    [anon_sym_PERCENT] = ACTIONS(11248),
    [sym_comment] = ACTIONS(87),
  },
  [9650] = {
    [anon_sym_end] = ACTIONS(13777),
    [sym_comment] = ACTIONS(87),
  },
  [9651] = {
    [sym__heredoc_body_start] = ACTIONS(11712),
    [sym__element_reference_left_bracket] = ACTIONS(11712),
    [sym__infix_scope_colons] = ACTIONS(11712),
    [sym__binary_minus] = ACTIONS(11712),
    [sym__binary_star] = ACTIONS(11712),
    [anon_sym_LBRACE] = ACTIONS(11712),
    [anon_sym_RBRACE] = ACTIONS(11712),
    [anon_sym_RPAREN] = ACTIONS(11712),
    [anon_sym_DOT] = ACTIONS(11714),
    [anon_sym_COMMA] = ACTIONS(11712),
    [anon_sym_PIPE] = ACTIONS(11714),
    [anon_sym_SEMI] = ACTIONS(11712),
    [anon_sym_STAR_STAR] = ACTIONS(11714),
    [anon_sym_AMP] = ACTIONS(11714),
    [anon_sym_EQ] = ACTIONS(11714),
    [anon_sym_LT] = ACTIONS(11714),
    [anon_sym_if] = ACTIONS(11712),
    [anon_sym_unless] = ACTIONS(11712),
    [anon_sym_while] = ACTIONS(11712),
    [anon_sym_until] = ACTIONS(11712),
    [anon_sym_rescue] = ACTIONS(11712),
    [anon_sym_in] = ACTIONS(11712),
    [anon_sym_do] = ACTIONS(11712),
    [anon_sym_EQ_GT] = ACTIONS(11712),
    [anon_sym_RBRACK] = ACTIONS(11712),
    [anon_sym_AMP_DOT] = ACTIONS(11712),
    [anon_sym_PLUS_EQ] = ACTIONS(11712),
    [anon_sym_DASH_EQ] = ACTIONS(11712),
    [anon_sym_STAR_EQ] = ACTIONS(11712),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11712),
    [anon_sym_SLASH_EQ] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11712),
    [anon_sym_PIPE_EQ] = ACTIONS(11712),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11712),
    [anon_sym_AMP_EQ] = ACTIONS(11712),
    [anon_sym_PERCENT_EQ] = ACTIONS(11712),
    [anon_sym_GT_GT_EQ] = ACTIONS(11712),
    [anon_sym_LT_LT_EQ] = ACTIONS(11712),
    [anon_sym_CARET_EQ] = ACTIONS(11712),
    [anon_sym_QMARK] = ACTIONS(11712),
    [anon_sym_COLON] = ACTIONS(11712),
    [anon_sym_DOT_DOT] = ACTIONS(11714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11712),
    [anon_sym_and] = ACTIONS(11712),
    [anon_sym_or] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE] = ACTIONS(11714),
    [anon_sym_AMP_AMP] = ACTIONS(11714),
    [anon_sym_LT_LT] = ACTIONS(11714),
    [anon_sym_GT_GT] = ACTIONS(11714),
    [anon_sym_EQ_EQ] = ACTIONS(11714),
    [anon_sym_BANG_EQ] = ACTIONS(11712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11712),
    [anon_sym_LT_EQ_GT] = ACTIONS(11712),
    [anon_sym_EQ_TILDE] = ACTIONS(11712),
    [anon_sym_BANG_TILDE] = ACTIONS(11712),
    [anon_sym_LT_EQ] = ACTIONS(11714),
    [anon_sym_GT] = ACTIONS(11714),
    [anon_sym_GT_EQ] = ACTIONS(11712),
    [anon_sym_CARET] = ACTIONS(11714),
    [anon_sym_PLUS] = ACTIONS(11714),
    [anon_sym_SLASH] = ACTIONS(11714),
    [anon_sym_PERCENT] = ACTIONS(11714),
    [sym_comment] = ACTIONS(87),
  },
  [9652] = {
    [anon_sym_end] = ACTIONS(13779),
    [sym_comment] = ACTIONS(87),
  },
  [9653] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(3414),
    [sym__binary_star] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(3418),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(3426),
    [anon_sym_DOT_DOT] = ACTIONS(3428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3430),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [anon_sym_AMP_AMP] = ACTIONS(3432),
    [anon_sym_LT_LT] = ACTIONS(3434),
    [anon_sym_GT_GT] = ACTIONS(3434),
    [anon_sym_EQ_EQ] = ACTIONS(3432),
    [anon_sym_BANG_EQ] = ACTIONS(3436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3436),
    [anon_sym_LT_EQ_GT] = ACTIONS(3436),
    [anon_sym_EQ_TILDE] = ACTIONS(3436),
    [anon_sym_BANG_TILDE] = ACTIONS(3436),
    [anon_sym_LT_EQ] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3424),
    [anon_sym_GT_EQ] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3418),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3420),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [sym_comment] = ACTIONS(87),
  },
  [9654] = {
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(11449),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_in] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_RBRACK] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_COLON] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [9655] = {
    [aux_sym_exceptions_repeat1] = STATE(9655),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13781),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [9656] = {
    [sym_method] = STATE(118),
    [sym_singleton_method] = STATE(118),
    [sym_class] = STATE(118),
    [sym_singleton_class] = STATE(118),
    [sym_module] = STATE(118),
    [sym_return] = STATE(118),
    [sym_yield] = STATE(118),
    [sym_break] = STATE(118),
    [sym_next] = STATE(118),
    [sym_while] = STATE(118),
    [sym_until] = STATE(118),
    [sym_for] = STATE(118),
    [sym_case] = STATE(118),
    [sym_if] = STATE(118),
    [sym_unless] = STATE(118),
    [sym_begin] = STATE(118),
    [sym__arg] = STATE(10936),
    [sym__primary] = STATE(118),
    [sym_parenthesized_statements] = STATE(118),
    [sym_element_reference] = STATE(2141),
    [sym_scope_resolution] = STATE(119),
    [sym_call] = STATE(119),
    [sym_method_call] = STATE(2141),
    [sym_assignment] = STATE(10936),
    [sym_operator_assignment] = STATE(10936),
    [sym_conditional] = STATE(10936),
    [sym_range] = STATE(10936),
    [sym_binary] = STATE(10936),
    [sym_unary] = STATE(10936),
    [sym_left_assignment_list] = STATE(2140),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2141),
    [sym__variable] = STATE(119),
    [sym_rational] = STATE(118),
    [sym_true] = STATE(2141),
    [sym_false] = STATE(2141),
    [sym_nil] = STATE(2141),
    [sym_chained_string] = STATE(118),
    [sym_string] = STATE(2142),
    [sym_subshell] = STATE(118),
    [sym_string_array] = STATE(118),
    [sym_symbol_array] = STATE(118),
    [sym_symbol] = STATE(118),
    [sym_regex] = STATE(118),
    [sym_array] = STATE(118),
    [sym_hash] = STATE(118),
    [sym_lambda] = STATE(118),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(153),
    [sym__unary_minus] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(167),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3466),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_next] = ACTIONS(3470),
    [sym_redo] = ACTIONS(185),
    [sym_retry] = ACTIONS(185),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(3472),
    [anon_sym_defined_QMARK] = ACTIONS(3474),
    [anon_sym_not] = ACTIONS(3476),
    [anon_sym_BANG] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3478),
    [sym_constant] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_instance_variable] = ACTIONS(211),
    [sym_class_variable] = ACTIONS(211),
    [sym_global_variable] = ACTIONS(211),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(185),
    [sym_complex] = ACTIONS(153),
    [sym_super] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(217),
    [anon_sym_TRUE] = ACTIONS(217),
    [anon_sym_false] = ACTIONS(219),
    [anon_sym_FALSE] = ACTIONS(219),
    [sym_self] = ACTIONS(215),
    [anon_sym_nil] = ACTIONS(221),
    [anon_sym_NIL] = ACTIONS(221),
    [sym_character] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9657] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [9658] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [9659] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [9660] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [9661] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [9662] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [9663] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13784),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9664] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [9665] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [9666] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [9667] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [9668] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [9669] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [9670] = {
    [aux_sym_exceptions_repeat1] = STATE(10939),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [9671] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [9672] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10940),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_assignment] = STATE(10940),
    [sym_operator_assignment] = STATE(10940),
    [sym_conditional] = STATE(10940),
    [sym_range] = STATE(10940),
    [sym_binary] = STATE(10940),
    [sym_unary] = STATE(10940),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9673] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7484),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2166),
    [sym_scope_resolution] = STATE(934),
    [sym_call] = STATE(934),
    [sym_method_call] = STATE(2166),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(7484),
    [sym_operator_assignment] = STATE(7484),
    [sym_conditional] = STATE(7484),
    [sym_range] = STATE(7484),
    [sym_binary] = STATE(7484),
    [sym_unary] = STATE(7484),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(2165),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2166),
    [sym__variable] = STATE(934),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2166),
    [sym_false] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(2614),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(4204),
    [sym__unary_minus] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_next] = ACTIONS(1601),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7052),
    [anon_sym_defined_QMARK] = ACTIONS(3504),
    [anon_sym_not] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [sym_constant] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_instance_variable] = ACTIONS(1613),
    [sym_class_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1615),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9674] = {
    [aux_sym_exceptions_repeat1] = STATE(10941),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13786),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9675] = {
    [sym__binary_minus] = ACTIONS(3514),
    [sym__binary_star] = ACTIONS(3516),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(3520),
    [anon_sym_STAR_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_DOT_DOT] = ACTIONS(3530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3536),
    [anon_sym_AMP_AMP] = ACTIONS(3536),
    [anon_sym_LT_LT] = ACTIONS(3538),
    [anon_sym_GT_GT] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3536),
    [anon_sym_EQ_TILDE] = ACTIONS(3536),
    [anon_sym_BANG_TILDE] = ACTIONS(3536),
    [anon_sym_LT_EQ] = ACTIONS(3526),
    [anon_sym_GT] = ACTIONS(3526),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [sym_comment] = ACTIONS(87),
  },
  [9676] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [9677] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [9678] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [9679] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [9680] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [9681] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [9682] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13788),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9683] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [9684] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(10427),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [9685] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [9686] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [9687] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [9688] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(10427),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [9689] = {
    [aux_sym_exceptions_repeat1] = STATE(10944),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [9690] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(10427),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [9691] = {
    [sym_string] = STATE(9691),
    [aux_sym_chained_string_repeat1] = STATE(9691),
    [sym__string_start] = ACTIONS(13708),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [9692] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10945),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_assignment] = STATE(10945),
    [sym_operator_assignment] = STATE(10945),
    [sym_conditional] = STATE(10945),
    [sym_range] = STATE(10945),
    [sym_binary] = STATE(10945),
    [sym_unary] = STATE(10945),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9693] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(7526),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(2201),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2201),
    [sym_splat_argument] = STATE(9654),
    [sym_assignment] = STATE(7526),
    [sym_operator_assignment] = STATE(7526),
    [sym_conditional] = STATE(7526),
    [sym_range] = STATE(7526),
    [sym_binary] = STATE(7526),
    [sym_unary] = STATE(7526),
    [sym__arg_or_splat_arg] = STATE(9654),
    [sym_left_assignment_list] = STATE(2200),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2201),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(2201),
    [sym_false] = STATE(2201),
    [sym_nil] = STATE(2201),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4702),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(4246),
    [sym__unary_minus] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_next] = ACTIONS(3562),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(7122),
    [anon_sym_defined_QMARK] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9694] = {
    [aux_sym_exceptions_repeat1] = STATE(10946),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13790),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [9695] = {
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [9696] = {
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [9697] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [9698] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [9699] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [9700] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10455),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(10477),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [9701] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13792),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9702] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(10455),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(10461),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(10465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10467),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(10469),
    [anon_sym_AMP_AMP] = ACTIONS(10469),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(10473),
    [anon_sym_BANG_EQ] = ACTIONS(10469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10469),
    [anon_sym_LT_EQ_GT] = ACTIONS(10469),
    [anon_sym_EQ_TILDE] = ACTIONS(10469),
    [anon_sym_BANG_TILDE] = ACTIONS(10469),
    [anon_sym_LT_EQ] = ACTIONS(10461),
    [anon_sym_GT] = ACTIONS(10461),
    [anon_sym_GT_EQ] = ACTIONS(10475),
    [anon_sym_CARET] = ACTIONS(10477),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [9703] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10455),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(10461),
    [anon_sym_QMARK] = ACTIONS(10463),
    [anon_sym_DOT_DOT] = ACTIONS(10465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10467),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(10469),
    [anon_sym_AMP_AMP] = ACTIONS(10469),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(10473),
    [anon_sym_BANG_EQ] = ACTIONS(10469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10469),
    [anon_sym_LT_EQ_GT] = ACTIONS(10469),
    [anon_sym_EQ_TILDE] = ACTIONS(10469),
    [anon_sym_BANG_TILDE] = ACTIONS(10469),
    [anon_sym_LT_EQ] = ACTIONS(10461),
    [anon_sym_GT] = ACTIONS(10461),
    [anon_sym_GT_EQ] = ACTIONS(10475),
    [anon_sym_CARET] = ACTIONS(10477),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [9704] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10455),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(10461),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(10473),
    [anon_sym_BANG_EQ] = ACTIONS(10469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10469),
    [anon_sym_LT_EQ_GT] = ACTIONS(10469),
    [anon_sym_EQ_TILDE] = ACTIONS(10469),
    [anon_sym_BANG_TILDE] = ACTIONS(10469),
    [anon_sym_LT_EQ] = ACTIONS(10461),
    [anon_sym_GT] = ACTIONS(10461),
    [anon_sym_GT_EQ] = ACTIONS(10475),
    [anon_sym_CARET] = ACTIONS(10477),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [9705] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [9706] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [9707] = {
    [aux_sym_exceptions_repeat1] = STATE(9707),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(13794),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9708] = {
    [aux_sym_exceptions_repeat1] = STATE(7548),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [9709] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(10455),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(10461),
    [anon_sym_QMARK] = ACTIONS(10463),
    [anon_sym_DOT_DOT] = ACTIONS(10465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10467),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(10469),
    [anon_sym_AMP_AMP] = ACTIONS(10469),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(10473),
    [anon_sym_BANG_EQ] = ACTIONS(10469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10469),
    [anon_sym_LT_EQ_GT] = ACTIONS(10469),
    [anon_sym_EQ_TILDE] = ACTIONS(10469),
    [anon_sym_BANG_TILDE] = ACTIONS(10469),
    [anon_sym_LT_EQ] = ACTIONS(10461),
    [anon_sym_GT] = ACTIONS(10461),
    [anon_sym_GT_EQ] = ACTIONS(10475),
    [anon_sym_CARET] = ACTIONS(10477),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [9710] = {
    [sym_string] = STATE(9710),
    [aux_sym_chained_string_repeat1] = STATE(9710),
    [sym__string_start] = ACTIONS(7027),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [9711] = {
    [sym__simple_symbol] = ACTIONS(13797),
    [sym__string_start] = ACTIONS(13797),
    [sym__symbol_start] = ACTIONS(13797),
    [sym__subshell_start] = ACTIONS(13797),
    [sym__regex_start] = ACTIONS(13797),
    [sym__string_array_start] = ACTIONS(13797),
    [sym__symbol_array_start] = ACTIONS(13797),
    [sym_heredoc_beginning] = ACTIONS(13797),
    [sym__unary_minus] = ACTIONS(13797),
    [anon_sym_BEGIN] = ACTIONS(13799),
    [anon_sym_LBRACE] = ACTIONS(13797),
    [anon_sym_END] = ACTIONS(13799),
    [anon_sym_def] = ACTIONS(13799),
    [anon_sym_LPAREN] = ACTIONS(13797),
    [anon_sym_COLON_COLON] = ACTIONS(13797),
    [anon_sym_SEMI] = ACTIONS(13797),
    [anon_sym_STAR] = ACTIONS(13797),
    [anon_sym_class] = ACTIONS(13799),
    [anon_sym_module] = ACTIONS(13799),
    [anon_sym_end] = ACTIONS(13799),
    [anon_sym_return] = ACTIONS(13799),
    [anon_sym_yield] = ACTIONS(13799),
    [anon_sym_break] = ACTIONS(13799),
    [anon_sym_next] = ACTIONS(13799),
    [sym_redo] = ACTIONS(13799),
    [sym_retry] = ACTIONS(13799),
    [anon_sym_if] = ACTIONS(13799),
    [anon_sym_unless] = ACTIONS(13799),
    [anon_sym_while] = ACTIONS(13799),
    [anon_sym_until] = ACTIONS(13799),
    [anon_sym_rescue] = ACTIONS(13799),
    [anon_sym_for] = ACTIONS(13799),
    [anon_sym_case] = ACTIONS(13799),
    [anon_sym_else] = ACTIONS(13799),
    [anon_sym_begin] = ACTIONS(13799),
    [anon_sym_ensure] = ACTIONS(13799),
    [anon_sym_PLUS] = ACTIONS(13799),
    [anon_sym_defined_QMARK] = ACTIONS(13797),
    [anon_sym_not] = ACTIONS(13799),
    [anon_sym_BANG] = ACTIONS(13797),
    [anon_sym_TILDE] = ACTIONS(13797),
    [sym_constant] = ACTIONS(13799),
    [sym_identifier] = ACTIONS(13799),
    [sym_instance_variable] = ACTIONS(13797),
    [sym_class_variable] = ACTIONS(13797),
    [sym_global_variable] = ACTIONS(13797),
    [anon_sym_undef] = ACTIONS(13799),
    [anon_sym_alias] = ACTIONS(13799),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(13799),
    [sym_float] = ACTIONS(13799),
    [sym_complex] = ACTIONS(13797),
    [sym_super] = ACTIONS(13799),
    [anon_sym_true] = ACTIONS(13799),
    [anon_sym_TRUE] = ACTIONS(13799),
    [anon_sym_false] = ACTIONS(13799),
    [anon_sym_FALSE] = ACTIONS(13799),
    [sym_self] = ACTIONS(13799),
    [anon_sym_nil] = ACTIONS(13799),
    [anon_sym_NIL] = ACTIONS(13799),
    [sym_character] = ACTIONS(13797),
    [anon_sym_LBRACK] = ACTIONS(13797),
    [anon_sym_DASH_GT] = ACTIONS(13797),
  },
  [9712] = {
    [sym__line_break] = ACTIONS(9362),
    [sym__heredoc_body_start] = ACTIONS(9362),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_SEMI] = ACTIONS(9362),
    [sym_comment] = ACTIONS(87),
  },
  [9713] = {
    [anon_sym_RBRACE] = ACTIONS(13801),
    [sym_comment] = ACTIONS(87),
  },
  [9714] = {
    [sym__line_break] = ACTIONS(9390),
    [sym__heredoc_body_start] = ACTIONS(9390),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_SEMI] = ACTIONS(9390),
    [sym_comment] = ACTIONS(87),
  },
  [9715] = {
    [anon_sym_end] = ACTIONS(13803),
    [sym_comment] = ACTIONS(87),
  },
  [9716] = {
    [sym__statements] = STATE(10950),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13805),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9717] = {
    [sym__statements] = STATE(10950),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(10951),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(10951),
    [sym__line_break] = ACTIONS(13807),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13805),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9718] = {
    [sym__line_break] = ACTIONS(11909),
    [sym__heredoc_body_start] = ACTIONS(11909),
    [anon_sym_COMMA] = ACTIONS(11909),
    [anon_sym_SEMI] = ACTIONS(11909),
    [sym_comment] = ACTIONS(87),
  },
  [9719] = {
    [aux_sym_method_parameters_repeat1] = STATE(6583),
    [anon_sym_RPAREN] = ACTIONS(13809),
    [anon_sym_COMMA] = ACTIONS(5706),
    [sym_comment] = ACTIONS(87),
  },
  [9720] = {
    [sym__line_break] = ACTIONS(11915),
    [sym__heredoc_body_start] = ACTIONS(11915),
    [anon_sym_COMMA] = ACTIONS(11915),
    [anon_sym_SEMI] = ACTIONS(11915),
    [sym_comment] = ACTIONS(87),
  },
  [9721] = {
    [aux_sym_method_parameters_repeat1] = STATE(9721),
    [sym__line_break] = ACTIONS(11915),
    [sym__heredoc_body_start] = ACTIONS(11915),
    [anon_sym_COMMA] = ACTIONS(13811),
    [anon_sym_SEMI] = ACTIONS(11915),
    [sym_comment] = ACTIONS(87),
  },
  [9722] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9723] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9724] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10953),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(10953),
    [sym_operator_assignment] = STATE(10953),
    [sym_conditional] = STATE(10953),
    [sym_range] = STATE(10953),
    [sym_binary] = STATE(10953),
    [sym_unary] = STATE(10953),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [9725] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9726] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10954),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(10954),
    [sym_operator_assignment] = STATE(10954),
    [sym_conditional] = STATE(10954),
    [sym_range] = STATE(10954),
    [sym_binary] = STATE(10954),
    [sym_unary] = STATE(10954),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [9727] = {
    [sym_heredoc_body] = STATE(10955),
    [aux_sym_call_repeat1] = STATE(10955),
    [sym__heredoc_body_start] = ACTIONS(10709),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [9728] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7571),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym__argument] = STATE(9844),
    [sym_splat_argument] = STATE(9844),
    [sym_hash_splat_argument] = STATE(9844),
    [sym_block_argument] = STATE(9844),
    [sym_assignment] = STATE(7571),
    [sym_operator_assignment] = STATE(7571),
    [sym_conditional] = STATE(7571),
    [sym_range] = STATE(7571),
    [sym_binary] = STATE(7571),
    [sym_unary] = STATE(7571),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(7574),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(10956),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(9844),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(10509),
    [sym__splat_star] = ACTIONS(10511),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__identifier_hash_key] = ACTIONS(10513),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13814),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(10515),
    [sym_identifier] = ACTIONS(10515),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9729] = {
    [sym_heredoc_body] = STATE(10957),
    [aux_sym_call_repeat1] = STATE(10957),
    [aux_sym_argument_list_repeat1] = STATE(10958),
    [sym__heredoc_body_start] = ACTIONS(10709),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_RPAREN] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(12473),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [9730] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10959),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(10959),
    [sym_operator_assignment] = STATE(10959),
    [sym_conditional] = STATE(10959),
    [sym_range] = STATE(10959),
    [sym_binary] = STATE(10959),
    [sym_unary] = STATE(10959),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [9731] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9732] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [9733] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9734] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [9735] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9736] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9737] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13816),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9738] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9739] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9740] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9741] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9742] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9743] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_RPAREN] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9744] = {
    [aux_sym_exceptions_repeat1] = STATE(10962),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_RPAREN] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [9745] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [9746] = {
    [sym_string] = STATE(9746),
    [aux_sym_chained_string_repeat1] = STATE(9746),
    [sym__string_start] = ACTIONS(12635),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_RPAREN] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [9747] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [9748] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [9749] = {
    [sym_heredoc_body] = STATE(9749),
    [aux_sym_call_repeat1] = STATE(9749),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9750] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4776),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(4776),
    [sym_operator_assignment] = STATE(4776),
    [sym_conditional] = STATE(4776),
    [sym_range] = STATE(4776),
    [sym_binary] = STATE(4776),
    [sym_unary] = STATE(4776),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4779),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(7228),
    [sym__splat_star] = ACTIONS(7230),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__identifier_hash_key] = ACTIONS(7232),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12477),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(7236),
    [sym_identifier] = ACTIONS(7236),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9751] = {
    [sym_heredoc_body] = STATE(9749),
    [aux_sym_call_repeat1] = STATE(9749),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9752] = {
    [aux_sym_argument_list_repeat1] = STATE(9752),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13818),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [9753] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [9754] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10963),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_assignment] = STATE(10963),
    [sym_operator_assignment] = STATE(10963),
    [sym_conditional] = STATE(10963),
    [sym_range] = STATE(10963),
    [sym_binary] = STATE(10963),
    [sym_unary] = STATE(10963),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9755] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7619),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(7619),
    [sym_operator_assignment] = STATE(7619),
    [sym_conditional] = STATE(7619),
    [sym_range] = STATE(7619),
    [sym_binary] = STATE(7619),
    [sym_unary] = STATE(7619),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4768),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(7230),
    [sym__unary_minus] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3576),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9756] = {
    [aux_sym_exceptions_repeat1] = STATE(10964),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13821),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9757] = {
    [sym_heredoc_body] = STATE(9757),
    [aux_sym_call_repeat1] = STATE(9757),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9758] = {
    [sym_heredoc_body] = STATE(9757),
    [aux_sym_call_repeat1] = STATE(9757),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9759] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10965),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_assignment] = STATE(10965),
    [sym_operator_assignment] = STATE(10965),
    [sym_conditional] = STATE(10965),
    [sym_range] = STATE(10965),
    [sym_binary] = STATE(10965),
    [sym_unary] = STATE(10965),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9760] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7638),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2247),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2247),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(7638),
    [sym_operator_assignment] = STATE(7638),
    [sym_conditional] = STATE(7638),
    [sym_range] = STATE(7638),
    [sym_binary] = STATE(7638),
    [sym_unary] = STATE(7638),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(2246),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2247),
    [sym_false] = STATE(2247),
    [sym_nil] = STATE(2247),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(1305),
    [sym__unary_minus] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_defined_QMARK] = ACTIONS(3648),
    [anon_sym_not] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9761] = {
    [aux_sym_exceptions_repeat1] = STATE(10966),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13823),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9762] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(3666),
    [sym__binary_star] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(3672),
    [anon_sym_AMP] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(3680),
    [anon_sym_DOT_DOT] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3684),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_LT_LT] = ACTIONS(3688),
    [anon_sym_GT_GT] = ACTIONS(3688),
    [anon_sym_EQ_EQ] = ACTIONS(3690),
    [anon_sym_BANG_EQ] = ACTIONS(3686),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3686),
    [anon_sym_LT_EQ_GT] = ACTIONS(3686),
    [anon_sym_EQ_TILDE] = ACTIONS(3686),
    [anon_sym_BANG_TILDE] = ACTIONS(3686),
    [anon_sym_LT_EQ] = ACTIONS(3676),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_GT_EQ] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_PERCENT] = ACTIONS(3672),
    [sym_comment] = ACTIONS(87),
  },
  [9763] = {
    [aux_sym_exceptions_repeat1] = STATE(9763),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13825),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9764] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10967),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_assignment] = STATE(10967),
    [sym_operator_assignment] = STATE(10967),
    [sym_conditional] = STATE(10967),
    [sym_range] = STATE(10967),
    [sym_binary] = STATE(10967),
    [sym_unary] = STATE(10967),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9765] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(7672),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2325),
    [sym_scope_resolution] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_method_call] = STATE(2325),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(7672),
    [sym_operator_assignment] = STATE(7672),
    [sym_conditional] = STATE(7672),
    [sym_range] = STATE(7672),
    [sym_binary] = STATE(7672),
    [sym_unary] = STATE(7672),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(2324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2325),
    [sym__variable] = STATE(2323),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2325),
    [sym_false] = STATE(2325),
    [sym_nil] = STATE(2325),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2326),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(1381),
    [sym__unary_minus] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(3724),
    [anon_sym_yield] = ACTIONS(3726),
    [anon_sym_break] = ACTIONS(3728),
    [anon_sym_next] = ACTIONS(3730),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_defined_QMARK] = ACTIONS(3734),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [sym_constant] = ACTIONS(3740),
    [sym_identifier] = ACTIONS(3740),
    [sym_instance_variable] = ACTIONS(3742),
    [sym_class_variable] = ACTIONS(3742),
    [sym_global_variable] = ACTIONS(3742),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(3740),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(3740),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9766] = {
    [aux_sym_exceptions_repeat1] = STATE(10968),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13828),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [9767] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(3748),
    [sym__binary_star] = ACTIONS(3750),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(3752),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(3754),
    [anon_sym_AMP] = ACTIONS(3756),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(3762),
    [anon_sym_DOT_DOT] = ACTIONS(3764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3768),
    [anon_sym_AMP_AMP] = ACTIONS(3768),
    [anon_sym_LT_LT] = ACTIONS(3770),
    [anon_sym_GT_GT] = ACTIONS(3770),
    [anon_sym_EQ_EQ] = ACTIONS(3768),
    [anon_sym_BANG_EQ] = ACTIONS(3772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3772),
    [anon_sym_LT_EQ_GT] = ACTIONS(3772),
    [anon_sym_EQ_TILDE] = ACTIONS(3772),
    [anon_sym_BANG_TILDE] = ACTIONS(3772),
    [anon_sym_LT_EQ] = ACTIONS(3758),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3752),
    [anon_sym_PLUS] = ACTIONS(3776),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3754),
    [sym_comment] = ACTIONS(87),
  },
  [9768] = {
    [aux_sym_exceptions_repeat1] = STATE(9768),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13830),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [9769] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10969),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2362),
    [sym_scope_resolution] = STATE(153),
    [sym_call] = STATE(153),
    [sym_method_call] = STATE(2362),
    [sym_assignment] = STATE(10969),
    [sym_operator_assignment] = STATE(10969),
    [sym_conditional] = STATE(10969),
    [sym_range] = STATE(10969),
    [sym_binary] = STATE(10969),
    [sym_unary] = STATE(10969),
    [sym_left_assignment_list] = STATE(2361),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(153),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2362),
    [sym_false] = STATE(2362),
    [sym_nil] = STATE(2362),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2248),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(3790),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_next] = ACTIONS(3644),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(3792),
    [anon_sym_defined_QMARK] = ACTIONS(3794),
    [anon_sym_not] = ACTIONS(3796),
    [anon_sym_BANG] = ACTIONS(3798),
    [anon_sym_TILDE] = ACTIONS(3798),
    [sym_constant] = ACTIONS(267),
    [sym_identifier] = ACTIONS(267),
    [sym_instance_variable] = ACTIONS(269),
    [sym_class_variable] = ACTIONS(269),
    [sym_global_variable] = ACTIONS(269),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(267),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9770] = {
    [sym__element_reference_left_bracket] = ACTIONS(12326),
    [sym__infix_scope_colons] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_AMP_DOT] = ACTIONS(12326),
    [sym_comment] = ACTIONS(87),
  },
  [9771] = {
    [sym__element_reference_left_bracket] = ACTIONS(12330),
    [sym__infix_scope_colons] = ACTIONS(12330),
    [anon_sym_DOT] = ACTIONS(12330),
    [anon_sym_AMP_DOT] = ACTIONS(12330),
    [sym_comment] = ACTIONS(87),
  },
  [9772] = {
    [sym__element_reference_left_bracket] = ACTIONS(12444),
    [sym__infix_scope_colons] = ACTIONS(12444),
    [anon_sym_DOT] = ACTIONS(12444),
    [anon_sym_AMP_DOT] = ACTIONS(12444),
    [sym_comment] = ACTIONS(87),
  },
  [9773] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [9774] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [9775] = {
    [sym_heredoc_body] = STATE(9775),
    [aux_sym_call_repeat1] = STATE(9775),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9776] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(4953),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(591),
    [sym_scope_resolution] = STATE(586),
    [sym_call] = STATE(586),
    [sym_method_call] = STATE(591),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(4953),
    [sym_operator_assignment] = STATE(4953),
    [sym_conditional] = STATE(4953),
    [sym_range] = STATE(4953),
    [sym_binary] = STATE(4953),
    [sym_unary] = STATE(4953),
    [sym_left_assignment_list] = STATE(590),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(591),
    [sym__variable] = STATE(586),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(591),
    [sym_false] = STATE(591),
    [sym_nil] = STATE(591),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(4956),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(7445),
    [sym__splat_star] = ACTIONS(7447),
    [sym__unary_minus] = ACTIONS(1057),
    [sym__identifier_hash_key] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12507),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_next] = ACTIONS(1067),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_defined_QMARK] = ACTIONS(1069),
    [anon_sym_not] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_constant] = ACTIONS(7451),
    [sym_identifier] = ACTIONS(7451),
    [sym_instance_variable] = ACTIONS(1079),
    [sym_class_variable] = ACTIONS(1079),
    [sym_global_variable] = ACTIONS(1079),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1081),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9777] = {
    [sym_heredoc_body] = STATE(9775),
    [aux_sym_call_repeat1] = STATE(9775),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9778] = {
    [aux_sym_argument_list_repeat1] = STATE(9778),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13833),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [9779] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [9780] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10970),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_assignment] = STATE(10970),
    [sym_operator_assignment] = STATE(10970),
    [sym_conditional] = STATE(10970),
    [sym_range] = STATE(10970),
    [sym_binary] = STATE(10970),
    [sym_unary] = STATE(10970),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9781] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [9782] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [9783] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(12523),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [9784] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10971),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10971),
    [sym_operator_assignment] = STATE(10971),
    [sym_conditional] = STATE(10971),
    [sym_range] = STATE(10971),
    [sym_binary] = STATE(10971),
    [sym_unary] = STATE(10971),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9785] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10972),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10972),
    [sym_operator_assignment] = STATE(10972),
    [sym_conditional] = STATE(10972),
    [sym_range] = STATE(10972),
    [sym_binary] = STATE(10972),
    [sym_unary] = STATE(10972),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9786] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10973),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10973),
    [sym_operator_assignment] = STATE(10973),
    [sym_conditional] = STATE(10973),
    [sym_range] = STATE(10973),
    [sym_binary] = STATE(10973),
    [sym_unary] = STATE(10973),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9787] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10974),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10974),
    [sym_operator_assignment] = STATE(10974),
    [sym_conditional] = STATE(10974),
    [sym_range] = STATE(10974),
    [sym_binary] = STATE(10974),
    [sym_unary] = STATE(10974),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9788] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10975),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10975),
    [sym_operator_assignment] = STATE(10975),
    [sym_conditional] = STATE(10975),
    [sym_range] = STATE(10975),
    [sym_binary] = STATE(10975),
    [sym_unary] = STATE(10975),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9789] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10976),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10976),
    [sym_operator_assignment] = STATE(10976),
    [sym_conditional] = STATE(10976),
    [sym_range] = STATE(10976),
    [sym_binary] = STATE(10976),
    [sym_unary] = STATE(10976),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9790] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(10977),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(10977),
    [sym_operator_assignment] = STATE(10977),
    [sym_conditional] = STATE(10977),
    [sym_range] = STATE(10977),
    [sym_binary] = STATE(10977),
    [sym_unary] = STATE(10977),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9791] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10978),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10978),
    [sym_operator_assignment] = STATE(10978),
    [sym_conditional] = STATE(10978),
    [sym_range] = STATE(10978),
    [sym_binary] = STATE(10978),
    [sym_unary] = STATE(10978),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9792] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10979),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10979),
    [sym_operator_assignment] = STATE(10979),
    [sym_conditional] = STATE(10979),
    [sym_range] = STATE(10979),
    [sym_binary] = STATE(10979),
    [sym_unary] = STATE(10979),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9793] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10980),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10980),
    [sym_operator_assignment] = STATE(10980),
    [sym_conditional] = STATE(10980),
    [sym_range] = STATE(10980),
    [sym_binary] = STATE(10980),
    [sym_unary] = STATE(10980),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9794] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10981),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10981),
    [sym_operator_assignment] = STATE(10981),
    [sym_conditional] = STATE(10981),
    [sym_range] = STATE(10981),
    [sym_binary] = STATE(10981),
    [sym_unary] = STATE(10981),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9795] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10982),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10982),
    [sym_operator_assignment] = STATE(10982),
    [sym_conditional] = STATE(10982),
    [sym_range] = STATE(10982),
    [sym_binary] = STATE(10982),
    [sym_unary] = STATE(10982),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9796] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10983),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_splat_argument] = STATE(10984),
    [sym_assignment] = STATE(10983),
    [sym_operator_assignment] = STATE(10983),
    [sym_conditional] = STATE(10983),
    [sym_range] = STATE(10983),
    [sym_binary] = STATE(10983),
    [sym_unary] = STATE(10983),
    [sym_right_assignment_list] = STATE(9466),
    [sym__arg_or_splat_arg] = STATE(10984),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(7487),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9797] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10985),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(10985),
    [sym_operator_assignment] = STATE(10985),
    [sym_conditional] = STATE(10985),
    [sym_range] = STATE(10985),
    [sym_binary] = STATE(10985),
    [sym_unary] = STATE(10985),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [9798] = {
    [sym_string] = STATE(10986),
    [aux_sym_chained_string_repeat1] = STATE(10986),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [9799] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(12523),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [9800] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(12523),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [9801] = {
    [sym_heredoc_body] = STATE(9801),
    [aux_sym_call_repeat1] = STATE(9801),
    [sym__heredoc_body_start] = ACTIONS(12320),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [9802] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(4976),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(681),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(681),
    [sym__argument] = STATE(9477),
    [sym_splat_argument] = STATE(9477),
    [sym_hash_splat_argument] = STATE(9477),
    [sym_block_argument] = STATE(9477),
    [sym_assignment] = STATE(4976),
    [sym_operator_assignment] = STATE(4976),
    [sym_conditional] = STATE(4976),
    [sym_range] = STATE(4976),
    [sym_binary] = STATE(4976),
    [sym_unary] = STATE(4976),
    [sym_left_assignment_list] = STATE(680),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(681),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(681),
    [sym_false] = STATE(681),
    [sym_nil] = STATE(681),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(4979),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(9477),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(7485),
    [sym__splat_star] = ACTIONS(7487),
    [sym__unary_minus] = ACTIONS(1165),
    [sym__identifier_hash_key] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12545),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_next] = ACTIONS(1185),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_defined_QMARK] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1211),
    [sym_constant] = ACTIONS(7491),
    [sym_identifier] = ACTIONS(7491),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [9803] = {
    [sym_heredoc_body] = STATE(9801),
    [aux_sym_call_repeat1] = STATE(9801),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [9804] = {
    [aux_sym_argument_list_repeat1] = STATE(9804),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13836),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [9805] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(12523),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [9806] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7744),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2403),
    [sym_scope_resolution] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_method_call] = STATE(2403),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(7744),
    [sym_operator_assignment] = STATE(7744),
    [sym_conditional] = STATE(7744),
    [sym_range] = STATE(7744),
    [sym_binary] = STATE(7744),
    [sym_unary] = STATE(7744),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(2402),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2403),
    [sym__variable] = STATE(2401),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2403),
    [sym_false] = STATE(2403),
    [sym_nil] = STATE(2403),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2404),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(7447),
    [sym__unary_minus] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_yield] = ACTIONS(3844),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_next] = ACTIONS(3848),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3850),
    [anon_sym_defined_QMARK] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [sym_constant] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_instance_variable] = ACTIONS(3860),
    [sym_class_variable] = ACTIONS(3860),
    [sym_global_variable] = ACTIONS(3860),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3858),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9807] = {
    [aux_sym_exceptions_repeat1] = STATE(10987),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13839),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9808] = {
    [sym__element_reference_left_bracket] = ACTIONS(12737),
    [sym__infix_scope_colons] = ACTIONS(12737),
    [anon_sym_DOT] = ACTIONS(12737),
    [anon_sym_AMP_DOT] = ACTIONS(12737),
    [sym_comment] = ACTIONS(87),
  },
  [9809] = {
    [anon_sym_end] = ACTIONS(13841),
    [sym_comment] = ACTIONS(87),
  },
  [9810] = {
    [sym__element_reference_left_bracket] = ACTIONS(12881),
    [sym__infix_scope_colons] = ACTIONS(12881),
    [anon_sym_DOT] = ACTIONS(12881),
    [anon_sym_AMP_DOT] = ACTIONS(12881),
    [sym_comment] = ACTIONS(87),
  },
  [9811] = {
    [sym__element_reference_left_bracket] = ACTIONS(13033),
    [sym__infix_scope_colons] = ACTIONS(13033),
    [anon_sym_DOT] = ACTIONS(13033),
    [anon_sym_AMP_DOT] = ACTIONS(13033),
    [sym_comment] = ACTIONS(87),
  },
  [9812] = {
    [sym__element_reference_left_bracket] = ACTIONS(13044),
    [sym__infix_scope_colons] = ACTIONS(13044),
    [anon_sym_DOT] = ACTIONS(13044),
    [anon_sym_AMP_DOT] = ACTIONS(13044),
    [sym_comment] = ACTIONS(87),
  },
  [9813] = {
    [sym__element_reference_left_bracket] = ACTIONS(13374),
    [sym__infix_scope_colons] = ACTIONS(13374),
    [anon_sym_DOT] = ACTIONS(13374),
    [anon_sym_AMP_DOT] = ACTIONS(13374),
    [sym_comment] = ACTIONS(87),
  },
  [9814] = {
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [anon_sym_RPAREN] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13557),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_EQ] = ACTIONS(13557),
    [anon_sym_in] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [sym_comment] = ACTIONS(87),
  },
  [9815] = {
    [anon_sym_end] = ACTIONS(13843),
    [sym_comment] = ACTIONS(87),
  },
  [9816] = {
    [sym__simple_symbol] = ACTIONS(10783),
    [sym__string_start] = ACTIONS(10783),
    [sym__symbol_start] = ACTIONS(10783),
    [sym__subshell_start] = ACTIONS(10783),
    [sym__regex_start] = ACTIONS(10783),
    [sym__string_array_start] = ACTIONS(10783),
    [sym__symbol_array_start] = ACTIONS(10783),
    [sym_heredoc_beginning] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__block_ampersand] = ACTIONS(10783),
    [sym__splat_star] = ACTIONS(10783),
    [sym__argument_list_left_paren] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__unary_minus] = ACTIONS(10783),
    [sym__identifier_hash_key] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_def] = ACTIONS(10785),
    [anon_sym_LPAREN] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10783),
    [anon_sym_COLON_COLON] = ACTIONS(10783),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_STAR] = ACTIONS(10785),
    [anon_sym_STAR_STAR] = ACTIONS(10783),
    [anon_sym_EQ] = ACTIONS(10783),
    [anon_sym_class] = ACTIONS(10785),
    [anon_sym_module] = ACTIONS(10785),
    [anon_sym_return] = ACTIONS(10785),
    [anon_sym_yield] = ACTIONS(10785),
    [anon_sym_break] = ACTIONS(10785),
    [anon_sym_next] = ACTIONS(10785),
    [sym_redo] = ACTIONS(10785),
    [sym_retry] = ACTIONS(10785),
    [anon_sym_if] = ACTIONS(10785),
    [anon_sym_unless] = ACTIONS(10785),
    [anon_sym_while] = ACTIONS(10785),
    [anon_sym_until] = ACTIONS(10785),
    [anon_sym_for] = ACTIONS(10785),
    [anon_sym_in] = ACTIONS(10785),
    [anon_sym_do] = ACTIONS(10785),
    [anon_sym_case] = ACTIONS(10785),
    [anon_sym_begin] = ACTIONS(10785),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_defined_QMARK] = ACTIONS(10783),
    [anon_sym_not] = ACTIONS(10785),
    [anon_sym_BANG] = ACTIONS(10783),
    [anon_sym_TILDE] = ACTIONS(10783),
    [sym_constant] = ACTIONS(10785),
    [sym_identifier] = ACTIONS(10785),
    [sym_instance_variable] = ACTIONS(10783),
    [sym_class_variable] = ACTIONS(10783),
    [sym_global_variable] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(10785),
    [sym_float] = ACTIONS(10785),
    [sym_complex] = ACTIONS(10783),
    [sym_super] = ACTIONS(10785),
    [anon_sym_true] = ACTIONS(10785),
    [anon_sym_TRUE] = ACTIONS(10785),
    [anon_sym_false] = ACTIONS(10785),
    [anon_sym_FALSE] = ACTIONS(10785),
    [sym_self] = ACTIONS(10785),
    [anon_sym_nil] = ACTIONS(10785),
    [anon_sym_NIL] = ACTIONS(10785),
    [sym_character] = ACTIONS(10783),
    [anon_sym_LBRACK] = ACTIONS(10783),
    [anon_sym_DASH_GT] = ACTIONS(10783),
  },
  [9817] = {
    [sym__heredoc_body_start] = ACTIONS(6453),
    [sym__element_reference_left_bracket] = ACTIONS(6453),
    [sym__infix_scope_colons] = ACTIONS(6453),
    [sym__binary_minus] = ACTIONS(6453),
    [sym__binary_star] = ACTIONS(6453),
    [anon_sym_LBRACE] = ACTIONS(6453),
    [anon_sym_RPAREN] = ACTIONS(6453),
    [anon_sym_DOT] = ACTIONS(6455),
    [anon_sym_COMMA] = ACTIONS(6453),
    [anon_sym_PIPE] = ACTIONS(6455),
    [anon_sym_STAR_STAR] = ACTIONS(6453),
    [anon_sym_AMP] = ACTIONS(6455),
    [anon_sym_EQ] = ACTIONS(6455),
    [anon_sym_LT] = ACTIONS(6455),
    [anon_sym_do] = ACTIONS(6453),
    [anon_sym_AMP_DOT] = ACTIONS(6453),
    [anon_sym_QMARK] = ACTIONS(6453),
    [anon_sym_DOT_DOT] = ACTIONS(6455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6453),
    [anon_sym_and] = ACTIONS(6453),
    [anon_sym_or] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE] = ACTIONS(6453),
    [anon_sym_AMP_AMP] = ACTIONS(6453),
    [anon_sym_LT_LT] = ACTIONS(6453),
    [anon_sym_GT_GT] = ACTIONS(6453),
    [anon_sym_EQ_EQ] = ACTIONS(6455),
    [anon_sym_BANG_EQ] = ACTIONS(6453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6453),
    [anon_sym_LT_EQ_GT] = ACTIONS(6453),
    [anon_sym_EQ_TILDE] = ACTIONS(6453),
    [anon_sym_BANG_TILDE] = ACTIONS(6453),
    [anon_sym_LT_EQ] = ACTIONS(6455),
    [anon_sym_GT] = ACTIONS(6455),
    [anon_sym_GT_EQ] = ACTIONS(6453),
    [anon_sym_CARET] = ACTIONS(6453),
    [anon_sym_PLUS] = ACTIONS(6453),
    [anon_sym_SLASH] = ACTIONS(6453),
    [anon_sym_PERCENT] = ACTIONS(6453),
    [sym_comment] = ACTIONS(87),
  },
  [9818] = {
    [sym__heredoc_body_start] = ACTIONS(6457),
    [sym__element_reference_left_bracket] = ACTIONS(6457),
    [sym__infix_scope_colons] = ACTIONS(6457),
    [sym__binary_minus] = ACTIONS(6457),
    [sym__binary_star] = ACTIONS(6457),
    [anon_sym_LBRACE] = ACTIONS(6457),
    [anon_sym_RPAREN] = ACTIONS(6457),
    [anon_sym_DOT] = ACTIONS(6459),
    [anon_sym_COMMA] = ACTIONS(6457),
    [anon_sym_PIPE] = ACTIONS(6459),
    [anon_sym_STAR_STAR] = ACTIONS(6457),
    [anon_sym_AMP] = ACTIONS(6459),
    [anon_sym_EQ] = ACTIONS(6459),
    [anon_sym_LT] = ACTIONS(6459),
    [anon_sym_do] = ACTIONS(6457),
    [anon_sym_AMP_DOT] = ACTIONS(6457),
    [anon_sym_QMARK] = ACTIONS(6457),
    [anon_sym_DOT_DOT] = ACTIONS(6459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6457),
    [anon_sym_and] = ACTIONS(6457),
    [anon_sym_or] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE] = ACTIONS(6457),
    [anon_sym_AMP_AMP] = ACTIONS(6457),
    [anon_sym_LT_LT] = ACTIONS(6457),
    [anon_sym_GT_GT] = ACTIONS(6457),
    [anon_sym_EQ_EQ] = ACTIONS(6459),
    [anon_sym_BANG_EQ] = ACTIONS(6457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6457),
    [anon_sym_LT_EQ_GT] = ACTIONS(6457),
    [anon_sym_EQ_TILDE] = ACTIONS(6457),
    [anon_sym_BANG_TILDE] = ACTIONS(6457),
    [anon_sym_LT_EQ] = ACTIONS(6459),
    [anon_sym_GT] = ACTIONS(6459),
    [anon_sym_GT_EQ] = ACTIONS(6457),
    [anon_sym_CARET] = ACTIONS(6457),
    [anon_sym_PLUS] = ACTIONS(6457),
    [anon_sym_SLASH] = ACTIONS(6457),
    [anon_sym_PERCENT] = ACTIONS(6457),
    [sym_comment] = ACTIONS(87),
  },
  [9819] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13845),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9820] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(13845),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(13847),
  },
  [9821] = {
    [sym__heredoc_body_start] = ACTIONS(6465),
    [sym__element_reference_left_bracket] = ACTIONS(6465),
    [sym__infix_scope_colons] = ACTIONS(6465),
    [sym__binary_minus] = ACTIONS(6465),
    [sym__binary_star] = ACTIONS(6465),
    [anon_sym_LBRACE] = ACTIONS(6465),
    [anon_sym_RPAREN] = ACTIONS(6465),
    [anon_sym_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6465),
    [anon_sym_PIPE] = ACTIONS(6467),
    [anon_sym_STAR_STAR] = ACTIONS(6465),
    [anon_sym_AMP] = ACTIONS(6467),
    [anon_sym_EQ] = ACTIONS(6467),
    [anon_sym_LT] = ACTIONS(6467),
    [anon_sym_do] = ACTIONS(6465),
    [anon_sym_AMP_DOT] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6465),
    [anon_sym_DOT_DOT] = ACTIONS(6467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6465),
    [anon_sym_AMP_AMP] = ACTIONS(6465),
    [anon_sym_LT_LT] = ACTIONS(6465),
    [anon_sym_GT_GT] = ACTIONS(6465),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6465),
    [anon_sym_EQ_TILDE] = ACTIONS(6465),
    [anon_sym_BANG_TILDE] = ACTIONS(6465),
    [anon_sym_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6467),
    [anon_sym_GT_EQ] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6465),
    [anon_sym_PLUS] = ACTIONS(6465),
    [anon_sym_SLASH] = ACTIONS(6465),
    [anon_sym_PERCENT] = ACTIONS(6465),
    [sym_comment] = ACTIONS(87),
  },
  [9822] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13849),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9823] = {
    [sym__heredoc_body_start] = ACTIONS(6478),
    [sym__element_reference_left_bracket] = ACTIONS(6478),
    [sym__infix_scope_colons] = ACTIONS(6478),
    [sym__binary_minus] = ACTIONS(6478),
    [sym__binary_star] = ACTIONS(6478),
    [anon_sym_LBRACE] = ACTIONS(6478),
    [anon_sym_RPAREN] = ACTIONS(6478),
    [anon_sym_DOT] = ACTIONS(6480),
    [anon_sym_COMMA] = ACTIONS(6478),
    [anon_sym_PIPE] = ACTIONS(6480),
    [anon_sym_STAR_STAR] = ACTIONS(6478),
    [anon_sym_AMP] = ACTIONS(6480),
    [anon_sym_EQ] = ACTIONS(6480),
    [anon_sym_LT] = ACTIONS(6480),
    [anon_sym_do] = ACTIONS(6478),
    [anon_sym_AMP_DOT] = ACTIONS(6478),
    [anon_sym_QMARK] = ACTIONS(6478),
    [anon_sym_DOT_DOT] = ACTIONS(6480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6478),
    [anon_sym_and] = ACTIONS(6478),
    [anon_sym_or] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE] = ACTIONS(6478),
    [anon_sym_AMP_AMP] = ACTIONS(6478),
    [anon_sym_LT_LT] = ACTIONS(6478),
    [anon_sym_GT_GT] = ACTIONS(6478),
    [anon_sym_EQ_EQ] = ACTIONS(6480),
    [anon_sym_BANG_EQ] = ACTIONS(6478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6478),
    [anon_sym_LT_EQ_GT] = ACTIONS(6478),
    [anon_sym_EQ_TILDE] = ACTIONS(6478),
    [anon_sym_BANG_TILDE] = ACTIONS(6478),
    [anon_sym_LT_EQ] = ACTIONS(6480),
    [anon_sym_GT] = ACTIONS(6480),
    [anon_sym_GT_EQ] = ACTIONS(6478),
    [anon_sym_CARET] = ACTIONS(6478),
    [anon_sym_PLUS] = ACTIONS(6478),
    [anon_sym_SLASH] = ACTIONS(6478),
    [anon_sym_PERCENT] = ACTIONS(6478),
    [sym_comment] = ACTIONS(87),
  },
  [9824] = {
    [sym__heredoc_body_start] = ACTIONS(6482),
    [sym__element_reference_left_bracket] = ACTIONS(6482),
    [sym__infix_scope_colons] = ACTIONS(6482),
    [sym__binary_minus] = ACTIONS(6482),
    [sym__binary_star] = ACTIONS(6482),
    [anon_sym_LBRACE] = ACTIONS(6482),
    [anon_sym_RPAREN] = ACTIONS(6482),
    [anon_sym_DOT] = ACTIONS(6484),
    [anon_sym_COMMA] = ACTIONS(6482),
    [anon_sym_PIPE] = ACTIONS(6484),
    [anon_sym_STAR_STAR] = ACTIONS(6482),
    [anon_sym_AMP] = ACTIONS(6484),
    [anon_sym_EQ] = ACTIONS(6484),
    [anon_sym_LT] = ACTIONS(6484),
    [anon_sym_do] = ACTIONS(6482),
    [anon_sym_AMP_DOT] = ACTIONS(6482),
    [anon_sym_QMARK] = ACTIONS(6482),
    [anon_sym_DOT_DOT] = ACTIONS(6484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6482),
    [anon_sym_and] = ACTIONS(6482),
    [anon_sym_or] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE] = ACTIONS(6482),
    [anon_sym_AMP_AMP] = ACTIONS(6482),
    [anon_sym_LT_LT] = ACTIONS(6482),
    [anon_sym_GT_GT] = ACTIONS(6482),
    [anon_sym_EQ_EQ] = ACTIONS(6484),
    [anon_sym_BANG_EQ] = ACTIONS(6482),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6482),
    [anon_sym_LT_EQ_GT] = ACTIONS(6482),
    [anon_sym_EQ_TILDE] = ACTIONS(6482),
    [anon_sym_BANG_TILDE] = ACTIONS(6482),
    [anon_sym_LT_EQ] = ACTIONS(6484),
    [anon_sym_GT] = ACTIONS(6484),
    [anon_sym_GT_EQ] = ACTIONS(6482),
    [anon_sym_CARET] = ACTIONS(6482),
    [anon_sym_PLUS] = ACTIONS(6482),
    [anon_sym_SLASH] = ACTIONS(6482),
    [anon_sym_PERCENT] = ACTIONS(6482),
    [sym_comment] = ACTIONS(87),
  },
  [9825] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13851),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9826] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(13851),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(13853),
  },
  [9827] = {
    [sym__heredoc_body_start] = ACTIONS(6490),
    [sym__element_reference_left_bracket] = ACTIONS(6490),
    [sym__infix_scope_colons] = ACTIONS(6490),
    [sym__binary_minus] = ACTIONS(6490),
    [sym__binary_star] = ACTIONS(6490),
    [anon_sym_LBRACE] = ACTIONS(6490),
    [anon_sym_RPAREN] = ACTIONS(6490),
    [anon_sym_DOT] = ACTIONS(6492),
    [anon_sym_COMMA] = ACTIONS(6490),
    [anon_sym_PIPE] = ACTIONS(6492),
    [anon_sym_STAR_STAR] = ACTIONS(6490),
    [anon_sym_AMP] = ACTIONS(6492),
    [anon_sym_EQ] = ACTIONS(6492),
    [anon_sym_LT] = ACTIONS(6492),
    [anon_sym_do] = ACTIONS(6490),
    [anon_sym_AMP_DOT] = ACTIONS(6490),
    [anon_sym_QMARK] = ACTIONS(6490),
    [anon_sym_DOT_DOT] = ACTIONS(6492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6490),
    [anon_sym_and] = ACTIONS(6490),
    [anon_sym_or] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE] = ACTIONS(6490),
    [anon_sym_AMP_AMP] = ACTIONS(6490),
    [anon_sym_LT_LT] = ACTIONS(6490),
    [anon_sym_GT_GT] = ACTIONS(6490),
    [anon_sym_EQ_EQ] = ACTIONS(6492),
    [anon_sym_BANG_EQ] = ACTIONS(6490),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6490),
    [anon_sym_LT_EQ_GT] = ACTIONS(6490),
    [anon_sym_EQ_TILDE] = ACTIONS(6490),
    [anon_sym_BANG_TILDE] = ACTIONS(6490),
    [anon_sym_LT_EQ] = ACTIONS(6492),
    [anon_sym_GT] = ACTIONS(6492),
    [anon_sym_GT_EQ] = ACTIONS(6490),
    [anon_sym_CARET] = ACTIONS(6490),
    [anon_sym_PLUS] = ACTIONS(6490),
    [anon_sym_SLASH] = ACTIONS(6490),
    [anon_sym_PERCENT] = ACTIONS(6490),
    [sym_comment] = ACTIONS(87),
  },
  [9828] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(13855),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [9829] = {
    [sym__heredoc_body_start] = ACTIONS(7030),
    [sym__element_reference_left_bracket] = ACTIONS(7030),
    [sym__infix_scope_colons] = ACTIONS(7030),
    [sym__binary_minus] = ACTIONS(7030),
    [sym__binary_star] = ACTIONS(7030),
    [anon_sym_LBRACE] = ACTIONS(7030),
    [anon_sym_RPAREN] = ACTIONS(7030),
    [anon_sym_DOT] = ACTIONS(7032),
    [anon_sym_COMMA] = ACTIONS(7030),
    [anon_sym_PIPE] = ACTIONS(7032),
    [anon_sym_STAR_STAR] = ACTIONS(7030),
    [anon_sym_AMP] = ACTIONS(7032),
    [anon_sym_EQ] = ACTIONS(7032),
    [anon_sym_LT] = ACTIONS(7032),
    [anon_sym_do] = ACTIONS(7030),
    [anon_sym_AMP_DOT] = ACTIONS(7030),
    [anon_sym_QMARK] = ACTIONS(7030),
    [anon_sym_DOT_DOT] = ACTIONS(7032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7030),
    [anon_sym_and] = ACTIONS(7030),
    [anon_sym_or] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE] = ACTIONS(7030),
    [anon_sym_AMP_AMP] = ACTIONS(7030),
    [anon_sym_LT_LT] = ACTIONS(7030),
    [anon_sym_GT_GT] = ACTIONS(7030),
    [anon_sym_EQ_EQ] = ACTIONS(7032),
    [anon_sym_BANG_EQ] = ACTIONS(7030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7030),
    [anon_sym_LT_EQ_GT] = ACTIONS(7030),
    [anon_sym_EQ_TILDE] = ACTIONS(7030),
    [anon_sym_BANG_TILDE] = ACTIONS(7030),
    [anon_sym_LT_EQ] = ACTIONS(7032),
    [anon_sym_GT] = ACTIONS(7032),
    [anon_sym_GT_EQ] = ACTIONS(7030),
    [anon_sym_CARET] = ACTIONS(7030),
    [anon_sym_PLUS] = ACTIONS(7030),
    [anon_sym_SLASH] = ACTIONS(7030),
    [anon_sym_PERCENT] = ACTIONS(7030),
    [sym_comment] = ACTIONS(87),
  },
  [9830] = {
    [anon_sym_DOT] = ACTIONS(13857),
    [anon_sym_COLON_COLON] = ACTIONS(13857),
    [sym_comment] = ACTIONS(87),
  },
  [9831] = {
    [sym__heredoc_body_start] = ACTIONS(7186),
    [sym__element_reference_left_bracket] = ACTIONS(7186),
    [sym__infix_scope_colons] = ACTIONS(7186),
    [sym__binary_minus] = ACTIONS(7186),
    [sym__binary_star] = ACTIONS(7186),
    [anon_sym_LBRACE] = ACTIONS(7186),
    [anon_sym_RPAREN] = ACTIONS(7186),
    [anon_sym_DOT] = ACTIONS(7188),
    [anon_sym_COMMA] = ACTIONS(7186),
    [anon_sym_PIPE] = ACTIONS(7188),
    [anon_sym_STAR_STAR] = ACTIONS(7186),
    [anon_sym_AMP] = ACTIONS(7188),
    [anon_sym_EQ] = ACTIONS(7188),
    [anon_sym_LT] = ACTIONS(7188),
    [anon_sym_do] = ACTIONS(7186),
    [anon_sym_AMP_DOT] = ACTIONS(7186),
    [anon_sym_QMARK] = ACTIONS(7186),
    [anon_sym_DOT_DOT] = ACTIONS(7188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7186),
    [anon_sym_and] = ACTIONS(7186),
    [anon_sym_or] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7186),
    [anon_sym_AMP_AMP] = ACTIONS(7186),
    [anon_sym_LT_LT] = ACTIONS(7186),
    [anon_sym_GT_GT] = ACTIONS(7186),
    [anon_sym_EQ_EQ] = ACTIONS(7188),
    [anon_sym_BANG_EQ] = ACTIONS(7186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7186),
    [anon_sym_LT_EQ_GT] = ACTIONS(7186),
    [anon_sym_EQ_TILDE] = ACTIONS(7186),
    [anon_sym_BANG_TILDE] = ACTIONS(7186),
    [anon_sym_LT_EQ] = ACTIONS(7188),
    [anon_sym_GT] = ACTIONS(7188),
    [anon_sym_GT_EQ] = ACTIONS(7186),
    [anon_sym_CARET] = ACTIONS(7186),
    [anon_sym_PLUS] = ACTIONS(7186),
    [anon_sym_SLASH] = ACTIONS(7186),
    [anon_sym_PERCENT] = ACTIONS(7186),
    [sym_comment] = ACTIONS(87),
  },
  [9832] = {
    [sym__heredoc_body_start] = ACTIONS(7202),
    [sym__element_reference_left_bracket] = ACTIONS(7202),
    [sym__infix_scope_colons] = ACTIONS(7202),
    [sym__binary_minus] = ACTIONS(7202),
    [sym__binary_star] = ACTIONS(7202),
    [anon_sym_LBRACE] = ACTIONS(7202),
    [anon_sym_RPAREN] = ACTIONS(7202),
    [anon_sym_DOT] = ACTIONS(7204),
    [anon_sym_COMMA] = ACTIONS(7202),
    [anon_sym_PIPE] = ACTIONS(7204),
    [anon_sym_STAR_STAR] = ACTIONS(7202),
    [anon_sym_AMP] = ACTIONS(7204),
    [anon_sym_EQ] = ACTIONS(7204),
    [anon_sym_LT] = ACTIONS(7204),
    [anon_sym_do] = ACTIONS(7202),
    [anon_sym_AMP_DOT] = ACTIONS(7202),
    [anon_sym_QMARK] = ACTIONS(7202),
    [anon_sym_DOT_DOT] = ACTIONS(7204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7202),
    [anon_sym_and] = ACTIONS(7202),
    [anon_sym_or] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE] = ACTIONS(7202),
    [anon_sym_AMP_AMP] = ACTIONS(7202),
    [anon_sym_LT_LT] = ACTIONS(7202),
    [anon_sym_GT_GT] = ACTIONS(7202),
    [anon_sym_EQ_EQ] = ACTIONS(7204),
    [anon_sym_BANG_EQ] = ACTIONS(7202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7202),
    [anon_sym_LT_EQ_GT] = ACTIONS(7202),
    [anon_sym_EQ_TILDE] = ACTIONS(7202),
    [anon_sym_BANG_TILDE] = ACTIONS(7202),
    [anon_sym_LT_EQ] = ACTIONS(7204),
    [anon_sym_GT] = ACTIONS(7204),
    [anon_sym_GT_EQ] = ACTIONS(7202),
    [anon_sym_CARET] = ACTIONS(7202),
    [anon_sym_PLUS] = ACTIONS(7202),
    [anon_sym_SLASH] = ACTIONS(7202),
    [anon_sym_PERCENT] = ACTIONS(7202),
    [sym_comment] = ACTIONS(87),
  },
  [9833] = {
    [sym__statements] = STATE(5076),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(5077),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(5078),
    [sym_rescue] = STATE(5079),
    [sym__body_statement] = STATE(10997),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13859),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9834] = {
    [sym__statements] = STATE(5076),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(5077),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(5078),
    [sym_rescue] = STATE(5079),
    [sym__body_statement] = STATE(10998),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13861),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9835] = {
    [sym__heredoc_body_start] = ACTIONS(7648),
    [sym__element_reference_left_bracket] = ACTIONS(7648),
    [sym__infix_scope_colons] = ACTIONS(7648),
    [sym__binary_minus] = ACTIONS(7648),
    [sym__binary_star] = ACTIONS(7648),
    [anon_sym_LBRACE] = ACTIONS(7648),
    [anon_sym_RPAREN] = ACTIONS(7648),
    [anon_sym_DOT] = ACTIONS(7650),
    [anon_sym_COMMA] = ACTIONS(7648),
    [anon_sym_PIPE] = ACTIONS(7650),
    [anon_sym_STAR_STAR] = ACTIONS(7648),
    [anon_sym_AMP] = ACTIONS(7650),
    [anon_sym_EQ] = ACTIONS(7650),
    [anon_sym_LT] = ACTIONS(7650),
    [anon_sym_do] = ACTIONS(7648),
    [anon_sym_AMP_DOT] = ACTIONS(7648),
    [anon_sym_QMARK] = ACTIONS(7648),
    [anon_sym_DOT_DOT] = ACTIONS(7650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7648),
    [anon_sym_and] = ACTIONS(7648),
    [anon_sym_or] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE] = ACTIONS(7648),
    [anon_sym_AMP_AMP] = ACTIONS(7648),
    [anon_sym_LT_LT] = ACTIONS(7648),
    [anon_sym_GT_GT] = ACTIONS(7648),
    [anon_sym_EQ_EQ] = ACTIONS(7650),
    [anon_sym_BANG_EQ] = ACTIONS(7648),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7648),
    [anon_sym_LT_EQ_GT] = ACTIONS(7648),
    [anon_sym_EQ_TILDE] = ACTIONS(7648),
    [anon_sym_BANG_TILDE] = ACTIONS(7648),
    [anon_sym_LT_EQ] = ACTIONS(7650),
    [anon_sym_GT] = ACTIONS(7650),
    [anon_sym_GT_EQ] = ACTIONS(7648),
    [anon_sym_CARET] = ACTIONS(7648),
    [anon_sym_PLUS] = ACTIONS(7648),
    [anon_sym_SLASH] = ACTIONS(7648),
    [anon_sym_PERCENT] = ACTIONS(7648),
    [sym_comment] = ACTIONS(87),
  },
  [9836] = {
    [sym__heredoc_body_start] = ACTIONS(7704),
    [sym__element_reference_left_bracket] = ACTIONS(7704),
    [sym__infix_scope_colons] = ACTIONS(7704),
    [sym__binary_minus] = ACTIONS(7704),
    [sym__binary_star] = ACTIONS(7704),
    [anon_sym_LBRACE] = ACTIONS(7704),
    [anon_sym_RPAREN] = ACTIONS(7704),
    [anon_sym_DOT] = ACTIONS(7706),
    [anon_sym_COMMA] = ACTIONS(7704),
    [anon_sym_PIPE] = ACTIONS(7706),
    [anon_sym_STAR_STAR] = ACTIONS(7704),
    [anon_sym_AMP] = ACTIONS(7706),
    [anon_sym_EQ] = ACTIONS(7706),
    [anon_sym_LT] = ACTIONS(7706),
    [anon_sym_do] = ACTIONS(7704),
    [anon_sym_AMP_DOT] = ACTIONS(7704),
    [anon_sym_QMARK] = ACTIONS(7704),
    [anon_sym_DOT_DOT] = ACTIONS(7706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7704),
    [anon_sym_and] = ACTIONS(7704),
    [anon_sym_or] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE] = ACTIONS(7704),
    [anon_sym_AMP_AMP] = ACTIONS(7704),
    [anon_sym_LT_LT] = ACTIONS(7704),
    [anon_sym_GT_GT] = ACTIONS(7704),
    [anon_sym_EQ_EQ] = ACTIONS(7706),
    [anon_sym_BANG_EQ] = ACTIONS(7704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7704),
    [anon_sym_LT_EQ_GT] = ACTIONS(7704),
    [anon_sym_EQ_TILDE] = ACTIONS(7704),
    [anon_sym_BANG_TILDE] = ACTIONS(7704),
    [anon_sym_LT_EQ] = ACTIONS(7706),
    [anon_sym_GT] = ACTIONS(7706),
    [anon_sym_GT_EQ] = ACTIONS(7704),
    [anon_sym_CARET] = ACTIONS(7704),
    [anon_sym_PLUS] = ACTIONS(7704),
    [anon_sym_SLASH] = ACTIONS(7704),
    [anon_sym_PERCENT] = ACTIONS(7704),
    [sym_comment] = ACTIONS(87),
  },
  [9837] = {
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__binary_minus] = ACTIONS(7758),
    [sym__binary_star] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7760),
    [anon_sym_COMMA] = ACTIONS(7758),
    [anon_sym_PIPE] = ACTIONS(7760),
    [anon_sym_STAR_STAR] = ACTIONS(7758),
    [anon_sym_AMP] = ACTIONS(7760),
    [anon_sym_EQ] = ACTIONS(7760),
    [anon_sym_LT] = ACTIONS(7760),
    [anon_sym_do] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_QMARK] = ACTIONS(7758),
    [anon_sym_DOT_DOT] = ACTIONS(7760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7758),
    [anon_sym_and] = ACTIONS(7758),
    [anon_sym_or] = ACTIONS(7758),
    [anon_sym_PIPE_PIPE] = ACTIONS(7758),
    [anon_sym_AMP_AMP] = ACTIONS(7758),
    [anon_sym_LT_LT] = ACTIONS(7758),
    [anon_sym_GT_GT] = ACTIONS(7758),
    [anon_sym_EQ_EQ] = ACTIONS(7760),
    [anon_sym_BANG_EQ] = ACTIONS(7758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7758),
    [anon_sym_LT_EQ_GT] = ACTIONS(7758),
    [anon_sym_EQ_TILDE] = ACTIONS(7758),
    [anon_sym_BANG_TILDE] = ACTIONS(7758),
    [anon_sym_LT_EQ] = ACTIONS(7760),
    [anon_sym_GT] = ACTIONS(7760),
    [anon_sym_GT_EQ] = ACTIONS(7758),
    [anon_sym_CARET] = ACTIONS(7758),
    [anon_sym_PLUS] = ACTIONS(7758),
    [anon_sym_SLASH] = ACTIONS(7758),
    [anon_sym_PERCENT] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
  },
  [9838] = {
    [anon_sym_RPAREN] = ACTIONS(13863),
    [sym_comment] = ACTIONS(87),
  },
  [9839] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [9840] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [9841] = {
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym__element_reference_left_bracket] = ACTIONS(3138),
    [sym__infix_scope_colons] = ACTIONS(3138),
    [sym__binary_minus] = ACTIONS(3138),
    [sym__binary_star] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_STAR_STAR] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_AMP_DOT] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_LT_LT] = ACTIONS(3138),
    [anon_sym_GT_GT] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_CARET] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(87),
  },
  [9842] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(13865),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [9843] = {
    [sym_heredoc_body] = STATE(9843),
    [aux_sym_call_repeat1] = STATE(9843),
    [sym__heredoc_body_start] = ACTIONS(13867),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9844] = {
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(7811),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [9845] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5061),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(873),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(873),
    [sym__argument] = STATE(11001),
    [sym_splat_argument] = STATE(11001),
    [sym_hash_splat_argument] = STATE(11001),
    [sym_block_argument] = STATE(11001),
    [sym_assignment] = STATE(5061),
    [sym_operator_assignment] = STATE(5061),
    [sym_conditional] = STATE(5061),
    [sym_range] = STATE(5061),
    [sym_binary] = STATE(5061),
    [sym_unary] = STATE(5061),
    [sym_left_assignment_list] = STATE(872),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(873),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(873),
    [sym_false] = STATE(873),
    [sym_nil] = STATE(873),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5065),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(11001),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(7569),
    [sym__splat_star] = ACTIONS(7571),
    [sym__unary_minus] = ACTIONS(1493),
    [sym__identifier_hash_key] = ACTIONS(7575),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12603),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1507),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_defined_QMARK] = ACTIONS(1511),
    [anon_sym_not] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [sym_constant] = ACTIONS(7577),
    [sym_identifier] = ACTIONS(7577),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9846] = {
    [sym_heredoc_body] = STATE(9843),
    [aux_sym_call_repeat1] = STATE(9843),
    [sym__heredoc_body_start] = ACTIONS(10709),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9847] = {
    [aux_sym_argument_list_repeat1] = STATE(9847),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13870),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [9848] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [9849] = {
    [sym__heredoc_body_start] = ACTIONS(7880),
    [sym__element_reference_left_bracket] = ACTIONS(7880),
    [sym__infix_scope_colons] = ACTIONS(7880),
    [sym__binary_minus] = ACTIONS(7880),
    [sym__binary_star] = ACTIONS(7880),
    [anon_sym_LBRACE] = ACTIONS(7880),
    [anon_sym_RPAREN] = ACTIONS(7880),
    [anon_sym_DOT] = ACTIONS(7882),
    [anon_sym_COMMA] = ACTIONS(7880),
    [anon_sym_PIPE] = ACTIONS(7882),
    [anon_sym_STAR_STAR] = ACTIONS(7880),
    [anon_sym_AMP] = ACTIONS(7882),
    [anon_sym_EQ] = ACTIONS(7882),
    [anon_sym_LT] = ACTIONS(7882),
    [anon_sym_do] = ACTIONS(7880),
    [anon_sym_AMP_DOT] = ACTIONS(7880),
    [anon_sym_QMARK] = ACTIONS(7880),
    [anon_sym_DOT_DOT] = ACTIONS(7882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7880),
    [anon_sym_and] = ACTIONS(7880),
    [anon_sym_or] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE] = ACTIONS(7880),
    [anon_sym_AMP_AMP] = ACTIONS(7880),
    [anon_sym_LT_LT] = ACTIONS(7880),
    [anon_sym_GT_GT] = ACTIONS(7880),
    [anon_sym_EQ_EQ] = ACTIONS(7882),
    [anon_sym_BANG_EQ] = ACTIONS(7880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7880),
    [anon_sym_LT_EQ_GT] = ACTIONS(7880),
    [anon_sym_EQ_TILDE] = ACTIONS(7880),
    [anon_sym_BANG_TILDE] = ACTIONS(7880),
    [anon_sym_LT_EQ] = ACTIONS(7882),
    [anon_sym_GT] = ACTIONS(7882),
    [anon_sym_GT_EQ] = ACTIONS(7880),
    [anon_sym_CARET] = ACTIONS(7880),
    [anon_sym_PLUS] = ACTIONS(7880),
    [anon_sym_SLASH] = ACTIONS(7880),
    [anon_sym_PERCENT] = ACTIONS(7880),
    [sym_comment] = ACTIONS(87),
  },
  [9850] = {
    [sym_elsif] = STATE(11003),
    [sym_else] = STATE(11003),
    [sym__if_tail] = STATE(11003),
    [anon_sym_end] = ACTIONS(13873),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [9851] = {
    [anon_sym_end] = ACTIONS(13873),
    [sym_comment] = ACTIONS(87),
  },
  [9852] = {
    [sym__statements] = STATE(11004),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(11003),
    [sym_else] = STATE(11003),
    [sym__if_tail] = STATE(11003),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13875),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9853] = {
    [sym__heredoc_body_start] = ACTIONS(8084),
    [sym__element_reference_left_bracket] = ACTIONS(8084),
    [sym__infix_scope_colons] = ACTIONS(8084),
    [sym__binary_minus] = ACTIONS(8084),
    [sym__binary_star] = ACTIONS(8084),
    [anon_sym_LBRACE] = ACTIONS(8084),
    [anon_sym_RPAREN] = ACTIONS(8084),
    [anon_sym_DOT] = ACTIONS(8086),
    [anon_sym_COMMA] = ACTIONS(8084),
    [anon_sym_PIPE] = ACTIONS(8086),
    [anon_sym_STAR_STAR] = ACTIONS(8084),
    [anon_sym_AMP] = ACTIONS(8086),
    [anon_sym_EQ] = ACTIONS(8086),
    [anon_sym_LT] = ACTIONS(8086),
    [anon_sym_do] = ACTIONS(8084),
    [anon_sym_AMP_DOT] = ACTIONS(8084),
    [anon_sym_QMARK] = ACTIONS(8084),
    [anon_sym_DOT_DOT] = ACTIONS(8086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8084),
    [anon_sym_and] = ACTIONS(8084),
    [anon_sym_or] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE] = ACTIONS(8084),
    [anon_sym_AMP_AMP] = ACTIONS(8084),
    [anon_sym_LT_LT] = ACTIONS(8084),
    [anon_sym_GT_GT] = ACTIONS(8084),
    [anon_sym_EQ_EQ] = ACTIONS(8086),
    [anon_sym_BANG_EQ] = ACTIONS(8084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8084),
    [anon_sym_LT_EQ_GT] = ACTIONS(8084),
    [anon_sym_EQ_TILDE] = ACTIONS(8084),
    [anon_sym_BANG_TILDE] = ACTIONS(8084),
    [anon_sym_LT_EQ] = ACTIONS(8086),
    [anon_sym_GT] = ACTIONS(8086),
    [anon_sym_GT_EQ] = ACTIONS(8084),
    [anon_sym_CARET] = ACTIONS(8084),
    [anon_sym_PLUS] = ACTIONS(8084),
    [anon_sym_SLASH] = ACTIONS(8084),
    [anon_sym_PERCENT] = ACTIONS(8084),
    [sym_comment] = ACTIONS(87),
  },
  [9854] = {
    [sym_else] = STATE(11006),
    [anon_sym_end] = ACTIONS(13877),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [9855] = {
    [anon_sym_end] = ACTIONS(13877),
    [sym_comment] = ACTIONS(87),
  },
  [9856] = {
    [sym__heredoc_body_start] = ACTIONS(8254),
    [sym__element_reference_left_bracket] = ACTIONS(8254),
    [sym__infix_scope_colons] = ACTIONS(8254),
    [sym__binary_minus] = ACTIONS(8254),
    [sym__binary_star] = ACTIONS(8254),
    [anon_sym_LBRACE] = ACTIONS(8254),
    [anon_sym_RPAREN] = ACTIONS(8254),
    [anon_sym_DOT] = ACTIONS(8256),
    [anon_sym_COMMA] = ACTIONS(8254),
    [anon_sym_PIPE] = ACTIONS(8256),
    [anon_sym_STAR_STAR] = ACTIONS(8254),
    [anon_sym_AMP] = ACTIONS(8256),
    [anon_sym_EQ] = ACTIONS(8256),
    [anon_sym_LT] = ACTIONS(8256),
    [anon_sym_do] = ACTIONS(8254),
    [anon_sym_AMP_DOT] = ACTIONS(8254),
    [anon_sym_QMARK] = ACTIONS(8254),
    [anon_sym_DOT_DOT] = ACTIONS(8256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8254),
    [anon_sym_and] = ACTIONS(8254),
    [anon_sym_or] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE] = ACTIONS(8254),
    [anon_sym_AMP_AMP] = ACTIONS(8254),
    [anon_sym_LT_LT] = ACTIONS(8254),
    [anon_sym_GT_GT] = ACTIONS(8254),
    [anon_sym_EQ_EQ] = ACTIONS(8256),
    [anon_sym_BANG_EQ] = ACTIONS(8254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8254),
    [anon_sym_LT_EQ_GT] = ACTIONS(8254),
    [anon_sym_EQ_TILDE] = ACTIONS(8254),
    [anon_sym_BANG_TILDE] = ACTIONS(8254),
    [anon_sym_LT_EQ] = ACTIONS(8256),
    [anon_sym_GT] = ACTIONS(8256),
    [anon_sym_GT_EQ] = ACTIONS(8254),
    [anon_sym_CARET] = ACTIONS(8254),
    [anon_sym_PLUS] = ACTIONS(8254),
    [anon_sym_SLASH] = ACTIONS(8254),
    [anon_sym_PERCENT] = ACTIONS(8254),
    [sym_comment] = ACTIONS(87),
  },
  [9857] = {
    [anon_sym_end] = ACTIONS(13879),
    [sym_comment] = ACTIONS(87),
  },
  [9858] = {
    [sym__heredoc_body_start] = ACTIONS(8334),
    [sym__element_reference_left_bracket] = ACTIONS(8334),
    [sym__infix_scope_colons] = ACTIONS(8334),
    [sym__binary_minus] = ACTIONS(8334),
    [sym__binary_star] = ACTIONS(8334),
    [anon_sym_LBRACE] = ACTIONS(8334),
    [anon_sym_RPAREN] = ACTIONS(8334),
    [anon_sym_DOT] = ACTIONS(8336),
    [anon_sym_COMMA] = ACTIONS(8334),
    [anon_sym_PIPE] = ACTIONS(8336),
    [anon_sym_STAR_STAR] = ACTIONS(8334),
    [anon_sym_AMP] = ACTIONS(8336),
    [anon_sym_EQ] = ACTIONS(8336),
    [anon_sym_LT] = ACTIONS(8336),
    [anon_sym_do] = ACTIONS(8334),
    [anon_sym_AMP_DOT] = ACTIONS(8334),
    [anon_sym_QMARK] = ACTIONS(8334),
    [anon_sym_DOT_DOT] = ACTIONS(8336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8334),
    [anon_sym_and] = ACTIONS(8334),
    [anon_sym_or] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE] = ACTIONS(8334),
    [anon_sym_AMP_AMP] = ACTIONS(8334),
    [anon_sym_LT_LT] = ACTIONS(8334),
    [anon_sym_GT_GT] = ACTIONS(8334),
    [anon_sym_EQ_EQ] = ACTIONS(8336),
    [anon_sym_BANG_EQ] = ACTIONS(8334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8334),
    [anon_sym_LT_EQ_GT] = ACTIONS(8334),
    [anon_sym_EQ_TILDE] = ACTIONS(8334),
    [anon_sym_BANG_TILDE] = ACTIONS(8334),
    [anon_sym_LT_EQ] = ACTIONS(8336),
    [anon_sym_GT] = ACTIONS(8336),
    [anon_sym_GT_EQ] = ACTIONS(8334),
    [anon_sym_CARET] = ACTIONS(8334),
    [anon_sym_PLUS] = ACTIONS(8334),
    [anon_sym_SLASH] = ACTIONS(8334),
    [anon_sym_PERCENT] = ACTIONS(8334),
    [sym_comment] = ACTIONS(87),
  },
  [9859] = {
    [anon_sym_end] = ACTIONS(13881),
    [sym_comment] = ACTIONS(87),
  },
  [9860] = {
    [sym__statements] = STATE(11010),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13883),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9861] = {
    [anon_sym_end] = ACTIONS(13885),
    [sym_comment] = ACTIONS(87),
  },
  [9862] = {
    [sym_when] = STATE(11012),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [9863] = {
    [sym__heredoc_body_start] = ACTIONS(8592),
    [sym__element_reference_left_bracket] = ACTIONS(8592),
    [sym__infix_scope_colons] = ACTIONS(8592),
    [sym__binary_minus] = ACTIONS(8592),
    [sym__binary_star] = ACTIONS(8592),
    [anon_sym_LBRACE] = ACTIONS(8592),
    [anon_sym_RPAREN] = ACTIONS(8592),
    [anon_sym_DOT] = ACTIONS(8594),
    [anon_sym_COMMA] = ACTIONS(8592),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_STAR_STAR] = ACTIONS(8592),
    [anon_sym_AMP] = ACTIONS(8594),
    [anon_sym_EQ] = ACTIONS(8594),
    [anon_sym_LT] = ACTIONS(8594),
    [anon_sym_do] = ACTIONS(8592),
    [anon_sym_AMP_DOT] = ACTIONS(8592),
    [anon_sym_QMARK] = ACTIONS(8592),
    [anon_sym_DOT_DOT] = ACTIONS(8594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8592),
    [anon_sym_and] = ACTIONS(8592),
    [anon_sym_or] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE] = ACTIONS(8592),
    [anon_sym_AMP_AMP] = ACTIONS(8592),
    [anon_sym_LT_LT] = ACTIONS(8592),
    [anon_sym_GT_GT] = ACTIONS(8592),
    [anon_sym_EQ_EQ] = ACTIONS(8594),
    [anon_sym_BANG_EQ] = ACTIONS(8592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8592),
    [anon_sym_LT_EQ_GT] = ACTIONS(8592),
    [anon_sym_EQ_TILDE] = ACTIONS(8592),
    [anon_sym_BANG_TILDE] = ACTIONS(8592),
    [anon_sym_LT_EQ] = ACTIONS(8594),
    [anon_sym_GT] = ACTIONS(8594),
    [anon_sym_GT_EQ] = ACTIONS(8592),
    [anon_sym_CARET] = ACTIONS(8592),
    [anon_sym_PLUS] = ACTIONS(8592),
    [anon_sym_SLASH] = ACTIONS(8592),
    [anon_sym_PERCENT] = ACTIONS(8592),
    [sym_comment] = ACTIONS(87),
  },
  [9864] = {
    [sym__heredoc_body_start] = ACTIONS(9111),
    [sym__element_reference_left_bracket] = ACTIONS(9111),
    [sym__infix_scope_colons] = ACTIONS(9111),
    [sym__binary_minus] = ACTIONS(9111),
    [sym__binary_star] = ACTIONS(9111),
    [anon_sym_LBRACE] = ACTIONS(9111),
    [anon_sym_RPAREN] = ACTIONS(9111),
    [anon_sym_DOT] = ACTIONS(9113),
    [anon_sym_COMMA] = ACTIONS(9111),
    [anon_sym_PIPE] = ACTIONS(9113),
    [anon_sym_STAR_STAR] = ACTIONS(9111),
    [anon_sym_AMP] = ACTIONS(9113),
    [anon_sym_EQ] = ACTIONS(9113),
    [anon_sym_LT] = ACTIONS(9113),
    [anon_sym_do] = ACTIONS(9111),
    [anon_sym_AMP_DOT] = ACTIONS(9111),
    [anon_sym_QMARK] = ACTIONS(9111),
    [anon_sym_DOT_DOT] = ACTIONS(9113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9111),
    [anon_sym_and] = ACTIONS(9111),
    [anon_sym_or] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE] = ACTIONS(9111),
    [anon_sym_AMP_AMP] = ACTIONS(9111),
    [anon_sym_LT_LT] = ACTIONS(9111),
    [anon_sym_GT_GT] = ACTIONS(9111),
    [anon_sym_EQ_EQ] = ACTIONS(9113),
    [anon_sym_BANG_EQ] = ACTIONS(9111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9111),
    [anon_sym_LT_EQ_GT] = ACTIONS(9111),
    [anon_sym_EQ_TILDE] = ACTIONS(9111),
    [anon_sym_BANG_TILDE] = ACTIONS(9111),
    [anon_sym_LT_EQ] = ACTIONS(9113),
    [anon_sym_GT] = ACTIONS(9113),
    [anon_sym_GT_EQ] = ACTIONS(9111),
    [anon_sym_CARET] = ACTIONS(9111),
    [anon_sym_PLUS] = ACTIONS(9111),
    [anon_sym_SLASH] = ACTIONS(9111),
    [anon_sym_PERCENT] = ACTIONS(9111),
    [sym_comment] = ACTIONS(87),
  },
  [9865] = {
    [anon_sym_end] = ACTIONS(13887),
    [sym_comment] = ACTIONS(87),
  },
  [9866] = {
    [sym_ensure] = STATE(11014),
    [anon_sym_end] = ACTIONS(13887),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [9867] = {
    [sym__heredoc_body_start] = ACTIONS(9333),
    [sym__element_reference_left_bracket] = ACTIONS(9333),
    [sym__infix_scope_colons] = ACTIONS(9333),
    [sym__binary_minus] = ACTIONS(9333),
    [sym__binary_star] = ACTIONS(9333),
    [anon_sym_LBRACE] = ACTIONS(9333),
    [anon_sym_RPAREN] = ACTIONS(9333),
    [anon_sym_DOT] = ACTIONS(9335),
    [anon_sym_COMMA] = ACTIONS(9333),
    [anon_sym_PIPE] = ACTIONS(9335),
    [anon_sym_STAR_STAR] = ACTIONS(9333),
    [anon_sym_AMP] = ACTIONS(9335),
    [anon_sym_EQ] = ACTIONS(9335),
    [anon_sym_LT] = ACTIONS(9335),
    [anon_sym_do] = ACTIONS(9333),
    [anon_sym_AMP_DOT] = ACTIONS(9333),
    [anon_sym_QMARK] = ACTIONS(9333),
    [anon_sym_DOT_DOT] = ACTIONS(9335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9333),
    [anon_sym_and] = ACTIONS(9333),
    [anon_sym_or] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE] = ACTIONS(9333),
    [anon_sym_AMP_AMP] = ACTIONS(9333),
    [anon_sym_LT_LT] = ACTIONS(9333),
    [anon_sym_GT_GT] = ACTIONS(9333),
    [anon_sym_EQ_EQ] = ACTIONS(9335),
    [anon_sym_BANG_EQ] = ACTIONS(9333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9333),
    [anon_sym_LT_EQ_GT] = ACTIONS(9333),
    [anon_sym_EQ_TILDE] = ACTIONS(9333),
    [anon_sym_BANG_TILDE] = ACTIONS(9333),
    [anon_sym_LT_EQ] = ACTIONS(9335),
    [anon_sym_GT] = ACTIONS(9335),
    [anon_sym_GT_EQ] = ACTIONS(9333),
    [anon_sym_CARET] = ACTIONS(9333),
    [anon_sym_PLUS] = ACTIONS(9333),
    [anon_sym_SLASH] = ACTIONS(9333),
    [anon_sym_PERCENT] = ACTIONS(9333),
    [sym_comment] = ACTIONS(87),
  },
  [9868] = {
    [sym__heredoc_body_start] = ACTIONS(9362),
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [sym__binary_minus] = ACTIONS(9362),
    [sym__binary_star] = ACTIONS(9362),
    [anon_sym_LBRACE] = ACTIONS(9362),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9364),
    [anon_sym_COMMA] = ACTIONS(9362),
    [anon_sym_PIPE] = ACTIONS(9364),
    [anon_sym_STAR_STAR] = ACTIONS(9362),
    [anon_sym_AMP] = ACTIONS(9364),
    [anon_sym_EQ] = ACTIONS(9364),
    [anon_sym_LT] = ACTIONS(9364),
    [anon_sym_do] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [anon_sym_QMARK] = ACTIONS(9362),
    [anon_sym_DOT_DOT] = ACTIONS(9364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9362),
    [anon_sym_and] = ACTIONS(9362),
    [anon_sym_or] = ACTIONS(9362),
    [anon_sym_PIPE_PIPE] = ACTIONS(9362),
    [anon_sym_AMP_AMP] = ACTIONS(9362),
    [anon_sym_LT_LT] = ACTIONS(9362),
    [anon_sym_GT_GT] = ACTIONS(9362),
    [anon_sym_EQ_EQ] = ACTIONS(9364),
    [anon_sym_BANG_EQ] = ACTIONS(9362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9362),
    [anon_sym_LT_EQ_GT] = ACTIONS(9362),
    [anon_sym_EQ_TILDE] = ACTIONS(9362),
    [anon_sym_BANG_TILDE] = ACTIONS(9362),
    [anon_sym_LT_EQ] = ACTIONS(9364),
    [anon_sym_GT] = ACTIONS(9364),
    [anon_sym_GT_EQ] = ACTIONS(9362),
    [anon_sym_CARET] = ACTIONS(9362),
    [anon_sym_PLUS] = ACTIONS(9362),
    [anon_sym_SLASH] = ACTIONS(9362),
    [anon_sym_PERCENT] = ACTIONS(9362),
    [sym_comment] = ACTIONS(87),
  },
  [9869] = {
    [anon_sym_RBRACE] = ACTIONS(13889),
    [sym_comment] = ACTIONS(87),
  },
  [9870] = {
    [sym__heredoc_body_start] = ACTIONS(9390),
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [sym__binary_minus] = ACTIONS(9390),
    [sym__binary_star] = ACTIONS(9390),
    [anon_sym_LBRACE] = ACTIONS(9390),
    [anon_sym_RPAREN] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9392),
    [anon_sym_COMMA] = ACTIONS(9390),
    [anon_sym_PIPE] = ACTIONS(9392),
    [anon_sym_STAR_STAR] = ACTIONS(9390),
    [anon_sym_AMP] = ACTIONS(9392),
    [anon_sym_EQ] = ACTIONS(9392),
    [anon_sym_LT] = ACTIONS(9392),
    [anon_sym_do] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [anon_sym_QMARK] = ACTIONS(9390),
    [anon_sym_DOT_DOT] = ACTIONS(9392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9390),
    [anon_sym_and] = ACTIONS(9390),
    [anon_sym_or] = ACTIONS(9390),
    [anon_sym_PIPE_PIPE] = ACTIONS(9390),
    [anon_sym_AMP_AMP] = ACTIONS(9390),
    [anon_sym_LT_LT] = ACTIONS(9390),
    [anon_sym_GT_GT] = ACTIONS(9390),
    [anon_sym_EQ_EQ] = ACTIONS(9392),
    [anon_sym_BANG_EQ] = ACTIONS(9390),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9390),
    [anon_sym_LT_EQ_GT] = ACTIONS(9390),
    [anon_sym_EQ_TILDE] = ACTIONS(9390),
    [anon_sym_BANG_TILDE] = ACTIONS(9390),
    [anon_sym_LT_EQ] = ACTIONS(9392),
    [anon_sym_GT] = ACTIONS(9392),
    [anon_sym_GT_EQ] = ACTIONS(9390),
    [anon_sym_CARET] = ACTIONS(9390),
    [anon_sym_PLUS] = ACTIONS(9390),
    [anon_sym_SLASH] = ACTIONS(9390),
    [anon_sym_PERCENT] = ACTIONS(9390),
    [sym_comment] = ACTIONS(87),
  },
  [9871] = {
    [anon_sym_end] = ACTIONS(13891),
    [sym_comment] = ACTIONS(87),
  },
  [9872] = {
    [sym__statements] = STATE(11017),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13893),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9873] = {
    [sym__statements] = STATE(11017),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(11018),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(11018),
    [sym__line_break] = ACTIONS(13895),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(13893),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9874] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11019),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_assignment] = STATE(11019),
    [sym_operator_assignment] = STATE(11019),
    [sym_conditional] = STATE(11019),
    [sym_range] = STATE(11019),
    [sym_binary] = STATE(11019),
    [sym_unary] = STATE(11019),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [9875] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7847),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2482),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2482),
    [sym_splat_argument] = STATE(11020),
    [sym_assignment] = STATE(7847),
    [sym_operator_assignment] = STATE(7847),
    [sym_conditional] = STATE(7847),
    [sym_range] = STATE(7847),
    [sym_binary] = STATE(7847),
    [sym_unary] = STATE(7847),
    [sym__arg_or_splat_arg] = STATE(11020),
    [sym_left_assignment_list] = STATE(2481),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2482),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2482),
    [sym_false] = STATE(2482),
    [sym_nil] = STATE(2482),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2483),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(7571),
    [sym__unary_minus] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3940),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3944),
    [anon_sym_next] = ACTIONS(3946),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_defined_QMARK] = ACTIONS(3964),
    [anon_sym_not] = ACTIONS(3966),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [9876] = {
    [aux_sym_exceptions_repeat1] = STATE(11021),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13897),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9877] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(3994),
    [sym__binary_star] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(3998),
    [anon_sym_STAR_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4002),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(4004),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(4008),
    [anon_sym_DOT_DOT] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4012),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_LT_LT] = ACTIONS(4018),
    [anon_sym_GT_GT] = ACTIONS(4018),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4016),
    [anon_sym_LT_EQ_GT] = ACTIONS(4016),
    [anon_sym_EQ_TILDE] = ACTIONS(4016),
    [anon_sym_BANG_TILDE] = ACTIONS(4016),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_SLASH] = ACTIONS(4000),
    [anon_sym_PERCENT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(87),
  },
  [9878] = {
    [aux_sym_exceptions_repeat1] = STATE(9878),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13899),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9879] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [9880] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [9881] = {
    [sym_heredoc_body] = STATE(9881),
    [aux_sym_call_repeat1] = STATE(9881),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9882] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5150),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(900),
    [sym_scope_resolution] = STATE(675),
    [sym_call] = STATE(675),
    [sym_method_call] = STATE(900),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(5150),
    [sym_operator_assignment] = STATE(5150),
    [sym_conditional] = STATE(5150),
    [sym_range] = STATE(5150),
    [sym_binary] = STATE(5150),
    [sym_unary] = STATE(5150),
    [sym_left_assignment_list] = STATE(899),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(900),
    [sym__variable] = STATE(675),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(900),
    [sym_false] = STATE(900),
    [sym_nil] = STATE(900),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5153),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(7652),
    [sym__splat_star] = ACTIONS(7654),
    [sym__unary_minus] = ACTIONS(1533),
    [sym__identifier_hash_key] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12643),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1547),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_defined_QMARK] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [sym_constant] = ACTIONS(7658),
    [sym_identifier] = ACTIONS(7658),
    [sym_instance_variable] = ACTIONS(1215),
    [sym_class_variable] = ACTIONS(1215),
    [sym_global_variable] = ACTIONS(1215),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1219),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9883] = {
    [sym_heredoc_body] = STATE(9881),
    [aux_sym_call_repeat1] = STATE(9881),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9884] = {
    [aux_sym_argument_list_repeat1] = STATE(9884),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13902),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [9885] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [9886] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11022),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_assignment] = STATE(11022),
    [sym_operator_assignment] = STATE(11022),
    [sym_conditional] = STATE(11022),
    [sym_range] = STATE(11022),
    [sym_binary] = STATE(11022),
    [sym_unary] = STATE(11022),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9887] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7883),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2538),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(2538),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(7883),
    [sym_operator_assignment] = STATE(7883),
    [sym_conditional] = STATE(7883),
    [sym_range] = STATE(7883),
    [sym_binary] = STATE(7883),
    [sym_unary] = STATE(7883),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(2537),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2538),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2538),
    [sym_false] = STATE(2538),
    [sym_nil] = STATE(2538),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2539),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(7654),
    [sym__unary_minus] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4048),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4052),
    [anon_sym_next] = ACTIONS(4054),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_defined_QMARK] = ACTIONS(4058),
    [anon_sym_not] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4062),
    [anon_sym_TILDE] = ACTIONS(4062),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9888] = {
    [aux_sym_exceptions_repeat1] = STATE(11023),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13905),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9889] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(4078),
    [sym__binary_star] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_STAR_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4088),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_DOT_DOT] = ACTIONS(4094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4096),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4104),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_EQ_TILDE] = ACTIONS(4100),
    [anon_sym_BANG_TILDE] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4088),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(87),
  },
  [9890] = {
    [aux_sym_exceptions_repeat1] = STATE(9890),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13907),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9891] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(4132),
    [sym__binary_star] = ACTIONS(4134),
    [ts_builtin_sym_end] = ACTIONS(12002),
    [anon_sym___END__] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DOT_DOT] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(4152),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4154),
    [anon_sym_GT_GT] = ACTIONS(4154),
    [anon_sym_EQ_EQ] = ACTIONS(4156),
    [anon_sym_BANG_EQ] = ACTIONS(4152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4152),
    [anon_sym_LT_EQ_GT] = ACTIONS(4152),
    [anon_sym_EQ_TILDE] = ACTIONS(4152),
    [anon_sym_BANG_TILDE] = ACTIONS(4152),
    [anon_sym_LT_EQ] = ACTIONS(4144),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [sym_comment] = ACTIONS(87),
  },
  [9892] = {
    [aux_sym_exceptions_repeat1] = STATE(9892),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [ts_builtin_sym_end] = ACTIONS(11449),
    [anon_sym___END__] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13910),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9893] = {
    [sym_heredoc_body] = STATE(9893),
    [aux_sym_call_repeat1] = STATE(9893),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9894] = {
    [sym_heredoc_body] = STATE(9893),
    [aux_sym_call_repeat1] = STATE(9893),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9895] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11024),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_assignment] = STATE(11024),
    [sym_operator_assignment] = STATE(11024),
    [sym_conditional] = STATE(11024),
    [sym_range] = STATE(11024),
    [sym_binary] = STATE(11024),
    [sym_unary] = STATE(11024),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9896] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [9897] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(7917),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(2610),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(2610),
    [sym_splat_argument] = STATE(9086),
    [sym_assignment] = STATE(7917),
    [sym_operator_assignment] = STATE(7917),
    [sym_conditional] = STATE(7917),
    [sym_range] = STATE(7917),
    [sym_binary] = STATE(7917),
    [sym_unary] = STATE(7917),
    [sym__arg_or_splat_arg] = STATE(9086),
    [sym_left_assignment_list] = STATE(2609),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2610),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(2610),
    [sym_false] = STATE(2610),
    [sym_nil] = STATE(2610),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(10775),
    [sym__unary_minus] = ACTIONS(4174),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_defined_QMARK] = ACTIONS(4186),
    [anon_sym_not] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [9898] = {
    [aux_sym_exceptions_repeat1] = STATE(11025),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(13913),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9899] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(4210),
    [sym__binary_star] = ACTIONS(4212),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(4214),
    [anon_sym_STAR_STAR] = ACTIONS(4216),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT] = ACTIONS(4220),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(4224),
    [anon_sym_DOT_DOT] = ACTIONS(4226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4228),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(4232),
    [anon_sym_AMP_AMP] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_EQ_EQ] = ACTIONS(4236),
    [anon_sym_BANG_EQ] = ACTIONS(4232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4232),
    [anon_sym_LT_EQ_GT] = ACTIONS(4232),
    [anon_sym_EQ_TILDE] = ACTIONS(4232),
    [anon_sym_BANG_TILDE] = ACTIONS(4232),
    [anon_sym_LT_EQ] = ACTIONS(4220),
    [anon_sym_GT] = ACTIONS(4220),
    [anon_sym_GT_EQ] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4216),
    [anon_sym_PERCENT] = ACTIONS(4216),
    [sym_comment] = ACTIONS(87),
  },
  [9900] = {
    [aux_sym_exceptions_repeat1] = STATE(9900),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(13915),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9901] = {
    [sym__line_break] = ACTIONS(10783),
    [sym__simple_symbol] = ACTIONS(10783),
    [sym__string_start] = ACTIONS(10783),
    [sym__symbol_start] = ACTIONS(10783),
    [sym__subshell_start] = ACTIONS(10783),
    [sym__regex_start] = ACTIONS(10783),
    [sym__string_array_start] = ACTIONS(10783),
    [sym__symbol_array_start] = ACTIONS(10783),
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym_heredoc_beginning] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__block_ampersand] = ACTIONS(10783),
    [sym__splat_star] = ACTIONS(10783),
    [sym__argument_list_left_paren] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__unary_minus] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [sym__identifier_hash_key] = ACTIONS(10783),
    [ts_builtin_sym_end] = ACTIONS(10783),
    [anon_sym___END__] = ACTIONS(10785),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RBRACE] = ACTIONS(10783),
    [anon_sym_def] = ACTIONS(10785),
    [anon_sym_LPAREN] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COLON_COLON] = ACTIONS(10783),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR] = ACTIONS(10785),
    [anon_sym_STAR_STAR] = ACTIONS(10785),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_class] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_module] = ACTIONS(10785),
    [anon_sym_end] = ACTIONS(10785),
    [anon_sym_return] = ACTIONS(10785),
    [anon_sym_yield] = ACTIONS(10785),
    [anon_sym_break] = ACTIONS(10785),
    [anon_sym_next] = ACTIONS(10785),
    [sym_redo] = ACTIONS(10785),
    [sym_retry] = ACTIONS(10785),
    [anon_sym_if] = ACTIONS(10785),
    [anon_sym_unless] = ACTIONS(10785),
    [anon_sym_while] = ACTIONS(10785),
    [anon_sym_until] = ACTIONS(10785),
    [anon_sym_rescue] = ACTIONS(10785),
    [anon_sym_for] = ACTIONS(10785),
    [anon_sym_do] = ACTIONS(10785),
    [anon_sym_case] = ACTIONS(10785),
    [anon_sym_when] = ACTIONS(10785),
    [anon_sym_elsif] = ACTIONS(10785),
    [anon_sym_else] = ACTIONS(10785),
    [anon_sym_then] = ACTIONS(10785),
    [anon_sym_begin] = ACTIONS(10785),
    [anon_sym_ensure] = ACTIONS(10785),
    [anon_sym_EQ_GT] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS_EQ] = ACTIONS(10783),
    [anon_sym_DASH_EQ] = ACTIONS(10783),
    [anon_sym_STAR_EQ] = ACTIONS(10783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10783),
    [anon_sym_SLASH_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10783),
    [anon_sym_AMP_EQ] = ACTIONS(10783),
    [anon_sym_PERCENT_EQ] = ACTIONS(10783),
    [anon_sym_GT_GT_EQ] = ACTIONS(10783),
    [anon_sym_LT_LT_EQ] = ACTIONS(10783),
    [anon_sym_CARET_EQ] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10785),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10785),
    [anon_sym_or] = ACTIONS(10785),
    [anon_sym_PIPE_PIPE] = ACTIONS(10785),
    [anon_sym_AMP_AMP] = ACTIONS(10785),
    [anon_sym_LT_LT] = ACTIONS(10785),
    [anon_sym_GT_GT] = ACTIONS(10785),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10785),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_SLASH] = ACTIONS(10785),
    [anon_sym_PERCENT] = ACTIONS(10785),
    [anon_sym_defined_QMARK] = ACTIONS(10783),
    [anon_sym_not] = ACTIONS(10785),
    [anon_sym_BANG] = ACTIONS(10785),
    [anon_sym_TILDE] = ACTIONS(10783),
    [sym_constant] = ACTIONS(10785),
    [sym_identifier] = ACTIONS(10785),
    [sym_instance_variable] = ACTIONS(10783),
    [sym_class_variable] = ACTIONS(10783),
    [sym_global_variable] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(10785),
    [sym_float] = ACTIONS(10785),
    [sym_complex] = ACTIONS(10783),
    [sym_super] = ACTIONS(10785),
    [anon_sym_true] = ACTIONS(10785),
    [anon_sym_TRUE] = ACTIONS(10785),
    [anon_sym_false] = ACTIONS(10785),
    [anon_sym_FALSE] = ACTIONS(10785),
    [sym_self] = ACTIONS(10785),
    [anon_sym_nil] = ACTIONS(10785),
    [anon_sym_NIL] = ACTIONS(10785),
    [sym_character] = ACTIONS(10783),
    [anon_sym_LBRACK] = ACTIONS(10783),
    [anon_sym_DASH_GT] = ACTIONS(10783),
  },
  [9902] = {
    [sym__line_break] = ACTIONS(13557),
    [sym__heredoc_body_start] = ACTIONS(13557),
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [sym__binary_minus] = ACTIONS(13557),
    [sym__binary_star] = ACTIONS(13557),
    [ts_builtin_sym_end] = ACTIONS(13557),
    [anon_sym___END__] = ACTIONS(13557),
    [anon_sym_LBRACE] = ACTIONS(13557),
    [anon_sym_RBRACE] = ACTIONS(13557),
    [anon_sym_RPAREN] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13559),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_PIPE] = ACTIONS(13559),
    [anon_sym_SEMI] = ACTIONS(13557),
    [anon_sym_STAR_STAR] = ACTIONS(13559),
    [anon_sym_AMP] = ACTIONS(13559),
    [anon_sym_EQ] = ACTIONS(13559),
    [anon_sym_LT] = ACTIONS(13559),
    [anon_sym_end] = ACTIONS(13557),
    [anon_sym_if] = ACTIONS(13557),
    [anon_sym_unless] = ACTIONS(13557),
    [anon_sym_while] = ACTIONS(13557),
    [anon_sym_until] = ACTIONS(13557),
    [anon_sym_rescue] = ACTIONS(13557),
    [anon_sym_do] = ACTIONS(13557),
    [anon_sym_when] = ACTIONS(13557),
    [anon_sym_elsif] = ACTIONS(13557),
    [anon_sym_else] = ACTIONS(13557),
    [anon_sym_then] = ACTIONS(13557),
    [anon_sym_ensure] = ACTIONS(13557),
    [anon_sym_EQ_GT] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [anon_sym_PLUS_EQ] = ACTIONS(13557),
    [anon_sym_DASH_EQ] = ACTIONS(13557),
    [anon_sym_STAR_EQ] = ACTIONS(13557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13557),
    [anon_sym_SLASH_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13557),
    [anon_sym_AMP_EQ] = ACTIONS(13557),
    [anon_sym_PERCENT_EQ] = ACTIONS(13557),
    [anon_sym_GT_GT_EQ] = ACTIONS(13557),
    [anon_sym_LT_LT_EQ] = ACTIONS(13557),
    [anon_sym_CARET_EQ] = ACTIONS(13557),
    [anon_sym_QMARK] = ACTIONS(13557),
    [anon_sym_DOT_DOT] = ACTIONS(13559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13557),
    [anon_sym_and] = ACTIONS(13557),
    [anon_sym_or] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE] = ACTIONS(13559),
    [anon_sym_AMP_AMP] = ACTIONS(13559),
    [anon_sym_LT_LT] = ACTIONS(13559),
    [anon_sym_GT_GT] = ACTIONS(13559),
    [anon_sym_EQ_EQ] = ACTIONS(13559),
    [anon_sym_BANG_EQ] = ACTIONS(13557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13557),
    [anon_sym_LT_EQ_GT] = ACTIONS(13557),
    [anon_sym_EQ_TILDE] = ACTIONS(13557),
    [anon_sym_BANG_TILDE] = ACTIONS(13557),
    [anon_sym_LT_EQ] = ACTIONS(13559),
    [anon_sym_GT] = ACTIONS(13559),
    [anon_sym_GT_EQ] = ACTIONS(13557),
    [anon_sym_CARET] = ACTIONS(13559),
    [anon_sym_PLUS] = ACTIONS(13559),
    [anon_sym_SLASH] = ACTIONS(13559),
    [anon_sym_PERCENT] = ACTIONS(13559),
    [sym_comment] = ACTIONS(87),
  },
  [9903] = {
    [anon_sym_end] = ACTIONS(13918),
    [sym_comment] = ACTIONS(87),
  },
  [9904] = {
    [sym_heredoc_body] = STATE(9904),
    [aux_sym_call_repeat1] = STATE(9904),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9905] = {
    [sym_heredoc_body] = STATE(9904),
    [aux_sym_call_repeat1] = STATE(9904),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9906] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11027),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_assignment] = STATE(11027),
    [sym_operator_assignment] = STATE(11027),
    [sym_conditional] = STATE(11027),
    [sym_range] = STATE(11027),
    [sym_binary] = STATE(11027),
    [sym_unary] = STATE(11027),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9907] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(7967),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2734),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2734),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(7967),
    [sym_operator_assignment] = STATE(7967),
    [sym_conditional] = STATE(7967),
    [sym_range] = STATE(7967),
    [sym_binary] = STATE(7967),
    [sym_unary] = STATE(7967),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(2733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2734),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2734),
    [sym_false] = STATE(2734),
    [sym_nil] = STATE(2734),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(1723),
    [sym__unary_minus] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_defined_QMARK] = ACTIONS(4326),
    [anon_sym_not] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4330),
    [anon_sym_TILDE] = ACTIONS(4330),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9908] = {
    [aux_sym_exceptions_repeat1] = STATE(11028),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [9909] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(4344),
    [sym__binary_star] = ACTIONS(4346),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(4348),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(4350),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(4354),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_DOT_DOT] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(4364),
    [anon_sym_AMP_AMP] = ACTIONS(4364),
    [anon_sym_LT_LT] = ACTIONS(4366),
    [anon_sym_GT_GT] = ACTIONS(4366),
    [anon_sym_EQ_EQ] = ACTIONS(4368),
    [anon_sym_BANG_EQ] = ACTIONS(4364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4364),
    [anon_sym_LT_EQ_GT] = ACTIONS(4364),
    [anon_sym_EQ_TILDE] = ACTIONS(4364),
    [anon_sym_BANG_TILDE] = ACTIONS(4364),
    [anon_sym_LT_EQ] = ACTIONS(4354),
    [anon_sym_GT] = ACTIONS(4354),
    [anon_sym_GT_EQ] = ACTIONS(4370),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_SLASH] = ACTIONS(4350),
    [anon_sym_PERCENT] = ACTIONS(4350),
    [sym_comment] = ACTIONS(87),
  },
  [9910] = {
    [aux_sym_exceptions_repeat1] = STATE(9910),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13922),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [9911] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_elsif] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [9912] = {
    [sym_heredoc_body] = STATE(11029),
    [aux_sym_call_repeat1] = STATE(11029),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_elsif] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [9913] = {
    [sym_heredoc_body] = STATE(11029),
    [aux_sym_call_repeat1] = STATE(11029),
    [aux_sym_argument_list_repeat1] = STATE(11030),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(10899),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_elsif] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [9914] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [9915] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(12697),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [9916] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11031),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11031),
    [sym_operator_assignment] = STATE(11031),
    [sym_conditional] = STATE(11031),
    [sym_range] = STATE(11031),
    [sym_binary] = STATE(11031),
    [sym_unary] = STATE(11031),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9917] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11032),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11032),
    [sym_operator_assignment] = STATE(11032),
    [sym_conditional] = STATE(11032),
    [sym_range] = STATE(11032),
    [sym_binary] = STATE(11032),
    [sym_unary] = STATE(11032),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9918] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11033),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11033),
    [sym_operator_assignment] = STATE(11033),
    [sym_conditional] = STATE(11033),
    [sym_range] = STATE(11033),
    [sym_binary] = STATE(11033),
    [sym_unary] = STATE(11033),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9919] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11034),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11034),
    [sym_operator_assignment] = STATE(11034),
    [sym_conditional] = STATE(11034),
    [sym_range] = STATE(11034),
    [sym_binary] = STATE(11034),
    [sym_unary] = STATE(11034),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9920] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11035),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11035),
    [sym_operator_assignment] = STATE(11035),
    [sym_conditional] = STATE(11035),
    [sym_range] = STATE(11035),
    [sym_binary] = STATE(11035),
    [sym_unary] = STATE(11035),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9921] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11036),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11036),
    [sym_operator_assignment] = STATE(11036),
    [sym_conditional] = STATE(11036),
    [sym_range] = STATE(11036),
    [sym_binary] = STATE(11036),
    [sym_unary] = STATE(11036),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9922] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11037),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11037),
    [sym_operator_assignment] = STATE(11037),
    [sym_conditional] = STATE(11037),
    [sym_range] = STATE(11037),
    [sym_binary] = STATE(11037),
    [sym_unary] = STATE(11037),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9923] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11038),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11038),
    [sym_operator_assignment] = STATE(11038),
    [sym_conditional] = STATE(11038),
    [sym_range] = STATE(11038),
    [sym_binary] = STATE(11038),
    [sym_unary] = STATE(11038),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9924] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11039),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11039),
    [sym_operator_assignment] = STATE(11039),
    [sym_conditional] = STATE(11039),
    [sym_range] = STATE(11039),
    [sym_binary] = STATE(11039),
    [sym_unary] = STATE(11039),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9925] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11040),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11040),
    [sym_operator_assignment] = STATE(11040),
    [sym_conditional] = STATE(11040),
    [sym_range] = STATE(11040),
    [sym_binary] = STATE(11040),
    [sym_unary] = STATE(11040),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9926] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11041),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11041),
    [sym_operator_assignment] = STATE(11041),
    [sym_conditional] = STATE(11041),
    [sym_range] = STATE(11041),
    [sym_binary] = STATE(11041),
    [sym_unary] = STATE(11041),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9927] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11042),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11042),
    [sym_operator_assignment] = STATE(11042),
    [sym_conditional] = STATE(11042),
    [sym_range] = STATE(11042),
    [sym_binary] = STATE(11042),
    [sym_unary] = STATE(11042),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9928] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11043),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_splat_argument] = STATE(11044),
    [sym_assignment] = STATE(11043),
    [sym_operator_assignment] = STATE(11043),
    [sym_conditional] = STATE(11043),
    [sym_range] = STATE(11043),
    [sym_binary] = STATE(11043),
    [sym_unary] = STATE(11043),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(11044),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(7886),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9929] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11045),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11045),
    [sym_operator_assignment] = STATE(11045),
    [sym_conditional] = STATE(11045),
    [sym_range] = STATE(11045),
    [sym_binary] = STATE(11045),
    [sym_unary] = STATE(11045),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9930] = {
    [sym_string] = STATE(11046),
    [aux_sym_chained_string_repeat1] = STATE(11046),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_elsif] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [9931] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_elsif] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(12697),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [9932] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_elsif] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9933] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_elsif] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9934] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11047),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(11047),
    [sym_operator_assignment] = STATE(11047),
    [sym_conditional] = STATE(11047),
    [sym_range] = STATE(11047),
    [sym_binary] = STATE(11047),
    [sym_unary] = STATE(11047),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9935] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_elsif] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9936] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11048),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(11048),
    [sym_operator_assignment] = STATE(11048),
    [sym_conditional] = STATE(11048),
    [sym_range] = STATE(11048),
    [sym_binary] = STATE(11048),
    [sym_unary] = STATE(11048),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9937] = {
    [sym_heredoc_body] = STATE(11049),
    [aux_sym_call_repeat1] = STATE(11049),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_elsif] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [9938] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(8010),
    [sym_operator_assignment] = STATE(8010),
    [sym_conditional] = STATE(8010),
    [sym_range] = STATE(8010),
    [sym_binary] = STATE(8010),
    [sym_unary] = STATE(8010),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8013),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(11050),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(10851),
    [sym__splat_star] = ACTIONS(10853),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__identifier_hash_key] = ACTIONS(10855),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13925),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(10857),
    [sym_identifier] = ACTIONS(10857),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9939] = {
    [sym_heredoc_body] = STATE(11051),
    [aux_sym_call_repeat1] = STATE(11051),
    [aux_sym_argument_list_repeat1] = STATE(11052),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(12723),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_elsif] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [9940] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11053),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(11053),
    [sym_operator_assignment] = STATE(11053),
    [sym_conditional] = STATE(11053),
    [sym_range] = STATE(11053),
    [sym_binary] = STATE(11053),
    [sym_unary] = STATE(11053),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9941] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_elsif] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9942] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_elsif] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [9943] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9944] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [9945] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9946] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9947] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_elsif] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(12697),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [9948] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13927),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [9949] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_elsif] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9950] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9951] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9952] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9953] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9954] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_elsif] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [9955] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_elsif] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [9956] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11055),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(11055),
    [sym_operator_assignment] = STATE(11055),
    [sym_conditional] = STATE(11055),
    [sym_range] = STATE(11055),
    [sym_binary] = STATE(11055),
    [sym_unary] = STATE(11055),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [9957] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_elsif] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [9958] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11056),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(11056),
    [sym_operator_assignment] = STATE(11056),
    [sym_conditional] = STATE(11056),
    [sym_range] = STATE(11056),
    [sym_binary] = STATE(11056),
    [sym_unary] = STATE(11056),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [9959] = {
    [sym_heredoc_body] = STATE(11057),
    [aux_sym_call_repeat1] = STATE(11057),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_elsif] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [9960] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8034),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(8034),
    [sym_operator_assignment] = STATE(8034),
    [sym_conditional] = STATE(8034),
    [sym_range] = STATE(8034),
    [sym_binary] = STATE(8034),
    [sym_unary] = STATE(8034),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8037),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(11058),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(10891),
    [sym__splat_star] = ACTIONS(10893),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__identifier_hash_key] = ACTIONS(10895),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13929),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(10897),
    [sym_identifier] = ACTIONS(10897),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [9961] = {
    [sym_heredoc_body] = STATE(11059),
    [aux_sym_call_repeat1] = STATE(11059),
    [aux_sym_argument_list_repeat1] = STATE(11060),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(12729),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_elsif] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [9962] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11061),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(11061),
    [sym_operator_assignment] = STATE(11061),
    [sym_conditional] = STATE(11061),
    [sym_range] = STATE(11061),
    [sym_binary] = STATE(11061),
    [sym_unary] = STATE(11061),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [9963] = {
    [sym_heredoc_body] = STATE(9963),
    [aux_sym_call_repeat1] = STATE(9963),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_elsif] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [9964] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5396),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(5396),
    [sym_operator_assignment] = STATE(5396),
    [sym_conditional] = STATE(5396),
    [sym_range] = STATE(5396),
    [sym_binary] = STATE(5396),
    [sym_unary] = STATE(5396),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5402),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(7884),
    [sym__splat_star] = ACTIONS(7886),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__identifier_hash_key] = ACTIONS(7890),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12733),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7908),
    [sym_identifier] = ACTIONS(7908),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9965] = {
    [sym_heredoc_body] = STATE(9963),
    [aux_sym_call_repeat1] = STATE(9963),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_elsif] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [9966] = {
    [aux_sym_argument_list_repeat1] = STATE(9966),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13931),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_elsif] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [9967] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_elsif] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9968] = {
    [aux_sym_exceptions_repeat1] = STATE(11063),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_elsif] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [9969] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_elsif] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [9970] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_elsif] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(12697),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [9971] = {
    [sym_string] = STATE(9971),
    [aux_sym_chained_string_repeat1] = STATE(9971),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_elsif] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [9972] = {
    [sym_elsif] = STATE(11064),
    [sym_else] = STATE(11064),
    [sym__if_tail] = STATE(11064),
    [anon_sym_end] = ACTIONS(13934),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [9973] = {
    [anon_sym_end] = ACTIONS(13934),
    [sym_comment] = ACTIONS(87),
  },
  [9974] = {
    [aux_sym_undef_repeat1] = STATE(9974),
    [sym__line_break] = ACTIONS(9196),
    [sym__heredoc_body_start] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9198),
    [anon_sym_SEMI] = ACTIONS(9196),
    [anon_sym_end] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [anon_sym_elsif] = ACTIONS(9196),
    [anon_sym_else] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [9975] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9976] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11065),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(11065),
    [sym_operator_assignment] = STATE(11065),
    [sym_conditional] = STATE(11065),
    [sym_range] = STATE(11065),
    [sym_binary] = STATE(11065),
    [sym_unary] = STATE(11065),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [9977] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_elsif] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [9978] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [9979] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(12758),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [9980] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11066),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11066),
    [sym_operator_assignment] = STATE(11066),
    [sym_conditional] = STATE(11066),
    [sym_range] = STATE(11066),
    [sym_binary] = STATE(11066),
    [sym_unary] = STATE(11066),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9981] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11067),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11067),
    [sym_operator_assignment] = STATE(11067),
    [sym_conditional] = STATE(11067),
    [sym_range] = STATE(11067),
    [sym_binary] = STATE(11067),
    [sym_unary] = STATE(11067),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9982] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11068),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11068),
    [sym_operator_assignment] = STATE(11068),
    [sym_conditional] = STATE(11068),
    [sym_range] = STATE(11068),
    [sym_binary] = STATE(11068),
    [sym_unary] = STATE(11068),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9983] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11069),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11069),
    [sym_operator_assignment] = STATE(11069),
    [sym_conditional] = STATE(11069),
    [sym_range] = STATE(11069),
    [sym_binary] = STATE(11069),
    [sym_unary] = STATE(11069),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9984] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11070),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11070),
    [sym_operator_assignment] = STATE(11070),
    [sym_conditional] = STATE(11070),
    [sym_range] = STATE(11070),
    [sym_binary] = STATE(11070),
    [sym_unary] = STATE(11070),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9985] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11071),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11071),
    [sym_operator_assignment] = STATE(11071),
    [sym_conditional] = STATE(11071),
    [sym_range] = STATE(11071),
    [sym_binary] = STATE(11071),
    [sym_unary] = STATE(11071),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9986] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11072),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11072),
    [sym_operator_assignment] = STATE(11072),
    [sym_conditional] = STATE(11072),
    [sym_range] = STATE(11072),
    [sym_binary] = STATE(11072),
    [sym_unary] = STATE(11072),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [9987] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11073),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11073),
    [sym_operator_assignment] = STATE(11073),
    [sym_conditional] = STATE(11073),
    [sym_range] = STATE(11073),
    [sym_binary] = STATE(11073),
    [sym_unary] = STATE(11073),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9988] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11074),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11074),
    [sym_operator_assignment] = STATE(11074),
    [sym_conditional] = STATE(11074),
    [sym_range] = STATE(11074),
    [sym_binary] = STATE(11074),
    [sym_unary] = STATE(11074),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9989] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11075),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11075),
    [sym_operator_assignment] = STATE(11075),
    [sym_conditional] = STATE(11075),
    [sym_range] = STATE(11075),
    [sym_binary] = STATE(11075),
    [sym_unary] = STATE(11075),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9990] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11076),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11076),
    [sym_operator_assignment] = STATE(11076),
    [sym_conditional] = STATE(11076),
    [sym_range] = STATE(11076),
    [sym_binary] = STATE(11076),
    [sym_unary] = STATE(11076),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9991] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11077),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11077),
    [sym_operator_assignment] = STATE(11077),
    [sym_conditional] = STATE(11077),
    [sym_range] = STATE(11077),
    [sym_binary] = STATE(11077),
    [sym_unary] = STATE(11077),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9992] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11078),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_splat_argument] = STATE(11079),
    [sym_assignment] = STATE(11078),
    [sym_operator_assignment] = STATE(11078),
    [sym_conditional] = STATE(11078),
    [sym_range] = STATE(11078),
    [sym_binary] = STATE(11078),
    [sym_unary] = STATE(11078),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(11079),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(7968),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9993] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11080),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11080),
    [sym_operator_assignment] = STATE(11080),
    [sym_conditional] = STATE(11080),
    [sym_range] = STATE(11080),
    [sym_binary] = STATE(11080),
    [sym_unary] = STATE(11080),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [9994] = {
    [sym_string] = STATE(11081),
    [aux_sym_chained_string_repeat1] = STATE(11081),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_elsif] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [9995] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_elsif] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(12758),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [9996] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_elsif] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [9997] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_elsif] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [9998] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [9999] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [10000] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [10001] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [10002] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_elsif] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(12758),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [10003] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13936),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10004] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_elsif] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [10005] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [10006] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [10007] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [10008] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [10009] = {
    [sym_heredoc_body] = STATE(10009),
    [aux_sym_call_repeat1] = STATE(10009),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_elsif] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [10010] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5442),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(5442),
    [sym_operator_assignment] = STATE(5442),
    [sym_conditional] = STATE(5442),
    [sym_range] = STATE(5442),
    [sym_binary] = STATE(5442),
    [sym_unary] = STATE(5442),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5448),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(7966),
    [sym__splat_star] = ACTIONS(7968),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__identifier_hash_key] = ACTIONS(7972),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12780),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7990),
    [sym_identifier] = ACTIONS(7990),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10011] = {
    [sym_heredoc_body] = STATE(10009),
    [aux_sym_call_repeat1] = STATE(10009),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_elsif] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [10012] = {
    [aux_sym_argument_list_repeat1] = STATE(10012),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13938),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_elsif] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [10013] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_elsif] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [10014] = {
    [aux_sym_exceptions_repeat1] = STATE(11084),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_elsif] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [10015] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_elsif] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [10016] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_elsif] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(12758),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [10017] = {
    [sym_string] = STATE(10017),
    [aux_sym_chained_string_repeat1] = STATE(10017),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_elsif] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [10018] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(12786),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(12790),
    [anon_sym_LT] = ACTIONS(12792),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_elsif] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(12794),
    [anon_sym_DOT_DOT] = ACTIONS(12796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12798),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(12800),
    [anon_sym_AMP_AMP] = ACTIONS(12800),
    [anon_sym_LT_LT] = ACTIONS(12802),
    [anon_sym_GT_GT] = ACTIONS(12802),
    [anon_sym_EQ_EQ] = ACTIONS(12804),
    [anon_sym_BANG_EQ] = ACTIONS(12800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12800),
    [anon_sym_LT_EQ_GT] = ACTIONS(12800),
    [anon_sym_EQ_TILDE] = ACTIONS(12800),
    [anon_sym_BANG_TILDE] = ACTIONS(12800),
    [anon_sym_LT_EQ] = ACTIONS(12792),
    [anon_sym_GT] = ACTIONS(12792),
    [anon_sym_GT_EQ] = ACTIONS(12806),
    [anon_sym_CARET] = ACTIONS(12808),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [10019] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_elsif] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [10020] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [10021] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(12786),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(12790),
    [anon_sym_LT] = ACTIONS(12792),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_elsif] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(12794),
    [anon_sym_DOT_DOT] = ACTIONS(12796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12798),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(12800),
    [anon_sym_AMP_AMP] = ACTIONS(12800),
    [anon_sym_LT_LT] = ACTIONS(12802),
    [anon_sym_GT_GT] = ACTIONS(12802),
    [anon_sym_EQ_EQ] = ACTIONS(12804),
    [anon_sym_BANG_EQ] = ACTIONS(12800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12800),
    [anon_sym_LT_EQ_GT] = ACTIONS(12800),
    [anon_sym_EQ_TILDE] = ACTIONS(12800),
    [anon_sym_BANG_TILDE] = ACTIONS(12800),
    [anon_sym_LT_EQ] = ACTIONS(12792),
    [anon_sym_GT] = ACTIONS(12792),
    [anon_sym_GT_EQ] = ACTIONS(12806),
    [anon_sym_CARET] = ACTIONS(12808),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [10022] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11085),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11085),
    [sym_operator_assignment] = STATE(11085),
    [sym_conditional] = STATE(11085),
    [sym_range] = STATE(11085),
    [sym_binary] = STATE(11085),
    [sym_unary] = STATE(11085),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10023] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11086),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11086),
    [sym_operator_assignment] = STATE(11086),
    [sym_conditional] = STATE(11086),
    [sym_range] = STATE(11086),
    [sym_binary] = STATE(11086),
    [sym_unary] = STATE(11086),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10024] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11087),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11087),
    [sym_operator_assignment] = STATE(11087),
    [sym_conditional] = STATE(11087),
    [sym_range] = STATE(11087),
    [sym_binary] = STATE(11087),
    [sym_unary] = STATE(11087),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10025] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11088),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11088),
    [sym_operator_assignment] = STATE(11088),
    [sym_conditional] = STATE(11088),
    [sym_range] = STATE(11088),
    [sym_binary] = STATE(11088),
    [sym_unary] = STATE(11088),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10026] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11089),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11089),
    [sym_operator_assignment] = STATE(11089),
    [sym_conditional] = STATE(11089),
    [sym_range] = STATE(11089),
    [sym_binary] = STATE(11089),
    [sym_unary] = STATE(11089),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10027] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11090),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11090),
    [sym_operator_assignment] = STATE(11090),
    [sym_conditional] = STATE(11090),
    [sym_range] = STATE(11090),
    [sym_binary] = STATE(11090),
    [sym_unary] = STATE(11090),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10028] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11091),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11091),
    [sym_operator_assignment] = STATE(11091),
    [sym_conditional] = STATE(11091),
    [sym_range] = STATE(11091),
    [sym_binary] = STATE(11091),
    [sym_unary] = STATE(11091),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10029] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11092),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11092),
    [sym_operator_assignment] = STATE(11092),
    [sym_conditional] = STATE(11092),
    [sym_range] = STATE(11092),
    [sym_binary] = STATE(11092),
    [sym_unary] = STATE(11092),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10030] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11093),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11093),
    [sym_operator_assignment] = STATE(11093),
    [sym_conditional] = STATE(11093),
    [sym_range] = STATE(11093),
    [sym_binary] = STATE(11093),
    [sym_unary] = STATE(11093),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10031] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11094),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11094),
    [sym_operator_assignment] = STATE(11094),
    [sym_conditional] = STATE(11094),
    [sym_range] = STATE(11094),
    [sym_binary] = STATE(11094),
    [sym_unary] = STATE(11094),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10032] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11095),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11095),
    [sym_operator_assignment] = STATE(11095),
    [sym_conditional] = STATE(11095),
    [sym_range] = STATE(11095),
    [sym_binary] = STATE(11095),
    [sym_unary] = STATE(11095),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10033] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11096),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11096),
    [sym_operator_assignment] = STATE(11096),
    [sym_conditional] = STATE(11096),
    [sym_range] = STATE(11096),
    [sym_binary] = STATE(11096),
    [sym_unary] = STATE(11096),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10034] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8112),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(8112),
    [sym_operator_assignment] = STATE(8112),
    [sym_conditional] = STATE(8112),
    [sym_range] = STATE(8112),
    [sym_binary] = STATE(8112),
    [sym_unary] = STATE(8112),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(10985),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10035] = {
    [aux_sym_exceptions_repeat1] = STATE(11097),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(12812),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_elsif] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10036] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8112),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_splat_argument] = STATE(11098),
    [sym_assignment] = STATE(8112),
    [sym_operator_assignment] = STATE(8112),
    [sym_conditional] = STATE(8112),
    [sym_range] = STATE(8112),
    [sym_binary] = STATE(8112),
    [sym_unary] = STATE(8112),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(11098),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(10985),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10037] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11099),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11099),
    [sym_operator_assignment] = STATE(11099),
    [sym_conditional] = STATE(11099),
    [sym_range] = STATE(11099),
    [sym_binary] = STATE(11099),
    [sym_unary] = STATE(11099),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10038] = {
    [sym__line_break] = ACTIONS(13941),
    [sym__heredoc_body_start] = ACTIONS(13941),
    [sym__element_reference_left_bracket] = ACTIONS(13941),
    [sym__infix_scope_colons] = ACTIONS(13941),
    [sym__binary_minus] = ACTIONS(13941),
    [sym__binary_star] = ACTIONS(13941),
    [ts_builtin_sym_end] = ACTIONS(13941),
    [anon_sym___END__] = ACTIONS(13941),
    [anon_sym_LBRACE] = ACTIONS(13941),
    [anon_sym_RBRACE] = ACTIONS(13941),
    [anon_sym_RPAREN] = ACTIONS(13941),
    [anon_sym_DOT] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13941),
    [anon_sym_PIPE] = ACTIONS(13943),
    [anon_sym_SEMI] = ACTIONS(13941),
    [anon_sym_STAR_STAR] = ACTIONS(13941),
    [anon_sym_AMP] = ACTIONS(13943),
    [anon_sym_LT] = ACTIONS(13943),
    [anon_sym_end] = ACTIONS(13941),
    [anon_sym_if] = ACTIONS(13941),
    [anon_sym_unless] = ACTIONS(13941),
    [anon_sym_while] = ACTIONS(13941),
    [anon_sym_until] = ACTIONS(13941),
    [anon_sym_rescue] = ACTIONS(13941),
    [anon_sym_do] = ACTIONS(13941),
    [anon_sym_when] = ACTIONS(13941),
    [anon_sym_elsif] = ACTIONS(13941),
    [anon_sym_else] = ACTIONS(13941),
    [anon_sym_then] = ACTIONS(13941),
    [anon_sym_ensure] = ACTIONS(13941),
    [anon_sym_EQ_GT] = ACTIONS(13941),
    [anon_sym_AMP_DOT] = ACTIONS(13941),
    [anon_sym_QMARK] = ACTIONS(13941),
    [anon_sym_DOT_DOT] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13941),
    [anon_sym_and] = ACTIONS(13941),
    [anon_sym_or] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE] = ACTIONS(13941),
    [anon_sym_AMP_AMP] = ACTIONS(13941),
    [anon_sym_LT_LT] = ACTIONS(13941),
    [anon_sym_GT_GT] = ACTIONS(13941),
    [anon_sym_EQ_EQ] = ACTIONS(13943),
    [anon_sym_BANG_EQ] = ACTIONS(13941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13941),
    [anon_sym_LT_EQ_GT] = ACTIONS(13941),
    [anon_sym_EQ_TILDE] = ACTIONS(13941),
    [anon_sym_BANG_TILDE] = ACTIONS(13941),
    [anon_sym_LT_EQ] = ACTIONS(13943),
    [anon_sym_GT] = ACTIONS(13943),
    [anon_sym_GT_EQ] = ACTIONS(13941),
    [anon_sym_CARET] = ACTIONS(13941),
    [anon_sym_PLUS] = ACTIONS(13941),
    [anon_sym_SLASH] = ACTIONS(13941),
    [anon_sym_PERCENT] = ACTIONS(13941),
    [sym_comment] = ACTIONS(87),
  },
  [10039] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11100),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_assignment] = STATE(11100),
    [sym_operator_assignment] = STATE(11100),
    [sym_conditional] = STATE(11100),
    [sym_range] = STATE(11100),
    [sym_binary] = STATE(11100),
    [sym_unary] = STATE(11100),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10040] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8132),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2835),
    [sym_scope_resolution] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_method_call] = STATE(2835),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(8132),
    [sym_operator_assignment] = STATE(8132),
    [sym_conditional] = STATE(8132),
    [sym_range] = STATE(8132),
    [sym_binary] = STATE(8132),
    [sym_unary] = STATE(8132),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(2834),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2835),
    [sym__variable] = STATE(2833),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2835),
    [sym_false] = STATE(2835),
    [sym_nil] = STATE(2835),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2836),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(1801),
    [sym__unary_minus] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4438),
    [anon_sym_yield] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4442),
    [anon_sym_next] = ACTIONS(4444),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_defined_QMARK] = ACTIONS(4448),
    [anon_sym_not] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4452),
    [anon_sym_TILDE] = ACTIONS(4452),
    [sym_constant] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4454),
    [sym_instance_variable] = ACTIONS(4456),
    [sym_class_variable] = ACTIONS(4456),
    [sym_global_variable] = ACTIONS(4456),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4454),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4454),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10041] = {
    [aux_sym_exceptions_repeat1] = STATE(11101),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13945),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10042] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(4462),
    [sym__binary_star] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(4466),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(4468),
    [anon_sym_AMP] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_DOT_DOT] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4484),
    [anon_sym_GT_GT] = ACTIONS(4484),
    [anon_sym_EQ_EQ] = ACTIONS(4482),
    [anon_sym_BANG_EQ] = ACTIONS(4486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4486),
    [anon_sym_EQ_TILDE] = ACTIONS(4486),
    [anon_sym_BANG_TILDE] = ACTIONS(4486),
    [anon_sym_LT_EQ] = ACTIONS(4472),
    [anon_sym_GT] = ACTIONS(4472),
    [anon_sym_GT_EQ] = ACTIONS(4488),
    [anon_sym_CARET] = ACTIONS(4466),
    [anon_sym_PLUS] = ACTIONS(4490),
    [anon_sym_SLASH] = ACTIONS(4468),
    [anon_sym_PERCENT] = ACTIONS(4468),
    [sym_comment] = ACTIONS(87),
  },
  [10043] = {
    [aux_sym_exceptions_repeat1] = STATE(10043),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13947),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [10044] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11102),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2872),
    [sym_scope_resolution] = STATE(244),
    [sym_call] = STATE(244),
    [sym_method_call] = STATE(2872),
    [sym_assignment] = STATE(11102),
    [sym_operator_assignment] = STATE(11102),
    [sym_conditional] = STATE(11102),
    [sym_range] = STATE(11102),
    [sym_binary] = STATE(11102),
    [sym_unary] = STATE(11102),
    [sym_left_assignment_list] = STATE(2871),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2872),
    [sym__variable] = STATE(244),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2872),
    [sym_false] = STATE(2872),
    [sym_nil] = STATE(2872),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2735),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4316),
    [anon_sym_yield] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4320),
    [anon_sym_next] = ACTIONS(4322),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4506),
    [anon_sym_defined_QMARK] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(4510),
    [anon_sym_BANG] = ACTIONS(4512),
    [anon_sym_TILDE] = ACTIONS(4512),
    [sym_constant] = ACTIONS(443),
    [sym_identifier] = ACTIONS(443),
    [sym_instance_variable] = ACTIONS(445),
    [sym_class_variable] = ACTIONS(445),
    [sym_global_variable] = ACTIONS(445),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(443),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10045] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [10046] = {
    [sym_heredoc_body] = STATE(11103),
    [aux_sym_call_repeat1] = STATE(11103),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [10047] = {
    [sym_heredoc_body] = STATE(11103),
    [aux_sym_call_repeat1] = STATE(11103),
    [aux_sym_argument_list_repeat1] = STATE(11104),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(11072),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [10048] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [10049] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(12843),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [10050] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11105),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11105),
    [sym_operator_assignment] = STATE(11105),
    [sym_conditional] = STATE(11105),
    [sym_range] = STATE(11105),
    [sym_binary] = STATE(11105),
    [sym_unary] = STATE(11105),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10051] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11106),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11106),
    [sym_operator_assignment] = STATE(11106),
    [sym_conditional] = STATE(11106),
    [sym_range] = STATE(11106),
    [sym_binary] = STATE(11106),
    [sym_unary] = STATE(11106),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10052] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11107),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11107),
    [sym_operator_assignment] = STATE(11107),
    [sym_conditional] = STATE(11107),
    [sym_range] = STATE(11107),
    [sym_binary] = STATE(11107),
    [sym_unary] = STATE(11107),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10053] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11108),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11108),
    [sym_operator_assignment] = STATE(11108),
    [sym_conditional] = STATE(11108),
    [sym_range] = STATE(11108),
    [sym_binary] = STATE(11108),
    [sym_unary] = STATE(11108),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10054] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11109),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11109),
    [sym_operator_assignment] = STATE(11109),
    [sym_conditional] = STATE(11109),
    [sym_range] = STATE(11109),
    [sym_binary] = STATE(11109),
    [sym_unary] = STATE(11109),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10055] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11110),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11110),
    [sym_operator_assignment] = STATE(11110),
    [sym_conditional] = STATE(11110),
    [sym_range] = STATE(11110),
    [sym_binary] = STATE(11110),
    [sym_unary] = STATE(11110),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10056] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11111),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11111),
    [sym_operator_assignment] = STATE(11111),
    [sym_conditional] = STATE(11111),
    [sym_range] = STATE(11111),
    [sym_binary] = STATE(11111),
    [sym_unary] = STATE(11111),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10057] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11112),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11112),
    [sym_operator_assignment] = STATE(11112),
    [sym_conditional] = STATE(11112),
    [sym_range] = STATE(11112),
    [sym_binary] = STATE(11112),
    [sym_unary] = STATE(11112),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10058] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11113),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11113),
    [sym_operator_assignment] = STATE(11113),
    [sym_conditional] = STATE(11113),
    [sym_range] = STATE(11113),
    [sym_binary] = STATE(11113),
    [sym_unary] = STATE(11113),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10059] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11114),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11114),
    [sym_operator_assignment] = STATE(11114),
    [sym_conditional] = STATE(11114),
    [sym_range] = STATE(11114),
    [sym_binary] = STATE(11114),
    [sym_unary] = STATE(11114),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10060] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11115),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11115),
    [sym_operator_assignment] = STATE(11115),
    [sym_conditional] = STATE(11115),
    [sym_range] = STATE(11115),
    [sym_binary] = STATE(11115),
    [sym_unary] = STATE(11115),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10061] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11116),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11116),
    [sym_operator_assignment] = STATE(11116),
    [sym_conditional] = STATE(11116),
    [sym_range] = STATE(11116),
    [sym_binary] = STATE(11116),
    [sym_unary] = STATE(11116),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10062] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11117),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_splat_argument] = STATE(11118),
    [sym_assignment] = STATE(11117),
    [sym_operator_assignment] = STATE(11117),
    [sym_conditional] = STATE(11117),
    [sym_range] = STATE(11117),
    [sym_binary] = STATE(11117),
    [sym_unary] = STATE(11117),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(11118),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(8090),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10063] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11119),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11119),
    [sym_operator_assignment] = STATE(11119),
    [sym_conditional] = STATE(11119),
    [sym_range] = STATE(11119),
    [sym_binary] = STATE(11119),
    [sym_unary] = STATE(11119),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10064] = {
    [sym_string] = STATE(11120),
    [aux_sym_chained_string_repeat1] = STATE(11120),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [10065] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(12843),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [10066] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10067] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10068] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11121),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(11121),
    [sym_operator_assignment] = STATE(11121),
    [sym_conditional] = STATE(11121),
    [sym_range] = STATE(11121),
    [sym_binary] = STATE(11121),
    [sym_unary] = STATE(11121),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10069] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10070] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11122),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(11122),
    [sym_operator_assignment] = STATE(11122),
    [sym_conditional] = STATE(11122),
    [sym_range] = STATE(11122),
    [sym_binary] = STATE(11122),
    [sym_unary] = STATE(11122),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10071] = {
    [sym_heredoc_body] = STATE(11123),
    [aux_sym_call_repeat1] = STATE(11123),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [10072] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8176),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(8176),
    [sym_operator_assignment] = STATE(8176),
    [sym_conditional] = STATE(8176),
    [sym_range] = STATE(8176),
    [sym_binary] = STATE(8176),
    [sym_unary] = STATE(8176),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8179),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(11124),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(11024),
    [sym__splat_star] = ACTIONS(11026),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__identifier_hash_key] = ACTIONS(11028),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13950),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(11030),
    [sym_identifier] = ACTIONS(11030),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10073] = {
    [sym_heredoc_body] = STATE(11125),
    [aux_sym_call_repeat1] = STATE(11125),
    [aux_sym_argument_list_repeat1] = STATE(11126),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(12869),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [10074] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11127),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(11127),
    [sym_operator_assignment] = STATE(11127),
    [sym_conditional] = STATE(11127),
    [sym_range] = STATE(11127),
    [sym_binary] = STATE(11127),
    [sym_unary] = STATE(11127),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10075] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10076] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [10077] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10078] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [10079] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10080] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10081] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(12843),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [10082] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13952),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10083] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10084] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10085] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10086] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10087] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10088] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10089] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10090] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11129),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(11129),
    [sym_operator_assignment] = STATE(11129),
    [sym_conditional] = STATE(11129),
    [sym_range] = STATE(11129),
    [sym_binary] = STATE(11129),
    [sym_unary] = STATE(11129),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10091] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10092] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11130),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(11130),
    [sym_operator_assignment] = STATE(11130),
    [sym_conditional] = STATE(11130),
    [sym_range] = STATE(11130),
    [sym_binary] = STATE(11130),
    [sym_unary] = STATE(11130),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10093] = {
    [sym_heredoc_body] = STATE(11131),
    [aux_sym_call_repeat1] = STATE(11131),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [10094] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8200),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(8200),
    [sym_operator_assignment] = STATE(8200),
    [sym_conditional] = STATE(8200),
    [sym_range] = STATE(8200),
    [sym_binary] = STATE(8200),
    [sym_unary] = STATE(8200),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8203),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(11132),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(11064),
    [sym__splat_star] = ACTIONS(11066),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__identifier_hash_key] = ACTIONS(11068),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13954),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(11070),
    [sym_identifier] = ACTIONS(11070),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10095] = {
    [sym_heredoc_body] = STATE(11133),
    [aux_sym_call_repeat1] = STATE(11133),
    [aux_sym_argument_list_repeat1] = STATE(11134),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(12875),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [10096] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11135),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(11135),
    [sym_operator_assignment] = STATE(11135),
    [sym_conditional] = STATE(11135),
    [sym_range] = STATE(11135),
    [sym_binary] = STATE(11135),
    [sym_unary] = STATE(11135),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10097] = {
    [sym_heredoc_body] = STATE(10097),
    [aux_sym_call_repeat1] = STATE(10097),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10098] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5529),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(5529),
    [sym_operator_assignment] = STATE(5529),
    [sym_conditional] = STATE(5529),
    [sym_range] = STATE(5529),
    [sym_binary] = STATE(5529),
    [sym_unary] = STATE(5529),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5535),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(8088),
    [sym__splat_star] = ACTIONS(8090),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__identifier_hash_key] = ACTIONS(8094),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12879),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8112),
    [sym_identifier] = ACTIONS(8112),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10099] = {
    [sym_heredoc_body] = STATE(10097),
    [aux_sym_call_repeat1] = STATE(10097),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10100] = {
    [aux_sym_argument_list_repeat1] = STATE(10100),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13956),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [10101] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10102] = {
    [aux_sym_exceptions_repeat1] = STATE(11137),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [10103] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [10104] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(12843),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [10105] = {
    [sym_string] = STATE(10105),
    [aux_sym_chained_string_repeat1] = STATE(10105),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [10106] = {
    [aux_sym_undef_repeat1] = STATE(10106),
    [sym__line_break] = ACTIONS(9196),
    [sym__heredoc_body_start] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9198),
    [anon_sym_SEMI] = ACTIONS(9196),
    [anon_sym_end] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [anon_sym_else] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [10107] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2887),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2889),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(2889),
    [sym_operator_assignment] = STATE(2889),
    [sym_conditional] = STATE(2889),
    [sym_range] = STATE(2889),
    [sym_binary] = STATE(2889),
    [sym_unary] = STATE(2889),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [anon_sym_undef] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10108] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11138),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2892),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(2892),
    [sym_assignment] = STATE(11138),
    [sym_operator_assignment] = STATE(11138),
    [sym_conditional] = STATE(11138),
    [sym_range] = STATE(11138),
    [sym_binary] = STATE(11138),
    [sym_unary] = STATE(11138),
    [sym_left_assignment_list] = STATE(2891),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2892),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2892),
    [sym_false] = STATE(2892),
    [sym_nil] = STATE(2892),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2893),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4514),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4518),
    [anon_sym_yield] = ACTIONS(4520),
    [anon_sym_break] = ACTIONS(4522),
    [anon_sym_next] = ACTIONS(4524),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4526),
    [anon_sym_defined_QMARK] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10109] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [10110] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [10111] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(12902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [10112] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11139),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11139),
    [sym_operator_assignment] = STATE(11139),
    [sym_conditional] = STATE(11139),
    [sym_range] = STATE(11139),
    [sym_binary] = STATE(11139),
    [sym_unary] = STATE(11139),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10113] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11140),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11140),
    [sym_operator_assignment] = STATE(11140),
    [sym_conditional] = STATE(11140),
    [sym_range] = STATE(11140),
    [sym_binary] = STATE(11140),
    [sym_unary] = STATE(11140),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10114] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11141),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11141),
    [sym_operator_assignment] = STATE(11141),
    [sym_conditional] = STATE(11141),
    [sym_range] = STATE(11141),
    [sym_binary] = STATE(11141),
    [sym_unary] = STATE(11141),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10115] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11142),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11142),
    [sym_operator_assignment] = STATE(11142),
    [sym_conditional] = STATE(11142),
    [sym_range] = STATE(11142),
    [sym_binary] = STATE(11142),
    [sym_unary] = STATE(11142),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10116] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11143),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11143),
    [sym_operator_assignment] = STATE(11143),
    [sym_conditional] = STATE(11143),
    [sym_range] = STATE(11143),
    [sym_binary] = STATE(11143),
    [sym_unary] = STATE(11143),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10117] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11144),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11144),
    [sym_operator_assignment] = STATE(11144),
    [sym_conditional] = STATE(11144),
    [sym_range] = STATE(11144),
    [sym_binary] = STATE(11144),
    [sym_unary] = STATE(11144),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10118] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11145),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11145),
    [sym_operator_assignment] = STATE(11145),
    [sym_conditional] = STATE(11145),
    [sym_range] = STATE(11145),
    [sym_binary] = STATE(11145),
    [sym_unary] = STATE(11145),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10119] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11146),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11146),
    [sym_operator_assignment] = STATE(11146),
    [sym_conditional] = STATE(11146),
    [sym_range] = STATE(11146),
    [sym_binary] = STATE(11146),
    [sym_unary] = STATE(11146),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10120] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11147),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11147),
    [sym_operator_assignment] = STATE(11147),
    [sym_conditional] = STATE(11147),
    [sym_range] = STATE(11147),
    [sym_binary] = STATE(11147),
    [sym_unary] = STATE(11147),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10121] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11148),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11148),
    [sym_operator_assignment] = STATE(11148),
    [sym_conditional] = STATE(11148),
    [sym_range] = STATE(11148),
    [sym_binary] = STATE(11148),
    [sym_unary] = STATE(11148),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10122] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11149),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11149),
    [sym_operator_assignment] = STATE(11149),
    [sym_conditional] = STATE(11149),
    [sym_range] = STATE(11149),
    [sym_binary] = STATE(11149),
    [sym_unary] = STATE(11149),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10123] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11150),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11150),
    [sym_operator_assignment] = STATE(11150),
    [sym_conditional] = STATE(11150),
    [sym_range] = STATE(11150),
    [sym_binary] = STATE(11150),
    [sym_unary] = STATE(11150),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10124] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11151),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_splat_argument] = STATE(11152),
    [sym_assignment] = STATE(11151),
    [sym_operator_assignment] = STATE(11151),
    [sym_conditional] = STATE(11151),
    [sym_range] = STATE(11151),
    [sym_binary] = STATE(11151),
    [sym_unary] = STATE(11151),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(11152),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(8166),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10125] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11153),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11153),
    [sym_operator_assignment] = STATE(11153),
    [sym_conditional] = STATE(11153),
    [sym_range] = STATE(11153),
    [sym_binary] = STATE(11153),
    [sym_unary] = STATE(11153),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10126] = {
    [sym_string] = STATE(11154),
    [aux_sym_chained_string_repeat1] = STATE(11154),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [10127] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(12902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [10128] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10129] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [10130] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10131] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [10132] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10133] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10134] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(12902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [10135] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(13959),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10136] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10137] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10138] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10139] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10140] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10141] = {
    [sym_heredoc_body] = STATE(10141),
    [aux_sym_call_repeat1] = STATE(10141),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [10142] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5573),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(5573),
    [sym_operator_assignment] = STATE(5573),
    [sym_conditional] = STATE(5573),
    [sym_range] = STATE(5573),
    [sym_binary] = STATE(5573),
    [sym_unary] = STATE(5573),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5579),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(8164),
    [sym__splat_star] = ACTIONS(8166),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__identifier_hash_key] = ACTIONS(8170),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12924),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8188),
    [sym_identifier] = ACTIONS(8188),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10143] = {
    [sym_heredoc_body] = STATE(10141),
    [aux_sym_call_repeat1] = STATE(10141),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [10144] = {
    [aux_sym_argument_list_repeat1] = STATE(10144),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13961),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [10145] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10146] = {
    [aux_sym_exceptions_repeat1] = STATE(11157),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [10147] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [10148] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(12902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [10149] = {
    [sym_string] = STATE(10149),
    [aux_sym_chained_string_repeat1] = STATE(10149),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [10150] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(12930),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(12934),
    [anon_sym_LT] = ACTIONS(12936),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(12938),
    [anon_sym_DOT_DOT] = ACTIONS(12940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12942),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(12944),
    [anon_sym_AMP_AMP] = ACTIONS(12944),
    [anon_sym_LT_LT] = ACTIONS(12946),
    [anon_sym_GT_GT] = ACTIONS(12946),
    [anon_sym_EQ_EQ] = ACTIONS(12948),
    [anon_sym_BANG_EQ] = ACTIONS(12944),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12944),
    [anon_sym_LT_EQ_GT] = ACTIONS(12944),
    [anon_sym_EQ_TILDE] = ACTIONS(12944),
    [anon_sym_BANG_TILDE] = ACTIONS(12944),
    [anon_sym_LT_EQ] = ACTIONS(12936),
    [anon_sym_GT] = ACTIONS(12936),
    [anon_sym_GT_EQ] = ACTIONS(12950),
    [anon_sym_CARET] = ACTIONS(12952),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [10151] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [10152] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [10153] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(12930),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(12934),
    [anon_sym_LT] = ACTIONS(12936),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(12938),
    [anon_sym_DOT_DOT] = ACTIONS(12940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12942),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(12944),
    [anon_sym_AMP_AMP] = ACTIONS(12944),
    [anon_sym_LT_LT] = ACTIONS(12946),
    [anon_sym_GT_GT] = ACTIONS(12946),
    [anon_sym_EQ_EQ] = ACTIONS(12948),
    [anon_sym_BANG_EQ] = ACTIONS(12944),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12944),
    [anon_sym_LT_EQ_GT] = ACTIONS(12944),
    [anon_sym_EQ_TILDE] = ACTIONS(12944),
    [anon_sym_BANG_TILDE] = ACTIONS(12944),
    [anon_sym_LT_EQ] = ACTIONS(12936),
    [anon_sym_GT] = ACTIONS(12936),
    [anon_sym_GT_EQ] = ACTIONS(12950),
    [anon_sym_CARET] = ACTIONS(12952),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [10154] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11158),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11158),
    [sym_operator_assignment] = STATE(11158),
    [sym_conditional] = STATE(11158),
    [sym_range] = STATE(11158),
    [sym_binary] = STATE(11158),
    [sym_unary] = STATE(11158),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10155] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11159),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11159),
    [sym_operator_assignment] = STATE(11159),
    [sym_conditional] = STATE(11159),
    [sym_range] = STATE(11159),
    [sym_binary] = STATE(11159),
    [sym_unary] = STATE(11159),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10156] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11160),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11160),
    [sym_operator_assignment] = STATE(11160),
    [sym_conditional] = STATE(11160),
    [sym_range] = STATE(11160),
    [sym_binary] = STATE(11160),
    [sym_unary] = STATE(11160),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10157] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11161),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11161),
    [sym_operator_assignment] = STATE(11161),
    [sym_conditional] = STATE(11161),
    [sym_range] = STATE(11161),
    [sym_binary] = STATE(11161),
    [sym_unary] = STATE(11161),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10158] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11162),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11162),
    [sym_operator_assignment] = STATE(11162),
    [sym_conditional] = STATE(11162),
    [sym_range] = STATE(11162),
    [sym_binary] = STATE(11162),
    [sym_unary] = STATE(11162),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10159] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11163),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11163),
    [sym_operator_assignment] = STATE(11163),
    [sym_conditional] = STATE(11163),
    [sym_range] = STATE(11163),
    [sym_binary] = STATE(11163),
    [sym_unary] = STATE(11163),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10160] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11164),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11164),
    [sym_operator_assignment] = STATE(11164),
    [sym_conditional] = STATE(11164),
    [sym_range] = STATE(11164),
    [sym_binary] = STATE(11164),
    [sym_unary] = STATE(11164),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10161] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11165),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11165),
    [sym_operator_assignment] = STATE(11165),
    [sym_conditional] = STATE(11165),
    [sym_range] = STATE(11165),
    [sym_binary] = STATE(11165),
    [sym_unary] = STATE(11165),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10162] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11166),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11166),
    [sym_operator_assignment] = STATE(11166),
    [sym_conditional] = STATE(11166),
    [sym_range] = STATE(11166),
    [sym_binary] = STATE(11166),
    [sym_unary] = STATE(11166),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10163] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11167),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11167),
    [sym_operator_assignment] = STATE(11167),
    [sym_conditional] = STATE(11167),
    [sym_range] = STATE(11167),
    [sym_binary] = STATE(11167),
    [sym_unary] = STATE(11167),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10164] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11168),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11168),
    [sym_operator_assignment] = STATE(11168),
    [sym_conditional] = STATE(11168),
    [sym_range] = STATE(11168),
    [sym_binary] = STATE(11168),
    [sym_unary] = STATE(11168),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10165] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11169),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11169),
    [sym_operator_assignment] = STATE(11169),
    [sym_conditional] = STATE(11169),
    [sym_range] = STATE(11169),
    [sym_binary] = STATE(11169),
    [sym_unary] = STATE(11169),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10166] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8277),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(8277),
    [sym_operator_assignment] = STATE(8277),
    [sym_conditional] = STATE(8277),
    [sym_range] = STATE(8277),
    [sym_binary] = STATE(8277),
    [sym_unary] = STATE(8277),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(11156),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10167] = {
    [aux_sym_exceptions_repeat1] = STATE(11170),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(12956),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10168] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8277),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_splat_argument] = STATE(11171),
    [sym_assignment] = STATE(8277),
    [sym_operator_assignment] = STATE(8277),
    [sym_conditional] = STATE(8277),
    [sym_range] = STATE(8277),
    [sym_binary] = STATE(8277),
    [sym_unary] = STATE(8277),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(11171),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(11156),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10169] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11172),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11172),
    [sym_operator_assignment] = STATE(11172),
    [sym_conditional] = STATE(11172),
    [sym_range] = STATE(11172),
    [sym_binary] = STATE(11172),
    [sym_unary] = STATE(11172),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10170] = {
    [sym_heredoc_body] = STATE(10170),
    [aux_sym_call_repeat1] = STATE(10170),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10171] = {
    [sym_heredoc_body] = STATE(10170),
    [aux_sym_call_repeat1] = STATE(10170),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10172] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11173),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_assignment] = STATE(11173),
    [sym_operator_assignment] = STATE(11173),
    [sym_conditional] = STATE(11173),
    [sym_range] = STATE(11173),
    [sym_binary] = STATE(11173),
    [sym_unary] = STATE(11173),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10173] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8297),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2905),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(2905),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(8297),
    [sym_operator_assignment] = STATE(8297),
    [sym_conditional] = STATE(8297),
    [sym_range] = STATE(8297),
    [sym_binary] = STATE(8297),
    [sym_unary] = STATE(8297),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(2904),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2905),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2905),
    [sym_false] = STATE(2905),
    [sym_nil] = STATE(2905),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(1841),
    [sym__unary_minus] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_defined_QMARK] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(4556),
    [anon_sym_BANG] = ACTIONS(4558),
    [anon_sym_TILDE] = ACTIONS(4558),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10174] = {
    [aux_sym_exceptions_repeat1] = STATE(11174),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13964),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10175] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(4572),
    [sym__binary_star] = ACTIONS(4574),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(4576),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_LT] = ACTIONS(4582),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(4586),
    [anon_sym_DOT_DOT] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(4592),
    [anon_sym_AMP_AMP] = ACTIONS(4592),
    [anon_sym_LT_LT] = ACTIONS(4594),
    [anon_sym_GT_GT] = ACTIONS(4594),
    [anon_sym_EQ_EQ] = ACTIONS(4596),
    [anon_sym_BANG_EQ] = ACTIONS(4592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4592),
    [anon_sym_EQ_TILDE] = ACTIONS(4592),
    [anon_sym_BANG_TILDE] = ACTIONS(4592),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4582),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4600),
    [anon_sym_PLUS] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(87),
  },
  [10176] = {
    [aux_sym_exceptions_repeat1] = STATE(10176),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13966),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10177] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11175),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_assignment] = STATE(11175),
    [sym_operator_assignment] = STATE(11175),
    [sym_conditional] = STATE(11175),
    [sym_range] = STATE(11175),
    [sym_binary] = STATE(11175),
    [sym_unary] = STATE(11175),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10178] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8331),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(2978),
    [sym_scope_resolution] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_method_call] = STATE(2978),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(8331),
    [sym_operator_assignment] = STATE(8331),
    [sym_conditional] = STATE(8331),
    [sym_range] = STATE(8331),
    [sym_binary] = STATE(8331),
    [sym_unary] = STATE(8331),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(2977),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2978),
    [sym__variable] = STATE(2976),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(2978),
    [sym_false] = STATE(2978),
    [sym_nil] = STATE(2978),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(2979),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(1905),
    [sym__unary_minus] = ACTIONS(4626),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(4628),
    [anon_sym_yield] = ACTIONS(4630),
    [anon_sym_break] = ACTIONS(4632),
    [anon_sym_next] = ACTIONS(4634),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(4636),
    [anon_sym_defined_QMARK] = ACTIONS(4638),
    [anon_sym_not] = ACTIONS(4640),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [sym_constant] = ACTIONS(4644),
    [sym_identifier] = ACTIONS(4644),
    [sym_instance_variable] = ACTIONS(4646),
    [sym_class_variable] = ACTIONS(4646),
    [sym_global_variable] = ACTIONS(4646),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(4644),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4644),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10179] = {
    [aux_sym_exceptions_repeat1] = STATE(11176),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10180] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(4654),
    [sym__binary_star] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(4664),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4676),
    [anon_sym_GT_GT] = ACTIONS(4676),
    [anon_sym_EQ_EQ] = ACTIONS(4674),
    [anon_sym_BANG_EQ] = ACTIONS(4678),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4678),
    [anon_sym_EQ_TILDE] = ACTIONS(4678),
    [anon_sym_BANG_TILDE] = ACTIONS(4678),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4660),
    [sym_comment] = ACTIONS(87),
  },
  [10181] = {
    [aux_sym_exceptions_repeat1] = STATE(10181),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13971),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [10182] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11177),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3016),
    [sym_scope_resolution] = STATE(258),
    [sym_call] = STATE(258),
    [sym_method_call] = STATE(3016),
    [sym_assignment] = STATE(11177),
    [sym_operator_assignment] = STATE(11177),
    [sym_conditional] = STATE(11177),
    [sym_range] = STATE(11177),
    [sym_binary] = STATE(11177),
    [sym_unary] = STATE(11177),
    [sym_left_assignment_list] = STATE(3015),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3016),
    [sym__variable] = STATE(258),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3016),
    [sym_false] = STATE(3016),
    [sym_nil] = STATE(3016),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2906),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4544),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_break] = ACTIONS(4548),
    [anon_sym_next] = ACTIONS(4550),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_defined_QMARK] = ACTIONS(4700),
    [anon_sym_not] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(4704),
    [anon_sym_TILDE] = ACTIONS(4704),
    [sym_constant] = ACTIONS(467),
    [sym_identifier] = ACTIONS(467),
    [sym_instance_variable] = ACTIONS(469),
    [sym_class_variable] = ACTIONS(469),
    [sym_global_variable] = ACTIONS(469),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(467),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(467),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10183] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [10184] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [10185] = {
    [sym_heredoc_body] = STATE(10185),
    [aux_sym_call_repeat1] = STATE(10185),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_in] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10186] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(5715),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(1145),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(1145),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(5715),
    [sym_operator_assignment] = STATE(5715),
    [sym_conditional] = STATE(5715),
    [sym_range] = STATE(5715),
    [sym_binary] = STATE(5715),
    [sym_unary] = STATE(5715),
    [sym_left_assignment_list] = STATE(1144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1145),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(1145),
    [sym_false] = STATE(1145),
    [sym_nil] = STATE(1145),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(5718),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(8340),
    [sym__splat_star] = ACTIONS(8342),
    [sym__unary_minus] = ACTIONS(1957),
    [sym__identifier_hash_key] = ACTIONS(8344),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(12983),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_next] = ACTIONS(1969),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_defined_QMARK] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1975),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [sym_constant] = ACTIONS(8346),
    [sym_identifier] = ACTIONS(8346),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10187] = {
    [sym_heredoc_body] = STATE(10185),
    [aux_sym_call_repeat1] = STATE(10185),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_in] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10188] = {
    [aux_sym_argument_list_repeat1] = STATE(10188),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13974),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_in] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [10189] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [10190] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11178),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_assignment] = STATE(11178),
    [sym_operator_assignment] = STATE(11178),
    [sym_conditional] = STATE(11178),
    [sym_range] = STATE(11178),
    [sym_binary] = STATE(11178),
    [sym_unary] = STATE(11178),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10191] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [10192] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_in] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [10193] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(12999),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [10194] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11179),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11179),
    [sym_operator_assignment] = STATE(11179),
    [sym_conditional] = STATE(11179),
    [sym_range] = STATE(11179),
    [sym_binary] = STATE(11179),
    [sym_unary] = STATE(11179),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10195] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11180),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11180),
    [sym_operator_assignment] = STATE(11180),
    [sym_conditional] = STATE(11180),
    [sym_range] = STATE(11180),
    [sym_binary] = STATE(11180),
    [sym_unary] = STATE(11180),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10196] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11181),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11181),
    [sym_operator_assignment] = STATE(11181),
    [sym_conditional] = STATE(11181),
    [sym_range] = STATE(11181),
    [sym_binary] = STATE(11181),
    [sym_unary] = STATE(11181),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10197] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11182),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11182),
    [sym_operator_assignment] = STATE(11182),
    [sym_conditional] = STATE(11182),
    [sym_range] = STATE(11182),
    [sym_binary] = STATE(11182),
    [sym_unary] = STATE(11182),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10198] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11183),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11183),
    [sym_operator_assignment] = STATE(11183),
    [sym_conditional] = STATE(11183),
    [sym_range] = STATE(11183),
    [sym_binary] = STATE(11183),
    [sym_unary] = STATE(11183),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10199] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11184),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11184),
    [sym_operator_assignment] = STATE(11184),
    [sym_conditional] = STATE(11184),
    [sym_range] = STATE(11184),
    [sym_binary] = STATE(11184),
    [sym_unary] = STATE(11184),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10200] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11185),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11185),
    [sym_operator_assignment] = STATE(11185),
    [sym_conditional] = STATE(11185),
    [sym_range] = STATE(11185),
    [sym_binary] = STATE(11185),
    [sym_unary] = STATE(11185),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10201] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11186),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11186),
    [sym_operator_assignment] = STATE(11186),
    [sym_conditional] = STATE(11186),
    [sym_range] = STATE(11186),
    [sym_binary] = STATE(11186),
    [sym_unary] = STATE(11186),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10202] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11187),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11187),
    [sym_operator_assignment] = STATE(11187),
    [sym_conditional] = STATE(11187),
    [sym_range] = STATE(11187),
    [sym_binary] = STATE(11187),
    [sym_unary] = STATE(11187),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10203] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11188),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11188),
    [sym_operator_assignment] = STATE(11188),
    [sym_conditional] = STATE(11188),
    [sym_range] = STATE(11188),
    [sym_binary] = STATE(11188),
    [sym_unary] = STATE(11188),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10204] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11189),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11189),
    [sym_operator_assignment] = STATE(11189),
    [sym_conditional] = STATE(11189),
    [sym_range] = STATE(11189),
    [sym_binary] = STATE(11189),
    [sym_unary] = STATE(11189),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10205] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11190),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11190),
    [sym_operator_assignment] = STATE(11190),
    [sym_conditional] = STATE(11190),
    [sym_range] = STATE(11190),
    [sym_binary] = STATE(11190),
    [sym_unary] = STATE(11190),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10206] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11191),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_splat_argument] = STATE(11192),
    [sym_assignment] = STATE(11191),
    [sym_operator_assignment] = STATE(11191),
    [sym_conditional] = STATE(11191),
    [sym_range] = STATE(11191),
    [sym_binary] = STATE(11191),
    [sym_unary] = STATE(11191),
    [sym_right_assignment_list] = STATE(9466),
    [sym__arg_or_splat_arg] = STATE(11192),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(8382),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10207] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11193),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11193),
    [sym_operator_assignment] = STATE(11193),
    [sym_conditional] = STATE(11193),
    [sym_range] = STATE(11193),
    [sym_binary] = STATE(11193),
    [sym_unary] = STATE(11193),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10208] = {
    [sym_string] = STATE(11194),
    [aux_sym_chained_string_repeat1] = STATE(11194),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [10209] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(12999),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [10210] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(12999),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [10211] = {
    [sym_heredoc_body] = STATE(10211),
    [aux_sym_call_repeat1] = STATE(10211),
    [sym__heredoc_body_start] = ACTIONS(12320),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_in] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [10212] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(5738),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym__argument] = STATE(9477),
    [sym_splat_argument] = STATE(9477),
    [sym_hash_splat_argument] = STATE(9477),
    [sym_block_argument] = STATE(9477),
    [sym_assignment] = STATE(5738),
    [sym_operator_assignment] = STATE(5738),
    [sym_conditional] = STATE(5738),
    [sym_range] = STATE(5738),
    [sym_binary] = STATE(5738),
    [sym_unary] = STATE(5738),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5741),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(9477),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(8380),
    [sym__splat_star] = ACTIONS(8382),
    [sym__unary_minus] = ACTIONS(4780),
    [sym__identifier_hash_key] = ACTIONS(8384),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13021),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(8386),
    [sym_identifier] = ACTIONS(8386),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10213] = {
    [sym_heredoc_body] = STATE(10211),
    [aux_sym_call_repeat1] = STATE(10211),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_in] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [10214] = {
    [aux_sym_argument_list_repeat1] = STATE(10214),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13977),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_in] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [10215] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(12999),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [10216] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(8394),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(3032),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(3032),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(8394),
    [sym_operator_assignment] = STATE(8394),
    [sym_conditional] = STATE(8394),
    [sym_range] = STATE(8394),
    [sym_binary] = STATE(8394),
    [sym_unary] = STATE(8394),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(3031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3032),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(3032),
    [sym_false] = STATE(3032),
    [sym_nil] = STATE(3032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(3033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(8342),
    [sym__unary_minus] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4710),
    [anon_sym_yield] = ACTIONS(4712),
    [anon_sym_break] = ACTIONS(4714),
    [anon_sym_next] = ACTIONS(4716),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(4718),
    [anon_sym_defined_QMARK] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(4722),
    [anon_sym_BANG] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10217] = {
    [aux_sym_exceptions_repeat1] = STATE(11195),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13980),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_in] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10218] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(4742),
    [sym__binary_star] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_STAR_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_DOT_DOT] = ACTIONS(4758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_EQ_TILDE] = ACTIONS(4764),
    [anon_sym_BANG_TILDE] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4752),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_CARET] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [sym_comment] = ACTIONS(87),
  },
  [10219] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11196),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_assignment] = STATE(11196),
    [sym_operator_assignment] = STATE(11196),
    [sym_conditional] = STATE(11196),
    [sym_range] = STATE(11196),
    [sym_binary] = STATE(11196),
    [sym_unary] = STATE(11196),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10220] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(8424),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3080),
    [sym_scope_resolution] = STATE(1141),
    [sym_call] = STATE(1141),
    [sym_method_call] = STATE(3080),
    [sym_splat_argument] = STATE(9654),
    [sym_assignment] = STATE(8424),
    [sym_operator_assignment] = STATE(8424),
    [sym_conditional] = STATE(8424),
    [sym_range] = STATE(8424),
    [sym_binary] = STATE(8424),
    [sym_unary] = STATE(8424),
    [sym__arg_or_splat_arg] = STATE(9654),
    [sym_left_assignment_list] = STATE(3079),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3080),
    [sym__variable] = STATE(1141),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3080),
    [sym_false] = STATE(3080),
    [sym_nil] = STATE(3080),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(5769),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(4778),
    [sym__unary_minus] = ACTIONS(4780),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(4784),
    [anon_sym_yield] = ACTIONS(4786),
    [anon_sym_break] = ACTIONS(4788),
    [anon_sym_next] = ACTIONS(4790),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(8400),
    [anon_sym_defined_QMARK] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4798),
    [anon_sym_TILDE] = ACTIONS(4798),
    [sym_constant] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1983),
    [sym_instance_variable] = ACTIONS(1981),
    [sym_class_variable] = ACTIONS(1981),
    [sym_global_variable] = ACTIONS(1981),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(1983),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10221] = {
    [aux_sym_exceptions_repeat1] = STATE(11197),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13982),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_in] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10222] = {
    [aux_sym_exceptions_repeat1] = STATE(10222),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13984),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_in] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10223] = {
    [sym_heredoc_body] = STATE(10223),
    [aux_sym_call_repeat1] = STATE(10223),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10224] = {
    [sym_heredoc_body] = STATE(10223),
    [aux_sym_call_repeat1] = STATE(10223),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10225] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11198),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_assignment] = STATE(11198),
    [sym_operator_assignment] = STATE(11198),
    [sym_conditional] = STATE(11198),
    [sym_range] = STATE(11198),
    [sym_binary] = STATE(11198),
    [sym_unary] = STATE(11198),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10226] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8446),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3101),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3101),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(8446),
    [sym_operator_assignment] = STATE(8446),
    [sym_conditional] = STATE(8446),
    [sym_range] = STATE(8446),
    [sym_binary] = STATE(8446),
    [sym_unary] = STATE(8446),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(3100),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3101),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3101),
    [sym_false] = STATE(3101),
    [sym_nil] = STATE(3101),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(1991),
    [sym__unary_minus] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_defined_QMARK] = ACTIONS(4828),
    [anon_sym_not] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10227] = {
    [aux_sym_exceptions_repeat1] = STATE(11199),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(13987),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10228] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(4846),
    [sym__binary_star] = ACTIONS(4848),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(4860),
    [anon_sym_DOT_DOT] = ACTIONS(4862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_EQ_TILDE] = ACTIONS(4866),
    [anon_sym_BANG_TILDE] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(87),
  },
  [10229] = {
    [aux_sym_exceptions_repeat1] = STATE(10229),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(13989),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10230] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11200),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3161),
    [sym_scope_resolution] = STATE(278),
    [sym_call] = STATE(278),
    [sym_method_call] = STATE(3161),
    [sym_assignment] = STATE(11200),
    [sym_operator_assignment] = STATE(11200),
    [sym_conditional] = STATE(11200),
    [sym_range] = STATE(11200),
    [sym_binary] = STATE(11200),
    [sym_unary] = STATE(11200),
    [sym_left_assignment_list] = STATE(3160),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3161),
    [sym__variable] = STATE(278),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3161),
    [sym_false] = STATE(3161),
    [sym_nil] = STATE(3161),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3102),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4818),
    [anon_sym_yield] = ACTIONS(4820),
    [anon_sym_break] = ACTIONS(4822),
    [anon_sym_next] = ACTIONS(4824),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4894),
    [anon_sym_defined_QMARK] = ACTIONS(4896),
    [anon_sym_not] = ACTIONS(4898),
    [anon_sym_BANG] = ACTIONS(4900),
    [anon_sym_TILDE] = ACTIONS(4900),
    [sym_constant] = ACTIONS(499),
    [sym_identifier] = ACTIONS(499),
    [sym_instance_variable] = ACTIONS(501),
    [sym_class_variable] = ACTIONS(501),
    [sym_global_variable] = ACTIONS(501),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(499),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(499),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10231] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [10232] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [10233] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(13065),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [10234] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11201),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11201),
    [sym_operator_assignment] = STATE(11201),
    [sym_conditional] = STATE(11201),
    [sym_range] = STATE(11201),
    [sym_binary] = STATE(11201),
    [sym_unary] = STATE(11201),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10235] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11202),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11202),
    [sym_operator_assignment] = STATE(11202),
    [sym_conditional] = STATE(11202),
    [sym_range] = STATE(11202),
    [sym_binary] = STATE(11202),
    [sym_unary] = STATE(11202),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10236] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11203),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11203),
    [sym_operator_assignment] = STATE(11203),
    [sym_conditional] = STATE(11203),
    [sym_range] = STATE(11203),
    [sym_binary] = STATE(11203),
    [sym_unary] = STATE(11203),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10237] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11204),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11204),
    [sym_operator_assignment] = STATE(11204),
    [sym_conditional] = STATE(11204),
    [sym_range] = STATE(11204),
    [sym_binary] = STATE(11204),
    [sym_unary] = STATE(11204),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10238] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11205),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11205),
    [sym_operator_assignment] = STATE(11205),
    [sym_conditional] = STATE(11205),
    [sym_range] = STATE(11205),
    [sym_binary] = STATE(11205),
    [sym_unary] = STATE(11205),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10239] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11206),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11206),
    [sym_operator_assignment] = STATE(11206),
    [sym_conditional] = STATE(11206),
    [sym_range] = STATE(11206),
    [sym_binary] = STATE(11206),
    [sym_unary] = STATE(11206),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10240] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11207),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11207),
    [sym_operator_assignment] = STATE(11207),
    [sym_conditional] = STATE(11207),
    [sym_range] = STATE(11207),
    [sym_binary] = STATE(11207),
    [sym_unary] = STATE(11207),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10241] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11208),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11208),
    [sym_operator_assignment] = STATE(11208),
    [sym_conditional] = STATE(11208),
    [sym_range] = STATE(11208),
    [sym_binary] = STATE(11208),
    [sym_unary] = STATE(11208),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10242] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11209),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11209),
    [sym_operator_assignment] = STATE(11209),
    [sym_conditional] = STATE(11209),
    [sym_range] = STATE(11209),
    [sym_binary] = STATE(11209),
    [sym_unary] = STATE(11209),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10243] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11210),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11210),
    [sym_operator_assignment] = STATE(11210),
    [sym_conditional] = STATE(11210),
    [sym_range] = STATE(11210),
    [sym_binary] = STATE(11210),
    [sym_unary] = STATE(11210),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10244] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11211),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11211),
    [sym_operator_assignment] = STATE(11211),
    [sym_conditional] = STATE(11211),
    [sym_range] = STATE(11211),
    [sym_binary] = STATE(11211),
    [sym_unary] = STATE(11211),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10245] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11212),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11212),
    [sym_operator_assignment] = STATE(11212),
    [sym_conditional] = STATE(11212),
    [sym_range] = STATE(11212),
    [sym_binary] = STATE(11212),
    [sym_unary] = STATE(11212),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10246] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11213),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_splat_argument] = STATE(11214),
    [sym_assignment] = STATE(11213),
    [sym_operator_assignment] = STATE(11213),
    [sym_conditional] = STATE(11213),
    [sym_range] = STATE(11213),
    [sym_binary] = STATE(11213),
    [sym_unary] = STATE(11213),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(11214),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(8534),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10247] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11215),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11215),
    [sym_operator_assignment] = STATE(11215),
    [sym_conditional] = STATE(11215),
    [sym_range] = STATE(11215),
    [sym_binary] = STATE(11215),
    [sym_unary] = STATE(11215),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10248] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(13065),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [10249] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(13065),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [10250] = {
    [sym_heredoc_body] = STATE(10250),
    [aux_sym_call_repeat1] = STATE(10250),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10251] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(5889),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(5889),
    [sym_operator_assignment] = STATE(5889),
    [sym_conditional] = STATE(5889),
    [sym_range] = STATE(5889),
    [sym_binary] = STATE(5889),
    [sym_unary] = STATE(5889),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(5892),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(8532),
    [sym__splat_star] = ACTIONS(8534),
    [sym__unary_minus] = ACTIONS(5018),
    [sym__identifier_hash_key] = ACTIONS(8536),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13089),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(8538),
    [sym_identifier] = ACTIONS(8538),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10252] = {
    [sym_heredoc_body] = STATE(10250),
    [aux_sym_call_repeat1] = STATE(10250),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10253] = {
    [aux_sym_argument_list_repeat1] = STATE(10253),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(13992),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [10254] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(13065),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [10255] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_when] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [10256] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11224),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(11224),
    [sym_operator_assignment] = STATE(11224),
    [sym_conditional] = STATE(11224),
    [sym_range] = STATE(11224),
    [sym_binary] = STATE(11224),
    [sym_unary] = STATE(11224),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10257] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11228),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(11228),
    [sym_operator_assignment] = STATE(11228),
    [sym_conditional] = STATE(11228),
    [sym_range] = STATE(11228),
    [sym_binary] = STATE(11228),
    [sym_unary] = STATE(11228),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10258] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11229),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11229),
    [sym_operator_assignment] = STATE(11229),
    [sym_conditional] = STATE(11229),
    [sym_range] = STATE(11229),
    [sym_binary] = STATE(11229),
    [sym_unary] = STATE(11229),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10259] = {
    [sym__keyword_colon] = ACTIONS(14015),
    [sym_comment] = ACTIONS(87),
  },
  [10260] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11232),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(11232),
    [sym_operator_assignment] = STATE(11232),
    [sym_conditional] = STATE(11232),
    [sym_range] = STATE(11232),
    [sym_binary] = STATE(11232),
    [sym_unary] = STATE(11232),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10261] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11238),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(11239),
    [sym__argument] = STATE(11240),
    [sym_splat_argument] = STATE(11240),
    [sym_hash_splat_argument] = STATE(11240),
    [sym_block_argument] = STATE(11240),
    [sym_assignment] = STATE(11238),
    [sym_operator_assignment] = STATE(11238),
    [sym_conditional] = STATE(11238),
    [sym_range] = STATE(11238),
    [sym_binary] = STATE(11238),
    [sym_unary] = STATE(11238),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11241),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(11240),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(14017),
    [sym__splat_star] = ACTIONS(14019),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(14021),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(14023),
    [sym_identifier] = ACTIONS(14023),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10262] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11238),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(11239),
    [sym__argument] = STATE(11240),
    [sym_splat_argument] = STATE(11240),
    [sym_hash_splat_argument] = STATE(11240),
    [sym_block_argument] = STATE(11240),
    [sym_assignment] = STATE(11238),
    [sym_operator_assignment] = STATE(11238),
    [sym_conditional] = STATE(11238),
    [sym_range] = STATE(11238),
    [sym_binary] = STATE(11238),
    [sym_unary] = STATE(11238),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11241),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(11240),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(14017),
    [sym__splat_star] = ACTIONS(14019),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(14021),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(415),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(14023),
    [sym_identifier] = ACTIONS(14023),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10263] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11238),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(11239),
    [sym__argument] = STATE(11240),
    [sym_splat_argument] = STATE(11240),
    [sym_hash_splat_argument] = STATE(11240),
    [sym_block_argument] = STATE(11240),
    [sym_assignment] = STATE(11238),
    [sym_operator_assignment] = STATE(11238),
    [sym_conditional] = STATE(11238),
    [sym_range] = STATE(11238),
    [sym_binary] = STATE(11238),
    [sym_unary] = STATE(11238),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11241),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(11240),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(14017),
    [sym__splat_star] = ACTIONS(14019),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(14021),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(14023),
    [sym_identifier] = ACTIONS(14023),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10264] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11238),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(11239),
    [sym__argument] = STATE(11240),
    [sym_splat_argument] = STATE(11240),
    [sym_hash_splat_argument] = STATE(11240),
    [sym_block_argument] = STATE(11240),
    [sym_assignment] = STATE(11238),
    [sym_operator_assignment] = STATE(11238),
    [sym_conditional] = STATE(11238),
    [sym_range] = STATE(11238),
    [sym_binary] = STATE(11238),
    [sym_unary] = STATE(11238),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11241),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(11240),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(14017),
    [sym__splat_star] = ACTIONS(14019),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(14021),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(423),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(14023),
    [sym_identifier] = ACTIONS(14023),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10265] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11242),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11242),
    [sym_operator_assignment] = STATE(11242),
    [sym_conditional] = STATE(11242),
    [sym_range] = STATE(11242),
    [sym_binary] = STATE(11242),
    [sym_unary] = STATE(11242),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10266] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11243),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11243),
    [sym_operator_assignment] = STATE(11243),
    [sym_conditional] = STATE(11243),
    [sym_range] = STATE(11243),
    [sym_binary] = STATE(11243),
    [sym_unary] = STATE(11243),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10267] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10268] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(14015),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [10269] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(14037),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [10270] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11262),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(983),
    [sym__argument_list_with_parens] = STATE(11263),
    [sym__argument] = STATE(11264),
    [sym_splat_argument] = STATE(11264),
    [sym_hash_splat_argument] = STATE(11264),
    [sym_block_argument] = STATE(11264),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(11262),
    [sym_operator_assignment] = STATE(11262),
    [sym_conditional] = STATE(11262),
    [sym_range] = STATE(11262),
    [sym_binary] = STATE(11262),
    [sym_unary] = STATE(11262),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11265),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(11264),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(14057),
    [sym__splat_star] = ACTIONS(14059),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(14061),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(775),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(14063),
    [sym_identifier] = ACTIONS(14063),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10271] = {
    [sym_heredoc_body] = STATE(11266),
    [aux_sym_call_repeat1] = STATE(11266),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_when] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [10272] = {
    [sym_heredoc_body] = STATE(11266),
    [aux_sym_call_repeat1] = STATE(11266),
    [aux_sym_argument_list_repeat1] = STATE(11268),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(14065),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_when] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [10273] = {
    [anon_sym_EQ] = ACTIONS(14067),
    [sym_comment] = ACTIONS(87),
  },
  [10274] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(14069),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(14071),
    [anon_sym_DASH_EQ] = ACTIONS(14071),
    [anon_sym_STAR_EQ] = ACTIONS(14071),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14071),
    [anon_sym_SLASH_EQ] = ACTIONS(14071),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14071),
    [anon_sym_PIPE_EQ] = ACTIONS(14071),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14071),
    [anon_sym_AMP_EQ] = ACTIONS(14071),
    [anon_sym_PERCENT_EQ] = ACTIONS(14071),
    [anon_sym_GT_GT_EQ] = ACTIONS(14071),
    [anon_sym_LT_LT_EQ] = ACTIONS(14071),
    [anon_sym_CARET_EQ] = ACTIONS(14071),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [10275] = {
    [sym_string] = STATE(11272),
    [aux_sym_chained_string_repeat1] = STATE(11272),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(14073),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [10276] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [10277] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(13149),
    [anon_sym_DOT_DOT] = ACTIONS(13151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13153),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(13157),
    [anon_sym_AMP_AMP] = ACTIONS(13157),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [10278] = {
    [aux_sym_undef_repeat1] = STATE(11273),
    [sym__line_break] = ACTIONS(2283),
    [sym__heredoc_body_start] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_end] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_unless] = ACTIONS(2283),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_until] = ACTIONS(2283),
    [anon_sym_rescue] = ACTIONS(2283),
    [anon_sym_when] = ACTIONS(2283),
    [anon_sym_else] = ACTIONS(2283),
    [sym_comment] = ACTIONS(87),
  },
  [10279] = {
    [anon_sym_end] = ACTIONS(14075),
    [sym_comment] = ACTIONS(87),
  },
  [10280] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(8504),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8506),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(8506),
    [sym_operator_assignment] = STATE(8506),
    [sym_conditional] = STATE(8506),
    [sym_range] = STATE(8506),
    [sym_binary] = STATE(8506),
    [sym_unary] = STATE(8506),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(2529),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(2529),
    [anon_sym_else] = ACTIONS(2529),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [anon_sym_undef] = ACTIONS(11296),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10281] = {
    [sym_heredoc_body] = STATE(11274),
    [sym__terminator] = STATE(11274),
    [aux_sym__statements_repeat1] = STATE(11275),
    [sym__line_break] = ACTIONS(14077),
    [sym__heredoc_body_start] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(14077),
    [anon_sym_end] = ACTIONS(2527),
    [anon_sym_when] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2527),
    [sym_comment] = ACTIONS(87),
  },
  [10282] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11276),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11276),
    [sym_operator_assignment] = STATE(11276),
    [sym_conditional] = STATE(11276),
    [sym_range] = STATE(11276),
    [sym_binary] = STATE(11276),
    [sym_unary] = STATE(11276),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10283] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11277),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11277),
    [sym_operator_assignment] = STATE(11277),
    [sym_conditional] = STATE(11277),
    [sym_range] = STATE(11277),
    [sym_binary] = STATE(11277),
    [sym_unary] = STATE(11277),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10284] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11278),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11278),
    [sym_operator_assignment] = STATE(11278),
    [sym_conditional] = STATE(11278),
    [sym_range] = STATE(11278),
    [sym_binary] = STATE(11278),
    [sym_unary] = STATE(11278),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10285] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11279),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11279),
    [sym_operator_assignment] = STATE(11279),
    [sym_conditional] = STATE(11279),
    [sym_range] = STATE(11279),
    [sym_binary] = STATE(11279),
    [sym_unary] = STATE(11279),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10286] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11280),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11280),
    [sym_operator_assignment] = STATE(11280),
    [sym_conditional] = STATE(11280),
    [sym_range] = STATE(11280),
    [sym_binary] = STATE(11280),
    [sym_unary] = STATE(11280),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10287] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11281),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11281),
    [sym_operator_assignment] = STATE(11281),
    [sym_conditional] = STATE(11281),
    [sym_range] = STATE(11281),
    [sym_binary] = STATE(11281),
    [sym_unary] = STATE(11281),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10288] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11282),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11282),
    [sym_operator_assignment] = STATE(11282),
    [sym_conditional] = STATE(11282),
    [sym_range] = STATE(11282),
    [sym_binary] = STATE(11282),
    [sym_unary] = STATE(11282),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10289] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11283),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11283),
    [sym_operator_assignment] = STATE(11283),
    [sym_conditional] = STATE(11283),
    [sym_range] = STATE(11283),
    [sym_binary] = STATE(11283),
    [sym_unary] = STATE(11283),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10290] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11284),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11284),
    [sym_operator_assignment] = STATE(11284),
    [sym_conditional] = STATE(11284),
    [sym_range] = STATE(11284),
    [sym_binary] = STATE(11284),
    [sym_unary] = STATE(11284),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10291] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11285),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11285),
    [sym_operator_assignment] = STATE(11285),
    [sym_conditional] = STATE(11285),
    [sym_range] = STATE(11285),
    [sym_binary] = STATE(11285),
    [sym_unary] = STATE(11285),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10292] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11286),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11286),
    [sym_operator_assignment] = STATE(11286),
    [sym_conditional] = STATE(11286),
    [sym_range] = STATE(11286),
    [sym_binary] = STATE(11286),
    [sym_unary] = STATE(11286),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10293] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11287),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11287),
    [sym_operator_assignment] = STATE(11287),
    [sym_conditional] = STATE(11287),
    [sym_range] = STATE(11287),
    [sym_binary] = STATE(11287),
    [sym_unary] = STATE(11287),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10294] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11288),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11288),
    [sym_operator_assignment] = STATE(11288),
    [sym_conditional] = STATE(11288),
    [sym_range] = STATE(11288),
    [sym_binary] = STATE(11288),
    [sym_unary] = STATE(11288),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10295] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11289),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11289),
    [sym_operator_assignment] = STATE(11289),
    [sym_conditional] = STATE(11289),
    [sym_range] = STATE(11289),
    [sym_binary] = STATE(11289),
    [sym_unary] = STATE(11289),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10296] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11290),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11290),
    [sym_operator_assignment] = STATE(11290),
    [sym_conditional] = STATE(11290),
    [sym_range] = STATE(11290),
    [sym_binary] = STATE(11290),
    [sym_unary] = STATE(11290),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10297] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11291),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11291),
    [sym_operator_assignment] = STATE(11291),
    [sym_conditional] = STATE(11291),
    [sym_range] = STATE(11291),
    [sym_binary] = STATE(11291),
    [sym_unary] = STATE(11291),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10298] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11292),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11292),
    [sym_operator_assignment] = STATE(11292),
    [sym_conditional] = STATE(11292),
    [sym_range] = STATE(11292),
    [sym_binary] = STATE(11292),
    [sym_unary] = STATE(11292),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10299] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11301),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(11301),
    [sym_operator_assignment] = STATE(11301),
    [sym_conditional] = STATE(11301),
    [sym_range] = STATE(11301),
    [sym_binary] = STATE(11301),
    [sym_unary] = STATE(11301),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10300] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11306),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(11306),
    [sym_operator_assignment] = STATE(11306),
    [sym_conditional] = STATE(11306),
    [sym_range] = STATE(11306),
    [sym_binary] = STATE(11306),
    [sym_unary] = STATE(11306),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10301] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11307),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11307),
    [sym_operator_assignment] = STATE(11307),
    [sym_conditional] = STATE(11307),
    [sym_range] = STATE(11307),
    [sym_binary] = STATE(11307),
    [sym_unary] = STATE(11307),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10302] = {
    [sym__keyword_colon] = ACTIONS(14103),
    [sym_comment] = ACTIONS(87),
  },
  [10303] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11310),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(11310),
    [sym_operator_assignment] = STATE(11310),
    [sym_conditional] = STATE(11310),
    [sym_range] = STATE(11310),
    [sym_binary] = STATE(11310),
    [sym_unary] = STATE(11310),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10304] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11262),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(1618),
    [sym__argument_list_with_parens] = STATE(11263),
    [sym__argument] = STATE(11264),
    [sym_splat_argument] = STATE(11264),
    [sym_hash_splat_argument] = STATE(11264),
    [sym_block_argument] = STATE(11264),
    [sym_assignment] = STATE(11262),
    [sym_operator_assignment] = STATE(11262),
    [sym_conditional] = STATE(11262),
    [sym_range] = STATE(11262),
    [sym_binary] = STATE(11262),
    [sym_unary] = STATE(11262),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11265),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(11264),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(14057),
    [sym__splat_star] = ACTIONS(14059),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(14061),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(14063),
    [sym_identifier] = ACTIONS(14063),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10305] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11262),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(1619),
    [sym__argument_list_with_parens] = STATE(11263),
    [sym__argument] = STATE(11264),
    [sym_splat_argument] = STATE(11264),
    [sym_hash_splat_argument] = STATE(11264),
    [sym_block_argument] = STATE(11264),
    [sym_assignment] = STATE(11262),
    [sym_operator_assignment] = STATE(11262),
    [sym_conditional] = STATE(11262),
    [sym_range] = STATE(11262),
    [sym_binary] = STATE(11262),
    [sym_unary] = STATE(11262),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11265),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(11264),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(14057),
    [sym__splat_star] = ACTIONS(14059),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(14061),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(415),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(14063),
    [sym_identifier] = ACTIONS(14063),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10306] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11262),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(1620),
    [sym__argument_list_with_parens] = STATE(11263),
    [sym__argument] = STATE(11264),
    [sym_splat_argument] = STATE(11264),
    [sym_hash_splat_argument] = STATE(11264),
    [sym_block_argument] = STATE(11264),
    [sym_assignment] = STATE(11262),
    [sym_operator_assignment] = STATE(11262),
    [sym_conditional] = STATE(11262),
    [sym_range] = STATE(11262),
    [sym_binary] = STATE(11262),
    [sym_unary] = STATE(11262),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11265),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(11264),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(14057),
    [sym__splat_star] = ACTIONS(14059),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(14061),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(14063),
    [sym_identifier] = ACTIONS(14063),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10307] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11262),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(1621),
    [sym__argument_list_with_parens] = STATE(11263),
    [sym__argument] = STATE(11264),
    [sym_splat_argument] = STATE(11264),
    [sym_hash_splat_argument] = STATE(11264),
    [sym_block_argument] = STATE(11264),
    [sym_assignment] = STATE(11262),
    [sym_operator_assignment] = STATE(11262),
    [sym_conditional] = STATE(11262),
    [sym_range] = STATE(11262),
    [sym_binary] = STATE(11262),
    [sym_unary] = STATE(11262),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11265),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(11264),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(14057),
    [sym__splat_star] = ACTIONS(14059),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(14061),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(423),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(14063),
    [sym_identifier] = ACTIONS(14063),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10308] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11311),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11311),
    [sym_operator_assignment] = STATE(11311),
    [sym_conditional] = STATE(11311),
    [sym_range] = STATE(11311),
    [sym_binary] = STATE(11311),
    [sym_unary] = STATE(11311),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10309] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11312),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11312),
    [sym_operator_assignment] = STATE(11312),
    [sym_conditional] = STATE(11312),
    [sym_range] = STATE(11312),
    [sym_binary] = STATE(11312),
    [sym_unary] = STATE(11312),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10310] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(1641),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(1641),
    [sym_operator_assignment] = STATE(1641),
    [sym_conditional] = STATE(1641),
    [sym_range] = STATE(1641),
    [sym_binary] = STATE(1641),
    [sym_unary] = STATE(1641),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10311] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(14103),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [10312] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(14117),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [10313] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11262),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(1663),
    [sym__argument_list_with_parens] = STATE(11263),
    [sym__argument] = STATE(11264),
    [sym_splat_argument] = STATE(11264),
    [sym_hash_splat_argument] = STATE(11264),
    [sym_block_argument] = STATE(11264),
    [sym_do_block] = STATE(986),
    [sym_block] = STATE(986),
    [sym_assignment] = STATE(11262),
    [sym_operator_assignment] = STATE(11262),
    [sym_conditional] = STATE(11262),
    [sym_range] = STATE(11262),
    [sym_binary] = STATE(11262),
    [sym_unary] = STATE(11262),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11265),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(11264),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(14057),
    [sym__splat_star] = ACTIONS(14059),
    [sym__argument_list_left_paren] = ACTIONS(1679),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(14061),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(775),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(14063),
    [sym_identifier] = ACTIONS(14063),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10314] = {
    [sym_heredoc_body] = STATE(11326),
    [aux_sym_call_repeat1] = STATE(11326),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_when] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [10315] = {
    [sym_heredoc_body] = STATE(11326),
    [aux_sym_call_repeat1] = STATE(11326),
    [aux_sym_argument_list_repeat1] = STATE(11328),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(14135),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_when] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [10316] = {
    [anon_sym_EQ] = ACTIONS(14137),
    [sym_comment] = ACTIONS(87),
  },
  [10317] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(14139),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(14141),
    [anon_sym_DASH_EQ] = ACTIONS(14141),
    [anon_sym_STAR_EQ] = ACTIONS(14141),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14141),
    [anon_sym_SLASH_EQ] = ACTIONS(14141),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14141),
    [anon_sym_PIPE_EQ] = ACTIONS(14141),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14141),
    [anon_sym_AMP_EQ] = ACTIONS(14141),
    [anon_sym_PERCENT_EQ] = ACTIONS(14141),
    [anon_sym_GT_GT_EQ] = ACTIONS(14141),
    [anon_sym_LT_LT_EQ] = ACTIONS(14141),
    [anon_sym_CARET_EQ] = ACTIONS(14141),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [10318] = {
    [sym_string] = STATE(11332),
    [aux_sym_chained_string_repeat1] = STATE(11332),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(14143),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [10319] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11338),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_splat_argument] = STATE(11339),
    [sym_assignment] = STATE(11338),
    [sym_operator_assignment] = STATE(11338),
    [sym_conditional] = STATE(11338),
    [sym_range] = STATE(11338),
    [sym_binary] = STATE(11338),
    [sym_unary] = STATE(11338),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(11339),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(14145),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10320] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11342),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(11342),
    [sym_operator_assignment] = STATE(11342),
    [sym_conditional] = STATE(11342),
    [sym_range] = STATE(11342),
    [sym_binary] = STATE(11342),
    [sym_unary] = STATE(11342),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10321] = {
    [sym_string] = STATE(11343),
    [aux_sym_chained_string_repeat1] = STATE(11343),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_when] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [10322] = {
    [sym_when] = STATE(11344),
    [sym_else] = STATE(11344),
    [anon_sym_end] = ACTIONS(14075),
    [anon_sym_when] = ACTIONS(2061),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [10323] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11345),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_assignment] = STATE(11345),
    [sym_operator_assignment] = STATE(11345),
    [sym_conditional] = STATE(11345),
    [sym_range] = STATE(11345),
    [sym_binary] = STATE(11345),
    [sym_unary] = STATE(11345),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10324] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [10325] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [10326] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(13224),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [10327] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11346),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11346),
    [sym_operator_assignment] = STATE(11346),
    [sym_conditional] = STATE(11346),
    [sym_range] = STATE(11346),
    [sym_binary] = STATE(11346),
    [sym_unary] = STATE(11346),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10328] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11347),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11347),
    [sym_operator_assignment] = STATE(11347),
    [sym_conditional] = STATE(11347),
    [sym_range] = STATE(11347),
    [sym_binary] = STATE(11347),
    [sym_unary] = STATE(11347),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10329] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11348),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11348),
    [sym_operator_assignment] = STATE(11348),
    [sym_conditional] = STATE(11348),
    [sym_range] = STATE(11348),
    [sym_binary] = STATE(11348),
    [sym_unary] = STATE(11348),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10330] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11349),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11349),
    [sym_operator_assignment] = STATE(11349),
    [sym_conditional] = STATE(11349),
    [sym_range] = STATE(11349),
    [sym_binary] = STATE(11349),
    [sym_unary] = STATE(11349),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10331] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11350),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11350),
    [sym_operator_assignment] = STATE(11350),
    [sym_conditional] = STATE(11350),
    [sym_range] = STATE(11350),
    [sym_binary] = STATE(11350),
    [sym_unary] = STATE(11350),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10332] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11351),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11351),
    [sym_operator_assignment] = STATE(11351),
    [sym_conditional] = STATE(11351),
    [sym_range] = STATE(11351),
    [sym_binary] = STATE(11351),
    [sym_unary] = STATE(11351),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10333] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11352),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11352),
    [sym_operator_assignment] = STATE(11352),
    [sym_conditional] = STATE(11352),
    [sym_range] = STATE(11352),
    [sym_binary] = STATE(11352),
    [sym_unary] = STATE(11352),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10334] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11353),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11353),
    [sym_operator_assignment] = STATE(11353),
    [sym_conditional] = STATE(11353),
    [sym_range] = STATE(11353),
    [sym_binary] = STATE(11353),
    [sym_unary] = STATE(11353),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10335] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11354),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11354),
    [sym_operator_assignment] = STATE(11354),
    [sym_conditional] = STATE(11354),
    [sym_range] = STATE(11354),
    [sym_binary] = STATE(11354),
    [sym_unary] = STATE(11354),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10336] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11355),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11355),
    [sym_operator_assignment] = STATE(11355),
    [sym_conditional] = STATE(11355),
    [sym_range] = STATE(11355),
    [sym_binary] = STATE(11355),
    [sym_unary] = STATE(11355),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10337] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11356),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11356),
    [sym_operator_assignment] = STATE(11356),
    [sym_conditional] = STATE(11356),
    [sym_range] = STATE(11356),
    [sym_binary] = STATE(11356),
    [sym_unary] = STATE(11356),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10338] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11357),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11357),
    [sym_operator_assignment] = STATE(11357),
    [sym_conditional] = STATE(11357),
    [sym_range] = STATE(11357),
    [sym_binary] = STATE(11357),
    [sym_unary] = STATE(11357),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10339] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11358),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_splat_argument] = STATE(11359),
    [sym_assignment] = STATE(11358),
    [sym_operator_assignment] = STATE(11358),
    [sym_conditional] = STATE(11358),
    [sym_range] = STATE(11358),
    [sym_binary] = STATE(11358),
    [sym_unary] = STATE(11358),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(11359),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(8580),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10340] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11360),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(11360),
    [sym_operator_assignment] = STATE(11360),
    [sym_conditional] = STATE(11360),
    [sym_range] = STATE(11360),
    [sym_binary] = STATE(11360),
    [sym_unary] = STATE(11360),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10341] = {
    [sym_string] = STATE(11361),
    [aux_sym_chained_string_repeat1] = STATE(11361),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_then] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [10342] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_then] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(13224),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [10343] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_then] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(13224),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [10344] = {
    [sym_heredoc_body] = STATE(10344),
    [aux_sym_call_repeat1] = STATE(10344),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [10345] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(5915),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(5915),
    [sym_operator_assignment] = STATE(5915),
    [sym_conditional] = STATE(5915),
    [sym_range] = STATE(5915),
    [sym_binary] = STATE(5915),
    [sym_unary] = STATE(5915),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(5918),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(8578),
    [sym__splat_star] = ACTIONS(8580),
    [sym__unary_minus] = ACTIONS(5088),
    [sym__identifier_hash_key] = ACTIONS(8582),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13246),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(8584),
    [sym_identifier] = ACTIONS(8584),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10346] = {
    [sym_heredoc_body] = STATE(10344),
    [aux_sym_call_repeat1] = STATE(10344),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [10347] = {
    [aux_sym_argument_list_repeat1] = STATE(10347),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14157),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [10348] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_then] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(13224),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [10349] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(8550),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(8556),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(8558),
    [anon_sym_DOT_DOT] = ACTIONS(8560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8562),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(8566),
    [anon_sym_AMP_AMP] = ACTIONS(8566),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(8570),
    [anon_sym_BANG_EQ] = ACTIONS(8566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8566),
    [anon_sym_LT_EQ_GT] = ACTIONS(8566),
    [anon_sym_EQ_TILDE] = ACTIONS(8566),
    [anon_sym_BANG_TILDE] = ACTIONS(8566),
    [anon_sym_LT_EQ] = ACTIONS(8556),
    [anon_sym_GT] = ACTIONS(8556),
    [anon_sym_GT_EQ] = ACTIONS(8572),
    [anon_sym_CARET] = ACTIONS(8574),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [10350] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8547),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3178),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(3178),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(8547),
    [sym_operator_assignment] = STATE(8547),
    [sym_conditional] = STATE(8547),
    [sym_range] = STATE(8547),
    [sym_binary] = STATE(8547),
    [sym_unary] = STATE(8547),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(3177),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3178),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3178),
    [sym_false] = STATE(3178),
    [sym_nil] = STATE(3178),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(11330),
    [sym__unary_minus] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4914),
    [anon_sym_defined_QMARK] = ACTIONS(4916),
    [anon_sym_not] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(4920),
    [anon_sym_TILDE] = ACTIONS(4920),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10351] = {
    [aux_sym_exceptions_repeat1] = STATE(11362),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(14160),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10352] = {
    [sym_heredoc_body] = STATE(10352),
    [aux_sym_call_repeat1] = STATE(10352),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_ensure] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10353] = {
    [sym_heredoc_body] = STATE(10352),
    [aux_sym_call_repeat1] = STATE(10352),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_ensure] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10354] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11363),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_assignment] = STATE(11363),
    [sym_operator_assignment] = STATE(11363),
    [sym_conditional] = STATE(11363),
    [sym_range] = STATE(11363),
    [sym_binary] = STATE(11363),
    [sym_unary] = STATE(11363),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10355] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8565),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3193),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3193),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(8565),
    [sym_operator_assignment] = STATE(8565),
    [sym_conditional] = STATE(8565),
    [sym_range] = STATE(8565),
    [sym_binary] = STATE(8565),
    [sym_unary] = STATE(8565),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(3192),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3193),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3193),
    [sym_false] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(2073),
    [sym__unary_minus] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_defined_QMARK] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4950),
    [anon_sym_TILDE] = ACTIONS(4950),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10356] = {
    [aux_sym_exceptions_repeat1] = STATE(11364),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14162),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_ensure] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10357] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(4964),
    [sym__binary_star] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_DOT_DOT] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(4984),
    [anon_sym_AMP_AMP] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_EQ_EQ] = ACTIONS(4988),
    [anon_sym_BANG_EQ] = ACTIONS(4984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4984),
    [anon_sym_EQ_TILDE] = ACTIONS(4984),
    [anon_sym_BANG_TILDE] = ACTIONS(4984),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4990),
    [anon_sym_CARET] = ACTIONS(4992),
    [anon_sym_PLUS] = ACTIONS(4994),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(87),
  },
  [10358] = {
    [aux_sym_exceptions_repeat1] = STATE(10358),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14164),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10359] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11365),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_assignment] = STATE(11365),
    [sym_operator_assignment] = STATE(11365),
    [sym_conditional] = STATE(11365),
    [sym_range] = STATE(11365),
    [sym_binary] = STATE(11365),
    [sym_unary] = STATE(11365),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10360] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8604),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3255),
    [sym_scope_resolution] = STATE(1229),
    [sym_call] = STATE(1229),
    [sym_method_call] = STATE(3255),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(8604),
    [sym_operator_assignment] = STATE(8604),
    [sym_conditional] = STATE(8604),
    [sym_range] = STATE(8604),
    [sym_binary] = STATE(8604),
    [sym_unary] = STATE(8604),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(3254),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3255),
    [sym__variable] = STATE(1229),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3255),
    [sym_false] = STATE(3255),
    [sym_nil] = STATE(3255),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(1233),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(5016),
    [sym__unary_minus] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2111),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8653),
    [anon_sym_defined_QMARK] = ACTIONS(5022),
    [anon_sym_not] = ACTIONS(5024),
    [anon_sym_BANG] = ACTIONS(5028),
    [anon_sym_TILDE] = ACTIONS(5028),
    [sym_constant] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_instance_variable] = ACTIONS(2127),
    [sym_class_variable] = ACTIONS(2127),
    [sym_global_variable] = ACTIONS(2127),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2125),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10361] = {
    [aux_sym_exceptions_repeat1] = STATE(11366),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14167),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10362] = {
    [sym__line_break] = ACTIONS(9621),
    [sym__heredoc_body_start] = ACTIONS(9621),
    [sym__element_reference_left_bracket] = ACTIONS(9621),
    [sym__infix_scope_colons] = ACTIONS(9621),
    [anon_sym_DOT] = ACTIONS(9621),
    [anon_sym_SEMI] = ACTIONS(9621),
    [anon_sym_then] = ACTIONS(9621),
    [anon_sym_AMP_DOT] = ACTIONS(9621),
    [sym_comment] = ACTIONS(87),
  },
  [10363] = {
    [anon_sym_RBRACK] = ACTIONS(14169),
    [sym_comment] = ACTIONS(87),
  },
  [10364] = {
    [sym__line_break] = ACTIONS(4198),
    [sym__simple_symbol] = ACTIONS(4198),
    [sym__string_start] = ACTIONS(4198),
    [sym__symbol_start] = ACTIONS(4198),
    [sym__subshell_start] = ACTIONS(4198),
    [sym__regex_start] = ACTIONS(4198),
    [sym__string_array_start] = ACTIONS(4198),
    [sym__symbol_array_start] = ACTIONS(4198),
    [sym__heredoc_body_start] = ACTIONS(4198),
    [sym_heredoc_beginning] = ACTIONS(4198),
    [sym__element_reference_left_bracket] = ACTIONS(4198),
    [sym__block_ampersand] = ACTIONS(4198),
    [sym__splat_star] = ACTIONS(4198),
    [sym__argument_list_left_paren] = ACTIONS(4198),
    [sym__infix_scope_colons] = ACTIONS(4198),
    [sym__unary_minus] = ACTIONS(4198),
    [sym__identifier_hash_key] = ACTIONS(4198),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_def] = ACTIONS(4200),
    [anon_sym_LPAREN] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(4198),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_STAR] = ACTIONS(4200),
    [anon_sym_STAR_STAR] = ACTIONS(4198),
    [anon_sym_class] = ACTIONS(4200),
    [anon_sym_module] = ACTIONS(4200),
    [anon_sym_return] = ACTIONS(4200),
    [anon_sym_yield] = ACTIONS(4200),
    [anon_sym_break] = ACTIONS(4200),
    [anon_sym_next] = ACTIONS(4200),
    [sym_redo] = ACTIONS(4200),
    [sym_retry] = ACTIONS(4200),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_unless] = ACTIONS(4200),
    [anon_sym_while] = ACTIONS(4200),
    [anon_sym_until] = ACTIONS(4200),
    [anon_sym_for] = ACTIONS(4200),
    [anon_sym_do] = ACTIONS(4200),
    [anon_sym_case] = ACTIONS(4200),
    [anon_sym_then] = ACTIONS(4200),
    [anon_sym_begin] = ACTIONS(4200),
    [anon_sym_AMP_DOT] = ACTIONS(4198),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_defined_QMARK] = ACTIONS(4198),
    [anon_sym_not] = ACTIONS(4200),
    [anon_sym_BANG] = ACTIONS(4198),
    [anon_sym_TILDE] = ACTIONS(4198),
    [sym_constant] = ACTIONS(4200),
    [sym_identifier] = ACTIONS(4200),
    [sym_instance_variable] = ACTIONS(4198),
    [sym_class_variable] = ACTIONS(4198),
    [sym_global_variable] = ACTIONS(4198),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(4200),
    [sym_float] = ACTIONS(4200),
    [sym_complex] = ACTIONS(4198),
    [sym_super] = ACTIONS(4200),
    [anon_sym_true] = ACTIONS(4200),
    [anon_sym_TRUE] = ACTIONS(4200),
    [anon_sym_false] = ACTIONS(4200),
    [anon_sym_FALSE] = ACTIONS(4200),
    [sym_self] = ACTIONS(4200),
    [anon_sym_nil] = ACTIONS(4200),
    [anon_sym_NIL] = ACTIONS(4200),
    [sym_character] = ACTIONS(4198),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [anon_sym_DASH_GT] = ACTIONS(4198),
  },
  [10365] = {
    [sym_heredoc_body] = STATE(11369),
    [sym__heredoc_body_start] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(14171),
    [sym_comment] = ACTIONS(87),
  },
  [10366] = {
    [anon_sym_RPAREN] = ACTIONS(14171),
    [sym_comment] = ACTIONS(87),
  },
  [10367] = {
    [sym__line_break] = ACTIONS(9631),
    [sym__simple_symbol] = ACTIONS(9631),
    [sym__string_start] = ACTIONS(9631),
    [sym__symbol_start] = ACTIONS(9631),
    [sym__subshell_start] = ACTIONS(9631),
    [sym__regex_start] = ACTIONS(9631),
    [sym__string_array_start] = ACTIONS(9631),
    [sym__symbol_array_start] = ACTIONS(9631),
    [sym__heredoc_body_start] = ACTIONS(9631),
    [sym_heredoc_beginning] = ACTIONS(9631),
    [sym__element_reference_left_bracket] = ACTIONS(9631),
    [sym__block_ampersand] = ACTIONS(9631),
    [sym__splat_star] = ACTIONS(9631),
    [sym__argument_list_left_paren] = ACTIONS(9631),
    [sym__infix_scope_colons] = ACTIONS(9631),
    [sym__unary_minus] = ACTIONS(9631),
    [sym__identifier_hash_key] = ACTIONS(9631),
    [anon_sym_LBRACE] = ACTIONS(9631),
    [anon_sym_def] = ACTIONS(9633),
    [anon_sym_LPAREN] = ACTIONS(9631),
    [anon_sym_DOT] = ACTIONS(9631),
    [anon_sym_COLON_COLON] = ACTIONS(9631),
    [anon_sym_SEMI] = ACTIONS(9631),
    [anon_sym_STAR] = ACTIONS(9633),
    [anon_sym_STAR_STAR] = ACTIONS(9631),
    [anon_sym_class] = ACTIONS(9633),
    [anon_sym_module] = ACTIONS(9633),
    [anon_sym_return] = ACTIONS(9633),
    [anon_sym_yield] = ACTIONS(9633),
    [anon_sym_break] = ACTIONS(9633),
    [anon_sym_next] = ACTIONS(9633),
    [sym_redo] = ACTIONS(9633),
    [sym_retry] = ACTIONS(9633),
    [anon_sym_if] = ACTIONS(9633),
    [anon_sym_unless] = ACTIONS(9633),
    [anon_sym_while] = ACTIONS(9633),
    [anon_sym_until] = ACTIONS(9633),
    [anon_sym_for] = ACTIONS(9633),
    [anon_sym_do] = ACTIONS(9633),
    [anon_sym_case] = ACTIONS(9633),
    [anon_sym_then] = ACTIONS(9633),
    [anon_sym_begin] = ACTIONS(9633),
    [anon_sym_AMP_DOT] = ACTIONS(9631),
    [anon_sym_PLUS] = ACTIONS(9633),
    [anon_sym_defined_QMARK] = ACTIONS(9631),
    [anon_sym_not] = ACTIONS(9633),
    [anon_sym_BANG] = ACTIONS(9631),
    [anon_sym_TILDE] = ACTIONS(9631),
    [sym_constant] = ACTIONS(9633),
    [sym_identifier] = ACTIONS(9633),
    [sym_instance_variable] = ACTIONS(9631),
    [sym_class_variable] = ACTIONS(9631),
    [sym_global_variable] = ACTIONS(9631),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(9633),
    [sym_float] = ACTIONS(9633),
    [sym_complex] = ACTIONS(9631),
    [sym_super] = ACTIONS(9633),
    [anon_sym_true] = ACTIONS(9633),
    [anon_sym_TRUE] = ACTIONS(9633),
    [anon_sym_false] = ACTIONS(9633),
    [anon_sym_FALSE] = ACTIONS(9633),
    [sym_self] = ACTIONS(9633),
    [anon_sym_nil] = ACTIONS(9633),
    [anon_sym_NIL] = ACTIONS(9633),
    [sym_character] = ACTIONS(9631),
    [anon_sym_LBRACK] = ACTIONS(9631),
    [anon_sym_DASH_GT] = ACTIONS(9631),
  },
  [10368] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_then] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [10369] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11370),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11370),
    [sym_operator_assignment] = STATE(11370),
    [sym_conditional] = STATE(11370),
    [sym_range] = STATE(11370),
    [sym_binary] = STATE(11370),
    [sym_unary] = STATE(11370),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10370] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11371),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11371),
    [sym_operator_assignment] = STATE(11371),
    [sym_conditional] = STATE(11371),
    [sym_range] = STATE(11371),
    [sym_binary] = STATE(11371),
    [sym_unary] = STATE(11371),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10371] = {
    [sym__keyword_colon] = ACTIONS(14173),
    [sym_comment] = ACTIONS(87),
  },
  [10372] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11373),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11373),
    [sym_operator_assignment] = STATE(11373),
    [sym_conditional] = STATE(11373),
    [sym_range] = STATE(11373),
    [sym_binary] = STATE(11373),
    [sym_unary] = STATE(11373),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10373] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(14173),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_then] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [10374] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_then] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(14175),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10375] = {
    [sym_heredoc_body] = STATE(11375),
    [aux_sym_call_repeat1] = STATE(11375),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [10376] = {
    [sym_heredoc_body] = STATE(11375),
    [aux_sym_call_repeat1] = STATE(11375),
    [aux_sym_argument_list_repeat1] = STATE(11377),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(14177),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_then] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [10377] = {
    [sym_string] = STATE(8676),
    [aux_sym_chained_string_repeat1] = STATE(8676),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(14179),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_then] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [10378] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [10379] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_then] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [10380] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11379),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11379),
    [sym_operator_assignment] = STATE(11379),
    [sym_conditional] = STATE(11379),
    [sym_range] = STATE(11379),
    [sym_binary] = STATE(11379),
    [sym_unary] = STATE(11379),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10381] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11380),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11380),
    [sym_operator_assignment] = STATE(11380),
    [sym_conditional] = STATE(11380),
    [sym_range] = STATE(11380),
    [sym_binary] = STATE(11380),
    [sym_unary] = STATE(11380),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10382] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11381),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11381),
    [sym_operator_assignment] = STATE(11381),
    [sym_conditional] = STATE(11381),
    [sym_range] = STATE(11381),
    [sym_binary] = STATE(11381),
    [sym_unary] = STATE(11381),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10383] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11382),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11382),
    [sym_operator_assignment] = STATE(11382),
    [sym_conditional] = STATE(11382),
    [sym_range] = STATE(11382),
    [sym_binary] = STATE(11382),
    [sym_unary] = STATE(11382),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10384] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11383),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11383),
    [sym_operator_assignment] = STATE(11383),
    [sym_conditional] = STATE(11383),
    [sym_range] = STATE(11383),
    [sym_binary] = STATE(11383),
    [sym_unary] = STATE(11383),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10385] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11384),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11384),
    [sym_operator_assignment] = STATE(11384),
    [sym_conditional] = STATE(11384),
    [sym_range] = STATE(11384),
    [sym_binary] = STATE(11384),
    [sym_unary] = STATE(11384),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10386] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11385),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11385),
    [sym_operator_assignment] = STATE(11385),
    [sym_conditional] = STATE(11385),
    [sym_range] = STATE(11385),
    [sym_binary] = STATE(11385),
    [sym_unary] = STATE(11385),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10387] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11386),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11386),
    [sym_operator_assignment] = STATE(11386),
    [sym_conditional] = STATE(11386),
    [sym_range] = STATE(11386),
    [sym_binary] = STATE(11386),
    [sym_unary] = STATE(11386),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10388] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11387),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11387),
    [sym_operator_assignment] = STATE(11387),
    [sym_conditional] = STATE(11387),
    [sym_range] = STATE(11387),
    [sym_binary] = STATE(11387),
    [sym_unary] = STATE(11387),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10389] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11388),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11388),
    [sym_operator_assignment] = STATE(11388),
    [sym_conditional] = STATE(11388),
    [sym_range] = STATE(11388),
    [sym_binary] = STATE(11388),
    [sym_unary] = STATE(11388),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10390] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11389),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11389),
    [sym_operator_assignment] = STATE(11389),
    [sym_conditional] = STATE(11389),
    [sym_range] = STATE(11389),
    [sym_binary] = STATE(11389),
    [sym_unary] = STATE(11389),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10391] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11390),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11390),
    [sym_operator_assignment] = STATE(11390),
    [sym_conditional] = STATE(11390),
    [sym_range] = STATE(11390),
    [sym_binary] = STATE(11390),
    [sym_unary] = STATE(11390),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10392] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11391),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_splat_argument] = STATE(11392),
    [sym_assignment] = STATE(11391),
    [sym_operator_assignment] = STATE(11391),
    [sym_conditional] = STATE(11391),
    [sym_range] = STATE(11391),
    [sym_binary] = STATE(11391),
    [sym_unary] = STATE(11391),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(11392),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(13271),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10393] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11393),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11393),
    [sym_operator_assignment] = STATE(11393),
    [sym_conditional] = STATE(11393),
    [sym_range] = STATE(11393),
    [sym_binary] = STATE(11393),
    [sym_unary] = STATE(11393),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10394] = {
    [sym_string] = STATE(11394),
    [aux_sym_chained_string_repeat1] = STATE(11394),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_then] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [10395] = {
    [sym__line_break] = ACTIONS(7758),
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7758),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_do] = ACTIONS(7758),
    [anon_sym_then] = ACTIONS(7758),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
  },
  [10396] = {
    [anon_sym_RPAREN] = ACTIONS(14181),
    [sym_comment] = ACTIONS(87),
  },
  [10397] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_then] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(13295),
    [anon_sym_or] = ACTIONS(13295),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [10398] = {
    [sym__line_break] = ACTIONS(9362),
    [sym__heredoc_body_start] = ACTIONS(9362),
    [sym__element_reference_left_bracket] = ACTIONS(9362),
    [sym__infix_scope_colons] = ACTIONS(9362),
    [anon_sym_DOT] = ACTIONS(9362),
    [anon_sym_SEMI] = ACTIONS(9362),
    [anon_sym_then] = ACTIONS(9362),
    [anon_sym_AMP_DOT] = ACTIONS(9362),
    [sym_comment] = ACTIONS(87),
  },
  [10399] = {
    [anon_sym_RBRACE] = ACTIONS(14183),
    [sym_comment] = ACTIONS(87),
  },
  [10400] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_then] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10401] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10402] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11397),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(11397),
    [sym_operator_assignment] = STATE(11397),
    [sym_conditional] = STATE(11397),
    [sym_range] = STATE(11397),
    [sym_binary] = STATE(11397),
    [sym_unary] = STATE(11397),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10403] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_then] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10404] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11398),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(11398),
    [sym_operator_assignment] = STATE(11398),
    [sym_conditional] = STATE(11398),
    [sym_range] = STATE(11398),
    [sym_binary] = STATE(11398),
    [sym_unary] = STATE(11398),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10405] = {
    [sym_heredoc_body] = STATE(11399),
    [aux_sym_call_repeat1] = STATE(11399),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [10406] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8644),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(8644),
    [sym_operator_assignment] = STATE(8644),
    [sym_conditional] = STATE(8644),
    [sym_range] = STATE(8644),
    [sym_binary] = STATE(8644),
    [sym_unary] = STATE(8644),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8647),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(11400),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(11377),
    [sym__splat_star] = ACTIONS(11379),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__identifier_hash_key] = ACTIONS(11381),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14185),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(11385),
    [sym_identifier] = ACTIONS(11385),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10407] = {
    [sym_heredoc_body] = STATE(11401),
    [aux_sym_call_repeat1] = STATE(11401),
    [aux_sym_argument_list_repeat1] = STATE(11402),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(13321),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [10408] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11403),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(11403),
    [sym_operator_assignment] = STATE(11403),
    [sym_conditional] = STATE(11403),
    [sym_range] = STATE(11403),
    [sym_binary] = STATE(11403),
    [sym_unary] = STATE(11403),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10409] = {
    [sym__line_break] = ACTIONS(9390),
    [sym__heredoc_body_start] = ACTIONS(9390),
    [sym__element_reference_left_bracket] = ACTIONS(9390),
    [sym__infix_scope_colons] = ACTIONS(9390),
    [anon_sym_DOT] = ACTIONS(9390),
    [anon_sym_SEMI] = ACTIONS(9390),
    [anon_sym_then] = ACTIONS(9390),
    [anon_sym_AMP_DOT] = ACTIONS(9390),
    [sym_comment] = ACTIONS(87),
  },
  [10410] = {
    [anon_sym_end] = ACTIONS(14187),
    [sym_comment] = ACTIONS(87),
  },
  [10411] = {
    [sym__statements] = STATE(11405),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(14189),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10412] = {
    [sym__statements] = STATE(11405),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_heredoc_body] = STATE(11406),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__terminator] = STATE(11406),
    [sym__line_break] = ACTIONS(14191),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(505),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(14189),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10413] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10414] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [10415] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10416] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [10417] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10418] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10419] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_then] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(13295),
    [anon_sym_or] = ACTIONS(13295),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [10420] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14193),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10421] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10422] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10423] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10424] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10425] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10426] = {
    [sym__line_break] = ACTIONS(5684),
    [sym__heredoc_body_start] = ACTIONS(5684),
    [sym__element_reference_left_bracket] = ACTIONS(5684),
    [sym__infix_scope_colons] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_then] = ACTIONS(5684),
    [anon_sym_AMP_DOT] = ACTIONS(5684),
    [sym_comment] = ACTIONS(87),
  },
  [10427] = {
    [sym__line_break] = ACTIONS(3138),
    [sym__heredoc_body_start] = ACTIONS(3138),
    [sym__element_reference_left_bracket] = ACTIONS(3138),
    [sym__infix_scope_colons] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_then] = ACTIONS(3138),
    [anon_sym_AMP_DOT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(87),
  },
  [10428] = {
    [sym_interpolation] = STATE(1870),
    [aux_sym_heredoc_body_repeat1] = STATE(1870),
    [sym__heredoc_content] = ACTIONS(3140),
    [sym_heredoc_end] = ACTIONS(14195),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(991),
    [sym_escape_sequence] = ACTIONS(3140),
  },
  [10429] = {
    [sym_heredoc_body] = STATE(10429),
    [aux_sym_call_repeat1] = STATE(10429),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(14197),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7800),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10430] = {
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7811),
    [anon_sym_COMMA] = ACTIONS(7811),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [10431] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6027),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym__argument] = STATE(11409),
    [sym_splat_argument] = STATE(11409),
    [sym_hash_splat_argument] = STATE(11409),
    [sym_block_argument] = STATE(11409),
    [sym_assignment] = STATE(6027),
    [sym_operator_assignment] = STATE(6027),
    [sym_conditional] = STATE(6027),
    [sym_range] = STATE(6027),
    [sym_binary] = STATE(6027),
    [sym_unary] = STATE(6027),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6034),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(11409),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(8701),
    [sym__splat_star] = ACTIONS(8703),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__identifier_hash_key] = ACTIONS(8709),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(8713),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(8733),
    [sym_identifier] = ACTIONS(8733),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10432] = {
    [sym_heredoc_body] = STATE(10429),
    [aux_sym_call_repeat1] = STATE(10429),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(11429),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7815),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10433] = {
    [aux_sym_argument_list_repeat1] = STATE(10433),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7811),
    [anon_sym_COMMA] = ACTIONS(14200),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [10434] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10435] = {
    [aux_sym_exceptions_repeat1] = STATE(11411),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [10436] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [10437] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_then] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(13295),
    [anon_sym_or] = ACTIONS(13295),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [10438] = {
    [sym_string] = STATE(10438),
    [aux_sym_chained_string_repeat1] = STATE(10438),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_then] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [10439] = {
    [anon_sym_end] = ACTIONS(14203),
    [anon_sym_else] = ACTIONS(14203),
    [anon_sym_ensure] = ACTIONS(14203),
    [sym_comment] = ACTIONS(87),
  },
  [10440] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(5052),
    [sym__binary_star] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5060),
    [anon_sym_LT] = ACTIONS(5062),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(5064),
    [anon_sym_DOT_DOT] = ACTIONS(5066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5068),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5072),
    [anon_sym_LT_EQ_GT] = ACTIONS(5072),
    [anon_sym_EQ_TILDE] = ACTIONS(5072),
    [anon_sym_BANG_TILDE] = ACTIONS(5072),
    [anon_sym_LT_EQ] = ACTIONS(5062),
    [anon_sym_GT] = ACTIONS(5062),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [sym_comment] = ACTIONS(87),
  },
  [10441] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11412),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_assignment] = STATE(11412),
    [sym_operator_assignment] = STATE(11412),
    [sym_conditional] = STATE(11412),
    [sym_range] = STATE(11412),
    [sym_binary] = STATE(11412),
    [sym_unary] = STATE(11412),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10442] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8698),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3299),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(3299),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(8698),
    [sym_operator_assignment] = STATE(8698),
    [sym_conditional] = STATE(8698),
    [sym_range] = STATE(8698),
    [sym_binary] = STATE(8698),
    [sym_unary] = STATE(8698),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(3298),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3299),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3299),
    [sym_false] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6051),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(5086),
    [sym__unary_minus] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5092),
    [anon_sym_yield] = ACTIONS(5094),
    [anon_sym_break] = ACTIONS(5096),
    [anon_sym_next] = ACTIONS(5098),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8743),
    [anon_sym_defined_QMARK] = ACTIONS(5100),
    [anon_sym_not] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10443] = {
    [aux_sym_exceptions_repeat1] = STATE(11413),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14205),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10444] = {
    [aux_sym_exceptions_repeat1] = STATE(10444),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(14207),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10445] = {
    [sym_heredoc_body] = STATE(11414),
    [aux_sym_call_repeat1] = STATE(11414),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [10446] = {
    [sym_heredoc_body] = STATE(11415),
    [aux_sym_call_repeat1] = STATE(11415),
    [aux_sym_argument_list_repeat1] = STATE(8761),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(8859),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_ensure] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [10447] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [10448] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [10449] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [10450] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [10451] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [10452] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [10453] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14210),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10454] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [10455] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11466),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [10456] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [10457] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [10458] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [10459] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_ensure] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11466),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [10460] = {
    [aux_sym_exceptions_repeat1] = STATE(11418),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [10461] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11466),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [10462] = {
    [sym_string] = STATE(10462),
    [aux_sym_chained_string_repeat1] = STATE(10462),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_ensure] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [10463] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_ensure] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [10464] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_ensure] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [10465] = {
    [sym_heredoc_body] = STATE(10465),
    [aux_sym_call_repeat1] = STATE(10465),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_ensure] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10466] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6107),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(6107),
    [sym_operator_assignment] = STATE(6107),
    [sym_conditional] = STATE(6107),
    [sym_range] = STATE(6107),
    [sym_binary] = STATE(6107),
    [sym_unary] = STATE(6107),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6110),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(8811),
    [sym__splat_star] = ACTIONS(8813),
    [sym__unary_minus] = ACTIONS(5130),
    [sym__identifier_hash_key] = ACTIONS(8815),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13346),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(8817),
    [sym_identifier] = ACTIONS(8817),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10467] = {
    [sym_heredoc_body] = STATE(10465),
    [aux_sym_call_repeat1] = STATE(10465),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_ensure] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10468] = {
    [aux_sym_argument_list_repeat1] = STATE(10468),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14212),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_ensure] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [10469] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_ensure] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [10470] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11419),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_assignment] = STATE(11419),
    [sym_operator_assignment] = STATE(11419),
    [sym_conditional] = STATE(11419),
    [sym_range] = STATE(11419),
    [sym_binary] = STATE(11419),
    [sym_unary] = STATE(11419),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10471] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_ensure] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [10472] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_ensure] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [10473] = {
    [sym_heredoc_body] = STATE(10473),
    [aux_sym_call_repeat1] = STATE(10473),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_ensure] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [10474] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6131),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(6131),
    [sym_operator_assignment] = STATE(6131),
    [sym_conditional] = STATE(6131),
    [sym_range] = STATE(6131),
    [sym_binary] = STATE(6131),
    [sym_unary] = STATE(6131),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6134),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(8851),
    [sym__splat_star] = ACTIONS(8853),
    [sym__unary_minus] = ACTIONS(5206),
    [sym__identifier_hash_key] = ACTIONS(8855),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13350),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(8857),
    [sym_identifier] = ACTIONS(8857),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10475] = {
    [sym_heredoc_body] = STATE(10473),
    [aux_sym_call_repeat1] = STATE(10473),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_ensure] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [10476] = {
    [aux_sym_argument_list_repeat1] = STATE(10476),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14215),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_ensure] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [10477] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_ensure] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [10478] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8762),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3325),
    [sym_scope_resolution] = STATE(3321),
    [sym_call] = STATE(3321),
    [sym_method_call] = STATE(3325),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(8762),
    [sym_operator_assignment] = STATE(8762),
    [sym_conditional] = STATE(8762),
    [sym_range] = STATE(8762),
    [sym_binary] = STATE(8762),
    [sym_unary] = STATE(8762),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(3324),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3325),
    [sym__variable] = STATE(3321),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3325),
    [sym_false] = STATE(3325),
    [sym_nil] = STATE(3325),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6099),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(8813),
    [sym__unary_minus] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5134),
    [anon_sym_yield] = ACTIONS(5136),
    [anon_sym_break] = ACTIONS(5138),
    [anon_sym_next] = ACTIONS(5140),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8807),
    [anon_sym_defined_QMARK] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [sym_constant] = ACTIONS(5154),
    [sym_identifier] = ACTIONS(5154),
    [sym_instance_variable] = ACTIONS(5152),
    [sym_class_variable] = ACTIONS(5152),
    [sym_global_variable] = ACTIONS(5152),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5154),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5154),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10479] = {
    [aux_sym_exceptions_repeat1] = STATE(11420),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14218),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_ensure] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10480] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(5170),
    [sym__binary_star] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_DOT_DOT] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_EQ_TILDE] = ACTIONS(5190),
    [anon_sym_BANG_TILDE] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(87),
  },
  [10481] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [10482] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [10483] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [10484] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [10485] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [10486] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [10487] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14220),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10488] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [10489] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [10490] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [10491] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [10492] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [10493] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_ensure] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [10494] = {
    [aux_sym_exceptions_repeat1] = STATE(11423),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [10495] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [10496] = {
    [sym_string] = STATE(10496),
    [aux_sym_chained_string_repeat1] = STATE(10496),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_ensure] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [10497] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11424),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_assignment] = STATE(11424),
    [sym_operator_assignment] = STATE(11424),
    [sym_conditional] = STATE(11424),
    [sym_range] = STATE(11424),
    [sym_binary] = STATE(11424),
    [sym_unary] = STATE(11424),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10498] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8806),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3367),
    [sym_scope_resolution] = STATE(3363),
    [sym_call] = STATE(3363),
    [sym_method_call] = STATE(3367),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(8806),
    [sym_operator_assignment] = STATE(8806),
    [sym_conditional] = STATE(8806),
    [sym_range] = STATE(8806),
    [sym_binary] = STATE(8806),
    [sym_unary] = STATE(8806),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(3366),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3367),
    [sym__variable] = STATE(3363),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3367),
    [sym_false] = STATE(3367),
    [sym_nil] = STATE(3367),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6177),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(8853),
    [sym__unary_minus] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5210),
    [anon_sym_yield] = ACTIONS(5212),
    [anon_sym_break] = ACTIONS(5214),
    [anon_sym_next] = ACTIONS(5216),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(8893),
    [anon_sym_defined_QMARK] = ACTIONS(5218),
    [anon_sym_not] = ACTIONS(5220),
    [anon_sym_BANG] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [sym_constant] = ACTIONS(5230),
    [sym_identifier] = ACTIONS(5230),
    [sym_instance_variable] = ACTIONS(5228),
    [sym_class_variable] = ACTIONS(5228),
    [sym_global_variable] = ACTIONS(5228),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5230),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10499] = {
    [aux_sym_exceptions_repeat1] = STATE(11425),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14222),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_ensure] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10500] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_ensure] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [10501] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_ensure] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [10502] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(11553),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11565),
    [anon_sym_GT_GT] = ACTIONS(11565),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [10503] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [10504] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11565),
    [anon_sym_GT_GT] = ACTIONS(11565),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [10505] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(11553),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11565),
    [anon_sym_GT_GT] = ACTIONS(11565),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11571),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [10506] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14224),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10507] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(11553),
    [anon_sym_LT] = ACTIONS(11555),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_ensure] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11563),
    [anon_sym_AMP_AMP] = ACTIONS(11563),
    [anon_sym_LT_LT] = ACTIONS(11565),
    [anon_sym_GT_GT] = ACTIONS(11565),
    [anon_sym_EQ_EQ] = ACTIONS(11567),
    [anon_sym_BANG_EQ] = ACTIONS(11563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11563),
    [anon_sym_LT_EQ_GT] = ACTIONS(11563),
    [anon_sym_EQ_TILDE] = ACTIONS(11563),
    [anon_sym_BANG_TILDE] = ACTIONS(11563),
    [anon_sym_LT_EQ] = ACTIONS(11555),
    [anon_sym_GT] = ACTIONS(11555),
    [anon_sym_GT_EQ] = ACTIONS(11569),
    [anon_sym_CARET] = ACTIONS(11571),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [10508] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(11553),
    [anon_sym_LT] = ACTIONS(11555),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_DOT_DOT] = ACTIONS(11559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11563),
    [anon_sym_AMP_AMP] = ACTIONS(11563),
    [anon_sym_LT_LT] = ACTIONS(11565),
    [anon_sym_GT_GT] = ACTIONS(11565),
    [anon_sym_EQ_EQ] = ACTIONS(11567),
    [anon_sym_BANG_EQ] = ACTIONS(11563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11563),
    [anon_sym_LT_EQ_GT] = ACTIONS(11563),
    [anon_sym_EQ_TILDE] = ACTIONS(11563),
    [anon_sym_BANG_TILDE] = ACTIONS(11563),
    [anon_sym_LT_EQ] = ACTIONS(11555),
    [anon_sym_GT] = ACTIONS(11555),
    [anon_sym_GT_EQ] = ACTIONS(11569),
    [anon_sym_CARET] = ACTIONS(11571),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [10509] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(11553),
    [anon_sym_LT] = ACTIONS(11555),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11565),
    [anon_sym_GT_GT] = ACTIONS(11565),
    [anon_sym_EQ_EQ] = ACTIONS(11567),
    [anon_sym_BANG_EQ] = ACTIONS(11563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11563),
    [anon_sym_LT_EQ_GT] = ACTIONS(11563),
    [anon_sym_EQ_TILDE] = ACTIONS(11563),
    [anon_sym_BANG_TILDE] = ACTIONS(11563),
    [anon_sym_LT_EQ] = ACTIONS(11555),
    [anon_sym_GT] = ACTIONS(11555),
    [anon_sym_GT_EQ] = ACTIONS(11569),
    [anon_sym_CARET] = ACTIONS(11571),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [10510] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [10511] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_ensure] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [10512] = {
    [aux_sym_exceptions_repeat1] = STATE(10512),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(14226),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10513] = {
    [aux_sym_exceptions_repeat1] = STATE(8828),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_ensure] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [10514] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(11553),
    [anon_sym_LT] = ACTIONS(11555),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_ensure] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_DOT_DOT] = ACTIONS(11559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11563),
    [anon_sym_AMP_AMP] = ACTIONS(11563),
    [anon_sym_LT_LT] = ACTIONS(11565),
    [anon_sym_GT_GT] = ACTIONS(11565),
    [anon_sym_EQ_EQ] = ACTIONS(11567),
    [anon_sym_BANG_EQ] = ACTIONS(11563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11563),
    [anon_sym_LT_EQ_GT] = ACTIONS(11563),
    [anon_sym_EQ_TILDE] = ACTIONS(11563),
    [anon_sym_BANG_TILDE] = ACTIONS(11563),
    [anon_sym_LT_EQ] = ACTIONS(11555),
    [anon_sym_GT] = ACTIONS(11555),
    [anon_sym_GT_EQ] = ACTIONS(11569),
    [anon_sym_CARET] = ACTIONS(11571),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [10515] = {
    [sym_heredoc_body] = STATE(11427),
    [aux_sym_call_repeat1] = STATE(11427),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [10516] = {
    [sym_heredoc_body] = STATE(11428),
    [aux_sym_call_repeat1] = STATE(11428),
    [aux_sym_argument_list_repeat1] = STATE(8886),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9021),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [10517] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [10518] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [10519] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [10520] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [10521] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [10522] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [10523] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14229),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10524] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [10525] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [10526] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [10527] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [10528] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [10529] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [10530] = {
    [aux_sym_exceptions_repeat1] = STATE(11431),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [10531] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [10532] = {
    [sym_string] = STATE(10532),
    [aux_sym_chained_string_repeat1] = STATE(10532),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [10533] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [10534] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [10535] = {
    [sym_heredoc_body] = STATE(10535),
    [aux_sym_call_repeat1] = STATE(10535),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10536] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(6235),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(6235),
    [sym_operator_assignment] = STATE(6235),
    [sym_conditional] = STATE(6235),
    [sym_range] = STATE(6235),
    [sym_binary] = STATE(6235),
    [sym_unary] = STATE(6235),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6238),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(8973),
    [sym__splat_star] = ACTIONS(8975),
    [sym__unary_minus] = ACTIONS(5244),
    [sym__identifier_hash_key] = ACTIONS(8977),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13360),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(8979),
    [sym_identifier] = ACTIONS(8979),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10537] = {
    [sym_heredoc_body] = STATE(10535),
    [aux_sym_call_repeat1] = STATE(10535),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10538] = {
    [aux_sym_argument_list_repeat1] = STATE(10538),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14231),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [10539] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [10540] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11432),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_assignment] = STATE(11432),
    [sym_operator_assignment] = STATE(11432),
    [sym_conditional] = STATE(11432),
    [sym_range] = STATE(11432),
    [sym_binary] = STATE(11432),
    [sym_unary] = STATE(11432),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10541] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [10542] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [10543] = {
    [sym_heredoc_body] = STATE(10543),
    [aux_sym_call_repeat1] = STATE(10543),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [10544] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(6259),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(6259),
    [sym_operator_assignment] = STATE(6259),
    [sym_conditional] = STATE(6259),
    [sym_range] = STATE(6259),
    [sym_binary] = STATE(6259),
    [sym_unary] = STATE(6259),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6262),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(9013),
    [sym__splat_star] = ACTIONS(9015),
    [sym__unary_minus] = ACTIONS(5320),
    [sym__identifier_hash_key] = ACTIONS(9017),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13364),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(9019),
    [sym_identifier] = ACTIONS(9019),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10545] = {
    [sym_heredoc_body] = STATE(10543),
    [aux_sym_call_repeat1] = STATE(10543),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [10546] = {
    [aux_sym_argument_list_repeat1] = STATE(10546),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14234),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [10547] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [10548] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8887),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(3392),
    [sym_scope_resolution] = STATE(3388),
    [sym_call] = STATE(3388),
    [sym_method_call] = STATE(3392),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(8887),
    [sym_operator_assignment] = STATE(8887),
    [sym_conditional] = STATE(8887),
    [sym_range] = STATE(8887),
    [sym_binary] = STATE(8887),
    [sym_unary] = STATE(8887),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(3391),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3392),
    [sym__variable] = STATE(3388),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(3392),
    [sym_false] = STATE(3392),
    [sym_nil] = STATE(3392),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(6227),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(8975),
    [sym__unary_minus] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(5248),
    [anon_sym_yield] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5252),
    [anon_sym_next] = ACTIONS(5254),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8969),
    [anon_sym_defined_QMARK] = ACTIONS(5256),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_BANG] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [sym_constant] = ACTIONS(5268),
    [sym_identifier] = ACTIONS(5268),
    [sym_instance_variable] = ACTIONS(5266),
    [sym_class_variable] = ACTIONS(5266),
    [sym_global_variable] = ACTIONS(5266),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5268),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5268),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10549] = {
    [aux_sym_exceptions_repeat1] = STATE(11433),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14237),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10550] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(5284),
    [sym__binary_star] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_DOT_DOT] = ACTIONS(5298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_EQ_TILDE] = ACTIONS(5304),
    [anon_sym_BANG_TILDE] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [sym_comment] = ACTIONS(87),
  },
  [10551] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [10552] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [10553] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [10554] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [10555] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [10556] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [10557] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14239),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10558] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [10559] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11650),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [10560] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [10561] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [10562] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [10563] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11650),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [10564] = {
    [aux_sym_exceptions_repeat1] = STATE(11436),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [10565] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11650),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [10566] = {
    [sym_string] = STATE(10566),
    [aux_sym_chained_string_repeat1] = STATE(10566),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [10567] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11437),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_assignment] = STATE(11437),
    [sym_operator_assignment] = STATE(11437),
    [sym_conditional] = STATE(11437),
    [sym_range] = STATE(11437),
    [sym_binary] = STATE(11437),
    [sym_unary] = STATE(11437),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10568] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8931),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(3434),
    [sym_scope_resolution] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym_method_call] = STATE(3434),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(8931),
    [sym_operator_assignment] = STATE(8931),
    [sym_conditional] = STATE(8931),
    [sym_range] = STATE(8931),
    [sym_binary] = STATE(8931),
    [sym_unary] = STATE(8931),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(3433),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3434),
    [sym__variable] = STATE(3430),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(3434),
    [sym_false] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(6305),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(9015),
    [sym__unary_minus] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(5324),
    [anon_sym_yield] = ACTIONS(5326),
    [anon_sym_break] = ACTIONS(5328),
    [anon_sym_next] = ACTIONS(5330),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(9055),
    [anon_sym_defined_QMARK] = ACTIONS(5332),
    [anon_sym_not] = ACTIONS(5334),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [sym_constant] = ACTIONS(5344),
    [sym_identifier] = ACTIONS(5344),
    [sym_instance_variable] = ACTIONS(5342),
    [sym_class_variable] = ACTIONS(5342),
    [sym_global_variable] = ACTIONS(5342),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(5344),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5344),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [10569] = {
    [aux_sym_exceptions_repeat1] = STATE(11438),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14241),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10570] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [10571] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [10572] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(11682),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11694),
    [anon_sym_GT_GT] = ACTIONS(11694),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [10573] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [10574] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11694),
    [anon_sym_GT_GT] = ACTIONS(11694),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [10575] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11678),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(11682),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11694),
    [anon_sym_GT_GT] = ACTIONS(11694),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11700),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [10576] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14243),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10577] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11678),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(11682),
    [anon_sym_LT] = ACTIONS(11684),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11690),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11692),
    [anon_sym_AMP_AMP] = ACTIONS(11692),
    [anon_sym_LT_LT] = ACTIONS(11694),
    [anon_sym_GT_GT] = ACTIONS(11694),
    [anon_sym_EQ_EQ] = ACTIONS(11696),
    [anon_sym_BANG_EQ] = ACTIONS(11692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11692),
    [anon_sym_LT_EQ_GT] = ACTIONS(11692),
    [anon_sym_EQ_TILDE] = ACTIONS(11692),
    [anon_sym_BANG_TILDE] = ACTIONS(11692),
    [anon_sym_LT_EQ] = ACTIONS(11684),
    [anon_sym_GT] = ACTIONS(11684),
    [anon_sym_GT_EQ] = ACTIONS(11698),
    [anon_sym_CARET] = ACTIONS(11700),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [10578] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11678),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(11682),
    [anon_sym_LT] = ACTIONS(11684),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11686),
    [anon_sym_DOT_DOT] = ACTIONS(11688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11690),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11692),
    [anon_sym_AMP_AMP] = ACTIONS(11692),
    [anon_sym_LT_LT] = ACTIONS(11694),
    [anon_sym_GT_GT] = ACTIONS(11694),
    [anon_sym_EQ_EQ] = ACTIONS(11696),
    [anon_sym_BANG_EQ] = ACTIONS(11692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11692),
    [anon_sym_LT_EQ_GT] = ACTIONS(11692),
    [anon_sym_EQ_TILDE] = ACTIONS(11692),
    [anon_sym_BANG_TILDE] = ACTIONS(11692),
    [anon_sym_LT_EQ] = ACTIONS(11684),
    [anon_sym_GT] = ACTIONS(11684),
    [anon_sym_GT_EQ] = ACTIONS(11698),
    [anon_sym_CARET] = ACTIONS(11700),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [10579] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11678),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(11682),
    [anon_sym_LT] = ACTIONS(11684),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11694),
    [anon_sym_GT_GT] = ACTIONS(11694),
    [anon_sym_EQ_EQ] = ACTIONS(11696),
    [anon_sym_BANG_EQ] = ACTIONS(11692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11692),
    [anon_sym_LT_EQ_GT] = ACTIONS(11692),
    [anon_sym_EQ_TILDE] = ACTIONS(11692),
    [anon_sym_BANG_TILDE] = ACTIONS(11692),
    [anon_sym_LT_EQ] = ACTIONS(11684),
    [anon_sym_GT] = ACTIONS(11684),
    [anon_sym_GT_EQ] = ACTIONS(11698),
    [anon_sym_CARET] = ACTIONS(11700),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [10580] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [10581] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [10582] = {
    [aux_sym_exceptions_repeat1] = STATE(10582),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(14245),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10583] = {
    [aux_sym_exceptions_repeat1] = STATE(8953),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [10584] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11678),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(11682),
    [anon_sym_LT] = ACTIONS(11684),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11686),
    [anon_sym_DOT_DOT] = ACTIONS(11688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11690),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11692),
    [anon_sym_AMP_AMP] = ACTIONS(11692),
    [anon_sym_LT_LT] = ACTIONS(11694),
    [anon_sym_GT_GT] = ACTIONS(11694),
    [anon_sym_EQ_EQ] = ACTIONS(11696),
    [anon_sym_BANG_EQ] = ACTIONS(11692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11692),
    [anon_sym_LT_EQ_GT] = ACTIONS(11692),
    [anon_sym_EQ_TILDE] = ACTIONS(11692),
    [anon_sym_BANG_TILDE] = ACTIONS(11692),
    [anon_sym_LT_EQ] = ACTIONS(11684),
    [anon_sym_GT] = ACTIONS(11684),
    [anon_sym_GT_EQ] = ACTIONS(11698),
    [anon_sym_CARET] = ACTIONS(11700),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [10585] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11440),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_assignment] = STATE(11440),
    [sym_operator_assignment] = STATE(11440),
    [sym_conditional] = STATE(11440),
    [sym_range] = STATE(11440),
    [sym_binary] = STATE(11440),
    [sym_unary] = STATE(11440),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10586] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(8970),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(3473),
    [sym_scope_resolution] = STATE(3471),
    [sym_call] = STATE(3471),
    [sym_method_call] = STATE(3473),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(8970),
    [sym_operator_assignment] = STATE(8970),
    [sym_conditional] = STATE(8970),
    [sym_range] = STATE(8970),
    [sym_binary] = STATE(8970),
    [sym_unary] = STATE(8970),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(3472),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3473),
    [sym__variable] = STATE(3471),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(3473),
    [sym_false] = STATE(3473),
    [sym_nil] = STATE(3473),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(3474),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(2243),
    [sym__unary_minus] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(5362),
    [anon_sym_yield] = ACTIONS(5364),
    [anon_sym_break] = ACTIONS(5366),
    [anon_sym_next] = ACTIONS(5368),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_defined_QMARK] = ACTIONS(5372),
    [anon_sym_not] = ACTIONS(5374),
    [anon_sym_BANG] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [sym_constant] = ACTIONS(5378),
    [sym_identifier] = ACTIONS(5378),
    [sym_instance_variable] = ACTIONS(5380),
    [sym_class_variable] = ACTIONS(5380),
    [sym_global_variable] = ACTIONS(5380),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(5378),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(5378),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10587] = {
    [aux_sym_exceptions_repeat1] = STATE(11441),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14248),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_ensure] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10588] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(5386),
    [sym__binary_star] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_DOT_DOT] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_EQ_TILDE] = ACTIONS(5410),
    [anon_sym_BANG_TILDE] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(87),
  },
  [10589] = {
    [aux_sym_exceptions_repeat1] = STATE(10589),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14250),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [10590] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11442),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(3510),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(3510),
    [sym_assignment] = STATE(11442),
    [sym_operator_assignment] = STATE(11442),
    [sym_conditional] = STATE(11442),
    [sym_range] = STATE(11442),
    [sym_binary] = STATE(11442),
    [sym_unary] = STATE(11442),
    [sym_left_assignment_list] = STATE(3509),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3510),
    [sym__variable] = STATE(305),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(3510),
    [sym_false] = STATE(3510),
    [sym_nil] = STATE(3510),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3194),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4936),
    [anon_sym_yield] = ACTIONS(4938),
    [anon_sym_break] = ACTIONS(4940),
    [anon_sym_next] = ACTIONS(4942),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_defined_QMARK] = ACTIONS(5432),
    [anon_sym_not] = ACTIONS(5434),
    [anon_sym_BANG] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10591] = {
    [sym__heredoc_body_start] = ACTIONS(12326),
    [sym__element_reference_left_bracket] = ACTIONS(12326),
    [sym__infix_scope_colons] = ACTIONS(12326),
    [sym__binary_minus] = ACTIONS(12326),
    [sym__binary_star] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_RBRACE] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_PIPE] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_STAR_STAR] = ACTIONS(12326),
    [anon_sym_AMP] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_LT] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_unless] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [anon_sym_until] = ACTIONS(12326),
    [anon_sym_rescue] = ACTIONS(12326),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_do] = ACTIONS(12326),
    [anon_sym_EQ_GT] = ACTIONS(12326),
    [anon_sym_RBRACK] = ACTIONS(12326),
    [anon_sym_AMP_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_DOT_DOT] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_and] = ACTIONS(12326),
    [anon_sym_or] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE] = ACTIONS(12326),
    [anon_sym_AMP_AMP] = ACTIONS(12326),
    [anon_sym_LT_LT] = ACTIONS(12326),
    [anon_sym_GT_GT] = ACTIONS(12326),
    [anon_sym_EQ_EQ] = ACTIONS(12328),
    [anon_sym_BANG_EQ] = ACTIONS(12326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12326),
    [anon_sym_LT_EQ_GT] = ACTIONS(12326),
    [anon_sym_EQ_TILDE] = ACTIONS(12326),
    [anon_sym_BANG_TILDE] = ACTIONS(12326),
    [anon_sym_LT_EQ] = ACTIONS(12328),
    [anon_sym_GT] = ACTIONS(12328),
    [anon_sym_GT_EQ] = ACTIONS(12326),
    [anon_sym_CARET] = ACTIONS(12326),
    [anon_sym_PLUS] = ACTIONS(12326),
    [anon_sym_SLASH] = ACTIONS(12326),
    [anon_sym_PERCENT] = ACTIONS(12326),
    [sym_comment] = ACTIONS(87),
  },
  [10592] = {
    [sym__heredoc_body_start] = ACTIONS(12330),
    [sym__element_reference_left_bracket] = ACTIONS(12330),
    [sym__infix_scope_colons] = ACTIONS(12330),
    [sym__binary_minus] = ACTIONS(12330),
    [sym__binary_star] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12330),
    [anon_sym_RBRACE] = ACTIONS(12330),
    [anon_sym_RPAREN] = ACTIONS(12330),
    [anon_sym_DOT] = ACTIONS(12332),
    [anon_sym_COMMA] = ACTIONS(12330),
    [anon_sym_PIPE] = ACTIONS(12332),
    [anon_sym_SEMI] = ACTIONS(12330),
    [anon_sym_STAR_STAR] = ACTIONS(12330),
    [anon_sym_AMP] = ACTIONS(12332),
    [anon_sym_EQ] = ACTIONS(12332),
    [anon_sym_LT] = ACTIONS(12332),
    [anon_sym_if] = ACTIONS(12330),
    [anon_sym_unless] = ACTIONS(12330),
    [anon_sym_while] = ACTIONS(12330),
    [anon_sym_until] = ACTIONS(12330),
    [anon_sym_rescue] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12330),
    [anon_sym_do] = ACTIONS(12330),
    [anon_sym_EQ_GT] = ACTIONS(12330),
    [anon_sym_RBRACK] = ACTIONS(12330),
    [anon_sym_AMP_DOT] = ACTIONS(12330),
    [anon_sym_QMARK] = ACTIONS(12330),
    [anon_sym_COLON] = ACTIONS(12330),
    [anon_sym_DOT_DOT] = ACTIONS(12332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12330),
    [anon_sym_and] = ACTIONS(12330),
    [anon_sym_or] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE] = ACTIONS(12330),
    [anon_sym_AMP_AMP] = ACTIONS(12330),
    [anon_sym_LT_LT] = ACTIONS(12330),
    [anon_sym_GT_GT] = ACTIONS(12330),
    [anon_sym_EQ_EQ] = ACTIONS(12332),
    [anon_sym_BANG_EQ] = ACTIONS(12330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12330),
    [anon_sym_LT_EQ_GT] = ACTIONS(12330),
    [anon_sym_EQ_TILDE] = ACTIONS(12330),
    [anon_sym_BANG_TILDE] = ACTIONS(12330),
    [anon_sym_LT_EQ] = ACTIONS(12332),
    [anon_sym_GT] = ACTIONS(12332),
    [anon_sym_GT_EQ] = ACTIONS(12330),
    [anon_sym_CARET] = ACTIONS(12330),
    [anon_sym_PLUS] = ACTIONS(12330),
    [anon_sym_SLASH] = ACTIONS(12330),
    [anon_sym_PERCENT] = ACTIONS(12330),
    [sym_comment] = ACTIONS(87),
  },
  [10593] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [10594] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_RBRACK] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [10595] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [10596] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [10597] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [10598] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [10599] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14253),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10600] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [10601] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11747),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [10602] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [10603] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [10604] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [10605] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11747),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [10606] = {
    [aux_sym_exceptions_repeat1] = STATE(11445),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_RBRACK] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [10607] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11747),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [10608] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(5480),
    [sym__binary_star] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_STAR_STAR] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_EQ_TILDE] = ACTIONS(5500),
    [anon_sym_BANG_TILDE] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(87),
  },
  [10609] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [10610] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_RBRACK] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [10611] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [10612] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [10613] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [10614] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [10615] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14255),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10616] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [10617] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11787),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [10618] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [10619] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [10620] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [10621] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_RBRACK] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11787),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [10622] = {
    [aux_sym_exceptions_repeat1] = STATE(11448),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_RBRACK] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [10623] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_RBRACK] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11787),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [10624] = {
    [sym_string] = STATE(10624),
    [aux_sym_chained_string_repeat1] = STATE(10624),
    [sym__string_start] = ACTIONS(13708),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_RBRACK] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [10625] = {
    [aux_sym_exceptions_repeat1] = STATE(10625),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(14257),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_RBRACK] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10626] = {
    [sym__heredoc_body_start] = ACTIONS(12444),
    [sym__element_reference_left_bracket] = ACTIONS(12444),
    [sym__infix_scope_colons] = ACTIONS(12444),
    [sym__binary_minus] = ACTIONS(12444),
    [sym__binary_star] = ACTIONS(12444),
    [anon_sym_LBRACE] = ACTIONS(12444),
    [anon_sym_RBRACE] = ACTIONS(12444),
    [anon_sym_RPAREN] = ACTIONS(12444),
    [anon_sym_DOT] = ACTIONS(12446),
    [anon_sym_COMMA] = ACTIONS(12444),
    [anon_sym_PIPE] = ACTIONS(12446),
    [anon_sym_SEMI] = ACTIONS(12444),
    [anon_sym_STAR_STAR] = ACTIONS(12444),
    [anon_sym_AMP] = ACTIONS(12446),
    [anon_sym_EQ] = ACTIONS(12446),
    [anon_sym_LT] = ACTIONS(12446),
    [anon_sym_if] = ACTIONS(12444),
    [anon_sym_unless] = ACTIONS(12444),
    [anon_sym_while] = ACTIONS(12444),
    [anon_sym_until] = ACTIONS(12444),
    [anon_sym_rescue] = ACTIONS(12444),
    [anon_sym_in] = ACTIONS(12444),
    [anon_sym_do] = ACTIONS(12444),
    [anon_sym_EQ_GT] = ACTIONS(12444),
    [anon_sym_RBRACK] = ACTIONS(12444),
    [anon_sym_AMP_DOT] = ACTIONS(12444),
    [anon_sym_QMARK] = ACTIONS(12444),
    [anon_sym_COLON] = ACTIONS(12444),
    [anon_sym_DOT_DOT] = ACTIONS(12446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12444),
    [anon_sym_and] = ACTIONS(12444),
    [anon_sym_or] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE] = ACTIONS(12444),
    [anon_sym_AMP_AMP] = ACTIONS(12444),
    [anon_sym_LT_LT] = ACTIONS(12444),
    [anon_sym_GT_GT] = ACTIONS(12444),
    [anon_sym_EQ_EQ] = ACTIONS(12446),
    [anon_sym_BANG_EQ] = ACTIONS(12444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12444),
    [anon_sym_LT_EQ_GT] = ACTIONS(12444),
    [anon_sym_EQ_TILDE] = ACTIONS(12444),
    [anon_sym_BANG_TILDE] = ACTIONS(12444),
    [anon_sym_LT_EQ] = ACTIONS(12446),
    [anon_sym_GT] = ACTIONS(12446),
    [anon_sym_GT_EQ] = ACTIONS(12444),
    [anon_sym_CARET] = ACTIONS(12444),
    [anon_sym_PLUS] = ACTIONS(12444),
    [anon_sym_SLASH] = ACTIONS(12444),
    [anon_sym_PERCENT] = ACTIONS(12444),
    [sym_comment] = ACTIONS(87),
  },
  [10627] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(5544),
    [sym__binary_star] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_STAR_STAR] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_RBRACK] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5562),
    [anon_sym_EQ_TILDE] = ACTIONS(5562),
    [anon_sym_BANG_TILDE] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(87),
  },
  [10628] = {
    [aux_sym_exceptions_repeat1] = STATE(10628),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14260),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_RBRACK] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10629] = {
    [sym__heredoc_body_start] = ACTIONS(12737),
    [sym__element_reference_left_bracket] = ACTIONS(12737),
    [sym__infix_scope_colons] = ACTIONS(12737),
    [sym__binary_minus] = ACTIONS(12737),
    [sym__binary_star] = ACTIONS(12737),
    [anon_sym_LBRACE] = ACTIONS(12737),
    [anon_sym_RBRACE] = ACTIONS(12737),
    [anon_sym_RPAREN] = ACTIONS(12737),
    [anon_sym_DOT] = ACTIONS(12739),
    [anon_sym_COMMA] = ACTIONS(12737),
    [anon_sym_PIPE] = ACTIONS(12739),
    [anon_sym_SEMI] = ACTIONS(12737),
    [anon_sym_STAR_STAR] = ACTIONS(12737),
    [anon_sym_AMP] = ACTIONS(12739),
    [anon_sym_EQ] = ACTIONS(12739),
    [anon_sym_LT] = ACTIONS(12739),
    [anon_sym_if] = ACTIONS(12737),
    [anon_sym_unless] = ACTIONS(12737),
    [anon_sym_while] = ACTIONS(12737),
    [anon_sym_until] = ACTIONS(12737),
    [anon_sym_rescue] = ACTIONS(12737),
    [anon_sym_in] = ACTIONS(12737),
    [anon_sym_do] = ACTIONS(12737),
    [anon_sym_EQ_GT] = ACTIONS(12737),
    [anon_sym_RBRACK] = ACTIONS(12737),
    [anon_sym_AMP_DOT] = ACTIONS(12737),
    [anon_sym_QMARK] = ACTIONS(12737),
    [anon_sym_COLON] = ACTIONS(12737),
    [anon_sym_DOT_DOT] = ACTIONS(12739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12737),
    [anon_sym_and] = ACTIONS(12737),
    [anon_sym_or] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE] = ACTIONS(12737),
    [anon_sym_AMP_AMP] = ACTIONS(12737),
    [anon_sym_LT_LT] = ACTIONS(12737),
    [anon_sym_GT_GT] = ACTIONS(12737),
    [anon_sym_EQ_EQ] = ACTIONS(12739),
    [anon_sym_BANG_EQ] = ACTIONS(12737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12737),
    [anon_sym_LT_EQ_GT] = ACTIONS(12737),
    [anon_sym_EQ_TILDE] = ACTIONS(12737),
    [anon_sym_BANG_TILDE] = ACTIONS(12737),
    [anon_sym_LT_EQ] = ACTIONS(12739),
    [anon_sym_GT] = ACTIONS(12739),
    [anon_sym_GT_EQ] = ACTIONS(12737),
    [anon_sym_CARET] = ACTIONS(12737),
    [anon_sym_PLUS] = ACTIONS(12737),
    [anon_sym_SLASH] = ACTIONS(12737),
    [anon_sym_PERCENT] = ACTIONS(12737),
    [sym_comment] = ACTIONS(87),
  },
  [10630] = {
    [anon_sym_end] = ACTIONS(14263),
    [sym_comment] = ACTIONS(87),
  },
  [10631] = {
    [sym__heredoc_body_start] = ACTIONS(12881),
    [sym__element_reference_left_bracket] = ACTIONS(12881),
    [sym__infix_scope_colons] = ACTIONS(12881),
    [sym__binary_minus] = ACTIONS(12881),
    [sym__binary_star] = ACTIONS(12881),
    [anon_sym_LBRACE] = ACTIONS(12881),
    [anon_sym_RBRACE] = ACTIONS(12881),
    [anon_sym_RPAREN] = ACTIONS(12881),
    [anon_sym_DOT] = ACTIONS(12883),
    [anon_sym_COMMA] = ACTIONS(12881),
    [anon_sym_PIPE] = ACTIONS(12883),
    [anon_sym_SEMI] = ACTIONS(12881),
    [anon_sym_STAR_STAR] = ACTIONS(12881),
    [anon_sym_AMP] = ACTIONS(12883),
    [anon_sym_EQ] = ACTIONS(12883),
    [anon_sym_LT] = ACTIONS(12883),
    [anon_sym_if] = ACTIONS(12881),
    [anon_sym_unless] = ACTIONS(12881),
    [anon_sym_while] = ACTIONS(12881),
    [anon_sym_until] = ACTIONS(12881),
    [anon_sym_rescue] = ACTIONS(12881),
    [anon_sym_in] = ACTIONS(12881),
    [anon_sym_do] = ACTIONS(12881),
    [anon_sym_EQ_GT] = ACTIONS(12881),
    [anon_sym_RBRACK] = ACTIONS(12881),
    [anon_sym_AMP_DOT] = ACTIONS(12881),
    [anon_sym_QMARK] = ACTIONS(12881),
    [anon_sym_COLON] = ACTIONS(12881),
    [anon_sym_DOT_DOT] = ACTIONS(12883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12881),
    [anon_sym_and] = ACTIONS(12881),
    [anon_sym_or] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE] = ACTIONS(12881),
    [anon_sym_AMP_AMP] = ACTIONS(12881),
    [anon_sym_LT_LT] = ACTIONS(12881),
    [anon_sym_GT_GT] = ACTIONS(12881),
    [anon_sym_EQ_EQ] = ACTIONS(12883),
    [anon_sym_BANG_EQ] = ACTIONS(12881),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12881),
    [anon_sym_LT_EQ_GT] = ACTIONS(12881),
    [anon_sym_EQ_TILDE] = ACTIONS(12881),
    [anon_sym_BANG_TILDE] = ACTIONS(12881),
    [anon_sym_LT_EQ] = ACTIONS(12883),
    [anon_sym_GT] = ACTIONS(12883),
    [anon_sym_GT_EQ] = ACTIONS(12881),
    [anon_sym_CARET] = ACTIONS(12881),
    [anon_sym_PLUS] = ACTIONS(12881),
    [anon_sym_SLASH] = ACTIONS(12881),
    [anon_sym_PERCENT] = ACTIONS(12881),
    [sym_comment] = ACTIONS(87),
  },
  [10632] = {
    [sym__heredoc_body_start] = ACTIONS(13033),
    [sym__element_reference_left_bracket] = ACTIONS(13033),
    [sym__infix_scope_colons] = ACTIONS(13033),
    [sym__binary_minus] = ACTIONS(13033),
    [sym__binary_star] = ACTIONS(13033),
    [anon_sym_LBRACE] = ACTIONS(13033),
    [anon_sym_RBRACE] = ACTIONS(13033),
    [anon_sym_RPAREN] = ACTIONS(13033),
    [anon_sym_DOT] = ACTIONS(13035),
    [anon_sym_COMMA] = ACTIONS(13033),
    [anon_sym_PIPE] = ACTIONS(13035),
    [anon_sym_SEMI] = ACTIONS(13033),
    [anon_sym_STAR_STAR] = ACTIONS(13033),
    [anon_sym_AMP] = ACTIONS(13035),
    [anon_sym_EQ] = ACTIONS(13035),
    [anon_sym_LT] = ACTIONS(13035),
    [anon_sym_if] = ACTIONS(13033),
    [anon_sym_unless] = ACTIONS(13033),
    [anon_sym_while] = ACTIONS(13033),
    [anon_sym_until] = ACTIONS(13033),
    [anon_sym_rescue] = ACTIONS(13033),
    [anon_sym_in] = ACTIONS(13033),
    [anon_sym_do] = ACTIONS(13033),
    [anon_sym_EQ_GT] = ACTIONS(13033),
    [anon_sym_RBRACK] = ACTIONS(13033),
    [anon_sym_AMP_DOT] = ACTIONS(13033),
    [anon_sym_QMARK] = ACTIONS(13033),
    [anon_sym_COLON] = ACTIONS(13033),
    [anon_sym_DOT_DOT] = ACTIONS(13035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13033),
    [anon_sym_and] = ACTIONS(13033),
    [anon_sym_or] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE] = ACTIONS(13033),
    [anon_sym_AMP_AMP] = ACTIONS(13033),
    [anon_sym_LT_LT] = ACTIONS(13033),
    [anon_sym_GT_GT] = ACTIONS(13033),
    [anon_sym_EQ_EQ] = ACTIONS(13035),
    [anon_sym_BANG_EQ] = ACTIONS(13033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13033),
    [anon_sym_LT_EQ_GT] = ACTIONS(13033),
    [anon_sym_EQ_TILDE] = ACTIONS(13033),
    [anon_sym_BANG_TILDE] = ACTIONS(13033),
    [anon_sym_LT_EQ] = ACTIONS(13035),
    [anon_sym_GT] = ACTIONS(13035),
    [anon_sym_GT_EQ] = ACTIONS(13033),
    [anon_sym_CARET] = ACTIONS(13033),
    [anon_sym_PLUS] = ACTIONS(13033),
    [anon_sym_SLASH] = ACTIONS(13033),
    [anon_sym_PERCENT] = ACTIONS(13033),
    [sym_comment] = ACTIONS(87),
  },
  [10633] = {
    [sym__heredoc_body_start] = ACTIONS(13044),
    [sym__element_reference_left_bracket] = ACTIONS(13044),
    [sym__infix_scope_colons] = ACTIONS(13044),
    [sym__binary_minus] = ACTIONS(13044),
    [sym__binary_star] = ACTIONS(13044),
    [anon_sym_LBRACE] = ACTIONS(13044),
    [anon_sym_RBRACE] = ACTIONS(13044),
    [anon_sym_RPAREN] = ACTIONS(13044),
    [anon_sym_DOT] = ACTIONS(13046),
    [anon_sym_COMMA] = ACTIONS(13044),
    [anon_sym_PIPE] = ACTIONS(13046),
    [anon_sym_SEMI] = ACTIONS(13044),
    [anon_sym_STAR_STAR] = ACTIONS(13044),
    [anon_sym_AMP] = ACTIONS(13046),
    [anon_sym_EQ] = ACTIONS(13046),
    [anon_sym_LT] = ACTIONS(13046),
    [anon_sym_if] = ACTIONS(13044),
    [anon_sym_unless] = ACTIONS(13044),
    [anon_sym_while] = ACTIONS(13044),
    [anon_sym_until] = ACTIONS(13044),
    [anon_sym_rescue] = ACTIONS(13044),
    [anon_sym_in] = ACTIONS(13044),
    [anon_sym_do] = ACTIONS(13044),
    [anon_sym_EQ_GT] = ACTIONS(13044),
    [anon_sym_RBRACK] = ACTIONS(13044),
    [anon_sym_AMP_DOT] = ACTIONS(13044),
    [anon_sym_QMARK] = ACTIONS(13044),
    [anon_sym_COLON] = ACTIONS(13044),
    [anon_sym_DOT_DOT] = ACTIONS(13046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13044),
    [anon_sym_and] = ACTIONS(13044),
    [anon_sym_or] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE] = ACTIONS(13044),
    [anon_sym_AMP_AMP] = ACTIONS(13044),
    [anon_sym_LT_LT] = ACTIONS(13044),
    [anon_sym_GT_GT] = ACTIONS(13044),
    [anon_sym_EQ_EQ] = ACTIONS(13046),
    [anon_sym_BANG_EQ] = ACTIONS(13044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13044),
    [anon_sym_LT_EQ_GT] = ACTIONS(13044),
    [anon_sym_EQ_TILDE] = ACTIONS(13044),
    [anon_sym_BANG_TILDE] = ACTIONS(13044),
    [anon_sym_LT_EQ] = ACTIONS(13046),
    [anon_sym_GT] = ACTIONS(13046),
    [anon_sym_GT_EQ] = ACTIONS(13044),
    [anon_sym_CARET] = ACTIONS(13044),
    [anon_sym_PLUS] = ACTIONS(13044),
    [anon_sym_SLASH] = ACTIONS(13044),
    [anon_sym_PERCENT] = ACTIONS(13044),
    [sym_comment] = ACTIONS(87),
  },
  [10634] = {
    [sym__heredoc_body_start] = ACTIONS(13374),
    [sym__element_reference_left_bracket] = ACTIONS(13374),
    [sym__infix_scope_colons] = ACTIONS(13374),
    [sym__binary_minus] = ACTIONS(13374),
    [sym__binary_star] = ACTIONS(13374),
    [anon_sym_LBRACE] = ACTIONS(13374),
    [anon_sym_RBRACE] = ACTIONS(13374),
    [anon_sym_RPAREN] = ACTIONS(13374),
    [anon_sym_DOT] = ACTIONS(13376),
    [anon_sym_COMMA] = ACTIONS(13374),
    [anon_sym_PIPE] = ACTIONS(13376),
    [anon_sym_SEMI] = ACTIONS(13374),
    [anon_sym_STAR_STAR] = ACTIONS(13374),
    [anon_sym_AMP] = ACTIONS(13376),
    [anon_sym_EQ] = ACTIONS(13376),
    [anon_sym_LT] = ACTIONS(13376),
    [anon_sym_if] = ACTIONS(13374),
    [anon_sym_unless] = ACTIONS(13374),
    [anon_sym_while] = ACTIONS(13374),
    [anon_sym_until] = ACTIONS(13374),
    [anon_sym_rescue] = ACTIONS(13374),
    [anon_sym_in] = ACTIONS(13374),
    [anon_sym_do] = ACTIONS(13374),
    [anon_sym_EQ_GT] = ACTIONS(13374),
    [anon_sym_RBRACK] = ACTIONS(13374),
    [anon_sym_AMP_DOT] = ACTIONS(13374),
    [anon_sym_QMARK] = ACTIONS(13374),
    [anon_sym_COLON] = ACTIONS(13374),
    [anon_sym_DOT_DOT] = ACTIONS(13376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13374),
    [anon_sym_and] = ACTIONS(13374),
    [anon_sym_or] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE] = ACTIONS(13374),
    [anon_sym_AMP_AMP] = ACTIONS(13374),
    [anon_sym_LT_LT] = ACTIONS(13374),
    [anon_sym_GT_GT] = ACTIONS(13374),
    [anon_sym_EQ_EQ] = ACTIONS(13376),
    [anon_sym_BANG_EQ] = ACTIONS(13374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13374),
    [anon_sym_LT_EQ_GT] = ACTIONS(13374),
    [anon_sym_EQ_TILDE] = ACTIONS(13374),
    [anon_sym_BANG_TILDE] = ACTIONS(13374),
    [anon_sym_LT_EQ] = ACTIONS(13376),
    [anon_sym_GT] = ACTIONS(13376),
    [anon_sym_GT_EQ] = ACTIONS(13374),
    [anon_sym_CARET] = ACTIONS(13374),
    [anon_sym_PLUS] = ACTIONS(13374),
    [anon_sym_SLASH] = ACTIONS(13374),
    [anon_sym_PERCENT] = ACTIONS(13374),
    [sym_comment] = ACTIONS(87),
  },
  [10635] = {
    [sym__heredoc_body_start] = ACTIONS(13557),
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [sym__binary_minus] = ACTIONS(13557),
    [sym__binary_star] = ACTIONS(13557),
    [anon_sym_LBRACE] = ACTIONS(13557),
    [anon_sym_RBRACE] = ACTIONS(13557),
    [anon_sym_RPAREN] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13559),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_PIPE] = ACTIONS(13559),
    [anon_sym_SEMI] = ACTIONS(13557),
    [anon_sym_STAR_STAR] = ACTIONS(13557),
    [anon_sym_AMP] = ACTIONS(13559),
    [anon_sym_EQ] = ACTIONS(13559),
    [anon_sym_LT] = ACTIONS(13559),
    [anon_sym_if] = ACTIONS(13557),
    [anon_sym_unless] = ACTIONS(13557),
    [anon_sym_while] = ACTIONS(13557),
    [anon_sym_until] = ACTIONS(13557),
    [anon_sym_rescue] = ACTIONS(13557),
    [anon_sym_in] = ACTIONS(13557),
    [anon_sym_do] = ACTIONS(13557),
    [anon_sym_EQ_GT] = ACTIONS(13557),
    [anon_sym_RBRACK] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [anon_sym_QMARK] = ACTIONS(13557),
    [anon_sym_COLON] = ACTIONS(13557),
    [anon_sym_DOT_DOT] = ACTIONS(13559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13557),
    [anon_sym_and] = ACTIONS(13557),
    [anon_sym_or] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE] = ACTIONS(13557),
    [anon_sym_AMP_AMP] = ACTIONS(13557),
    [anon_sym_LT_LT] = ACTIONS(13557),
    [anon_sym_GT_GT] = ACTIONS(13557),
    [anon_sym_EQ_EQ] = ACTIONS(13559),
    [anon_sym_BANG_EQ] = ACTIONS(13557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13557),
    [anon_sym_LT_EQ_GT] = ACTIONS(13557),
    [anon_sym_EQ_TILDE] = ACTIONS(13557),
    [anon_sym_BANG_TILDE] = ACTIONS(13557),
    [anon_sym_LT_EQ] = ACTIONS(13559),
    [anon_sym_GT] = ACTIONS(13559),
    [anon_sym_GT_EQ] = ACTIONS(13557),
    [anon_sym_CARET] = ACTIONS(13557),
    [anon_sym_PLUS] = ACTIONS(13557),
    [anon_sym_SLASH] = ACTIONS(13557),
    [anon_sym_PERCENT] = ACTIONS(13557),
    [sym_comment] = ACTIONS(87),
  },
  [10636] = {
    [anon_sym_end] = ACTIONS(14265),
    [sym_comment] = ACTIONS(87),
  },
  [10637] = {
    [sym__simple_symbol] = ACTIONS(10783),
    [sym__string_start] = ACTIONS(10783),
    [sym__symbol_start] = ACTIONS(10783),
    [sym__subshell_start] = ACTIONS(10783),
    [sym__regex_start] = ACTIONS(10783),
    [sym__string_array_start] = ACTIONS(10783),
    [sym__symbol_array_start] = ACTIONS(10783),
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym_heredoc_beginning] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__block_ampersand] = ACTIONS(10783),
    [sym__splat_star] = ACTIONS(10783),
    [sym__argument_list_left_paren] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__unary_minus] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [sym__identifier_hash_key] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RBRACE] = ACTIONS(10783),
    [anon_sym_def] = ACTIONS(10785),
    [anon_sym_LPAREN] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COLON_COLON] = ACTIONS(10783),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR] = ACTIONS(10785),
    [anon_sym_STAR_STAR] = ACTIONS(10785),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_class] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_module] = ACTIONS(10785),
    [anon_sym_return] = ACTIONS(10785),
    [anon_sym_yield] = ACTIONS(10785),
    [anon_sym_break] = ACTIONS(10785),
    [anon_sym_next] = ACTIONS(10785),
    [sym_redo] = ACTIONS(10785),
    [sym_retry] = ACTIONS(10785),
    [anon_sym_if] = ACTIONS(10785),
    [anon_sym_unless] = ACTIONS(10785),
    [anon_sym_while] = ACTIONS(10785),
    [anon_sym_until] = ACTIONS(10785),
    [anon_sym_rescue] = ACTIONS(10785),
    [anon_sym_for] = ACTIONS(10785),
    [anon_sym_in] = ACTIONS(10785),
    [anon_sym_do] = ACTIONS(10785),
    [anon_sym_case] = ACTIONS(10785),
    [anon_sym_begin] = ACTIONS(10785),
    [anon_sym_EQ_GT] = ACTIONS(10783),
    [anon_sym_RBRACK] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS_EQ] = ACTIONS(10783),
    [anon_sym_DASH_EQ] = ACTIONS(10783),
    [anon_sym_STAR_EQ] = ACTIONS(10783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10783),
    [anon_sym_SLASH_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10783),
    [anon_sym_AMP_EQ] = ACTIONS(10783),
    [anon_sym_PERCENT_EQ] = ACTIONS(10783),
    [anon_sym_GT_GT_EQ] = ACTIONS(10783),
    [anon_sym_LT_LT_EQ] = ACTIONS(10783),
    [anon_sym_CARET_EQ] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10785),
    [anon_sym_COLON] = ACTIONS(10785),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10785),
    [anon_sym_or] = ACTIONS(10785),
    [anon_sym_PIPE_PIPE] = ACTIONS(10785),
    [anon_sym_AMP_AMP] = ACTIONS(10785),
    [anon_sym_LT_LT] = ACTIONS(10785),
    [anon_sym_GT_GT] = ACTIONS(10785),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10785),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_SLASH] = ACTIONS(10785),
    [anon_sym_PERCENT] = ACTIONS(10785),
    [anon_sym_defined_QMARK] = ACTIONS(10783),
    [anon_sym_not] = ACTIONS(10785),
    [anon_sym_BANG] = ACTIONS(10785),
    [anon_sym_TILDE] = ACTIONS(10783),
    [sym_constant] = ACTIONS(10785),
    [sym_identifier] = ACTIONS(10785),
    [sym_instance_variable] = ACTIONS(10783),
    [sym_class_variable] = ACTIONS(10783),
    [sym_global_variable] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(10785),
    [sym_float] = ACTIONS(10785),
    [sym_complex] = ACTIONS(10783),
    [sym_super] = ACTIONS(10785),
    [anon_sym_true] = ACTIONS(10785),
    [anon_sym_TRUE] = ACTIONS(10785),
    [anon_sym_false] = ACTIONS(10785),
    [anon_sym_FALSE] = ACTIONS(10785),
    [sym_self] = ACTIONS(10785),
    [anon_sym_nil] = ACTIONS(10785),
    [anon_sym_NIL] = ACTIONS(10785),
    [sym_character] = ACTIONS(10783),
    [anon_sym_LBRACK] = ACTIONS(10783),
    [anon_sym_DASH_GT] = ACTIONS(10783),
  },
  [10638] = {
    [sym__heredoc_body_start] = ACTIONS(13557),
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [sym__binary_minus] = ACTIONS(13557),
    [sym__binary_star] = ACTIONS(13557),
    [anon_sym_LBRACE] = ACTIONS(13557),
    [anon_sym_RBRACE] = ACTIONS(13557),
    [anon_sym_RPAREN] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13559),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_PIPE] = ACTIONS(13559),
    [anon_sym_SEMI] = ACTIONS(13557),
    [anon_sym_STAR_STAR] = ACTIONS(13559),
    [anon_sym_AMP] = ACTIONS(13559),
    [anon_sym_EQ] = ACTIONS(13559),
    [anon_sym_LT] = ACTIONS(13559),
    [anon_sym_if] = ACTIONS(13557),
    [anon_sym_unless] = ACTIONS(13557),
    [anon_sym_while] = ACTIONS(13557),
    [anon_sym_until] = ACTIONS(13557),
    [anon_sym_rescue] = ACTIONS(13557),
    [anon_sym_in] = ACTIONS(13557),
    [anon_sym_do] = ACTIONS(13557),
    [anon_sym_EQ_GT] = ACTIONS(13557),
    [anon_sym_RBRACK] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [anon_sym_PLUS_EQ] = ACTIONS(13557),
    [anon_sym_DASH_EQ] = ACTIONS(13557),
    [anon_sym_STAR_EQ] = ACTIONS(13557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13557),
    [anon_sym_SLASH_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13557),
    [anon_sym_AMP_EQ] = ACTIONS(13557),
    [anon_sym_PERCENT_EQ] = ACTIONS(13557),
    [anon_sym_GT_GT_EQ] = ACTIONS(13557),
    [anon_sym_LT_LT_EQ] = ACTIONS(13557),
    [anon_sym_CARET_EQ] = ACTIONS(13557),
    [anon_sym_QMARK] = ACTIONS(13557),
    [anon_sym_COLON] = ACTIONS(13557),
    [anon_sym_DOT_DOT] = ACTIONS(13559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13557),
    [anon_sym_and] = ACTIONS(13557),
    [anon_sym_or] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE] = ACTIONS(13559),
    [anon_sym_AMP_AMP] = ACTIONS(13559),
    [anon_sym_LT_LT] = ACTIONS(13559),
    [anon_sym_GT_GT] = ACTIONS(13559),
    [anon_sym_EQ_EQ] = ACTIONS(13559),
    [anon_sym_BANG_EQ] = ACTIONS(13557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13557),
    [anon_sym_LT_EQ_GT] = ACTIONS(13557),
    [anon_sym_EQ_TILDE] = ACTIONS(13557),
    [anon_sym_BANG_TILDE] = ACTIONS(13557),
    [anon_sym_LT_EQ] = ACTIONS(13559),
    [anon_sym_GT] = ACTIONS(13559),
    [anon_sym_GT_EQ] = ACTIONS(13557),
    [anon_sym_CARET] = ACTIONS(13559),
    [anon_sym_PLUS] = ACTIONS(13559),
    [anon_sym_SLASH] = ACTIONS(13559),
    [anon_sym_PERCENT] = ACTIONS(13559),
    [sym_comment] = ACTIONS(87),
  },
  [10639] = {
    [anon_sym_end] = ACTIONS(14267),
    [sym_comment] = ACTIONS(87),
  },
  [10640] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(5632),
    [sym__binary_star] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_STAR_STAR] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_RBRACK] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_DOT_DOT] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_EQ_TILDE] = ACTIONS(5654),
    [anon_sym_BANG_TILDE] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(87),
  },
  [10641] = {
    [aux_sym_exceptions_repeat1] = STATE(10641),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14269),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_RBRACK] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [10642] = {
    [sym__simple_symbol] = ACTIONS(14272),
    [sym__string_start] = ACTIONS(14272),
    [sym__symbol_start] = ACTIONS(14272),
    [sym__subshell_start] = ACTIONS(14272),
    [sym__regex_start] = ACTIONS(14272),
    [sym__string_array_start] = ACTIONS(14272),
    [sym__symbol_array_start] = ACTIONS(14272),
    [sym_heredoc_beginning] = ACTIONS(14272),
    [sym__unary_minus] = ACTIONS(14272),
    [anon_sym_BEGIN] = ACTIONS(14274),
    [anon_sym_LBRACE] = ACTIONS(14272),
    [anon_sym_RBRACE] = ACTIONS(14272),
    [anon_sym_END] = ACTIONS(14274),
    [anon_sym_def] = ACTIONS(14274),
    [anon_sym_LPAREN] = ACTIONS(14272),
    [anon_sym_COLON_COLON] = ACTIONS(14272),
    [anon_sym_SEMI] = ACTIONS(14272),
    [anon_sym_STAR] = ACTIONS(14272),
    [anon_sym_class] = ACTIONS(14274),
    [anon_sym_module] = ACTIONS(14274),
    [anon_sym_return] = ACTIONS(14274),
    [anon_sym_yield] = ACTIONS(14274),
    [anon_sym_break] = ACTIONS(14274),
    [anon_sym_next] = ACTIONS(14274),
    [sym_redo] = ACTIONS(14274),
    [sym_retry] = ACTIONS(14274),
    [anon_sym_if] = ACTIONS(14274),
    [anon_sym_unless] = ACTIONS(14274),
    [anon_sym_while] = ACTIONS(14274),
    [anon_sym_until] = ACTIONS(14274),
    [anon_sym_for] = ACTIONS(14274),
    [anon_sym_case] = ACTIONS(14274),
    [anon_sym_begin] = ACTIONS(14274),
    [anon_sym_PLUS] = ACTIONS(14274),
    [anon_sym_defined_QMARK] = ACTIONS(14272),
    [anon_sym_not] = ACTIONS(14274),
    [anon_sym_BANG] = ACTIONS(14272),
    [anon_sym_TILDE] = ACTIONS(14272),
    [sym_constant] = ACTIONS(14274),
    [sym_identifier] = ACTIONS(14274),
    [sym_instance_variable] = ACTIONS(14272),
    [sym_class_variable] = ACTIONS(14272),
    [sym_global_variable] = ACTIONS(14272),
    [anon_sym_undef] = ACTIONS(14274),
    [anon_sym_alias] = ACTIONS(14274),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(14274),
    [sym_float] = ACTIONS(14274),
    [sym_complex] = ACTIONS(14272),
    [sym_super] = ACTIONS(14274),
    [anon_sym_true] = ACTIONS(14274),
    [anon_sym_TRUE] = ACTIONS(14274),
    [anon_sym_false] = ACTIONS(14274),
    [anon_sym_FALSE] = ACTIONS(14274),
    [sym_self] = ACTIONS(14274),
    [anon_sym_nil] = ACTIONS(14274),
    [anon_sym_NIL] = ACTIONS(14274),
    [sym_character] = ACTIONS(14272),
    [anon_sym_LBRACK] = ACTIONS(14272),
    [anon_sym_DASH_GT] = ACTIONS(14272),
  },
  [10643] = {
    [aux_sym_block_parameters_repeat1] = STATE(10645),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(14276),
    [sym_comment] = ACTIONS(87),
  },
  [10644] = {
    [anon_sym_COMMA] = ACTIONS(14278),
    [anon_sym_PIPE] = ACTIONS(14278),
    [sym_comment] = ACTIONS(87),
  },
  [10645] = {
    [aux_sym_block_parameters_repeat1] = STATE(10645),
    [anon_sym_COMMA] = ACTIONS(14280),
    [anon_sym_PIPE] = ACTIONS(14278),
    [sym_comment] = ACTIONS(87),
  },
  [10646] = {
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [10647] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11461),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(11461),
    [sym_operator_assignment] = STATE(11461),
    [sym_conditional] = STATE(11461),
    [sym_range] = STATE(11461),
    [sym_binary] = STATE(11461),
    [sym_unary] = STATE(11461),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10648] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11466),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(11466),
    [sym_operator_assignment] = STATE(11466),
    [sym_conditional] = STATE(11466),
    [sym_range] = STATE(11466),
    [sym_binary] = STATE(11466),
    [sym_unary] = STATE(11466),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10649] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11467),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11467),
    [sym_operator_assignment] = STATE(11467),
    [sym_conditional] = STATE(11467),
    [sym_range] = STATE(11467),
    [sym_binary] = STATE(11467),
    [sym_unary] = STATE(11467),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10650] = {
    [sym__keyword_colon] = ACTIONS(14307),
    [sym_comment] = ACTIONS(87),
  },
  [10651] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11470),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(11470),
    [sym_operator_assignment] = STATE(11470),
    [sym_conditional] = STATE(11470),
    [sym_range] = STATE(11470),
    [sym_binary] = STATE(11470),
    [sym_unary] = STATE(11470),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10652] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11476),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(11477),
    [sym__argument] = STATE(11478),
    [sym_splat_argument] = STATE(11478),
    [sym_hash_splat_argument] = STATE(11478),
    [sym_block_argument] = STATE(11478),
    [sym_assignment] = STATE(11476),
    [sym_operator_assignment] = STATE(11476),
    [sym_conditional] = STATE(11476),
    [sym_range] = STATE(11476),
    [sym_binary] = STATE(11476),
    [sym_unary] = STATE(11476),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11479),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(11478),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(14309),
    [sym__splat_star] = ACTIONS(14311),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(14313),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(14315),
    [sym_identifier] = ACTIONS(14315),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10653] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11476),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(11477),
    [sym__argument] = STATE(11478),
    [sym_splat_argument] = STATE(11478),
    [sym_hash_splat_argument] = STATE(11478),
    [sym_block_argument] = STATE(11478),
    [sym_assignment] = STATE(11476),
    [sym_operator_assignment] = STATE(11476),
    [sym_conditional] = STATE(11476),
    [sym_range] = STATE(11476),
    [sym_binary] = STATE(11476),
    [sym_unary] = STATE(11476),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11479),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(11478),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(14309),
    [sym__splat_star] = ACTIONS(14311),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(14313),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(14315),
    [sym_identifier] = ACTIONS(14315),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10654] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11476),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(11477),
    [sym__argument] = STATE(11478),
    [sym_splat_argument] = STATE(11478),
    [sym_hash_splat_argument] = STATE(11478),
    [sym_block_argument] = STATE(11478),
    [sym_assignment] = STATE(11476),
    [sym_operator_assignment] = STATE(11476),
    [sym_conditional] = STATE(11476),
    [sym_range] = STATE(11476),
    [sym_binary] = STATE(11476),
    [sym_unary] = STATE(11476),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11479),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(11478),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(14309),
    [sym__splat_star] = ACTIONS(14311),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(14313),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(14315),
    [sym_identifier] = ACTIONS(14315),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10655] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11476),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(11477),
    [sym__argument] = STATE(11478),
    [sym_splat_argument] = STATE(11478),
    [sym_hash_splat_argument] = STATE(11478),
    [sym_block_argument] = STATE(11478),
    [sym_assignment] = STATE(11476),
    [sym_operator_assignment] = STATE(11476),
    [sym_conditional] = STATE(11476),
    [sym_range] = STATE(11476),
    [sym_binary] = STATE(11476),
    [sym_unary] = STATE(11476),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11479),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(11478),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(14309),
    [sym__splat_star] = ACTIONS(14311),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(14313),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(14315),
    [sym_identifier] = ACTIONS(14315),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10656] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11480),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11480),
    [sym_operator_assignment] = STATE(11480),
    [sym_conditional] = STATE(11480),
    [sym_range] = STATE(11480),
    [sym_binary] = STATE(11480),
    [sym_unary] = STATE(11480),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10657] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11481),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11481),
    [sym_operator_assignment] = STATE(11481),
    [sym_conditional] = STATE(11481),
    [sym_range] = STATE(11481),
    [sym_binary] = STATE(11481),
    [sym_unary] = STATE(11481),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10658] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10659] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(14307),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [10660] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(14329),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [10661] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11500),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(1449),
    [sym__argument_list_with_parens] = STATE(11501),
    [sym__argument] = STATE(11502),
    [sym_splat_argument] = STATE(11502),
    [sym_hash_splat_argument] = STATE(11502),
    [sym_block_argument] = STATE(11502),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(11500),
    [sym_operator_assignment] = STATE(11500),
    [sym_conditional] = STATE(11500),
    [sym_range] = STATE(11500),
    [sym_binary] = STATE(11500),
    [sym_unary] = STATE(11500),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11503),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(11502),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(14349),
    [sym__splat_star] = ACTIONS(14351),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(14353),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(2447),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(14355),
    [sym_identifier] = ACTIONS(14355),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10662] = {
    [sym_heredoc_body] = STATE(11504),
    [aux_sym_call_repeat1] = STATE(11504),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [10663] = {
    [sym_heredoc_body] = STATE(11504),
    [aux_sym_call_repeat1] = STATE(11504),
    [aux_sym_argument_list_repeat1] = STATE(11506),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(14357),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [10664] = {
    [anon_sym_EQ] = ACTIONS(14359),
    [sym_comment] = ACTIONS(87),
  },
  [10665] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(14361),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(14363),
    [anon_sym_DASH_EQ] = ACTIONS(14363),
    [anon_sym_STAR_EQ] = ACTIONS(14363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14363),
    [anon_sym_SLASH_EQ] = ACTIONS(14363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14363),
    [anon_sym_PIPE_EQ] = ACTIONS(14363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14363),
    [anon_sym_AMP_EQ] = ACTIONS(14363),
    [anon_sym_PERCENT_EQ] = ACTIONS(14363),
    [anon_sym_GT_GT_EQ] = ACTIONS(14363),
    [anon_sym_LT_LT_EQ] = ACTIONS(14363),
    [anon_sym_CARET_EQ] = ACTIONS(14363),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [10666] = {
    [sym_string] = STATE(11510),
    [aux_sym_chained_string_repeat1] = STATE(11510),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(14365),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [10667] = {
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [10668] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(14367),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13476),
    [anon_sym_DOT_DOT] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(13484),
    [anon_sym_AMP_AMP] = ACTIONS(13484),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(13488),
    [anon_sym_BANG_EQ] = ACTIONS(13484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13484),
    [anon_sym_LT_EQ_GT] = ACTIONS(13484),
    [anon_sym_EQ_TILDE] = ACTIONS(13484),
    [anon_sym_BANG_TILDE] = ACTIONS(13484),
    [anon_sym_LT_EQ] = ACTIONS(13474),
    [anon_sym_GT] = ACTIONS(13474),
    [anon_sym_GT_EQ] = ACTIONS(13490),
    [anon_sym_CARET] = ACTIONS(13492),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [10669] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11511),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11511),
    [sym_operator_assignment] = STATE(11511),
    [sym_conditional] = STATE(11511),
    [sym_range] = STATE(11511),
    [sym_binary] = STATE(11511),
    [sym_unary] = STATE(11511),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10670] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11512),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11512),
    [sym_operator_assignment] = STATE(11512),
    [sym_conditional] = STATE(11512),
    [sym_range] = STATE(11512),
    [sym_binary] = STATE(11512),
    [sym_unary] = STATE(11512),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10671] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11513),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11513),
    [sym_operator_assignment] = STATE(11513),
    [sym_conditional] = STATE(11513),
    [sym_range] = STATE(11513),
    [sym_binary] = STATE(11513),
    [sym_unary] = STATE(11513),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10672] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11514),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11514),
    [sym_operator_assignment] = STATE(11514),
    [sym_conditional] = STATE(11514),
    [sym_range] = STATE(11514),
    [sym_binary] = STATE(11514),
    [sym_unary] = STATE(11514),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10673] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11515),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11515),
    [sym_operator_assignment] = STATE(11515),
    [sym_conditional] = STATE(11515),
    [sym_range] = STATE(11515),
    [sym_binary] = STATE(11515),
    [sym_unary] = STATE(11515),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10674] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11516),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11516),
    [sym_operator_assignment] = STATE(11516),
    [sym_conditional] = STATE(11516),
    [sym_range] = STATE(11516),
    [sym_binary] = STATE(11516),
    [sym_unary] = STATE(11516),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10675] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11517),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11517),
    [sym_operator_assignment] = STATE(11517),
    [sym_conditional] = STATE(11517),
    [sym_range] = STATE(11517),
    [sym_binary] = STATE(11517),
    [sym_unary] = STATE(11517),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10676] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11518),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11518),
    [sym_operator_assignment] = STATE(11518),
    [sym_conditional] = STATE(11518),
    [sym_range] = STATE(11518),
    [sym_binary] = STATE(11518),
    [sym_unary] = STATE(11518),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10677] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11519),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11519),
    [sym_operator_assignment] = STATE(11519),
    [sym_conditional] = STATE(11519),
    [sym_range] = STATE(11519),
    [sym_binary] = STATE(11519),
    [sym_unary] = STATE(11519),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10678] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11520),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11520),
    [sym_operator_assignment] = STATE(11520),
    [sym_conditional] = STATE(11520),
    [sym_range] = STATE(11520),
    [sym_binary] = STATE(11520),
    [sym_unary] = STATE(11520),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10679] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11521),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11521),
    [sym_operator_assignment] = STATE(11521),
    [sym_conditional] = STATE(11521),
    [sym_range] = STATE(11521),
    [sym_binary] = STATE(11521),
    [sym_unary] = STATE(11521),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10680] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11522),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11522),
    [sym_operator_assignment] = STATE(11522),
    [sym_conditional] = STATE(11522),
    [sym_range] = STATE(11522),
    [sym_binary] = STATE(11522),
    [sym_unary] = STATE(11522),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10681] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11531),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(11531),
    [sym_operator_assignment] = STATE(11531),
    [sym_conditional] = STATE(11531),
    [sym_range] = STATE(11531),
    [sym_binary] = STATE(11531),
    [sym_unary] = STATE(11531),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10682] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11536),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(11536),
    [sym_operator_assignment] = STATE(11536),
    [sym_conditional] = STATE(11536),
    [sym_range] = STATE(11536),
    [sym_binary] = STATE(11536),
    [sym_unary] = STATE(11536),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10683] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11537),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11537),
    [sym_operator_assignment] = STATE(11537),
    [sym_conditional] = STATE(11537),
    [sym_range] = STATE(11537),
    [sym_binary] = STATE(11537),
    [sym_unary] = STATE(11537),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10684] = {
    [sym__keyword_colon] = ACTIONS(14393),
    [sym_comment] = ACTIONS(87),
  },
  [10685] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11540),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(11540),
    [sym_operator_assignment] = STATE(11540),
    [sym_conditional] = STATE(11540),
    [sym_range] = STATE(11540),
    [sym_binary] = STATE(11540),
    [sym_unary] = STATE(11540),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10686] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11500),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(2072),
    [sym__argument_list_with_parens] = STATE(11501),
    [sym__argument] = STATE(11502),
    [sym_splat_argument] = STATE(11502),
    [sym_hash_splat_argument] = STATE(11502),
    [sym_block_argument] = STATE(11502),
    [sym_assignment] = STATE(11500),
    [sym_operator_assignment] = STATE(11500),
    [sym_conditional] = STATE(11500),
    [sym_range] = STATE(11500),
    [sym_binary] = STATE(11500),
    [sym_unary] = STATE(11500),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11503),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(11502),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(14349),
    [sym__splat_star] = ACTIONS(14351),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(14353),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(363),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(14355),
    [sym_identifier] = ACTIONS(14355),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10687] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11500),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(2073),
    [sym__argument_list_with_parens] = STATE(11501),
    [sym__argument] = STATE(11502),
    [sym_splat_argument] = STATE(11502),
    [sym_hash_splat_argument] = STATE(11502),
    [sym_block_argument] = STATE(11502),
    [sym_assignment] = STATE(11500),
    [sym_operator_assignment] = STATE(11500),
    [sym_conditional] = STATE(11500),
    [sym_range] = STATE(11500),
    [sym_binary] = STATE(11500),
    [sym_unary] = STATE(11500),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11503),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(11502),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(14349),
    [sym__splat_star] = ACTIONS(14351),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(14353),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(413),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(14355),
    [sym_identifier] = ACTIONS(14355),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10688] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11500),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(2074),
    [sym__argument_list_with_parens] = STATE(11501),
    [sym__argument] = STATE(11502),
    [sym_splat_argument] = STATE(11502),
    [sym_hash_splat_argument] = STATE(11502),
    [sym_block_argument] = STATE(11502),
    [sym_assignment] = STATE(11500),
    [sym_operator_assignment] = STATE(11500),
    [sym_conditional] = STATE(11500),
    [sym_range] = STATE(11500),
    [sym_binary] = STATE(11500),
    [sym_unary] = STATE(11500),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11503),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(11502),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(14349),
    [sym__splat_star] = ACTIONS(14351),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(14353),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(417),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(14355),
    [sym_identifier] = ACTIONS(14355),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10689] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11500),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(2075),
    [sym__argument_list_with_parens] = STATE(11501),
    [sym__argument] = STATE(11502),
    [sym_splat_argument] = STATE(11502),
    [sym_hash_splat_argument] = STATE(11502),
    [sym_block_argument] = STATE(11502),
    [sym_assignment] = STATE(11500),
    [sym_operator_assignment] = STATE(11500),
    [sym_conditional] = STATE(11500),
    [sym_range] = STATE(11500),
    [sym_binary] = STATE(11500),
    [sym_unary] = STATE(11500),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11503),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(11502),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(14349),
    [sym__splat_star] = ACTIONS(14351),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(14353),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(421),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(14355),
    [sym_identifier] = ACTIONS(14355),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10690] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11541),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11541),
    [sym_operator_assignment] = STATE(11541),
    [sym_conditional] = STATE(11541),
    [sym_range] = STATE(11541),
    [sym_binary] = STATE(11541),
    [sym_unary] = STATE(11541),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10691] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11542),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11542),
    [sym_operator_assignment] = STATE(11542),
    [sym_conditional] = STATE(11542),
    [sym_range] = STATE(11542),
    [sym_binary] = STATE(11542),
    [sym_unary] = STATE(11542),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10692] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(2095),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(2095),
    [sym_operator_assignment] = STATE(2095),
    [sym_conditional] = STATE(2095),
    [sym_range] = STATE(2095),
    [sym_binary] = STATE(2095),
    [sym_unary] = STATE(2095),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10693] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(14393),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [10694] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(14407),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [10695] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11500),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(2117),
    [sym__argument_list_with_parens] = STATE(11501),
    [sym__argument] = STATE(11502),
    [sym_splat_argument] = STATE(11502),
    [sym_hash_splat_argument] = STATE(11502),
    [sym_block_argument] = STATE(11502),
    [sym_do_block] = STATE(1452),
    [sym_block] = STATE(1452),
    [sym_assignment] = STATE(11500),
    [sym_operator_assignment] = STATE(11500),
    [sym_conditional] = STATE(11500),
    [sym_range] = STATE(11500),
    [sym_binary] = STATE(11500),
    [sym_unary] = STATE(11500),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11503),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(11502),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(14349),
    [sym__splat_star] = ACTIONS(14351),
    [sym__argument_list_left_paren] = ACTIONS(1163),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(14353),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(14355),
    [sym_identifier] = ACTIONS(14355),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10696] = {
    [sym_heredoc_body] = STATE(11556),
    [aux_sym_call_repeat1] = STATE(11556),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [10697] = {
    [sym_heredoc_body] = STATE(11556),
    [aux_sym_call_repeat1] = STATE(11556),
    [aux_sym_argument_list_repeat1] = STATE(11558),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(14425),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [10698] = {
    [anon_sym_EQ] = ACTIONS(14427),
    [sym_comment] = ACTIONS(87),
  },
  [10699] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(14429),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(14431),
    [anon_sym_DASH_EQ] = ACTIONS(14431),
    [anon_sym_STAR_EQ] = ACTIONS(14431),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14431),
    [anon_sym_SLASH_EQ] = ACTIONS(14431),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14431),
    [anon_sym_PIPE_EQ] = ACTIONS(14431),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14431),
    [anon_sym_AMP_EQ] = ACTIONS(14431),
    [anon_sym_PERCENT_EQ] = ACTIONS(14431),
    [anon_sym_GT_GT_EQ] = ACTIONS(14431),
    [anon_sym_LT_LT_EQ] = ACTIONS(14431),
    [anon_sym_CARET_EQ] = ACTIONS(14431),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [10700] = {
    [sym_string] = STATE(11562),
    [aux_sym_chained_string_repeat1] = STATE(11562),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(14433),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [10701] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11564),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_splat_argument] = STATE(11565),
    [sym_assignment] = STATE(11564),
    [sym_operator_assignment] = STATE(11564),
    [sym_conditional] = STATE(11564),
    [sym_range] = STATE(11564),
    [sym_binary] = STATE(11564),
    [sym_unary] = STATE(11564),
    [sym_right_assignment_list] = STATE(2138),
    [sym__arg_or_splat_arg] = STATE(11565),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(14435),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10702] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11566),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11566),
    [sym_operator_assignment] = STATE(11566),
    [sym_conditional] = STATE(11566),
    [sym_range] = STATE(11566),
    [sym_binary] = STATE(11566),
    [sym_unary] = STATE(11566),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10703] = {
    [sym_string] = STATE(11567),
    [aux_sym_chained_string_repeat1] = STATE(11567),
    [sym__string_start] = ACTIONS(843),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [10704] = {
    [aux_sym_block_parameters_repeat1] = STATE(11568),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(14276),
    [sym_comment] = ACTIONS(87),
  },
  [10705] = {
    [sym_identifier] = ACTIONS(14437),
    [sym_comment] = ACTIONS(87),
  },
  [10706] = {
    [sym__formal_parameter] = STATE(6581),
    [sym__simple_formal_parameter] = STATE(6581),
    [sym_destructured_parameter] = STATE(6581),
    [sym_splat_parameter] = STATE(6581),
    [sym_hash_splat_parameter] = STATE(6581),
    [sym_block_parameter] = STATE(6581),
    [sym_keyword_parameter] = STATE(6581),
    [sym_optional_parameter] = STATE(6581),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [sym_identifier] = ACTIONS(5694),
    [sym_comment] = ACTIONS(87),
  },
  [10707] = {
    [anon_sym_LBRACE] = ACTIONS(11905),
    [anon_sym_RPAREN] = ACTIONS(11905),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_PIPE] = ACTIONS(11905),
    [anon_sym_SEMI] = ACTIONS(11905),
    [anon_sym_do] = ACTIONS(11905),
    [sym_comment] = ACTIONS(87),
  },
  [10708] = {
    [anon_sym_LBRACE] = ACTIONS(11938),
    [anon_sym_RPAREN] = ACTIONS(11938),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_PIPE] = ACTIONS(11938),
    [anon_sym_SEMI] = ACTIONS(11938),
    [anon_sym_do] = ACTIONS(11938),
    [sym_comment] = ACTIONS(87),
  },
  [10709] = {
    [anon_sym_end] = ACTIONS(14439),
    [sym_comment] = ACTIONS(87),
  },
  [10710] = {
    [sym__statements] = STATE(11571),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(14441),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10711] = {
    [sym__line_break] = ACTIONS(14272),
    [sym__simple_symbol] = ACTIONS(14272),
    [sym__string_start] = ACTIONS(14272),
    [sym__symbol_start] = ACTIONS(14272),
    [sym__subshell_start] = ACTIONS(14272),
    [sym__regex_start] = ACTIONS(14272),
    [sym__string_array_start] = ACTIONS(14272),
    [sym__symbol_array_start] = ACTIONS(14272),
    [sym__heredoc_body_start] = ACTIONS(14272),
    [sym_heredoc_beginning] = ACTIONS(14272),
    [sym__unary_minus] = ACTIONS(14272),
    [anon_sym_BEGIN] = ACTIONS(14274),
    [anon_sym_LBRACE] = ACTIONS(14272),
    [anon_sym_END] = ACTIONS(14274),
    [anon_sym_def] = ACTIONS(14274),
    [anon_sym_LPAREN] = ACTIONS(14272),
    [anon_sym_COLON_COLON] = ACTIONS(14272),
    [anon_sym_SEMI] = ACTIONS(14272),
    [anon_sym_STAR] = ACTIONS(14272),
    [anon_sym_class] = ACTIONS(14274),
    [anon_sym_module] = ACTIONS(14274),
    [anon_sym_end] = ACTIONS(14274),
    [anon_sym_return] = ACTIONS(14274),
    [anon_sym_yield] = ACTIONS(14274),
    [anon_sym_break] = ACTIONS(14274),
    [anon_sym_next] = ACTIONS(14274),
    [sym_redo] = ACTIONS(14274),
    [sym_retry] = ACTIONS(14274),
    [anon_sym_if] = ACTIONS(14274),
    [anon_sym_unless] = ACTIONS(14274),
    [anon_sym_while] = ACTIONS(14274),
    [anon_sym_until] = ACTIONS(14274),
    [anon_sym_for] = ACTIONS(14274),
    [anon_sym_case] = ACTIONS(14274),
    [anon_sym_begin] = ACTIONS(14274),
    [anon_sym_PLUS] = ACTIONS(14274),
    [anon_sym_defined_QMARK] = ACTIONS(14272),
    [anon_sym_not] = ACTIONS(14274),
    [anon_sym_BANG] = ACTIONS(14272),
    [anon_sym_TILDE] = ACTIONS(14272),
    [sym_constant] = ACTIONS(14274),
    [sym_identifier] = ACTIONS(14274),
    [sym_instance_variable] = ACTIONS(14272),
    [sym_class_variable] = ACTIONS(14272),
    [sym_global_variable] = ACTIONS(14272),
    [anon_sym_undef] = ACTIONS(14274),
    [anon_sym_alias] = ACTIONS(14274),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(14274),
    [sym_float] = ACTIONS(14274),
    [sym_complex] = ACTIONS(14272),
    [sym_super] = ACTIONS(14274),
    [anon_sym_true] = ACTIONS(14274),
    [anon_sym_TRUE] = ACTIONS(14274),
    [anon_sym_false] = ACTIONS(14274),
    [anon_sym_FALSE] = ACTIONS(14274),
    [sym_self] = ACTIONS(14274),
    [anon_sym_nil] = ACTIONS(14274),
    [anon_sym_NIL] = ACTIONS(14274),
    [sym_character] = ACTIONS(14272),
    [anon_sym_LBRACK] = ACTIONS(14272),
    [anon_sym_DASH_GT] = ACTIONS(14272),
  },
  [10712] = {
    [aux_sym_block_parameters_repeat1] = STATE(10645),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(14443),
    [sym_comment] = ACTIONS(87),
  },
  [10713] = {
    [aux_sym_block_parameters_repeat1] = STATE(11573),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(14443),
    [sym_comment] = ACTIONS(87),
  },
  [10714] = {
    [sym_identifier] = ACTIONS(14445),
    [sym_comment] = ACTIONS(87),
  },
  [10715] = {
    [sym__line_break] = ACTIONS(14447),
    [sym__heredoc_body_start] = ACTIONS(14447),
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [sym__binary_minus] = ACTIONS(14447),
    [sym__binary_star] = ACTIONS(14447),
    [ts_builtin_sym_end] = ACTIONS(14447),
    [anon_sym___END__] = ACTIONS(14447),
    [anon_sym_LBRACE] = ACTIONS(14447),
    [anon_sym_RBRACE] = ACTIONS(14447),
    [anon_sym_RPAREN] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14449),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_PIPE] = ACTIONS(14449),
    [anon_sym_SEMI] = ACTIONS(14447),
    [anon_sym_STAR_STAR] = ACTIONS(14447),
    [anon_sym_AMP] = ACTIONS(14449),
    [anon_sym_LT] = ACTIONS(14449),
    [anon_sym_end] = ACTIONS(14447),
    [anon_sym_if] = ACTIONS(14447),
    [anon_sym_unless] = ACTIONS(14447),
    [anon_sym_while] = ACTIONS(14447),
    [anon_sym_until] = ACTIONS(14447),
    [anon_sym_rescue] = ACTIONS(14447),
    [anon_sym_do] = ACTIONS(14447),
    [anon_sym_when] = ACTIONS(14447),
    [anon_sym_elsif] = ACTIONS(14447),
    [anon_sym_else] = ACTIONS(14447),
    [anon_sym_then] = ACTIONS(14447),
    [anon_sym_ensure] = ACTIONS(14447),
    [anon_sym_EQ_GT] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [anon_sym_QMARK] = ACTIONS(14447),
    [anon_sym_DOT_DOT] = ACTIONS(14449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14447),
    [anon_sym_and] = ACTIONS(14447),
    [anon_sym_or] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE] = ACTIONS(14447),
    [anon_sym_AMP_AMP] = ACTIONS(14447),
    [anon_sym_LT_LT] = ACTIONS(14447),
    [anon_sym_GT_GT] = ACTIONS(14447),
    [anon_sym_EQ_EQ] = ACTIONS(14449),
    [anon_sym_BANG_EQ] = ACTIONS(14447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14447),
    [anon_sym_LT_EQ_GT] = ACTIONS(14447),
    [anon_sym_EQ_TILDE] = ACTIONS(14447),
    [anon_sym_BANG_TILDE] = ACTIONS(14447),
    [anon_sym_LT_EQ] = ACTIONS(14449),
    [anon_sym_GT] = ACTIONS(14449),
    [anon_sym_GT_EQ] = ACTIONS(14447),
    [anon_sym_CARET] = ACTIONS(14447),
    [anon_sym_PLUS] = ACTIONS(14447),
    [anon_sym_SLASH] = ACTIONS(14447),
    [anon_sym_PERCENT] = ACTIONS(14447),
    [sym_comment] = ACTIONS(87),
  },
  [10716] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11575),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_assignment] = STATE(11575),
    [sym_operator_assignment] = STATE(11575),
    [sym_conditional] = STATE(11575),
    [sym_range] = STATE(11575),
    [sym_binary] = STATE(11575),
    [sym_unary] = STATE(11575),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10717] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(9406),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(9412),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(9414),
    [anon_sym_DOT_DOT] = ACTIONS(9416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9418),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(9422),
    [anon_sym_AMP_AMP] = ACTIONS(9422),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(9426),
    [anon_sym_BANG_EQ] = ACTIONS(9422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9422),
    [anon_sym_LT_EQ_GT] = ACTIONS(9422),
    [anon_sym_EQ_TILDE] = ACTIONS(9422),
    [anon_sym_BANG_TILDE] = ACTIONS(9422),
    [anon_sym_LT_EQ] = ACTIONS(9412),
    [anon_sym_GT] = ACTIONS(9412),
    [anon_sym_GT_EQ] = ACTIONS(9428),
    [anon_sym_CARET] = ACTIONS(9430),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [10718] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(9137),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(3734),
    [sym_scope_resolution] = STATE(3732),
    [sym_call] = STATE(3732),
    [sym_method_call] = STATE(3734),
    [sym_splat_argument] = STATE(7443),
    [sym_assignment] = STATE(9137),
    [sym_operator_assignment] = STATE(9137),
    [sym_conditional] = STATE(9137),
    [sym_range] = STATE(9137),
    [sym_binary] = STATE(9137),
    [sym_unary] = STATE(9137),
    [sym__arg_or_splat_arg] = STATE(7443),
    [sym_left_assignment_list] = STATE(3733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3734),
    [sym__variable] = STATE(3732),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(3734),
    [sym_false] = STATE(3734),
    [sym_nil] = STATE(3734),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(3735),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(11948),
    [sym__unary_minus] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(5738),
    [anon_sym_yield] = ACTIONS(5740),
    [anon_sym_break] = ACTIONS(5742),
    [anon_sym_next] = ACTIONS(5744),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_defined_QMARK] = ACTIONS(5750),
    [anon_sym_not] = ACTIONS(5752),
    [anon_sym_BANG] = ACTIONS(5754),
    [anon_sym_TILDE] = ACTIONS(5754),
    [sym_constant] = ACTIONS(5756),
    [sym_identifier] = ACTIONS(5756),
    [sym_instance_variable] = ACTIONS(5758),
    [sym_class_variable] = ACTIONS(5758),
    [sym_global_variable] = ACTIONS(5758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(5756),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(5756),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10719] = {
    [aux_sym_exceptions_repeat1] = STATE(11576),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(14451),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10720] = {
    [sym_heredoc_body] = STATE(11577),
    [aux_sym_call_repeat1] = STATE(11577),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_COLON] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [10721] = {
    [sym_heredoc_body] = STATE(11578),
    [aux_sym_call_repeat1] = STATE(11578),
    [aux_sym_argument_list_repeat1] = STATE(9196),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(9525),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_COLON] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [10722] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [10723] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [10724] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [10725] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [10726] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [10727] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [10728] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14453),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10729] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_COLON] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [10730] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(11962),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [10731] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [10732] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [10733] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [10734] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(11962),
    [anon_sym_COLON] = ACTIONS(5050),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [10735] = {
    [aux_sym_exceptions_repeat1] = STATE(11581),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [10736] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(11962),
    [anon_sym_COLON] = ACTIONS(6188),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [10737] = {
    [sym_string] = STATE(10737),
    [aux_sym_chained_string_repeat1] = STATE(10737),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_COLON] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [10738] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(6681),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [10739] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(6897),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [10740] = {
    [sym_heredoc_body] = STATE(10740),
    [aux_sym_call_repeat1] = STATE(10740),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_COLON] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10741] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(6643),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(6643),
    [sym_operator_assignment] = STATE(6643),
    [sym_conditional] = STATE(6643),
    [sym_range] = STATE(6643),
    [sym_binary] = STATE(6643),
    [sym_unary] = STATE(6643),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6646),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(9477),
    [sym__splat_star] = ACTIONS(9479),
    [sym__unary_minus] = ACTIONS(5806),
    [sym__identifier_hash_key] = ACTIONS(9481),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13565),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(9483),
    [sym_identifier] = ACTIONS(9483),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10742] = {
    [sym_heredoc_body] = STATE(10740),
    [aux_sym_call_repeat1] = STATE(10740),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_COLON] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10743] = {
    [aux_sym_argument_list_repeat1] = STATE(10743),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14455),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_COLON] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [10744] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(7025),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [10745] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11582),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_assignment] = STATE(11582),
    [sym_operator_assignment] = STATE(11582),
    [sym_conditional] = STATE(11582),
    [sym_range] = STATE(11582),
    [sym_binary] = STATE(11582),
    [sym_unary] = STATE(11582),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10746] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(6681),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [10747] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(6897),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [10748] = {
    [sym_heredoc_body] = STATE(10748),
    [aux_sym_call_repeat1] = STATE(10748),
    [sym__heredoc_body_start] = ACTIONS(10362),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_COLON] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [10749] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(6667),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym__argument] = STATE(7428),
    [sym_splat_argument] = STATE(7428),
    [sym_hash_splat_argument] = STATE(7428),
    [sym_block_argument] = STATE(7428),
    [sym_assignment] = STATE(6667),
    [sym_operator_assignment] = STATE(6667),
    [sym_conditional] = STATE(6667),
    [sym_range] = STATE(6667),
    [sym_binary] = STATE(6667),
    [sym_unary] = STATE(6667),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6670),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7428),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(9517),
    [sym__splat_star] = ACTIONS(9519),
    [sym__unary_minus] = ACTIONS(5870),
    [sym__identifier_hash_key] = ACTIONS(9521),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13569),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(9523),
    [sym_identifier] = ACTIONS(9523),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10750] = {
    [sym_heredoc_body] = STATE(10748),
    [aux_sym_call_repeat1] = STATE(10748),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_COLON] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [10751] = {
    [aux_sym_argument_list_repeat1] = STATE(10751),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14458),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_COLON] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [10752] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(7025),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [10753] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(9197),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(3760),
    [sym_scope_resolution] = STATE(3756),
    [sym_call] = STATE(3756),
    [sym_method_call] = STATE(3760),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(9197),
    [sym_operator_assignment] = STATE(9197),
    [sym_conditional] = STATE(9197),
    [sym_range] = STATE(9197),
    [sym_binary] = STATE(9197),
    [sym_unary] = STATE(9197),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(3759),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3760),
    [sym__variable] = STATE(3756),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(3760),
    [sym_false] = STATE(3760),
    [sym_nil] = STATE(3760),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(6635),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(9479),
    [sym__unary_minus] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(5810),
    [anon_sym_yield] = ACTIONS(5812),
    [anon_sym_break] = ACTIONS(5814),
    [anon_sym_next] = ACTIONS(5816),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9473),
    [anon_sym_defined_QMARK] = ACTIONS(5818),
    [anon_sym_not] = ACTIONS(5820),
    [anon_sym_BANG] = ACTIONS(5824),
    [anon_sym_TILDE] = ACTIONS(5824),
    [sym_constant] = ACTIONS(5830),
    [sym_identifier] = ACTIONS(5830),
    [sym_instance_variable] = ACTIONS(5828),
    [sym_class_variable] = ACTIONS(5828),
    [sym_global_variable] = ACTIONS(5828),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(5830),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5830),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10754] = {
    [aux_sym_exceptions_repeat1] = STATE(11583),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14461),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_COLON] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10755] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10756] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [10757] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [10758] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [10759] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [10760] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [10761] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [10762] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14463),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10763] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_COLON] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [10764] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [10765] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [10766] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [10767] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [10768] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(5050),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [10769] = {
    [aux_sym_exceptions_repeat1] = STATE(11586),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [10770] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(6188),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [10771] = {
    [sym_string] = STATE(10771),
    [aux_sym_chained_string_repeat1] = STATE(10771),
    [sym__string_start] = ACTIONS(13708),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_COLON] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [10772] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11587),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_assignment] = STATE(11587),
    [sym_operator_assignment] = STATE(11587),
    [sym_conditional] = STATE(11587),
    [sym_range] = STATE(11587),
    [sym_binary] = STATE(11587),
    [sym_unary] = STATE(11587),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10773] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(9239),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(3795),
    [sym_scope_resolution] = STATE(3791),
    [sym_call] = STATE(3791),
    [sym_method_call] = STATE(3795),
    [sym_splat_argument] = STATE(9654),
    [sym_assignment] = STATE(9239),
    [sym_operator_assignment] = STATE(9239),
    [sym_conditional] = STATE(9239),
    [sym_range] = STATE(9239),
    [sym_binary] = STATE(9239),
    [sym_unary] = STATE(9239),
    [sym__arg_or_splat_arg] = STATE(9654),
    [sym_left_assignment_list] = STATE(3794),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(3795),
    [sym__variable] = STATE(3791),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(3795),
    [sym_false] = STATE(3795),
    [sym_nil] = STATE(3795),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(6706),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(9519),
    [sym__unary_minus] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(5874),
    [anon_sym_yield] = ACTIONS(5876),
    [anon_sym_break] = ACTIONS(5878),
    [anon_sym_next] = ACTIONS(5880),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(9557),
    [anon_sym_defined_QMARK] = ACTIONS(5882),
    [anon_sym_not] = ACTIONS(5884),
    [anon_sym_BANG] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [sym_constant] = ACTIONS(5894),
    [sym_identifier] = ACTIONS(5894),
    [sym_instance_variable] = ACTIONS(5892),
    [sym_class_variable] = ACTIONS(5892),
    [sym_global_variable] = ACTIONS(5892),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(5894),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(5894),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [10774] = {
    [aux_sym_exceptions_repeat1] = STATE(11588),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14465),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_COLON] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10775] = {
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [10776] = {
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [10777] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(12048),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12060),
    [anon_sym_GT_GT] = ACTIONS(12060),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [10778] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [10779] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12060),
    [anon_sym_GT_GT] = ACTIONS(12060),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [10780] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12044),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(12048),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12060),
    [anon_sym_GT_GT] = ACTIONS(12060),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(12066),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [10781] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14467),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10782] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(12044),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(12048),
    [anon_sym_LT] = ACTIONS(12050),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_COLON] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(12054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12056),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(12058),
    [anon_sym_AMP_AMP] = ACTIONS(12058),
    [anon_sym_LT_LT] = ACTIONS(12060),
    [anon_sym_GT_GT] = ACTIONS(12060),
    [anon_sym_EQ_EQ] = ACTIONS(12062),
    [anon_sym_BANG_EQ] = ACTIONS(12058),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12058),
    [anon_sym_LT_EQ_GT] = ACTIONS(12058),
    [anon_sym_EQ_TILDE] = ACTIONS(12058),
    [anon_sym_BANG_TILDE] = ACTIONS(12058),
    [anon_sym_LT_EQ] = ACTIONS(12050),
    [anon_sym_GT] = ACTIONS(12050),
    [anon_sym_GT_EQ] = ACTIONS(12064),
    [anon_sym_CARET] = ACTIONS(12066),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [10783] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12044),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(12048),
    [anon_sym_LT] = ACTIONS(12050),
    [anon_sym_QMARK] = ACTIONS(12052),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(12054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12056),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(12058),
    [anon_sym_AMP_AMP] = ACTIONS(12058),
    [anon_sym_LT_LT] = ACTIONS(12060),
    [anon_sym_GT_GT] = ACTIONS(12060),
    [anon_sym_EQ_EQ] = ACTIONS(12062),
    [anon_sym_BANG_EQ] = ACTIONS(12058),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12058),
    [anon_sym_LT_EQ_GT] = ACTIONS(12058),
    [anon_sym_EQ_TILDE] = ACTIONS(12058),
    [anon_sym_BANG_TILDE] = ACTIONS(12058),
    [anon_sym_LT_EQ] = ACTIONS(12050),
    [anon_sym_GT] = ACTIONS(12050),
    [anon_sym_GT_EQ] = ACTIONS(12064),
    [anon_sym_CARET] = ACTIONS(12066),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [10784] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12044),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(12048),
    [anon_sym_LT] = ACTIONS(12050),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12060),
    [anon_sym_GT_GT] = ACTIONS(12060),
    [anon_sym_EQ_EQ] = ACTIONS(12062),
    [anon_sym_BANG_EQ] = ACTIONS(12058),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12058),
    [anon_sym_LT_EQ_GT] = ACTIONS(12058),
    [anon_sym_EQ_TILDE] = ACTIONS(12058),
    [anon_sym_BANG_TILDE] = ACTIONS(12058),
    [anon_sym_LT_EQ] = ACTIONS(12050),
    [anon_sym_GT] = ACTIONS(12050),
    [anon_sym_GT_EQ] = ACTIONS(12064),
    [anon_sym_CARET] = ACTIONS(12066),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [10785] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [10786] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [10787] = {
    [aux_sym_exceptions_repeat1] = STATE(10787),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(14469),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_COLON] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10788] = {
    [aux_sym_exceptions_repeat1] = STATE(9261),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [10789] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(12044),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(12048),
    [anon_sym_LT] = ACTIONS(12050),
    [anon_sym_QMARK] = ACTIONS(12052),
    [anon_sym_COLON] = ACTIONS(6188),
    [anon_sym_DOT_DOT] = ACTIONS(12054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12056),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(12058),
    [anon_sym_AMP_AMP] = ACTIONS(12058),
    [anon_sym_LT_LT] = ACTIONS(12060),
    [anon_sym_GT_GT] = ACTIONS(12060),
    [anon_sym_EQ_EQ] = ACTIONS(12062),
    [anon_sym_BANG_EQ] = ACTIONS(12058),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12058),
    [anon_sym_LT_EQ_GT] = ACTIONS(12058),
    [anon_sym_EQ_TILDE] = ACTIONS(12058),
    [anon_sym_BANG_TILDE] = ACTIONS(12058),
    [anon_sym_LT_EQ] = ACTIONS(12050),
    [anon_sym_GT] = ACTIONS(12050),
    [anon_sym_GT_EQ] = ACTIONS(12064),
    [anon_sym_CARET] = ACTIONS(12066),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [10790] = {
    [sym_string] = STATE(10790),
    [aux_sym_chained_string_repeat1] = STATE(10790),
    [sym__string_start] = ACTIONS(7027),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_COLON] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [10791] = {
    [sym__line_break] = ACTIONS(12326),
    [sym__heredoc_body_start] = ACTIONS(12326),
    [sym__element_reference_left_bracket] = ACTIONS(12326),
    [sym__infix_scope_colons] = ACTIONS(12326),
    [sym__binary_minus] = ACTIONS(12326),
    [sym__binary_star] = ACTIONS(12326),
    [ts_builtin_sym_end] = ACTIONS(12326),
    [anon_sym___END__] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_RBRACE] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_PIPE] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_STAR_STAR] = ACTIONS(12328),
    [anon_sym_AMP] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_LT] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_unless] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [anon_sym_until] = ACTIONS(12326),
    [anon_sym_rescue] = ACTIONS(12326),
    [anon_sym_do] = ACTIONS(12326),
    [anon_sym_when] = ACTIONS(12326),
    [anon_sym_elsif] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_then] = ACTIONS(12326),
    [anon_sym_ensure] = ACTIONS(12326),
    [anon_sym_EQ_GT] = ACTIONS(12326),
    [anon_sym_AMP_DOT] = ACTIONS(12326),
    [anon_sym_PLUS_EQ] = ACTIONS(12326),
    [anon_sym_DASH_EQ] = ACTIONS(12326),
    [anon_sym_STAR_EQ] = ACTIONS(12326),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12326),
    [anon_sym_SLASH_EQ] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12326),
    [anon_sym_PIPE_EQ] = ACTIONS(12326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12326),
    [anon_sym_AMP_EQ] = ACTIONS(12326),
    [anon_sym_PERCENT_EQ] = ACTIONS(12326),
    [anon_sym_GT_GT_EQ] = ACTIONS(12326),
    [anon_sym_LT_LT_EQ] = ACTIONS(12326),
    [anon_sym_CARET_EQ] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DOT_DOT] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_and] = ACTIONS(12326),
    [anon_sym_or] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE] = ACTIONS(12328),
    [anon_sym_AMP_AMP] = ACTIONS(12328),
    [anon_sym_LT_LT] = ACTIONS(12328),
    [anon_sym_GT_GT] = ACTIONS(12328),
    [anon_sym_EQ_EQ] = ACTIONS(12328),
    [anon_sym_BANG_EQ] = ACTIONS(12326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12326),
    [anon_sym_LT_EQ_GT] = ACTIONS(12326),
    [anon_sym_EQ_TILDE] = ACTIONS(12326),
    [anon_sym_BANG_TILDE] = ACTIONS(12326),
    [anon_sym_LT_EQ] = ACTIONS(12328),
    [anon_sym_GT] = ACTIONS(12328),
    [anon_sym_GT_EQ] = ACTIONS(12326),
    [anon_sym_CARET] = ACTIONS(12328),
    [anon_sym_PLUS] = ACTIONS(12328),
    [anon_sym_SLASH] = ACTIONS(12328),
    [anon_sym_PERCENT] = ACTIONS(12328),
    [sym_comment] = ACTIONS(87),
  },
  [10792] = {
    [sym__line_break] = ACTIONS(12330),
    [sym__heredoc_body_start] = ACTIONS(12330),
    [sym__element_reference_left_bracket] = ACTIONS(12330),
    [sym__infix_scope_colons] = ACTIONS(12330),
    [sym__binary_minus] = ACTIONS(12330),
    [sym__binary_star] = ACTIONS(12330),
    [ts_builtin_sym_end] = ACTIONS(12330),
    [anon_sym___END__] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12330),
    [anon_sym_RBRACE] = ACTIONS(12330),
    [anon_sym_RPAREN] = ACTIONS(12330),
    [anon_sym_DOT] = ACTIONS(12332),
    [anon_sym_COMMA] = ACTIONS(12330),
    [anon_sym_PIPE] = ACTIONS(12332),
    [anon_sym_SEMI] = ACTIONS(12330),
    [anon_sym_STAR_STAR] = ACTIONS(12332),
    [anon_sym_AMP] = ACTIONS(12332),
    [anon_sym_EQ] = ACTIONS(12332),
    [anon_sym_LT] = ACTIONS(12332),
    [anon_sym_end] = ACTIONS(12330),
    [anon_sym_if] = ACTIONS(12330),
    [anon_sym_unless] = ACTIONS(12330),
    [anon_sym_while] = ACTIONS(12330),
    [anon_sym_until] = ACTIONS(12330),
    [anon_sym_rescue] = ACTIONS(12330),
    [anon_sym_do] = ACTIONS(12330),
    [anon_sym_when] = ACTIONS(12330),
    [anon_sym_elsif] = ACTIONS(12330),
    [anon_sym_else] = ACTIONS(12330),
    [anon_sym_then] = ACTIONS(12330),
    [anon_sym_ensure] = ACTIONS(12330),
    [anon_sym_EQ_GT] = ACTIONS(12330),
    [anon_sym_AMP_DOT] = ACTIONS(12330),
    [anon_sym_PLUS_EQ] = ACTIONS(12330),
    [anon_sym_DASH_EQ] = ACTIONS(12330),
    [anon_sym_STAR_EQ] = ACTIONS(12330),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12330),
    [anon_sym_SLASH_EQ] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12330),
    [anon_sym_PIPE_EQ] = ACTIONS(12330),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12330),
    [anon_sym_AMP_EQ] = ACTIONS(12330),
    [anon_sym_PERCENT_EQ] = ACTIONS(12330),
    [anon_sym_GT_GT_EQ] = ACTIONS(12330),
    [anon_sym_LT_LT_EQ] = ACTIONS(12330),
    [anon_sym_CARET_EQ] = ACTIONS(12330),
    [anon_sym_QMARK] = ACTIONS(12330),
    [anon_sym_DOT_DOT] = ACTIONS(12332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12330),
    [anon_sym_and] = ACTIONS(12330),
    [anon_sym_or] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE] = ACTIONS(12332),
    [anon_sym_AMP_AMP] = ACTIONS(12332),
    [anon_sym_LT_LT] = ACTIONS(12332),
    [anon_sym_GT_GT] = ACTIONS(12332),
    [anon_sym_EQ_EQ] = ACTIONS(12332),
    [anon_sym_BANG_EQ] = ACTIONS(12330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12330),
    [anon_sym_LT_EQ_GT] = ACTIONS(12330),
    [anon_sym_EQ_TILDE] = ACTIONS(12330),
    [anon_sym_BANG_TILDE] = ACTIONS(12330),
    [anon_sym_LT_EQ] = ACTIONS(12332),
    [anon_sym_GT] = ACTIONS(12332),
    [anon_sym_GT_EQ] = ACTIONS(12330),
    [anon_sym_CARET] = ACTIONS(12332),
    [anon_sym_PLUS] = ACTIONS(12332),
    [anon_sym_SLASH] = ACTIONS(12332),
    [anon_sym_PERCENT] = ACTIONS(12332),
    [sym_comment] = ACTIONS(87),
  },
  [10793] = {
    [sym__line_break] = ACTIONS(9993),
    [sym__heredoc_body_start] = ACTIONS(9993),
    [sym__element_reference_left_bracket] = ACTIONS(9993),
    [sym__infix_scope_colons] = ACTIONS(9993),
    [sym__binary_minus] = ACTIONS(9993),
    [sym__binary_star] = ACTIONS(9993),
    [ts_builtin_sym_end] = ACTIONS(9993),
    [anon_sym___END__] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_RBRACE] = ACTIONS(9993),
    [anon_sym_RPAREN] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9995),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_PIPE] = ACTIONS(9995),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_STAR_STAR] = ACTIONS(9995),
    [anon_sym_AMP] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9995),
    [anon_sym_LT] = ACTIONS(9995),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_unless] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [anon_sym_until] = ACTIONS(9993),
    [anon_sym_rescue] = ACTIONS(9993),
    [anon_sym_do] = ACTIONS(9993),
    [anon_sym_when] = ACTIONS(9993),
    [anon_sym_elsif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_then] = ACTIONS(9993),
    [anon_sym_ensure] = ACTIONS(9993),
    [anon_sym_AMP_DOT] = ACTIONS(9993),
    [anon_sym_PLUS_EQ] = ACTIONS(9993),
    [anon_sym_DASH_EQ] = ACTIONS(9993),
    [anon_sym_STAR_EQ] = ACTIONS(9993),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9993),
    [anon_sym_SLASH_EQ] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9993),
    [anon_sym_PIPE_EQ] = ACTIONS(9993),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9993),
    [anon_sym_AMP_EQ] = ACTIONS(9993),
    [anon_sym_PERCENT_EQ] = ACTIONS(9993),
    [anon_sym_GT_GT_EQ] = ACTIONS(9993),
    [anon_sym_LT_LT_EQ] = ACTIONS(9993),
    [anon_sym_CARET_EQ] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DOT_DOT] = ACTIONS(9995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_and] = ACTIONS(9993),
    [anon_sym_or] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE] = ACTIONS(9995),
    [anon_sym_AMP_AMP] = ACTIONS(9995),
    [anon_sym_LT_LT] = ACTIONS(9995),
    [anon_sym_GT_GT] = ACTIONS(9995),
    [anon_sym_EQ_EQ] = ACTIONS(9995),
    [anon_sym_BANG_EQ] = ACTIONS(9993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9993),
    [anon_sym_LT_EQ_GT] = ACTIONS(9993),
    [anon_sym_EQ_TILDE] = ACTIONS(9993),
    [anon_sym_BANG_TILDE] = ACTIONS(9993),
    [anon_sym_LT_EQ] = ACTIONS(9995),
    [anon_sym_GT] = ACTIONS(9995),
    [anon_sym_GT_EQ] = ACTIONS(9993),
    [anon_sym_CARET] = ACTIONS(9995),
    [anon_sym_PLUS] = ACTIONS(9995),
    [anon_sym_SLASH] = ACTIONS(9995),
    [anon_sym_PERCENT] = ACTIONS(9995),
    [sym_comment] = ACTIONS(87),
  },
  [10794] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(14472),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [10795] = {
    [sym__line_break] = ACTIONS(9999),
    [sym__heredoc_body_start] = ACTIONS(9999),
    [sym__element_reference_left_bracket] = ACTIONS(9999),
    [sym__infix_scope_colons] = ACTIONS(9999),
    [sym__binary_minus] = ACTIONS(9999),
    [sym__binary_star] = ACTIONS(9999),
    [ts_builtin_sym_end] = ACTIONS(9999),
    [anon_sym___END__] = ACTIONS(9999),
    [anon_sym_LBRACE] = ACTIONS(9999),
    [anon_sym_RBRACE] = ACTIONS(9999),
    [anon_sym_RPAREN] = ACTIONS(9999),
    [anon_sym_DOT] = ACTIONS(10001),
    [anon_sym_COMMA] = ACTIONS(9999),
    [anon_sym_PIPE] = ACTIONS(10001),
    [anon_sym_SEMI] = ACTIONS(9999),
    [anon_sym_STAR_STAR] = ACTIONS(10001),
    [anon_sym_AMP] = ACTIONS(10001),
    [anon_sym_EQ] = ACTIONS(10001),
    [anon_sym_LT] = ACTIONS(10001),
    [anon_sym_end] = ACTIONS(9999),
    [anon_sym_if] = ACTIONS(9999),
    [anon_sym_unless] = ACTIONS(9999),
    [anon_sym_while] = ACTIONS(9999),
    [anon_sym_until] = ACTIONS(9999),
    [anon_sym_rescue] = ACTIONS(9999),
    [anon_sym_do] = ACTIONS(9999),
    [anon_sym_when] = ACTIONS(9999),
    [anon_sym_elsif] = ACTIONS(9999),
    [anon_sym_else] = ACTIONS(9999),
    [anon_sym_then] = ACTIONS(9999),
    [anon_sym_ensure] = ACTIONS(9999),
    [anon_sym_AMP_DOT] = ACTIONS(9999),
    [anon_sym_PLUS_EQ] = ACTIONS(9999),
    [anon_sym_DASH_EQ] = ACTIONS(9999),
    [anon_sym_STAR_EQ] = ACTIONS(9999),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9999),
    [anon_sym_SLASH_EQ] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9999),
    [anon_sym_PIPE_EQ] = ACTIONS(9999),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9999),
    [anon_sym_AMP_EQ] = ACTIONS(9999),
    [anon_sym_PERCENT_EQ] = ACTIONS(9999),
    [anon_sym_GT_GT_EQ] = ACTIONS(9999),
    [anon_sym_LT_LT_EQ] = ACTIONS(9999),
    [anon_sym_CARET_EQ] = ACTIONS(9999),
    [anon_sym_QMARK] = ACTIONS(9999),
    [anon_sym_DOT_DOT] = ACTIONS(10001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9999),
    [anon_sym_and] = ACTIONS(9999),
    [anon_sym_or] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE] = ACTIONS(10001),
    [anon_sym_AMP_AMP] = ACTIONS(10001),
    [anon_sym_LT_LT] = ACTIONS(10001),
    [anon_sym_GT_GT] = ACTIONS(10001),
    [anon_sym_EQ_EQ] = ACTIONS(10001),
    [anon_sym_BANG_EQ] = ACTIONS(9999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9999),
    [anon_sym_LT_EQ_GT] = ACTIONS(9999),
    [anon_sym_EQ_TILDE] = ACTIONS(9999),
    [anon_sym_BANG_TILDE] = ACTIONS(9999),
    [anon_sym_LT_EQ] = ACTIONS(10001),
    [anon_sym_GT] = ACTIONS(10001),
    [anon_sym_GT_EQ] = ACTIONS(9999),
    [anon_sym_CARET] = ACTIONS(10001),
    [anon_sym_PLUS] = ACTIONS(10001),
    [anon_sym_SLASH] = ACTIONS(10001),
    [anon_sym_PERCENT] = ACTIONS(10001),
    [sym_comment] = ACTIONS(87),
  },
  [10796] = {
    [sym__line_break] = ACTIONS(10003),
    [sym__heredoc_body_start] = ACTIONS(10003),
    [sym__element_reference_left_bracket] = ACTIONS(10003),
    [sym__infix_scope_colons] = ACTIONS(10003),
    [sym__binary_minus] = ACTIONS(10003),
    [sym__binary_star] = ACTIONS(10003),
    [ts_builtin_sym_end] = ACTIONS(10003),
    [anon_sym___END__] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_RBRACE] = ACTIONS(10003),
    [anon_sym_RPAREN] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10005),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_PIPE] = ACTIONS(10005),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_STAR_STAR] = ACTIONS(10005),
    [anon_sym_AMP] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10005),
    [anon_sym_LT] = ACTIONS(10005),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_unless] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [anon_sym_until] = ACTIONS(10003),
    [anon_sym_rescue] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_when] = ACTIONS(10003),
    [anon_sym_elsif] = ACTIONS(10003),
    [anon_sym_else] = ACTIONS(10003),
    [anon_sym_then] = ACTIONS(10003),
    [anon_sym_ensure] = ACTIONS(10003),
    [anon_sym_AMP_DOT] = ACTIONS(10003),
    [anon_sym_PLUS_EQ] = ACTIONS(10003),
    [anon_sym_DASH_EQ] = ACTIONS(10003),
    [anon_sym_STAR_EQ] = ACTIONS(10003),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10003),
    [anon_sym_SLASH_EQ] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10003),
    [anon_sym_PIPE_EQ] = ACTIONS(10003),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10003),
    [anon_sym_AMP_EQ] = ACTIONS(10003),
    [anon_sym_PERCENT_EQ] = ACTIONS(10003),
    [anon_sym_GT_GT_EQ] = ACTIONS(10003),
    [anon_sym_LT_LT_EQ] = ACTIONS(10003),
    [anon_sym_CARET_EQ] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_DOT_DOT] = ACTIONS(10005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_and] = ACTIONS(10003),
    [anon_sym_or] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE] = ACTIONS(10005),
    [anon_sym_AMP_AMP] = ACTIONS(10005),
    [anon_sym_LT_LT] = ACTIONS(10005),
    [anon_sym_GT_GT] = ACTIONS(10005),
    [anon_sym_EQ_EQ] = ACTIONS(10005),
    [anon_sym_BANG_EQ] = ACTIONS(10003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10003),
    [anon_sym_LT_EQ_GT] = ACTIONS(10003),
    [anon_sym_EQ_TILDE] = ACTIONS(10003),
    [anon_sym_BANG_TILDE] = ACTIONS(10003),
    [anon_sym_LT_EQ] = ACTIONS(10005),
    [anon_sym_GT] = ACTIONS(10005),
    [anon_sym_GT_EQ] = ACTIONS(10003),
    [anon_sym_CARET] = ACTIONS(10005),
    [anon_sym_PLUS] = ACTIONS(10005),
    [anon_sym_SLASH] = ACTIONS(10005),
    [anon_sym_PERCENT] = ACTIONS(10005),
    [sym_comment] = ACTIONS(87),
  },
  [10797] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(14474),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [10798] = {
    [sym__line_break] = ACTIONS(10009),
    [sym__heredoc_body_start] = ACTIONS(10009),
    [sym__element_reference_left_bracket] = ACTIONS(10009),
    [sym__infix_scope_colons] = ACTIONS(10009),
    [sym__binary_minus] = ACTIONS(10009),
    [sym__binary_star] = ACTIONS(10009),
    [ts_builtin_sym_end] = ACTIONS(10009),
    [anon_sym___END__] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_PIPE] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_STAR_STAR] = ACTIONS(10011),
    [anon_sym_AMP] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_LT] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10009),
    [anon_sym_if] = ACTIONS(10009),
    [anon_sym_unless] = ACTIONS(10009),
    [anon_sym_while] = ACTIONS(10009),
    [anon_sym_until] = ACTIONS(10009),
    [anon_sym_rescue] = ACTIONS(10009),
    [anon_sym_do] = ACTIONS(10009),
    [anon_sym_when] = ACTIONS(10009),
    [anon_sym_elsif] = ACTIONS(10009),
    [anon_sym_else] = ACTIONS(10009),
    [anon_sym_then] = ACTIONS(10009),
    [anon_sym_ensure] = ACTIONS(10009),
    [anon_sym_AMP_DOT] = ACTIONS(10009),
    [anon_sym_PLUS_EQ] = ACTIONS(10009),
    [anon_sym_DASH_EQ] = ACTIONS(10009),
    [anon_sym_STAR_EQ] = ACTIONS(10009),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10009),
    [anon_sym_SLASH_EQ] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10009),
    [anon_sym_PIPE_EQ] = ACTIONS(10009),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10009),
    [anon_sym_AMP_EQ] = ACTIONS(10009),
    [anon_sym_PERCENT_EQ] = ACTIONS(10009),
    [anon_sym_GT_GT_EQ] = ACTIONS(10009),
    [anon_sym_LT_LT_EQ] = ACTIONS(10009),
    [anon_sym_CARET_EQ] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_DOT_DOT] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_and] = ACTIONS(10009),
    [anon_sym_or] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE] = ACTIONS(10011),
    [anon_sym_AMP_AMP] = ACTIONS(10011),
    [anon_sym_LT_LT] = ACTIONS(10011),
    [anon_sym_GT_GT] = ACTIONS(10011),
    [anon_sym_EQ_EQ] = ACTIONS(10011),
    [anon_sym_BANG_EQ] = ACTIONS(10009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10009),
    [anon_sym_LT_EQ_GT] = ACTIONS(10009),
    [anon_sym_EQ_TILDE] = ACTIONS(10009),
    [anon_sym_BANG_TILDE] = ACTIONS(10009),
    [anon_sym_LT_EQ] = ACTIONS(10011),
    [anon_sym_GT] = ACTIONS(10011),
    [anon_sym_GT_EQ] = ACTIONS(10009),
    [anon_sym_CARET] = ACTIONS(10011),
    [anon_sym_PLUS] = ACTIONS(10011),
    [anon_sym_SLASH] = ACTIONS(10011),
    [anon_sym_PERCENT] = ACTIONS(10011),
    [sym_comment] = ACTIONS(87),
  },
  [10799] = {
    [sym__method_rest] = STATE(11592),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(3846),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [10800] = {
    [sym__line_break] = ACTIONS(10750),
    [sym__heredoc_body_start] = ACTIONS(10750),
    [sym__element_reference_left_bracket] = ACTIONS(10750),
    [sym__infix_scope_colons] = ACTIONS(10750),
    [sym__binary_minus] = ACTIONS(10750),
    [sym__binary_star] = ACTIONS(10750),
    [ts_builtin_sym_end] = ACTIONS(10750),
    [anon_sym___END__] = ACTIONS(10750),
    [anon_sym_LBRACE] = ACTIONS(10750),
    [anon_sym_RBRACE] = ACTIONS(10750),
    [anon_sym_RPAREN] = ACTIONS(10750),
    [anon_sym_DOT] = ACTIONS(10752),
    [anon_sym_COMMA] = ACTIONS(10750),
    [anon_sym_PIPE] = ACTIONS(10752),
    [anon_sym_SEMI] = ACTIONS(10750),
    [anon_sym_STAR_STAR] = ACTIONS(10752),
    [anon_sym_AMP] = ACTIONS(10752),
    [anon_sym_EQ] = ACTIONS(10752),
    [anon_sym_LT] = ACTIONS(10752),
    [anon_sym_end] = ACTIONS(10750),
    [anon_sym_if] = ACTIONS(10750),
    [anon_sym_unless] = ACTIONS(10750),
    [anon_sym_while] = ACTIONS(10750),
    [anon_sym_until] = ACTIONS(10750),
    [anon_sym_rescue] = ACTIONS(10750),
    [anon_sym_do] = ACTIONS(10750),
    [anon_sym_when] = ACTIONS(10750),
    [anon_sym_elsif] = ACTIONS(10750),
    [anon_sym_else] = ACTIONS(10750),
    [anon_sym_then] = ACTIONS(10750),
    [anon_sym_ensure] = ACTIONS(10750),
    [anon_sym_AMP_DOT] = ACTIONS(10750),
    [anon_sym_PLUS_EQ] = ACTIONS(10750),
    [anon_sym_DASH_EQ] = ACTIONS(10750),
    [anon_sym_STAR_EQ] = ACTIONS(10750),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10750),
    [anon_sym_SLASH_EQ] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10750),
    [anon_sym_PIPE_EQ] = ACTIONS(10750),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10750),
    [anon_sym_AMP_EQ] = ACTIONS(10750),
    [anon_sym_PERCENT_EQ] = ACTIONS(10750),
    [anon_sym_GT_GT_EQ] = ACTIONS(10750),
    [anon_sym_LT_LT_EQ] = ACTIONS(10750),
    [anon_sym_CARET_EQ] = ACTIONS(10750),
    [anon_sym_QMARK] = ACTIONS(10750),
    [anon_sym_DOT_DOT] = ACTIONS(10752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10750),
    [anon_sym_and] = ACTIONS(10750),
    [anon_sym_or] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE] = ACTIONS(10752),
    [anon_sym_AMP_AMP] = ACTIONS(10752),
    [anon_sym_LT_LT] = ACTIONS(10752),
    [anon_sym_GT_GT] = ACTIONS(10752),
    [anon_sym_EQ_EQ] = ACTIONS(10752),
    [anon_sym_BANG_EQ] = ACTIONS(10750),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10750),
    [anon_sym_LT_EQ_GT] = ACTIONS(10750),
    [anon_sym_EQ_TILDE] = ACTIONS(10750),
    [anon_sym_BANG_TILDE] = ACTIONS(10750),
    [anon_sym_LT_EQ] = ACTIONS(10752),
    [anon_sym_GT] = ACTIONS(10752),
    [anon_sym_GT_EQ] = ACTIONS(10750),
    [anon_sym_CARET] = ACTIONS(10752),
    [anon_sym_PLUS] = ACTIONS(10752),
    [anon_sym_SLASH] = ACTIONS(10752),
    [anon_sym_PERCENT] = ACTIONS(10752),
    [sym_comment] = ACTIONS(87),
  },
  [10801] = {
    [sym__line_break] = ACTIONS(10754),
    [sym__heredoc_body_start] = ACTIONS(10754),
    [sym__element_reference_left_bracket] = ACTIONS(10754),
    [sym__infix_scope_colons] = ACTIONS(10754),
    [sym__binary_minus] = ACTIONS(10754),
    [sym__binary_star] = ACTIONS(10754),
    [ts_builtin_sym_end] = ACTIONS(10754),
    [anon_sym___END__] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_RBRACE] = ACTIONS(10754),
    [anon_sym_RPAREN] = ACTIONS(10754),
    [anon_sym_DOT] = ACTIONS(10756),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_PIPE] = ACTIONS(10756),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_STAR_STAR] = ACTIONS(10756),
    [anon_sym_AMP] = ACTIONS(10756),
    [anon_sym_EQ] = ACTIONS(10756),
    [anon_sym_LT] = ACTIONS(10756),
    [anon_sym_end] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_unless] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [anon_sym_until] = ACTIONS(10754),
    [anon_sym_rescue] = ACTIONS(10754),
    [anon_sym_do] = ACTIONS(10754),
    [anon_sym_when] = ACTIONS(10754),
    [anon_sym_elsif] = ACTIONS(10754),
    [anon_sym_else] = ACTIONS(10754),
    [anon_sym_then] = ACTIONS(10754),
    [anon_sym_ensure] = ACTIONS(10754),
    [anon_sym_AMP_DOT] = ACTIONS(10754),
    [anon_sym_PLUS_EQ] = ACTIONS(10754),
    [anon_sym_DASH_EQ] = ACTIONS(10754),
    [anon_sym_STAR_EQ] = ACTIONS(10754),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10754),
    [anon_sym_SLASH_EQ] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10754),
    [anon_sym_PIPE_EQ] = ACTIONS(10754),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10754),
    [anon_sym_AMP_EQ] = ACTIONS(10754),
    [anon_sym_PERCENT_EQ] = ACTIONS(10754),
    [anon_sym_GT_GT_EQ] = ACTIONS(10754),
    [anon_sym_LT_LT_EQ] = ACTIONS(10754),
    [anon_sym_CARET_EQ] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_DOT_DOT] = ACTIONS(10756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_and] = ACTIONS(10754),
    [anon_sym_or] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE] = ACTIONS(10756),
    [anon_sym_AMP_AMP] = ACTIONS(10756),
    [anon_sym_LT_LT] = ACTIONS(10756),
    [anon_sym_GT_GT] = ACTIONS(10756),
    [anon_sym_EQ_EQ] = ACTIONS(10756),
    [anon_sym_BANG_EQ] = ACTIONS(10754),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10754),
    [anon_sym_LT_EQ_GT] = ACTIONS(10754),
    [anon_sym_EQ_TILDE] = ACTIONS(10754),
    [anon_sym_BANG_TILDE] = ACTIONS(10754),
    [anon_sym_LT_EQ] = ACTIONS(10756),
    [anon_sym_GT] = ACTIONS(10756),
    [anon_sym_GT_EQ] = ACTIONS(10754),
    [anon_sym_CARET] = ACTIONS(10756),
    [anon_sym_PLUS] = ACTIONS(10756),
    [anon_sym_SLASH] = ACTIONS(10756),
    [anon_sym_PERCENT] = ACTIONS(10756),
    [sym_comment] = ACTIONS(87),
  },
  [10802] = {
    [sym__line_break] = ACTIONS(10911),
    [sym__heredoc_body_start] = ACTIONS(10911),
    [sym__element_reference_left_bracket] = ACTIONS(10911),
    [sym__infix_scope_colons] = ACTIONS(10911),
    [sym__binary_minus] = ACTIONS(10911),
    [sym__binary_star] = ACTIONS(10911),
    [ts_builtin_sym_end] = ACTIONS(10911),
    [anon_sym___END__] = ACTIONS(10911),
    [anon_sym_LBRACE] = ACTIONS(10911),
    [anon_sym_RBRACE] = ACTIONS(10911),
    [anon_sym_RPAREN] = ACTIONS(10911),
    [anon_sym_DOT] = ACTIONS(10913),
    [anon_sym_COMMA] = ACTIONS(10911),
    [anon_sym_PIPE] = ACTIONS(10913),
    [anon_sym_SEMI] = ACTIONS(10911),
    [anon_sym_STAR_STAR] = ACTIONS(10913),
    [anon_sym_AMP] = ACTIONS(10913),
    [anon_sym_EQ] = ACTIONS(10913),
    [anon_sym_LT] = ACTIONS(10913),
    [anon_sym_end] = ACTIONS(10911),
    [anon_sym_if] = ACTIONS(10911),
    [anon_sym_unless] = ACTIONS(10911),
    [anon_sym_while] = ACTIONS(10911),
    [anon_sym_until] = ACTIONS(10911),
    [anon_sym_rescue] = ACTIONS(10911),
    [anon_sym_do] = ACTIONS(10911),
    [anon_sym_when] = ACTIONS(10911),
    [anon_sym_elsif] = ACTIONS(10911),
    [anon_sym_else] = ACTIONS(10911),
    [anon_sym_then] = ACTIONS(10911),
    [anon_sym_ensure] = ACTIONS(10911),
    [anon_sym_AMP_DOT] = ACTIONS(10911),
    [anon_sym_PLUS_EQ] = ACTIONS(10911),
    [anon_sym_DASH_EQ] = ACTIONS(10911),
    [anon_sym_STAR_EQ] = ACTIONS(10911),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10911),
    [anon_sym_SLASH_EQ] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10911),
    [anon_sym_PIPE_EQ] = ACTIONS(10911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10911),
    [anon_sym_AMP_EQ] = ACTIONS(10911),
    [anon_sym_PERCENT_EQ] = ACTIONS(10911),
    [anon_sym_GT_GT_EQ] = ACTIONS(10911),
    [anon_sym_LT_LT_EQ] = ACTIONS(10911),
    [anon_sym_CARET_EQ] = ACTIONS(10911),
    [anon_sym_QMARK] = ACTIONS(10911),
    [anon_sym_DOT_DOT] = ACTIONS(10913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10911),
    [anon_sym_and] = ACTIONS(10911),
    [anon_sym_or] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE] = ACTIONS(10913),
    [anon_sym_AMP_AMP] = ACTIONS(10913),
    [anon_sym_LT_LT] = ACTIONS(10913),
    [anon_sym_GT_GT] = ACTIONS(10913),
    [anon_sym_EQ_EQ] = ACTIONS(10913),
    [anon_sym_BANG_EQ] = ACTIONS(10911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10911),
    [anon_sym_LT_EQ_GT] = ACTIONS(10911),
    [anon_sym_EQ_TILDE] = ACTIONS(10911),
    [anon_sym_BANG_TILDE] = ACTIONS(10911),
    [anon_sym_LT_EQ] = ACTIONS(10913),
    [anon_sym_GT] = ACTIONS(10913),
    [anon_sym_GT_EQ] = ACTIONS(10911),
    [anon_sym_CARET] = ACTIONS(10913),
    [anon_sym_PLUS] = ACTIONS(10913),
    [anon_sym_SLASH] = ACTIONS(10913),
    [anon_sym_PERCENT] = ACTIONS(10913),
    [sym_comment] = ACTIONS(87),
  },
  [10803] = {
    [anon_sym_end] = ACTIONS(14476),
    [sym_comment] = ACTIONS(87),
  },
  [10804] = {
    [sym_elsif] = STATE(11594),
    [sym_else] = STATE(11594),
    [sym__if_tail] = STATE(11594),
    [anon_sym_end] = ACTIONS(14476),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [10805] = {
    [sym__line_break] = ACTIONS(11082),
    [sym__heredoc_body_start] = ACTIONS(11082),
    [sym__element_reference_left_bracket] = ACTIONS(11082),
    [sym__infix_scope_colons] = ACTIONS(11082),
    [sym__binary_minus] = ACTIONS(11082),
    [sym__binary_star] = ACTIONS(11082),
    [ts_builtin_sym_end] = ACTIONS(11082),
    [anon_sym___END__] = ACTIONS(11082),
    [anon_sym_LBRACE] = ACTIONS(11082),
    [anon_sym_RBRACE] = ACTIONS(11082),
    [anon_sym_RPAREN] = ACTIONS(11082),
    [anon_sym_DOT] = ACTIONS(11084),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_PIPE] = ACTIONS(11084),
    [anon_sym_SEMI] = ACTIONS(11082),
    [anon_sym_STAR_STAR] = ACTIONS(11084),
    [anon_sym_AMP] = ACTIONS(11084),
    [anon_sym_EQ] = ACTIONS(11084),
    [anon_sym_LT] = ACTIONS(11084),
    [anon_sym_end] = ACTIONS(11082),
    [anon_sym_if] = ACTIONS(11082),
    [anon_sym_unless] = ACTIONS(11082),
    [anon_sym_while] = ACTIONS(11082),
    [anon_sym_until] = ACTIONS(11082),
    [anon_sym_rescue] = ACTIONS(11082),
    [anon_sym_do] = ACTIONS(11082),
    [anon_sym_when] = ACTIONS(11082),
    [anon_sym_elsif] = ACTIONS(11082),
    [anon_sym_else] = ACTIONS(11082),
    [anon_sym_then] = ACTIONS(11082),
    [anon_sym_ensure] = ACTIONS(11082),
    [anon_sym_AMP_DOT] = ACTIONS(11082),
    [anon_sym_PLUS_EQ] = ACTIONS(11082),
    [anon_sym_DASH_EQ] = ACTIONS(11082),
    [anon_sym_STAR_EQ] = ACTIONS(11082),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11082),
    [anon_sym_SLASH_EQ] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11082),
    [anon_sym_PIPE_EQ] = ACTIONS(11082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11082),
    [anon_sym_AMP_EQ] = ACTIONS(11082),
    [anon_sym_PERCENT_EQ] = ACTIONS(11082),
    [anon_sym_GT_GT_EQ] = ACTIONS(11082),
    [anon_sym_LT_LT_EQ] = ACTIONS(11082),
    [anon_sym_CARET_EQ] = ACTIONS(11082),
    [anon_sym_QMARK] = ACTIONS(11082),
    [anon_sym_DOT_DOT] = ACTIONS(11084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11082),
    [anon_sym_and] = ACTIONS(11082),
    [anon_sym_or] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE] = ACTIONS(11084),
    [anon_sym_AMP_AMP] = ACTIONS(11084),
    [anon_sym_LT_LT] = ACTIONS(11084),
    [anon_sym_GT_GT] = ACTIONS(11084),
    [anon_sym_EQ_EQ] = ACTIONS(11084),
    [anon_sym_BANG_EQ] = ACTIONS(11082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11082),
    [anon_sym_LT_EQ_GT] = ACTIONS(11082),
    [anon_sym_EQ_TILDE] = ACTIONS(11082),
    [anon_sym_BANG_TILDE] = ACTIONS(11082),
    [anon_sym_LT_EQ] = ACTIONS(11084),
    [anon_sym_GT] = ACTIONS(11084),
    [anon_sym_GT_EQ] = ACTIONS(11082),
    [anon_sym_CARET] = ACTIONS(11084),
    [anon_sym_PLUS] = ACTIONS(11084),
    [anon_sym_SLASH] = ACTIONS(11084),
    [anon_sym_PERCENT] = ACTIONS(11084),
    [sym_comment] = ACTIONS(87),
  },
  [10806] = {
    [anon_sym_end] = ACTIONS(14478),
    [sym_comment] = ACTIONS(87),
  },
  [10807] = {
    [sym__line_break] = ACTIONS(11177),
    [sym__heredoc_body_start] = ACTIONS(11177),
    [sym__element_reference_left_bracket] = ACTIONS(11177),
    [sym__infix_scope_colons] = ACTIONS(11177),
    [sym__binary_minus] = ACTIONS(11177),
    [sym__binary_star] = ACTIONS(11177),
    [ts_builtin_sym_end] = ACTIONS(11177),
    [anon_sym___END__] = ACTIONS(11177),
    [anon_sym_LBRACE] = ACTIONS(11177),
    [anon_sym_RBRACE] = ACTIONS(11177),
    [anon_sym_RPAREN] = ACTIONS(11177),
    [anon_sym_DOT] = ACTIONS(11179),
    [anon_sym_COMMA] = ACTIONS(11177),
    [anon_sym_PIPE] = ACTIONS(11179),
    [anon_sym_SEMI] = ACTIONS(11177),
    [anon_sym_STAR_STAR] = ACTIONS(11179),
    [anon_sym_AMP] = ACTIONS(11179),
    [anon_sym_EQ] = ACTIONS(11179),
    [anon_sym_LT] = ACTIONS(11179),
    [anon_sym_end] = ACTIONS(11177),
    [anon_sym_if] = ACTIONS(11177),
    [anon_sym_unless] = ACTIONS(11177),
    [anon_sym_while] = ACTIONS(11177),
    [anon_sym_until] = ACTIONS(11177),
    [anon_sym_rescue] = ACTIONS(11177),
    [anon_sym_do] = ACTIONS(11177),
    [anon_sym_when] = ACTIONS(11177),
    [anon_sym_elsif] = ACTIONS(11177),
    [anon_sym_else] = ACTIONS(11177),
    [anon_sym_then] = ACTIONS(11177),
    [anon_sym_ensure] = ACTIONS(11177),
    [anon_sym_AMP_DOT] = ACTIONS(11177),
    [anon_sym_PLUS_EQ] = ACTIONS(11177),
    [anon_sym_DASH_EQ] = ACTIONS(11177),
    [anon_sym_STAR_EQ] = ACTIONS(11177),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11177),
    [anon_sym_SLASH_EQ] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11177),
    [anon_sym_PIPE_EQ] = ACTIONS(11177),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11177),
    [anon_sym_AMP_EQ] = ACTIONS(11177),
    [anon_sym_PERCENT_EQ] = ACTIONS(11177),
    [anon_sym_GT_GT_EQ] = ACTIONS(11177),
    [anon_sym_LT_LT_EQ] = ACTIONS(11177),
    [anon_sym_CARET_EQ] = ACTIONS(11177),
    [anon_sym_QMARK] = ACTIONS(11177),
    [anon_sym_DOT_DOT] = ACTIONS(11179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11177),
    [anon_sym_and] = ACTIONS(11177),
    [anon_sym_or] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE] = ACTIONS(11179),
    [anon_sym_AMP_AMP] = ACTIONS(11179),
    [anon_sym_LT_LT] = ACTIONS(11179),
    [anon_sym_GT_GT] = ACTIONS(11179),
    [anon_sym_EQ_EQ] = ACTIONS(11179),
    [anon_sym_BANG_EQ] = ACTIONS(11177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11177),
    [anon_sym_LT_EQ_GT] = ACTIONS(11177),
    [anon_sym_EQ_TILDE] = ACTIONS(11177),
    [anon_sym_BANG_TILDE] = ACTIONS(11177),
    [anon_sym_LT_EQ] = ACTIONS(11179),
    [anon_sym_GT] = ACTIONS(11179),
    [anon_sym_GT_EQ] = ACTIONS(11177),
    [anon_sym_CARET] = ACTIONS(11179),
    [anon_sym_PLUS] = ACTIONS(11179),
    [anon_sym_SLASH] = ACTIONS(11179),
    [anon_sym_PERCENT] = ACTIONS(11179),
    [sym_comment] = ACTIONS(87),
  },
  [10808] = {
    [sym__line_break] = ACTIONS(11186),
    [sym__heredoc_body_start] = ACTIONS(11186),
    [sym__element_reference_left_bracket] = ACTIONS(11186),
    [sym__infix_scope_colons] = ACTIONS(11186),
    [sym__binary_minus] = ACTIONS(11186),
    [sym__binary_star] = ACTIONS(11186),
    [ts_builtin_sym_end] = ACTIONS(11186),
    [anon_sym___END__] = ACTIONS(11186),
    [anon_sym_LBRACE] = ACTIONS(11186),
    [anon_sym_RBRACE] = ACTIONS(11186),
    [anon_sym_RPAREN] = ACTIONS(11186),
    [anon_sym_DOT] = ACTIONS(11188),
    [anon_sym_COMMA] = ACTIONS(11186),
    [anon_sym_PIPE] = ACTIONS(11188),
    [anon_sym_SEMI] = ACTIONS(11186),
    [anon_sym_STAR_STAR] = ACTIONS(11188),
    [anon_sym_AMP] = ACTIONS(11188),
    [anon_sym_EQ] = ACTIONS(11188),
    [anon_sym_LT] = ACTIONS(11188),
    [anon_sym_end] = ACTIONS(11186),
    [anon_sym_if] = ACTIONS(11186),
    [anon_sym_unless] = ACTIONS(11186),
    [anon_sym_while] = ACTIONS(11186),
    [anon_sym_until] = ACTIONS(11186),
    [anon_sym_rescue] = ACTIONS(11186),
    [anon_sym_do] = ACTIONS(11186),
    [anon_sym_when] = ACTIONS(11186),
    [anon_sym_elsif] = ACTIONS(11186),
    [anon_sym_else] = ACTIONS(11186),
    [anon_sym_then] = ACTIONS(11186),
    [anon_sym_ensure] = ACTIONS(11186),
    [anon_sym_AMP_DOT] = ACTIONS(11186),
    [anon_sym_PLUS_EQ] = ACTIONS(11186),
    [anon_sym_DASH_EQ] = ACTIONS(11186),
    [anon_sym_STAR_EQ] = ACTIONS(11186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11186),
    [anon_sym_SLASH_EQ] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11186),
    [anon_sym_PIPE_EQ] = ACTIONS(11186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11186),
    [anon_sym_AMP_EQ] = ACTIONS(11186),
    [anon_sym_PERCENT_EQ] = ACTIONS(11186),
    [anon_sym_GT_GT_EQ] = ACTIONS(11186),
    [anon_sym_LT_LT_EQ] = ACTIONS(11186),
    [anon_sym_CARET_EQ] = ACTIONS(11186),
    [anon_sym_QMARK] = ACTIONS(11186),
    [anon_sym_DOT_DOT] = ACTIONS(11188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11186),
    [anon_sym_and] = ACTIONS(11186),
    [anon_sym_or] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11188),
    [anon_sym_AMP_AMP] = ACTIONS(11188),
    [anon_sym_LT_LT] = ACTIONS(11188),
    [anon_sym_GT_GT] = ACTIONS(11188),
    [anon_sym_EQ_EQ] = ACTIONS(11188),
    [anon_sym_BANG_EQ] = ACTIONS(11186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11186),
    [anon_sym_LT_EQ_GT] = ACTIONS(11186),
    [anon_sym_EQ_TILDE] = ACTIONS(11186),
    [anon_sym_BANG_TILDE] = ACTIONS(11186),
    [anon_sym_LT_EQ] = ACTIONS(11188),
    [anon_sym_GT] = ACTIONS(11188),
    [anon_sym_GT_EQ] = ACTIONS(11186),
    [anon_sym_CARET] = ACTIONS(11188),
    [anon_sym_PLUS] = ACTIONS(11188),
    [anon_sym_SLASH] = ACTIONS(11188),
    [anon_sym_PERCENT] = ACTIONS(11188),
    [sym_comment] = ACTIONS(87),
  },
  [10809] = {
    [sym__line_break] = ACTIONS(11233),
    [sym__heredoc_body_start] = ACTIONS(11233),
    [sym__element_reference_left_bracket] = ACTIONS(11233),
    [sym__infix_scope_colons] = ACTIONS(11233),
    [sym__binary_minus] = ACTIONS(11233),
    [sym__binary_star] = ACTIONS(11233),
    [ts_builtin_sym_end] = ACTIONS(11233),
    [anon_sym___END__] = ACTIONS(11233),
    [anon_sym_LBRACE] = ACTIONS(11233),
    [anon_sym_RBRACE] = ACTIONS(11233),
    [anon_sym_RPAREN] = ACTIONS(11233),
    [anon_sym_DOT] = ACTIONS(11235),
    [anon_sym_COMMA] = ACTIONS(11233),
    [anon_sym_PIPE] = ACTIONS(11235),
    [anon_sym_SEMI] = ACTIONS(11233),
    [anon_sym_STAR_STAR] = ACTIONS(11235),
    [anon_sym_AMP] = ACTIONS(11235),
    [anon_sym_EQ] = ACTIONS(11235),
    [anon_sym_LT] = ACTIONS(11235),
    [anon_sym_end] = ACTIONS(11233),
    [anon_sym_if] = ACTIONS(11233),
    [anon_sym_unless] = ACTIONS(11233),
    [anon_sym_while] = ACTIONS(11233),
    [anon_sym_until] = ACTIONS(11233),
    [anon_sym_rescue] = ACTIONS(11233),
    [anon_sym_do] = ACTIONS(11233),
    [anon_sym_when] = ACTIONS(11233),
    [anon_sym_elsif] = ACTIONS(11233),
    [anon_sym_else] = ACTIONS(11233),
    [anon_sym_then] = ACTIONS(11233),
    [anon_sym_ensure] = ACTIONS(11233),
    [anon_sym_AMP_DOT] = ACTIONS(11233),
    [anon_sym_PLUS_EQ] = ACTIONS(11233),
    [anon_sym_DASH_EQ] = ACTIONS(11233),
    [anon_sym_STAR_EQ] = ACTIONS(11233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11233),
    [anon_sym_SLASH_EQ] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11233),
    [anon_sym_PIPE_EQ] = ACTIONS(11233),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11233),
    [anon_sym_AMP_EQ] = ACTIONS(11233),
    [anon_sym_PERCENT_EQ] = ACTIONS(11233),
    [anon_sym_GT_GT_EQ] = ACTIONS(11233),
    [anon_sym_LT_LT_EQ] = ACTIONS(11233),
    [anon_sym_CARET_EQ] = ACTIONS(11233),
    [anon_sym_QMARK] = ACTIONS(11233),
    [anon_sym_DOT_DOT] = ACTIONS(11235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11233),
    [anon_sym_and] = ACTIONS(11233),
    [anon_sym_or] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE] = ACTIONS(11235),
    [anon_sym_AMP_AMP] = ACTIONS(11235),
    [anon_sym_LT_LT] = ACTIONS(11235),
    [anon_sym_GT_GT] = ACTIONS(11235),
    [anon_sym_EQ_EQ] = ACTIONS(11235),
    [anon_sym_BANG_EQ] = ACTIONS(11233),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11233),
    [anon_sym_LT_EQ_GT] = ACTIONS(11233),
    [anon_sym_EQ_TILDE] = ACTIONS(11233),
    [anon_sym_BANG_TILDE] = ACTIONS(11233),
    [anon_sym_LT_EQ] = ACTIONS(11235),
    [anon_sym_GT] = ACTIONS(11235),
    [anon_sym_GT_EQ] = ACTIONS(11233),
    [anon_sym_CARET] = ACTIONS(11235),
    [anon_sym_PLUS] = ACTIONS(11235),
    [anon_sym_SLASH] = ACTIONS(11235),
    [anon_sym_PERCENT] = ACTIONS(11235),
    [sym_comment] = ACTIONS(87),
  },
  [10810] = {
    [anon_sym_end] = ACTIONS(14480),
    [sym_comment] = ACTIONS(87),
  },
  [10811] = {
    [sym__line_break] = ACTIONS(11246),
    [sym__heredoc_body_start] = ACTIONS(11246),
    [sym__element_reference_left_bracket] = ACTIONS(11246),
    [sym__infix_scope_colons] = ACTIONS(11246),
    [sym__binary_minus] = ACTIONS(11246),
    [sym__binary_star] = ACTIONS(11246),
    [ts_builtin_sym_end] = ACTIONS(11246),
    [anon_sym___END__] = ACTIONS(11246),
    [anon_sym_LBRACE] = ACTIONS(11246),
    [anon_sym_RBRACE] = ACTIONS(11246),
    [anon_sym_RPAREN] = ACTIONS(11246),
    [anon_sym_DOT] = ACTIONS(11248),
    [anon_sym_COMMA] = ACTIONS(11246),
    [anon_sym_PIPE] = ACTIONS(11248),
    [anon_sym_SEMI] = ACTIONS(11246),
    [anon_sym_STAR_STAR] = ACTIONS(11248),
    [anon_sym_AMP] = ACTIONS(11248),
    [anon_sym_EQ] = ACTIONS(11248),
    [anon_sym_LT] = ACTIONS(11248),
    [anon_sym_end] = ACTIONS(11246),
    [anon_sym_if] = ACTIONS(11246),
    [anon_sym_unless] = ACTIONS(11246),
    [anon_sym_while] = ACTIONS(11246),
    [anon_sym_until] = ACTIONS(11246),
    [anon_sym_rescue] = ACTIONS(11246),
    [anon_sym_do] = ACTIONS(11246),
    [anon_sym_when] = ACTIONS(11246),
    [anon_sym_elsif] = ACTIONS(11246),
    [anon_sym_else] = ACTIONS(11246),
    [anon_sym_then] = ACTIONS(11246),
    [anon_sym_ensure] = ACTIONS(11246),
    [anon_sym_AMP_DOT] = ACTIONS(11246),
    [anon_sym_PLUS_EQ] = ACTIONS(11246),
    [anon_sym_DASH_EQ] = ACTIONS(11246),
    [anon_sym_STAR_EQ] = ACTIONS(11246),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11246),
    [anon_sym_SLASH_EQ] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11246),
    [anon_sym_PIPE_EQ] = ACTIONS(11246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11246),
    [anon_sym_AMP_EQ] = ACTIONS(11246),
    [anon_sym_PERCENT_EQ] = ACTIONS(11246),
    [anon_sym_GT_GT_EQ] = ACTIONS(11246),
    [anon_sym_LT_LT_EQ] = ACTIONS(11246),
    [anon_sym_CARET_EQ] = ACTIONS(11246),
    [anon_sym_QMARK] = ACTIONS(11246),
    [anon_sym_DOT_DOT] = ACTIONS(11248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11246),
    [anon_sym_and] = ACTIONS(11246),
    [anon_sym_or] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE] = ACTIONS(11248),
    [anon_sym_AMP_AMP] = ACTIONS(11248),
    [anon_sym_LT_LT] = ACTIONS(11248),
    [anon_sym_GT_GT] = ACTIONS(11248),
    [anon_sym_EQ_EQ] = ACTIONS(11248),
    [anon_sym_BANG_EQ] = ACTIONS(11246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11246),
    [anon_sym_LT_EQ_GT] = ACTIONS(11246),
    [anon_sym_EQ_TILDE] = ACTIONS(11246),
    [anon_sym_BANG_TILDE] = ACTIONS(11246),
    [anon_sym_LT_EQ] = ACTIONS(11248),
    [anon_sym_GT] = ACTIONS(11248),
    [anon_sym_GT_EQ] = ACTIONS(11246),
    [anon_sym_CARET] = ACTIONS(11248),
    [anon_sym_PLUS] = ACTIONS(11248),
    [anon_sym_SLASH] = ACTIONS(11248),
    [anon_sym_PERCENT] = ACTIONS(11248),
    [sym_comment] = ACTIONS(87),
  },
  [10812] = {
    [anon_sym_end] = ACTIONS(14482),
    [sym_comment] = ACTIONS(87),
  },
  [10813] = {
    [sym__line_break] = ACTIONS(11712),
    [sym__heredoc_body_start] = ACTIONS(11712),
    [sym__element_reference_left_bracket] = ACTIONS(11712),
    [sym__infix_scope_colons] = ACTIONS(11712),
    [sym__binary_minus] = ACTIONS(11712),
    [sym__binary_star] = ACTIONS(11712),
    [ts_builtin_sym_end] = ACTIONS(11712),
    [anon_sym___END__] = ACTIONS(11712),
    [anon_sym_LBRACE] = ACTIONS(11712),
    [anon_sym_RBRACE] = ACTIONS(11712),
    [anon_sym_RPAREN] = ACTIONS(11712),
    [anon_sym_DOT] = ACTIONS(11714),
    [anon_sym_COMMA] = ACTIONS(11712),
    [anon_sym_PIPE] = ACTIONS(11714),
    [anon_sym_SEMI] = ACTIONS(11712),
    [anon_sym_STAR_STAR] = ACTIONS(11714),
    [anon_sym_AMP] = ACTIONS(11714),
    [anon_sym_EQ] = ACTIONS(11714),
    [anon_sym_LT] = ACTIONS(11714),
    [anon_sym_end] = ACTIONS(11712),
    [anon_sym_if] = ACTIONS(11712),
    [anon_sym_unless] = ACTIONS(11712),
    [anon_sym_while] = ACTIONS(11712),
    [anon_sym_until] = ACTIONS(11712),
    [anon_sym_rescue] = ACTIONS(11712),
    [anon_sym_do] = ACTIONS(11712),
    [anon_sym_when] = ACTIONS(11712),
    [anon_sym_elsif] = ACTIONS(11712),
    [anon_sym_else] = ACTIONS(11712),
    [anon_sym_then] = ACTIONS(11712),
    [anon_sym_ensure] = ACTIONS(11712),
    [anon_sym_AMP_DOT] = ACTIONS(11712),
    [anon_sym_PLUS_EQ] = ACTIONS(11712),
    [anon_sym_DASH_EQ] = ACTIONS(11712),
    [anon_sym_STAR_EQ] = ACTIONS(11712),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11712),
    [anon_sym_SLASH_EQ] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11712),
    [anon_sym_PIPE_EQ] = ACTIONS(11712),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11712),
    [anon_sym_AMP_EQ] = ACTIONS(11712),
    [anon_sym_PERCENT_EQ] = ACTIONS(11712),
    [anon_sym_GT_GT_EQ] = ACTIONS(11712),
    [anon_sym_LT_LT_EQ] = ACTIONS(11712),
    [anon_sym_CARET_EQ] = ACTIONS(11712),
    [anon_sym_QMARK] = ACTIONS(11712),
    [anon_sym_DOT_DOT] = ACTIONS(11714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11712),
    [anon_sym_and] = ACTIONS(11712),
    [anon_sym_or] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE] = ACTIONS(11714),
    [anon_sym_AMP_AMP] = ACTIONS(11714),
    [anon_sym_LT_LT] = ACTIONS(11714),
    [anon_sym_GT_GT] = ACTIONS(11714),
    [anon_sym_EQ_EQ] = ACTIONS(11714),
    [anon_sym_BANG_EQ] = ACTIONS(11712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11712),
    [anon_sym_LT_EQ_GT] = ACTIONS(11712),
    [anon_sym_EQ_TILDE] = ACTIONS(11712),
    [anon_sym_BANG_TILDE] = ACTIONS(11712),
    [anon_sym_LT_EQ] = ACTIONS(11714),
    [anon_sym_GT] = ACTIONS(11714),
    [anon_sym_GT_EQ] = ACTIONS(11712),
    [anon_sym_CARET] = ACTIONS(11714),
    [anon_sym_PLUS] = ACTIONS(11714),
    [anon_sym_SLASH] = ACTIONS(11714),
    [anon_sym_PERCENT] = ACTIONS(11714),
    [sym_comment] = ACTIONS(87),
  },
  [10814] = {
    [anon_sym_end] = ACTIONS(14484),
    [sym_comment] = ACTIONS(87),
  },
  [10815] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(5994),
    [sym__binary_star] = ACTIONS(5996),
    [ts_builtin_sym_end] = ACTIONS(12002),
    [anon_sym___END__] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_DOT_DOT] = ACTIONS(6008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6010),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(6012),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_EQ_TILDE] = ACTIONS(6016),
    [anon_sym_BANG_TILDE] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(87),
  },
  [10816] = {
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [ts_builtin_sym_end] = ACTIONS(11449),
    [anon_sym___END__] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(11449),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_when] = ACTIONS(11449),
    [anon_sym_elsif] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [10817] = {
    [aux_sym_exceptions_repeat1] = STATE(10817),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [ts_builtin_sym_end] = ACTIONS(11449),
    [anon_sym___END__] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14486),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [10818] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(6046),
    [sym__binary_star] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(6050),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(6056),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(6058),
    [anon_sym_DOT_DOT] = ACTIONS(6060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6062),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(6066),
    [anon_sym_AMP_AMP] = ACTIONS(6066),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(6070),
    [anon_sym_BANG_EQ] = ACTIONS(6066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6066),
    [anon_sym_LT_EQ_GT] = ACTIONS(6066),
    [anon_sym_EQ_TILDE] = ACTIONS(6066),
    [anon_sym_BANG_TILDE] = ACTIONS(6066),
    [anon_sym_LT_EQ] = ACTIONS(6056),
    [anon_sym_GT] = ACTIONS(6056),
    [anon_sym_GT_EQ] = ACTIONS(6072),
    [anon_sym_CARET] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6052),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(87),
  },
  [10819] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [10820] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [10821] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(12169),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12181),
    [anon_sym_GT_GT] = ACTIONS(12181),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [10822] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [10823] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12181),
    [anon_sym_GT_GT] = ACTIONS(12181),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [10824] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12165),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(12169),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12181),
    [anon_sym_GT_GT] = ACTIONS(12181),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(12187),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [10825] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14489),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10826] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(12165),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(12169),
    [anon_sym_LT] = ACTIONS(12171),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(12175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12177),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(12179),
    [anon_sym_AMP_AMP] = ACTIONS(12179),
    [anon_sym_LT_LT] = ACTIONS(12181),
    [anon_sym_GT_GT] = ACTIONS(12181),
    [anon_sym_EQ_EQ] = ACTIONS(12183),
    [anon_sym_BANG_EQ] = ACTIONS(12179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12179),
    [anon_sym_LT_EQ_GT] = ACTIONS(12179),
    [anon_sym_EQ_TILDE] = ACTIONS(12179),
    [anon_sym_BANG_TILDE] = ACTIONS(12179),
    [anon_sym_LT_EQ] = ACTIONS(12171),
    [anon_sym_GT] = ACTIONS(12171),
    [anon_sym_GT_EQ] = ACTIONS(12185),
    [anon_sym_CARET] = ACTIONS(12187),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [10827] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12165),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(12169),
    [anon_sym_LT] = ACTIONS(12171),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(12173),
    [anon_sym_DOT_DOT] = ACTIONS(12175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12177),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(12179),
    [anon_sym_AMP_AMP] = ACTIONS(12179),
    [anon_sym_LT_LT] = ACTIONS(12181),
    [anon_sym_GT_GT] = ACTIONS(12181),
    [anon_sym_EQ_EQ] = ACTIONS(12183),
    [anon_sym_BANG_EQ] = ACTIONS(12179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12179),
    [anon_sym_LT_EQ_GT] = ACTIONS(12179),
    [anon_sym_EQ_TILDE] = ACTIONS(12179),
    [anon_sym_BANG_TILDE] = ACTIONS(12179),
    [anon_sym_LT_EQ] = ACTIONS(12171),
    [anon_sym_GT] = ACTIONS(12171),
    [anon_sym_GT_EQ] = ACTIONS(12185),
    [anon_sym_CARET] = ACTIONS(12187),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [10828] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12165),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(12169),
    [anon_sym_LT] = ACTIONS(12171),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12181),
    [anon_sym_GT_GT] = ACTIONS(12181),
    [anon_sym_EQ_EQ] = ACTIONS(12183),
    [anon_sym_BANG_EQ] = ACTIONS(12179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12179),
    [anon_sym_LT_EQ_GT] = ACTIONS(12179),
    [anon_sym_EQ_TILDE] = ACTIONS(12179),
    [anon_sym_BANG_TILDE] = ACTIONS(12179),
    [anon_sym_LT_EQ] = ACTIONS(12171),
    [anon_sym_GT] = ACTIONS(12171),
    [anon_sym_GT_EQ] = ACTIONS(12185),
    [anon_sym_CARET] = ACTIONS(12187),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [10829] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [10830] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [10831] = {
    [aux_sym_exceptions_repeat1] = STATE(10831),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(14491),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10832] = {
    [aux_sym_exceptions_repeat1] = STATE(9346),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_RBRACE] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [10833] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(12165),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(12169),
    [anon_sym_LT] = ACTIONS(12171),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(12173),
    [anon_sym_DOT_DOT] = ACTIONS(12175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12177),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(12179),
    [anon_sym_AMP_AMP] = ACTIONS(12179),
    [anon_sym_LT_LT] = ACTIONS(12181),
    [anon_sym_GT_GT] = ACTIONS(12181),
    [anon_sym_EQ_EQ] = ACTIONS(12183),
    [anon_sym_BANG_EQ] = ACTIONS(12179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12179),
    [anon_sym_LT_EQ_GT] = ACTIONS(12179),
    [anon_sym_EQ_TILDE] = ACTIONS(12179),
    [anon_sym_BANG_TILDE] = ACTIONS(12179),
    [anon_sym_LT_EQ] = ACTIONS(12171),
    [anon_sym_GT] = ACTIONS(12171),
    [anon_sym_GT_EQ] = ACTIONS(12185),
    [anon_sym_CARET] = ACTIONS(12187),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [10834] = {
    [sym__line_break] = ACTIONS(12444),
    [sym__heredoc_body_start] = ACTIONS(12444),
    [sym__element_reference_left_bracket] = ACTIONS(12444),
    [sym__infix_scope_colons] = ACTIONS(12444),
    [sym__binary_minus] = ACTIONS(12444),
    [sym__binary_star] = ACTIONS(12444),
    [ts_builtin_sym_end] = ACTIONS(12444),
    [anon_sym___END__] = ACTIONS(12444),
    [anon_sym_LBRACE] = ACTIONS(12444),
    [anon_sym_RBRACE] = ACTIONS(12444),
    [anon_sym_RPAREN] = ACTIONS(12444),
    [anon_sym_DOT] = ACTIONS(12446),
    [anon_sym_COMMA] = ACTIONS(12444),
    [anon_sym_PIPE] = ACTIONS(12446),
    [anon_sym_SEMI] = ACTIONS(12444),
    [anon_sym_STAR_STAR] = ACTIONS(12446),
    [anon_sym_AMP] = ACTIONS(12446),
    [anon_sym_EQ] = ACTIONS(12446),
    [anon_sym_LT] = ACTIONS(12446),
    [anon_sym_end] = ACTIONS(12444),
    [anon_sym_if] = ACTIONS(12444),
    [anon_sym_unless] = ACTIONS(12444),
    [anon_sym_while] = ACTIONS(12444),
    [anon_sym_until] = ACTIONS(12444),
    [anon_sym_rescue] = ACTIONS(12444),
    [anon_sym_do] = ACTIONS(12444),
    [anon_sym_when] = ACTIONS(12444),
    [anon_sym_elsif] = ACTIONS(12444),
    [anon_sym_else] = ACTIONS(12444),
    [anon_sym_then] = ACTIONS(12444),
    [anon_sym_ensure] = ACTIONS(12444),
    [anon_sym_EQ_GT] = ACTIONS(12444),
    [anon_sym_AMP_DOT] = ACTIONS(12444),
    [anon_sym_PLUS_EQ] = ACTIONS(12444),
    [anon_sym_DASH_EQ] = ACTIONS(12444),
    [anon_sym_STAR_EQ] = ACTIONS(12444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12444),
    [anon_sym_SLASH_EQ] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12444),
    [anon_sym_PIPE_EQ] = ACTIONS(12444),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12444),
    [anon_sym_AMP_EQ] = ACTIONS(12444),
    [anon_sym_PERCENT_EQ] = ACTIONS(12444),
    [anon_sym_GT_GT_EQ] = ACTIONS(12444),
    [anon_sym_LT_LT_EQ] = ACTIONS(12444),
    [anon_sym_CARET_EQ] = ACTIONS(12444),
    [anon_sym_QMARK] = ACTIONS(12444),
    [anon_sym_DOT_DOT] = ACTIONS(12446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12444),
    [anon_sym_and] = ACTIONS(12444),
    [anon_sym_or] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE] = ACTIONS(12446),
    [anon_sym_AMP_AMP] = ACTIONS(12446),
    [anon_sym_LT_LT] = ACTIONS(12446),
    [anon_sym_GT_GT] = ACTIONS(12446),
    [anon_sym_EQ_EQ] = ACTIONS(12446),
    [anon_sym_BANG_EQ] = ACTIONS(12444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12444),
    [anon_sym_LT_EQ_GT] = ACTIONS(12444),
    [anon_sym_EQ_TILDE] = ACTIONS(12444),
    [anon_sym_BANG_TILDE] = ACTIONS(12444),
    [anon_sym_LT_EQ] = ACTIONS(12446),
    [anon_sym_GT] = ACTIONS(12446),
    [anon_sym_GT_EQ] = ACTIONS(12444),
    [anon_sym_CARET] = ACTIONS(12446),
    [anon_sym_PLUS] = ACTIONS(12446),
    [anon_sym_SLASH] = ACTIONS(12446),
    [anon_sym_PERCENT] = ACTIONS(12446),
    [sym_comment] = ACTIONS(87),
  },
  [10835] = {
    [sym__line_break] = ACTIONS(12737),
    [sym__heredoc_body_start] = ACTIONS(12737),
    [sym__element_reference_left_bracket] = ACTIONS(12737),
    [sym__infix_scope_colons] = ACTIONS(12737),
    [sym__binary_minus] = ACTIONS(12737),
    [sym__binary_star] = ACTIONS(12737),
    [ts_builtin_sym_end] = ACTIONS(12737),
    [anon_sym___END__] = ACTIONS(12737),
    [anon_sym_LBRACE] = ACTIONS(12737),
    [anon_sym_RBRACE] = ACTIONS(12737),
    [anon_sym_RPAREN] = ACTIONS(12737),
    [anon_sym_DOT] = ACTIONS(12739),
    [anon_sym_COMMA] = ACTIONS(12737),
    [anon_sym_PIPE] = ACTIONS(12739),
    [anon_sym_SEMI] = ACTIONS(12737),
    [anon_sym_STAR_STAR] = ACTIONS(12739),
    [anon_sym_AMP] = ACTIONS(12739),
    [anon_sym_EQ] = ACTIONS(12739),
    [anon_sym_LT] = ACTIONS(12739),
    [anon_sym_end] = ACTIONS(12737),
    [anon_sym_if] = ACTIONS(12737),
    [anon_sym_unless] = ACTIONS(12737),
    [anon_sym_while] = ACTIONS(12737),
    [anon_sym_until] = ACTIONS(12737),
    [anon_sym_rescue] = ACTIONS(12737),
    [anon_sym_do] = ACTIONS(12737),
    [anon_sym_when] = ACTIONS(12737),
    [anon_sym_elsif] = ACTIONS(12737),
    [anon_sym_else] = ACTIONS(12737),
    [anon_sym_then] = ACTIONS(12737),
    [anon_sym_ensure] = ACTIONS(12737),
    [anon_sym_EQ_GT] = ACTIONS(12737),
    [anon_sym_AMP_DOT] = ACTIONS(12737),
    [anon_sym_PLUS_EQ] = ACTIONS(12737),
    [anon_sym_DASH_EQ] = ACTIONS(12737),
    [anon_sym_STAR_EQ] = ACTIONS(12737),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12737),
    [anon_sym_SLASH_EQ] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12737),
    [anon_sym_PIPE_EQ] = ACTIONS(12737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12737),
    [anon_sym_AMP_EQ] = ACTIONS(12737),
    [anon_sym_PERCENT_EQ] = ACTIONS(12737),
    [anon_sym_GT_GT_EQ] = ACTIONS(12737),
    [anon_sym_LT_LT_EQ] = ACTIONS(12737),
    [anon_sym_CARET_EQ] = ACTIONS(12737),
    [anon_sym_QMARK] = ACTIONS(12737),
    [anon_sym_DOT_DOT] = ACTIONS(12739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12737),
    [anon_sym_and] = ACTIONS(12737),
    [anon_sym_or] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE] = ACTIONS(12739),
    [anon_sym_AMP_AMP] = ACTIONS(12739),
    [anon_sym_LT_LT] = ACTIONS(12739),
    [anon_sym_GT_GT] = ACTIONS(12739),
    [anon_sym_EQ_EQ] = ACTIONS(12739),
    [anon_sym_BANG_EQ] = ACTIONS(12737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12737),
    [anon_sym_LT_EQ_GT] = ACTIONS(12737),
    [anon_sym_EQ_TILDE] = ACTIONS(12737),
    [anon_sym_BANG_TILDE] = ACTIONS(12737),
    [anon_sym_LT_EQ] = ACTIONS(12739),
    [anon_sym_GT] = ACTIONS(12739),
    [anon_sym_GT_EQ] = ACTIONS(12737),
    [anon_sym_CARET] = ACTIONS(12739),
    [anon_sym_PLUS] = ACTIONS(12739),
    [anon_sym_SLASH] = ACTIONS(12739),
    [anon_sym_PERCENT] = ACTIONS(12739),
    [sym_comment] = ACTIONS(87),
  },
  [10836] = {
    [anon_sym_end] = ACTIONS(14494),
    [sym_comment] = ACTIONS(87),
  },
  [10837] = {
    [sym__line_break] = ACTIONS(12881),
    [sym__heredoc_body_start] = ACTIONS(12881),
    [sym__element_reference_left_bracket] = ACTIONS(12881),
    [sym__infix_scope_colons] = ACTIONS(12881),
    [sym__binary_minus] = ACTIONS(12881),
    [sym__binary_star] = ACTIONS(12881),
    [ts_builtin_sym_end] = ACTIONS(12881),
    [anon_sym___END__] = ACTIONS(12881),
    [anon_sym_LBRACE] = ACTIONS(12881),
    [anon_sym_RBRACE] = ACTIONS(12881),
    [anon_sym_RPAREN] = ACTIONS(12881),
    [anon_sym_DOT] = ACTIONS(12883),
    [anon_sym_COMMA] = ACTIONS(12881),
    [anon_sym_PIPE] = ACTIONS(12883),
    [anon_sym_SEMI] = ACTIONS(12881),
    [anon_sym_STAR_STAR] = ACTIONS(12883),
    [anon_sym_AMP] = ACTIONS(12883),
    [anon_sym_EQ] = ACTIONS(12883),
    [anon_sym_LT] = ACTIONS(12883),
    [anon_sym_end] = ACTIONS(12881),
    [anon_sym_if] = ACTIONS(12881),
    [anon_sym_unless] = ACTIONS(12881),
    [anon_sym_while] = ACTIONS(12881),
    [anon_sym_until] = ACTIONS(12881),
    [anon_sym_rescue] = ACTIONS(12881),
    [anon_sym_do] = ACTIONS(12881),
    [anon_sym_when] = ACTIONS(12881),
    [anon_sym_elsif] = ACTIONS(12881),
    [anon_sym_else] = ACTIONS(12881),
    [anon_sym_then] = ACTIONS(12881),
    [anon_sym_ensure] = ACTIONS(12881),
    [anon_sym_EQ_GT] = ACTIONS(12881),
    [anon_sym_AMP_DOT] = ACTIONS(12881),
    [anon_sym_PLUS_EQ] = ACTIONS(12881),
    [anon_sym_DASH_EQ] = ACTIONS(12881),
    [anon_sym_STAR_EQ] = ACTIONS(12881),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12881),
    [anon_sym_SLASH_EQ] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12881),
    [anon_sym_PIPE_EQ] = ACTIONS(12881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12881),
    [anon_sym_AMP_EQ] = ACTIONS(12881),
    [anon_sym_PERCENT_EQ] = ACTIONS(12881),
    [anon_sym_GT_GT_EQ] = ACTIONS(12881),
    [anon_sym_LT_LT_EQ] = ACTIONS(12881),
    [anon_sym_CARET_EQ] = ACTIONS(12881),
    [anon_sym_QMARK] = ACTIONS(12881),
    [anon_sym_DOT_DOT] = ACTIONS(12883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12881),
    [anon_sym_and] = ACTIONS(12881),
    [anon_sym_or] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE] = ACTIONS(12883),
    [anon_sym_AMP_AMP] = ACTIONS(12883),
    [anon_sym_LT_LT] = ACTIONS(12883),
    [anon_sym_GT_GT] = ACTIONS(12883),
    [anon_sym_EQ_EQ] = ACTIONS(12883),
    [anon_sym_BANG_EQ] = ACTIONS(12881),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12881),
    [anon_sym_LT_EQ_GT] = ACTIONS(12881),
    [anon_sym_EQ_TILDE] = ACTIONS(12881),
    [anon_sym_BANG_TILDE] = ACTIONS(12881),
    [anon_sym_LT_EQ] = ACTIONS(12883),
    [anon_sym_GT] = ACTIONS(12883),
    [anon_sym_GT_EQ] = ACTIONS(12881),
    [anon_sym_CARET] = ACTIONS(12883),
    [anon_sym_PLUS] = ACTIONS(12883),
    [anon_sym_SLASH] = ACTIONS(12883),
    [anon_sym_PERCENT] = ACTIONS(12883),
    [sym_comment] = ACTIONS(87),
  },
  [10838] = {
    [sym__line_break] = ACTIONS(13033),
    [sym__heredoc_body_start] = ACTIONS(13033),
    [sym__element_reference_left_bracket] = ACTIONS(13033),
    [sym__infix_scope_colons] = ACTIONS(13033),
    [sym__binary_minus] = ACTIONS(13033),
    [sym__binary_star] = ACTIONS(13033),
    [ts_builtin_sym_end] = ACTIONS(13033),
    [anon_sym___END__] = ACTIONS(13033),
    [anon_sym_LBRACE] = ACTIONS(13033),
    [anon_sym_RBRACE] = ACTIONS(13033),
    [anon_sym_RPAREN] = ACTIONS(13033),
    [anon_sym_DOT] = ACTIONS(13035),
    [anon_sym_COMMA] = ACTIONS(13033),
    [anon_sym_PIPE] = ACTIONS(13035),
    [anon_sym_SEMI] = ACTIONS(13033),
    [anon_sym_STAR_STAR] = ACTIONS(13035),
    [anon_sym_AMP] = ACTIONS(13035),
    [anon_sym_EQ] = ACTIONS(13035),
    [anon_sym_LT] = ACTIONS(13035),
    [anon_sym_end] = ACTIONS(13033),
    [anon_sym_if] = ACTIONS(13033),
    [anon_sym_unless] = ACTIONS(13033),
    [anon_sym_while] = ACTIONS(13033),
    [anon_sym_until] = ACTIONS(13033),
    [anon_sym_rescue] = ACTIONS(13033),
    [anon_sym_do] = ACTIONS(13033),
    [anon_sym_when] = ACTIONS(13033),
    [anon_sym_elsif] = ACTIONS(13033),
    [anon_sym_else] = ACTIONS(13033),
    [anon_sym_then] = ACTIONS(13033),
    [anon_sym_ensure] = ACTIONS(13033),
    [anon_sym_EQ_GT] = ACTIONS(13033),
    [anon_sym_AMP_DOT] = ACTIONS(13033),
    [anon_sym_PLUS_EQ] = ACTIONS(13033),
    [anon_sym_DASH_EQ] = ACTIONS(13033),
    [anon_sym_STAR_EQ] = ACTIONS(13033),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13033),
    [anon_sym_SLASH_EQ] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13033),
    [anon_sym_PIPE_EQ] = ACTIONS(13033),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13033),
    [anon_sym_AMP_EQ] = ACTIONS(13033),
    [anon_sym_PERCENT_EQ] = ACTIONS(13033),
    [anon_sym_GT_GT_EQ] = ACTIONS(13033),
    [anon_sym_LT_LT_EQ] = ACTIONS(13033),
    [anon_sym_CARET_EQ] = ACTIONS(13033),
    [anon_sym_QMARK] = ACTIONS(13033),
    [anon_sym_DOT_DOT] = ACTIONS(13035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13033),
    [anon_sym_and] = ACTIONS(13033),
    [anon_sym_or] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE] = ACTIONS(13035),
    [anon_sym_AMP_AMP] = ACTIONS(13035),
    [anon_sym_LT_LT] = ACTIONS(13035),
    [anon_sym_GT_GT] = ACTIONS(13035),
    [anon_sym_EQ_EQ] = ACTIONS(13035),
    [anon_sym_BANG_EQ] = ACTIONS(13033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13033),
    [anon_sym_LT_EQ_GT] = ACTIONS(13033),
    [anon_sym_EQ_TILDE] = ACTIONS(13033),
    [anon_sym_BANG_TILDE] = ACTIONS(13033),
    [anon_sym_LT_EQ] = ACTIONS(13035),
    [anon_sym_GT] = ACTIONS(13035),
    [anon_sym_GT_EQ] = ACTIONS(13033),
    [anon_sym_CARET] = ACTIONS(13035),
    [anon_sym_PLUS] = ACTIONS(13035),
    [anon_sym_SLASH] = ACTIONS(13035),
    [anon_sym_PERCENT] = ACTIONS(13035),
    [sym_comment] = ACTIONS(87),
  },
  [10839] = {
    [sym__line_break] = ACTIONS(14447),
    [sym__heredoc_body_start] = ACTIONS(14447),
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [sym__binary_minus] = ACTIONS(14447),
    [sym__binary_star] = ACTIONS(14447),
    [ts_builtin_sym_end] = ACTIONS(14447),
    [anon_sym___END__] = ACTIONS(14447),
    [anon_sym_LBRACE] = ACTIONS(14447),
    [anon_sym_RBRACE] = ACTIONS(14447),
    [anon_sym_RPAREN] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14449),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_PIPE] = ACTIONS(14449),
    [anon_sym_SEMI] = ACTIONS(14447),
    [anon_sym_STAR_STAR] = ACTIONS(14449),
    [anon_sym_AMP] = ACTIONS(14449),
    [anon_sym_EQ] = ACTIONS(14449),
    [anon_sym_LT] = ACTIONS(14449),
    [anon_sym_end] = ACTIONS(14447),
    [anon_sym_if] = ACTIONS(14447),
    [anon_sym_unless] = ACTIONS(14447),
    [anon_sym_while] = ACTIONS(14447),
    [anon_sym_until] = ACTIONS(14447),
    [anon_sym_rescue] = ACTIONS(14447),
    [anon_sym_do] = ACTIONS(14447),
    [anon_sym_when] = ACTIONS(14447),
    [anon_sym_elsif] = ACTIONS(14447),
    [anon_sym_else] = ACTIONS(14447),
    [anon_sym_then] = ACTIONS(14447),
    [anon_sym_ensure] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [anon_sym_PLUS_EQ] = ACTIONS(14447),
    [anon_sym_DASH_EQ] = ACTIONS(14447),
    [anon_sym_STAR_EQ] = ACTIONS(14447),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14447),
    [anon_sym_SLASH_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14447),
    [anon_sym_AMP_EQ] = ACTIONS(14447),
    [anon_sym_PERCENT_EQ] = ACTIONS(14447),
    [anon_sym_GT_GT_EQ] = ACTIONS(14447),
    [anon_sym_LT_LT_EQ] = ACTIONS(14447),
    [anon_sym_CARET_EQ] = ACTIONS(14447),
    [anon_sym_QMARK] = ACTIONS(14447),
    [anon_sym_DOT_DOT] = ACTIONS(14449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14447),
    [anon_sym_and] = ACTIONS(14447),
    [anon_sym_or] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE] = ACTIONS(14449),
    [anon_sym_AMP_AMP] = ACTIONS(14449),
    [anon_sym_LT_LT] = ACTIONS(14449),
    [anon_sym_GT_GT] = ACTIONS(14449),
    [anon_sym_EQ_EQ] = ACTIONS(14449),
    [anon_sym_BANG_EQ] = ACTIONS(14447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14447),
    [anon_sym_LT_EQ_GT] = ACTIONS(14447),
    [anon_sym_EQ_TILDE] = ACTIONS(14447),
    [anon_sym_BANG_TILDE] = ACTIONS(14447),
    [anon_sym_LT_EQ] = ACTIONS(14449),
    [anon_sym_GT] = ACTIONS(14449),
    [anon_sym_GT_EQ] = ACTIONS(14447),
    [anon_sym_CARET] = ACTIONS(14449),
    [anon_sym_PLUS] = ACTIONS(14449),
    [anon_sym_SLASH] = ACTIONS(14449),
    [anon_sym_PERCENT] = ACTIONS(14449),
    [sym_comment] = ACTIONS(87),
  },
  [10840] = {
    [sym__line_break] = ACTIONS(13044),
    [sym__heredoc_body_start] = ACTIONS(13044),
    [sym__element_reference_left_bracket] = ACTIONS(13044),
    [sym__infix_scope_colons] = ACTIONS(13044),
    [sym__binary_minus] = ACTIONS(13044),
    [sym__binary_star] = ACTIONS(13044),
    [ts_builtin_sym_end] = ACTIONS(13044),
    [anon_sym___END__] = ACTIONS(13044),
    [anon_sym_LBRACE] = ACTIONS(13044),
    [anon_sym_RBRACE] = ACTIONS(13044),
    [anon_sym_RPAREN] = ACTIONS(13044),
    [anon_sym_DOT] = ACTIONS(13046),
    [anon_sym_COMMA] = ACTIONS(13044),
    [anon_sym_PIPE] = ACTIONS(13046),
    [anon_sym_SEMI] = ACTIONS(13044),
    [anon_sym_STAR_STAR] = ACTIONS(13046),
    [anon_sym_AMP] = ACTIONS(13046),
    [anon_sym_EQ] = ACTIONS(13046),
    [anon_sym_LT] = ACTIONS(13046),
    [anon_sym_end] = ACTIONS(13044),
    [anon_sym_if] = ACTIONS(13044),
    [anon_sym_unless] = ACTIONS(13044),
    [anon_sym_while] = ACTIONS(13044),
    [anon_sym_until] = ACTIONS(13044),
    [anon_sym_rescue] = ACTIONS(13044),
    [anon_sym_do] = ACTIONS(13044),
    [anon_sym_when] = ACTIONS(13044),
    [anon_sym_elsif] = ACTIONS(13044),
    [anon_sym_else] = ACTIONS(13044),
    [anon_sym_then] = ACTIONS(13044),
    [anon_sym_ensure] = ACTIONS(13044),
    [anon_sym_EQ_GT] = ACTIONS(13044),
    [anon_sym_AMP_DOT] = ACTIONS(13044),
    [anon_sym_PLUS_EQ] = ACTIONS(13044),
    [anon_sym_DASH_EQ] = ACTIONS(13044),
    [anon_sym_STAR_EQ] = ACTIONS(13044),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13044),
    [anon_sym_SLASH_EQ] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13044),
    [anon_sym_PIPE_EQ] = ACTIONS(13044),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13044),
    [anon_sym_AMP_EQ] = ACTIONS(13044),
    [anon_sym_PERCENT_EQ] = ACTIONS(13044),
    [anon_sym_GT_GT_EQ] = ACTIONS(13044),
    [anon_sym_LT_LT_EQ] = ACTIONS(13044),
    [anon_sym_CARET_EQ] = ACTIONS(13044),
    [anon_sym_QMARK] = ACTIONS(13044),
    [anon_sym_DOT_DOT] = ACTIONS(13046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13044),
    [anon_sym_and] = ACTIONS(13044),
    [anon_sym_or] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE] = ACTIONS(13046),
    [anon_sym_AMP_AMP] = ACTIONS(13046),
    [anon_sym_LT_LT] = ACTIONS(13046),
    [anon_sym_GT_GT] = ACTIONS(13046),
    [anon_sym_EQ_EQ] = ACTIONS(13046),
    [anon_sym_BANG_EQ] = ACTIONS(13044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13044),
    [anon_sym_LT_EQ_GT] = ACTIONS(13044),
    [anon_sym_EQ_TILDE] = ACTIONS(13044),
    [anon_sym_BANG_TILDE] = ACTIONS(13044),
    [anon_sym_LT_EQ] = ACTIONS(13046),
    [anon_sym_GT] = ACTIONS(13046),
    [anon_sym_GT_EQ] = ACTIONS(13044),
    [anon_sym_CARET] = ACTIONS(13046),
    [anon_sym_PLUS] = ACTIONS(13046),
    [anon_sym_SLASH] = ACTIONS(13046),
    [anon_sym_PERCENT] = ACTIONS(13046),
    [sym_comment] = ACTIONS(87),
  },
  [10841] = {
    [sym__line_break] = ACTIONS(13374),
    [sym__heredoc_body_start] = ACTIONS(13374),
    [sym__element_reference_left_bracket] = ACTIONS(13374),
    [sym__infix_scope_colons] = ACTIONS(13374),
    [sym__binary_minus] = ACTIONS(13374),
    [sym__binary_star] = ACTIONS(13374),
    [ts_builtin_sym_end] = ACTIONS(13374),
    [anon_sym___END__] = ACTIONS(13374),
    [anon_sym_LBRACE] = ACTIONS(13374),
    [anon_sym_RBRACE] = ACTIONS(13374),
    [anon_sym_RPAREN] = ACTIONS(13374),
    [anon_sym_DOT] = ACTIONS(13376),
    [anon_sym_COMMA] = ACTIONS(13374),
    [anon_sym_PIPE] = ACTIONS(13376),
    [anon_sym_SEMI] = ACTIONS(13374),
    [anon_sym_STAR_STAR] = ACTIONS(13376),
    [anon_sym_AMP] = ACTIONS(13376),
    [anon_sym_EQ] = ACTIONS(13376),
    [anon_sym_LT] = ACTIONS(13376),
    [anon_sym_end] = ACTIONS(13374),
    [anon_sym_if] = ACTIONS(13374),
    [anon_sym_unless] = ACTIONS(13374),
    [anon_sym_while] = ACTIONS(13374),
    [anon_sym_until] = ACTIONS(13374),
    [anon_sym_rescue] = ACTIONS(13374),
    [anon_sym_do] = ACTIONS(13374),
    [anon_sym_when] = ACTIONS(13374),
    [anon_sym_elsif] = ACTIONS(13374),
    [anon_sym_else] = ACTIONS(13374),
    [anon_sym_then] = ACTIONS(13374),
    [anon_sym_ensure] = ACTIONS(13374),
    [anon_sym_EQ_GT] = ACTIONS(13374),
    [anon_sym_AMP_DOT] = ACTIONS(13374),
    [anon_sym_PLUS_EQ] = ACTIONS(13374),
    [anon_sym_DASH_EQ] = ACTIONS(13374),
    [anon_sym_STAR_EQ] = ACTIONS(13374),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13374),
    [anon_sym_SLASH_EQ] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13374),
    [anon_sym_PIPE_EQ] = ACTIONS(13374),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13374),
    [anon_sym_AMP_EQ] = ACTIONS(13374),
    [anon_sym_PERCENT_EQ] = ACTIONS(13374),
    [anon_sym_GT_GT_EQ] = ACTIONS(13374),
    [anon_sym_LT_LT_EQ] = ACTIONS(13374),
    [anon_sym_CARET_EQ] = ACTIONS(13374),
    [anon_sym_QMARK] = ACTIONS(13374),
    [anon_sym_DOT_DOT] = ACTIONS(13376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13374),
    [anon_sym_and] = ACTIONS(13374),
    [anon_sym_or] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE] = ACTIONS(13376),
    [anon_sym_AMP_AMP] = ACTIONS(13376),
    [anon_sym_LT_LT] = ACTIONS(13376),
    [anon_sym_GT_GT] = ACTIONS(13376),
    [anon_sym_EQ_EQ] = ACTIONS(13376),
    [anon_sym_BANG_EQ] = ACTIONS(13374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13374),
    [anon_sym_LT_EQ_GT] = ACTIONS(13374),
    [anon_sym_EQ_TILDE] = ACTIONS(13374),
    [anon_sym_BANG_TILDE] = ACTIONS(13374),
    [anon_sym_LT_EQ] = ACTIONS(13376),
    [anon_sym_GT] = ACTIONS(13376),
    [anon_sym_GT_EQ] = ACTIONS(13374),
    [anon_sym_CARET] = ACTIONS(13376),
    [anon_sym_PLUS] = ACTIONS(13376),
    [anon_sym_SLASH] = ACTIONS(13376),
    [anon_sym_PERCENT] = ACTIONS(13376),
    [sym_comment] = ACTIONS(87),
  },
  [10842] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(6144),
    [sym__binary_star] = ACTIONS(6146),
    [ts_builtin_sym_end] = ACTIONS(12002),
    [anon_sym___END__] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(6148),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(6150),
    [anon_sym_AMP] = ACTIONS(6152),
    [anon_sym_LT] = ACTIONS(6154),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(6156),
    [anon_sym_DOT_DOT] = ACTIONS(6158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6160),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(6162),
    [anon_sym_AMP_AMP] = ACTIONS(6162),
    [anon_sym_LT_LT] = ACTIONS(6164),
    [anon_sym_GT_GT] = ACTIONS(6164),
    [anon_sym_EQ_EQ] = ACTIONS(6166),
    [anon_sym_BANG_EQ] = ACTIONS(6162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6162),
    [anon_sym_LT_EQ_GT] = ACTIONS(6162),
    [anon_sym_EQ_TILDE] = ACTIONS(6162),
    [anon_sym_BANG_TILDE] = ACTIONS(6162),
    [anon_sym_LT_EQ] = ACTIONS(6154),
    [anon_sym_GT] = ACTIONS(6154),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_SLASH] = ACTIONS(6150),
    [anon_sym_PERCENT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(87),
  },
  [10843] = {
    [sym_heredoc_body] = STATE(10843),
    [aux_sym_call_repeat1] = STATE(10843),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10844] = {
    [sym_heredoc_body] = STATE(10843),
    [aux_sym_call_repeat1] = STATE(10843),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10845] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11601),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_assignment] = STATE(11601),
    [sym_operator_assignment] = STATE(11601),
    [sym_conditional] = STATE(11601),
    [sym_range] = STATE(11601),
    [sym_binary] = STATE(11601),
    [sym_unary] = STATE(11601),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10846] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9385),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4032),
    [sym_scope_resolution] = STATE(4030),
    [sym_call] = STATE(4030),
    [sym_method_call] = STATE(4032),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(9385),
    [sym_operator_assignment] = STATE(9385),
    [sym_conditional] = STATE(9385),
    [sym_range] = STATE(9385),
    [sym_binary] = STATE(9385),
    [sym_unary] = STATE(9385),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(4031),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4032),
    [sym__variable] = STATE(4030),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4032),
    [sym_false] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4033),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(2795),
    [sym__unary_minus] = ACTIONS(6199),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(6201),
    [anon_sym_yield] = ACTIONS(6203),
    [anon_sym_break] = ACTIONS(6205),
    [anon_sym_next] = ACTIONS(6207),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6209),
    [anon_sym_defined_QMARK] = ACTIONS(6211),
    [anon_sym_not] = ACTIONS(6213),
    [anon_sym_BANG] = ACTIONS(6215),
    [anon_sym_TILDE] = ACTIONS(6215),
    [sym_constant] = ACTIONS(6217),
    [sym_identifier] = ACTIONS(6217),
    [sym_instance_variable] = ACTIONS(6219),
    [sym_class_variable] = ACTIONS(6219),
    [sym_global_variable] = ACTIONS(6219),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(6217),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6217),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10847] = {
    [aux_sym_exceptions_repeat1] = STATE(11602),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14496),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10848] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(6233),
    [sym__binary_star] = ACTIONS(6235),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(6237),
    [anon_sym_STAR_STAR] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(6247),
    [anon_sym_DOT_DOT] = ACTIONS(6249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6257),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_EQ_TILDE] = ACTIONS(6253),
    [anon_sym_BANG_TILDE] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_CARET] = ACTIONS(6261),
    [anon_sym_PLUS] = ACTIONS(6263),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [sym_comment] = ACTIONS(87),
  },
  [10849] = {
    [aux_sym_exceptions_repeat1] = STATE(10849),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14498),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10850] = {
    [sym__simple_symbol] = ACTIONS(10783),
    [sym__string_start] = ACTIONS(10783),
    [sym__symbol_start] = ACTIONS(10783),
    [sym__subshell_start] = ACTIONS(10783),
    [sym__regex_start] = ACTIONS(10783),
    [sym__string_array_start] = ACTIONS(10783),
    [sym__symbol_array_start] = ACTIONS(10783),
    [sym_heredoc_beginning] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__block_ampersand] = ACTIONS(10783),
    [sym__splat_star] = ACTIONS(10783),
    [sym__argument_list_left_paren] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__unary_minus] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [sym__identifier_hash_key] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RBRACE] = ACTIONS(10783),
    [anon_sym_def] = ACTIONS(10785),
    [anon_sym_LPAREN] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COLON_COLON] = ACTIONS(10783),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR] = ACTIONS(10785),
    [anon_sym_STAR_STAR] = ACTIONS(10785),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_class] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_module] = ACTIONS(10785),
    [anon_sym_return] = ACTIONS(10785),
    [anon_sym_yield] = ACTIONS(10785),
    [anon_sym_break] = ACTIONS(10785),
    [anon_sym_next] = ACTIONS(10785),
    [sym_redo] = ACTIONS(10785),
    [sym_retry] = ACTIONS(10785),
    [anon_sym_if] = ACTIONS(10785),
    [anon_sym_unless] = ACTIONS(10785),
    [anon_sym_while] = ACTIONS(10785),
    [anon_sym_until] = ACTIONS(10785),
    [anon_sym_rescue] = ACTIONS(10785),
    [anon_sym_for] = ACTIONS(10785),
    [anon_sym_do] = ACTIONS(10785),
    [anon_sym_case] = ACTIONS(10785),
    [anon_sym_begin] = ACTIONS(10785),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS_EQ] = ACTIONS(10783),
    [anon_sym_DASH_EQ] = ACTIONS(10783),
    [anon_sym_STAR_EQ] = ACTIONS(10783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10783),
    [anon_sym_SLASH_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10783),
    [anon_sym_AMP_EQ] = ACTIONS(10783),
    [anon_sym_PERCENT_EQ] = ACTIONS(10783),
    [anon_sym_GT_GT_EQ] = ACTIONS(10783),
    [anon_sym_LT_LT_EQ] = ACTIONS(10783),
    [anon_sym_CARET_EQ] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10785),
    [anon_sym_COLON] = ACTIONS(10785),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10785),
    [anon_sym_or] = ACTIONS(10785),
    [anon_sym_PIPE_PIPE] = ACTIONS(10785),
    [anon_sym_AMP_AMP] = ACTIONS(10785),
    [anon_sym_LT_LT] = ACTIONS(10785),
    [anon_sym_GT_GT] = ACTIONS(10785),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10785),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_SLASH] = ACTIONS(10785),
    [anon_sym_PERCENT] = ACTIONS(10785),
    [anon_sym_defined_QMARK] = ACTIONS(10783),
    [anon_sym_not] = ACTIONS(10785),
    [anon_sym_BANG] = ACTIONS(10785),
    [anon_sym_TILDE] = ACTIONS(10783),
    [sym_constant] = ACTIONS(10785),
    [sym_identifier] = ACTIONS(10785),
    [sym_instance_variable] = ACTIONS(10783),
    [sym_class_variable] = ACTIONS(10783),
    [sym_global_variable] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(10785),
    [sym_float] = ACTIONS(10785),
    [sym_complex] = ACTIONS(10783),
    [sym_super] = ACTIONS(10785),
    [anon_sym_true] = ACTIONS(10785),
    [anon_sym_TRUE] = ACTIONS(10785),
    [anon_sym_false] = ACTIONS(10785),
    [anon_sym_FALSE] = ACTIONS(10785),
    [sym_self] = ACTIONS(10785),
    [anon_sym_nil] = ACTIONS(10785),
    [anon_sym_NIL] = ACTIONS(10785),
    [sym_character] = ACTIONS(10783),
    [anon_sym_LBRACK] = ACTIONS(10783),
    [anon_sym_DASH_GT] = ACTIONS(10783),
  },
  [10851] = {
    [sym__heredoc_body_start] = ACTIONS(6453),
    [sym__element_reference_left_bracket] = ACTIONS(6453),
    [sym__infix_scope_colons] = ACTIONS(6453),
    [sym__binary_minus] = ACTIONS(6453),
    [sym__binary_star] = ACTIONS(6453),
    [anon_sym_LBRACE] = ACTIONS(6453),
    [anon_sym_RBRACE] = ACTIONS(6453),
    [anon_sym_RPAREN] = ACTIONS(6453),
    [anon_sym_DOT] = ACTIONS(6455),
    [anon_sym_COMMA] = ACTIONS(6453),
    [anon_sym_PIPE] = ACTIONS(6455),
    [anon_sym_SEMI] = ACTIONS(6453),
    [anon_sym_STAR_STAR] = ACTIONS(6455),
    [anon_sym_AMP] = ACTIONS(6455),
    [anon_sym_EQ] = ACTIONS(6455),
    [anon_sym_LT] = ACTIONS(6455),
    [anon_sym_if] = ACTIONS(6453),
    [anon_sym_unless] = ACTIONS(6453),
    [anon_sym_while] = ACTIONS(6453),
    [anon_sym_until] = ACTIONS(6453),
    [anon_sym_rescue] = ACTIONS(6453),
    [anon_sym_in] = ACTIONS(6453),
    [anon_sym_do] = ACTIONS(6453),
    [anon_sym_RBRACK] = ACTIONS(6453),
    [anon_sym_AMP_DOT] = ACTIONS(6453),
    [anon_sym_PLUS_EQ] = ACTIONS(6453),
    [anon_sym_DASH_EQ] = ACTIONS(6453),
    [anon_sym_STAR_EQ] = ACTIONS(6453),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6453),
    [anon_sym_SLASH_EQ] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6453),
    [anon_sym_PIPE_EQ] = ACTIONS(6453),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6453),
    [anon_sym_AMP_EQ] = ACTIONS(6453),
    [anon_sym_PERCENT_EQ] = ACTIONS(6453),
    [anon_sym_GT_GT_EQ] = ACTIONS(6453),
    [anon_sym_LT_LT_EQ] = ACTIONS(6453),
    [anon_sym_CARET_EQ] = ACTIONS(6453),
    [anon_sym_QMARK] = ACTIONS(6453),
    [anon_sym_COLON] = ACTIONS(6453),
    [anon_sym_DOT_DOT] = ACTIONS(6455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6453),
    [anon_sym_and] = ACTIONS(6453),
    [anon_sym_or] = ACTIONS(6453),
    [anon_sym_PIPE_PIPE] = ACTIONS(6455),
    [anon_sym_AMP_AMP] = ACTIONS(6455),
    [anon_sym_LT_LT] = ACTIONS(6455),
    [anon_sym_GT_GT] = ACTIONS(6455),
    [anon_sym_EQ_EQ] = ACTIONS(6455),
    [anon_sym_BANG_EQ] = ACTIONS(6453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6453),
    [anon_sym_LT_EQ_GT] = ACTIONS(6453),
    [anon_sym_EQ_TILDE] = ACTIONS(6453),
    [anon_sym_BANG_TILDE] = ACTIONS(6453),
    [anon_sym_LT_EQ] = ACTIONS(6455),
    [anon_sym_GT] = ACTIONS(6455),
    [anon_sym_GT_EQ] = ACTIONS(6453),
    [anon_sym_CARET] = ACTIONS(6455),
    [anon_sym_PLUS] = ACTIONS(6455),
    [anon_sym_SLASH] = ACTIONS(6455),
    [anon_sym_PERCENT] = ACTIONS(6455),
    [sym_comment] = ACTIONS(87),
  },
  [10852] = {
    [sym__heredoc_body_start] = ACTIONS(6457),
    [sym__element_reference_left_bracket] = ACTIONS(6457),
    [sym__infix_scope_colons] = ACTIONS(6457),
    [sym__binary_minus] = ACTIONS(6457),
    [sym__binary_star] = ACTIONS(6457),
    [anon_sym_LBRACE] = ACTIONS(6457),
    [anon_sym_RBRACE] = ACTIONS(6457),
    [anon_sym_RPAREN] = ACTIONS(6457),
    [anon_sym_DOT] = ACTIONS(6459),
    [anon_sym_COMMA] = ACTIONS(6457),
    [anon_sym_PIPE] = ACTIONS(6459),
    [anon_sym_SEMI] = ACTIONS(6457),
    [anon_sym_STAR_STAR] = ACTIONS(6459),
    [anon_sym_AMP] = ACTIONS(6459),
    [anon_sym_EQ] = ACTIONS(6459),
    [anon_sym_LT] = ACTIONS(6459),
    [anon_sym_if] = ACTIONS(6457),
    [anon_sym_unless] = ACTIONS(6457),
    [anon_sym_while] = ACTIONS(6457),
    [anon_sym_until] = ACTIONS(6457),
    [anon_sym_rescue] = ACTIONS(6457),
    [anon_sym_in] = ACTIONS(6457),
    [anon_sym_do] = ACTIONS(6457),
    [anon_sym_RBRACK] = ACTIONS(6457),
    [anon_sym_AMP_DOT] = ACTIONS(6457),
    [anon_sym_PLUS_EQ] = ACTIONS(6457),
    [anon_sym_DASH_EQ] = ACTIONS(6457),
    [anon_sym_STAR_EQ] = ACTIONS(6457),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6457),
    [anon_sym_SLASH_EQ] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6457),
    [anon_sym_PIPE_EQ] = ACTIONS(6457),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6457),
    [anon_sym_AMP_EQ] = ACTIONS(6457),
    [anon_sym_PERCENT_EQ] = ACTIONS(6457),
    [anon_sym_GT_GT_EQ] = ACTIONS(6457),
    [anon_sym_LT_LT_EQ] = ACTIONS(6457),
    [anon_sym_CARET_EQ] = ACTIONS(6457),
    [anon_sym_QMARK] = ACTIONS(6457),
    [anon_sym_COLON] = ACTIONS(6457),
    [anon_sym_DOT_DOT] = ACTIONS(6459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6457),
    [anon_sym_and] = ACTIONS(6457),
    [anon_sym_or] = ACTIONS(6457),
    [anon_sym_PIPE_PIPE] = ACTIONS(6459),
    [anon_sym_AMP_AMP] = ACTIONS(6459),
    [anon_sym_LT_LT] = ACTIONS(6459),
    [anon_sym_GT_GT] = ACTIONS(6459),
    [anon_sym_EQ_EQ] = ACTIONS(6459),
    [anon_sym_BANG_EQ] = ACTIONS(6457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6457),
    [anon_sym_LT_EQ_GT] = ACTIONS(6457),
    [anon_sym_EQ_TILDE] = ACTIONS(6457),
    [anon_sym_BANG_TILDE] = ACTIONS(6457),
    [anon_sym_LT_EQ] = ACTIONS(6459),
    [anon_sym_GT] = ACTIONS(6459),
    [anon_sym_GT_EQ] = ACTIONS(6457),
    [anon_sym_CARET] = ACTIONS(6459),
    [anon_sym_PLUS] = ACTIONS(6459),
    [anon_sym_SLASH] = ACTIONS(6459),
    [anon_sym_PERCENT] = ACTIONS(6459),
    [sym_comment] = ACTIONS(87),
  },
  [10853] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(14501),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [10854] = {
    [aux_sym_string_array_repeat1] = STATE(1777),
    [sym__string_end] = ACTIONS(14501),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(14503),
  },
  [10855] = {
    [sym__heredoc_body_start] = ACTIONS(6465),
    [sym__element_reference_left_bracket] = ACTIONS(6465),
    [sym__infix_scope_colons] = ACTIONS(6465),
    [sym__binary_minus] = ACTIONS(6465),
    [sym__binary_star] = ACTIONS(6465),
    [anon_sym_LBRACE] = ACTIONS(6465),
    [anon_sym_RBRACE] = ACTIONS(6465),
    [anon_sym_RPAREN] = ACTIONS(6465),
    [anon_sym_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6465),
    [anon_sym_PIPE] = ACTIONS(6467),
    [anon_sym_SEMI] = ACTIONS(6465),
    [anon_sym_STAR_STAR] = ACTIONS(6467),
    [anon_sym_AMP] = ACTIONS(6467),
    [anon_sym_EQ] = ACTIONS(6467),
    [anon_sym_LT] = ACTIONS(6467),
    [anon_sym_if] = ACTIONS(6465),
    [anon_sym_unless] = ACTIONS(6465),
    [anon_sym_while] = ACTIONS(6465),
    [anon_sym_until] = ACTIONS(6465),
    [anon_sym_rescue] = ACTIONS(6465),
    [anon_sym_in] = ACTIONS(6465),
    [anon_sym_do] = ACTIONS(6465),
    [anon_sym_RBRACK] = ACTIONS(6465),
    [anon_sym_AMP_DOT] = ACTIONS(6465),
    [anon_sym_PLUS_EQ] = ACTIONS(6465),
    [anon_sym_DASH_EQ] = ACTIONS(6465),
    [anon_sym_STAR_EQ] = ACTIONS(6465),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6465),
    [anon_sym_SLASH_EQ] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6465),
    [anon_sym_PIPE_EQ] = ACTIONS(6465),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6465),
    [anon_sym_AMP_EQ] = ACTIONS(6465),
    [anon_sym_PERCENT_EQ] = ACTIONS(6465),
    [anon_sym_GT_GT_EQ] = ACTIONS(6465),
    [anon_sym_LT_LT_EQ] = ACTIONS(6465),
    [anon_sym_CARET_EQ] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6465),
    [anon_sym_COLON] = ACTIONS(6465),
    [anon_sym_DOT_DOT] = ACTIONS(6467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6467),
    [anon_sym_AMP_AMP] = ACTIONS(6467),
    [anon_sym_LT_LT] = ACTIONS(6467),
    [anon_sym_GT_GT] = ACTIONS(6467),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6465),
    [anon_sym_EQ_TILDE] = ACTIONS(6465),
    [anon_sym_BANG_TILDE] = ACTIONS(6465),
    [anon_sym_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6467),
    [anon_sym_GT_EQ] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6467),
    [anon_sym_PLUS] = ACTIONS(6467),
    [anon_sym_SLASH] = ACTIONS(6467),
    [anon_sym_PERCENT] = ACTIONS(6467),
    [sym_comment] = ACTIONS(87),
  },
  [10856] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(14505),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [10857] = {
    [sym__heredoc_body_start] = ACTIONS(6478),
    [sym__element_reference_left_bracket] = ACTIONS(6478),
    [sym__infix_scope_colons] = ACTIONS(6478),
    [sym__binary_minus] = ACTIONS(6478),
    [sym__binary_star] = ACTIONS(6478),
    [anon_sym_LBRACE] = ACTIONS(6478),
    [anon_sym_RBRACE] = ACTIONS(6478),
    [anon_sym_RPAREN] = ACTIONS(6478),
    [anon_sym_DOT] = ACTIONS(6480),
    [anon_sym_COMMA] = ACTIONS(6478),
    [anon_sym_PIPE] = ACTIONS(6480),
    [anon_sym_SEMI] = ACTIONS(6478),
    [anon_sym_STAR_STAR] = ACTIONS(6480),
    [anon_sym_AMP] = ACTIONS(6480),
    [anon_sym_EQ] = ACTIONS(6480),
    [anon_sym_LT] = ACTIONS(6480),
    [anon_sym_if] = ACTIONS(6478),
    [anon_sym_unless] = ACTIONS(6478),
    [anon_sym_while] = ACTIONS(6478),
    [anon_sym_until] = ACTIONS(6478),
    [anon_sym_rescue] = ACTIONS(6478),
    [anon_sym_in] = ACTIONS(6478),
    [anon_sym_do] = ACTIONS(6478),
    [anon_sym_RBRACK] = ACTIONS(6478),
    [anon_sym_AMP_DOT] = ACTIONS(6478),
    [anon_sym_PLUS_EQ] = ACTIONS(6478),
    [anon_sym_DASH_EQ] = ACTIONS(6478),
    [anon_sym_STAR_EQ] = ACTIONS(6478),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6478),
    [anon_sym_SLASH_EQ] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6478),
    [anon_sym_PIPE_EQ] = ACTIONS(6478),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6478),
    [anon_sym_AMP_EQ] = ACTIONS(6478),
    [anon_sym_PERCENT_EQ] = ACTIONS(6478),
    [anon_sym_GT_GT_EQ] = ACTIONS(6478),
    [anon_sym_LT_LT_EQ] = ACTIONS(6478),
    [anon_sym_CARET_EQ] = ACTIONS(6478),
    [anon_sym_QMARK] = ACTIONS(6478),
    [anon_sym_COLON] = ACTIONS(6478),
    [anon_sym_DOT_DOT] = ACTIONS(6480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6478),
    [anon_sym_and] = ACTIONS(6478),
    [anon_sym_or] = ACTIONS(6478),
    [anon_sym_PIPE_PIPE] = ACTIONS(6480),
    [anon_sym_AMP_AMP] = ACTIONS(6480),
    [anon_sym_LT_LT] = ACTIONS(6480),
    [anon_sym_GT_GT] = ACTIONS(6480),
    [anon_sym_EQ_EQ] = ACTIONS(6480),
    [anon_sym_BANG_EQ] = ACTIONS(6478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6478),
    [anon_sym_LT_EQ_GT] = ACTIONS(6478),
    [anon_sym_EQ_TILDE] = ACTIONS(6478),
    [anon_sym_BANG_TILDE] = ACTIONS(6478),
    [anon_sym_LT_EQ] = ACTIONS(6480),
    [anon_sym_GT] = ACTIONS(6480),
    [anon_sym_GT_EQ] = ACTIONS(6478),
    [anon_sym_CARET] = ACTIONS(6480),
    [anon_sym_PLUS] = ACTIONS(6480),
    [anon_sym_SLASH] = ACTIONS(6480),
    [anon_sym_PERCENT] = ACTIONS(6480),
    [sym_comment] = ACTIONS(87),
  },
  [10858] = {
    [sym__heredoc_body_start] = ACTIONS(6482),
    [sym__element_reference_left_bracket] = ACTIONS(6482),
    [sym__infix_scope_colons] = ACTIONS(6482),
    [sym__binary_minus] = ACTIONS(6482),
    [sym__binary_star] = ACTIONS(6482),
    [anon_sym_LBRACE] = ACTIONS(6482),
    [anon_sym_RBRACE] = ACTIONS(6482),
    [anon_sym_RPAREN] = ACTIONS(6482),
    [anon_sym_DOT] = ACTIONS(6484),
    [anon_sym_COMMA] = ACTIONS(6482),
    [anon_sym_PIPE] = ACTIONS(6484),
    [anon_sym_SEMI] = ACTIONS(6482),
    [anon_sym_STAR_STAR] = ACTIONS(6484),
    [anon_sym_AMP] = ACTIONS(6484),
    [anon_sym_EQ] = ACTIONS(6484),
    [anon_sym_LT] = ACTIONS(6484),
    [anon_sym_if] = ACTIONS(6482),
    [anon_sym_unless] = ACTIONS(6482),
    [anon_sym_while] = ACTIONS(6482),
    [anon_sym_until] = ACTIONS(6482),
    [anon_sym_rescue] = ACTIONS(6482),
    [anon_sym_in] = ACTIONS(6482),
    [anon_sym_do] = ACTIONS(6482),
    [anon_sym_RBRACK] = ACTIONS(6482),
    [anon_sym_AMP_DOT] = ACTIONS(6482),
    [anon_sym_PLUS_EQ] = ACTIONS(6482),
    [anon_sym_DASH_EQ] = ACTIONS(6482),
    [anon_sym_STAR_EQ] = ACTIONS(6482),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6482),
    [anon_sym_SLASH_EQ] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6482),
    [anon_sym_PIPE_EQ] = ACTIONS(6482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6482),
    [anon_sym_AMP_EQ] = ACTIONS(6482),
    [anon_sym_PERCENT_EQ] = ACTIONS(6482),
    [anon_sym_GT_GT_EQ] = ACTIONS(6482),
    [anon_sym_LT_LT_EQ] = ACTIONS(6482),
    [anon_sym_CARET_EQ] = ACTIONS(6482),
    [anon_sym_QMARK] = ACTIONS(6482),
    [anon_sym_COLON] = ACTIONS(6482),
    [anon_sym_DOT_DOT] = ACTIONS(6484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6482),
    [anon_sym_and] = ACTIONS(6482),
    [anon_sym_or] = ACTIONS(6482),
    [anon_sym_PIPE_PIPE] = ACTIONS(6484),
    [anon_sym_AMP_AMP] = ACTIONS(6484),
    [anon_sym_LT_LT] = ACTIONS(6484),
    [anon_sym_GT_GT] = ACTIONS(6484),
    [anon_sym_EQ_EQ] = ACTIONS(6484),
    [anon_sym_BANG_EQ] = ACTIONS(6482),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6482),
    [anon_sym_LT_EQ_GT] = ACTIONS(6482),
    [anon_sym_EQ_TILDE] = ACTIONS(6482),
    [anon_sym_BANG_TILDE] = ACTIONS(6482),
    [anon_sym_LT_EQ] = ACTIONS(6484),
    [anon_sym_GT] = ACTIONS(6484),
    [anon_sym_GT_EQ] = ACTIONS(6482),
    [anon_sym_CARET] = ACTIONS(6484),
    [anon_sym_PLUS] = ACTIONS(6484),
    [anon_sym_SLASH] = ACTIONS(6484),
    [anon_sym_PERCENT] = ACTIONS(6484),
    [sym_comment] = ACTIONS(87),
  },
  [10859] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(14507),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [10860] = {
    [aux_sym_symbol_array_repeat1] = STATE(1785),
    [sym__string_end] = ACTIONS(14507),
    [sym_comment] = ACTIONS(109),
    [aux_sym_SLASH_BSLASHs_PLUS_SLASH] = ACTIONS(14509),
  },
  [10861] = {
    [sym__heredoc_body_start] = ACTIONS(6490),
    [sym__element_reference_left_bracket] = ACTIONS(6490),
    [sym__infix_scope_colons] = ACTIONS(6490),
    [sym__binary_minus] = ACTIONS(6490),
    [sym__binary_star] = ACTIONS(6490),
    [anon_sym_LBRACE] = ACTIONS(6490),
    [anon_sym_RBRACE] = ACTIONS(6490),
    [anon_sym_RPAREN] = ACTIONS(6490),
    [anon_sym_DOT] = ACTIONS(6492),
    [anon_sym_COMMA] = ACTIONS(6490),
    [anon_sym_PIPE] = ACTIONS(6492),
    [anon_sym_SEMI] = ACTIONS(6490),
    [anon_sym_STAR_STAR] = ACTIONS(6492),
    [anon_sym_AMP] = ACTIONS(6492),
    [anon_sym_EQ] = ACTIONS(6492),
    [anon_sym_LT] = ACTIONS(6492),
    [anon_sym_if] = ACTIONS(6490),
    [anon_sym_unless] = ACTIONS(6490),
    [anon_sym_while] = ACTIONS(6490),
    [anon_sym_until] = ACTIONS(6490),
    [anon_sym_rescue] = ACTIONS(6490),
    [anon_sym_in] = ACTIONS(6490),
    [anon_sym_do] = ACTIONS(6490),
    [anon_sym_RBRACK] = ACTIONS(6490),
    [anon_sym_AMP_DOT] = ACTIONS(6490),
    [anon_sym_PLUS_EQ] = ACTIONS(6490),
    [anon_sym_DASH_EQ] = ACTIONS(6490),
    [anon_sym_STAR_EQ] = ACTIONS(6490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6490),
    [anon_sym_SLASH_EQ] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6490),
    [anon_sym_PIPE_EQ] = ACTIONS(6490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6490),
    [anon_sym_AMP_EQ] = ACTIONS(6490),
    [anon_sym_PERCENT_EQ] = ACTIONS(6490),
    [anon_sym_GT_GT_EQ] = ACTIONS(6490),
    [anon_sym_LT_LT_EQ] = ACTIONS(6490),
    [anon_sym_CARET_EQ] = ACTIONS(6490),
    [anon_sym_QMARK] = ACTIONS(6490),
    [anon_sym_COLON] = ACTIONS(6490),
    [anon_sym_DOT_DOT] = ACTIONS(6492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6490),
    [anon_sym_and] = ACTIONS(6490),
    [anon_sym_or] = ACTIONS(6490),
    [anon_sym_PIPE_PIPE] = ACTIONS(6492),
    [anon_sym_AMP_AMP] = ACTIONS(6492),
    [anon_sym_LT_LT] = ACTIONS(6492),
    [anon_sym_GT_GT] = ACTIONS(6492),
    [anon_sym_EQ_EQ] = ACTIONS(6492),
    [anon_sym_BANG_EQ] = ACTIONS(6490),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6490),
    [anon_sym_LT_EQ_GT] = ACTIONS(6490),
    [anon_sym_EQ_TILDE] = ACTIONS(6490),
    [anon_sym_BANG_TILDE] = ACTIONS(6490),
    [anon_sym_LT_EQ] = ACTIONS(6492),
    [anon_sym_GT] = ACTIONS(6492),
    [anon_sym_GT_EQ] = ACTIONS(6490),
    [anon_sym_CARET] = ACTIONS(6492),
    [anon_sym_PLUS] = ACTIONS(6492),
    [anon_sym_SLASH] = ACTIONS(6492),
    [anon_sym_PERCENT] = ACTIONS(6492),
    [sym_comment] = ACTIONS(87),
  },
  [10862] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(14511),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [10863] = {
    [sym__heredoc_body_start] = ACTIONS(7030),
    [sym__element_reference_left_bracket] = ACTIONS(7030),
    [sym__infix_scope_colons] = ACTIONS(7030),
    [sym__binary_minus] = ACTIONS(7030),
    [sym__binary_star] = ACTIONS(7030),
    [anon_sym_LBRACE] = ACTIONS(7030),
    [anon_sym_RBRACE] = ACTIONS(7030),
    [anon_sym_RPAREN] = ACTIONS(7030),
    [anon_sym_DOT] = ACTIONS(7032),
    [anon_sym_COMMA] = ACTIONS(7030),
    [anon_sym_PIPE] = ACTIONS(7032),
    [anon_sym_SEMI] = ACTIONS(7030),
    [anon_sym_STAR_STAR] = ACTIONS(7032),
    [anon_sym_AMP] = ACTIONS(7032),
    [anon_sym_EQ] = ACTIONS(7032),
    [anon_sym_LT] = ACTIONS(7032),
    [anon_sym_if] = ACTIONS(7030),
    [anon_sym_unless] = ACTIONS(7030),
    [anon_sym_while] = ACTIONS(7030),
    [anon_sym_until] = ACTIONS(7030),
    [anon_sym_rescue] = ACTIONS(7030),
    [anon_sym_in] = ACTIONS(7030),
    [anon_sym_do] = ACTIONS(7030),
    [anon_sym_RBRACK] = ACTIONS(7030),
    [anon_sym_AMP_DOT] = ACTIONS(7030),
    [anon_sym_PLUS_EQ] = ACTIONS(7030),
    [anon_sym_DASH_EQ] = ACTIONS(7030),
    [anon_sym_STAR_EQ] = ACTIONS(7030),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7030),
    [anon_sym_SLASH_EQ] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7030),
    [anon_sym_PIPE_EQ] = ACTIONS(7030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7030),
    [anon_sym_AMP_EQ] = ACTIONS(7030),
    [anon_sym_PERCENT_EQ] = ACTIONS(7030),
    [anon_sym_GT_GT_EQ] = ACTIONS(7030),
    [anon_sym_LT_LT_EQ] = ACTIONS(7030),
    [anon_sym_CARET_EQ] = ACTIONS(7030),
    [anon_sym_QMARK] = ACTIONS(7030),
    [anon_sym_COLON] = ACTIONS(7030),
    [anon_sym_DOT_DOT] = ACTIONS(7032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7030),
    [anon_sym_and] = ACTIONS(7030),
    [anon_sym_or] = ACTIONS(7030),
    [anon_sym_PIPE_PIPE] = ACTIONS(7032),
    [anon_sym_AMP_AMP] = ACTIONS(7032),
    [anon_sym_LT_LT] = ACTIONS(7032),
    [anon_sym_GT_GT] = ACTIONS(7032),
    [anon_sym_EQ_EQ] = ACTIONS(7032),
    [anon_sym_BANG_EQ] = ACTIONS(7030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7030),
    [anon_sym_LT_EQ_GT] = ACTIONS(7030),
    [anon_sym_EQ_TILDE] = ACTIONS(7030),
    [anon_sym_BANG_TILDE] = ACTIONS(7030),
    [anon_sym_LT_EQ] = ACTIONS(7032),
    [anon_sym_GT] = ACTIONS(7032),
    [anon_sym_GT_EQ] = ACTIONS(7030),
    [anon_sym_CARET] = ACTIONS(7032),
    [anon_sym_PLUS] = ACTIONS(7032),
    [anon_sym_SLASH] = ACTIONS(7032),
    [anon_sym_PERCENT] = ACTIONS(7032),
    [sym_comment] = ACTIONS(87),
  },
  [10864] = {
    [anon_sym_DOT] = ACTIONS(14513),
    [anon_sym_COLON_COLON] = ACTIONS(14513),
    [sym_comment] = ACTIONS(87),
  },
  [10865] = {
    [sym__heredoc_body_start] = ACTIONS(7186),
    [sym__element_reference_left_bracket] = ACTIONS(7186),
    [sym__infix_scope_colons] = ACTIONS(7186),
    [sym__binary_minus] = ACTIONS(7186),
    [sym__binary_star] = ACTIONS(7186),
    [anon_sym_LBRACE] = ACTIONS(7186),
    [anon_sym_RBRACE] = ACTIONS(7186),
    [anon_sym_RPAREN] = ACTIONS(7186),
    [anon_sym_DOT] = ACTIONS(7188),
    [anon_sym_COMMA] = ACTIONS(7186),
    [anon_sym_PIPE] = ACTIONS(7188),
    [anon_sym_SEMI] = ACTIONS(7186),
    [anon_sym_STAR_STAR] = ACTIONS(7188),
    [anon_sym_AMP] = ACTIONS(7188),
    [anon_sym_EQ] = ACTIONS(7188),
    [anon_sym_LT] = ACTIONS(7188),
    [anon_sym_if] = ACTIONS(7186),
    [anon_sym_unless] = ACTIONS(7186),
    [anon_sym_while] = ACTIONS(7186),
    [anon_sym_until] = ACTIONS(7186),
    [anon_sym_rescue] = ACTIONS(7186),
    [anon_sym_in] = ACTIONS(7186),
    [anon_sym_do] = ACTIONS(7186),
    [anon_sym_RBRACK] = ACTIONS(7186),
    [anon_sym_AMP_DOT] = ACTIONS(7186),
    [anon_sym_PLUS_EQ] = ACTIONS(7186),
    [anon_sym_DASH_EQ] = ACTIONS(7186),
    [anon_sym_STAR_EQ] = ACTIONS(7186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7186),
    [anon_sym_SLASH_EQ] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7186),
    [anon_sym_PIPE_EQ] = ACTIONS(7186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7186),
    [anon_sym_AMP_EQ] = ACTIONS(7186),
    [anon_sym_PERCENT_EQ] = ACTIONS(7186),
    [anon_sym_GT_GT_EQ] = ACTIONS(7186),
    [anon_sym_LT_LT_EQ] = ACTIONS(7186),
    [anon_sym_CARET_EQ] = ACTIONS(7186),
    [anon_sym_QMARK] = ACTIONS(7186),
    [anon_sym_COLON] = ACTIONS(7186),
    [anon_sym_DOT_DOT] = ACTIONS(7188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7186),
    [anon_sym_and] = ACTIONS(7186),
    [anon_sym_or] = ACTIONS(7186),
    [anon_sym_PIPE_PIPE] = ACTIONS(7188),
    [anon_sym_AMP_AMP] = ACTIONS(7188),
    [anon_sym_LT_LT] = ACTIONS(7188),
    [anon_sym_GT_GT] = ACTIONS(7188),
    [anon_sym_EQ_EQ] = ACTIONS(7188),
    [anon_sym_BANG_EQ] = ACTIONS(7186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7186),
    [anon_sym_LT_EQ_GT] = ACTIONS(7186),
    [anon_sym_EQ_TILDE] = ACTIONS(7186),
    [anon_sym_BANG_TILDE] = ACTIONS(7186),
    [anon_sym_LT_EQ] = ACTIONS(7188),
    [anon_sym_GT] = ACTIONS(7188),
    [anon_sym_GT_EQ] = ACTIONS(7186),
    [anon_sym_CARET] = ACTIONS(7188),
    [anon_sym_PLUS] = ACTIONS(7188),
    [anon_sym_SLASH] = ACTIONS(7188),
    [anon_sym_PERCENT] = ACTIONS(7188),
    [sym_comment] = ACTIONS(87),
  },
  [10866] = {
    [sym__heredoc_body_start] = ACTIONS(7202),
    [sym__element_reference_left_bracket] = ACTIONS(7202),
    [sym__infix_scope_colons] = ACTIONS(7202),
    [sym__binary_minus] = ACTIONS(7202),
    [sym__binary_star] = ACTIONS(7202),
    [anon_sym_LBRACE] = ACTIONS(7202),
    [anon_sym_RBRACE] = ACTIONS(7202),
    [anon_sym_RPAREN] = ACTIONS(7202),
    [anon_sym_DOT] = ACTIONS(7204),
    [anon_sym_COMMA] = ACTIONS(7202),
    [anon_sym_PIPE] = ACTIONS(7204),
    [anon_sym_SEMI] = ACTIONS(7202),
    [anon_sym_STAR_STAR] = ACTIONS(7204),
    [anon_sym_AMP] = ACTIONS(7204),
    [anon_sym_EQ] = ACTIONS(7204),
    [anon_sym_LT] = ACTIONS(7204),
    [anon_sym_if] = ACTIONS(7202),
    [anon_sym_unless] = ACTIONS(7202),
    [anon_sym_while] = ACTIONS(7202),
    [anon_sym_until] = ACTIONS(7202),
    [anon_sym_rescue] = ACTIONS(7202),
    [anon_sym_in] = ACTIONS(7202),
    [anon_sym_do] = ACTIONS(7202),
    [anon_sym_RBRACK] = ACTIONS(7202),
    [anon_sym_AMP_DOT] = ACTIONS(7202),
    [anon_sym_PLUS_EQ] = ACTIONS(7202),
    [anon_sym_DASH_EQ] = ACTIONS(7202),
    [anon_sym_STAR_EQ] = ACTIONS(7202),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7202),
    [anon_sym_SLASH_EQ] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7202),
    [anon_sym_PIPE_EQ] = ACTIONS(7202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7202),
    [anon_sym_AMP_EQ] = ACTIONS(7202),
    [anon_sym_PERCENT_EQ] = ACTIONS(7202),
    [anon_sym_GT_GT_EQ] = ACTIONS(7202),
    [anon_sym_LT_LT_EQ] = ACTIONS(7202),
    [anon_sym_CARET_EQ] = ACTIONS(7202),
    [anon_sym_QMARK] = ACTIONS(7202),
    [anon_sym_COLON] = ACTIONS(7202),
    [anon_sym_DOT_DOT] = ACTIONS(7204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7202),
    [anon_sym_and] = ACTIONS(7202),
    [anon_sym_or] = ACTIONS(7202),
    [anon_sym_PIPE_PIPE] = ACTIONS(7204),
    [anon_sym_AMP_AMP] = ACTIONS(7204),
    [anon_sym_LT_LT] = ACTIONS(7204),
    [anon_sym_GT_GT] = ACTIONS(7204),
    [anon_sym_EQ_EQ] = ACTIONS(7204),
    [anon_sym_BANG_EQ] = ACTIONS(7202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7202),
    [anon_sym_LT_EQ_GT] = ACTIONS(7202),
    [anon_sym_EQ_TILDE] = ACTIONS(7202),
    [anon_sym_BANG_TILDE] = ACTIONS(7202),
    [anon_sym_LT_EQ] = ACTIONS(7204),
    [anon_sym_GT] = ACTIONS(7204),
    [anon_sym_GT_EQ] = ACTIONS(7202),
    [anon_sym_CARET] = ACTIONS(7204),
    [anon_sym_PLUS] = ACTIONS(7204),
    [anon_sym_SLASH] = ACTIONS(7204),
    [anon_sym_PERCENT] = ACTIONS(7204),
    [sym_comment] = ACTIONS(87),
  },
  [10867] = {
    [sym__statements] = STATE(7030),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(7031),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(7032),
    [sym_rescue] = STATE(7033),
    [sym__body_statement] = STATE(11610),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(14515),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10868] = {
    [sym__statements] = STATE(7030),
    [sym__top_level_statement] = STATE(298),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(299),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_else] = STATE(7031),
    [sym_begin] = STATE(50),
    [sym_ensure] = STATE(7032),
    [sym_rescue] = STATE(7033),
    [sym__body_statement] = STATE(11611),
    [sym__arg] = STATE(304),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(307),
    [sym_scope_resolution] = STATE(305),
    [sym_call] = STATE(305),
    [sym_method_call] = STATE(307),
    [sym_assignment] = STATE(304),
    [sym_operator_assignment] = STATE(304),
    [sym_conditional] = STATE(304),
    [sym_range] = STATE(304),
    [sym_binary] = STATE(304),
    [sym_unary] = STATE(304),
    [sym_left_assignment_list] = STATE(306),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(307),
    [sym__variable] = STATE(305),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(307),
    [sym_false] = STATE(307),
    [sym_nil] = STATE(307),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(308),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(507),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(14517),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_next] = ACTIONS(519),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_rescue] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_ensure] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_defined_QMARK] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_constant] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_instance_variable] = ACTIONS(537),
    [sym_class_variable] = ACTIONS(537),
    [sym_global_variable] = ACTIONS(537),
    [anon_sym_undef] = ACTIONS(539),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(535),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10869] = {
    [sym__heredoc_body_start] = ACTIONS(7648),
    [sym__element_reference_left_bracket] = ACTIONS(7648),
    [sym__infix_scope_colons] = ACTIONS(7648),
    [sym__binary_minus] = ACTIONS(7648),
    [sym__binary_star] = ACTIONS(7648),
    [anon_sym_LBRACE] = ACTIONS(7648),
    [anon_sym_RBRACE] = ACTIONS(7648),
    [anon_sym_RPAREN] = ACTIONS(7648),
    [anon_sym_DOT] = ACTIONS(7650),
    [anon_sym_COMMA] = ACTIONS(7648),
    [anon_sym_PIPE] = ACTIONS(7650),
    [anon_sym_SEMI] = ACTIONS(7648),
    [anon_sym_STAR_STAR] = ACTIONS(7650),
    [anon_sym_AMP] = ACTIONS(7650),
    [anon_sym_EQ] = ACTIONS(7650),
    [anon_sym_LT] = ACTIONS(7650),
    [anon_sym_if] = ACTIONS(7648),
    [anon_sym_unless] = ACTIONS(7648),
    [anon_sym_while] = ACTIONS(7648),
    [anon_sym_until] = ACTIONS(7648),
    [anon_sym_rescue] = ACTIONS(7648),
    [anon_sym_in] = ACTIONS(7648),
    [anon_sym_do] = ACTIONS(7648),
    [anon_sym_RBRACK] = ACTIONS(7648),
    [anon_sym_AMP_DOT] = ACTIONS(7648),
    [anon_sym_PLUS_EQ] = ACTIONS(7648),
    [anon_sym_DASH_EQ] = ACTIONS(7648),
    [anon_sym_STAR_EQ] = ACTIONS(7648),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7648),
    [anon_sym_SLASH_EQ] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7648),
    [anon_sym_PIPE_EQ] = ACTIONS(7648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7648),
    [anon_sym_AMP_EQ] = ACTIONS(7648),
    [anon_sym_PERCENT_EQ] = ACTIONS(7648),
    [anon_sym_GT_GT_EQ] = ACTIONS(7648),
    [anon_sym_LT_LT_EQ] = ACTIONS(7648),
    [anon_sym_CARET_EQ] = ACTIONS(7648),
    [anon_sym_QMARK] = ACTIONS(7648),
    [anon_sym_COLON] = ACTIONS(7648),
    [anon_sym_DOT_DOT] = ACTIONS(7650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7648),
    [anon_sym_and] = ACTIONS(7648),
    [anon_sym_or] = ACTIONS(7648),
    [anon_sym_PIPE_PIPE] = ACTIONS(7650),
    [anon_sym_AMP_AMP] = ACTIONS(7650),
    [anon_sym_LT_LT] = ACTIONS(7650),
    [anon_sym_GT_GT] = ACTIONS(7650),
    [anon_sym_EQ_EQ] = ACTIONS(7650),
    [anon_sym_BANG_EQ] = ACTIONS(7648),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7648),
    [anon_sym_LT_EQ_GT] = ACTIONS(7648),
    [anon_sym_EQ_TILDE] = ACTIONS(7648),
    [anon_sym_BANG_TILDE] = ACTIONS(7648),
    [anon_sym_LT_EQ] = ACTIONS(7650),
    [anon_sym_GT] = ACTIONS(7650),
    [anon_sym_GT_EQ] = ACTIONS(7648),
    [anon_sym_CARET] = ACTIONS(7650),
    [anon_sym_PLUS] = ACTIONS(7650),
    [anon_sym_SLASH] = ACTIONS(7650),
    [anon_sym_PERCENT] = ACTIONS(7650),
    [sym_comment] = ACTIONS(87),
  },
  [10870] = {
    [sym__heredoc_body_start] = ACTIONS(7704),
    [sym__element_reference_left_bracket] = ACTIONS(7704),
    [sym__infix_scope_colons] = ACTIONS(7704),
    [sym__binary_minus] = ACTIONS(7704),
    [sym__binary_star] = ACTIONS(7704),
    [anon_sym_LBRACE] = ACTIONS(7704),
    [anon_sym_RBRACE] = ACTIONS(7704),
    [anon_sym_RPAREN] = ACTIONS(7704),
    [anon_sym_DOT] = ACTIONS(7706),
    [anon_sym_COMMA] = ACTIONS(7704),
    [anon_sym_PIPE] = ACTIONS(7706),
    [anon_sym_SEMI] = ACTIONS(7704),
    [anon_sym_STAR_STAR] = ACTIONS(7706),
    [anon_sym_AMP] = ACTIONS(7706),
    [anon_sym_EQ] = ACTIONS(7706),
    [anon_sym_LT] = ACTIONS(7706),
    [anon_sym_if] = ACTIONS(7704),
    [anon_sym_unless] = ACTIONS(7704),
    [anon_sym_while] = ACTIONS(7704),
    [anon_sym_until] = ACTIONS(7704),
    [anon_sym_rescue] = ACTIONS(7704),
    [anon_sym_in] = ACTIONS(7704),
    [anon_sym_do] = ACTIONS(7704),
    [anon_sym_RBRACK] = ACTIONS(7704),
    [anon_sym_AMP_DOT] = ACTIONS(7704),
    [anon_sym_PLUS_EQ] = ACTIONS(7704),
    [anon_sym_DASH_EQ] = ACTIONS(7704),
    [anon_sym_STAR_EQ] = ACTIONS(7704),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7704),
    [anon_sym_SLASH_EQ] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7704),
    [anon_sym_PIPE_EQ] = ACTIONS(7704),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7704),
    [anon_sym_AMP_EQ] = ACTIONS(7704),
    [anon_sym_PERCENT_EQ] = ACTIONS(7704),
    [anon_sym_GT_GT_EQ] = ACTIONS(7704),
    [anon_sym_LT_LT_EQ] = ACTIONS(7704),
    [anon_sym_CARET_EQ] = ACTIONS(7704),
    [anon_sym_QMARK] = ACTIONS(7704),
    [anon_sym_COLON] = ACTIONS(7704),
    [anon_sym_DOT_DOT] = ACTIONS(7706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7704),
    [anon_sym_and] = ACTIONS(7704),
    [anon_sym_or] = ACTIONS(7704),
    [anon_sym_PIPE_PIPE] = ACTIONS(7706),
    [anon_sym_AMP_AMP] = ACTIONS(7706),
    [anon_sym_LT_LT] = ACTIONS(7706),
    [anon_sym_GT_GT] = ACTIONS(7706),
    [anon_sym_EQ_EQ] = ACTIONS(7706),
    [anon_sym_BANG_EQ] = ACTIONS(7704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7704),
    [anon_sym_LT_EQ_GT] = ACTIONS(7704),
    [anon_sym_EQ_TILDE] = ACTIONS(7704),
    [anon_sym_BANG_TILDE] = ACTIONS(7704),
    [anon_sym_LT_EQ] = ACTIONS(7706),
    [anon_sym_GT] = ACTIONS(7706),
    [anon_sym_GT_EQ] = ACTIONS(7704),
    [anon_sym_CARET] = ACTIONS(7706),
    [anon_sym_PLUS] = ACTIONS(7706),
    [anon_sym_SLASH] = ACTIONS(7706),
    [anon_sym_PERCENT] = ACTIONS(7706),
    [sym_comment] = ACTIONS(87),
  },
  [10871] = {
    [sym__heredoc_body_start] = ACTIONS(7880),
    [sym__element_reference_left_bracket] = ACTIONS(7880),
    [sym__infix_scope_colons] = ACTIONS(7880),
    [sym__binary_minus] = ACTIONS(7880),
    [sym__binary_star] = ACTIONS(7880),
    [anon_sym_LBRACE] = ACTIONS(7880),
    [anon_sym_RBRACE] = ACTIONS(7880),
    [anon_sym_RPAREN] = ACTIONS(7880),
    [anon_sym_DOT] = ACTIONS(7882),
    [anon_sym_COMMA] = ACTIONS(7880),
    [anon_sym_PIPE] = ACTIONS(7882),
    [anon_sym_SEMI] = ACTIONS(7880),
    [anon_sym_STAR_STAR] = ACTIONS(7882),
    [anon_sym_AMP] = ACTIONS(7882),
    [anon_sym_EQ] = ACTIONS(7882),
    [anon_sym_LT] = ACTIONS(7882),
    [anon_sym_if] = ACTIONS(7880),
    [anon_sym_unless] = ACTIONS(7880),
    [anon_sym_while] = ACTIONS(7880),
    [anon_sym_until] = ACTIONS(7880),
    [anon_sym_rescue] = ACTIONS(7880),
    [anon_sym_in] = ACTIONS(7880),
    [anon_sym_do] = ACTIONS(7880),
    [anon_sym_RBRACK] = ACTIONS(7880),
    [anon_sym_AMP_DOT] = ACTIONS(7880),
    [anon_sym_PLUS_EQ] = ACTIONS(7880),
    [anon_sym_DASH_EQ] = ACTIONS(7880),
    [anon_sym_STAR_EQ] = ACTIONS(7880),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7880),
    [anon_sym_SLASH_EQ] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7880),
    [anon_sym_PIPE_EQ] = ACTIONS(7880),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7880),
    [anon_sym_AMP_EQ] = ACTIONS(7880),
    [anon_sym_PERCENT_EQ] = ACTIONS(7880),
    [anon_sym_GT_GT_EQ] = ACTIONS(7880),
    [anon_sym_LT_LT_EQ] = ACTIONS(7880),
    [anon_sym_CARET_EQ] = ACTIONS(7880),
    [anon_sym_QMARK] = ACTIONS(7880),
    [anon_sym_COLON] = ACTIONS(7880),
    [anon_sym_DOT_DOT] = ACTIONS(7882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7880),
    [anon_sym_and] = ACTIONS(7880),
    [anon_sym_or] = ACTIONS(7880),
    [anon_sym_PIPE_PIPE] = ACTIONS(7882),
    [anon_sym_AMP_AMP] = ACTIONS(7882),
    [anon_sym_LT_LT] = ACTIONS(7882),
    [anon_sym_GT_GT] = ACTIONS(7882),
    [anon_sym_EQ_EQ] = ACTIONS(7882),
    [anon_sym_BANG_EQ] = ACTIONS(7880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7880),
    [anon_sym_LT_EQ_GT] = ACTIONS(7880),
    [anon_sym_EQ_TILDE] = ACTIONS(7880),
    [anon_sym_BANG_TILDE] = ACTIONS(7880),
    [anon_sym_LT_EQ] = ACTIONS(7882),
    [anon_sym_GT] = ACTIONS(7882),
    [anon_sym_GT_EQ] = ACTIONS(7880),
    [anon_sym_CARET] = ACTIONS(7882),
    [anon_sym_PLUS] = ACTIONS(7882),
    [anon_sym_SLASH] = ACTIONS(7882),
    [anon_sym_PERCENT] = ACTIONS(7882),
    [sym_comment] = ACTIONS(87),
  },
  [10872] = {
    [sym_elsif] = STATE(11613),
    [sym_else] = STATE(11613),
    [sym__if_tail] = STATE(11613),
    [anon_sym_end] = ACTIONS(14519),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [10873] = {
    [anon_sym_end] = ACTIONS(14519),
    [sym_comment] = ACTIONS(87),
  },
  [10874] = {
    [sym__statements] = STATE(11614),
    [sym__top_level_statement] = STATE(2802),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(2803),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_elsif] = STATE(11613),
    [sym_else] = STATE(11613),
    [sym__if_tail] = STATE(11613),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(2805),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(2808),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(2808),
    [sym_assignment] = STATE(2805),
    [sym_operator_assignment] = STATE(2805),
    [sym_conditional] = STATE(2805),
    [sym_range] = STATE(2805),
    [sym_binary] = STATE(2805),
    [sym_unary] = STATE(2805),
    [sym_left_assignment_list] = STATE(2807),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2808),
    [sym__variable] = STATE(2806),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(2808),
    [sym_false] = STATE(2808),
    [sym_nil] = STATE(2808),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(2809),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(4400),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(14521),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_yield] = ACTIONS(4406),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_next] = ACTIONS(4410),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_elsif] = ACTIONS(4412),
    [anon_sym_else] = ACTIONS(4414),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(4416),
    [anon_sym_defined_QMARK] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4422),
    [anon_sym_TILDE] = ACTIONS(4422),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [anon_sym_undef] = ACTIONS(4428),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10875] = {
    [sym__heredoc_body_start] = ACTIONS(8084),
    [sym__element_reference_left_bracket] = ACTIONS(8084),
    [sym__infix_scope_colons] = ACTIONS(8084),
    [sym__binary_minus] = ACTIONS(8084),
    [sym__binary_star] = ACTIONS(8084),
    [anon_sym_LBRACE] = ACTIONS(8084),
    [anon_sym_RBRACE] = ACTIONS(8084),
    [anon_sym_RPAREN] = ACTIONS(8084),
    [anon_sym_DOT] = ACTIONS(8086),
    [anon_sym_COMMA] = ACTIONS(8084),
    [anon_sym_PIPE] = ACTIONS(8086),
    [anon_sym_SEMI] = ACTIONS(8084),
    [anon_sym_STAR_STAR] = ACTIONS(8086),
    [anon_sym_AMP] = ACTIONS(8086),
    [anon_sym_EQ] = ACTIONS(8086),
    [anon_sym_LT] = ACTIONS(8086),
    [anon_sym_if] = ACTIONS(8084),
    [anon_sym_unless] = ACTIONS(8084),
    [anon_sym_while] = ACTIONS(8084),
    [anon_sym_until] = ACTIONS(8084),
    [anon_sym_rescue] = ACTIONS(8084),
    [anon_sym_in] = ACTIONS(8084),
    [anon_sym_do] = ACTIONS(8084),
    [anon_sym_RBRACK] = ACTIONS(8084),
    [anon_sym_AMP_DOT] = ACTIONS(8084),
    [anon_sym_PLUS_EQ] = ACTIONS(8084),
    [anon_sym_DASH_EQ] = ACTIONS(8084),
    [anon_sym_STAR_EQ] = ACTIONS(8084),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8084),
    [anon_sym_SLASH_EQ] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8084),
    [anon_sym_PIPE_EQ] = ACTIONS(8084),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8084),
    [anon_sym_AMP_EQ] = ACTIONS(8084),
    [anon_sym_PERCENT_EQ] = ACTIONS(8084),
    [anon_sym_GT_GT_EQ] = ACTIONS(8084),
    [anon_sym_LT_LT_EQ] = ACTIONS(8084),
    [anon_sym_CARET_EQ] = ACTIONS(8084),
    [anon_sym_QMARK] = ACTIONS(8084),
    [anon_sym_COLON] = ACTIONS(8084),
    [anon_sym_DOT_DOT] = ACTIONS(8086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8084),
    [anon_sym_and] = ACTIONS(8084),
    [anon_sym_or] = ACTIONS(8084),
    [anon_sym_PIPE_PIPE] = ACTIONS(8086),
    [anon_sym_AMP_AMP] = ACTIONS(8086),
    [anon_sym_LT_LT] = ACTIONS(8086),
    [anon_sym_GT_GT] = ACTIONS(8086),
    [anon_sym_EQ_EQ] = ACTIONS(8086),
    [anon_sym_BANG_EQ] = ACTIONS(8084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8084),
    [anon_sym_LT_EQ_GT] = ACTIONS(8084),
    [anon_sym_EQ_TILDE] = ACTIONS(8084),
    [anon_sym_BANG_TILDE] = ACTIONS(8084),
    [anon_sym_LT_EQ] = ACTIONS(8086),
    [anon_sym_GT] = ACTIONS(8086),
    [anon_sym_GT_EQ] = ACTIONS(8084),
    [anon_sym_CARET] = ACTIONS(8086),
    [anon_sym_PLUS] = ACTIONS(8086),
    [anon_sym_SLASH] = ACTIONS(8086),
    [anon_sym_PERCENT] = ACTIONS(8086),
    [sym_comment] = ACTIONS(87),
  },
  [10876] = {
    [sym_else] = STATE(11616),
    [anon_sym_end] = ACTIONS(14523),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [10877] = {
    [anon_sym_end] = ACTIONS(14523),
    [sym_comment] = ACTIONS(87),
  },
  [10878] = {
    [sym__heredoc_body_start] = ACTIONS(8254),
    [sym__element_reference_left_bracket] = ACTIONS(8254),
    [sym__infix_scope_colons] = ACTIONS(8254),
    [sym__binary_minus] = ACTIONS(8254),
    [sym__binary_star] = ACTIONS(8254),
    [anon_sym_LBRACE] = ACTIONS(8254),
    [anon_sym_RBRACE] = ACTIONS(8254),
    [anon_sym_RPAREN] = ACTIONS(8254),
    [anon_sym_DOT] = ACTIONS(8256),
    [anon_sym_COMMA] = ACTIONS(8254),
    [anon_sym_PIPE] = ACTIONS(8256),
    [anon_sym_SEMI] = ACTIONS(8254),
    [anon_sym_STAR_STAR] = ACTIONS(8256),
    [anon_sym_AMP] = ACTIONS(8256),
    [anon_sym_EQ] = ACTIONS(8256),
    [anon_sym_LT] = ACTIONS(8256),
    [anon_sym_if] = ACTIONS(8254),
    [anon_sym_unless] = ACTIONS(8254),
    [anon_sym_while] = ACTIONS(8254),
    [anon_sym_until] = ACTIONS(8254),
    [anon_sym_rescue] = ACTIONS(8254),
    [anon_sym_in] = ACTIONS(8254),
    [anon_sym_do] = ACTIONS(8254),
    [anon_sym_RBRACK] = ACTIONS(8254),
    [anon_sym_AMP_DOT] = ACTIONS(8254),
    [anon_sym_PLUS_EQ] = ACTIONS(8254),
    [anon_sym_DASH_EQ] = ACTIONS(8254),
    [anon_sym_STAR_EQ] = ACTIONS(8254),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8254),
    [anon_sym_SLASH_EQ] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8254),
    [anon_sym_PIPE_EQ] = ACTIONS(8254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8254),
    [anon_sym_AMP_EQ] = ACTIONS(8254),
    [anon_sym_PERCENT_EQ] = ACTIONS(8254),
    [anon_sym_GT_GT_EQ] = ACTIONS(8254),
    [anon_sym_LT_LT_EQ] = ACTIONS(8254),
    [anon_sym_CARET_EQ] = ACTIONS(8254),
    [anon_sym_QMARK] = ACTIONS(8254),
    [anon_sym_COLON] = ACTIONS(8254),
    [anon_sym_DOT_DOT] = ACTIONS(8256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8254),
    [anon_sym_and] = ACTIONS(8254),
    [anon_sym_or] = ACTIONS(8254),
    [anon_sym_PIPE_PIPE] = ACTIONS(8256),
    [anon_sym_AMP_AMP] = ACTIONS(8256),
    [anon_sym_LT_LT] = ACTIONS(8256),
    [anon_sym_GT_GT] = ACTIONS(8256),
    [anon_sym_EQ_EQ] = ACTIONS(8256),
    [anon_sym_BANG_EQ] = ACTIONS(8254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8254),
    [anon_sym_LT_EQ_GT] = ACTIONS(8254),
    [anon_sym_EQ_TILDE] = ACTIONS(8254),
    [anon_sym_BANG_TILDE] = ACTIONS(8254),
    [anon_sym_LT_EQ] = ACTIONS(8256),
    [anon_sym_GT] = ACTIONS(8256),
    [anon_sym_GT_EQ] = ACTIONS(8254),
    [anon_sym_CARET] = ACTIONS(8256),
    [anon_sym_PLUS] = ACTIONS(8256),
    [anon_sym_SLASH] = ACTIONS(8256),
    [anon_sym_PERCENT] = ACTIONS(8256),
    [sym_comment] = ACTIONS(87),
  },
  [10879] = {
    [anon_sym_end] = ACTIONS(14525),
    [sym_comment] = ACTIONS(87),
  },
  [10880] = {
    [sym__heredoc_body_start] = ACTIONS(8334),
    [sym__element_reference_left_bracket] = ACTIONS(8334),
    [sym__infix_scope_colons] = ACTIONS(8334),
    [sym__binary_minus] = ACTIONS(8334),
    [sym__binary_star] = ACTIONS(8334),
    [anon_sym_LBRACE] = ACTIONS(8334),
    [anon_sym_RBRACE] = ACTIONS(8334),
    [anon_sym_RPAREN] = ACTIONS(8334),
    [anon_sym_DOT] = ACTIONS(8336),
    [anon_sym_COMMA] = ACTIONS(8334),
    [anon_sym_PIPE] = ACTIONS(8336),
    [anon_sym_SEMI] = ACTIONS(8334),
    [anon_sym_STAR_STAR] = ACTIONS(8336),
    [anon_sym_AMP] = ACTIONS(8336),
    [anon_sym_EQ] = ACTIONS(8336),
    [anon_sym_LT] = ACTIONS(8336),
    [anon_sym_if] = ACTIONS(8334),
    [anon_sym_unless] = ACTIONS(8334),
    [anon_sym_while] = ACTIONS(8334),
    [anon_sym_until] = ACTIONS(8334),
    [anon_sym_rescue] = ACTIONS(8334),
    [anon_sym_in] = ACTIONS(8334),
    [anon_sym_do] = ACTIONS(8334),
    [anon_sym_RBRACK] = ACTIONS(8334),
    [anon_sym_AMP_DOT] = ACTIONS(8334),
    [anon_sym_PLUS_EQ] = ACTIONS(8334),
    [anon_sym_DASH_EQ] = ACTIONS(8334),
    [anon_sym_STAR_EQ] = ACTIONS(8334),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8334),
    [anon_sym_SLASH_EQ] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8334),
    [anon_sym_PIPE_EQ] = ACTIONS(8334),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8334),
    [anon_sym_AMP_EQ] = ACTIONS(8334),
    [anon_sym_PERCENT_EQ] = ACTIONS(8334),
    [anon_sym_GT_GT_EQ] = ACTIONS(8334),
    [anon_sym_LT_LT_EQ] = ACTIONS(8334),
    [anon_sym_CARET_EQ] = ACTIONS(8334),
    [anon_sym_QMARK] = ACTIONS(8334),
    [anon_sym_COLON] = ACTIONS(8334),
    [anon_sym_DOT_DOT] = ACTIONS(8336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8334),
    [anon_sym_and] = ACTIONS(8334),
    [anon_sym_or] = ACTIONS(8334),
    [anon_sym_PIPE_PIPE] = ACTIONS(8336),
    [anon_sym_AMP_AMP] = ACTIONS(8336),
    [anon_sym_LT_LT] = ACTIONS(8336),
    [anon_sym_GT_GT] = ACTIONS(8336),
    [anon_sym_EQ_EQ] = ACTIONS(8336),
    [anon_sym_BANG_EQ] = ACTIONS(8334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8334),
    [anon_sym_LT_EQ_GT] = ACTIONS(8334),
    [anon_sym_EQ_TILDE] = ACTIONS(8334),
    [anon_sym_BANG_TILDE] = ACTIONS(8334),
    [anon_sym_LT_EQ] = ACTIONS(8336),
    [anon_sym_GT] = ACTIONS(8336),
    [anon_sym_GT_EQ] = ACTIONS(8334),
    [anon_sym_CARET] = ACTIONS(8336),
    [anon_sym_PLUS] = ACTIONS(8336),
    [anon_sym_SLASH] = ACTIONS(8336),
    [anon_sym_PERCENT] = ACTIONS(8336),
    [sym_comment] = ACTIONS(87),
  },
  [10881] = {
    [anon_sym_end] = ACTIONS(14527),
    [sym_comment] = ACTIONS(87),
  },
  [10882] = {
    [sym__statements] = STATE(11620),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(14529),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10883] = {
    [anon_sym_end] = ACTIONS(14531),
    [sym_comment] = ACTIONS(87),
  },
  [10884] = {
    [sym_when] = STATE(11622),
    [aux_sym_case_repeat1] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_when] = ACTIONS(2061),
    [sym_comment] = ACTIONS(87),
  },
  [10885] = {
    [sym__heredoc_body_start] = ACTIONS(8592),
    [sym__element_reference_left_bracket] = ACTIONS(8592),
    [sym__infix_scope_colons] = ACTIONS(8592),
    [sym__binary_minus] = ACTIONS(8592),
    [sym__binary_star] = ACTIONS(8592),
    [anon_sym_LBRACE] = ACTIONS(8592),
    [anon_sym_RBRACE] = ACTIONS(8592),
    [anon_sym_RPAREN] = ACTIONS(8592),
    [anon_sym_DOT] = ACTIONS(8594),
    [anon_sym_COMMA] = ACTIONS(8592),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_SEMI] = ACTIONS(8592),
    [anon_sym_STAR_STAR] = ACTIONS(8594),
    [anon_sym_AMP] = ACTIONS(8594),
    [anon_sym_EQ] = ACTIONS(8594),
    [anon_sym_LT] = ACTIONS(8594),
    [anon_sym_if] = ACTIONS(8592),
    [anon_sym_unless] = ACTIONS(8592),
    [anon_sym_while] = ACTIONS(8592),
    [anon_sym_until] = ACTIONS(8592),
    [anon_sym_rescue] = ACTIONS(8592),
    [anon_sym_in] = ACTIONS(8592),
    [anon_sym_do] = ACTIONS(8592),
    [anon_sym_RBRACK] = ACTIONS(8592),
    [anon_sym_AMP_DOT] = ACTIONS(8592),
    [anon_sym_PLUS_EQ] = ACTIONS(8592),
    [anon_sym_DASH_EQ] = ACTIONS(8592),
    [anon_sym_STAR_EQ] = ACTIONS(8592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(8592),
    [anon_sym_SLASH_EQ] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(8592),
    [anon_sym_PIPE_EQ] = ACTIONS(8592),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(8592),
    [anon_sym_AMP_EQ] = ACTIONS(8592),
    [anon_sym_PERCENT_EQ] = ACTIONS(8592),
    [anon_sym_GT_GT_EQ] = ACTIONS(8592),
    [anon_sym_LT_LT_EQ] = ACTIONS(8592),
    [anon_sym_CARET_EQ] = ACTIONS(8592),
    [anon_sym_QMARK] = ACTIONS(8592),
    [anon_sym_COLON] = ACTIONS(8592),
    [anon_sym_DOT_DOT] = ACTIONS(8594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8592),
    [anon_sym_and] = ACTIONS(8592),
    [anon_sym_or] = ACTIONS(8592),
    [anon_sym_PIPE_PIPE] = ACTIONS(8594),
    [anon_sym_AMP_AMP] = ACTIONS(8594),
    [anon_sym_LT_LT] = ACTIONS(8594),
    [anon_sym_GT_GT] = ACTIONS(8594),
    [anon_sym_EQ_EQ] = ACTIONS(8594),
    [anon_sym_BANG_EQ] = ACTIONS(8592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8592),
    [anon_sym_LT_EQ_GT] = ACTIONS(8592),
    [anon_sym_EQ_TILDE] = ACTIONS(8592),
    [anon_sym_BANG_TILDE] = ACTIONS(8592),
    [anon_sym_LT_EQ] = ACTIONS(8594),
    [anon_sym_GT] = ACTIONS(8594),
    [anon_sym_GT_EQ] = ACTIONS(8592),
    [anon_sym_CARET] = ACTIONS(8594),
    [anon_sym_PLUS] = ACTIONS(8594),
    [anon_sym_SLASH] = ACTIONS(8594),
    [anon_sym_PERCENT] = ACTIONS(8594),
    [sym_comment] = ACTIONS(87),
  },
  [10886] = {
    [sym__heredoc_body_start] = ACTIONS(9111),
    [sym__element_reference_left_bracket] = ACTIONS(9111),
    [sym__infix_scope_colons] = ACTIONS(9111),
    [sym__binary_minus] = ACTIONS(9111),
    [sym__binary_star] = ACTIONS(9111),
    [anon_sym_LBRACE] = ACTIONS(9111),
    [anon_sym_RBRACE] = ACTIONS(9111),
    [anon_sym_RPAREN] = ACTIONS(9111),
    [anon_sym_DOT] = ACTIONS(9113),
    [anon_sym_COMMA] = ACTIONS(9111),
    [anon_sym_PIPE] = ACTIONS(9113),
    [anon_sym_SEMI] = ACTIONS(9111),
    [anon_sym_STAR_STAR] = ACTIONS(9113),
    [anon_sym_AMP] = ACTIONS(9113),
    [anon_sym_EQ] = ACTIONS(9113),
    [anon_sym_LT] = ACTIONS(9113),
    [anon_sym_if] = ACTIONS(9111),
    [anon_sym_unless] = ACTIONS(9111),
    [anon_sym_while] = ACTIONS(9111),
    [anon_sym_until] = ACTIONS(9111),
    [anon_sym_rescue] = ACTIONS(9111),
    [anon_sym_in] = ACTIONS(9111),
    [anon_sym_do] = ACTIONS(9111),
    [anon_sym_RBRACK] = ACTIONS(9111),
    [anon_sym_AMP_DOT] = ACTIONS(9111),
    [anon_sym_PLUS_EQ] = ACTIONS(9111),
    [anon_sym_DASH_EQ] = ACTIONS(9111),
    [anon_sym_STAR_EQ] = ACTIONS(9111),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9111),
    [anon_sym_SLASH_EQ] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9111),
    [anon_sym_PIPE_EQ] = ACTIONS(9111),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9111),
    [anon_sym_AMP_EQ] = ACTIONS(9111),
    [anon_sym_PERCENT_EQ] = ACTIONS(9111),
    [anon_sym_GT_GT_EQ] = ACTIONS(9111),
    [anon_sym_LT_LT_EQ] = ACTIONS(9111),
    [anon_sym_CARET_EQ] = ACTIONS(9111),
    [anon_sym_QMARK] = ACTIONS(9111),
    [anon_sym_COLON] = ACTIONS(9111),
    [anon_sym_DOT_DOT] = ACTIONS(9113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9111),
    [anon_sym_and] = ACTIONS(9111),
    [anon_sym_or] = ACTIONS(9111),
    [anon_sym_PIPE_PIPE] = ACTIONS(9113),
    [anon_sym_AMP_AMP] = ACTIONS(9113),
    [anon_sym_LT_LT] = ACTIONS(9113),
    [anon_sym_GT_GT] = ACTIONS(9113),
    [anon_sym_EQ_EQ] = ACTIONS(9113),
    [anon_sym_BANG_EQ] = ACTIONS(9111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9111),
    [anon_sym_LT_EQ_GT] = ACTIONS(9111),
    [anon_sym_EQ_TILDE] = ACTIONS(9111),
    [anon_sym_BANG_TILDE] = ACTIONS(9111),
    [anon_sym_LT_EQ] = ACTIONS(9113),
    [anon_sym_GT] = ACTIONS(9113),
    [anon_sym_GT_EQ] = ACTIONS(9111),
    [anon_sym_CARET] = ACTIONS(9113),
    [anon_sym_PLUS] = ACTIONS(9113),
    [anon_sym_SLASH] = ACTIONS(9113),
    [anon_sym_PERCENT] = ACTIONS(9113),
    [sym_comment] = ACTIONS(87),
  },
  [10887] = {
    [anon_sym_end] = ACTIONS(14533),
    [sym_comment] = ACTIONS(87),
  },
  [10888] = {
    [sym_ensure] = STATE(11624),
    [anon_sym_end] = ACTIONS(14533),
    [anon_sym_ensure] = ACTIONS(2191),
    [sym_comment] = ACTIONS(87),
  },
  [10889] = {
    [sym__heredoc_body_start] = ACTIONS(9333),
    [sym__element_reference_left_bracket] = ACTIONS(9333),
    [sym__infix_scope_colons] = ACTIONS(9333),
    [sym__binary_minus] = ACTIONS(9333),
    [sym__binary_star] = ACTIONS(9333),
    [anon_sym_LBRACE] = ACTIONS(9333),
    [anon_sym_RBRACE] = ACTIONS(9333),
    [anon_sym_RPAREN] = ACTIONS(9333),
    [anon_sym_DOT] = ACTIONS(9335),
    [anon_sym_COMMA] = ACTIONS(9333),
    [anon_sym_PIPE] = ACTIONS(9335),
    [anon_sym_SEMI] = ACTIONS(9333),
    [anon_sym_STAR_STAR] = ACTIONS(9335),
    [anon_sym_AMP] = ACTIONS(9335),
    [anon_sym_EQ] = ACTIONS(9335),
    [anon_sym_LT] = ACTIONS(9335),
    [anon_sym_if] = ACTIONS(9333),
    [anon_sym_unless] = ACTIONS(9333),
    [anon_sym_while] = ACTIONS(9333),
    [anon_sym_until] = ACTIONS(9333),
    [anon_sym_rescue] = ACTIONS(9333),
    [anon_sym_in] = ACTIONS(9333),
    [anon_sym_do] = ACTIONS(9333),
    [anon_sym_RBRACK] = ACTIONS(9333),
    [anon_sym_AMP_DOT] = ACTIONS(9333),
    [anon_sym_PLUS_EQ] = ACTIONS(9333),
    [anon_sym_DASH_EQ] = ACTIONS(9333),
    [anon_sym_STAR_EQ] = ACTIONS(9333),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9333),
    [anon_sym_SLASH_EQ] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9333),
    [anon_sym_PIPE_EQ] = ACTIONS(9333),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9333),
    [anon_sym_AMP_EQ] = ACTIONS(9333),
    [anon_sym_PERCENT_EQ] = ACTIONS(9333),
    [anon_sym_GT_GT_EQ] = ACTIONS(9333),
    [anon_sym_LT_LT_EQ] = ACTIONS(9333),
    [anon_sym_CARET_EQ] = ACTIONS(9333),
    [anon_sym_QMARK] = ACTIONS(9333),
    [anon_sym_COLON] = ACTIONS(9333),
    [anon_sym_DOT_DOT] = ACTIONS(9335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9333),
    [anon_sym_and] = ACTIONS(9333),
    [anon_sym_or] = ACTIONS(9333),
    [anon_sym_PIPE_PIPE] = ACTIONS(9335),
    [anon_sym_AMP_AMP] = ACTIONS(9335),
    [anon_sym_LT_LT] = ACTIONS(9335),
    [anon_sym_GT_GT] = ACTIONS(9335),
    [anon_sym_EQ_EQ] = ACTIONS(9335),
    [anon_sym_BANG_EQ] = ACTIONS(9333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9333),
    [anon_sym_LT_EQ_GT] = ACTIONS(9333),
    [anon_sym_EQ_TILDE] = ACTIONS(9333),
    [anon_sym_BANG_TILDE] = ACTIONS(9333),
    [anon_sym_LT_EQ] = ACTIONS(9335),
    [anon_sym_GT] = ACTIONS(9335),
    [anon_sym_GT_EQ] = ACTIONS(9333),
    [anon_sym_CARET] = ACTIONS(9335),
    [anon_sym_PLUS] = ACTIONS(9335),
    [anon_sym_SLASH] = ACTIONS(9335),
    [anon_sym_PERCENT] = ACTIONS(9335),
    [sym_comment] = ACTIONS(87),
  },
  [10890] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11625),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_assignment] = STATE(11625),
    [sym_operator_assignment] = STATE(11625),
    [sym_conditional] = STATE(11625),
    [sym_range] = STATE(11625),
    [sym_binary] = STATE(11625),
    [sym_unary] = STATE(11625),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10891] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9465),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4145),
    [sym_scope_resolution] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym_method_call] = STATE(4145),
    [sym_splat_argument] = STATE(11626),
    [sym_assignment] = STATE(9465),
    [sym_operator_assignment] = STATE(9465),
    [sym_conditional] = STATE(9465),
    [sym_range] = STATE(9465),
    [sym_binary] = STATE(9465),
    [sym_unary] = STATE(9465),
    [sym__arg_or_splat_arg] = STATE(11626),
    [sym_left_assignment_list] = STATE(4144),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4145),
    [sym__variable] = STATE(4143),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4145),
    [sym_false] = STATE(4145),
    [sym_nil] = STATE(4145),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4146),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(2889),
    [sym__unary_minus] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6333),
    [anon_sym_yield] = ACTIONS(6335),
    [anon_sym_break] = ACTIONS(6337),
    [anon_sym_next] = ACTIONS(6339),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6357),
    [anon_sym_defined_QMARK] = ACTIONS(6359),
    [anon_sym_not] = ACTIONS(6361),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_TILDE] = ACTIONS(6363),
    [sym_constant] = ACTIONS(6365),
    [sym_identifier] = ACTIONS(6365),
    [sym_instance_variable] = ACTIONS(6367),
    [sym_class_variable] = ACTIONS(6367),
    [sym_global_variable] = ACTIONS(6367),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6365),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6365),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10892] = {
    [aux_sym_exceptions_repeat1] = STATE(11627),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14535),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10893] = {
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [sym__binary_minus] = ACTIONS(13557),
    [sym__binary_star] = ACTIONS(13557),
    [anon_sym_LBRACE] = ACTIONS(13557),
    [anon_sym_RBRACE] = ACTIONS(13557),
    [anon_sym_RPAREN] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13559),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_PIPE] = ACTIONS(13559),
    [anon_sym_SEMI] = ACTIONS(13557),
    [anon_sym_STAR_STAR] = ACTIONS(13559),
    [anon_sym_AMP] = ACTIONS(13559),
    [anon_sym_EQ] = ACTIONS(13559),
    [anon_sym_LT] = ACTIONS(13559),
    [anon_sym_if] = ACTIONS(13557),
    [anon_sym_unless] = ACTIONS(13557),
    [anon_sym_while] = ACTIONS(13557),
    [anon_sym_until] = ACTIONS(13557),
    [anon_sym_rescue] = ACTIONS(13557),
    [anon_sym_do] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [anon_sym_PLUS_EQ] = ACTIONS(13557),
    [anon_sym_DASH_EQ] = ACTIONS(13557),
    [anon_sym_STAR_EQ] = ACTIONS(13557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13557),
    [anon_sym_SLASH_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13557),
    [anon_sym_AMP_EQ] = ACTIONS(13557),
    [anon_sym_PERCENT_EQ] = ACTIONS(13557),
    [anon_sym_GT_GT_EQ] = ACTIONS(13557),
    [anon_sym_LT_LT_EQ] = ACTIONS(13557),
    [anon_sym_CARET_EQ] = ACTIONS(13557),
    [anon_sym_QMARK] = ACTIONS(13557),
    [anon_sym_COLON] = ACTIONS(13557),
    [anon_sym_DOT_DOT] = ACTIONS(13559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13557),
    [anon_sym_and] = ACTIONS(13557),
    [anon_sym_or] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE] = ACTIONS(13559),
    [anon_sym_AMP_AMP] = ACTIONS(13559),
    [anon_sym_LT_LT] = ACTIONS(13559),
    [anon_sym_GT_GT] = ACTIONS(13559),
    [anon_sym_EQ_EQ] = ACTIONS(13559),
    [anon_sym_BANG_EQ] = ACTIONS(13557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13557),
    [anon_sym_LT_EQ_GT] = ACTIONS(13557),
    [anon_sym_EQ_TILDE] = ACTIONS(13557),
    [anon_sym_BANG_TILDE] = ACTIONS(13557),
    [anon_sym_LT_EQ] = ACTIONS(13559),
    [anon_sym_GT] = ACTIONS(13559),
    [anon_sym_GT_EQ] = ACTIONS(13557),
    [anon_sym_CARET] = ACTIONS(13559),
    [anon_sym_PLUS] = ACTIONS(13559),
    [anon_sym_SLASH] = ACTIONS(13559),
    [anon_sym_PERCENT] = ACTIONS(13559),
    [sym_comment] = ACTIONS(87),
  },
  [10894] = {
    [anon_sym_end] = ACTIONS(14537),
    [sym_comment] = ACTIONS(87),
  },
  [10895] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(6387),
    [sym__binary_star] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(6391),
    [anon_sym_STAR_STAR] = ACTIONS(6393),
    [anon_sym_AMP] = ACTIONS(6395),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(6397),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(6401),
    [anon_sym_DOT_DOT] = ACTIONS(6403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6409),
    [anon_sym_GT_GT] = ACTIONS(6409),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6411),
    [anon_sym_LT_EQ_GT] = ACTIONS(6411),
    [anon_sym_EQ_TILDE] = ACTIONS(6411),
    [anon_sym_BANG_TILDE] = ACTIONS(6411),
    [anon_sym_LT_EQ] = ACTIONS(6397),
    [anon_sym_GT] = ACTIONS(6397),
    [anon_sym_GT_EQ] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_SLASH] = ACTIONS(6393),
    [anon_sym_PERCENT] = ACTIONS(6393),
    [sym_comment] = ACTIONS(87),
  },
  [10896] = {
    [aux_sym_exceptions_repeat1] = STATE(10896),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14539),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [10897] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11629),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4199),
    [sym_scope_resolution] = STATE(475),
    [sym_call] = STATE(475),
    [sym_method_call] = STATE(4199),
    [sym_assignment] = STATE(11629),
    [sym_operator_assignment] = STATE(11629),
    [sym_conditional] = STATE(11629),
    [sym_range] = STATE(11629),
    [sym_binary] = STATE(11629),
    [sym_unary] = STATE(11629),
    [sym_left_assignment_list] = STATE(4198),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4199),
    [sym__variable] = STATE(475),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4199),
    [sym_false] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4200),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_yield] = ACTIONS(6439),
    [anon_sym_break] = ACTIONS(6441),
    [anon_sym_next] = ACTIONS(6443),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(6445),
    [anon_sym_defined_QMARK] = ACTIONS(6447),
    [anon_sym_not] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6451),
    [anon_sym_TILDE] = ACTIONS(6451),
    [sym_constant] = ACTIONS(871),
    [sym_identifier] = ACTIONS(871),
    [sym_instance_variable] = ACTIONS(873),
    [sym_class_variable] = ACTIONS(873),
    [sym_global_variable] = ACTIONS(873),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(871),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10898] = {
    [sym_heredoc_body] = STATE(10898),
    [aux_sym_call_repeat1] = STATE(10898),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_RBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10899] = {
    [sym_heredoc_body] = STATE(10898),
    [aux_sym_call_repeat1] = STATE(10898),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_RBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10900] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11630),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_assignment] = STATE(11630),
    [sym_operator_assignment] = STATE(11630),
    [sym_conditional] = STATE(11630),
    [sym_range] = STATE(11630),
    [sym_binary] = STATE(11630),
    [sym_unary] = STATE(11630),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10901] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(9510),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4221),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4221),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(9510),
    [sym_operator_assignment] = STATE(9510),
    [sym_conditional] = STATE(9510),
    [sym_range] = STATE(9510),
    [sym_binary] = STATE(9510),
    [sym_unary] = STATE(9510),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(4220),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4221),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4221),
    [sym_false] = STATE(4221),
    [sym_nil] = STATE(4221),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(3008),
    [sym__unary_minus] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_defined_QMARK] = ACTIONS(6515),
    [anon_sym_not] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6519),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10902] = {
    [aux_sym_exceptions_repeat1] = STATE(11631),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14542),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10903] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(6525),
    [sym__binary_star] = ACTIONS(6527),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(6529),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(6531),
    [anon_sym_AMP] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_DOT_DOT] = ACTIONS(6541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6543),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(6545),
    [anon_sym_AMP_AMP] = ACTIONS(6545),
    [anon_sym_LT_LT] = ACTIONS(6547),
    [anon_sym_GT_GT] = ACTIONS(6547),
    [anon_sym_EQ_EQ] = ACTIONS(6549),
    [anon_sym_BANG_EQ] = ACTIONS(6545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6545),
    [anon_sym_LT_EQ_GT] = ACTIONS(6545),
    [anon_sym_EQ_TILDE] = ACTIONS(6545),
    [anon_sym_BANG_TILDE] = ACTIONS(6545),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_GT_EQ] = ACTIONS(6551),
    [anon_sym_CARET] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6555),
    [anon_sym_SLASH] = ACTIONS(6531),
    [anon_sym_PERCENT] = ACTIONS(6531),
    [sym_comment] = ACTIONS(87),
  },
  [10904] = {
    [aux_sym_exceptions_repeat1] = STATE(10904),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14544),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10905] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11632),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_assignment] = STATE(11632),
    [sym_operator_assignment] = STATE(11632),
    [sym_conditional] = STATE(11632),
    [sym_range] = STATE(11632),
    [sym_binary] = STATE(11632),
    [sym_unary] = STATE(11632),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10906] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(9532),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(4283),
    [sym_scope_resolution] = STATE(4281),
    [sym_call] = STATE(4281),
    [sym_method_call] = STATE(4283),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(9532),
    [sym_operator_assignment] = STATE(9532),
    [sym_conditional] = STATE(9532),
    [sym_range] = STATE(9532),
    [sym_binary] = STATE(9532),
    [sym_unary] = STATE(9532),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(4282),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4283),
    [sym__variable] = STATE(4281),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(4283),
    [sym_false] = STATE(4283),
    [sym_nil] = STATE(4283),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(4284),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(3080),
    [sym__unary_minus] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(6573),
    [anon_sym_yield] = ACTIONS(6575),
    [anon_sym_break] = ACTIONS(6577),
    [anon_sym_next] = ACTIONS(6579),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(6581),
    [anon_sym_defined_QMARK] = ACTIONS(6583),
    [anon_sym_not] = ACTIONS(6585),
    [anon_sym_BANG] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6587),
    [sym_constant] = ACTIONS(6589),
    [sym_identifier] = ACTIONS(6589),
    [sym_instance_variable] = ACTIONS(6591),
    [sym_class_variable] = ACTIONS(6591),
    [sym_global_variable] = ACTIONS(6591),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(6589),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [10907] = {
    [aux_sym_exceptions_repeat1] = STATE(11633),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14547),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10908] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(6597),
    [sym__binary_star] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(6603),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(6607),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(6611),
    [anon_sym_DOT_DOT] = ACTIONS(6613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6615),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(6617),
    [anon_sym_AMP_AMP] = ACTIONS(6617),
    [anon_sym_LT_LT] = ACTIONS(6619),
    [anon_sym_GT_GT] = ACTIONS(6619),
    [anon_sym_EQ_EQ] = ACTIONS(6617),
    [anon_sym_BANG_EQ] = ACTIONS(6621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6621),
    [anon_sym_LT_EQ_GT] = ACTIONS(6621),
    [anon_sym_EQ_TILDE] = ACTIONS(6621),
    [anon_sym_BANG_TILDE] = ACTIONS(6621),
    [anon_sym_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6607),
    [anon_sym_GT_EQ] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6625),
    [anon_sym_SLASH] = ACTIONS(6603),
    [anon_sym_PERCENT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(87),
  },
  [10909] = {
    [aux_sym_exceptions_repeat1] = STATE(10909),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14549),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [10910] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11634),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(4320),
    [sym_scope_resolution] = STATE(513),
    [sym_call] = STATE(513),
    [sym_method_call] = STATE(4320),
    [sym_assignment] = STATE(11634),
    [sym_operator_assignment] = STATE(11634),
    [sym_conditional] = STATE(11634),
    [sym_range] = STATE(11634),
    [sym_binary] = STATE(11634),
    [sym_unary] = STATE(11634),
    [sym_left_assignment_list] = STATE(4319),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4320),
    [sym__variable] = STATE(513),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(4320),
    [sym_false] = STATE(4320),
    [sym_nil] = STATE(4320),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(4222),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(6505),
    [anon_sym_yield] = ACTIONS(6507),
    [anon_sym_break] = ACTIONS(6509),
    [anon_sym_next] = ACTIONS(6511),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(6641),
    [anon_sym_defined_QMARK] = ACTIONS(6643),
    [anon_sym_not] = ACTIONS(6645),
    [anon_sym_BANG] = ACTIONS(6647),
    [anon_sym_TILDE] = ACTIONS(6647),
    [sym_constant] = ACTIONS(965),
    [sym_identifier] = ACTIONS(965),
    [sym_instance_variable] = ACTIONS(967),
    [sym_class_variable] = ACTIONS(967),
    [sym_global_variable] = ACTIONS(967),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(965),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10911] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11635),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_assignment] = STATE(11635),
    [sym_operator_assignment] = STATE(11635),
    [sym_conditional] = STATE(11635),
    [sym_range] = STATE(11635),
    [sym_binary] = STATE(11635),
    [sym_unary] = STATE(11635),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10912] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9569),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4347),
    [sym_scope_resolution] = STATE(562),
    [sym_call] = STATE(562),
    [sym_method_call] = STATE(4347),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(9569),
    [sym_operator_assignment] = STATE(9569),
    [sym_conditional] = STATE(9569),
    [sym_range] = STATE(9569),
    [sym_binary] = STATE(9569),
    [sym_unary] = STATE(9569),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(4346),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4347),
    [sym__variable] = STATE(562),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4347),
    [sym_false] = STATE(4347),
    [sym_nil] = STATE(4347),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(565),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(3158),
    [sym__unary_minus] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_next] = ACTIONS(1023),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(6693),
    [anon_sym_defined_QMARK] = ACTIONS(6695),
    [anon_sym_not] = ACTIONS(6697),
    [anon_sym_BANG] = ACTIONS(6699),
    [anon_sym_TILDE] = ACTIONS(6699),
    [sym_constant] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1035),
    [sym_instance_variable] = ACTIONS(1037),
    [sym_class_variable] = ACTIONS(1037),
    [sym_global_variable] = ACTIONS(1037),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(1035),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10913] = {
    [aux_sym_exceptions_repeat1] = STATE(11636),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14552),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10914] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(6713),
    [sym__binary_star] = ACTIONS(6715),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(6717),
    [anon_sym_STAR_STAR] = ACTIONS(6719),
    [anon_sym_AMP] = ACTIONS(6721),
    [anon_sym_LT] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(6727),
    [anon_sym_DOT_DOT] = ACTIONS(6729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6731),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(6733),
    [anon_sym_AMP_AMP] = ACTIONS(6733),
    [anon_sym_LT_LT] = ACTIONS(6735),
    [anon_sym_GT_GT] = ACTIONS(6735),
    [anon_sym_EQ_EQ] = ACTIONS(6737),
    [anon_sym_BANG_EQ] = ACTIONS(6733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6733),
    [anon_sym_LT_EQ_GT] = ACTIONS(6733),
    [anon_sym_EQ_TILDE] = ACTIONS(6733),
    [anon_sym_BANG_TILDE] = ACTIONS(6733),
    [anon_sym_LT_EQ] = ACTIONS(6723),
    [anon_sym_GT] = ACTIONS(6723),
    [anon_sym_GT_EQ] = ACTIONS(6739),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6743),
    [anon_sym_SLASH] = ACTIONS(6719),
    [anon_sym_PERCENT] = ACTIONS(6719),
    [sym_comment] = ACTIONS(87),
  },
  [10915] = {
    [aux_sym_exceptions_repeat1] = STATE(10915),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14554),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10916] = {
    [sym__simple_symbol] = ACTIONS(10783),
    [sym__string_start] = ACTIONS(10783),
    [sym__symbol_start] = ACTIONS(10783),
    [sym__subshell_start] = ACTIONS(10783),
    [sym__regex_start] = ACTIONS(10783),
    [sym__string_array_start] = ACTIONS(10783),
    [sym__symbol_array_start] = ACTIONS(10783),
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym_heredoc_beginning] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__block_ampersand] = ACTIONS(10783),
    [sym__splat_star] = ACTIONS(10783),
    [sym__argument_list_left_paren] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__unary_minus] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [sym__identifier_hash_key] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RBRACE] = ACTIONS(10783),
    [anon_sym_def] = ACTIONS(10785),
    [anon_sym_LPAREN] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COLON_COLON] = ACTIONS(10783),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR] = ACTIONS(10785),
    [anon_sym_STAR_STAR] = ACTIONS(10785),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_class] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_module] = ACTIONS(10785),
    [anon_sym_return] = ACTIONS(10785),
    [anon_sym_yield] = ACTIONS(10785),
    [anon_sym_break] = ACTIONS(10785),
    [anon_sym_next] = ACTIONS(10785),
    [sym_redo] = ACTIONS(10785),
    [sym_retry] = ACTIONS(10785),
    [anon_sym_if] = ACTIONS(10785),
    [anon_sym_unless] = ACTIONS(10785),
    [anon_sym_while] = ACTIONS(10785),
    [anon_sym_until] = ACTIONS(10785),
    [anon_sym_rescue] = ACTIONS(10785),
    [anon_sym_for] = ACTIONS(10785),
    [anon_sym_in] = ACTIONS(10785),
    [anon_sym_do] = ACTIONS(10785),
    [anon_sym_case] = ACTIONS(10785),
    [anon_sym_begin] = ACTIONS(10785),
    [anon_sym_RBRACK] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS_EQ] = ACTIONS(10783),
    [anon_sym_DASH_EQ] = ACTIONS(10783),
    [anon_sym_STAR_EQ] = ACTIONS(10783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10783),
    [anon_sym_SLASH_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_PIPE_EQ] = ACTIONS(10783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10783),
    [anon_sym_AMP_EQ] = ACTIONS(10783),
    [anon_sym_PERCENT_EQ] = ACTIONS(10783),
    [anon_sym_GT_GT_EQ] = ACTIONS(10783),
    [anon_sym_LT_LT_EQ] = ACTIONS(10783),
    [anon_sym_CARET_EQ] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10785),
    [anon_sym_COLON] = ACTIONS(10785),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10785),
    [anon_sym_or] = ACTIONS(10785),
    [anon_sym_PIPE_PIPE] = ACTIONS(10785),
    [anon_sym_AMP_AMP] = ACTIONS(10785),
    [anon_sym_LT_LT] = ACTIONS(10785),
    [anon_sym_GT_GT] = ACTIONS(10785),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10785),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_SLASH] = ACTIONS(10785),
    [anon_sym_PERCENT] = ACTIONS(10785),
    [anon_sym_defined_QMARK] = ACTIONS(10783),
    [anon_sym_not] = ACTIONS(10785),
    [anon_sym_BANG] = ACTIONS(10785),
    [anon_sym_TILDE] = ACTIONS(10783),
    [sym_constant] = ACTIONS(10785),
    [sym_identifier] = ACTIONS(10785),
    [sym_instance_variable] = ACTIONS(10783),
    [sym_class_variable] = ACTIONS(10783),
    [sym_global_variable] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(10785),
    [sym_float] = ACTIONS(10785),
    [sym_complex] = ACTIONS(10783),
    [sym_super] = ACTIONS(10785),
    [anon_sym_true] = ACTIONS(10785),
    [anon_sym_TRUE] = ACTIONS(10785),
    [anon_sym_false] = ACTIONS(10785),
    [anon_sym_FALSE] = ACTIONS(10785),
    [sym_self] = ACTIONS(10785),
    [anon_sym_nil] = ACTIONS(10785),
    [anon_sym_NIL] = ACTIONS(10785),
    [sym_character] = ACTIONS(10783),
    [anon_sym_LBRACK] = ACTIONS(10783),
    [anon_sym_DASH_GT] = ACTIONS(10783),
  },
  [10917] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11637),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_assignment] = STATE(11637),
    [sym_operator_assignment] = STATE(11637),
    [sym_conditional] = STATE(11637),
    [sym_range] = STATE(11637),
    [sym_binary] = STATE(11637),
    [sym_unary] = STATE(11637),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10918] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9605),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4425),
    [sym_scope_resolution] = STATE(4423),
    [sym_call] = STATE(4423),
    [sym_method_call] = STATE(4425),
    [sym_splat_argument] = STATE(11626),
    [sym_assignment] = STATE(9605),
    [sym_operator_assignment] = STATE(9605),
    [sym_conditional] = STATE(9605),
    [sym_range] = STATE(9605),
    [sym_binary] = STATE(9605),
    [sym_unary] = STATE(9605),
    [sym__arg_or_splat_arg] = STATE(11626),
    [sym_left_assignment_list] = STATE(4424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4425),
    [sym__variable] = STATE(4423),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4425),
    [sym_false] = STATE(4425),
    [sym_nil] = STATE(4425),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4426),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(3230),
    [sym__unary_minus] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(6777),
    [anon_sym_yield] = ACTIONS(6779),
    [anon_sym_break] = ACTIONS(6781),
    [anon_sym_next] = ACTIONS(6783),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(6785),
    [anon_sym_defined_QMARK] = ACTIONS(6787),
    [anon_sym_not] = ACTIONS(6789),
    [anon_sym_BANG] = ACTIONS(6791),
    [anon_sym_TILDE] = ACTIONS(6791),
    [sym_constant] = ACTIONS(6793),
    [sym_identifier] = ACTIONS(6793),
    [sym_instance_variable] = ACTIONS(6795),
    [sym_class_variable] = ACTIONS(6795),
    [sym_global_variable] = ACTIONS(6795),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(6793),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10919] = {
    [aux_sym_exceptions_repeat1] = STATE(11638),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14557),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10920] = {
    [sym__heredoc_body_start] = ACTIONS(13557),
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [sym__binary_minus] = ACTIONS(13557),
    [sym__binary_star] = ACTIONS(13557),
    [anon_sym_LBRACE] = ACTIONS(13557),
    [anon_sym_RBRACE] = ACTIONS(13557),
    [anon_sym_RPAREN] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13559),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_PIPE] = ACTIONS(13559),
    [anon_sym_SEMI] = ACTIONS(13557),
    [anon_sym_STAR_STAR] = ACTIONS(13559),
    [anon_sym_AMP] = ACTIONS(13559),
    [anon_sym_EQ] = ACTIONS(13559),
    [anon_sym_LT] = ACTIONS(13559),
    [anon_sym_if] = ACTIONS(13557),
    [anon_sym_unless] = ACTIONS(13557),
    [anon_sym_while] = ACTIONS(13557),
    [anon_sym_until] = ACTIONS(13557),
    [anon_sym_rescue] = ACTIONS(13557),
    [anon_sym_in] = ACTIONS(13557),
    [anon_sym_do] = ACTIONS(13557),
    [anon_sym_RBRACK] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [anon_sym_PLUS_EQ] = ACTIONS(13557),
    [anon_sym_DASH_EQ] = ACTIONS(13557),
    [anon_sym_STAR_EQ] = ACTIONS(13557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13557),
    [anon_sym_SLASH_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_PIPE_EQ] = ACTIONS(13557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13557),
    [anon_sym_AMP_EQ] = ACTIONS(13557),
    [anon_sym_PERCENT_EQ] = ACTIONS(13557),
    [anon_sym_GT_GT_EQ] = ACTIONS(13557),
    [anon_sym_LT_LT_EQ] = ACTIONS(13557),
    [anon_sym_CARET_EQ] = ACTIONS(13557),
    [anon_sym_QMARK] = ACTIONS(13557),
    [anon_sym_COLON] = ACTIONS(13557),
    [anon_sym_DOT_DOT] = ACTIONS(13559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13557),
    [anon_sym_and] = ACTIONS(13557),
    [anon_sym_or] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE] = ACTIONS(13559),
    [anon_sym_AMP_AMP] = ACTIONS(13559),
    [anon_sym_LT_LT] = ACTIONS(13559),
    [anon_sym_GT_GT] = ACTIONS(13559),
    [anon_sym_EQ_EQ] = ACTIONS(13559),
    [anon_sym_BANG_EQ] = ACTIONS(13557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13557),
    [anon_sym_LT_EQ_GT] = ACTIONS(13557),
    [anon_sym_EQ_TILDE] = ACTIONS(13557),
    [anon_sym_BANG_TILDE] = ACTIONS(13557),
    [anon_sym_LT_EQ] = ACTIONS(13559),
    [anon_sym_GT] = ACTIONS(13559),
    [anon_sym_GT_EQ] = ACTIONS(13557),
    [anon_sym_CARET] = ACTIONS(13559),
    [anon_sym_PLUS] = ACTIONS(13559),
    [anon_sym_SLASH] = ACTIONS(13559),
    [anon_sym_PERCENT] = ACTIONS(13559),
    [sym_comment] = ACTIONS(87),
  },
  [10921] = {
    [anon_sym_end] = ACTIONS(14559),
    [sym_comment] = ACTIONS(87),
  },
  [10922] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(6807),
    [sym__binary_star] = ACTIONS(6809),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(6811),
    [anon_sym_STAR_STAR] = ACTIONS(6813),
    [anon_sym_AMP] = ACTIONS(6815),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(6817),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(6821),
    [anon_sym_DOT_DOT] = ACTIONS(6823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6825),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(6827),
    [anon_sym_AMP_AMP] = ACTIONS(6827),
    [anon_sym_LT_LT] = ACTIONS(6829),
    [anon_sym_GT_GT] = ACTIONS(6829),
    [anon_sym_EQ_EQ] = ACTIONS(6827),
    [anon_sym_BANG_EQ] = ACTIONS(6831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6831),
    [anon_sym_LT_EQ_GT] = ACTIONS(6831),
    [anon_sym_EQ_TILDE] = ACTIONS(6831),
    [anon_sym_BANG_TILDE] = ACTIONS(6831),
    [anon_sym_LT_EQ] = ACTIONS(6817),
    [anon_sym_GT] = ACTIONS(6817),
    [anon_sym_GT_EQ] = ACTIONS(6833),
    [anon_sym_CARET] = ACTIONS(6811),
    [anon_sym_PLUS] = ACTIONS(6835),
    [anon_sym_SLASH] = ACTIONS(6813),
    [anon_sym_PERCENT] = ACTIONS(6813),
    [sym_comment] = ACTIONS(87),
  },
  [10923] = {
    [aux_sym_exceptions_repeat1] = STATE(10923),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14561),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [10924] = {
    [sym__element_reference_left_bracket] = ACTIONS(13941),
    [sym__infix_scope_colons] = ACTIONS(13941),
    [sym__binary_minus] = ACTIONS(13941),
    [sym__binary_star] = ACTIONS(13941),
    [anon_sym_LBRACE] = ACTIONS(13941),
    [anon_sym_RBRACE] = ACTIONS(13941),
    [anon_sym_RPAREN] = ACTIONS(13941),
    [anon_sym_DOT] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13941),
    [anon_sym_PIPE] = ACTIONS(13943),
    [anon_sym_SEMI] = ACTIONS(13941),
    [anon_sym_STAR_STAR] = ACTIONS(13941),
    [anon_sym_AMP] = ACTIONS(13943),
    [anon_sym_LT] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13941),
    [anon_sym_unless] = ACTIONS(13941),
    [anon_sym_while] = ACTIONS(13941),
    [anon_sym_until] = ACTIONS(13941),
    [anon_sym_rescue] = ACTIONS(13941),
    [anon_sym_do] = ACTIONS(13941),
    [anon_sym_EQ_GT] = ACTIONS(13941),
    [anon_sym_AMP_DOT] = ACTIONS(13941),
    [anon_sym_QMARK] = ACTIONS(13941),
    [anon_sym_COLON] = ACTIONS(13941),
    [anon_sym_DOT_DOT] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13941),
    [anon_sym_and] = ACTIONS(13941),
    [anon_sym_or] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE] = ACTIONS(13941),
    [anon_sym_AMP_AMP] = ACTIONS(13941),
    [anon_sym_LT_LT] = ACTIONS(13941),
    [anon_sym_GT_GT] = ACTIONS(13941),
    [anon_sym_EQ_EQ] = ACTIONS(13943),
    [anon_sym_BANG_EQ] = ACTIONS(13941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13941),
    [anon_sym_LT_EQ_GT] = ACTIONS(13941),
    [anon_sym_EQ_TILDE] = ACTIONS(13941),
    [anon_sym_BANG_TILDE] = ACTIONS(13941),
    [anon_sym_LT_EQ] = ACTIONS(13943),
    [anon_sym_GT] = ACTIONS(13943),
    [anon_sym_GT_EQ] = ACTIONS(13941),
    [anon_sym_CARET] = ACTIONS(13941),
    [anon_sym_PLUS] = ACTIONS(13941),
    [anon_sym_SLASH] = ACTIONS(13941),
    [anon_sym_PERCENT] = ACTIONS(13941),
    [sym_comment] = ACTIONS(87),
  },
  [10925] = {
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [sym__binary_minus] = ACTIONS(14447),
    [sym__binary_star] = ACTIONS(14447),
    [anon_sym_LBRACE] = ACTIONS(14447),
    [anon_sym_RBRACE] = ACTIONS(14447),
    [anon_sym_RPAREN] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14449),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_PIPE] = ACTIONS(14449),
    [anon_sym_SEMI] = ACTIONS(14447),
    [anon_sym_STAR_STAR] = ACTIONS(14447),
    [anon_sym_AMP] = ACTIONS(14449),
    [anon_sym_LT] = ACTIONS(14449),
    [anon_sym_if] = ACTIONS(14447),
    [anon_sym_unless] = ACTIONS(14447),
    [anon_sym_while] = ACTIONS(14447),
    [anon_sym_until] = ACTIONS(14447),
    [anon_sym_rescue] = ACTIONS(14447),
    [anon_sym_do] = ACTIONS(14447),
    [anon_sym_EQ_GT] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [anon_sym_QMARK] = ACTIONS(14447),
    [anon_sym_COLON] = ACTIONS(14447),
    [anon_sym_DOT_DOT] = ACTIONS(14449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14447),
    [anon_sym_and] = ACTIONS(14447),
    [anon_sym_or] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE] = ACTIONS(14447),
    [anon_sym_AMP_AMP] = ACTIONS(14447),
    [anon_sym_LT_LT] = ACTIONS(14447),
    [anon_sym_GT_GT] = ACTIONS(14447),
    [anon_sym_EQ_EQ] = ACTIONS(14449),
    [anon_sym_BANG_EQ] = ACTIONS(14447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14447),
    [anon_sym_LT_EQ_GT] = ACTIONS(14447),
    [anon_sym_EQ_TILDE] = ACTIONS(14447),
    [anon_sym_BANG_TILDE] = ACTIONS(14447),
    [anon_sym_LT_EQ] = ACTIONS(14449),
    [anon_sym_GT] = ACTIONS(14449),
    [anon_sym_GT_EQ] = ACTIONS(14447),
    [anon_sym_CARET] = ACTIONS(14447),
    [anon_sym_PLUS] = ACTIONS(14447),
    [anon_sym_SLASH] = ACTIONS(14447),
    [anon_sym_PERCENT] = ACTIONS(14447),
    [sym_comment] = ACTIONS(87),
  },
  [10926] = {
    [sym__heredoc_body_start] = ACTIONS(12326),
    [sym__element_reference_left_bracket] = ACTIONS(12326),
    [sym__infix_scope_colons] = ACTIONS(12326),
    [sym__binary_minus] = ACTIONS(12326),
    [sym__binary_star] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_RBRACE] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_PIPE] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_STAR_STAR] = ACTIONS(12328),
    [anon_sym_AMP] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_LT] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_unless] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [anon_sym_until] = ACTIONS(12326),
    [anon_sym_rescue] = ACTIONS(12326),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_do] = ACTIONS(12326),
    [anon_sym_EQ_GT] = ACTIONS(12326),
    [anon_sym_RBRACK] = ACTIONS(12326),
    [anon_sym_AMP_DOT] = ACTIONS(12326),
    [anon_sym_PLUS_EQ] = ACTIONS(12326),
    [anon_sym_DASH_EQ] = ACTIONS(12326),
    [anon_sym_STAR_EQ] = ACTIONS(12326),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12326),
    [anon_sym_SLASH_EQ] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12326),
    [anon_sym_PIPE_EQ] = ACTIONS(12326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12326),
    [anon_sym_AMP_EQ] = ACTIONS(12326),
    [anon_sym_PERCENT_EQ] = ACTIONS(12326),
    [anon_sym_GT_GT_EQ] = ACTIONS(12326),
    [anon_sym_LT_LT_EQ] = ACTIONS(12326),
    [anon_sym_CARET_EQ] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_DOT_DOT] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_and] = ACTIONS(12326),
    [anon_sym_or] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE] = ACTIONS(12328),
    [anon_sym_AMP_AMP] = ACTIONS(12328),
    [anon_sym_LT_LT] = ACTIONS(12328),
    [anon_sym_GT_GT] = ACTIONS(12328),
    [anon_sym_EQ_EQ] = ACTIONS(12328),
    [anon_sym_BANG_EQ] = ACTIONS(12326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12326),
    [anon_sym_LT_EQ_GT] = ACTIONS(12326),
    [anon_sym_EQ_TILDE] = ACTIONS(12326),
    [anon_sym_BANG_TILDE] = ACTIONS(12326),
    [anon_sym_LT_EQ] = ACTIONS(12328),
    [anon_sym_GT] = ACTIONS(12328),
    [anon_sym_GT_EQ] = ACTIONS(12326),
    [anon_sym_CARET] = ACTIONS(12328),
    [anon_sym_PLUS] = ACTIONS(12328),
    [anon_sym_SLASH] = ACTIONS(12328),
    [anon_sym_PERCENT] = ACTIONS(12328),
    [sym_comment] = ACTIONS(87),
  },
  [10927] = {
    [sym__heredoc_body_start] = ACTIONS(12330),
    [sym__element_reference_left_bracket] = ACTIONS(12330),
    [sym__infix_scope_colons] = ACTIONS(12330),
    [sym__binary_minus] = ACTIONS(12330),
    [sym__binary_star] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12330),
    [anon_sym_RBRACE] = ACTIONS(12330),
    [anon_sym_RPAREN] = ACTIONS(12330),
    [anon_sym_DOT] = ACTIONS(12332),
    [anon_sym_COMMA] = ACTIONS(12330),
    [anon_sym_PIPE] = ACTIONS(12332),
    [anon_sym_SEMI] = ACTIONS(12330),
    [anon_sym_STAR_STAR] = ACTIONS(12332),
    [anon_sym_AMP] = ACTIONS(12332),
    [anon_sym_EQ] = ACTIONS(12332),
    [anon_sym_LT] = ACTIONS(12332),
    [anon_sym_if] = ACTIONS(12330),
    [anon_sym_unless] = ACTIONS(12330),
    [anon_sym_while] = ACTIONS(12330),
    [anon_sym_until] = ACTIONS(12330),
    [anon_sym_rescue] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12330),
    [anon_sym_do] = ACTIONS(12330),
    [anon_sym_EQ_GT] = ACTIONS(12330),
    [anon_sym_RBRACK] = ACTIONS(12330),
    [anon_sym_AMP_DOT] = ACTIONS(12330),
    [anon_sym_PLUS_EQ] = ACTIONS(12330),
    [anon_sym_DASH_EQ] = ACTIONS(12330),
    [anon_sym_STAR_EQ] = ACTIONS(12330),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12330),
    [anon_sym_SLASH_EQ] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12330),
    [anon_sym_PIPE_EQ] = ACTIONS(12330),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12330),
    [anon_sym_AMP_EQ] = ACTIONS(12330),
    [anon_sym_PERCENT_EQ] = ACTIONS(12330),
    [anon_sym_GT_GT_EQ] = ACTIONS(12330),
    [anon_sym_LT_LT_EQ] = ACTIONS(12330),
    [anon_sym_CARET_EQ] = ACTIONS(12330),
    [anon_sym_QMARK] = ACTIONS(12330),
    [anon_sym_COLON] = ACTIONS(12330),
    [anon_sym_DOT_DOT] = ACTIONS(12332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12330),
    [anon_sym_and] = ACTIONS(12330),
    [anon_sym_or] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE] = ACTIONS(12332),
    [anon_sym_AMP_AMP] = ACTIONS(12332),
    [anon_sym_LT_LT] = ACTIONS(12332),
    [anon_sym_GT_GT] = ACTIONS(12332),
    [anon_sym_EQ_EQ] = ACTIONS(12332),
    [anon_sym_BANG_EQ] = ACTIONS(12330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12330),
    [anon_sym_LT_EQ_GT] = ACTIONS(12330),
    [anon_sym_EQ_TILDE] = ACTIONS(12330),
    [anon_sym_BANG_TILDE] = ACTIONS(12330),
    [anon_sym_LT_EQ] = ACTIONS(12332),
    [anon_sym_GT] = ACTIONS(12332),
    [anon_sym_GT_EQ] = ACTIONS(12330),
    [anon_sym_CARET] = ACTIONS(12332),
    [anon_sym_PLUS] = ACTIONS(12332),
    [anon_sym_SLASH] = ACTIONS(12332),
    [anon_sym_PERCENT] = ACTIONS(12332),
    [sym_comment] = ACTIONS(87),
  },
  [10928] = {
    [sym__heredoc_body_start] = ACTIONS(12444),
    [sym__element_reference_left_bracket] = ACTIONS(12444),
    [sym__infix_scope_colons] = ACTIONS(12444),
    [sym__binary_minus] = ACTIONS(12444),
    [sym__binary_star] = ACTIONS(12444),
    [anon_sym_LBRACE] = ACTIONS(12444),
    [anon_sym_RBRACE] = ACTIONS(12444),
    [anon_sym_RPAREN] = ACTIONS(12444),
    [anon_sym_DOT] = ACTIONS(12446),
    [anon_sym_COMMA] = ACTIONS(12444),
    [anon_sym_PIPE] = ACTIONS(12446),
    [anon_sym_SEMI] = ACTIONS(12444),
    [anon_sym_STAR_STAR] = ACTIONS(12446),
    [anon_sym_AMP] = ACTIONS(12446),
    [anon_sym_EQ] = ACTIONS(12446),
    [anon_sym_LT] = ACTIONS(12446),
    [anon_sym_if] = ACTIONS(12444),
    [anon_sym_unless] = ACTIONS(12444),
    [anon_sym_while] = ACTIONS(12444),
    [anon_sym_until] = ACTIONS(12444),
    [anon_sym_rescue] = ACTIONS(12444),
    [anon_sym_in] = ACTIONS(12444),
    [anon_sym_do] = ACTIONS(12444),
    [anon_sym_EQ_GT] = ACTIONS(12444),
    [anon_sym_RBRACK] = ACTIONS(12444),
    [anon_sym_AMP_DOT] = ACTIONS(12444),
    [anon_sym_PLUS_EQ] = ACTIONS(12444),
    [anon_sym_DASH_EQ] = ACTIONS(12444),
    [anon_sym_STAR_EQ] = ACTIONS(12444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12444),
    [anon_sym_SLASH_EQ] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12444),
    [anon_sym_PIPE_EQ] = ACTIONS(12444),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12444),
    [anon_sym_AMP_EQ] = ACTIONS(12444),
    [anon_sym_PERCENT_EQ] = ACTIONS(12444),
    [anon_sym_GT_GT_EQ] = ACTIONS(12444),
    [anon_sym_LT_LT_EQ] = ACTIONS(12444),
    [anon_sym_CARET_EQ] = ACTIONS(12444),
    [anon_sym_QMARK] = ACTIONS(12444),
    [anon_sym_COLON] = ACTIONS(12444),
    [anon_sym_DOT_DOT] = ACTIONS(12446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12444),
    [anon_sym_and] = ACTIONS(12444),
    [anon_sym_or] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE] = ACTIONS(12446),
    [anon_sym_AMP_AMP] = ACTIONS(12446),
    [anon_sym_LT_LT] = ACTIONS(12446),
    [anon_sym_GT_GT] = ACTIONS(12446),
    [anon_sym_EQ_EQ] = ACTIONS(12446),
    [anon_sym_BANG_EQ] = ACTIONS(12444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12444),
    [anon_sym_LT_EQ_GT] = ACTIONS(12444),
    [anon_sym_EQ_TILDE] = ACTIONS(12444),
    [anon_sym_BANG_TILDE] = ACTIONS(12444),
    [anon_sym_LT_EQ] = ACTIONS(12446),
    [anon_sym_GT] = ACTIONS(12446),
    [anon_sym_GT_EQ] = ACTIONS(12444),
    [anon_sym_CARET] = ACTIONS(12446),
    [anon_sym_PLUS] = ACTIONS(12446),
    [anon_sym_SLASH] = ACTIONS(12446),
    [anon_sym_PERCENT] = ACTIONS(12446),
    [sym_comment] = ACTIONS(87),
  },
  [10929] = {
    [sym__heredoc_body_start] = ACTIONS(12737),
    [sym__element_reference_left_bracket] = ACTIONS(12737),
    [sym__infix_scope_colons] = ACTIONS(12737),
    [sym__binary_minus] = ACTIONS(12737),
    [sym__binary_star] = ACTIONS(12737),
    [anon_sym_LBRACE] = ACTIONS(12737),
    [anon_sym_RBRACE] = ACTIONS(12737),
    [anon_sym_RPAREN] = ACTIONS(12737),
    [anon_sym_DOT] = ACTIONS(12739),
    [anon_sym_COMMA] = ACTIONS(12737),
    [anon_sym_PIPE] = ACTIONS(12739),
    [anon_sym_SEMI] = ACTIONS(12737),
    [anon_sym_STAR_STAR] = ACTIONS(12739),
    [anon_sym_AMP] = ACTIONS(12739),
    [anon_sym_EQ] = ACTIONS(12739),
    [anon_sym_LT] = ACTIONS(12739),
    [anon_sym_if] = ACTIONS(12737),
    [anon_sym_unless] = ACTIONS(12737),
    [anon_sym_while] = ACTIONS(12737),
    [anon_sym_until] = ACTIONS(12737),
    [anon_sym_rescue] = ACTIONS(12737),
    [anon_sym_in] = ACTIONS(12737),
    [anon_sym_do] = ACTIONS(12737),
    [anon_sym_EQ_GT] = ACTIONS(12737),
    [anon_sym_RBRACK] = ACTIONS(12737),
    [anon_sym_AMP_DOT] = ACTIONS(12737),
    [anon_sym_PLUS_EQ] = ACTIONS(12737),
    [anon_sym_DASH_EQ] = ACTIONS(12737),
    [anon_sym_STAR_EQ] = ACTIONS(12737),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12737),
    [anon_sym_SLASH_EQ] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12737),
    [anon_sym_PIPE_EQ] = ACTIONS(12737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12737),
    [anon_sym_AMP_EQ] = ACTIONS(12737),
    [anon_sym_PERCENT_EQ] = ACTIONS(12737),
    [anon_sym_GT_GT_EQ] = ACTIONS(12737),
    [anon_sym_LT_LT_EQ] = ACTIONS(12737),
    [anon_sym_CARET_EQ] = ACTIONS(12737),
    [anon_sym_QMARK] = ACTIONS(12737),
    [anon_sym_COLON] = ACTIONS(12737),
    [anon_sym_DOT_DOT] = ACTIONS(12739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12737),
    [anon_sym_and] = ACTIONS(12737),
    [anon_sym_or] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE] = ACTIONS(12739),
    [anon_sym_AMP_AMP] = ACTIONS(12739),
    [anon_sym_LT_LT] = ACTIONS(12739),
    [anon_sym_GT_GT] = ACTIONS(12739),
    [anon_sym_EQ_EQ] = ACTIONS(12739),
    [anon_sym_BANG_EQ] = ACTIONS(12737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12737),
    [anon_sym_LT_EQ_GT] = ACTIONS(12737),
    [anon_sym_EQ_TILDE] = ACTIONS(12737),
    [anon_sym_BANG_TILDE] = ACTIONS(12737),
    [anon_sym_LT_EQ] = ACTIONS(12739),
    [anon_sym_GT] = ACTIONS(12739),
    [anon_sym_GT_EQ] = ACTIONS(12737),
    [anon_sym_CARET] = ACTIONS(12739),
    [anon_sym_PLUS] = ACTIONS(12739),
    [anon_sym_SLASH] = ACTIONS(12739),
    [anon_sym_PERCENT] = ACTIONS(12739),
    [sym_comment] = ACTIONS(87),
  },
  [10930] = {
    [anon_sym_end] = ACTIONS(14564),
    [sym_comment] = ACTIONS(87),
  },
  [10931] = {
    [sym__heredoc_body_start] = ACTIONS(12881),
    [sym__element_reference_left_bracket] = ACTIONS(12881),
    [sym__infix_scope_colons] = ACTIONS(12881),
    [sym__binary_minus] = ACTIONS(12881),
    [sym__binary_star] = ACTIONS(12881),
    [anon_sym_LBRACE] = ACTIONS(12881),
    [anon_sym_RBRACE] = ACTIONS(12881),
    [anon_sym_RPAREN] = ACTIONS(12881),
    [anon_sym_DOT] = ACTIONS(12883),
    [anon_sym_COMMA] = ACTIONS(12881),
    [anon_sym_PIPE] = ACTIONS(12883),
    [anon_sym_SEMI] = ACTIONS(12881),
    [anon_sym_STAR_STAR] = ACTIONS(12883),
    [anon_sym_AMP] = ACTIONS(12883),
    [anon_sym_EQ] = ACTIONS(12883),
    [anon_sym_LT] = ACTIONS(12883),
    [anon_sym_if] = ACTIONS(12881),
    [anon_sym_unless] = ACTIONS(12881),
    [anon_sym_while] = ACTIONS(12881),
    [anon_sym_until] = ACTIONS(12881),
    [anon_sym_rescue] = ACTIONS(12881),
    [anon_sym_in] = ACTIONS(12881),
    [anon_sym_do] = ACTIONS(12881),
    [anon_sym_EQ_GT] = ACTIONS(12881),
    [anon_sym_RBRACK] = ACTIONS(12881),
    [anon_sym_AMP_DOT] = ACTIONS(12881),
    [anon_sym_PLUS_EQ] = ACTIONS(12881),
    [anon_sym_DASH_EQ] = ACTIONS(12881),
    [anon_sym_STAR_EQ] = ACTIONS(12881),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12881),
    [anon_sym_SLASH_EQ] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12881),
    [anon_sym_PIPE_EQ] = ACTIONS(12881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12881),
    [anon_sym_AMP_EQ] = ACTIONS(12881),
    [anon_sym_PERCENT_EQ] = ACTIONS(12881),
    [anon_sym_GT_GT_EQ] = ACTIONS(12881),
    [anon_sym_LT_LT_EQ] = ACTIONS(12881),
    [anon_sym_CARET_EQ] = ACTIONS(12881),
    [anon_sym_QMARK] = ACTIONS(12881),
    [anon_sym_COLON] = ACTIONS(12881),
    [anon_sym_DOT_DOT] = ACTIONS(12883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12881),
    [anon_sym_and] = ACTIONS(12881),
    [anon_sym_or] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE] = ACTIONS(12883),
    [anon_sym_AMP_AMP] = ACTIONS(12883),
    [anon_sym_LT_LT] = ACTIONS(12883),
    [anon_sym_GT_GT] = ACTIONS(12883),
    [anon_sym_EQ_EQ] = ACTIONS(12883),
    [anon_sym_BANG_EQ] = ACTIONS(12881),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12881),
    [anon_sym_LT_EQ_GT] = ACTIONS(12881),
    [anon_sym_EQ_TILDE] = ACTIONS(12881),
    [anon_sym_BANG_TILDE] = ACTIONS(12881),
    [anon_sym_LT_EQ] = ACTIONS(12883),
    [anon_sym_GT] = ACTIONS(12883),
    [anon_sym_GT_EQ] = ACTIONS(12881),
    [anon_sym_CARET] = ACTIONS(12883),
    [anon_sym_PLUS] = ACTIONS(12883),
    [anon_sym_SLASH] = ACTIONS(12883),
    [anon_sym_PERCENT] = ACTIONS(12883),
    [sym_comment] = ACTIONS(87),
  },
  [10932] = {
    [sym__heredoc_body_start] = ACTIONS(13033),
    [sym__element_reference_left_bracket] = ACTIONS(13033),
    [sym__infix_scope_colons] = ACTIONS(13033),
    [sym__binary_minus] = ACTIONS(13033),
    [sym__binary_star] = ACTIONS(13033),
    [anon_sym_LBRACE] = ACTIONS(13033),
    [anon_sym_RBRACE] = ACTIONS(13033),
    [anon_sym_RPAREN] = ACTIONS(13033),
    [anon_sym_DOT] = ACTIONS(13035),
    [anon_sym_COMMA] = ACTIONS(13033),
    [anon_sym_PIPE] = ACTIONS(13035),
    [anon_sym_SEMI] = ACTIONS(13033),
    [anon_sym_STAR_STAR] = ACTIONS(13035),
    [anon_sym_AMP] = ACTIONS(13035),
    [anon_sym_EQ] = ACTIONS(13035),
    [anon_sym_LT] = ACTIONS(13035),
    [anon_sym_if] = ACTIONS(13033),
    [anon_sym_unless] = ACTIONS(13033),
    [anon_sym_while] = ACTIONS(13033),
    [anon_sym_until] = ACTIONS(13033),
    [anon_sym_rescue] = ACTIONS(13033),
    [anon_sym_in] = ACTIONS(13033),
    [anon_sym_do] = ACTIONS(13033),
    [anon_sym_EQ_GT] = ACTIONS(13033),
    [anon_sym_RBRACK] = ACTIONS(13033),
    [anon_sym_AMP_DOT] = ACTIONS(13033),
    [anon_sym_PLUS_EQ] = ACTIONS(13033),
    [anon_sym_DASH_EQ] = ACTIONS(13033),
    [anon_sym_STAR_EQ] = ACTIONS(13033),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13033),
    [anon_sym_SLASH_EQ] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13033),
    [anon_sym_PIPE_EQ] = ACTIONS(13033),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13033),
    [anon_sym_AMP_EQ] = ACTIONS(13033),
    [anon_sym_PERCENT_EQ] = ACTIONS(13033),
    [anon_sym_GT_GT_EQ] = ACTIONS(13033),
    [anon_sym_LT_LT_EQ] = ACTIONS(13033),
    [anon_sym_CARET_EQ] = ACTIONS(13033),
    [anon_sym_QMARK] = ACTIONS(13033),
    [anon_sym_COLON] = ACTIONS(13033),
    [anon_sym_DOT_DOT] = ACTIONS(13035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13033),
    [anon_sym_and] = ACTIONS(13033),
    [anon_sym_or] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE] = ACTIONS(13035),
    [anon_sym_AMP_AMP] = ACTIONS(13035),
    [anon_sym_LT_LT] = ACTIONS(13035),
    [anon_sym_GT_GT] = ACTIONS(13035),
    [anon_sym_EQ_EQ] = ACTIONS(13035),
    [anon_sym_BANG_EQ] = ACTIONS(13033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13033),
    [anon_sym_LT_EQ_GT] = ACTIONS(13033),
    [anon_sym_EQ_TILDE] = ACTIONS(13033),
    [anon_sym_BANG_TILDE] = ACTIONS(13033),
    [anon_sym_LT_EQ] = ACTIONS(13035),
    [anon_sym_GT] = ACTIONS(13035),
    [anon_sym_GT_EQ] = ACTIONS(13033),
    [anon_sym_CARET] = ACTIONS(13035),
    [anon_sym_PLUS] = ACTIONS(13035),
    [anon_sym_SLASH] = ACTIONS(13035),
    [anon_sym_PERCENT] = ACTIONS(13035),
    [sym_comment] = ACTIONS(87),
  },
  [10933] = {
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [sym__binary_minus] = ACTIONS(14447),
    [sym__binary_star] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14449),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_PIPE] = ACTIONS(14449),
    [anon_sym_STAR_STAR] = ACTIONS(14449),
    [anon_sym_AMP] = ACTIONS(14449),
    [anon_sym_EQ] = ACTIONS(14449),
    [anon_sym_LT] = ACTIONS(14449),
    [anon_sym_EQ_GT] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [anon_sym_PLUS_EQ] = ACTIONS(14447),
    [anon_sym_DASH_EQ] = ACTIONS(14447),
    [anon_sym_STAR_EQ] = ACTIONS(14447),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14447),
    [anon_sym_SLASH_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14447),
    [anon_sym_AMP_EQ] = ACTIONS(14447),
    [anon_sym_PERCENT_EQ] = ACTIONS(14447),
    [anon_sym_GT_GT_EQ] = ACTIONS(14447),
    [anon_sym_LT_LT_EQ] = ACTIONS(14447),
    [anon_sym_CARET_EQ] = ACTIONS(14447),
    [anon_sym_QMARK] = ACTIONS(14447),
    [anon_sym_DOT_DOT] = ACTIONS(14449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14447),
    [anon_sym_and] = ACTIONS(14447),
    [anon_sym_or] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE] = ACTIONS(14449),
    [anon_sym_AMP_AMP] = ACTIONS(14449),
    [anon_sym_LT_LT] = ACTIONS(14449),
    [anon_sym_GT_GT] = ACTIONS(14449),
    [anon_sym_EQ_EQ] = ACTIONS(14449),
    [anon_sym_BANG_EQ] = ACTIONS(14447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14447),
    [anon_sym_LT_EQ_GT] = ACTIONS(14447),
    [anon_sym_EQ_TILDE] = ACTIONS(14447),
    [anon_sym_BANG_TILDE] = ACTIONS(14447),
    [anon_sym_LT_EQ] = ACTIONS(14449),
    [anon_sym_GT] = ACTIONS(14449),
    [anon_sym_GT_EQ] = ACTIONS(14447),
    [anon_sym_CARET] = ACTIONS(14449),
    [anon_sym_PLUS] = ACTIONS(14449),
    [anon_sym_SLASH] = ACTIONS(14449),
    [anon_sym_PERCENT] = ACTIONS(14449),
    [sym_comment] = ACTIONS(87),
  },
  [10934] = {
    [sym__heredoc_body_start] = ACTIONS(13044),
    [sym__element_reference_left_bracket] = ACTIONS(13044),
    [sym__infix_scope_colons] = ACTIONS(13044),
    [sym__binary_minus] = ACTIONS(13044),
    [sym__binary_star] = ACTIONS(13044),
    [anon_sym_LBRACE] = ACTIONS(13044),
    [anon_sym_RBRACE] = ACTIONS(13044),
    [anon_sym_RPAREN] = ACTIONS(13044),
    [anon_sym_DOT] = ACTIONS(13046),
    [anon_sym_COMMA] = ACTIONS(13044),
    [anon_sym_PIPE] = ACTIONS(13046),
    [anon_sym_SEMI] = ACTIONS(13044),
    [anon_sym_STAR_STAR] = ACTIONS(13046),
    [anon_sym_AMP] = ACTIONS(13046),
    [anon_sym_EQ] = ACTIONS(13046),
    [anon_sym_LT] = ACTIONS(13046),
    [anon_sym_if] = ACTIONS(13044),
    [anon_sym_unless] = ACTIONS(13044),
    [anon_sym_while] = ACTIONS(13044),
    [anon_sym_until] = ACTIONS(13044),
    [anon_sym_rescue] = ACTIONS(13044),
    [anon_sym_in] = ACTIONS(13044),
    [anon_sym_do] = ACTIONS(13044),
    [anon_sym_EQ_GT] = ACTIONS(13044),
    [anon_sym_RBRACK] = ACTIONS(13044),
    [anon_sym_AMP_DOT] = ACTIONS(13044),
    [anon_sym_PLUS_EQ] = ACTIONS(13044),
    [anon_sym_DASH_EQ] = ACTIONS(13044),
    [anon_sym_STAR_EQ] = ACTIONS(13044),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13044),
    [anon_sym_SLASH_EQ] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13044),
    [anon_sym_PIPE_EQ] = ACTIONS(13044),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13044),
    [anon_sym_AMP_EQ] = ACTIONS(13044),
    [anon_sym_PERCENT_EQ] = ACTIONS(13044),
    [anon_sym_GT_GT_EQ] = ACTIONS(13044),
    [anon_sym_LT_LT_EQ] = ACTIONS(13044),
    [anon_sym_CARET_EQ] = ACTIONS(13044),
    [anon_sym_QMARK] = ACTIONS(13044),
    [anon_sym_COLON] = ACTIONS(13044),
    [anon_sym_DOT_DOT] = ACTIONS(13046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13044),
    [anon_sym_and] = ACTIONS(13044),
    [anon_sym_or] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE] = ACTIONS(13046),
    [anon_sym_AMP_AMP] = ACTIONS(13046),
    [anon_sym_LT_LT] = ACTIONS(13046),
    [anon_sym_GT_GT] = ACTIONS(13046),
    [anon_sym_EQ_EQ] = ACTIONS(13046),
    [anon_sym_BANG_EQ] = ACTIONS(13044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13044),
    [anon_sym_LT_EQ_GT] = ACTIONS(13044),
    [anon_sym_EQ_TILDE] = ACTIONS(13044),
    [anon_sym_BANG_TILDE] = ACTIONS(13044),
    [anon_sym_LT_EQ] = ACTIONS(13046),
    [anon_sym_GT] = ACTIONS(13046),
    [anon_sym_GT_EQ] = ACTIONS(13044),
    [anon_sym_CARET] = ACTIONS(13046),
    [anon_sym_PLUS] = ACTIONS(13046),
    [anon_sym_SLASH] = ACTIONS(13046),
    [anon_sym_PERCENT] = ACTIONS(13046),
    [sym_comment] = ACTIONS(87),
  },
  [10935] = {
    [sym__heredoc_body_start] = ACTIONS(13374),
    [sym__element_reference_left_bracket] = ACTIONS(13374),
    [sym__infix_scope_colons] = ACTIONS(13374),
    [sym__binary_minus] = ACTIONS(13374),
    [sym__binary_star] = ACTIONS(13374),
    [anon_sym_LBRACE] = ACTIONS(13374),
    [anon_sym_RBRACE] = ACTIONS(13374),
    [anon_sym_RPAREN] = ACTIONS(13374),
    [anon_sym_DOT] = ACTIONS(13376),
    [anon_sym_COMMA] = ACTIONS(13374),
    [anon_sym_PIPE] = ACTIONS(13376),
    [anon_sym_SEMI] = ACTIONS(13374),
    [anon_sym_STAR_STAR] = ACTIONS(13376),
    [anon_sym_AMP] = ACTIONS(13376),
    [anon_sym_EQ] = ACTIONS(13376),
    [anon_sym_LT] = ACTIONS(13376),
    [anon_sym_if] = ACTIONS(13374),
    [anon_sym_unless] = ACTIONS(13374),
    [anon_sym_while] = ACTIONS(13374),
    [anon_sym_until] = ACTIONS(13374),
    [anon_sym_rescue] = ACTIONS(13374),
    [anon_sym_in] = ACTIONS(13374),
    [anon_sym_do] = ACTIONS(13374),
    [anon_sym_EQ_GT] = ACTIONS(13374),
    [anon_sym_RBRACK] = ACTIONS(13374),
    [anon_sym_AMP_DOT] = ACTIONS(13374),
    [anon_sym_PLUS_EQ] = ACTIONS(13374),
    [anon_sym_DASH_EQ] = ACTIONS(13374),
    [anon_sym_STAR_EQ] = ACTIONS(13374),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13374),
    [anon_sym_SLASH_EQ] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13374),
    [anon_sym_PIPE_EQ] = ACTIONS(13374),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13374),
    [anon_sym_AMP_EQ] = ACTIONS(13374),
    [anon_sym_PERCENT_EQ] = ACTIONS(13374),
    [anon_sym_GT_GT_EQ] = ACTIONS(13374),
    [anon_sym_LT_LT_EQ] = ACTIONS(13374),
    [anon_sym_CARET_EQ] = ACTIONS(13374),
    [anon_sym_QMARK] = ACTIONS(13374),
    [anon_sym_COLON] = ACTIONS(13374),
    [anon_sym_DOT_DOT] = ACTIONS(13376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13374),
    [anon_sym_and] = ACTIONS(13374),
    [anon_sym_or] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE] = ACTIONS(13376),
    [anon_sym_AMP_AMP] = ACTIONS(13376),
    [anon_sym_LT_LT] = ACTIONS(13376),
    [anon_sym_GT_GT] = ACTIONS(13376),
    [anon_sym_EQ_EQ] = ACTIONS(13376),
    [anon_sym_BANG_EQ] = ACTIONS(13374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13374),
    [anon_sym_LT_EQ_GT] = ACTIONS(13374),
    [anon_sym_EQ_TILDE] = ACTIONS(13374),
    [anon_sym_BANG_TILDE] = ACTIONS(13374),
    [anon_sym_LT_EQ] = ACTIONS(13376),
    [anon_sym_GT] = ACTIONS(13376),
    [anon_sym_GT_EQ] = ACTIONS(13374),
    [anon_sym_CARET] = ACTIONS(13376),
    [anon_sym_PLUS] = ACTIONS(13376),
    [anon_sym_SLASH] = ACTIONS(13376),
    [anon_sym_PERCENT] = ACTIONS(13376),
    [sym_comment] = ACTIONS(87),
  },
  [10936] = {
    [sym__binary_minus] = ACTIONS(6987),
    [sym__binary_star] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(6991),
    [anon_sym_STAR_STAR] = ACTIONS(6993),
    [anon_sym_AMP] = ACTIONS(6995),
    [anon_sym_LT] = ACTIONS(6997),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(6999),
    [anon_sym_DOT_DOT] = ACTIONS(7001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7003),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7005),
    [anon_sym_AMP_AMP] = ACTIONS(7005),
    [anon_sym_LT_LT] = ACTIONS(7007),
    [anon_sym_GT_GT] = ACTIONS(7007),
    [anon_sym_EQ_EQ] = ACTIONS(7009),
    [anon_sym_BANG_EQ] = ACTIONS(7005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7005),
    [anon_sym_LT_EQ_GT] = ACTIONS(7005),
    [anon_sym_EQ_TILDE] = ACTIONS(7005),
    [anon_sym_BANG_TILDE] = ACTIONS(7005),
    [anon_sym_LT_EQ] = ACTIONS(6997),
    [anon_sym_GT] = ACTIONS(6997),
    [anon_sym_GT_EQ] = ACTIONS(7011),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7015),
    [anon_sym_SLASH] = ACTIONS(6993),
    [anon_sym_PERCENT] = ACTIONS(6993),
    [sym_comment] = ACTIONS(87),
  },
  [10937] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11641),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_assignment] = STATE(11641),
    [sym_operator_assignment] = STATE(11641),
    [sym_conditional] = STATE(11641),
    [sym_range] = STATE(11641),
    [sym_binary] = STATE(11641),
    [sym_unary] = STATE(11641),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10938] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9669),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4648),
    [sym_scope_resolution] = STATE(2608),
    [sym_call] = STATE(2608),
    [sym_method_call] = STATE(4648),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(9669),
    [sym_operator_assignment] = STATE(9669),
    [sym_conditional] = STATE(9669),
    [sym_range] = STATE(9669),
    [sym_binary] = STATE(9669),
    [sym_unary] = STATE(9669),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(4647),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4648),
    [sym__variable] = STATE(2608),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4648),
    [sym_false] = STATE(4648),
    [sym_nil] = STATE(4648),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(2611),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(3498),
    [sym__unary_minus] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_yield] = ACTIONS(4178),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_next] = ACTIONS(4182),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(7044),
    [anon_sym_defined_QMARK] = ACTIONS(7046),
    [anon_sym_not] = ACTIONS(7048),
    [anon_sym_BANG] = ACTIONS(7050),
    [anon_sym_TILDE] = ACTIONS(7050),
    [sym_constant] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4192),
    [sym_instance_variable] = ACTIONS(4194),
    [sym_class_variable] = ACTIONS(4194),
    [sym_global_variable] = ACTIONS(4194),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(4192),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4192),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10939] = {
    [aux_sym_exceptions_repeat1] = STATE(11642),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14566),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10940] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7056),
    [sym__binary_star] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(7060),
    [anon_sym_STAR_STAR] = ACTIONS(7062),
    [anon_sym_AMP] = ACTIONS(7064),
    [anon_sym_LT] = ACTIONS(7066),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(7070),
    [anon_sym_DOT_DOT] = ACTIONS(7072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7074),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7076),
    [anon_sym_AMP_AMP] = ACTIONS(7076),
    [anon_sym_LT_LT] = ACTIONS(7078),
    [anon_sym_GT_GT] = ACTIONS(7078),
    [anon_sym_EQ_EQ] = ACTIONS(7080),
    [anon_sym_BANG_EQ] = ACTIONS(7076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7076),
    [anon_sym_LT_EQ_GT] = ACTIONS(7076),
    [anon_sym_EQ_TILDE] = ACTIONS(7076),
    [anon_sym_BANG_TILDE] = ACTIONS(7076),
    [anon_sym_LT_EQ] = ACTIONS(7066),
    [anon_sym_GT] = ACTIONS(7066),
    [anon_sym_GT_EQ] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7084),
    [anon_sym_PLUS] = ACTIONS(7086),
    [anon_sym_SLASH] = ACTIONS(7062),
    [anon_sym_PERCENT] = ACTIONS(7062),
    [sym_comment] = ACTIONS(87),
  },
  [10941] = {
    [aux_sym_exceptions_repeat1] = STATE(10941),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14568),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10942] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11643),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_assignment] = STATE(11643),
    [sym_operator_assignment] = STATE(11643),
    [sym_conditional] = STATE(11643),
    [sym_range] = STATE(11643),
    [sym_binary] = STATE(11643),
    [sym_unary] = STATE(11643),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10943] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(9688),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(4698),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4698),
    [sym_splat_argument] = STATE(11626),
    [sym_assignment] = STATE(9688),
    [sym_operator_assignment] = STATE(9688),
    [sym_conditional] = STATE(9688),
    [sym_range] = STATE(9688),
    [sym_binary] = STATE(9688),
    [sym_unary] = STATE(9688),
    [sym__arg_or_splat_arg] = STATE(11626),
    [sym_left_assignment_list] = STATE(4697),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4698),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(4698),
    [sym_false] = STATE(4698),
    [sym_nil] = STATE(4698),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(4699),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(3550),
    [sym__unary_minus] = ACTIONS(7100),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(7102),
    [anon_sym_yield] = ACTIONS(7104),
    [anon_sym_break] = ACTIONS(7106),
    [anon_sym_next] = ACTIONS(7108),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(7110),
    [anon_sym_defined_QMARK] = ACTIONS(7112),
    [anon_sym_not] = ACTIONS(7114),
    [anon_sym_BANG] = ACTIONS(7116),
    [anon_sym_TILDE] = ACTIONS(7116),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [10944] = {
    [aux_sym_exceptions_repeat1] = STATE(11644),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14571),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [10945] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7126),
    [sym__binary_star] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(7130),
    [anon_sym_STAR_STAR] = ACTIONS(7132),
    [anon_sym_AMP] = ACTIONS(7134),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(7136),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_DOT_DOT] = ACTIONS(7142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7144),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7146),
    [anon_sym_AMP_AMP] = ACTIONS(7146),
    [anon_sym_LT_LT] = ACTIONS(7148),
    [anon_sym_GT_GT] = ACTIONS(7148),
    [anon_sym_EQ_EQ] = ACTIONS(7146),
    [anon_sym_BANG_EQ] = ACTIONS(7150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7150),
    [anon_sym_LT_EQ_GT] = ACTIONS(7150),
    [anon_sym_EQ_TILDE] = ACTIONS(7150),
    [anon_sym_BANG_TILDE] = ACTIONS(7150),
    [anon_sym_LT_EQ] = ACTIONS(7136),
    [anon_sym_GT] = ACTIONS(7136),
    [anon_sym_GT_EQ] = ACTIONS(7152),
    [anon_sym_CARET] = ACTIONS(7130),
    [anon_sym_PLUS] = ACTIONS(7154),
    [anon_sym_SLASH] = ACTIONS(7132),
    [anon_sym_PERCENT] = ACTIONS(7132),
    [sym_comment] = ACTIONS(87),
  },
  [10946] = {
    [aux_sym_exceptions_repeat1] = STATE(10946),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14573),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [10947] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11645),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(4739),
    [sym_scope_resolution] = STATE(703),
    [sym_call] = STATE(703),
    [sym_method_call] = STATE(4739),
    [sym_assignment] = STATE(11645),
    [sym_operator_assignment] = STATE(11645),
    [sym_conditional] = STATE(11645),
    [sym_range] = STATE(11645),
    [sym_binary] = STATE(11645),
    [sym_unary] = STATE(11645),
    [sym_left_assignment_list] = STATE(4738),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4739),
    [sym__variable] = STATE(703),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(4739),
    [sym_false] = STATE(4739),
    [sym_nil] = STATE(4739),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(4740),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(7170),
    [anon_sym_yield] = ACTIONS(7172),
    [anon_sym_break] = ACTIONS(7174),
    [anon_sym_next] = ACTIONS(7176),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(7178),
    [anon_sym_defined_QMARK] = ACTIONS(7180),
    [anon_sym_not] = ACTIONS(7182),
    [anon_sym_BANG] = ACTIONS(7184),
    [anon_sym_TILDE] = ACTIONS(7184),
    [sym_constant] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1263),
    [sym_instance_variable] = ACTIONS(1265),
    [sym_class_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(1263),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(1263),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [10948] = {
    [sym__line_break] = ACTIONS(11905),
    [sym__heredoc_body_start] = ACTIONS(11905),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_SEMI] = ACTIONS(11905),
    [sym_comment] = ACTIONS(87),
  },
  [10949] = {
    [sym__line_break] = ACTIONS(11938),
    [sym__heredoc_body_start] = ACTIONS(11938),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_SEMI] = ACTIONS(11938),
    [sym_comment] = ACTIONS(87),
  },
  [10950] = {
    [anon_sym_end] = ACTIONS(14576),
    [sym_comment] = ACTIONS(87),
  },
  [10951] = {
    [sym__statements] = STATE(11647),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(14578),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [10952] = {
    [sym__line_break] = ACTIONS(13541),
    [sym__heredoc_body_start] = ACTIONS(13541),
    [anon_sym_COMMA] = ACTIONS(13541),
    [anon_sym_SEMI] = ACTIONS(13541),
    [sym_comment] = ACTIONS(87),
  },
  [10953] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [10954] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_RPAREN] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [10955] = {
    [sym_heredoc_body] = STATE(10955),
    [aux_sym_call_repeat1] = STATE(10955),
    [sym__heredoc_body_start] = ACTIONS(13867),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_RPAREN] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [10956] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(7571),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(2235),
    [sym_scope_resolution] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_method_call] = STATE(2235),
    [sym__argument] = STATE(11001),
    [sym_splat_argument] = STATE(11001),
    [sym_hash_splat_argument] = STATE(11001),
    [sym_block_argument] = STATE(11001),
    [sym_assignment] = STATE(7571),
    [sym_operator_assignment] = STATE(7571),
    [sym_conditional] = STATE(7571),
    [sym_range] = STATE(7571),
    [sym_binary] = STATE(7571),
    [sym_unary] = STATE(7571),
    [sym_left_assignment_list] = STATE(2234),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(2235),
    [sym__variable] = STATE(2197),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(2235),
    [sym_false] = STATE(2235),
    [sym_nil] = STATE(2235),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(7574),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(11001),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(10509),
    [sym__splat_star] = ACTIONS(10511),
    [sym__unary_minus] = ACTIONS(3612),
    [sym__identifier_hash_key] = ACTIONS(10513),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13814),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_next] = ACTIONS(3624),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_defined_QMARK] = ACTIONS(3628),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [sym_constant] = ACTIONS(10515),
    [sym_identifier] = ACTIONS(10515),
    [sym_instance_variable] = ACTIONS(3574),
    [sym_class_variable] = ACTIONS(3574),
    [sym_global_variable] = ACTIONS(3574),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(3576),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(3576),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [10957] = {
    [sym_heredoc_body] = STATE(10955),
    [aux_sym_call_repeat1] = STATE(10955),
    [sym__heredoc_body_start] = ACTIONS(10709),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [10958] = {
    [aux_sym_argument_list_repeat1] = STATE(10958),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_RPAREN] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14580),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [10959] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [10960] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11648),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_assignment] = STATE(11648),
    [sym_operator_assignment] = STATE(11648),
    [sym_conditional] = STATE(11648),
    [sym_range] = STATE(11648),
    [sym_binary] = STATE(11648),
    [sym_unary] = STATE(11648),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [10961] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(9743),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(4764),
    [sym_scope_resolution] = STATE(4696),
    [sym_call] = STATE(4696),
    [sym_method_call] = STATE(4764),
    [sym_splat_argument] = STATE(11020),
    [sym_assignment] = STATE(9743),
    [sym_operator_assignment] = STATE(9743),
    [sym_conditional] = STATE(9743),
    [sym_range] = STATE(9743),
    [sym_binary] = STATE(9743),
    [sym_unary] = STATE(9743),
    [sym__arg_or_splat_arg] = STATE(11020),
    [sym_left_assignment_list] = STATE(4763),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(4764),
    [sym__variable] = STATE(4696),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(4764),
    [sym_false] = STATE(4764),
    [sym_nil] = STATE(4764),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(4765),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(3914),
    [sym__string_start] = ACTIONS(3916),
    [sym__symbol_start] = ACTIONS(3918),
    [sym__subshell_start] = ACTIONS(3920),
    [sym__regex_start] = ACTIONS(3922),
    [sym__string_array_start] = ACTIONS(3924),
    [sym__symbol_array_start] = ACTIONS(3926),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(10511),
    [sym__unary_minus] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_def] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(3934),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(7210),
    [anon_sym_yield] = ACTIONS(7212),
    [anon_sym_break] = ACTIONS(7214),
    [anon_sym_next] = ACTIONS(7216),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(3948),
    [anon_sym_unless] = ACTIONS(3950),
    [anon_sym_while] = ACTIONS(3952),
    [anon_sym_until] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3956),
    [anon_sym_case] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(7218),
    [anon_sym_defined_QMARK] = ACTIONS(7220),
    [anon_sym_not] = ACTIONS(7222),
    [anon_sym_BANG] = ACTIONS(7224),
    [anon_sym_TILDE] = ACTIONS(7224),
    [sym_constant] = ACTIONS(7118),
    [sym_identifier] = ACTIONS(7118),
    [sym_instance_variable] = ACTIONS(7120),
    [sym_class_variable] = ACTIONS(7120),
    [sym_global_variable] = ACTIONS(7120),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(3974),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(7118),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(7118),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_DASH_GT] = ACTIONS(3978),
  },
  [10962] = {
    [aux_sym_exceptions_repeat1] = STATE(11649),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_RPAREN] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14583),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [10963] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7238),
    [sym__binary_star] = ACTIONS(7240),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(7242),
    [anon_sym_STAR_STAR] = ACTIONS(7244),
    [anon_sym_AMP] = ACTIONS(7246),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(7248),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(7252),
    [anon_sym_DOT_DOT] = ACTIONS(7254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7256),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7260),
    [anon_sym_AMP_AMP] = ACTIONS(7260),
    [anon_sym_LT_LT] = ACTIONS(7262),
    [anon_sym_GT_GT] = ACTIONS(7262),
    [anon_sym_EQ_EQ] = ACTIONS(7264),
    [anon_sym_BANG_EQ] = ACTIONS(7260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7260),
    [anon_sym_LT_EQ_GT] = ACTIONS(7260),
    [anon_sym_EQ_TILDE] = ACTIONS(7260),
    [anon_sym_BANG_TILDE] = ACTIONS(7260),
    [anon_sym_LT_EQ] = ACTIONS(7248),
    [anon_sym_GT] = ACTIONS(7248),
    [anon_sym_GT_EQ] = ACTIONS(7266),
    [anon_sym_CARET] = ACTIONS(7268),
    [anon_sym_PLUS] = ACTIONS(7270),
    [anon_sym_SLASH] = ACTIONS(7244),
    [anon_sym_PERCENT] = ACTIONS(7244),
    [sym_comment] = ACTIONS(87),
  },
  [10964] = {
    [aux_sym_exceptions_repeat1] = STATE(10964),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14585),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10965] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7282),
    [sym__binary_star] = ACTIONS(7284),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(7286),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(7288),
    [anon_sym_AMP] = ACTIONS(7290),
    [anon_sym_LT] = ACTIONS(7292),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(7294),
    [anon_sym_DOT_DOT] = ACTIONS(7296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7300),
    [anon_sym_AMP_AMP] = ACTIONS(7300),
    [anon_sym_LT_LT] = ACTIONS(7302),
    [anon_sym_GT_GT] = ACTIONS(7302),
    [anon_sym_EQ_EQ] = ACTIONS(7304),
    [anon_sym_BANG_EQ] = ACTIONS(7300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7300),
    [anon_sym_LT_EQ_GT] = ACTIONS(7300),
    [anon_sym_EQ_TILDE] = ACTIONS(7300),
    [anon_sym_BANG_TILDE] = ACTIONS(7300),
    [anon_sym_LT_EQ] = ACTIONS(7292),
    [anon_sym_GT] = ACTIONS(7292),
    [anon_sym_GT_EQ] = ACTIONS(7306),
    [anon_sym_CARET] = ACTIONS(7308),
    [anon_sym_PLUS] = ACTIONS(7310),
    [anon_sym_SLASH] = ACTIONS(7288),
    [anon_sym_PERCENT] = ACTIONS(7288),
    [sym_comment] = ACTIONS(87),
  },
  [10966] = {
    [aux_sym_exceptions_repeat1] = STATE(10966),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14588),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10967] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7337),
    [sym__binary_star] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(7343),
    [anon_sym_AMP] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(7349),
    [anon_sym_DOT_DOT] = ACTIONS(7351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7353),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7355),
    [anon_sym_AMP_AMP] = ACTIONS(7355),
    [anon_sym_LT_LT] = ACTIONS(7357),
    [anon_sym_GT_GT] = ACTIONS(7357),
    [anon_sym_EQ_EQ] = ACTIONS(7355),
    [anon_sym_BANG_EQ] = ACTIONS(7359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7359),
    [anon_sym_LT_EQ_GT] = ACTIONS(7359),
    [anon_sym_EQ_TILDE] = ACTIONS(7359),
    [anon_sym_BANG_TILDE] = ACTIONS(7359),
    [anon_sym_LT_EQ] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_GT_EQ] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7363),
    [anon_sym_SLASH] = ACTIONS(7343),
    [anon_sym_PERCENT] = ACTIONS(7343),
    [sym_comment] = ACTIONS(87),
  },
  [10968] = {
    [aux_sym_exceptions_repeat1] = STATE(10968),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14591),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [10969] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7373),
    [sym__binary_star] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(7379),
    [anon_sym_AMP] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(7385),
    [anon_sym_DOT_DOT] = ACTIONS(7387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7389),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7391),
    [anon_sym_AMP_AMP] = ACTIONS(7391),
    [anon_sym_LT_LT] = ACTIONS(7393),
    [anon_sym_GT_GT] = ACTIONS(7393),
    [anon_sym_EQ_EQ] = ACTIONS(7395),
    [anon_sym_BANG_EQ] = ACTIONS(7391),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7391),
    [anon_sym_LT_EQ_GT] = ACTIONS(7391),
    [anon_sym_EQ_TILDE] = ACTIONS(7391),
    [anon_sym_BANG_TILDE] = ACTIONS(7391),
    [anon_sym_LT_EQ] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_GT_EQ] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7399),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7379),
    [anon_sym_PERCENT] = ACTIONS(7379),
    [sym_comment] = ACTIONS(87),
  },
  [10970] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7453),
    [sym__binary_star] = ACTIONS(7455),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(7457),
    [anon_sym_STAR_STAR] = ACTIONS(7459),
    [anon_sym_AMP] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(7465),
    [anon_sym_DOT_DOT] = ACTIONS(7467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7469),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7473),
    [anon_sym_AMP_AMP] = ACTIONS(7473),
    [anon_sym_LT_LT] = ACTIONS(7475),
    [anon_sym_GT_GT] = ACTIONS(7475),
    [anon_sym_EQ_EQ] = ACTIONS(7477),
    [anon_sym_BANG_EQ] = ACTIONS(7473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7473),
    [anon_sym_LT_EQ_GT] = ACTIONS(7473),
    [anon_sym_EQ_TILDE] = ACTIONS(7473),
    [anon_sym_BANG_TILDE] = ACTIONS(7473),
    [anon_sym_LT_EQ] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_GT_EQ] = ACTIONS(7479),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7483),
    [anon_sym_SLASH] = ACTIONS(7459),
    [anon_sym_PERCENT] = ACTIONS(7459),
    [sym_comment] = ACTIONS(87),
  },
  [10971] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [10972] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [10973] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [10974] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [10975] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [10976] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [10977] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14594),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [10978] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [10979] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(12523),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [10980] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [10981] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [10982] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [10983] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(12523),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [10984] = {
    [aux_sym_exceptions_repeat1] = STATE(11652),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [10985] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(12523),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [10986] = {
    [sym_string] = STATE(10986),
    [aux_sym_chained_string_repeat1] = STATE(10986),
    [sym__string_start] = ACTIONS(13708),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [10987] = {
    [aux_sym_exceptions_repeat1] = STATE(10987),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14596),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [10988] = {
    [sym__element_reference_left_bracket] = ACTIONS(13941),
    [sym__infix_scope_colons] = ACTIONS(13941),
    [anon_sym_DOT] = ACTIONS(13941),
    [anon_sym_AMP_DOT] = ACTIONS(13941),
    [sym_comment] = ACTIONS(87),
  },
  [10989] = {
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [anon_sym_RPAREN] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14447),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_EQ] = ACTIONS(14447),
    [anon_sym_in] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [sym_comment] = ACTIONS(87),
  },
  [10990] = {
    [sym__heredoc_body_start] = ACTIONS(9993),
    [sym__element_reference_left_bracket] = ACTIONS(9993),
    [sym__infix_scope_colons] = ACTIONS(9993),
    [sym__binary_minus] = ACTIONS(9993),
    [sym__binary_star] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_RPAREN] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9995),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_PIPE] = ACTIONS(9995),
    [anon_sym_STAR_STAR] = ACTIONS(9993),
    [anon_sym_AMP] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9995),
    [anon_sym_LT] = ACTIONS(9995),
    [anon_sym_do] = ACTIONS(9993),
    [anon_sym_AMP_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DOT_DOT] = ACTIONS(9995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_and] = ACTIONS(9993),
    [anon_sym_or] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE] = ACTIONS(9993),
    [anon_sym_AMP_AMP] = ACTIONS(9993),
    [anon_sym_LT_LT] = ACTIONS(9993),
    [anon_sym_GT_GT] = ACTIONS(9993),
    [anon_sym_EQ_EQ] = ACTIONS(9995),
    [anon_sym_BANG_EQ] = ACTIONS(9993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9993),
    [anon_sym_LT_EQ_GT] = ACTIONS(9993),
    [anon_sym_EQ_TILDE] = ACTIONS(9993),
    [anon_sym_BANG_TILDE] = ACTIONS(9993),
    [anon_sym_LT_EQ] = ACTIONS(9995),
    [anon_sym_GT] = ACTIONS(9995),
    [anon_sym_GT_EQ] = ACTIONS(9993),
    [anon_sym_CARET] = ACTIONS(9993),
    [anon_sym_PLUS] = ACTIONS(9993),
    [anon_sym_SLASH] = ACTIONS(9993),
    [anon_sym_PERCENT] = ACTIONS(9993),
    [sym_comment] = ACTIONS(87),
  },
  [10991] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(14599),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [10992] = {
    [sym__heredoc_body_start] = ACTIONS(9999),
    [sym__element_reference_left_bracket] = ACTIONS(9999),
    [sym__infix_scope_colons] = ACTIONS(9999),
    [sym__binary_minus] = ACTIONS(9999),
    [sym__binary_star] = ACTIONS(9999),
    [anon_sym_LBRACE] = ACTIONS(9999),
    [anon_sym_RPAREN] = ACTIONS(9999),
    [anon_sym_DOT] = ACTIONS(10001),
    [anon_sym_COMMA] = ACTIONS(9999),
    [anon_sym_PIPE] = ACTIONS(10001),
    [anon_sym_STAR_STAR] = ACTIONS(9999),
    [anon_sym_AMP] = ACTIONS(10001),
    [anon_sym_EQ] = ACTIONS(10001),
    [anon_sym_LT] = ACTIONS(10001),
    [anon_sym_do] = ACTIONS(9999),
    [anon_sym_AMP_DOT] = ACTIONS(9999),
    [anon_sym_QMARK] = ACTIONS(9999),
    [anon_sym_DOT_DOT] = ACTIONS(10001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9999),
    [anon_sym_and] = ACTIONS(9999),
    [anon_sym_or] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE] = ACTIONS(9999),
    [anon_sym_AMP_AMP] = ACTIONS(9999),
    [anon_sym_LT_LT] = ACTIONS(9999),
    [anon_sym_GT_GT] = ACTIONS(9999),
    [anon_sym_EQ_EQ] = ACTIONS(10001),
    [anon_sym_BANG_EQ] = ACTIONS(9999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9999),
    [anon_sym_LT_EQ_GT] = ACTIONS(9999),
    [anon_sym_EQ_TILDE] = ACTIONS(9999),
    [anon_sym_BANG_TILDE] = ACTIONS(9999),
    [anon_sym_LT_EQ] = ACTIONS(10001),
    [anon_sym_GT] = ACTIONS(10001),
    [anon_sym_GT_EQ] = ACTIONS(9999),
    [anon_sym_CARET] = ACTIONS(9999),
    [anon_sym_PLUS] = ACTIONS(9999),
    [anon_sym_SLASH] = ACTIONS(9999),
    [anon_sym_PERCENT] = ACTIONS(9999),
    [sym_comment] = ACTIONS(87),
  },
  [10993] = {
    [sym__heredoc_body_start] = ACTIONS(10003),
    [sym__element_reference_left_bracket] = ACTIONS(10003),
    [sym__infix_scope_colons] = ACTIONS(10003),
    [sym__binary_minus] = ACTIONS(10003),
    [sym__binary_star] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_RPAREN] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10005),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_PIPE] = ACTIONS(10005),
    [anon_sym_STAR_STAR] = ACTIONS(10003),
    [anon_sym_AMP] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10005),
    [anon_sym_LT] = ACTIONS(10005),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_AMP_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_DOT_DOT] = ACTIONS(10005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_and] = ACTIONS(10003),
    [anon_sym_or] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE] = ACTIONS(10003),
    [anon_sym_AMP_AMP] = ACTIONS(10003),
    [anon_sym_LT_LT] = ACTIONS(10003),
    [anon_sym_GT_GT] = ACTIONS(10003),
    [anon_sym_EQ_EQ] = ACTIONS(10005),
    [anon_sym_BANG_EQ] = ACTIONS(10003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10003),
    [anon_sym_LT_EQ_GT] = ACTIONS(10003),
    [anon_sym_EQ_TILDE] = ACTIONS(10003),
    [anon_sym_BANG_TILDE] = ACTIONS(10003),
    [anon_sym_LT_EQ] = ACTIONS(10005),
    [anon_sym_GT] = ACTIONS(10005),
    [anon_sym_GT_EQ] = ACTIONS(10003),
    [anon_sym_CARET] = ACTIONS(10003),
    [anon_sym_PLUS] = ACTIONS(10003),
    [anon_sym_SLASH] = ACTIONS(10003),
    [anon_sym_PERCENT] = ACTIONS(10003),
    [sym_comment] = ACTIONS(87),
  },
  [10994] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(14601),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [10995] = {
    [sym__heredoc_body_start] = ACTIONS(10009),
    [sym__element_reference_left_bracket] = ACTIONS(10009),
    [sym__infix_scope_colons] = ACTIONS(10009),
    [sym__binary_minus] = ACTIONS(10009),
    [sym__binary_star] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_PIPE] = ACTIONS(10011),
    [anon_sym_STAR_STAR] = ACTIONS(10009),
    [anon_sym_AMP] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_LT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10009),
    [anon_sym_AMP_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_DOT_DOT] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_and] = ACTIONS(10009),
    [anon_sym_or] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE] = ACTIONS(10009),
    [anon_sym_AMP_AMP] = ACTIONS(10009),
    [anon_sym_LT_LT] = ACTIONS(10009),
    [anon_sym_GT_GT] = ACTIONS(10009),
    [anon_sym_EQ_EQ] = ACTIONS(10011),
    [anon_sym_BANG_EQ] = ACTIONS(10009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10009),
    [anon_sym_LT_EQ_GT] = ACTIONS(10009),
    [anon_sym_EQ_TILDE] = ACTIONS(10009),
    [anon_sym_BANG_TILDE] = ACTIONS(10009),
    [anon_sym_LT_EQ] = ACTIONS(10011),
    [anon_sym_GT] = ACTIONS(10011),
    [anon_sym_GT_EQ] = ACTIONS(10009),
    [anon_sym_CARET] = ACTIONS(10009),
    [anon_sym_PLUS] = ACTIONS(10009),
    [anon_sym_SLASH] = ACTIONS(10009),
    [anon_sym_PERCENT] = ACTIONS(10009),
    [sym_comment] = ACTIONS(87),
  },
  [10996] = {
    [sym__method_rest] = STATE(11655),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(5047),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [10997] = {
    [sym__heredoc_body_start] = ACTIONS(10750),
    [sym__element_reference_left_bracket] = ACTIONS(10750),
    [sym__infix_scope_colons] = ACTIONS(10750),
    [sym__binary_minus] = ACTIONS(10750),
    [sym__binary_star] = ACTIONS(10750),
    [anon_sym_LBRACE] = ACTIONS(10750),
    [anon_sym_RPAREN] = ACTIONS(10750),
    [anon_sym_DOT] = ACTIONS(10752),
    [anon_sym_COMMA] = ACTIONS(10750),
    [anon_sym_PIPE] = ACTIONS(10752),
    [anon_sym_STAR_STAR] = ACTIONS(10750),
    [anon_sym_AMP] = ACTIONS(10752),
    [anon_sym_EQ] = ACTIONS(10752),
    [anon_sym_LT] = ACTIONS(10752),
    [anon_sym_do] = ACTIONS(10750),
    [anon_sym_AMP_DOT] = ACTIONS(10750),
    [anon_sym_QMARK] = ACTIONS(10750),
    [anon_sym_DOT_DOT] = ACTIONS(10752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10750),
    [anon_sym_and] = ACTIONS(10750),
    [anon_sym_or] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE] = ACTIONS(10750),
    [anon_sym_AMP_AMP] = ACTIONS(10750),
    [anon_sym_LT_LT] = ACTIONS(10750),
    [anon_sym_GT_GT] = ACTIONS(10750),
    [anon_sym_EQ_EQ] = ACTIONS(10752),
    [anon_sym_BANG_EQ] = ACTIONS(10750),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10750),
    [anon_sym_LT_EQ_GT] = ACTIONS(10750),
    [anon_sym_EQ_TILDE] = ACTIONS(10750),
    [anon_sym_BANG_TILDE] = ACTIONS(10750),
    [anon_sym_LT_EQ] = ACTIONS(10752),
    [anon_sym_GT] = ACTIONS(10752),
    [anon_sym_GT_EQ] = ACTIONS(10750),
    [anon_sym_CARET] = ACTIONS(10750),
    [anon_sym_PLUS] = ACTIONS(10750),
    [anon_sym_SLASH] = ACTIONS(10750),
    [anon_sym_PERCENT] = ACTIONS(10750),
    [sym_comment] = ACTIONS(87),
  },
  [10998] = {
    [sym__heredoc_body_start] = ACTIONS(10754),
    [sym__element_reference_left_bracket] = ACTIONS(10754),
    [sym__infix_scope_colons] = ACTIONS(10754),
    [sym__binary_minus] = ACTIONS(10754),
    [sym__binary_star] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_RPAREN] = ACTIONS(10754),
    [anon_sym_DOT] = ACTIONS(10756),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_PIPE] = ACTIONS(10756),
    [anon_sym_STAR_STAR] = ACTIONS(10754),
    [anon_sym_AMP] = ACTIONS(10756),
    [anon_sym_EQ] = ACTIONS(10756),
    [anon_sym_LT] = ACTIONS(10756),
    [anon_sym_do] = ACTIONS(10754),
    [anon_sym_AMP_DOT] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_DOT_DOT] = ACTIONS(10756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_and] = ACTIONS(10754),
    [anon_sym_or] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE] = ACTIONS(10754),
    [anon_sym_AMP_AMP] = ACTIONS(10754),
    [anon_sym_LT_LT] = ACTIONS(10754),
    [anon_sym_GT_GT] = ACTIONS(10754),
    [anon_sym_EQ_EQ] = ACTIONS(10756),
    [anon_sym_BANG_EQ] = ACTIONS(10754),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10754),
    [anon_sym_LT_EQ_GT] = ACTIONS(10754),
    [anon_sym_EQ_TILDE] = ACTIONS(10754),
    [anon_sym_BANG_TILDE] = ACTIONS(10754),
    [anon_sym_LT_EQ] = ACTIONS(10756),
    [anon_sym_GT] = ACTIONS(10756),
    [anon_sym_GT_EQ] = ACTIONS(10754),
    [anon_sym_CARET] = ACTIONS(10754),
    [anon_sym_PLUS] = ACTIONS(10754),
    [anon_sym_SLASH] = ACTIONS(10754),
    [anon_sym_PERCENT] = ACTIONS(10754),
    [sym_comment] = ACTIONS(87),
  },
  [10999] = {
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__binary_minus] = ACTIONS(10783),
    [sym__binary_star] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_RPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10785),
    [anon_sym_COMMA] = ACTIONS(10783),
    [anon_sym_PIPE] = ACTIONS(10785),
    [anon_sym_STAR_STAR] = ACTIONS(10783),
    [anon_sym_AMP] = ACTIONS(10785),
    [anon_sym_EQ] = ACTIONS(10785),
    [anon_sym_LT] = ACTIONS(10785),
    [anon_sym_do] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_QMARK] = ACTIONS(10783),
    [anon_sym_DOT_DOT] = ACTIONS(10785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10783),
    [anon_sym_and] = ACTIONS(10783),
    [anon_sym_or] = ACTIONS(10783),
    [anon_sym_PIPE_PIPE] = ACTIONS(10783),
    [anon_sym_AMP_AMP] = ACTIONS(10783),
    [anon_sym_LT_LT] = ACTIONS(10783),
    [anon_sym_GT_GT] = ACTIONS(10783),
    [anon_sym_EQ_EQ] = ACTIONS(10785),
    [anon_sym_BANG_EQ] = ACTIONS(10783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10783),
    [anon_sym_LT_EQ_GT] = ACTIONS(10783),
    [anon_sym_EQ_TILDE] = ACTIONS(10783),
    [anon_sym_BANG_TILDE] = ACTIONS(10783),
    [anon_sym_LT_EQ] = ACTIONS(10785),
    [anon_sym_GT] = ACTIONS(10785),
    [anon_sym_GT_EQ] = ACTIONS(10783),
    [anon_sym_CARET] = ACTIONS(10783),
    [anon_sym_PLUS] = ACTIONS(10783),
    [anon_sym_SLASH] = ACTIONS(10783),
    [anon_sym_PERCENT] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
  },
  [11000] = {
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym__element_reference_left_bracket] = ACTIONS(6671),
    [sym__infix_scope_colons] = ACTIONS(6671),
    [sym__binary_minus] = ACTIONS(6671),
    [sym__binary_star] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_RPAREN] = ACTIONS(6671),
    [anon_sym_DOT] = ACTIONS(8601),
    [anon_sym_COMMA] = ACTIONS(6671),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_STAR_STAR] = ACTIONS(6671),
    [anon_sym_AMP] = ACTIONS(8601),
    [anon_sym_EQ] = ACTIONS(8601),
    [anon_sym_LT] = ACTIONS(8601),
    [anon_sym_do] = ACTIONS(6671),
    [anon_sym_AMP_DOT] = ACTIONS(6671),
    [anon_sym_QMARK] = ACTIONS(6671),
    [anon_sym_DOT_DOT] = ACTIONS(8601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6671),
    [anon_sym_and] = ACTIONS(6671),
    [anon_sym_or] = ACTIONS(6671),
    [anon_sym_PIPE_PIPE] = ACTIONS(6671),
    [anon_sym_AMP_AMP] = ACTIONS(6671),
    [anon_sym_LT_LT] = ACTIONS(6671),
    [anon_sym_GT_GT] = ACTIONS(6671),
    [anon_sym_EQ_EQ] = ACTIONS(8601),
    [anon_sym_BANG_EQ] = ACTIONS(6671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6671),
    [anon_sym_LT_EQ_GT] = ACTIONS(6671),
    [anon_sym_EQ_TILDE] = ACTIONS(6671),
    [anon_sym_BANG_TILDE] = ACTIONS(6671),
    [anon_sym_LT_EQ] = ACTIONS(8601),
    [anon_sym_GT] = ACTIONS(8601),
    [anon_sym_GT_EQ] = ACTIONS(6671),
    [anon_sym_CARET] = ACTIONS(6671),
    [anon_sym_PLUS] = ACTIONS(6671),
    [anon_sym_SLASH] = ACTIONS(6671),
    [anon_sym_PERCENT] = ACTIONS(6671),
    [sym_comment] = ACTIONS(87),
  },
  [11001] = {
    [sym__heredoc_body_start] = ACTIONS(10814),
    [sym__element_reference_left_bracket] = ACTIONS(10814),
    [sym__infix_scope_colons] = ACTIONS(10814),
    [sym__binary_minus] = ACTIONS(10814),
    [sym__binary_star] = ACTIONS(10814),
    [anon_sym_LBRACE] = ACTIONS(10814),
    [anon_sym_RPAREN] = ACTIONS(10814),
    [anon_sym_DOT] = ACTIONS(10816),
    [anon_sym_COMMA] = ACTIONS(10814),
    [anon_sym_PIPE] = ACTIONS(10816),
    [anon_sym_STAR_STAR] = ACTIONS(10814),
    [anon_sym_AMP] = ACTIONS(10816),
    [anon_sym_EQ] = ACTIONS(10816),
    [anon_sym_LT] = ACTIONS(10816),
    [anon_sym_do] = ACTIONS(10814),
    [anon_sym_AMP_DOT] = ACTIONS(10814),
    [anon_sym_QMARK] = ACTIONS(10814),
    [anon_sym_DOT_DOT] = ACTIONS(10816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10814),
    [anon_sym_and] = ACTIONS(10814),
    [anon_sym_or] = ACTIONS(10814),
    [anon_sym_PIPE_PIPE] = ACTIONS(10814),
    [anon_sym_AMP_AMP] = ACTIONS(10814),
    [anon_sym_LT_LT] = ACTIONS(10814),
    [anon_sym_GT_GT] = ACTIONS(10814),
    [anon_sym_EQ_EQ] = ACTIONS(10816),
    [anon_sym_BANG_EQ] = ACTIONS(10814),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10814),
    [anon_sym_LT_EQ_GT] = ACTIONS(10814),
    [anon_sym_EQ_TILDE] = ACTIONS(10814),
    [anon_sym_BANG_TILDE] = ACTIONS(10814),
    [anon_sym_LT_EQ] = ACTIONS(10816),
    [anon_sym_GT] = ACTIONS(10816),
    [anon_sym_GT_EQ] = ACTIONS(10814),
    [anon_sym_CARET] = ACTIONS(10814),
    [anon_sym_PLUS] = ACTIONS(10814),
    [anon_sym_SLASH] = ACTIONS(10814),
    [anon_sym_PERCENT] = ACTIONS(10814),
    [sym_comment] = ACTIONS(87),
  },
  [11002] = {
    [sym__heredoc_body_start] = ACTIONS(10911),
    [sym__element_reference_left_bracket] = ACTIONS(10911),
    [sym__infix_scope_colons] = ACTIONS(10911),
    [sym__binary_minus] = ACTIONS(10911),
    [sym__binary_star] = ACTIONS(10911),
    [anon_sym_LBRACE] = ACTIONS(10911),
    [anon_sym_RPAREN] = ACTIONS(10911),
    [anon_sym_DOT] = ACTIONS(10913),
    [anon_sym_COMMA] = ACTIONS(10911),
    [anon_sym_PIPE] = ACTIONS(10913),
    [anon_sym_STAR_STAR] = ACTIONS(10911),
    [anon_sym_AMP] = ACTIONS(10913),
    [anon_sym_EQ] = ACTIONS(10913),
    [anon_sym_LT] = ACTIONS(10913),
    [anon_sym_do] = ACTIONS(10911),
    [anon_sym_AMP_DOT] = ACTIONS(10911),
    [anon_sym_QMARK] = ACTIONS(10911),
    [anon_sym_DOT_DOT] = ACTIONS(10913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10911),
    [anon_sym_and] = ACTIONS(10911),
    [anon_sym_or] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE] = ACTIONS(10911),
    [anon_sym_AMP_AMP] = ACTIONS(10911),
    [anon_sym_LT_LT] = ACTIONS(10911),
    [anon_sym_GT_GT] = ACTIONS(10911),
    [anon_sym_EQ_EQ] = ACTIONS(10913),
    [anon_sym_BANG_EQ] = ACTIONS(10911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10911),
    [anon_sym_LT_EQ_GT] = ACTIONS(10911),
    [anon_sym_EQ_TILDE] = ACTIONS(10911),
    [anon_sym_BANG_TILDE] = ACTIONS(10911),
    [anon_sym_LT_EQ] = ACTIONS(10913),
    [anon_sym_GT] = ACTIONS(10913),
    [anon_sym_GT_EQ] = ACTIONS(10911),
    [anon_sym_CARET] = ACTIONS(10911),
    [anon_sym_PLUS] = ACTIONS(10911),
    [anon_sym_SLASH] = ACTIONS(10911),
    [anon_sym_PERCENT] = ACTIONS(10911),
    [sym_comment] = ACTIONS(87),
  },
  [11003] = {
    [anon_sym_end] = ACTIONS(14603),
    [sym_comment] = ACTIONS(87),
  },
  [11004] = {
    [sym_elsif] = STATE(11657),
    [sym_else] = STATE(11657),
    [sym__if_tail] = STATE(11657),
    [anon_sym_end] = ACTIONS(14603),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [11005] = {
    [sym__heredoc_body_start] = ACTIONS(11082),
    [sym__element_reference_left_bracket] = ACTIONS(11082),
    [sym__infix_scope_colons] = ACTIONS(11082),
    [sym__binary_minus] = ACTIONS(11082),
    [sym__binary_star] = ACTIONS(11082),
    [anon_sym_LBRACE] = ACTIONS(11082),
    [anon_sym_RPAREN] = ACTIONS(11082),
    [anon_sym_DOT] = ACTIONS(11084),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_PIPE] = ACTIONS(11084),
    [anon_sym_STAR_STAR] = ACTIONS(11082),
    [anon_sym_AMP] = ACTIONS(11084),
    [anon_sym_EQ] = ACTIONS(11084),
    [anon_sym_LT] = ACTIONS(11084),
    [anon_sym_do] = ACTIONS(11082),
    [anon_sym_AMP_DOT] = ACTIONS(11082),
    [anon_sym_QMARK] = ACTIONS(11082),
    [anon_sym_DOT_DOT] = ACTIONS(11084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11082),
    [anon_sym_and] = ACTIONS(11082),
    [anon_sym_or] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE] = ACTIONS(11082),
    [anon_sym_AMP_AMP] = ACTIONS(11082),
    [anon_sym_LT_LT] = ACTIONS(11082),
    [anon_sym_GT_GT] = ACTIONS(11082),
    [anon_sym_EQ_EQ] = ACTIONS(11084),
    [anon_sym_BANG_EQ] = ACTIONS(11082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11082),
    [anon_sym_LT_EQ_GT] = ACTIONS(11082),
    [anon_sym_EQ_TILDE] = ACTIONS(11082),
    [anon_sym_BANG_TILDE] = ACTIONS(11082),
    [anon_sym_LT_EQ] = ACTIONS(11084),
    [anon_sym_GT] = ACTIONS(11084),
    [anon_sym_GT_EQ] = ACTIONS(11082),
    [anon_sym_CARET] = ACTIONS(11082),
    [anon_sym_PLUS] = ACTIONS(11082),
    [anon_sym_SLASH] = ACTIONS(11082),
    [anon_sym_PERCENT] = ACTIONS(11082),
    [sym_comment] = ACTIONS(87),
  },
  [11006] = {
    [anon_sym_end] = ACTIONS(14605),
    [sym_comment] = ACTIONS(87),
  },
  [11007] = {
    [sym__heredoc_body_start] = ACTIONS(11177),
    [sym__element_reference_left_bracket] = ACTIONS(11177),
    [sym__infix_scope_colons] = ACTIONS(11177),
    [sym__binary_minus] = ACTIONS(11177),
    [sym__binary_star] = ACTIONS(11177),
    [anon_sym_LBRACE] = ACTIONS(11177),
    [anon_sym_RPAREN] = ACTIONS(11177),
    [anon_sym_DOT] = ACTIONS(11179),
    [anon_sym_COMMA] = ACTIONS(11177),
    [anon_sym_PIPE] = ACTIONS(11179),
    [anon_sym_STAR_STAR] = ACTIONS(11177),
    [anon_sym_AMP] = ACTIONS(11179),
    [anon_sym_EQ] = ACTIONS(11179),
    [anon_sym_LT] = ACTIONS(11179),
    [anon_sym_do] = ACTIONS(11177),
    [anon_sym_AMP_DOT] = ACTIONS(11177),
    [anon_sym_QMARK] = ACTIONS(11177),
    [anon_sym_DOT_DOT] = ACTIONS(11179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11177),
    [anon_sym_and] = ACTIONS(11177),
    [anon_sym_or] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE] = ACTIONS(11177),
    [anon_sym_AMP_AMP] = ACTIONS(11177),
    [anon_sym_LT_LT] = ACTIONS(11177),
    [anon_sym_GT_GT] = ACTIONS(11177),
    [anon_sym_EQ_EQ] = ACTIONS(11179),
    [anon_sym_BANG_EQ] = ACTIONS(11177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11177),
    [anon_sym_LT_EQ_GT] = ACTIONS(11177),
    [anon_sym_EQ_TILDE] = ACTIONS(11177),
    [anon_sym_BANG_TILDE] = ACTIONS(11177),
    [anon_sym_LT_EQ] = ACTIONS(11179),
    [anon_sym_GT] = ACTIONS(11179),
    [anon_sym_GT_EQ] = ACTIONS(11177),
    [anon_sym_CARET] = ACTIONS(11177),
    [anon_sym_PLUS] = ACTIONS(11177),
    [anon_sym_SLASH] = ACTIONS(11177),
    [anon_sym_PERCENT] = ACTIONS(11177),
    [sym_comment] = ACTIONS(87),
  },
  [11008] = {
    [sym__heredoc_body_start] = ACTIONS(11186),
    [sym__element_reference_left_bracket] = ACTIONS(11186),
    [sym__infix_scope_colons] = ACTIONS(11186),
    [sym__binary_minus] = ACTIONS(11186),
    [sym__binary_star] = ACTIONS(11186),
    [anon_sym_LBRACE] = ACTIONS(11186),
    [anon_sym_RPAREN] = ACTIONS(11186),
    [anon_sym_DOT] = ACTIONS(11188),
    [anon_sym_COMMA] = ACTIONS(11186),
    [anon_sym_PIPE] = ACTIONS(11188),
    [anon_sym_STAR_STAR] = ACTIONS(11186),
    [anon_sym_AMP] = ACTIONS(11188),
    [anon_sym_EQ] = ACTIONS(11188),
    [anon_sym_LT] = ACTIONS(11188),
    [anon_sym_do] = ACTIONS(11186),
    [anon_sym_AMP_DOT] = ACTIONS(11186),
    [anon_sym_QMARK] = ACTIONS(11186),
    [anon_sym_DOT_DOT] = ACTIONS(11188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11186),
    [anon_sym_and] = ACTIONS(11186),
    [anon_sym_or] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11186),
    [anon_sym_AMP_AMP] = ACTIONS(11186),
    [anon_sym_LT_LT] = ACTIONS(11186),
    [anon_sym_GT_GT] = ACTIONS(11186),
    [anon_sym_EQ_EQ] = ACTIONS(11188),
    [anon_sym_BANG_EQ] = ACTIONS(11186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11186),
    [anon_sym_LT_EQ_GT] = ACTIONS(11186),
    [anon_sym_EQ_TILDE] = ACTIONS(11186),
    [anon_sym_BANG_TILDE] = ACTIONS(11186),
    [anon_sym_LT_EQ] = ACTIONS(11188),
    [anon_sym_GT] = ACTIONS(11188),
    [anon_sym_GT_EQ] = ACTIONS(11186),
    [anon_sym_CARET] = ACTIONS(11186),
    [anon_sym_PLUS] = ACTIONS(11186),
    [anon_sym_SLASH] = ACTIONS(11186),
    [anon_sym_PERCENT] = ACTIONS(11186),
    [sym_comment] = ACTIONS(87),
  },
  [11009] = {
    [sym__heredoc_body_start] = ACTIONS(11233),
    [sym__element_reference_left_bracket] = ACTIONS(11233),
    [sym__infix_scope_colons] = ACTIONS(11233),
    [sym__binary_minus] = ACTIONS(11233),
    [sym__binary_star] = ACTIONS(11233),
    [anon_sym_LBRACE] = ACTIONS(11233),
    [anon_sym_RPAREN] = ACTIONS(11233),
    [anon_sym_DOT] = ACTIONS(11235),
    [anon_sym_COMMA] = ACTIONS(11233),
    [anon_sym_PIPE] = ACTIONS(11235),
    [anon_sym_STAR_STAR] = ACTIONS(11233),
    [anon_sym_AMP] = ACTIONS(11235),
    [anon_sym_EQ] = ACTIONS(11235),
    [anon_sym_LT] = ACTIONS(11235),
    [anon_sym_do] = ACTIONS(11233),
    [anon_sym_AMP_DOT] = ACTIONS(11233),
    [anon_sym_QMARK] = ACTIONS(11233),
    [anon_sym_DOT_DOT] = ACTIONS(11235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11233),
    [anon_sym_and] = ACTIONS(11233),
    [anon_sym_or] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE] = ACTIONS(11233),
    [anon_sym_AMP_AMP] = ACTIONS(11233),
    [anon_sym_LT_LT] = ACTIONS(11233),
    [anon_sym_GT_GT] = ACTIONS(11233),
    [anon_sym_EQ_EQ] = ACTIONS(11235),
    [anon_sym_BANG_EQ] = ACTIONS(11233),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11233),
    [anon_sym_LT_EQ_GT] = ACTIONS(11233),
    [anon_sym_EQ_TILDE] = ACTIONS(11233),
    [anon_sym_BANG_TILDE] = ACTIONS(11233),
    [anon_sym_LT_EQ] = ACTIONS(11235),
    [anon_sym_GT] = ACTIONS(11235),
    [anon_sym_GT_EQ] = ACTIONS(11233),
    [anon_sym_CARET] = ACTIONS(11233),
    [anon_sym_PLUS] = ACTIONS(11233),
    [anon_sym_SLASH] = ACTIONS(11233),
    [anon_sym_PERCENT] = ACTIONS(11233),
    [sym_comment] = ACTIONS(87),
  },
  [11010] = {
    [anon_sym_end] = ACTIONS(14607),
    [sym_comment] = ACTIONS(87),
  },
  [11011] = {
    [sym__heredoc_body_start] = ACTIONS(11246),
    [sym__element_reference_left_bracket] = ACTIONS(11246),
    [sym__infix_scope_colons] = ACTIONS(11246),
    [sym__binary_minus] = ACTIONS(11246),
    [sym__binary_star] = ACTIONS(11246),
    [anon_sym_LBRACE] = ACTIONS(11246),
    [anon_sym_RPAREN] = ACTIONS(11246),
    [anon_sym_DOT] = ACTIONS(11248),
    [anon_sym_COMMA] = ACTIONS(11246),
    [anon_sym_PIPE] = ACTIONS(11248),
    [anon_sym_STAR_STAR] = ACTIONS(11246),
    [anon_sym_AMP] = ACTIONS(11248),
    [anon_sym_EQ] = ACTIONS(11248),
    [anon_sym_LT] = ACTIONS(11248),
    [anon_sym_do] = ACTIONS(11246),
    [anon_sym_AMP_DOT] = ACTIONS(11246),
    [anon_sym_QMARK] = ACTIONS(11246),
    [anon_sym_DOT_DOT] = ACTIONS(11248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11246),
    [anon_sym_and] = ACTIONS(11246),
    [anon_sym_or] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE] = ACTIONS(11246),
    [anon_sym_AMP_AMP] = ACTIONS(11246),
    [anon_sym_LT_LT] = ACTIONS(11246),
    [anon_sym_GT_GT] = ACTIONS(11246),
    [anon_sym_EQ_EQ] = ACTIONS(11248),
    [anon_sym_BANG_EQ] = ACTIONS(11246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11246),
    [anon_sym_LT_EQ_GT] = ACTIONS(11246),
    [anon_sym_EQ_TILDE] = ACTIONS(11246),
    [anon_sym_BANG_TILDE] = ACTIONS(11246),
    [anon_sym_LT_EQ] = ACTIONS(11248),
    [anon_sym_GT] = ACTIONS(11248),
    [anon_sym_GT_EQ] = ACTIONS(11246),
    [anon_sym_CARET] = ACTIONS(11246),
    [anon_sym_PLUS] = ACTIONS(11246),
    [anon_sym_SLASH] = ACTIONS(11246),
    [anon_sym_PERCENT] = ACTIONS(11246),
    [sym_comment] = ACTIONS(87),
  },
  [11012] = {
    [anon_sym_end] = ACTIONS(14609),
    [sym_comment] = ACTIONS(87),
  },
  [11013] = {
    [sym__heredoc_body_start] = ACTIONS(11712),
    [sym__element_reference_left_bracket] = ACTIONS(11712),
    [sym__infix_scope_colons] = ACTIONS(11712),
    [sym__binary_minus] = ACTIONS(11712),
    [sym__binary_star] = ACTIONS(11712),
    [anon_sym_LBRACE] = ACTIONS(11712),
    [anon_sym_RPAREN] = ACTIONS(11712),
    [anon_sym_DOT] = ACTIONS(11714),
    [anon_sym_COMMA] = ACTIONS(11712),
    [anon_sym_PIPE] = ACTIONS(11714),
    [anon_sym_STAR_STAR] = ACTIONS(11712),
    [anon_sym_AMP] = ACTIONS(11714),
    [anon_sym_EQ] = ACTIONS(11714),
    [anon_sym_LT] = ACTIONS(11714),
    [anon_sym_do] = ACTIONS(11712),
    [anon_sym_AMP_DOT] = ACTIONS(11712),
    [anon_sym_QMARK] = ACTIONS(11712),
    [anon_sym_DOT_DOT] = ACTIONS(11714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11712),
    [anon_sym_and] = ACTIONS(11712),
    [anon_sym_or] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE] = ACTIONS(11712),
    [anon_sym_AMP_AMP] = ACTIONS(11712),
    [anon_sym_LT_LT] = ACTIONS(11712),
    [anon_sym_GT_GT] = ACTIONS(11712),
    [anon_sym_EQ_EQ] = ACTIONS(11714),
    [anon_sym_BANG_EQ] = ACTIONS(11712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11712),
    [anon_sym_LT_EQ_GT] = ACTIONS(11712),
    [anon_sym_EQ_TILDE] = ACTIONS(11712),
    [anon_sym_BANG_TILDE] = ACTIONS(11712),
    [anon_sym_LT_EQ] = ACTIONS(11714),
    [anon_sym_GT] = ACTIONS(11714),
    [anon_sym_GT_EQ] = ACTIONS(11712),
    [anon_sym_CARET] = ACTIONS(11712),
    [anon_sym_PLUS] = ACTIONS(11712),
    [anon_sym_SLASH] = ACTIONS(11712),
    [anon_sym_PERCENT] = ACTIONS(11712),
    [sym_comment] = ACTIONS(87),
  },
  [11014] = {
    [anon_sym_end] = ACTIONS(14611),
    [sym_comment] = ACTIONS(87),
  },
  [11015] = {
    [sym__heredoc_body_start] = ACTIONS(11905),
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [sym__binary_minus] = ACTIONS(11905),
    [sym__binary_star] = ACTIONS(11905),
    [anon_sym_LBRACE] = ACTIONS(11905),
    [anon_sym_RPAREN] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11907),
    [anon_sym_COMMA] = ACTIONS(11905),
    [anon_sym_PIPE] = ACTIONS(11907),
    [anon_sym_STAR_STAR] = ACTIONS(11905),
    [anon_sym_AMP] = ACTIONS(11907),
    [anon_sym_EQ] = ACTIONS(11907),
    [anon_sym_LT] = ACTIONS(11907),
    [anon_sym_do] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [anon_sym_QMARK] = ACTIONS(11905),
    [anon_sym_DOT_DOT] = ACTIONS(11907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11905),
    [anon_sym_and] = ACTIONS(11905),
    [anon_sym_or] = ACTIONS(11905),
    [anon_sym_PIPE_PIPE] = ACTIONS(11905),
    [anon_sym_AMP_AMP] = ACTIONS(11905),
    [anon_sym_LT_LT] = ACTIONS(11905),
    [anon_sym_GT_GT] = ACTIONS(11905),
    [anon_sym_EQ_EQ] = ACTIONS(11907),
    [anon_sym_BANG_EQ] = ACTIONS(11905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11905),
    [anon_sym_LT_EQ_GT] = ACTIONS(11905),
    [anon_sym_EQ_TILDE] = ACTIONS(11905),
    [anon_sym_BANG_TILDE] = ACTIONS(11905),
    [anon_sym_LT_EQ] = ACTIONS(11907),
    [anon_sym_GT] = ACTIONS(11907),
    [anon_sym_GT_EQ] = ACTIONS(11905),
    [anon_sym_CARET] = ACTIONS(11905),
    [anon_sym_PLUS] = ACTIONS(11905),
    [anon_sym_SLASH] = ACTIONS(11905),
    [anon_sym_PERCENT] = ACTIONS(11905),
    [sym_comment] = ACTIONS(87),
  },
  [11016] = {
    [sym__heredoc_body_start] = ACTIONS(11938),
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [sym__binary_minus] = ACTIONS(11938),
    [sym__binary_star] = ACTIONS(11938),
    [anon_sym_LBRACE] = ACTIONS(11938),
    [anon_sym_RPAREN] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11940),
    [anon_sym_COMMA] = ACTIONS(11938),
    [anon_sym_PIPE] = ACTIONS(11940),
    [anon_sym_STAR_STAR] = ACTIONS(11938),
    [anon_sym_AMP] = ACTIONS(11940),
    [anon_sym_EQ] = ACTIONS(11940),
    [anon_sym_LT] = ACTIONS(11940),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [anon_sym_QMARK] = ACTIONS(11938),
    [anon_sym_DOT_DOT] = ACTIONS(11940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11938),
    [anon_sym_and] = ACTIONS(11938),
    [anon_sym_or] = ACTIONS(11938),
    [anon_sym_PIPE_PIPE] = ACTIONS(11938),
    [anon_sym_AMP_AMP] = ACTIONS(11938),
    [anon_sym_LT_LT] = ACTIONS(11938),
    [anon_sym_GT_GT] = ACTIONS(11938),
    [anon_sym_EQ_EQ] = ACTIONS(11940),
    [anon_sym_BANG_EQ] = ACTIONS(11938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11938),
    [anon_sym_LT_EQ_GT] = ACTIONS(11938),
    [anon_sym_EQ_TILDE] = ACTIONS(11938),
    [anon_sym_BANG_TILDE] = ACTIONS(11938),
    [anon_sym_LT_EQ] = ACTIONS(11940),
    [anon_sym_GT] = ACTIONS(11940),
    [anon_sym_GT_EQ] = ACTIONS(11938),
    [anon_sym_CARET] = ACTIONS(11938),
    [anon_sym_PLUS] = ACTIONS(11938),
    [anon_sym_SLASH] = ACTIONS(11938),
    [anon_sym_PERCENT] = ACTIONS(11938),
    [sym_comment] = ACTIONS(87),
  },
  [11017] = {
    [anon_sym_end] = ACTIONS(14613),
    [sym_comment] = ACTIONS(87),
  },
  [11018] = {
    [sym__statements] = STATE(11663),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(14615),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11019] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7593),
    [sym__binary_star] = ACTIONS(7595),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(7597),
    [anon_sym_STAR_STAR] = ACTIONS(7599),
    [anon_sym_AMP] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(7605),
    [anon_sym_DOT_DOT] = ACTIONS(7607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7609),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7613),
    [anon_sym_AMP_AMP] = ACTIONS(7613),
    [anon_sym_LT_LT] = ACTIONS(7615),
    [anon_sym_GT_GT] = ACTIONS(7615),
    [anon_sym_EQ_EQ] = ACTIONS(7617),
    [anon_sym_BANG_EQ] = ACTIONS(7613),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7613),
    [anon_sym_LT_EQ_GT] = ACTIONS(7613),
    [anon_sym_EQ_TILDE] = ACTIONS(7613),
    [anon_sym_BANG_TILDE] = ACTIONS(7613),
    [anon_sym_LT_EQ] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_GT_EQ] = ACTIONS(7619),
    [anon_sym_CARET] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(7623),
    [anon_sym_SLASH] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7599),
    [sym_comment] = ACTIONS(87),
  },
  [11020] = {
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(11449),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11021] = {
    [aux_sym_exceptions_repeat1] = STATE(11021),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14617),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11022] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7660),
    [sym__binary_star] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(7664),
    [anon_sym_STAR_STAR] = ACTIONS(7666),
    [anon_sym_AMP] = ACTIONS(7668),
    [anon_sym_LT] = ACTIONS(7670),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(7672),
    [anon_sym_DOT_DOT] = ACTIONS(7674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7676),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7680),
    [anon_sym_AMP_AMP] = ACTIONS(7680),
    [anon_sym_LT_LT] = ACTIONS(7682),
    [anon_sym_GT_GT] = ACTIONS(7682),
    [anon_sym_EQ_EQ] = ACTIONS(7684),
    [anon_sym_BANG_EQ] = ACTIONS(7680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7680),
    [anon_sym_LT_EQ_GT] = ACTIONS(7680),
    [anon_sym_EQ_TILDE] = ACTIONS(7680),
    [anon_sym_BANG_TILDE] = ACTIONS(7680),
    [anon_sym_LT_EQ] = ACTIONS(7670),
    [anon_sym_GT] = ACTIONS(7670),
    [anon_sym_GT_EQ] = ACTIONS(7686),
    [anon_sym_CARET] = ACTIONS(7688),
    [anon_sym_PLUS] = ACTIONS(7690),
    [anon_sym_SLASH] = ACTIONS(7666),
    [anon_sym_PERCENT] = ACTIONS(7666),
    [sym_comment] = ACTIONS(87),
  },
  [11023] = {
    [aux_sym_exceptions_repeat1] = STATE(11023),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14620),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11024] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7708),
    [sym__binary_star] = ACTIONS(7710),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(7712),
    [anon_sym_STAR_STAR] = ACTIONS(7714),
    [anon_sym_AMP] = ACTIONS(7716),
    [anon_sym_LT] = ACTIONS(7718),
    [anon_sym_QMARK] = ACTIONS(7720),
    [anon_sym_DOT_DOT] = ACTIONS(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7724),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7728),
    [anon_sym_AMP_AMP] = ACTIONS(7728),
    [anon_sym_LT_LT] = ACTIONS(7730),
    [anon_sym_GT_GT] = ACTIONS(7730),
    [anon_sym_EQ_EQ] = ACTIONS(7732),
    [anon_sym_BANG_EQ] = ACTIONS(7728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7728),
    [anon_sym_LT_EQ_GT] = ACTIONS(7728),
    [anon_sym_EQ_TILDE] = ACTIONS(7728),
    [anon_sym_BANG_TILDE] = ACTIONS(7728),
    [anon_sym_LT_EQ] = ACTIONS(7718),
    [anon_sym_GT] = ACTIONS(7718),
    [anon_sym_GT_EQ] = ACTIONS(7734),
    [anon_sym_CARET] = ACTIONS(7736),
    [anon_sym_PLUS] = ACTIONS(7738),
    [anon_sym_SLASH] = ACTIONS(7714),
    [anon_sym_PERCENT] = ACTIONS(7714),
    [sym_comment] = ACTIONS(87),
  },
  [11025] = {
    [aux_sym_exceptions_repeat1] = STATE(11025),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(14623),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11026] = {
    [sym__line_break] = ACTIONS(14447),
    [sym__heredoc_body_start] = ACTIONS(14447),
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [sym__binary_minus] = ACTIONS(14447),
    [sym__binary_star] = ACTIONS(14447),
    [ts_builtin_sym_end] = ACTIONS(14447),
    [anon_sym___END__] = ACTIONS(14447),
    [anon_sym_LBRACE] = ACTIONS(14447),
    [anon_sym_RBRACE] = ACTIONS(14447),
    [anon_sym_RPAREN] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14449),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_PIPE] = ACTIONS(14449),
    [anon_sym_SEMI] = ACTIONS(14447),
    [anon_sym_STAR_STAR] = ACTIONS(14449),
    [anon_sym_AMP] = ACTIONS(14449),
    [anon_sym_EQ] = ACTIONS(14449),
    [anon_sym_LT] = ACTIONS(14449),
    [anon_sym_end] = ACTIONS(14447),
    [anon_sym_if] = ACTIONS(14447),
    [anon_sym_unless] = ACTIONS(14447),
    [anon_sym_while] = ACTIONS(14447),
    [anon_sym_until] = ACTIONS(14447),
    [anon_sym_rescue] = ACTIONS(14447),
    [anon_sym_do] = ACTIONS(14447),
    [anon_sym_when] = ACTIONS(14447),
    [anon_sym_elsif] = ACTIONS(14447),
    [anon_sym_else] = ACTIONS(14447),
    [anon_sym_then] = ACTIONS(14447),
    [anon_sym_ensure] = ACTIONS(14447),
    [anon_sym_EQ_GT] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [anon_sym_PLUS_EQ] = ACTIONS(14447),
    [anon_sym_DASH_EQ] = ACTIONS(14447),
    [anon_sym_STAR_EQ] = ACTIONS(14447),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14447),
    [anon_sym_SLASH_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14447),
    [anon_sym_AMP_EQ] = ACTIONS(14447),
    [anon_sym_PERCENT_EQ] = ACTIONS(14447),
    [anon_sym_GT_GT_EQ] = ACTIONS(14447),
    [anon_sym_LT_LT_EQ] = ACTIONS(14447),
    [anon_sym_CARET_EQ] = ACTIONS(14447),
    [anon_sym_QMARK] = ACTIONS(14447),
    [anon_sym_DOT_DOT] = ACTIONS(14449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14447),
    [anon_sym_and] = ACTIONS(14447),
    [anon_sym_or] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE] = ACTIONS(14449),
    [anon_sym_AMP_AMP] = ACTIONS(14449),
    [anon_sym_LT_LT] = ACTIONS(14449),
    [anon_sym_GT_GT] = ACTIONS(14449),
    [anon_sym_EQ_EQ] = ACTIONS(14449),
    [anon_sym_BANG_EQ] = ACTIONS(14447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14447),
    [anon_sym_LT_EQ_GT] = ACTIONS(14447),
    [anon_sym_EQ_TILDE] = ACTIONS(14447),
    [anon_sym_BANG_TILDE] = ACTIONS(14447),
    [anon_sym_LT_EQ] = ACTIONS(14449),
    [anon_sym_GT] = ACTIONS(14449),
    [anon_sym_GT_EQ] = ACTIONS(14447),
    [anon_sym_CARET] = ACTIONS(14449),
    [anon_sym_PLUS] = ACTIONS(14449),
    [anon_sym_SLASH] = ACTIONS(14449),
    [anon_sym_PERCENT] = ACTIONS(14449),
    [sym_comment] = ACTIONS(87),
  },
  [11027] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7828),
    [sym__binary_star] = ACTIONS(7830),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(7832),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(7834),
    [anon_sym_AMP] = ACTIONS(7836),
    [anon_sym_LT] = ACTIONS(7838),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(7840),
    [anon_sym_DOT_DOT] = ACTIONS(7842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7844),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7846),
    [anon_sym_AMP_AMP] = ACTIONS(7846),
    [anon_sym_LT_LT] = ACTIONS(7848),
    [anon_sym_GT_GT] = ACTIONS(7848),
    [anon_sym_EQ_EQ] = ACTIONS(7850),
    [anon_sym_BANG_EQ] = ACTIONS(7846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7846),
    [anon_sym_LT_EQ_GT] = ACTIONS(7846),
    [anon_sym_EQ_TILDE] = ACTIONS(7846),
    [anon_sym_BANG_TILDE] = ACTIONS(7846),
    [anon_sym_LT_EQ] = ACTIONS(7838),
    [anon_sym_GT] = ACTIONS(7838),
    [anon_sym_GT_EQ] = ACTIONS(7852),
    [anon_sym_CARET] = ACTIONS(7854),
    [anon_sym_PLUS] = ACTIONS(7856),
    [anon_sym_SLASH] = ACTIONS(7834),
    [anon_sym_PERCENT] = ACTIONS(7834),
    [sym_comment] = ACTIONS(87),
  },
  [11028] = {
    [aux_sym_exceptions_repeat1] = STATE(11028),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14626),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11029] = {
    [sym_heredoc_body] = STATE(11664),
    [aux_sym_call_repeat1] = STATE(11664),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_elsif] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11030] = {
    [sym_heredoc_body] = STATE(11665),
    [aux_sym_call_repeat1] = STATE(11665),
    [aux_sym_argument_list_repeat1] = STATE(9966),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(10899),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_elsif] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11031] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_elsif] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11032] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_elsif] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [11033] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11034] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [11035] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11036] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11037] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14629),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11038] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_elsif] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11039] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(12697),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11040] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11041] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11042] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11043] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_elsif] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(12697),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11044] = {
    [aux_sym_exceptions_repeat1] = STATE(11668),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_elsif] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [11045] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_elsif] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(12697),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11046] = {
    [sym_string] = STATE(11046),
    [aux_sym_chained_string_repeat1] = STATE(11046),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_elsif] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [11047] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_elsif] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [11048] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_elsif] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [11049] = {
    [sym_heredoc_body] = STATE(11049),
    [aux_sym_call_repeat1] = STATE(11049),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_elsif] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [11050] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8010),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(8010),
    [sym_operator_assignment] = STATE(8010),
    [sym_conditional] = STATE(8010),
    [sym_range] = STATE(8010),
    [sym_binary] = STATE(8010),
    [sym_unary] = STATE(8010),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8013),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(10851),
    [sym__splat_star] = ACTIONS(10853),
    [sym__unary_minus] = ACTIONS(7888),
    [sym__identifier_hash_key] = ACTIONS(10855),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13925),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(10857),
    [sym_identifier] = ACTIONS(10857),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11051] = {
    [sym_heredoc_body] = STATE(11049),
    [aux_sym_call_repeat1] = STATE(11049),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_elsif] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [11052] = {
    [aux_sym_argument_list_repeat1] = STATE(11052),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14631),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_elsif] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [11053] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_elsif] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [11054] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11669),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_assignment] = STATE(11669),
    [sym_operator_assignment] = STATE(11669),
    [sym_conditional] = STATE(11669),
    [sym_range] = STATE(11669),
    [sym_binary] = STATE(11669),
    [sym_unary] = STATE(11669),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11055] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_elsif] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [11056] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_elsif] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [11057] = {
    [sym_heredoc_body] = STATE(11057),
    [aux_sym_call_repeat1] = STATE(11057),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_elsif] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [11058] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8034),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(8034),
    [sym_operator_assignment] = STATE(8034),
    [sym_conditional] = STATE(8034),
    [sym_range] = STATE(8034),
    [sym_binary] = STATE(8034),
    [sym_unary] = STATE(8034),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8037),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(10891),
    [sym__splat_star] = ACTIONS(10893),
    [sym__unary_minus] = ACTIONS(7970),
    [sym__identifier_hash_key] = ACTIONS(10895),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13929),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(10897),
    [sym_identifier] = ACTIONS(10897),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11059] = {
    [sym_heredoc_body] = STATE(11057),
    [aux_sym_call_repeat1] = STATE(11057),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_elsif] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [11060] = {
    [aux_sym_argument_list_repeat1] = STATE(11060),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14634),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_elsif] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [11061] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_elsif] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [11062] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(9967),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5401),
    [sym_scope_resolution] = STATE(5397),
    [sym_call] = STATE(5397),
    [sym_method_call] = STATE(5401),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(9967),
    [sym_operator_assignment] = STATE(9967),
    [sym_conditional] = STATE(9967),
    [sym_range] = STATE(9967),
    [sym_binary] = STATE(9967),
    [sym_unary] = STATE(9967),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(5400),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5401),
    [sym__variable] = STATE(5397),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5401),
    [sym_false] = STATE(5401),
    [sym_nil] = STATE(5401),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8002),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(10853),
    [sym__unary_minus] = ACTIONS(7888),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(7892),
    [anon_sym_yield] = ACTIONS(7894),
    [anon_sym_break] = ACTIONS(7896),
    [anon_sym_next] = ACTIONS(7898),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10847),
    [anon_sym_defined_QMARK] = ACTIONS(7900),
    [anon_sym_not] = ACTIONS(7902),
    [anon_sym_BANG] = ACTIONS(7906),
    [anon_sym_TILDE] = ACTIONS(7906),
    [sym_constant] = ACTIONS(7912),
    [sym_identifier] = ACTIONS(7912),
    [sym_instance_variable] = ACTIONS(7910),
    [sym_class_variable] = ACTIONS(7910),
    [sym_global_variable] = ACTIONS(7910),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(7912),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7912),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11063] = {
    [aux_sym_exceptions_repeat1] = STATE(11670),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14637),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_elsif] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11064] = {
    [anon_sym_end] = ACTIONS(14639),
    [sym_comment] = ACTIONS(87),
  },
  [11065] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(7934),
    [sym__binary_star] = ACTIONS(7936),
    [anon_sym_PIPE] = ACTIONS(7938),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(7940),
    [anon_sym_AMP] = ACTIONS(7942),
    [anon_sym_LT] = ACTIONS(7944),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_elsif] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(7946),
    [anon_sym_DOT_DOT] = ACTIONS(7948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7950),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(7954),
    [anon_sym_AMP_AMP] = ACTIONS(7954),
    [anon_sym_LT_LT] = ACTIONS(7956),
    [anon_sym_GT_GT] = ACTIONS(7956),
    [anon_sym_EQ_EQ] = ACTIONS(7958),
    [anon_sym_BANG_EQ] = ACTIONS(7954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7954),
    [anon_sym_LT_EQ_GT] = ACTIONS(7954),
    [anon_sym_EQ_TILDE] = ACTIONS(7954),
    [anon_sym_BANG_TILDE] = ACTIONS(7954),
    [anon_sym_LT_EQ] = ACTIONS(7944),
    [anon_sym_GT] = ACTIONS(7944),
    [anon_sym_GT_EQ] = ACTIONS(7960),
    [anon_sym_CARET] = ACTIONS(7962),
    [anon_sym_PLUS] = ACTIONS(7964),
    [anon_sym_SLASH] = ACTIONS(7940),
    [anon_sym_PERCENT] = ACTIONS(7940),
    [sym_comment] = ACTIONS(87),
  },
  [11066] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_elsif] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11067] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_elsif] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [11068] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11069] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [11070] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11071] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11072] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14641),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11073] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_elsif] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11074] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(12758),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11075] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11076] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11077] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11078] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_elsif] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(12758),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11079] = {
    [aux_sym_exceptions_repeat1] = STATE(11673),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_elsif] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [11080] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_elsif] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(12758),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11081] = {
    [sym_string] = STATE(11081),
    [aux_sym_chained_string_repeat1] = STATE(11081),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_elsif] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [11082] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11674),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_assignment] = STATE(11674),
    [sym_operator_assignment] = STATE(11674),
    [sym_conditional] = STATE(11674),
    [sym_range] = STATE(11674),
    [sym_binary] = STATE(11674),
    [sym_unary] = STATE(11674),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11083] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10013),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5447),
    [sym_scope_resolution] = STATE(5443),
    [sym_call] = STATE(5443),
    [sym_method_call] = STATE(5447),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(10013),
    [sym_operator_assignment] = STATE(10013),
    [sym_conditional] = STATE(10013),
    [sym_range] = STATE(10013),
    [sym_binary] = STATE(10013),
    [sym_unary] = STATE(10013),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(5446),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5447),
    [sym__variable] = STATE(5443),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5447),
    [sym_false] = STATE(5447),
    [sym_nil] = STATE(5447),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8082),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(10893),
    [sym__unary_minus] = ACTIONS(7970),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(7974),
    [anon_sym_yield] = ACTIONS(7976),
    [anon_sym_break] = ACTIONS(7978),
    [anon_sym_next] = ACTIONS(7980),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(10941),
    [anon_sym_defined_QMARK] = ACTIONS(7982),
    [anon_sym_not] = ACTIONS(7984),
    [anon_sym_BANG] = ACTIONS(7988),
    [anon_sym_TILDE] = ACTIONS(7988),
    [sym_constant] = ACTIONS(7994),
    [sym_identifier] = ACTIONS(7994),
    [sym_instance_variable] = ACTIONS(7992),
    [sym_class_variable] = ACTIONS(7992),
    [sym_global_variable] = ACTIONS(7992),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(7994),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(7994),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11084] = {
    [aux_sym_exceptions_repeat1] = STATE(11675),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14643),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_elsif] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [11085] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_elsif] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [11086] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_elsif] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [11087] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(12790),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12802),
    [anon_sym_GT_GT] = ACTIONS(12802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [11088] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [11089] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12802),
    [anon_sym_GT_GT] = ACTIONS(12802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [11090] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12786),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(12790),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12802),
    [anon_sym_GT_GT] = ACTIONS(12802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(12808),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [11091] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14645),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11092] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(12786),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(12790),
    [anon_sym_LT] = ACTIONS(12792),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_elsif] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(12796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12798),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(12800),
    [anon_sym_AMP_AMP] = ACTIONS(12800),
    [anon_sym_LT_LT] = ACTIONS(12802),
    [anon_sym_GT_GT] = ACTIONS(12802),
    [anon_sym_EQ_EQ] = ACTIONS(12804),
    [anon_sym_BANG_EQ] = ACTIONS(12800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12800),
    [anon_sym_LT_EQ_GT] = ACTIONS(12800),
    [anon_sym_EQ_TILDE] = ACTIONS(12800),
    [anon_sym_BANG_TILDE] = ACTIONS(12800),
    [anon_sym_LT_EQ] = ACTIONS(12792),
    [anon_sym_GT] = ACTIONS(12792),
    [anon_sym_GT_EQ] = ACTIONS(12806),
    [anon_sym_CARET] = ACTIONS(12808),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [11093] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12786),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(12790),
    [anon_sym_LT] = ACTIONS(12792),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(12794),
    [anon_sym_DOT_DOT] = ACTIONS(12796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(12800),
    [anon_sym_AMP_AMP] = ACTIONS(12800),
    [anon_sym_LT_LT] = ACTIONS(12802),
    [anon_sym_GT_GT] = ACTIONS(12802),
    [anon_sym_EQ_EQ] = ACTIONS(12804),
    [anon_sym_BANG_EQ] = ACTIONS(12800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12800),
    [anon_sym_LT_EQ_GT] = ACTIONS(12800),
    [anon_sym_EQ_TILDE] = ACTIONS(12800),
    [anon_sym_BANG_TILDE] = ACTIONS(12800),
    [anon_sym_LT_EQ] = ACTIONS(12792),
    [anon_sym_GT] = ACTIONS(12792),
    [anon_sym_GT_EQ] = ACTIONS(12806),
    [anon_sym_CARET] = ACTIONS(12808),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [11094] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12786),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(12790),
    [anon_sym_LT] = ACTIONS(12792),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12802),
    [anon_sym_GT_GT] = ACTIONS(12802),
    [anon_sym_EQ_EQ] = ACTIONS(12804),
    [anon_sym_BANG_EQ] = ACTIONS(12800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12800),
    [anon_sym_LT_EQ_GT] = ACTIONS(12800),
    [anon_sym_EQ_TILDE] = ACTIONS(12800),
    [anon_sym_BANG_TILDE] = ACTIONS(12800),
    [anon_sym_LT_EQ] = ACTIONS(12792),
    [anon_sym_GT] = ACTIONS(12792),
    [anon_sym_GT_EQ] = ACTIONS(12806),
    [anon_sym_CARET] = ACTIONS(12808),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [11095] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [11096] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_elsif] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [11097] = {
    [aux_sym_exceptions_repeat1] = STATE(11097),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(14647),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_elsif] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11098] = {
    [aux_sym_exceptions_repeat1] = STATE(10035),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_elsif] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [11099] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(12786),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(12790),
    [anon_sym_LT] = ACTIONS(12792),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_elsif] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(12794),
    [anon_sym_DOT_DOT] = ACTIONS(12796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12798),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(12800),
    [anon_sym_AMP_AMP] = ACTIONS(12800),
    [anon_sym_LT_LT] = ACTIONS(12802),
    [anon_sym_GT_GT] = ACTIONS(12802),
    [anon_sym_EQ_EQ] = ACTIONS(12804),
    [anon_sym_BANG_EQ] = ACTIONS(12800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12800),
    [anon_sym_LT_EQ_GT] = ACTIONS(12800),
    [anon_sym_EQ_TILDE] = ACTIONS(12800),
    [anon_sym_BANG_TILDE] = ACTIONS(12800),
    [anon_sym_LT_EQ] = ACTIONS(12792),
    [anon_sym_GT] = ACTIONS(12792),
    [anon_sym_GT_EQ] = ACTIONS(12806),
    [anon_sym_CARET] = ACTIONS(12808),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [11100] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8010),
    [sym__binary_star] = ACTIONS(8012),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8014),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8016),
    [anon_sym_AMP] = ACTIONS(8018),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(8020),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8022),
    [anon_sym_DOT_DOT] = ACTIONS(8024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8026),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8028),
    [anon_sym_AMP_AMP] = ACTIONS(8028),
    [anon_sym_LT_LT] = ACTIONS(8030),
    [anon_sym_GT_GT] = ACTIONS(8030),
    [anon_sym_EQ_EQ] = ACTIONS(8028),
    [anon_sym_BANG_EQ] = ACTIONS(8032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8032),
    [anon_sym_LT_EQ_GT] = ACTIONS(8032),
    [anon_sym_EQ_TILDE] = ACTIONS(8032),
    [anon_sym_BANG_TILDE] = ACTIONS(8032),
    [anon_sym_LT_EQ] = ACTIONS(8020),
    [anon_sym_GT] = ACTIONS(8020),
    [anon_sym_GT_EQ] = ACTIONS(8034),
    [anon_sym_CARET] = ACTIONS(8014),
    [anon_sym_PLUS] = ACTIONS(8036),
    [anon_sym_SLASH] = ACTIONS(8016),
    [anon_sym_PERCENT] = ACTIONS(8016),
    [sym_comment] = ACTIONS(87),
  },
  [11101] = {
    [aux_sym_exceptions_repeat1] = STATE(11101),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14650),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11102] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8046),
    [sym__binary_star] = ACTIONS(8048),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8050),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8052),
    [anon_sym_AMP] = ACTIONS(8054),
    [anon_sym_LT] = ACTIONS(8056),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8058),
    [anon_sym_DOT_DOT] = ACTIONS(8060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8062),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8064),
    [anon_sym_AMP_AMP] = ACTIONS(8064),
    [anon_sym_LT_LT] = ACTIONS(8066),
    [anon_sym_GT_GT] = ACTIONS(8066),
    [anon_sym_EQ_EQ] = ACTIONS(8068),
    [anon_sym_BANG_EQ] = ACTIONS(8064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8064),
    [anon_sym_LT_EQ_GT] = ACTIONS(8064),
    [anon_sym_EQ_TILDE] = ACTIONS(8064),
    [anon_sym_BANG_TILDE] = ACTIONS(8064),
    [anon_sym_LT_EQ] = ACTIONS(8056),
    [anon_sym_GT] = ACTIONS(8056),
    [anon_sym_GT_EQ] = ACTIONS(8070),
    [anon_sym_CARET] = ACTIONS(8072),
    [anon_sym_PLUS] = ACTIONS(8074),
    [anon_sym_SLASH] = ACTIONS(8052),
    [anon_sym_PERCENT] = ACTIONS(8052),
    [sym_comment] = ACTIONS(87),
  },
  [11103] = {
    [sym_heredoc_body] = STATE(11677),
    [aux_sym_call_repeat1] = STATE(11677),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11104] = {
    [sym_heredoc_body] = STATE(11678),
    [aux_sym_call_repeat1] = STATE(11678),
    [aux_sym_argument_list_repeat1] = STATE(10100),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(11072),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11105] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11106] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [11107] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11108] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [11109] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11110] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11111] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14653),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11112] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11113] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(12843),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11114] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11115] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11116] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11117] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(12843),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11118] = {
    [aux_sym_exceptions_repeat1] = STATE(11681),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [11119] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(12843),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11120] = {
    [sym_string] = STATE(11120),
    [aux_sym_chained_string_repeat1] = STATE(11120),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [11121] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [11122] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [11123] = {
    [sym_heredoc_body] = STATE(11123),
    [aux_sym_call_repeat1] = STATE(11123),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [11124] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8176),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(8176),
    [sym_operator_assignment] = STATE(8176),
    [sym_conditional] = STATE(8176),
    [sym_range] = STATE(8176),
    [sym_binary] = STATE(8176),
    [sym_unary] = STATE(8176),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8179),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(11024),
    [sym__splat_star] = ACTIONS(11026),
    [sym__unary_minus] = ACTIONS(8092),
    [sym__identifier_hash_key] = ACTIONS(11028),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13950),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(11030),
    [sym_identifier] = ACTIONS(11030),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11125] = {
    [sym_heredoc_body] = STATE(11123),
    [aux_sym_call_repeat1] = STATE(11123),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [11126] = {
    [aux_sym_argument_list_repeat1] = STATE(11126),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14655),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [11127] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [11128] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11682),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_assignment] = STATE(11682),
    [sym_operator_assignment] = STATE(11682),
    [sym_conditional] = STATE(11682),
    [sym_range] = STATE(11682),
    [sym_binary] = STATE(11682),
    [sym_unary] = STATE(11682),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11129] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [11130] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [11131] = {
    [sym_heredoc_body] = STATE(11131),
    [aux_sym_call_repeat1] = STATE(11131),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [11132] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(8200),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(8200),
    [sym_operator_assignment] = STATE(8200),
    [sym_conditional] = STATE(8200),
    [sym_range] = STATE(8200),
    [sym_binary] = STATE(8200),
    [sym_unary] = STATE(8200),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8203),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(11064),
    [sym__splat_star] = ACTIONS(11066),
    [sym__unary_minus] = ACTIONS(8168),
    [sym__identifier_hash_key] = ACTIONS(11068),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(13954),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(11070),
    [sym_identifier] = ACTIONS(11070),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11133] = {
    [sym_heredoc_body] = STATE(11131),
    [aux_sym_call_repeat1] = STATE(11131),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [11134] = {
    [aux_sym_argument_list_repeat1] = STATE(11134),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14658),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [11135] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [11136] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10101),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(5534),
    [sym_scope_resolution] = STATE(5530),
    [sym_call] = STATE(5530),
    [sym_method_call] = STATE(5534),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(10101),
    [sym_operator_assignment] = STATE(10101),
    [sym_conditional] = STATE(10101),
    [sym_range] = STATE(10101),
    [sym_binary] = STATE(10101),
    [sym_unary] = STATE(10101),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(5533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5534),
    [sym__variable] = STATE(5530),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(5534),
    [sym_false] = STATE(5534),
    [sym_nil] = STATE(5534),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8168),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(11026),
    [sym__unary_minus] = ACTIONS(8092),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8096),
    [anon_sym_yield] = ACTIONS(8098),
    [anon_sym_break] = ACTIONS(8100),
    [anon_sym_next] = ACTIONS(8102),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11020),
    [anon_sym_defined_QMARK] = ACTIONS(8104),
    [anon_sym_not] = ACTIONS(8106),
    [anon_sym_BANG] = ACTIONS(8110),
    [anon_sym_TILDE] = ACTIONS(8110),
    [sym_constant] = ACTIONS(8116),
    [sym_identifier] = ACTIONS(8116),
    [sym_instance_variable] = ACTIONS(8114),
    [sym_class_variable] = ACTIONS(8114),
    [sym_global_variable] = ACTIONS(8114),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(8116),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8116),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11137] = {
    [aux_sym_exceptions_repeat1] = STATE(11683),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14661),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11138] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8132),
    [sym__binary_star] = ACTIONS(8134),
    [anon_sym_PIPE] = ACTIONS(8136),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8138),
    [anon_sym_AMP] = ACTIONS(8140),
    [anon_sym_LT] = ACTIONS(8142),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8144),
    [anon_sym_DOT_DOT] = ACTIONS(8146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8148),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8152),
    [anon_sym_AMP_AMP] = ACTIONS(8152),
    [anon_sym_LT_LT] = ACTIONS(8154),
    [anon_sym_GT_GT] = ACTIONS(8154),
    [anon_sym_EQ_EQ] = ACTIONS(8156),
    [anon_sym_BANG_EQ] = ACTIONS(8152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8152),
    [anon_sym_LT_EQ_GT] = ACTIONS(8152),
    [anon_sym_EQ_TILDE] = ACTIONS(8152),
    [anon_sym_BANG_TILDE] = ACTIONS(8152),
    [anon_sym_LT_EQ] = ACTIONS(8142),
    [anon_sym_GT] = ACTIONS(8142),
    [anon_sym_GT_EQ] = ACTIONS(8158),
    [anon_sym_CARET] = ACTIONS(8160),
    [anon_sym_PLUS] = ACTIONS(8162),
    [anon_sym_SLASH] = ACTIONS(8138),
    [anon_sym_PERCENT] = ACTIONS(8138),
    [sym_comment] = ACTIONS(87),
  },
  [11139] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11140] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [11141] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11142] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [11143] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11144] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11145] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14663),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11146] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11147] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(12902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11148] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11149] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11150] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11151] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(12902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11152] = {
    [aux_sym_exceptions_repeat1] = STATE(11686),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [11153] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(12902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11154] = {
    [sym_string] = STATE(11154),
    [aux_sym_chained_string_repeat1] = STATE(11154),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [11155] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11687),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_assignment] = STATE(11687),
    [sym_operator_assignment] = STATE(11687),
    [sym_conditional] = STATE(11687),
    [sym_range] = STATE(11687),
    [sym_binary] = STATE(11687),
    [sym_unary] = STATE(11687),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11156] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10145),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(5578),
    [sym_scope_resolution] = STATE(5574),
    [sym_call] = STATE(5574),
    [sym_method_call] = STATE(5578),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(10145),
    [sym_operator_assignment] = STATE(10145),
    [sym_conditional] = STATE(10145),
    [sym_range] = STATE(10145),
    [sym_binary] = STATE(10145),
    [sym_unary] = STATE(10145),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(5577),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(5578),
    [sym__variable] = STATE(5574),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(5578),
    [sym_false] = STATE(5578),
    [sym_nil] = STATE(5578),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(8247),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(11066),
    [sym__unary_minus] = ACTIONS(8168),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(8172),
    [anon_sym_yield] = ACTIONS(8174),
    [anon_sym_break] = ACTIONS(8176),
    [anon_sym_next] = ACTIONS(8178),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(11112),
    [anon_sym_defined_QMARK] = ACTIONS(8180),
    [anon_sym_not] = ACTIONS(8182),
    [anon_sym_BANG] = ACTIONS(8186),
    [anon_sym_TILDE] = ACTIONS(8186),
    [sym_constant] = ACTIONS(8192),
    [sym_identifier] = ACTIONS(8192),
    [sym_instance_variable] = ACTIONS(8190),
    [sym_class_variable] = ACTIONS(8190),
    [sym_global_variable] = ACTIONS(8190),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(8192),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(8192),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11157] = {
    [aux_sym_exceptions_repeat1] = STATE(11688),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14665),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [11158] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [11159] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [11160] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(12934),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12946),
    [anon_sym_GT_GT] = ACTIONS(12946),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [11161] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [11162] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12946),
    [anon_sym_GT_GT] = ACTIONS(12946),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [11163] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12930),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(12934),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12946),
    [anon_sym_GT_GT] = ACTIONS(12946),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(12952),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [11164] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14667),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11165] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(12930),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(12934),
    [anon_sym_LT] = ACTIONS(12936),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(12940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12942),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(12944),
    [anon_sym_AMP_AMP] = ACTIONS(12944),
    [anon_sym_LT_LT] = ACTIONS(12946),
    [anon_sym_GT_GT] = ACTIONS(12946),
    [anon_sym_EQ_EQ] = ACTIONS(12948),
    [anon_sym_BANG_EQ] = ACTIONS(12944),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12944),
    [anon_sym_LT_EQ_GT] = ACTIONS(12944),
    [anon_sym_EQ_TILDE] = ACTIONS(12944),
    [anon_sym_BANG_TILDE] = ACTIONS(12944),
    [anon_sym_LT_EQ] = ACTIONS(12936),
    [anon_sym_GT] = ACTIONS(12936),
    [anon_sym_GT_EQ] = ACTIONS(12950),
    [anon_sym_CARET] = ACTIONS(12952),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [11166] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12930),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(12934),
    [anon_sym_LT] = ACTIONS(12936),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(12938),
    [anon_sym_DOT_DOT] = ACTIONS(12940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12942),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(12944),
    [anon_sym_AMP_AMP] = ACTIONS(12944),
    [anon_sym_LT_LT] = ACTIONS(12946),
    [anon_sym_GT_GT] = ACTIONS(12946),
    [anon_sym_EQ_EQ] = ACTIONS(12948),
    [anon_sym_BANG_EQ] = ACTIONS(12944),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12944),
    [anon_sym_LT_EQ_GT] = ACTIONS(12944),
    [anon_sym_EQ_TILDE] = ACTIONS(12944),
    [anon_sym_BANG_TILDE] = ACTIONS(12944),
    [anon_sym_LT_EQ] = ACTIONS(12936),
    [anon_sym_GT] = ACTIONS(12936),
    [anon_sym_GT_EQ] = ACTIONS(12950),
    [anon_sym_CARET] = ACTIONS(12952),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [11167] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12930),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(12934),
    [anon_sym_LT] = ACTIONS(12936),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(12946),
    [anon_sym_GT_GT] = ACTIONS(12946),
    [anon_sym_EQ_EQ] = ACTIONS(12948),
    [anon_sym_BANG_EQ] = ACTIONS(12944),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12944),
    [anon_sym_LT_EQ_GT] = ACTIONS(12944),
    [anon_sym_EQ_TILDE] = ACTIONS(12944),
    [anon_sym_BANG_TILDE] = ACTIONS(12944),
    [anon_sym_LT_EQ] = ACTIONS(12936),
    [anon_sym_GT] = ACTIONS(12936),
    [anon_sym_GT_EQ] = ACTIONS(12950),
    [anon_sym_CARET] = ACTIONS(12952),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [11168] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [11169] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [11170] = {
    [aux_sym_exceptions_repeat1] = STATE(11170),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(14669),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11171] = {
    [aux_sym_exceptions_repeat1] = STATE(10167),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [11172] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(12930),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(12934),
    [anon_sym_LT] = ACTIONS(12936),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(12938),
    [anon_sym_DOT_DOT] = ACTIONS(12940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12942),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(12944),
    [anon_sym_AMP_AMP] = ACTIONS(12944),
    [anon_sym_LT_LT] = ACTIONS(12946),
    [anon_sym_GT_GT] = ACTIONS(12946),
    [anon_sym_EQ_EQ] = ACTIONS(12948),
    [anon_sym_BANG_EQ] = ACTIONS(12944),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12944),
    [anon_sym_LT_EQ_GT] = ACTIONS(12944),
    [anon_sym_EQ_TILDE] = ACTIONS(12944),
    [anon_sym_BANG_TILDE] = ACTIONS(12944),
    [anon_sym_LT_EQ] = ACTIONS(12936),
    [anon_sym_GT] = ACTIONS(12936),
    [anon_sym_GT_EQ] = ACTIONS(12950),
    [anon_sym_CARET] = ACTIONS(12952),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [11173] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8200),
    [sym__binary_star] = ACTIONS(8202),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8204),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8206),
    [anon_sym_AMP] = ACTIONS(8208),
    [anon_sym_LT] = ACTIONS(8210),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8212),
    [anon_sym_DOT_DOT] = ACTIONS(8214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8216),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8218),
    [anon_sym_AMP_AMP] = ACTIONS(8218),
    [anon_sym_LT_LT] = ACTIONS(8220),
    [anon_sym_GT_GT] = ACTIONS(8220),
    [anon_sym_EQ_EQ] = ACTIONS(8222),
    [anon_sym_BANG_EQ] = ACTIONS(8218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8218),
    [anon_sym_LT_EQ_GT] = ACTIONS(8218),
    [anon_sym_EQ_TILDE] = ACTIONS(8218),
    [anon_sym_BANG_TILDE] = ACTIONS(8218),
    [anon_sym_LT_EQ] = ACTIONS(8210),
    [anon_sym_GT] = ACTIONS(8210),
    [anon_sym_GT_EQ] = ACTIONS(8224),
    [anon_sym_CARET] = ACTIONS(8226),
    [anon_sym_PLUS] = ACTIONS(8228),
    [anon_sym_SLASH] = ACTIONS(8206),
    [anon_sym_PERCENT] = ACTIONS(8206),
    [sym_comment] = ACTIONS(87),
  },
  [11174] = {
    [aux_sym_exceptions_repeat1] = STATE(11174),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14672),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11175] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8260),
    [sym__binary_star] = ACTIONS(8262),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8264),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8266),
    [anon_sym_AMP] = ACTIONS(8268),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(8270),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8272),
    [anon_sym_DOT_DOT] = ACTIONS(8274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8276),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8278),
    [anon_sym_AMP_AMP] = ACTIONS(8278),
    [anon_sym_LT_LT] = ACTIONS(8280),
    [anon_sym_GT_GT] = ACTIONS(8280),
    [anon_sym_EQ_EQ] = ACTIONS(8278),
    [anon_sym_BANG_EQ] = ACTIONS(8282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8282),
    [anon_sym_LT_EQ_GT] = ACTIONS(8282),
    [anon_sym_EQ_TILDE] = ACTIONS(8282),
    [anon_sym_BANG_TILDE] = ACTIONS(8282),
    [anon_sym_LT_EQ] = ACTIONS(8270),
    [anon_sym_GT] = ACTIONS(8270),
    [anon_sym_GT_EQ] = ACTIONS(8284),
    [anon_sym_CARET] = ACTIONS(8264),
    [anon_sym_PLUS] = ACTIONS(8286),
    [anon_sym_SLASH] = ACTIONS(8266),
    [anon_sym_PERCENT] = ACTIONS(8266),
    [sym_comment] = ACTIONS(87),
  },
  [11176] = {
    [aux_sym_exceptions_repeat1] = STATE(11176),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14675),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11177] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8296),
    [sym__binary_star] = ACTIONS(8298),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8300),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8302),
    [anon_sym_AMP] = ACTIONS(8304),
    [anon_sym_LT] = ACTIONS(8306),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8308),
    [anon_sym_DOT_DOT] = ACTIONS(8310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8312),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8314),
    [anon_sym_AMP_AMP] = ACTIONS(8314),
    [anon_sym_LT_LT] = ACTIONS(8316),
    [anon_sym_GT_GT] = ACTIONS(8316),
    [anon_sym_EQ_EQ] = ACTIONS(8318),
    [anon_sym_BANG_EQ] = ACTIONS(8314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8314),
    [anon_sym_LT_EQ_GT] = ACTIONS(8314),
    [anon_sym_EQ_TILDE] = ACTIONS(8314),
    [anon_sym_BANG_TILDE] = ACTIONS(8314),
    [anon_sym_LT_EQ] = ACTIONS(8306),
    [anon_sym_GT] = ACTIONS(8306),
    [anon_sym_GT_EQ] = ACTIONS(8320),
    [anon_sym_CARET] = ACTIONS(8322),
    [anon_sym_PLUS] = ACTIONS(8324),
    [anon_sym_SLASH] = ACTIONS(8302),
    [anon_sym_PERCENT] = ACTIONS(8302),
    [sym_comment] = ACTIONS(87),
  },
  [11178] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8348),
    [sym__binary_star] = ACTIONS(8350),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8352),
    [anon_sym_STAR_STAR] = ACTIONS(8354),
    [anon_sym_AMP] = ACTIONS(8356),
    [anon_sym_LT] = ACTIONS(8358),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8360),
    [anon_sym_DOT_DOT] = ACTIONS(8362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8368),
    [anon_sym_AMP_AMP] = ACTIONS(8368),
    [anon_sym_LT_LT] = ACTIONS(8370),
    [anon_sym_GT_GT] = ACTIONS(8370),
    [anon_sym_EQ_EQ] = ACTIONS(8372),
    [anon_sym_BANG_EQ] = ACTIONS(8368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8368),
    [anon_sym_LT_EQ_GT] = ACTIONS(8368),
    [anon_sym_EQ_TILDE] = ACTIONS(8368),
    [anon_sym_BANG_TILDE] = ACTIONS(8368),
    [anon_sym_LT_EQ] = ACTIONS(8358),
    [anon_sym_GT] = ACTIONS(8358),
    [anon_sym_GT_EQ] = ACTIONS(8374),
    [anon_sym_CARET] = ACTIONS(8376),
    [anon_sym_PLUS] = ACTIONS(8378),
    [anon_sym_SLASH] = ACTIONS(8354),
    [anon_sym_PERCENT] = ACTIONS(8354),
    [sym_comment] = ACTIONS(87),
  },
  [11179] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_in] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11180] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_in] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [11181] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11182] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [11183] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11184] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11185] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14678),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11186] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11187] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(12999),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11188] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11189] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11190] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11191] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(12999),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11192] = {
    [aux_sym_exceptions_repeat1] = STATE(11692),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_in] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [11193] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(12999),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11194] = {
    [sym_string] = STATE(11194),
    [aux_sym_chained_string_repeat1] = STATE(11194),
    [sym__string_start] = ACTIONS(13708),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_in] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [11195] = {
    [aux_sym_exceptions_repeat1] = STATE(11195),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14680),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_in] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11196] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8404),
    [sym__binary_star] = ACTIONS(8406),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8408),
    [anon_sym_STAR_STAR] = ACTIONS(8410),
    [anon_sym_AMP] = ACTIONS(8412),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(8414),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8416),
    [anon_sym_DOT_DOT] = ACTIONS(8418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8420),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8422),
    [anon_sym_AMP_AMP] = ACTIONS(8422),
    [anon_sym_LT_LT] = ACTIONS(8424),
    [anon_sym_GT_GT] = ACTIONS(8424),
    [anon_sym_EQ_EQ] = ACTIONS(8422),
    [anon_sym_BANG_EQ] = ACTIONS(8426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8426),
    [anon_sym_LT_EQ_GT] = ACTIONS(8426),
    [anon_sym_EQ_TILDE] = ACTIONS(8426),
    [anon_sym_BANG_TILDE] = ACTIONS(8426),
    [anon_sym_LT_EQ] = ACTIONS(8414),
    [anon_sym_GT] = ACTIONS(8414),
    [anon_sym_GT_EQ] = ACTIONS(8428),
    [anon_sym_CARET] = ACTIONS(8408),
    [anon_sym_PLUS] = ACTIONS(8430),
    [anon_sym_SLASH] = ACTIONS(8410),
    [anon_sym_PERCENT] = ACTIONS(8410),
    [sym_comment] = ACTIONS(87),
  },
  [11197] = {
    [aux_sym_exceptions_repeat1] = STATE(11197),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14683),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_in] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11198] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8446),
    [sym__binary_star] = ACTIONS(8448),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8450),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8452),
    [anon_sym_AMP] = ACTIONS(8454),
    [anon_sym_LT] = ACTIONS(8456),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8458),
    [anon_sym_DOT_DOT] = ACTIONS(8460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8462),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8464),
    [anon_sym_AMP_AMP] = ACTIONS(8464),
    [anon_sym_LT_LT] = ACTIONS(8466),
    [anon_sym_GT_GT] = ACTIONS(8466),
    [anon_sym_EQ_EQ] = ACTIONS(8468),
    [anon_sym_BANG_EQ] = ACTIONS(8464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8464),
    [anon_sym_LT_EQ_GT] = ACTIONS(8464),
    [anon_sym_EQ_TILDE] = ACTIONS(8464),
    [anon_sym_BANG_TILDE] = ACTIONS(8464),
    [anon_sym_LT_EQ] = ACTIONS(8456),
    [anon_sym_GT] = ACTIONS(8456),
    [anon_sym_GT_EQ] = ACTIONS(8470),
    [anon_sym_CARET] = ACTIONS(8472),
    [anon_sym_PLUS] = ACTIONS(8474),
    [anon_sym_SLASH] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8452),
    [sym_comment] = ACTIONS(87),
  },
  [11199] = {
    [aux_sym_exceptions_repeat1] = STATE(11199),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14686),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11200] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8494),
    [sym__binary_star] = ACTIONS(8496),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8498),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8500),
    [anon_sym_AMP] = ACTIONS(8502),
    [anon_sym_LT] = ACTIONS(8504),
    [anon_sym_QMARK] = ACTIONS(8506),
    [anon_sym_DOT_DOT] = ACTIONS(8508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8510),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8512),
    [anon_sym_AMP_AMP] = ACTIONS(8512),
    [anon_sym_LT_LT] = ACTIONS(8514),
    [anon_sym_GT_GT] = ACTIONS(8514),
    [anon_sym_EQ_EQ] = ACTIONS(8516),
    [anon_sym_BANG_EQ] = ACTIONS(8512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8512),
    [anon_sym_LT_EQ_GT] = ACTIONS(8512),
    [anon_sym_EQ_TILDE] = ACTIONS(8512),
    [anon_sym_BANG_TILDE] = ACTIONS(8512),
    [anon_sym_LT_EQ] = ACTIONS(8504),
    [anon_sym_GT] = ACTIONS(8504),
    [anon_sym_GT_EQ] = ACTIONS(8518),
    [anon_sym_CARET] = ACTIONS(8520),
    [anon_sym_PLUS] = ACTIONS(8522),
    [anon_sym_SLASH] = ACTIONS(8500),
    [anon_sym_PERCENT] = ACTIONS(8500),
    [sym_comment] = ACTIONS(87),
  },
  [11201] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11202] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [11203] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11204] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [11205] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11206] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11207] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14689),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11208] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11209] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(13065),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11210] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11211] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11212] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11213] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(13065),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11214] = {
    [aux_sym_exceptions_repeat1] = STATE(11695),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [11215] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(13065),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11216] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11696),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(11696),
    [sym_operator_assignment] = STATE(11696),
    [sym_conditional] = STATE(11696),
    [sym_range] = STATE(11696),
    [sym_binary] = STATE(11696),
    [sym_unary] = STATE(11696),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11217] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10269),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(224),
    [sym__argument_list_with_parens] = STATE(11697),
    [sym__argument] = STATE(11698),
    [sym_splat_argument] = STATE(11698),
    [sym_hash_splat_argument] = STATE(11698),
    [sym_block_argument] = STATE(11698),
    [sym_assignment] = STATE(10269),
    [sym_operator_assignment] = STATE(10269),
    [sym_conditional] = STATE(10269),
    [sym_range] = STATE(10269),
    [sym_binary] = STATE(10269),
    [sym_unary] = STATE(10269),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10275),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(11698),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(13093),
    [sym__splat_star] = ACTIONS(13095),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(13099),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13117),
    [sym_identifier] = ACTIONS(13117),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11218] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10269),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(230),
    [sym__argument_list_with_parens] = STATE(11697),
    [sym__argument] = STATE(11698),
    [sym_splat_argument] = STATE(11698),
    [sym_hash_splat_argument] = STATE(11698),
    [sym_block_argument] = STATE(11698),
    [sym_assignment] = STATE(10269),
    [sym_operator_assignment] = STATE(10269),
    [sym_conditional] = STATE(10269),
    [sym_range] = STATE(10269),
    [sym_binary] = STATE(10269),
    [sym_unary] = STATE(10269),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10275),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(11698),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(13093),
    [sym__splat_star] = ACTIONS(13095),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(13099),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(415),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13117),
    [sym_identifier] = ACTIONS(13117),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11219] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10269),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(231),
    [sym__argument_list_with_parens] = STATE(11697),
    [sym__argument] = STATE(11698),
    [sym_splat_argument] = STATE(11698),
    [sym_hash_splat_argument] = STATE(11698),
    [sym_block_argument] = STATE(11698),
    [sym_assignment] = STATE(10269),
    [sym_operator_assignment] = STATE(10269),
    [sym_conditional] = STATE(10269),
    [sym_range] = STATE(10269),
    [sym_binary] = STATE(10269),
    [sym_unary] = STATE(10269),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10275),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(11698),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(13093),
    [sym__splat_star] = ACTIONS(13095),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(13099),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13117),
    [sym_identifier] = ACTIONS(13117),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11220] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10269),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_argument_list] = STATE(232),
    [sym__argument_list_with_parens] = STATE(11697),
    [sym__argument] = STATE(11698),
    [sym_splat_argument] = STATE(11698),
    [sym_hash_splat_argument] = STATE(11698),
    [sym_block_argument] = STATE(11698),
    [sym_assignment] = STATE(10269),
    [sym_operator_assignment] = STATE(10269),
    [sym_conditional] = STATE(10269),
    [sym_range] = STATE(10269),
    [sym_binary] = STATE(10269),
    [sym_unary] = STATE(10269),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10275),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(11698),
    [sym_lambda] = STATE(222),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(13093),
    [sym__splat_star] = ACTIONS(13095),
    [sym__argument_list_left_paren] = ACTIONS(373),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(13099),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(423),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13113),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13117),
    [sym_identifier] = ACTIONS(13117),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11221] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11699),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(11699),
    [sym_operator_assignment] = STATE(11699),
    [sym_conditional] = STATE(11699),
    [sym_range] = STATE(11699),
    [sym_binary] = STATE(11699),
    [sym_unary] = STATE(11699),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11222] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11700),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(11700),
    [sym_operator_assignment] = STATE(11700),
    [sym_conditional] = STATE(11700),
    [sym_range] = STATE(11700),
    [sym_binary] = STATE(11700),
    [sym_unary] = STATE(11700),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11223] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(957),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(957),
    [sym_operator_assignment] = STATE(957),
    [sym_conditional] = STATE(957),
    [sym_range] = STATE(957),
    [sym_binary] = STATE(957),
    [sym_unary] = STATE(957),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11224] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_when] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(14703),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [11225] = {
    [anon_sym_EQ] = ACTIONS(14721),
    [sym_comment] = ACTIONS(87),
  },
  [11226] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(14723),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(14725),
    [anon_sym_DASH_EQ] = ACTIONS(14725),
    [anon_sym_STAR_EQ] = ACTIONS(14725),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14725),
    [anon_sym_SLASH_EQ] = ACTIONS(14725),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14725),
    [anon_sym_PIPE_EQ] = ACTIONS(14725),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14725),
    [anon_sym_AMP_EQ] = ACTIONS(14725),
    [anon_sym_PERCENT_EQ] = ACTIONS(14725),
    [anon_sym_GT_GT_EQ] = ACTIONS(14725),
    [anon_sym_LT_LT_EQ] = ACTIONS(14725),
    [anon_sym_CARET_EQ] = ACTIONS(14725),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [11227] = {
    [sym_string] = STATE(11715),
    [aux_sym_chained_string_repeat1] = STATE(11715),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [11228] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_when] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(14703),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [11229] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_when] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [11230] = {
    [sym_string] = STATE(11272),
    [aux_sym_chained_string_repeat1] = STATE(11272),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [11231] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11716),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(11716),
    [sym_operator_assignment] = STATE(11716),
    [sym_conditional] = STATE(11716),
    [sym_range] = STATE(11716),
    [sym_binary] = STATE(11716),
    [sym_unary] = STATE(11716),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11232] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_when] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(14703),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [11233] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11717),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11717),
    [sym_operator_assignment] = STATE(11717),
    [sym_conditional] = STATE(11717),
    [sym_range] = STATE(11717),
    [sym_binary] = STATE(11717),
    [sym_unary] = STATE(11717),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11234] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11718),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11718),
    [sym_operator_assignment] = STATE(11718),
    [sym_conditional] = STATE(11718),
    [sym_range] = STATE(11718),
    [sym_binary] = STATE(11718),
    [sym_unary] = STATE(11718),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11235] = {
    [sym__keyword_colon] = ACTIONS(14727),
    [sym_comment] = ACTIONS(87),
  },
  [11236] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11720),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11720),
    [sym_operator_assignment] = STATE(11720),
    [sym_conditional] = STATE(11720),
    [sym_range] = STATE(11720),
    [sym_binary] = STATE(11720),
    [sym_unary] = STATE(11720),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11237] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(14727),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [11238] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11239] = {
    [sym_heredoc_body] = STATE(11722),
    [aux_sym_call_repeat1] = STATE(11722),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_when] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [11240] = {
    [sym_heredoc_body] = STATE(11722),
    [aux_sym_call_repeat1] = STATE(11722),
    [aux_sym_argument_list_repeat1] = STATE(11724),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(14729),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_when] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [11241] = {
    [sym_string] = STATE(11272),
    [aux_sym_chained_string_repeat1] = STATE(11272),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(14731),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [11242] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [11243] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11244] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11726),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11726),
    [sym_operator_assignment] = STATE(11726),
    [sym_conditional] = STATE(11726),
    [sym_range] = STATE(11726),
    [sym_binary] = STATE(11726),
    [sym_unary] = STATE(11726),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11245] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11727),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11727),
    [sym_operator_assignment] = STATE(11727),
    [sym_conditional] = STATE(11727),
    [sym_range] = STATE(11727),
    [sym_binary] = STATE(11727),
    [sym_unary] = STATE(11727),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11246] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11728),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11728),
    [sym_operator_assignment] = STATE(11728),
    [sym_conditional] = STATE(11728),
    [sym_range] = STATE(11728),
    [sym_binary] = STATE(11728),
    [sym_unary] = STATE(11728),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11247] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11729),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11729),
    [sym_operator_assignment] = STATE(11729),
    [sym_conditional] = STATE(11729),
    [sym_range] = STATE(11729),
    [sym_binary] = STATE(11729),
    [sym_unary] = STATE(11729),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11248] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11730),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11730),
    [sym_operator_assignment] = STATE(11730),
    [sym_conditional] = STATE(11730),
    [sym_range] = STATE(11730),
    [sym_binary] = STATE(11730),
    [sym_unary] = STATE(11730),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11249] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11731),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11731),
    [sym_operator_assignment] = STATE(11731),
    [sym_conditional] = STATE(11731),
    [sym_range] = STATE(11731),
    [sym_binary] = STATE(11731),
    [sym_unary] = STATE(11731),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11250] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11732),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(11732),
    [sym_operator_assignment] = STATE(11732),
    [sym_conditional] = STATE(11732),
    [sym_range] = STATE(11732),
    [sym_binary] = STATE(11732),
    [sym_unary] = STATE(11732),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11251] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11733),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11733),
    [sym_operator_assignment] = STATE(11733),
    [sym_conditional] = STATE(11733),
    [sym_range] = STATE(11733),
    [sym_binary] = STATE(11733),
    [sym_unary] = STATE(11733),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11252] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11734),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11734),
    [sym_operator_assignment] = STATE(11734),
    [sym_conditional] = STATE(11734),
    [sym_range] = STATE(11734),
    [sym_binary] = STATE(11734),
    [sym_unary] = STATE(11734),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11253] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11735),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11735),
    [sym_operator_assignment] = STATE(11735),
    [sym_conditional] = STATE(11735),
    [sym_range] = STATE(11735),
    [sym_binary] = STATE(11735),
    [sym_unary] = STATE(11735),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11254] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11736),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11736),
    [sym_operator_assignment] = STATE(11736),
    [sym_conditional] = STATE(11736),
    [sym_range] = STATE(11736),
    [sym_binary] = STATE(11736),
    [sym_unary] = STATE(11736),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11255] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11737),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11737),
    [sym_operator_assignment] = STATE(11737),
    [sym_conditional] = STATE(11737),
    [sym_range] = STATE(11737),
    [sym_binary] = STATE(11737),
    [sym_unary] = STATE(11737),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11256] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11738),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11738),
    [sym_operator_assignment] = STATE(11738),
    [sym_conditional] = STATE(11738),
    [sym_range] = STATE(11738),
    [sym_binary] = STATE(11738),
    [sym_unary] = STATE(11738),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11257] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11739),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11739),
    [sym_operator_assignment] = STATE(11739),
    [sym_conditional] = STATE(11739),
    [sym_range] = STATE(11739),
    [sym_binary] = STATE(11739),
    [sym_unary] = STATE(11739),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11258] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11740),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11740),
    [sym_operator_assignment] = STATE(11740),
    [sym_conditional] = STATE(11740),
    [sym_range] = STATE(11740),
    [sym_binary] = STATE(11740),
    [sym_unary] = STATE(11740),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11259] = {
    [sym__keyword_colon] = ACTIONS(14733),
    [sym_comment] = ACTIONS(87),
  },
  [11260] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11742),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11742),
    [sym_operator_assignment] = STATE(11742),
    [sym_conditional] = STATE(11742),
    [sym_range] = STATE(11742),
    [sym_binary] = STATE(11742),
    [sym_unary] = STATE(11742),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11261] = {
    [sym__line_break] = ACTIONS(1089),
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(14733),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_end] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_rescue] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(1091),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [11262] = {
    [sym__line_break] = ACTIONS(1631),
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_unless] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_until] = ACTIONS(1631),
    [anon_sym_rescue] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11263] = {
    [sym_heredoc_body] = STATE(11744),
    [aux_sym_call_repeat1] = STATE(11744),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_when] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [11264] = {
    [sym_heredoc_body] = STATE(11744),
    [aux_sym_call_repeat1] = STATE(11744),
    [aux_sym_argument_list_repeat1] = STATE(11746),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(14735),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_when] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [11265] = {
    [sym_string] = STATE(11332),
    [aux_sym_chained_string_repeat1] = STATE(11332),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(14737),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [11266] = {
    [sym_heredoc_body] = STATE(11748),
    [aux_sym_call_repeat1] = STATE(11748),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_when] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11267] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10269),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(10269),
    [sym_operator_assignment] = STATE(10269),
    [sym_conditional] = STATE(10269),
    [sym_range] = STATE(10269),
    [sym_binary] = STATE(10269),
    [sym_unary] = STATE(10269),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10275),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(11749),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(13093),
    [sym__splat_star] = ACTIONS(13095),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__identifier_hash_key] = ACTIONS(13099),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14739),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13117),
    [sym_identifier] = ACTIONS(13117),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11268] = {
    [sym_heredoc_body] = STATE(11750),
    [aux_sym_call_repeat1] = STATE(11750),
    [aux_sym_argument_list_repeat1] = STATE(11751),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(14065),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_when] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11269] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11752),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_splat_argument] = STATE(11753),
    [sym_assignment] = STATE(11752),
    [sym_operator_assignment] = STATE(11752),
    [sym_conditional] = STATE(11752),
    [sym_range] = STATE(11752),
    [sym_binary] = STATE(11752),
    [sym_unary] = STATE(11752),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(11753),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(14019),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11270] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11754),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(11754),
    [sym_operator_assignment] = STATE(11754),
    [sym_conditional] = STATE(11754),
    [sym_range] = STATE(11754),
    [sym_binary] = STATE(11754),
    [sym_unary] = STATE(11754),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11271] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11755),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(11755),
    [sym_operator_assignment] = STATE(11755),
    [sym_conditional] = STATE(11755),
    [sym_range] = STATE(11755),
    [sym_binary] = STATE(11755),
    [sym_unary] = STATE(11755),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11272] = {
    [sym_string] = STATE(11756),
    [aux_sym_chained_string_repeat1] = STATE(11756),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_when] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [11273] = {
    [aux_sym_undef_repeat1] = STATE(11757),
    [sym__line_break] = ACTIONS(5442),
    [sym__heredoc_body_start] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym_end] = ACTIONS(5442),
    [anon_sym_if] = ACTIONS(5442),
    [anon_sym_unless] = ACTIONS(5442),
    [anon_sym_while] = ACTIONS(5442),
    [anon_sym_until] = ACTIONS(5442),
    [anon_sym_rescue] = ACTIONS(5442),
    [anon_sym_when] = ACTIONS(5442),
    [anon_sym_else] = ACTIONS(5442),
    [sym_comment] = ACTIONS(87),
  },
  [11274] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(8504),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8506),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(8506),
    [sym_operator_assignment] = STATE(8506),
    [sym_conditional] = STATE(8506),
    [sym_range] = STATE(8506),
    [sym_binary] = STATE(8506),
    [sym_unary] = STATE(8506),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(5772),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(5772),
    [anon_sym_else] = ACTIONS(5772),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [anon_sym_undef] = ACTIONS(11296),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11275] = {
    [sym_heredoc_body] = STATE(11758),
    [sym__terminator] = STATE(11758),
    [aux_sym__statements_repeat1] = STATE(11275),
    [sym__line_break] = ACTIONS(14741),
    [sym__heredoc_body_start] = ACTIONS(5777),
    [anon_sym_SEMI] = ACTIONS(14741),
    [anon_sym_end] = ACTIONS(5768),
    [anon_sym_when] = ACTIONS(5768),
    [anon_sym_else] = ACTIONS(5768),
    [sym_comment] = ACTIONS(87),
  },
  [11276] = {
    [sym__line_break] = ACTIONS(5780),
    [sym__heredoc_body_start] = ACTIONS(5780),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(5780),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_unless] = ACTIONS(5780),
    [anon_sym_while] = ACTIONS(5780),
    [anon_sym_until] = ACTIONS(5780),
    [anon_sym_rescue] = ACTIONS(5780),
    [anon_sym_when] = ACTIONS(5780),
    [anon_sym_else] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(13149),
    [anon_sym_DOT_DOT] = ACTIONS(13151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13153),
    [anon_sym_and] = ACTIONS(13155),
    [anon_sym_or] = ACTIONS(13155),
    [anon_sym_PIPE_PIPE] = ACTIONS(13157),
    [anon_sym_AMP_AMP] = ACTIONS(13157),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11277] = {
    [sym__line_break] = ACTIONS(5782),
    [sym__heredoc_body_start] = ACTIONS(5782),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(5782),
    [anon_sym_if] = ACTIONS(5782),
    [anon_sym_unless] = ACTIONS(5782),
    [anon_sym_while] = ACTIONS(5782),
    [anon_sym_until] = ACTIONS(5782),
    [anon_sym_rescue] = ACTIONS(5782),
    [anon_sym_when] = ACTIONS(5782),
    [anon_sym_else] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(13149),
    [anon_sym_DOT_DOT] = ACTIONS(13151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13153),
    [anon_sym_and] = ACTIONS(13155),
    [anon_sym_or] = ACTIONS(13155),
    [anon_sym_PIPE_PIPE] = ACTIONS(13157),
    [anon_sym_AMP_AMP] = ACTIONS(13157),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11278] = {
    [sym__line_break] = ACTIONS(5784),
    [sym__heredoc_body_start] = ACTIONS(5784),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(5784),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_unless] = ACTIONS(5784),
    [anon_sym_while] = ACTIONS(5784),
    [anon_sym_until] = ACTIONS(5784),
    [anon_sym_rescue] = ACTIONS(5784),
    [anon_sym_when] = ACTIONS(5784),
    [anon_sym_else] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(13149),
    [anon_sym_DOT_DOT] = ACTIONS(13151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13153),
    [anon_sym_and] = ACTIONS(13155),
    [anon_sym_or] = ACTIONS(13155),
    [anon_sym_PIPE_PIPE] = ACTIONS(13157),
    [anon_sym_AMP_AMP] = ACTIONS(13157),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11279] = {
    [sym__line_break] = ACTIONS(5786),
    [sym__heredoc_body_start] = ACTIONS(5786),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(5786),
    [anon_sym_if] = ACTIONS(5786),
    [anon_sym_unless] = ACTIONS(5786),
    [anon_sym_while] = ACTIONS(5786),
    [anon_sym_until] = ACTIONS(5786),
    [anon_sym_rescue] = ACTIONS(5786),
    [anon_sym_when] = ACTIONS(5786),
    [anon_sym_else] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(13149),
    [anon_sym_DOT_DOT] = ACTIONS(13151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13153),
    [anon_sym_and] = ACTIONS(13155),
    [anon_sym_or] = ACTIONS(13155),
    [anon_sym_PIPE_PIPE] = ACTIONS(13157),
    [anon_sym_AMP_AMP] = ACTIONS(13157),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11280] = {
    [sym__line_break] = ACTIONS(5788),
    [sym__heredoc_body_start] = ACTIONS(5788),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(5788),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(5788),
    [anon_sym_if] = ACTIONS(5788),
    [anon_sym_unless] = ACTIONS(5788),
    [anon_sym_while] = ACTIONS(5788),
    [anon_sym_until] = ACTIONS(5788),
    [anon_sym_rescue] = ACTIONS(5788),
    [anon_sym_when] = ACTIONS(5788),
    [anon_sym_else] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(13149),
    [anon_sym_DOT_DOT] = ACTIONS(13151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13153),
    [anon_sym_and] = ACTIONS(13155),
    [anon_sym_or] = ACTIONS(13155),
    [anon_sym_PIPE_PIPE] = ACTIONS(13157),
    [anon_sym_AMP_AMP] = ACTIONS(13157),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11281] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_when] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11282] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_when] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [11283] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11284] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [11285] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11286] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11287] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14744),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11288] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_when] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(13151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13153),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(13157),
    [anon_sym_AMP_AMP] = ACTIONS(13157),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11289] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(13149),
    [anon_sym_DOT_DOT] = ACTIONS(13151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13153),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(13157),
    [anon_sym_AMP_AMP] = ACTIONS(13157),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11290] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11291] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11292] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11293] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11760),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(11760),
    [sym_operator_assignment] = STATE(11760),
    [sym_conditional] = STATE(11760),
    [sym_range] = STATE(11760),
    [sym_binary] = STATE(11760),
    [sym_unary] = STATE(11760),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11294] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10312),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(3854),
    [sym__argument_list_with_parens] = STATE(10314),
    [sym__argument] = STATE(10315),
    [sym_splat_argument] = STATE(10315),
    [sym_hash_splat_argument] = STATE(10315),
    [sym_block_argument] = STATE(10315),
    [sym_assignment] = STATE(10312),
    [sym_operator_assignment] = STATE(10312),
    [sym_conditional] = STATE(10312),
    [sym_range] = STATE(10312),
    [sym_binary] = STATE(10312),
    [sym_unary] = STATE(10312),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(10318),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(10315),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(363),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(13169),
    [sym__splat_star] = ACTIONS(13171),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(13175),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_unless] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_until] = ACTIONS(379),
    [anon_sym_rescue] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13193),
    [sym_identifier] = ACTIONS(13193),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11295] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10312),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(3855),
    [sym__argument_list_with_parens] = STATE(10314),
    [sym__argument] = STATE(10315),
    [sym_splat_argument] = STATE(10315),
    [sym_hash_splat_argument] = STATE(10315),
    [sym_block_argument] = STATE(10315),
    [sym_assignment] = STATE(10312),
    [sym_operator_assignment] = STATE(10312),
    [sym_conditional] = STATE(10312),
    [sym_range] = STATE(10312),
    [sym_binary] = STATE(10312),
    [sym_unary] = STATE(10312),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(10318),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(10315),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(413),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(13169),
    [sym__splat_star] = ACTIONS(13171),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(13175),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(415),
    [anon_sym_unless] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(415),
    [anon_sym_until] = ACTIONS(415),
    [anon_sym_rescue] = ACTIONS(415),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(415),
    [anon_sym_else] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13193),
    [sym_identifier] = ACTIONS(13193),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11296] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10312),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(3856),
    [sym__argument_list_with_parens] = STATE(10314),
    [sym__argument] = STATE(10315),
    [sym_splat_argument] = STATE(10315),
    [sym_hash_splat_argument] = STATE(10315),
    [sym_block_argument] = STATE(10315),
    [sym_assignment] = STATE(10312),
    [sym_operator_assignment] = STATE(10312),
    [sym_conditional] = STATE(10312),
    [sym_range] = STATE(10312),
    [sym_binary] = STATE(10312),
    [sym_unary] = STATE(10312),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(10318),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(10315),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(417),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(13169),
    [sym__splat_star] = ACTIONS(13171),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(13175),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_unless] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_until] = ACTIONS(419),
    [anon_sym_rescue] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13193),
    [sym_identifier] = ACTIONS(13193),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11297] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10312),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(3857),
    [sym__argument_list_with_parens] = STATE(10314),
    [sym__argument] = STATE(10315),
    [sym_splat_argument] = STATE(10315),
    [sym_hash_splat_argument] = STATE(10315),
    [sym_block_argument] = STATE(10315),
    [sym_assignment] = STATE(10312),
    [sym_operator_assignment] = STATE(10312),
    [sym_conditional] = STATE(10312),
    [sym_range] = STATE(10312),
    [sym_binary] = STATE(10312),
    [sym_unary] = STATE(10312),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(10318),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(10315),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(421),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(13169),
    [sym__splat_star] = ACTIONS(13171),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(13175),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(423),
    [anon_sym_unless] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_until] = ACTIONS(423),
    [anon_sym_rescue] = ACTIONS(423),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(423),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13193),
    [sym_identifier] = ACTIONS(13193),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11298] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11761),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(11761),
    [sym_operator_assignment] = STATE(11761),
    [sym_conditional] = STATE(11761),
    [sym_range] = STATE(11761),
    [sym_binary] = STATE(11761),
    [sym_unary] = STATE(11761),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11299] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11762),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(11762),
    [sym_operator_assignment] = STATE(11762),
    [sym_conditional] = STATE(11762),
    [sym_range] = STATE(11762),
    [sym_binary] = STATE(11762),
    [sym_unary] = STATE(11762),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11300] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(3873),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(3873),
    [sym_operator_assignment] = STATE(3873),
    [sym_conditional] = STATE(3873),
    [sym_range] = STATE(3873),
    [sym_binary] = STATE(3873),
    [sym_unary] = STATE(3873),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11301] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_when] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(14758),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [11302] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10312),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_argument_list] = STATE(1117),
    [sym__argument_list_with_parens] = STATE(10314),
    [sym__argument] = STATE(10315),
    [sym_splat_argument] = STATE(10315),
    [sym_hash_splat_argument] = STATE(10315),
    [sym_block_argument] = STATE(10315),
    [sym_do_block] = STATE(447),
    [sym_block] = STATE(447),
    [sym_assignment] = STATE(10312),
    [sym_operator_assignment] = STATE(10312),
    [sym_conditional] = STATE(10312),
    [sym_range] = STATE(10312),
    [sym_binary] = STATE(10312),
    [sym_unary] = STATE(10312),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(10318),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(10315),
    [sym_lambda] = STATE(442),
    [sym__line_break] = ACTIONS(747),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(13169),
    [sym__splat_star] = ACTIONS(13171),
    [sym__argument_list_left_paren] = ACTIONS(769),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(13175),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_end] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_unless] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_until] = ACTIONS(775),
    [anon_sym_rescue] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_when] = ACTIONS(775),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13189),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13193),
    [sym_identifier] = ACTIONS(13193),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11303] = {
    [anon_sym_EQ] = ACTIONS(14774),
    [sym_comment] = ACTIONS(87),
  },
  [11304] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(14776),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(14778),
    [anon_sym_DASH_EQ] = ACTIONS(14778),
    [anon_sym_STAR_EQ] = ACTIONS(14778),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14778),
    [anon_sym_SLASH_EQ] = ACTIONS(14778),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14778),
    [anon_sym_PIPE_EQ] = ACTIONS(14778),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14778),
    [anon_sym_AMP_EQ] = ACTIONS(14778),
    [anon_sym_PERCENT_EQ] = ACTIONS(14778),
    [anon_sym_GT_GT_EQ] = ACTIONS(14778),
    [anon_sym_LT_LT_EQ] = ACTIONS(14778),
    [anon_sym_CARET_EQ] = ACTIONS(14778),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [11305] = {
    [sym_string] = STATE(11777),
    [aux_sym_chained_string_repeat1] = STATE(11777),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [11306] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_when] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(14758),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [11307] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_when] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [11308] = {
    [sym_string] = STATE(11332),
    [aux_sym_chained_string_repeat1] = STATE(11332),
    [sym__line_break] = ACTIONS(557),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [11309] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11778),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(11778),
    [sym_operator_assignment] = STATE(11778),
    [sym_conditional] = STATE(11778),
    [sym_range] = STATE(11778),
    [sym_binary] = STATE(11778),
    [sym_unary] = STATE(11778),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11310] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_when] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(14758),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [11311] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [11312] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11313] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11779),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11779),
    [sym_operator_assignment] = STATE(11779),
    [sym_conditional] = STATE(11779),
    [sym_range] = STATE(11779),
    [sym_binary] = STATE(11779),
    [sym_unary] = STATE(11779),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11314] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11780),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11780),
    [sym_operator_assignment] = STATE(11780),
    [sym_conditional] = STATE(11780),
    [sym_range] = STATE(11780),
    [sym_binary] = STATE(11780),
    [sym_unary] = STATE(11780),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11315] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11781),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11781),
    [sym_operator_assignment] = STATE(11781),
    [sym_conditional] = STATE(11781),
    [sym_range] = STATE(11781),
    [sym_binary] = STATE(11781),
    [sym_unary] = STATE(11781),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11316] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11782),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11782),
    [sym_operator_assignment] = STATE(11782),
    [sym_conditional] = STATE(11782),
    [sym_range] = STATE(11782),
    [sym_binary] = STATE(11782),
    [sym_unary] = STATE(11782),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11317] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11783),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11783),
    [sym_operator_assignment] = STATE(11783),
    [sym_conditional] = STATE(11783),
    [sym_range] = STATE(11783),
    [sym_binary] = STATE(11783),
    [sym_unary] = STATE(11783),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11318] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11784),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11784),
    [sym_operator_assignment] = STATE(11784),
    [sym_conditional] = STATE(11784),
    [sym_range] = STATE(11784),
    [sym_binary] = STATE(11784),
    [sym_unary] = STATE(11784),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11319] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11785),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(11785),
    [sym_operator_assignment] = STATE(11785),
    [sym_conditional] = STATE(11785),
    [sym_range] = STATE(11785),
    [sym_binary] = STATE(11785),
    [sym_unary] = STATE(11785),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11320] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11786),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11786),
    [sym_operator_assignment] = STATE(11786),
    [sym_conditional] = STATE(11786),
    [sym_range] = STATE(11786),
    [sym_binary] = STATE(11786),
    [sym_unary] = STATE(11786),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11321] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11787),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11787),
    [sym_operator_assignment] = STATE(11787),
    [sym_conditional] = STATE(11787),
    [sym_range] = STATE(11787),
    [sym_binary] = STATE(11787),
    [sym_unary] = STATE(11787),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11322] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11788),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11788),
    [sym_operator_assignment] = STATE(11788),
    [sym_conditional] = STATE(11788),
    [sym_range] = STATE(11788),
    [sym_binary] = STATE(11788),
    [sym_unary] = STATE(11788),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11323] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11789),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11789),
    [sym_operator_assignment] = STATE(11789),
    [sym_conditional] = STATE(11789),
    [sym_range] = STATE(11789),
    [sym_binary] = STATE(11789),
    [sym_unary] = STATE(11789),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11324] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11790),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11790),
    [sym_operator_assignment] = STATE(11790),
    [sym_conditional] = STATE(11790),
    [sym_range] = STATE(11790),
    [sym_binary] = STATE(11790),
    [sym_unary] = STATE(11790),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11325] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11791),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11791),
    [sym_operator_assignment] = STATE(11791),
    [sym_conditional] = STATE(11791),
    [sym_range] = STATE(11791),
    [sym_binary] = STATE(11791),
    [sym_unary] = STATE(11791),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11326] = {
    [sym_heredoc_body] = STATE(11792),
    [aux_sym_call_repeat1] = STATE(11792),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_when] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [11327] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10312),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym__argument] = STATE(3990),
    [sym_splat_argument] = STATE(3990),
    [sym_hash_splat_argument] = STATE(3990),
    [sym_block_argument] = STATE(3990),
    [sym_assignment] = STATE(10312),
    [sym_operator_assignment] = STATE(10312),
    [sym_conditional] = STATE(10312),
    [sym_range] = STATE(10312),
    [sym_binary] = STATE(10312),
    [sym_unary] = STATE(10312),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(10318),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(11793),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(3990),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(13169),
    [sym__splat_star] = ACTIONS(13171),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__identifier_hash_key] = ACTIONS(13175),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14780),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13193),
    [sym_identifier] = ACTIONS(13193),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11328] = {
    [sym_heredoc_body] = STATE(11794),
    [aux_sym_call_repeat1] = STATE(11794),
    [aux_sym_argument_list_repeat1] = STATE(11795),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(14135),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_when] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [11329] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11796),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_splat_argument] = STATE(11797),
    [sym_assignment] = STATE(11796),
    [sym_operator_assignment] = STATE(11796),
    [sym_conditional] = STATE(11796),
    [sym_range] = STATE(11796),
    [sym_binary] = STATE(11796),
    [sym_unary] = STATE(11796),
    [sym_right_assignment_list] = STATE(3995),
    [sym__arg_or_splat_arg] = STATE(11797),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(14059),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11330] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11798),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(11798),
    [sym_operator_assignment] = STATE(11798),
    [sym_conditional] = STATE(11798),
    [sym_range] = STATE(11798),
    [sym_binary] = STATE(11798),
    [sym_unary] = STATE(11798),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11331] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11799),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(11799),
    [sym_operator_assignment] = STATE(11799),
    [sym_conditional] = STATE(11799),
    [sym_range] = STATE(11799),
    [sym_binary] = STATE(11799),
    [sym_unary] = STATE(11799),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11332] = {
    [sym_string] = STATE(11800),
    [aux_sym_chained_string_repeat1] = STATE(11800),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2657),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_when] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [11333] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11801),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(11801),
    [sym_operator_assignment] = STATE(11801),
    [sym_conditional] = STATE(11801),
    [sym_range] = STATE(11801),
    [sym_binary] = STATE(11801),
    [sym_unary] = STATE(11801),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11334] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11802),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(11802),
    [sym_operator_assignment] = STATE(11802),
    [sym_conditional] = STATE(11802),
    [sym_range] = STATE(11802),
    [sym_binary] = STATE(11802),
    [sym_unary] = STATE(11802),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11335] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11803),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(11803),
    [sym_operator_assignment] = STATE(11803),
    [sym_conditional] = STATE(11803),
    [sym_range] = STATE(11803),
    [sym_binary] = STATE(11803),
    [sym_unary] = STATE(11803),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11336] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11804),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(11804),
    [sym_operator_assignment] = STATE(11804),
    [sym_conditional] = STATE(11804),
    [sym_range] = STATE(11804),
    [sym_binary] = STATE(11804),
    [sym_unary] = STATE(11804),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11337] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(312),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(312),
    [sym_operator_assignment] = STATE(312),
    [sym_conditional] = STATE(312),
    [sym_range] = STATE(312),
    [sym_binary] = STATE(312),
    [sym_unary] = STATE(312),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11338] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(14786),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(14790),
    [anon_sym_LT] = ACTIONS(14792),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_when] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_DOT_DOT] = ACTIONS(14796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14798),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(14800),
    [anon_sym_AMP_AMP] = ACTIONS(14800),
    [anon_sym_LT_LT] = ACTIONS(14802),
    [anon_sym_GT_GT] = ACTIONS(14802),
    [anon_sym_EQ_EQ] = ACTIONS(14804),
    [anon_sym_BANG_EQ] = ACTIONS(14800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14800),
    [anon_sym_LT_EQ_GT] = ACTIONS(14800),
    [anon_sym_EQ_TILDE] = ACTIONS(14800),
    [anon_sym_BANG_TILDE] = ACTIONS(14800),
    [anon_sym_LT_EQ] = ACTIONS(14792),
    [anon_sym_GT] = ACTIONS(14792),
    [anon_sym_GT_EQ] = ACTIONS(14806),
    [anon_sym_CARET] = ACTIONS(14808),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [11339] = {
    [aux_sym_exceptions_repeat1] = STATE(11818),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(14812),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_when] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [11340] = {
    [anon_sym_EQ] = ACTIONS(14814),
    [sym_comment] = ACTIONS(87),
  },
  [11341] = {
    [sym__line_break] = ACTIONS(557),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(14816),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_end] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_unless] = ACTIONS(557),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_until] = ACTIONS(557),
    [anon_sym_rescue] = ACTIONS(557),
    [anon_sym_when] = ACTIONS(557),
    [anon_sym_else] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(14818),
    [anon_sym_DASH_EQ] = ACTIONS(14818),
    [anon_sym_STAR_EQ] = ACTIONS(14818),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14818),
    [anon_sym_SLASH_EQ] = ACTIONS(14818),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14818),
    [anon_sym_PIPE_EQ] = ACTIONS(14818),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14818),
    [anon_sym_AMP_EQ] = ACTIONS(14818),
    [anon_sym_PERCENT_EQ] = ACTIONS(14818),
    [anon_sym_GT_GT_EQ] = ACTIONS(14818),
    [anon_sym_LT_LT_EQ] = ACTIONS(14818),
    [anon_sym_CARET_EQ] = ACTIONS(14818),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [11342] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_when] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(13149),
    [anon_sym_DOT_DOT] = ACTIONS(13151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13153),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(13157),
    [anon_sym_AMP_AMP] = ACTIONS(13157),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [11343] = {
    [sym_string] = STATE(11343),
    [aux_sym_chained_string_repeat1] = STATE(11343),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_when] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [11344] = {
    [anon_sym_end] = ACTIONS(14820),
    [sym_comment] = ACTIONS(87),
  },
  [11345] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8546),
    [sym__binary_star] = ACTIONS(8548),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8550),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8552),
    [anon_sym_AMP] = ACTIONS(8554),
    [anon_sym_LT] = ACTIONS(8556),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8558),
    [anon_sym_DOT_DOT] = ACTIONS(8560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8562),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8566),
    [anon_sym_AMP_AMP] = ACTIONS(8566),
    [anon_sym_LT_LT] = ACTIONS(8568),
    [anon_sym_GT_GT] = ACTIONS(8568),
    [anon_sym_EQ_EQ] = ACTIONS(8570),
    [anon_sym_BANG_EQ] = ACTIONS(8566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8566),
    [anon_sym_LT_EQ_GT] = ACTIONS(8566),
    [anon_sym_EQ_TILDE] = ACTIONS(8566),
    [anon_sym_BANG_TILDE] = ACTIONS(8566),
    [anon_sym_LT_EQ] = ACTIONS(8556),
    [anon_sym_GT] = ACTIONS(8556),
    [anon_sym_GT_EQ] = ACTIONS(8572),
    [anon_sym_CARET] = ACTIONS(8574),
    [anon_sym_PLUS] = ACTIONS(8576),
    [anon_sym_SLASH] = ACTIONS(8552),
    [anon_sym_PERCENT] = ACTIONS(8552),
    [sym_comment] = ACTIONS(87),
  },
  [11346] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [11347] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [11348] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [11349] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [11350] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [11351] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [11352] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14822),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11353] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [11354] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(13224),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [11355] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [11356] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [11357] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [11358] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(13224),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [11359] = {
    [aux_sym_exceptions_repeat1] = STATE(11823),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [11360] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(13224),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [11361] = {
    [sym_string] = STATE(11361),
    [aux_sym_chained_string_repeat1] = STATE(11361),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_then] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [11362] = {
    [aux_sym_exceptions_repeat1] = STATE(11362),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(14824),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11363] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8603),
    [sym__binary_star] = ACTIONS(8605),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8609),
    [anon_sym_AMP] = ACTIONS(8611),
    [anon_sym_LT] = ACTIONS(8613),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8615),
    [anon_sym_DOT_DOT] = ACTIONS(8617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8619),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8621),
    [anon_sym_AMP_AMP] = ACTIONS(8621),
    [anon_sym_LT_LT] = ACTIONS(8623),
    [anon_sym_GT_GT] = ACTIONS(8623),
    [anon_sym_EQ_EQ] = ACTIONS(8625),
    [anon_sym_BANG_EQ] = ACTIONS(8621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8621),
    [anon_sym_LT_EQ_GT] = ACTIONS(8621),
    [anon_sym_EQ_TILDE] = ACTIONS(8621),
    [anon_sym_BANG_TILDE] = ACTIONS(8621),
    [anon_sym_LT_EQ] = ACTIONS(8613),
    [anon_sym_GT] = ACTIONS(8613),
    [anon_sym_GT_EQ] = ACTIONS(8627),
    [anon_sym_CARET] = ACTIONS(8629),
    [anon_sym_PLUS] = ACTIONS(8631),
    [anon_sym_SLASH] = ACTIONS(8609),
    [anon_sym_PERCENT] = ACTIONS(8609),
    [sym_comment] = ACTIONS(87),
  },
  [11364] = {
    [aux_sym_exceptions_repeat1] = STATE(11364),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14827),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11365] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8657),
    [sym__binary_star] = ACTIONS(8659),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8663),
    [anon_sym_AMP] = ACTIONS(8665),
    [anon_sym_LT] = ACTIONS(8667),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8669),
    [anon_sym_DOT_DOT] = ACTIONS(8671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8673),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8675),
    [anon_sym_AMP_AMP] = ACTIONS(8675),
    [anon_sym_LT_LT] = ACTIONS(8677),
    [anon_sym_GT_GT] = ACTIONS(8677),
    [anon_sym_EQ_EQ] = ACTIONS(8679),
    [anon_sym_BANG_EQ] = ACTIONS(8675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8675),
    [anon_sym_LT_EQ_GT] = ACTIONS(8675),
    [anon_sym_EQ_TILDE] = ACTIONS(8675),
    [anon_sym_BANG_TILDE] = ACTIONS(8675),
    [anon_sym_LT_EQ] = ACTIONS(8667),
    [anon_sym_GT] = ACTIONS(8667),
    [anon_sym_GT_EQ] = ACTIONS(8681),
    [anon_sym_CARET] = ACTIONS(8683),
    [anon_sym_PLUS] = ACTIONS(8685),
    [anon_sym_SLASH] = ACTIONS(8663),
    [anon_sym_PERCENT] = ACTIONS(8663),
    [sym_comment] = ACTIONS(87),
  },
  [11366] = {
    [aux_sym_exceptions_repeat1] = STATE(11366),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14830),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11367] = {
    [sym__line_break] = ACTIONS(12078),
    [sym__heredoc_body_start] = ACTIONS(12078),
    [sym__element_reference_left_bracket] = ACTIONS(12078),
    [sym__infix_scope_colons] = ACTIONS(12078),
    [anon_sym_DOT] = ACTIONS(12078),
    [anon_sym_SEMI] = ACTIONS(12078),
    [anon_sym_then] = ACTIONS(12078),
    [anon_sym_AMP_DOT] = ACTIONS(12078),
    [sym_comment] = ACTIONS(87),
  },
  [11368] = {
    [sym__line_break] = ACTIONS(7758),
    [sym__simple_symbol] = ACTIONS(7758),
    [sym__string_start] = ACTIONS(7758),
    [sym__symbol_start] = ACTIONS(7758),
    [sym__subshell_start] = ACTIONS(7758),
    [sym__regex_start] = ACTIONS(7758),
    [sym__string_array_start] = ACTIONS(7758),
    [sym__symbol_array_start] = ACTIONS(7758),
    [sym__heredoc_body_start] = ACTIONS(7758),
    [sym_heredoc_beginning] = ACTIONS(7758),
    [sym__element_reference_left_bracket] = ACTIONS(7758),
    [sym__block_ampersand] = ACTIONS(7758),
    [sym__splat_star] = ACTIONS(7758),
    [sym__argument_list_left_paren] = ACTIONS(7758),
    [sym__infix_scope_colons] = ACTIONS(7758),
    [sym__unary_minus] = ACTIONS(7758),
    [sym__identifier_hash_key] = ACTIONS(7758),
    [anon_sym_LBRACE] = ACTIONS(7758),
    [anon_sym_def] = ACTIONS(7760),
    [anon_sym_LPAREN] = ACTIONS(7758),
    [anon_sym_DOT] = ACTIONS(7758),
    [anon_sym_COLON_COLON] = ACTIONS(7758),
    [anon_sym_SEMI] = ACTIONS(7758),
    [anon_sym_STAR] = ACTIONS(7760),
    [anon_sym_STAR_STAR] = ACTIONS(7758),
    [anon_sym_class] = ACTIONS(7760),
    [anon_sym_module] = ACTIONS(7760),
    [anon_sym_return] = ACTIONS(7760),
    [anon_sym_yield] = ACTIONS(7760),
    [anon_sym_break] = ACTIONS(7760),
    [anon_sym_next] = ACTIONS(7760),
    [sym_redo] = ACTIONS(7760),
    [sym_retry] = ACTIONS(7760),
    [anon_sym_if] = ACTIONS(7760),
    [anon_sym_unless] = ACTIONS(7760),
    [anon_sym_while] = ACTIONS(7760),
    [anon_sym_until] = ACTIONS(7760),
    [anon_sym_for] = ACTIONS(7760),
    [anon_sym_do] = ACTIONS(7760),
    [anon_sym_case] = ACTIONS(7760),
    [anon_sym_then] = ACTIONS(7760),
    [anon_sym_begin] = ACTIONS(7760),
    [anon_sym_AMP_DOT] = ACTIONS(7758),
    [anon_sym_PLUS] = ACTIONS(7760),
    [anon_sym_defined_QMARK] = ACTIONS(7758),
    [anon_sym_not] = ACTIONS(7760),
    [anon_sym_BANG] = ACTIONS(7758),
    [anon_sym_TILDE] = ACTIONS(7758),
    [sym_constant] = ACTIONS(7760),
    [sym_identifier] = ACTIONS(7760),
    [sym_instance_variable] = ACTIONS(7758),
    [sym_class_variable] = ACTIONS(7758),
    [sym_global_variable] = ACTIONS(7758),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(7760),
    [sym_float] = ACTIONS(7760),
    [sym_complex] = ACTIONS(7758),
    [sym_super] = ACTIONS(7760),
    [anon_sym_true] = ACTIONS(7760),
    [anon_sym_TRUE] = ACTIONS(7760),
    [anon_sym_false] = ACTIONS(7760),
    [anon_sym_FALSE] = ACTIONS(7760),
    [sym_self] = ACTIONS(7760),
    [anon_sym_nil] = ACTIONS(7760),
    [anon_sym_NIL] = ACTIONS(7760),
    [sym_character] = ACTIONS(7758),
    [anon_sym_LBRACK] = ACTIONS(7758),
    [anon_sym_DASH_GT] = ACTIONS(7758),
  },
  [11369] = {
    [anon_sym_RPAREN] = ACTIONS(14833),
    [sym_comment] = ACTIONS(87),
  },
  [11370] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_then] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11371] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_then] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11372] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11825),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11825),
    [sym_operator_assignment] = STATE(11825),
    [sym_conditional] = STATE(11825),
    [sym_range] = STATE(11825),
    [sym_binary] = STATE(11825),
    [sym_unary] = STATE(11825),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11373] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_then] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11374] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11826),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11826),
    [sym_operator_assignment] = STATE(11826),
    [sym_conditional] = STATE(11826),
    [sym_range] = STATE(11826),
    [sym_binary] = STATE(11826),
    [sym_unary] = STATE(11826),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11375] = {
    [sym_heredoc_body] = STATE(11827),
    [aux_sym_call_repeat1] = STATE(11827),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11376] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10374),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(10374),
    [sym_operator_assignment] = STATE(10374),
    [sym_conditional] = STATE(10374),
    [sym_range] = STATE(10374),
    [sym_binary] = STATE(10374),
    [sym_unary] = STATE(10374),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10377),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(11828),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(13269),
    [sym__splat_star] = ACTIONS(13271),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__identifier_hash_key] = ACTIONS(13273),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14835),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(13275),
    [sym_identifier] = ACTIONS(13275),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11377] = {
    [sym_heredoc_body] = STATE(11829),
    [aux_sym_call_repeat1] = STATE(11829),
    [aux_sym_argument_list_repeat1] = STATE(11830),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(14177),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_then] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11378] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11831),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(11831),
    [sym_operator_assignment] = STATE(11831),
    [sym_conditional] = STATE(11831),
    [sym_range] = STATE(11831),
    [sym_binary] = STATE(11831),
    [sym_unary] = STATE(11831),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11379] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_then] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11380] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_then] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [11381] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11382] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [11383] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11384] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11385] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14837),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11386] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_then] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11387] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11388] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11389] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11390] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_then] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11391] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_then] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11392] = {
    [aux_sym_exceptions_repeat1] = STATE(11834),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_then] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [11393] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_then] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11394] = {
    [sym_string] = STATE(11394),
    [aux_sym_chained_string_repeat1] = STATE(11394),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_then] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [11395] = {
    [sym__line_break] = ACTIONS(10783),
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10783),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_do] = ACTIONS(10783),
    [anon_sym_then] = ACTIONS(10783),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
  },
  [11396] = {
    [sym__line_break] = ACTIONS(11905),
    [sym__heredoc_body_start] = ACTIONS(11905),
    [sym__element_reference_left_bracket] = ACTIONS(11905),
    [sym__infix_scope_colons] = ACTIONS(11905),
    [anon_sym_DOT] = ACTIONS(11905),
    [anon_sym_SEMI] = ACTIONS(11905),
    [anon_sym_then] = ACTIONS(11905),
    [anon_sym_AMP_DOT] = ACTIONS(11905),
    [sym_comment] = ACTIONS(87),
  },
  [11397] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_then] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [11398] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_then] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [11399] = {
    [sym_heredoc_body] = STATE(11399),
    [aux_sym_call_repeat1] = STATE(11399),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [11400] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(8644),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(8644),
    [sym_operator_assignment] = STATE(8644),
    [sym_conditional] = STATE(8644),
    [sym_range] = STATE(8644),
    [sym_binary] = STATE(8644),
    [sym_unary] = STATE(8644),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8647),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(11377),
    [sym__splat_star] = ACTIONS(11379),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__identifier_hash_key] = ACTIONS(11381),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14185),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(11385),
    [sym_identifier] = ACTIONS(11385),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11401] = {
    [sym_heredoc_body] = STATE(11399),
    [aux_sym_call_repeat1] = STATE(11399),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [11402] = {
    [aux_sym_argument_list_repeat1] = STATE(11402),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(14839),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [11403] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_then] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [11404] = {
    [sym__line_break] = ACTIONS(11938),
    [sym__heredoc_body_start] = ACTIONS(11938),
    [sym__element_reference_left_bracket] = ACTIONS(11938),
    [sym__infix_scope_colons] = ACTIONS(11938),
    [anon_sym_DOT] = ACTIONS(11938),
    [anon_sym_SEMI] = ACTIONS(11938),
    [anon_sym_then] = ACTIONS(11938),
    [anon_sym_AMP_DOT] = ACTIONS(11938),
    [sym_comment] = ACTIONS(87),
  },
  [11405] = {
    [anon_sym_end] = ACTIONS(14842),
    [sym_comment] = ACTIONS(87),
  },
  [11406] = {
    [sym__statements] = STATE(11836),
    [sym__top_level_statement] = STATE(1263),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(1264),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(1265),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(1268),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(1268),
    [sym_assignment] = STATE(1265),
    [sym_operator_assignment] = STATE(1265),
    [sym_conditional] = STATE(1265),
    [sym_range] = STATE(1265),
    [sym_binary] = STATE(1265),
    [sym_unary] = STATE(1265),
    [sym_left_assignment_list] = STATE(1267),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1268),
    [sym__variable] = STATE(1266),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(1268),
    [sym_false] = STATE(1268),
    [sym_nil] = STATE(1268),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(1269),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(2159),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_end] = ACTIONS(14844),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2169),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_defined_QMARK] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11407] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11837),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_assignment] = STATE(11837),
    [sym_operator_assignment] = STATE(11837),
    [sym_conditional] = STATE(11837),
    [sym_range] = STATE(11837),
    [sym_binary] = STATE(11837),
    [sym_unary] = STATE(11837),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11408] = {
    [sym__line_break] = ACTIONS(6671),
    [sym__heredoc_body_start] = ACTIONS(6671),
    [sym__element_reference_left_bracket] = ACTIONS(6671),
    [sym__infix_scope_colons] = ACTIONS(6671),
    [anon_sym_LBRACE] = ACTIONS(6671),
    [anon_sym_DOT] = ACTIONS(6671),
    [anon_sym_SEMI] = ACTIONS(6671),
    [anon_sym_do] = ACTIONS(6671),
    [anon_sym_then] = ACTIONS(6671),
    [anon_sym_AMP_DOT] = ACTIONS(6671),
    [sym_comment] = ACTIONS(87),
  },
  [11409] = {
    [sym__line_break] = ACTIONS(10814),
    [sym__heredoc_body_start] = ACTIONS(10814),
    [sym__element_reference_left_bracket] = ACTIONS(10814),
    [sym__infix_scope_colons] = ACTIONS(10814),
    [anon_sym_LBRACE] = ACTIONS(10814),
    [anon_sym_DOT] = ACTIONS(10814),
    [anon_sym_COMMA] = ACTIONS(10814),
    [anon_sym_SEMI] = ACTIONS(10814),
    [anon_sym_do] = ACTIONS(10814),
    [anon_sym_then] = ACTIONS(10814),
    [anon_sym_AMP_DOT] = ACTIONS(10814),
    [sym_comment] = ACTIONS(87),
  },
  [11410] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10434),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(10434),
    [sym_operator_assignment] = STATE(10434),
    [sym_conditional] = STATE(10434),
    [sym_range] = STATE(10434),
    [sym_binary] = STATE(10434),
    [sym_unary] = STATE(10434),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(8633),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(11379),
    [sym__unary_minus] = ACTIONS(8707),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(5112),
    [sym_identifier] = ACTIONS(5112),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11411] = {
    [aux_sym_exceptions_repeat1] = STATE(11838),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14846),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11412] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8747),
    [sym__binary_star] = ACTIONS(8749),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8751),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8753),
    [anon_sym_AMP] = ACTIONS(8755),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(8757),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8759),
    [anon_sym_DOT_DOT] = ACTIONS(8761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8763),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8765),
    [anon_sym_AMP_AMP] = ACTIONS(8765),
    [anon_sym_LT_LT] = ACTIONS(8767),
    [anon_sym_GT_GT] = ACTIONS(8767),
    [anon_sym_EQ_EQ] = ACTIONS(8765),
    [anon_sym_BANG_EQ] = ACTIONS(8769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8769),
    [anon_sym_LT_EQ_GT] = ACTIONS(8769),
    [anon_sym_EQ_TILDE] = ACTIONS(8769),
    [anon_sym_BANG_TILDE] = ACTIONS(8769),
    [anon_sym_LT_EQ] = ACTIONS(8757),
    [anon_sym_GT] = ACTIONS(8757),
    [anon_sym_GT_EQ] = ACTIONS(8771),
    [anon_sym_CARET] = ACTIONS(8751),
    [anon_sym_PLUS] = ACTIONS(8773),
    [anon_sym_SLASH] = ACTIONS(8753),
    [anon_sym_PERCENT] = ACTIONS(8753),
    [sym_comment] = ACTIONS(87),
  },
  [11413] = {
    [aux_sym_exceptions_repeat1] = STATE(11413),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14848),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11414] = {
    [sym_heredoc_body] = STATE(11414),
    [aux_sym_call_repeat1] = STATE(11414),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_ensure] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [11415] = {
    [sym_heredoc_body] = STATE(11414),
    [aux_sym_call_repeat1] = STATE(11414),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_ensure] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [11416] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11839),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_assignment] = STATE(11839),
    [sym_operator_assignment] = STATE(11839),
    [sym_conditional] = STATE(11839),
    [sym_range] = STATE(11839),
    [sym_binary] = STATE(11839),
    [sym_unary] = STATE(11839),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11417] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10459),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6095),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6095),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(10459),
    [sym_operator_assignment] = STATE(10459),
    [sym_conditional] = STATE(10459),
    [sym_range] = STATE(10459),
    [sym_binary] = STATE(10459),
    [sym_unary] = STATE(10459),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(6094),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6095),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6095),
    [sym_false] = STATE(6095),
    [sym_nil] = STATE(6095),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(5128),
    [sym__unary_minus] = ACTIONS(8789),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8799),
    [anon_sym_defined_QMARK] = ACTIONS(8801),
    [anon_sym_not] = ACTIONS(8803),
    [anon_sym_BANG] = ACTIONS(8805),
    [anon_sym_TILDE] = ACTIONS(8805),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11418] = {
    [aux_sym_exceptions_repeat1] = STATE(11840),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14851),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_ensure] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11419] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8819),
    [sym__binary_star] = ACTIONS(8821),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8823),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8825),
    [anon_sym_AMP] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8833),
    [anon_sym_DOT_DOT] = ACTIONS(8835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8837),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8839),
    [anon_sym_AMP_AMP] = ACTIONS(8839),
    [anon_sym_LT_LT] = ACTIONS(8841),
    [anon_sym_GT_GT] = ACTIONS(8841),
    [anon_sym_EQ_EQ] = ACTIONS(8843),
    [anon_sym_BANG_EQ] = ACTIONS(8839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8839),
    [anon_sym_LT_EQ_GT] = ACTIONS(8839),
    [anon_sym_EQ_TILDE] = ACTIONS(8839),
    [anon_sym_BANG_TILDE] = ACTIONS(8839),
    [anon_sym_LT_EQ] = ACTIONS(8829),
    [anon_sym_GT] = ACTIONS(8829),
    [anon_sym_GT_EQ] = ACTIONS(8845),
    [anon_sym_CARET] = ACTIONS(8847),
    [anon_sym_PLUS] = ACTIONS(8849),
    [anon_sym_SLASH] = ACTIONS(8825),
    [anon_sym_PERCENT] = ACTIONS(8825),
    [sym_comment] = ACTIONS(87),
  },
  [11420] = {
    [aux_sym_exceptions_repeat1] = STATE(11420),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14853),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11421] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11841),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_assignment] = STATE(11841),
    [sym_operator_assignment] = STATE(11841),
    [sym_conditional] = STATE(11841),
    [sym_range] = STATE(11841),
    [sym_binary] = STATE(11841),
    [sym_unary] = STATE(11841),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11422] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10493),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6173),
    [sym_scope_resolution] = STATE(6171),
    [sym_call] = STATE(6171),
    [sym_method_call] = STATE(6173),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(10493),
    [sym_operator_assignment] = STATE(10493),
    [sym_conditional] = STATE(10493),
    [sym_range] = STATE(10493),
    [sym_binary] = STATE(10493),
    [sym_unary] = STATE(10493),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(6172),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6173),
    [sym__variable] = STATE(6171),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6173),
    [sym_false] = STATE(6173),
    [sym_nil] = STATE(6173),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6174),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(5204),
    [sym__unary_minus] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(8873),
    [anon_sym_yield] = ACTIONS(8875),
    [anon_sym_break] = ACTIONS(8877),
    [anon_sym_next] = ACTIONS(8879),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(8881),
    [anon_sym_defined_QMARK] = ACTIONS(8883),
    [anon_sym_not] = ACTIONS(8885),
    [anon_sym_BANG] = ACTIONS(8887),
    [anon_sym_TILDE] = ACTIONS(8887),
    [sym_constant] = ACTIONS(8889),
    [sym_identifier] = ACTIONS(8889),
    [sym_instance_variable] = ACTIONS(8891),
    [sym_class_variable] = ACTIONS(8891),
    [sym_global_variable] = ACTIONS(8891),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(8889),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(8889),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11423] = {
    [aux_sym_exceptions_repeat1] = STATE(11842),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14856),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_ensure] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [11424] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8897),
    [sym__binary_star] = ACTIONS(8899),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8901),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8903),
    [anon_sym_AMP] = ACTIONS(8905),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(8907),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8911),
    [anon_sym_DOT_DOT] = ACTIONS(8913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8915),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(8917),
    [anon_sym_AMP_AMP] = ACTIONS(8917),
    [anon_sym_LT_LT] = ACTIONS(8919),
    [anon_sym_GT_GT] = ACTIONS(8919),
    [anon_sym_EQ_EQ] = ACTIONS(8917),
    [anon_sym_BANG_EQ] = ACTIONS(8921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(8921),
    [anon_sym_LT_EQ_GT] = ACTIONS(8921),
    [anon_sym_EQ_TILDE] = ACTIONS(8921),
    [anon_sym_BANG_TILDE] = ACTIONS(8921),
    [anon_sym_LT_EQ] = ACTIONS(8907),
    [anon_sym_GT] = ACTIONS(8907),
    [anon_sym_GT_EQ] = ACTIONS(8923),
    [anon_sym_CARET] = ACTIONS(8901),
    [anon_sym_PLUS] = ACTIONS(8925),
    [anon_sym_SLASH] = ACTIONS(8903),
    [anon_sym_PERCENT] = ACTIONS(8903),
    [sym_comment] = ACTIONS(87),
  },
  [11425] = {
    [aux_sym_exceptions_repeat1] = STATE(11425),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14858),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11426] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11843),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6210),
    [sym_scope_resolution] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_method_call] = STATE(6210),
    [sym_assignment] = STATE(11843),
    [sym_operator_assignment] = STATE(11843),
    [sym_conditional] = STATE(11843),
    [sym_range] = STATE(11843),
    [sym_binary] = STATE(11843),
    [sym_unary] = STATE(11843),
    [sym_left_assignment_list] = STATE(6209),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6210),
    [sym__variable] = STATE(1248),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6210),
    [sym_false] = STATE(6210),
    [sym_nil] = STATE(6210),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6096),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8791),
    [anon_sym_yield] = ACTIONS(8793),
    [anon_sym_break] = ACTIONS(8795),
    [anon_sym_next] = ACTIONS(8797),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8941),
    [anon_sym_defined_QMARK] = ACTIONS(8943),
    [anon_sym_not] = ACTIONS(8945),
    [anon_sym_BANG] = ACTIONS(8947),
    [anon_sym_TILDE] = ACTIONS(8947),
    [sym_constant] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2153),
    [sym_instance_variable] = ACTIONS(2155),
    [sym_class_variable] = ACTIONS(2155),
    [sym_global_variable] = ACTIONS(2155),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2153),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11427] = {
    [sym_heredoc_body] = STATE(11427),
    [aux_sym_call_repeat1] = STATE(11427),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [11428] = {
    [sym_heredoc_body] = STATE(11427),
    [aux_sym_call_repeat1] = STATE(11427),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [11429] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11844),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_assignment] = STATE(11844),
    [sym_operator_assignment] = STATE(11844),
    [sym_conditional] = STATE(11844),
    [sym_range] = STATE(11844),
    [sym_binary] = STATE(11844),
    [sym_unary] = STATE(11844),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11430] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(10529),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6223),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6223),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(10529),
    [sym_operator_assignment] = STATE(10529),
    [sym_conditional] = STATE(10529),
    [sym_range] = STATE(10529),
    [sym_binary] = STATE(10529),
    [sym_unary] = STATE(10529),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(6222),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6223),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6223),
    [sym_false] = STATE(6223),
    [sym_nil] = STATE(6223),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(5242),
    [sym__unary_minus] = ACTIONS(8951),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8961),
    [anon_sym_defined_QMARK] = ACTIONS(8963),
    [anon_sym_not] = ACTIONS(8965),
    [anon_sym_BANG] = ACTIONS(8967),
    [anon_sym_TILDE] = ACTIONS(8967),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11431] = {
    [aux_sym_exceptions_repeat1] = STATE(11845),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14861),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11432] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(8981),
    [sym__binary_star] = ACTIONS(8983),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(8985),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(8987),
    [anon_sym_AMP] = ACTIONS(8989),
    [anon_sym_LT] = ACTIONS(8991),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(8995),
    [anon_sym_DOT_DOT] = ACTIONS(8997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8999),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(9001),
    [anon_sym_AMP_AMP] = ACTIONS(9001),
    [anon_sym_LT_LT] = ACTIONS(9003),
    [anon_sym_GT_GT] = ACTIONS(9003),
    [anon_sym_EQ_EQ] = ACTIONS(9005),
    [anon_sym_BANG_EQ] = ACTIONS(9001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9001),
    [anon_sym_LT_EQ_GT] = ACTIONS(9001),
    [anon_sym_EQ_TILDE] = ACTIONS(9001),
    [anon_sym_BANG_TILDE] = ACTIONS(9001),
    [anon_sym_LT_EQ] = ACTIONS(8991),
    [anon_sym_GT] = ACTIONS(8991),
    [anon_sym_GT_EQ] = ACTIONS(9007),
    [anon_sym_CARET] = ACTIONS(9009),
    [anon_sym_PLUS] = ACTIONS(9011),
    [anon_sym_SLASH] = ACTIONS(8987),
    [anon_sym_PERCENT] = ACTIONS(8987),
    [sym_comment] = ACTIONS(87),
  },
  [11433] = {
    [aux_sym_exceptions_repeat1] = STATE(11433),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14863),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11434] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11846),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_assignment] = STATE(11846),
    [sym_operator_assignment] = STATE(11846),
    [sym_conditional] = STATE(11846),
    [sym_range] = STATE(11846),
    [sym_binary] = STATE(11846),
    [sym_unary] = STATE(11846),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11435] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(10563),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(6301),
    [sym_scope_resolution] = STATE(6299),
    [sym_call] = STATE(6299),
    [sym_method_call] = STATE(6301),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(10563),
    [sym_operator_assignment] = STATE(10563),
    [sym_conditional] = STATE(10563),
    [sym_range] = STATE(10563),
    [sym_binary] = STATE(10563),
    [sym_unary] = STATE(10563),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(6300),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6301),
    [sym__variable] = STATE(6299),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(6301),
    [sym_false] = STATE(6301),
    [sym_nil] = STATE(6301),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(6302),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(5318),
    [sym__unary_minus] = ACTIONS(9033),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(9035),
    [anon_sym_yield] = ACTIONS(9037),
    [anon_sym_break] = ACTIONS(9039),
    [anon_sym_next] = ACTIONS(9041),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(9043),
    [anon_sym_defined_QMARK] = ACTIONS(9045),
    [anon_sym_not] = ACTIONS(9047),
    [anon_sym_BANG] = ACTIONS(9049),
    [anon_sym_TILDE] = ACTIONS(9049),
    [sym_constant] = ACTIONS(9051),
    [sym_identifier] = ACTIONS(9051),
    [sym_instance_variable] = ACTIONS(9053),
    [sym_class_variable] = ACTIONS(9053),
    [sym_global_variable] = ACTIONS(9053),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(9051),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(9051),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11436] = {
    [aux_sym_exceptions_repeat1] = STATE(11847),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14866),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [11437] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(9059),
    [sym__binary_star] = ACTIONS(9061),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(9063),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(9065),
    [anon_sym_AMP] = ACTIONS(9067),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(9069),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(9073),
    [anon_sym_DOT_DOT] = ACTIONS(9075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9077),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(9079),
    [anon_sym_AMP_AMP] = ACTIONS(9079),
    [anon_sym_LT_LT] = ACTIONS(9081),
    [anon_sym_GT_GT] = ACTIONS(9081),
    [anon_sym_EQ_EQ] = ACTIONS(9079),
    [anon_sym_BANG_EQ] = ACTIONS(9083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9083),
    [anon_sym_LT_EQ_GT] = ACTIONS(9083),
    [anon_sym_EQ_TILDE] = ACTIONS(9083),
    [anon_sym_BANG_TILDE] = ACTIONS(9083),
    [anon_sym_LT_EQ] = ACTIONS(9069),
    [anon_sym_GT] = ACTIONS(9069),
    [anon_sym_GT_EQ] = ACTIONS(9085),
    [anon_sym_CARET] = ACTIONS(9063),
    [anon_sym_PLUS] = ACTIONS(9087),
    [anon_sym_SLASH] = ACTIONS(9065),
    [anon_sym_PERCENT] = ACTIONS(9065),
    [sym_comment] = ACTIONS(87),
  },
  [11438] = {
    [aux_sym_exceptions_repeat1] = STATE(11438),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14868),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11439] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11848),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(6338),
    [sym_scope_resolution] = STATE(1266),
    [sym_call] = STATE(1266),
    [sym_method_call] = STATE(6338),
    [sym_assignment] = STATE(11848),
    [sym_operator_assignment] = STATE(11848),
    [sym_conditional] = STATE(11848),
    [sym_range] = STATE(11848),
    [sym_binary] = STATE(11848),
    [sym_unary] = STATE(11848),
    [sym_left_assignment_list] = STATE(6337),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6338),
    [sym__variable] = STATE(1266),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(6338),
    [sym_false] = STATE(6338),
    [sym_nil] = STATE(6338),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(6224),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(9101),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8953),
    [anon_sym_yield] = ACTIONS(8955),
    [anon_sym_break] = ACTIONS(8957),
    [anon_sym_next] = ACTIONS(8959),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9103),
    [anon_sym_defined_QMARK] = ACTIONS(9105),
    [anon_sym_not] = ACTIONS(9107),
    [anon_sym_BANG] = ACTIONS(9109),
    [anon_sym_TILDE] = ACTIONS(9109),
    [sym_constant] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_instance_variable] = ACTIONS(2181),
    [sym_class_variable] = ACTIONS(2181),
    [sym_global_variable] = ACTIONS(2181),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(2179),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11440] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(9122),
    [sym__binary_star] = ACTIONS(9124),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(9126),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(9128),
    [anon_sym_AMP] = ACTIONS(9130),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(9132),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(9134),
    [anon_sym_DOT_DOT] = ACTIONS(9136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9138),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(9140),
    [anon_sym_AMP_AMP] = ACTIONS(9140),
    [anon_sym_LT_LT] = ACTIONS(9142),
    [anon_sym_GT_GT] = ACTIONS(9142),
    [anon_sym_EQ_EQ] = ACTIONS(9140),
    [anon_sym_BANG_EQ] = ACTIONS(9144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9144),
    [anon_sym_LT_EQ_GT] = ACTIONS(9144),
    [anon_sym_EQ_TILDE] = ACTIONS(9144),
    [anon_sym_BANG_TILDE] = ACTIONS(9144),
    [anon_sym_LT_EQ] = ACTIONS(9132),
    [anon_sym_GT] = ACTIONS(9132),
    [anon_sym_GT_EQ] = ACTIONS(9146),
    [anon_sym_CARET] = ACTIONS(9126),
    [anon_sym_PLUS] = ACTIONS(9148),
    [anon_sym_SLASH] = ACTIONS(9128),
    [anon_sym_PERCENT] = ACTIONS(9128),
    [sym_comment] = ACTIONS(87),
  },
  [11441] = {
    [aux_sym_exceptions_repeat1] = STATE(11441),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14871),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11442] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(9158),
    [sym__binary_star] = ACTIONS(9160),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(9162),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(9164),
    [anon_sym_AMP] = ACTIONS(9166),
    [anon_sym_LT] = ACTIONS(9168),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(9170),
    [anon_sym_DOT_DOT] = ACTIONS(9172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9174),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(9176),
    [anon_sym_AMP_AMP] = ACTIONS(9176),
    [anon_sym_LT_LT] = ACTIONS(9178),
    [anon_sym_GT_GT] = ACTIONS(9178),
    [anon_sym_EQ_EQ] = ACTIONS(9180),
    [anon_sym_BANG_EQ] = ACTIONS(9176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9176),
    [anon_sym_LT_EQ_GT] = ACTIONS(9176),
    [anon_sym_EQ_TILDE] = ACTIONS(9176),
    [anon_sym_BANG_TILDE] = ACTIONS(9176),
    [anon_sym_LT_EQ] = ACTIONS(9168),
    [anon_sym_GT] = ACTIONS(9168),
    [anon_sym_GT_EQ] = ACTIONS(9182),
    [anon_sym_CARET] = ACTIONS(9184),
    [anon_sym_PLUS] = ACTIONS(9186),
    [anon_sym_SLASH] = ACTIONS(9164),
    [anon_sym_PERCENT] = ACTIONS(9164),
    [sym_comment] = ACTIONS(87),
  },
  [11443] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11849),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_assignment] = STATE(11849),
    [sym_operator_assignment] = STATE(11849),
    [sym_conditional] = STATE(11849),
    [sym_range] = STATE(11849),
    [sym_binary] = STATE(11849),
    [sym_unary] = STATE(11849),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11444] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10605),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6425),
    [sym_scope_resolution] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_method_call] = STATE(6425),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(10605),
    [sym_operator_assignment] = STATE(10605),
    [sym_conditional] = STATE(10605),
    [sym_range] = STATE(10605),
    [sym_binary] = STATE(10605),
    [sym_unary] = STATE(10605),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(6424),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6425),
    [sym__variable] = STATE(1349),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6425),
    [sym_false] = STATE(6425),
    [sym_nil] = STATE(6425),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(1352),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(5474),
    [sym__unary_minus] = ACTIONS(9221),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2319),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9223),
    [anon_sym_defined_QMARK] = ACTIONS(9225),
    [anon_sym_not] = ACTIONS(9227),
    [anon_sym_BANG] = ACTIONS(9229),
    [anon_sym_TILDE] = ACTIONS(9229),
    [sym_constant] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2329),
    [sym_instance_variable] = ACTIONS(2331),
    [sym_class_variable] = ACTIONS(2331),
    [sym_global_variable] = ACTIONS(2331),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(2329),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11445] = {
    [aux_sym_exceptions_repeat1] = STATE(11850),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14874),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_RBRACK] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11446] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11851),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_assignment] = STATE(11851),
    [sym_operator_assignment] = STATE(11851),
    [sym_conditional] = STATE(11851),
    [sym_range] = STATE(11851),
    [sym_binary] = STATE(11851),
    [sym_unary] = STATE(11851),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11447] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10621),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6457),
    [sym_scope_resolution] = STATE(6455),
    [sym_call] = STATE(6455),
    [sym_method_call] = STATE(6457),
    [sym_splat_argument] = STATE(11626),
    [sym_assignment] = STATE(10621),
    [sym_operator_assignment] = STATE(10621),
    [sym_conditional] = STATE(10621),
    [sym_range] = STATE(10621),
    [sym_binary] = STATE(10621),
    [sym_unary] = STATE(10621),
    [sym__arg_or_splat_arg] = STATE(11626),
    [sym_left_assignment_list] = STATE(6456),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6457),
    [sym__variable] = STATE(6455),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6457),
    [sym_false] = STATE(6457),
    [sym_nil] = STATE(6457),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6458),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(5514),
    [sym__unary_minus] = ACTIONS(9239),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9241),
    [anon_sym_yield] = ACTIONS(9243),
    [anon_sym_break] = ACTIONS(9245),
    [anon_sym_next] = ACTIONS(9247),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9249),
    [anon_sym_defined_QMARK] = ACTIONS(9251),
    [anon_sym_not] = ACTIONS(9253),
    [anon_sym_BANG] = ACTIONS(9255),
    [anon_sym_TILDE] = ACTIONS(9255),
    [sym_constant] = ACTIONS(9257),
    [sym_identifier] = ACTIONS(9257),
    [sym_instance_variable] = ACTIONS(9259),
    [sym_class_variable] = ACTIONS(9259),
    [sym_global_variable] = ACTIONS(9259),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9257),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9257),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11448] = {
    [aux_sym_exceptions_repeat1] = STATE(11852),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14876),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_RBRACK] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [11449] = {
    [sym__heredoc_body_start] = ACTIONS(13941),
    [sym__element_reference_left_bracket] = ACTIONS(13941),
    [sym__infix_scope_colons] = ACTIONS(13941),
    [sym__binary_minus] = ACTIONS(13941),
    [sym__binary_star] = ACTIONS(13941),
    [anon_sym_LBRACE] = ACTIONS(13941),
    [anon_sym_RBRACE] = ACTIONS(13941),
    [anon_sym_RPAREN] = ACTIONS(13941),
    [anon_sym_DOT] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13941),
    [anon_sym_PIPE] = ACTIONS(13943),
    [anon_sym_SEMI] = ACTIONS(13941),
    [anon_sym_STAR_STAR] = ACTIONS(13941),
    [anon_sym_AMP] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_LT] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13941),
    [anon_sym_unless] = ACTIONS(13941),
    [anon_sym_while] = ACTIONS(13941),
    [anon_sym_until] = ACTIONS(13941),
    [anon_sym_rescue] = ACTIONS(13941),
    [anon_sym_in] = ACTIONS(13941),
    [anon_sym_do] = ACTIONS(13941),
    [anon_sym_EQ_GT] = ACTIONS(13941),
    [anon_sym_RBRACK] = ACTIONS(13941),
    [anon_sym_AMP_DOT] = ACTIONS(13941),
    [anon_sym_QMARK] = ACTIONS(13941),
    [anon_sym_COLON] = ACTIONS(13941),
    [anon_sym_DOT_DOT] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13941),
    [anon_sym_and] = ACTIONS(13941),
    [anon_sym_or] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE] = ACTIONS(13941),
    [anon_sym_AMP_AMP] = ACTIONS(13941),
    [anon_sym_LT_LT] = ACTIONS(13941),
    [anon_sym_GT_GT] = ACTIONS(13941),
    [anon_sym_EQ_EQ] = ACTIONS(13943),
    [anon_sym_BANG_EQ] = ACTIONS(13941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13941),
    [anon_sym_LT_EQ_GT] = ACTIONS(13941),
    [anon_sym_EQ_TILDE] = ACTIONS(13941),
    [anon_sym_BANG_TILDE] = ACTIONS(13941),
    [anon_sym_LT_EQ] = ACTIONS(13943),
    [anon_sym_GT] = ACTIONS(13943),
    [anon_sym_GT_EQ] = ACTIONS(13941),
    [anon_sym_CARET] = ACTIONS(13941),
    [anon_sym_PLUS] = ACTIONS(13941),
    [anon_sym_SLASH] = ACTIONS(13941),
    [anon_sym_PERCENT] = ACTIONS(13941),
    [sym_comment] = ACTIONS(87),
  },
  [11450] = {
    [sym__heredoc_body_start] = ACTIONS(14447),
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [sym__binary_minus] = ACTIONS(14447),
    [sym__binary_star] = ACTIONS(14447),
    [anon_sym_LBRACE] = ACTIONS(14447),
    [anon_sym_RBRACE] = ACTIONS(14447),
    [anon_sym_RPAREN] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14449),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_PIPE] = ACTIONS(14449),
    [anon_sym_SEMI] = ACTIONS(14447),
    [anon_sym_STAR_STAR] = ACTIONS(14447),
    [anon_sym_AMP] = ACTIONS(14449),
    [anon_sym_EQ] = ACTIONS(14449),
    [anon_sym_LT] = ACTIONS(14449),
    [anon_sym_if] = ACTIONS(14447),
    [anon_sym_unless] = ACTIONS(14447),
    [anon_sym_while] = ACTIONS(14447),
    [anon_sym_until] = ACTIONS(14447),
    [anon_sym_rescue] = ACTIONS(14447),
    [anon_sym_in] = ACTIONS(14447),
    [anon_sym_do] = ACTIONS(14447),
    [anon_sym_EQ_GT] = ACTIONS(14447),
    [anon_sym_RBRACK] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [anon_sym_QMARK] = ACTIONS(14447),
    [anon_sym_COLON] = ACTIONS(14447),
    [anon_sym_DOT_DOT] = ACTIONS(14449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14447),
    [anon_sym_and] = ACTIONS(14447),
    [anon_sym_or] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE] = ACTIONS(14447),
    [anon_sym_AMP_AMP] = ACTIONS(14447),
    [anon_sym_LT_LT] = ACTIONS(14447),
    [anon_sym_GT_GT] = ACTIONS(14447),
    [anon_sym_EQ_EQ] = ACTIONS(14449),
    [anon_sym_BANG_EQ] = ACTIONS(14447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14447),
    [anon_sym_LT_EQ_GT] = ACTIONS(14447),
    [anon_sym_EQ_TILDE] = ACTIONS(14447),
    [anon_sym_BANG_TILDE] = ACTIONS(14447),
    [anon_sym_LT_EQ] = ACTIONS(14449),
    [anon_sym_GT] = ACTIONS(14449),
    [anon_sym_GT_EQ] = ACTIONS(14447),
    [anon_sym_CARET] = ACTIONS(14447),
    [anon_sym_PLUS] = ACTIONS(14447),
    [anon_sym_SLASH] = ACTIONS(14447),
    [anon_sym_PERCENT] = ACTIONS(14447),
    [sym_comment] = ACTIONS(87),
  },
  [11451] = {
    [sym__heredoc_body_start] = ACTIONS(14447),
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [sym__binary_minus] = ACTIONS(14447),
    [sym__binary_star] = ACTIONS(14447),
    [anon_sym_LBRACE] = ACTIONS(14447),
    [anon_sym_RBRACE] = ACTIONS(14447),
    [anon_sym_RPAREN] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14449),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_PIPE] = ACTIONS(14449),
    [anon_sym_SEMI] = ACTIONS(14447),
    [anon_sym_STAR_STAR] = ACTIONS(14449),
    [anon_sym_AMP] = ACTIONS(14449),
    [anon_sym_EQ] = ACTIONS(14449),
    [anon_sym_LT] = ACTIONS(14449),
    [anon_sym_if] = ACTIONS(14447),
    [anon_sym_unless] = ACTIONS(14447),
    [anon_sym_while] = ACTIONS(14447),
    [anon_sym_until] = ACTIONS(14447),
    [anon_sym_rescue] = ACTIONS(14447),
    [anon_sym_in] = ACTIONS(14447),
    [anon_sym_do] = ACTIONS(14447),
    [anon_sym_EQ_GT] = ACTIONS(14447),
    [anon_sym_RBRACK] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [anon_sym_PLUS_EQ] = ACTIONS(14447),
    [anon_sym_DASH_EQ] = ACTIONS(14447),
    [anon_sym_STAR_EQ] = ACTIONS(14447),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14447),
    [anon_sym_SLASH_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14447),
    [anon_sym_AMP_EQ] = ACTIONS(14447),
    [anon_sym_PERCENT_EQ] = ACTIONS(14447),
    [anon_sym_GT_GT_EQ] = ACTIONS(14447),
    [anon_sym_LT_LT_EQ] = ACTIONS(14447),
    [anon_sym_CARET_EQ] = ACTIONS(14447),
    [anon_sym_QMARK] = ACTIONS(14447),
    [anon_sym_COLON] = ACTIONS(14447),
    [anon_sym_DOT_DOT] = ACTIONS(14449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14447),
    [anon_sym_and] = ACTIONS(14447),
    [anon_sym_or] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE] = ACTIONS(14449),
    [anon_sym_AMP_AMP] = ACTIONS(14449),
    [anon_sym_LT_LT] = ACTIONS(14449),
    [anon_sym_GT_GT] = ACTIONS(14449),
    [anon_sym_EQ_EQ] = ACTIONS(14449),
    [anon_sym_BANG_EQ] = ACTIONS(14447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14447),
    [anon_sym_LT_EQ_GT] = ACTIONS(14447),
    [anon_sym_EQ_TILDE] = ACTIONS(14447),
    [anon_sym_BANG_TILDE] = ACTIONS(14447),
    [anon_sym_LT_EQ] = ACTIONS(14449),
    [anon_sym_GT] = ACTIONS(14449),
    [anon_sym_GT_EQ] = ACTIONS(14447),
    [anon_sym_CARET] = ACTIONS(14449),
    [anon_sym_PLUS] = ACTIONS(14449),
    [anon_sym_SLASH] = ACTIONS(14449),
    [anon_sym_PERCENT] = ACTIONS(14449),
    [sym_comment] = ACTIONS(87),
  },
  [11452] = {
    [sym__simple_symbol] = ACTIONS(14878),
    [sym__string_start] = ACTIONS(14878),
    [sym__symbol_start] = ACTIONS(14878),
    [sym__subshell_start] = ACTIONS(14878),
    [sym__regex_start] = ACTIONS(14878),
    [sym__string_array_start] = ACTIONS(14878),
    [sym__symbol_array_start] = ACTIONS(14878),
    [sym_heredoc_beginning] = ACTIONS(14878),
    [sym__unary_minus] = ACTIONS(14878),
    [anon_sym_BEGIN] = ACTIONS(14880),
    [anon_sym_LBRACE] = ACTIONS(14878),
    [anon_sym_RBRACE] = ACTIONS(14878),
    [anon_sym_END] = ACTIONS(14880),
    [anon_sym_def] = ACTIONS(14880),
    [anon_sym_LPAREN] = ACTIONS(14878),
    [anon_sym_COLON_COLON] = ACTIONS(14878),
    [anon_sym_SEMI] = ACTIONS(14878),
    [anon_sym_STAR] = ACTIONS(14878),
    [anon_sym_class] = ACTIONS(14880),
    [anon_sym_module] = ACTIONS(14880),
    [anon_sym_return] = ACTIONS(14880),
    [anon_sym_yield] = ACTIONS(14880),
    [anon_sym_break] = ACTIONS(14880),
    [anon_sym_next] = ACTIONS(14880),
    [sym_redo] = ACTIONS(14880),
    [sym_retry] = ACTIONS(14880),
    [anon_sym_if] = ACTIONS(14880),
    [anon_sym_unless] = ACTIONS(14880),
    [anon_sym_while] = ACTIONS(14880),
    [anon_sym_until] = ACTIONS(14880),
    [anon_sym_for] = ACTIONS(14880),
    [anon_sym_case] = ACTIONS(14880),
    [anon_sym_begin] = ACTIONS(14880),
    [anon_sym_PLUS] = ACTIONS(14880),
    [anon_sym_defined_QMARK] = ACTIONS(14878),
    [anon_sym_not] = ACTIONS(14880),
    [anon_sym_BANG] = ACTIONS(14878),
    [anon_sym_TILDE] = ACTIONS(14878),
    [sym_constant] = ACTIONS(14880),
    [sym_identifier] = ACTIONS(14880),
    [sym_instance_variable] = ACTIONS(14878),
    [sym_class_variable] = ACTIONS(14878),
    [sym_global_variable] = ACTIONS(14878),
    [anon_sym_undef] = ACTIONS(14880),
    [anon_sym_alias] = ACTIONS(14880),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(14880),
    [sym_float] = ACTIONS(14880),
    [sym_complex] = ACTIONS(14878),
    [sym_super] = ACTIONS(14880),
    [anon_sym_true] = ACTIONS(14880),
    [anon_sym_TRUE] = ACTIONS(14880),
    [anon_sym_false] = ACTIONS(14880),
    [anon_sym_FALSE] = ACTIONS(14880),
    [sym_self] = ACTIONS(14880),
    [anon_sym_nil] = ACTIONS(14880),
    [anon_sym_NIL] = ACTIONS(14880),
    [sym_character] = ACTIONS(14878),
    [anon_sym_LBRACK] = ACTIONS(14878),
    [anon_sym_DASH_GT] = ACTIONS(14878),
  },
  [11453] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11853),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(11853),
    [sym_operator_assignment] = STATE(11853),
    [sym_conditional] = STATE(11853),
    [sym_range] = STATE(11853),
    [sym_binary] = STATE(11853),
    [sym_unary] = STATE(11853),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11454] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10660),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(1383),
    [sym__argument_list_with_parens] = STATE(10662),
    [sym__argument] = STATE(10663),
    [sym_splat_argument] = STATE(10663),
    [sym_hash_splat_argument] = STATE(10663),
    [sym_block_argument] = STATE(10663),
    [sym_assignment] = STATE(10660),
    [sym_operator_assignment] = STATE(10660),
    [sym_conditional] = STATE(10660),
    [sym_range] = STATE(10660),
    [sym_binary] = STATE(10660),
    [sym_unary] = STATE(10660),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(10666),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(10663),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(13434),
    [sym__splat_star] = ACTIONS(13436),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(13440),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT_LT] = ACTIONS(363),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(363),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13458),
    [sym_identifier] = ACTIONS(13458),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11455] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10660),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(1389),
    [sym__argument_list_with_parens] = STATE(10662),
    [sym__argument] = STATE(10663),
    [sym_splat_argument] = STATE(10663),
    [sym_hash_splat_argument] = STATE(10663),
    [sym_block_argument] = STATE(10663),
    [sym_assignment] = STATE(10660),
    [sym_operator_assignment] = STATE(10660),
    [sym_conditional] = STATE(10660),
    [sym_range] = STATE(10660),
    [sym_binary] = STATE(10660),
    [sym_unary] = STATE(10660),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(10666),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(10663),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(13434),
    [sym__splat_star] = ACTIONS(13436),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(13440),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(413),
    [anon_sym_AMP_AMP] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13458),
    [sym_identifier] = ACTIONS(13458),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11456] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10660),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(1390),
    [sym__argument_list_with_parens] = STATE(10662),
    [sym__argument] = STATE(10663),
    [sym_splat_argument] = STATE(10663),
    [sym_hash_splat_argument] = STATE(10663),
    [sym_block_argument] = STATE(10663),
    [sym_assignment] = STATE(10660),
    [sym_operator_assignment] = STATE(10660),
    [sym_conditional] = STATE(10660),
    [sym_range] = STATE(10660),
    [sym_binary] = STATE(10660),
    [sym_unary] = STATE(10660),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(10666),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(10663),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(13434),
    [sym__splat_star] = ACTIONS(13436),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(13440),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(417),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13458),
    [sym_identifier] = ACTIONS(13458),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11457] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10660),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_argument_list] = STATE(1391),
    [sym__argument_list_with_parens] = STATE(10662),
    [sym__argument] = STATE(10663),
    [sym_splat_argument] = STATE(10663),
    [sym_hash_splat_argument] = STATE(10663),
    [sym_block_argument] = STATE(10663),
    [sym_assignment] = STATE(10660),
    [sym_operator_assignment] = STATE(10660),
    [sym_conditional] = STATE(10660),
    [sym_range] = STATE(10660),
    [sym_binary] = STATE(10660),
    [sym_unary] = STATE(10660),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(10666),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(10663),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(13434),
    [sym__splat_star] = ACTIONS(13436),
    [sym__argument_list_left_paren] = ACTIONS(1055),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(13440),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(421),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_LT_LT] = ACTIONS(421),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13454),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13458),
    [sym_identifier] = ACTIONS(13458),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11458] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11854),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(11854),
    [sym_operator_assignment] = STATE(11854),
    [sym_conditional] = STATE(11854),
    [sym_range] = STATE(11854),
    [sym_binary] = STATE(11854),
    [sym_unary] = STATE(11854),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11459] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11855),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(11855),
    [sym_operator_assignment] = STATE(11855),
    [sym_conditional] = STATE(11855),
    [sym_range] = STATE(11855),
    [sym_binary] = STATE(11855),
    [sym_unary] = STATE(11855),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11460] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(1964),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(1964),
    [sym_operator_assignment] = STATE(1964),
    [sym_conditional] = STATE(1964),
    [sym_range] = STATE(1964),
    [sym_binary] = STATE(1964),
    [sym_unary] = STATE(1964),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11461] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(14894),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [11462] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10694),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(1936),
    [sym__argument_list_with_parens] = STATE(10696),
    [sym__argument] = STATE(10697),
    [sym_splat_argument] = STATE(10697),
    [sym_hash_splat_argument] = STATE(10697),
    [sym_block_argument] = STATE(10697),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(10694),
    [sym_operator_assignment] = STATE(10694),
    [sym_conditional] = STATE(10694),
    [sym_range] = STATE(10694),
    [sym_binary] = STATE(10694),
    [sym_unary] = STATE(10694),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(10700),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(10697),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(13496),
    [sym__splat_star] = ACTIONS(13498),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(13502),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13520),
    [sym_identifier] = ACTIONS(13520),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11463] = {
    [anon_sym_EQ] = ACTIONS(14912),
    [sym_comment] = ACTIONS(87),
  },
  [11464] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(14914),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(14916),
    [anon_sym_DASH_EQ] = ACTIONS(14916),
    [anon_sym_STAR_EQ] = ACTIONS(14916),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14916),
    [anon_sym_SLASH_EQ] = ACTIONS(14916),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14916),
    [anon_sym_PIPE_EQ] = ACTIONS(14916),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14916),
    [anon_sym_AMP_EQ] = ACTIONS(14916),
    [anon_sym_PERCENT_EQ] = ACTIONS(14916),
    [anon_sym_GT_GT_EQ] = ACTIONS(14916),
    [anon_sym_LT_LT_EQ] = ACTIONS(14916),
    [anon_sym_CARET_EQ] = ACTIONS(14916),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [11465] = {
    [sym_string] = STATE(11870),
    [aux_sym_chained_string_repeat1] = STATE(11870),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [11466] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(14894),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [11467] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [11468] = {
    [sym_string] = STATE(11510),
    [aux_sym_chained_string_repeat1] = STATE(11510),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [11469] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11871),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(11871),
    [sym_operator_assignment] = STATE(11871),
    [sym_conditional] = STATE(11871),
    [sym_range] = STATE(11871),
    [sym_binary] = STATE(11871),
    [sym_unary] = STATE(11871),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11470] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(14894),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [11471] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11872),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11872),
    [sym_operator_assignment] = STATE(11872),
    [sym_conditional] = STATE(11872),
    [sym_range] = STATE(11872),
    [sym_binary] = STATE(11872),
    [sym_unary] = STATE(11872),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11472] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11873),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11873),
    [sym_operator_assignment] = STATE(11873),
    [sym_conditional] = STATE(11873),
    [sym_range] = STATE(11873),
    [sym_binary] = STATE(11873),
    [sym_unary] = STATE(11873),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11473] = {
    [sym__keyword_colon] = ACTIONS(14918),
    [sym_comment] = ACTIONS(87),
  },
  [11474] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11875),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11875),
    [sym_operator_assignment] = STATE(11875),
    [sym_conditional] = STATE(11875),
    [sym_range] = STATE(11875),
    [sym_binary] = STATE(11875),
    [sym_unary] = STATE(11875),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11475] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(14918),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [11476] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11477] = {
    [sym_heredoc_body] = STATE(11877),
    [aux_sym_call_repeat1] = STATE(11877),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [11478] = {
    [sym_heredoc_body] = STATE(11877),
    [aux_sym_call_repeat1] = STATE(11877),
    [aux_sym_argument_list_repeat1] = STATE(11879),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(14920),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [11479] = {
    [sym_string] = STATE(11510),
    [aux_sym_chained_string_repeat1] = STATE(11510),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(14922),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(557),
    [anon_sym_PERCENT] = ACTIONS(557),
    [sym_comment] = ACTIONS(87),
  },
  [11480] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [11481] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11482] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11881),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11881),
    [sym_operator_assignment] = STATE(11881),
    [sym_conditional] = STATE(11881),
    [sym_range] = STATE(11881),
    [sym_binary] = STATE(11881),
    [sym_unary] = STATE(11881),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11483] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11882),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11882),
    [sym_operator_assignment] = STATE(11882),
    [sym_conditional] = STATE(11882),
    [sym_range] = STATE(11882),
    [sym_binary] = STATE(11882),
    [sym_unary] = STATE(11882),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11484] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11883),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11883),
    [sym_operator_assignment] = STATE(11883),
    [sym_conditional] = STATE(11883),
    [sym_range] = STATE(11883),
    [sym_binary] = STATE(11883),
    [sym_unary] = STATE(11883),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11485] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11884),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11884),
    [sym_operator_assignment] = STATE(11884),
    [sym_conditional] = STATE(11884),
    [sym_range] = STATE(11884),
    [sym_binary] = STATE(11884),
    [sym_unary] = STATE(11884),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11486] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11885),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11885),
    [sym_operator_assignment] = STATE(11885),
    [sym_conditional] = STATE(11885),
    [sym_range] = STATE(11885),
    [sym_binary] = STATE(11885),
    [sym_unary] = STATE(11885),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11487] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11886),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11886),
    [sym_operator_assignment] = STATE(11886),
    [sym_conditional] = STATE(11886),
    [sym_range] = STATE(11886),
    [sym_binary] = STATE(11886),
    [sym_unary] = STATE(11886),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11488] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11887),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(11887),
    [sym_operator_assignment] = STATE(11887),
    [sym_conditional] = STATE(11887),
    [sym_range] = STATE(11887),
    [sym_binary] = STATE(11887),
    [sym_unary] = STATE(11887),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11489] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11888),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11888),
    [sym_operator_assignment] = STATE(11888),
    [sym_conditional] = STATE(11888),
    [sym_range] = STATE(11888),
    [sym_binary] = STATE(11888),
    [sym_unary] = STATE(11888),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11490] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11889),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11889),
    [sym_operator_assignment] = STATE(11889),
    [sym_conditional] = STATE(11889),
    [sym_range] = STATE(11889),
    [sym_binary] = STATE(11889),
    [sym_unary] = STATE(11889),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11491] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11890),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11890),
    [sym_operator_assignment] = STATE(11890),
    [sym_conditional] = STATE(11890),
    [sym_range] = STATE(11890),
    [sym_binary] = STATE(11890),
    [sym_unary] = STATE(11890),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11492] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11891),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11891),
    [sym_operator_assignment] = STATE(11891),
    [sym_conditional] = STATE(11891),
    [sym_range] = STATE(11891),
    [sym_binary] = STATE(11891),
    [sym_unary] = STATE(11891),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11493] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11892),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11892),
    [sym_operator_assignment] = STATE(11892),
    [sym_conditional] = STATE(11892),
    [sym_range] = STATE(11892),
    [sym_binary] = STATE(11892),
    [sym_unary] = STATE(11892),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11494] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11893),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11893),
    [sym_operator_assignment] = STATE(11893),
    [sym_conditional] = STATE(11893),
    [sym_range] = STATE(11893),
    [sym_binary] = STATE(11893),
    [sym_unary] = STATE(11893),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11495] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11894),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11894),
    [sym_operator_assignment] = STATE(11894),
    [sym_conditional] = STATE(11894),
    [sym_range] = STATE(11894),
    [sym_binary] = STATE(11894),
    [sym_unary] = STATE(11894),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11496] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11895),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11895),
    [sym_operator_assignment] = STATE(11895),
    [sym_conditional] = STATE(11895),
    [sym_range] = STATE(11895),
    [sym_binary] = STATE(11895),
    [sym_unary] = STATE(11895),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11497] = {
    [sym__keyword_colon] = ACTIONS(14924),
    [sym_comment] = ACTIONS(87),
  },
  [11498] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11897),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11897),
    [sym_operator_assignment] = STATE(11897),
    [sym_conditional] = STATE(11897),
    [sym_range] = STATE(11897),
    [sym_binary] = STATE(11897),
    [sym_unary] = STATE(11897),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11499] = {
    [sym__simple_symbol] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1089),
    [sym__symbol_start] = ACTIONS(1089),
    [sym__subshell_start] = ACTIONS(1089),
    [sym__regex_start] = ACTIONS(1089),
    [sym__string_array_start] = ACTIONS(1089),
    [sym__symbol_array_start] = ACTIONS(1089),
    [sym__heredoc_body_start] = ACTIONS(1089),
    [sym_heredoc_beginning] = ACTIONS(1089),
    [sym__element_reference_left_bracket] = ACTIONS(1089),
    [sym__block_ampersand] = ACTIONS(1089),
    [sym__splat_star] = ACTIONS(1089),
    [sym__argument_list_left_paren] = ACTIONS(1089),
    [sym__infix_scope_colons] = ACTIONS(1089),
    [sym__keyword_colon] = ACTIONS(14924),
    [sym__unary_minus] = ACTIONS(1089),
    [sym__binary_minus] = ACTIONS(1089),
    [sym__binary_star] = ACTIONS(1089),
    [sym__identifier_hash_key] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_module] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_next] = ACTIONS(1091),
    [sym_redo] = ACTIONS(1091),
    [sym_retry] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_unless] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_until] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_begin] = ACTIONS(1091),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_AMP_DOT] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1091),
    [anon_sym_or] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1089),
    [anon_sym_LT_EQ_GT] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(1089),
    [anon_sym_BANG_TILDE] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_defined_QMARK] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_constant] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1091),
    [sym_instance_variable] = ACTIONS(1089),
    [sym_class_variable] = ACTIONS(1089),
    [sym_global_variable] = ACTIONS(1089),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1091),
    [sym_complex] = ACTIONS(1089),
    [sym_super] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_TRUE] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_FALSE] = ACTIONS(1091),
    [sym_self] = ACTIONS(1091),
    [anon_sym_nil] = ACTIONS(1091),
    [anon_sym_NIL] = ACTIONS(1091),
    [sym_character] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
  },
  [11500] = {
    [sym__heredoc_body_start] = ACTIONS(1631),
    [sym__element_reference_left_bracket] = ACTIONS(1631),
    [sym__infix_scope_colons] = ACTIONS(1631),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(1631),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_EQ_GT] = ACTIONS(1631),
    [anon_sym_AMP_DOT] = ACTIONS(1631),
    [anon_sym_PLUS_EQ] = ACTIONS(1631),
    [anon_sym_DASH_EQ] = ACTIONS(1631),
    [anon_sym_STAR_EQ] = ACTIONS(1631),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1631),
    [anon_sym_SLASH_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_PIPE_EQ] = ACTIONS(1631),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1631),
    [anon_sym_AMP_EQ] = ACTIONS(1631),
    [anon_sym_PERCENT_EQ] = ACTIONS(1631),
    [anon_sym_GT_GT_EQ] = ACTIONS(1631),
    [anon_sym_LT_LT_EQ] = ACTIONS(1631),
    [anon_sym_CARET_EQ] = ACTIONS(1631),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(1631),
    [anon_sym_or] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11501] = {
    [sym_heredoc_body] = STATE(11899),
    [aux_sym_call_repeat1] = STATE(11899),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [11502] = {
    [sym_heredoc_body] = STATE(11899),
    [aux_sym_call_repeat1] = STATE(11899),
    [aux_sym_argument_list_repeat1] = STATE(11901),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(14926),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1697),
    [sym_comment] = ACTIONS(87),
  },
  [11503] = {
    [sym_string] = STATE(11562),
    [aux_sym_chained_string_repeat1] = STATE(11562),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__keyword_colon] = ACTIONS(14928),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [11504] = {
    [sym_heredoc_body] = STATE(11903),
    [aux_sym_call_repeat1] = STATE(11903),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11505] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10660),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(10660),
    [sym_operator_assignment] = STATE(10660),
    [sym_conditional] = STATE(10660),
    [sym_range] = STATE(10660),
    [sym_binary] = STATE(10660),
    [sym_unary] = STATE(10660),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(10666),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(11904),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(13434),
    [sym__splat_star] = ACTIONS(13436),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__identifier_hash_key] = ACTIONS(13440),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14930),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13458),
    [sym_identifier] = ACTIONS(13458),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11506] = {
    [sym_heredoc_body] = STATE(11905),
    [aux_sym_call_repeat1] = STATE(11905),
    [aux_sym_argument_list_repeat1] = STATE(11906),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(14357),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11507] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11907),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_splat_argument] = STATE(11908),
    [sym_assignment] = STATE(11907),
    [sym_operator_assignment] = STATE(11907),
    [sym_conditional] = STATE(11907),
    [sym_range] = STATE(11907),
    [sym_binary] = STATE(11907),
    [sym_unary] = STATE(11907),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(11908),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(14311),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11508] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11909),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(11909),
    [sym_operator_assignment] = STATE(11909),
    [sym_conditional] = STATE(11909),
    [sym_range] = STATE(11909),
    [sym_binary] = STATE(11909),
    [sym_unary] = STATE(11909),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11509] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11910),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(11910),
    [sym_operator_assignment] = STATE(11910),
    [sym_conditional] = STATE(11910),
    [sym_range] = STATE(11910),
    [sym_binary] = STATE(11910),
    [sym_unary] = STATE(11910),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11510] = {
    [sym_string] = STATE(11911),
    [aux_sym_chained_string_repeat1] = STATE(11911),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [11511] = {
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11512] = {
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [11513] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11514] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [11515] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11516] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14367),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(13492),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11517] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(14932),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11518] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(14367),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(13484),
    [anon_sym_AMP_AMP] = ACTIONS(13484),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(13488),
    [anon_sym_BANG_EQ] = ACTIONS(13484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13484),
    [anon_sym_LT_EQ_GT] = ACTIONS(13484),
    [anon_sym_EQ_TILDE] = ACTIONS(13484),
    [anon_sym_BANG_TILDE] = ACTIONS(13484),
    [anon_sym_LT_EQ] = ACTIONS(13474),
    [anon_sym_GT] = ACTIONS(13474),
    [anon_sym_GT_EQ] = ACTIONS(13490),
    [anon_sym_CARET] = ACTIONS(13492),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11519] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14367),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13476),
    [anon_sym_DOT_DOT] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(13484),
    [anon_sym_AMP_AMP] = ACTIONS(13484),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(13488),
    [anon_sym_BANG_EQ] = ACTIONS(13484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13484),
    [anon_sym_LT_EQ_GT] = ACTIONS(13484),
    [anon_sym_EQ_TILDE] = ACTIONS(13484),
    [anon_sym_BANG_TILDE] = ACTIONS(13484),
    [anon_sym_LT_EQ] = ACTIONS(13474),
    [anon_sym_GT] = ACTIONS(13474),
    [anon_sym_GT_EQ] = ACTIONS(13490),
    [anon_sym_CARET] = ACTIONS(13492),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11520] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14367),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(13488),
    [anon_sym_BANG_EQ] = ACTIONS(13484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13484),
    [anon_sym_LT_EQ_GT] = ACTIONS(13484),
    [anon_sym_EQ_TILDE] = ACTIONS(13484),
    [anon_sym_BANG_TILDE] = ACTIONS(13484),
    [anon_sym_LT_EQ] = ACTIONS(13474),
    [anon_sym_GT] = ACTIONS(13474),
    [anon_sym_GT_EQ] = ACTIONS(13490),
    [anon_sym_CARET] = ACTIONS(13492),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11521] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11522] = {
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11523] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11913),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(11913),
    [sym_operator_assignment] = STATE(11913),
    [sym_conditional] = STATE(11913),
    [sym_range] = STATE(11913),
    [sym_binary] = STATE(11913),
    [sym_unary] = STATE(11913),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11524] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10694),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(7019),
    [sym__argument_list_with_parens] = STATE(10696),
    [sym__argument] = STATE(10697),
    [sym_splat_argument] = STATE(10697),
    [sym_hash_splat_argument] = STATE(10697),
    [sym_block_argument] = STATE(10697),
    [sym_assignment] = STATE(10694),
    [sym_operator_assignment] = STATE(10694),
    [sym_conditional] = STATE(10694),
    [sym_range] = STATE(10694),
    [sym_binary] = STATE(10694),
    [sym_unary] = STATE(10694),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(10700),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(10697),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(363),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(363),
    [sym__block_ampersand] = ACTIONS(13496),
    [sym__splat_star] = ACTIONS(13498),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(363),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(363),
    [sym__binary_star] = ACTIONS(363),
    [sym__identifier_hash_key] = ACTIONS(13502),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(363),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_DOT_DOT] = ACTIONS(379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(379),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(363),
    [anon_sym_LT_EQ_GT] = ACTIONS(363),
    [anon_sym_EQ_TILDE] = ACTIONS(363),
    [anon_sym_BANG_TILDE] = ACTIONS(363),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_GT] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13520),
    [sym_identifier] = ACTIONS(13520),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11525] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10694),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(7020),
    [sym__argument_list_with_parens] = STATE(10696),
    [sym__argument] = STATE(10697),
    [sym_splat_argument] = STATE(10697),
    [sym_hash_splat_argument] = STATE(10697),
    [sym_block_argument] = STATE(10697),
    [sym_assignment] = STATE(10694),
    [sym_operator_assignment] = STATE(10694),
    [sym_conditional] = STATE(10694),
    [sym_range] = STATE(10694),
    [sym_binary] = STATE(10694),
    [sym_unary] = STATE(10694),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(10700),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(10697),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(413),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(413),
    [sym__block_ampersand] = ACTIONS(13496),
    [sym__splat_star] = ACTIONS(13498),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(413),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(413),
    [sym__binary_star] = ACTIONS(413),
    [sym__identifier_hash_key] = ACTIONS(13502),
    [anon_sym_LBRACE] = ACTIONS(413),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(415),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(413),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(415),
    [anon_sym_AMP] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(415),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(413),
    [anon_sym_PLUS_EQ] = ACTIONS(413),
    [anon_sym_DASH_EQ] = ACTIONS(413),
    [anon_sym_STAR_EQ] = ACTIONS(413),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(413),
    [anon_sym_SLASH_EQ] = ACTIONS(413),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(413),
    [anon_sym_PIPE_EQ] = ACTIONS(413),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(413),
    [anon_sym_AMP_EQ] = ACTIONS(413),
    [anon_sym_PERCENT_EQ] = ACTIONS(413),
    [anon_sym_GT_GT_EQ] = ACTIONS(413),
    [anon_sym_LT_LT_EQ] = ACTIONS(413),
    [anon_sym_CARET_EQ] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_DOT_DOT] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(415),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(413),
    [anon_sym_LT_EQ_GT] = ACTIONS(413),
    [anon_sym_EQ_TILDE] = ACTIONS(413),
    [anon_sym_BANG_TILDE] = ACTIONS(413),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13520),
    [sym_identifier] = ACTIONS(13520),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11526] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10694),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(7021),
    [sym__argument_list_with_parens] = STATE(10696),
    [sym__argument] = STATE(10697),
    [sym_splat_argument] = STATE(10697),
    [sym_hash_splat_argument] = STATE(10697),
    [sym_block_argument] = STATE(10697),
    [sym_assignment] = STATE(10694),
    [sym_operator_assignment] = STATE(10694),
    [sym_conditional] = STATE(10694),
    [sym_range] = STATE(10694),
    [sym_binary] = STATE(10694),
    [sym_unary] = STATE(10694),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(10700),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(10697),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(417),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(417),
    [sym__block_ampersand] = ACTIONS(13496),
    [sym__splat_star] = ACTIONS(13498),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(417),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(417),
    [sym__binary_star] = ACTIONS(417),
    [sym__identifier_hash_key] = ACTIONS(13502),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(419),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(417),
    [anon_sym_PLUS_EQ] = ACTIONS(417),
    [anon_sym_DASH_EQ] = ACTIONS(417),
    [anon_sym_STAR_EQ] = ACTIONS(417),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(417),
    [anon_sym_SLASH_EQ] = ACTIONS(417),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(417),
    [anon_sym_PIPE_EQ] = ACTIONS(417),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(417),
    [anon_sym_AMP_EQ] = ACTIONS(417),
    [anon_sym_PERCENT_EQ] = ACTIONS(417),
    [anon_sym_GT_GT_EQ] = ACTIONS(417),
    [anon_sym_LT_LT_EQ] = ACTIONS(417),
    [anon_sym_CARET_EQ] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_DOT_DOT] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(419),
    [anon_sym_or] = ACTIONS(419),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_LT_EQ_GT] = ACTIONS(417),
    [anon_sym_EQ_TILDE] = ACTIONS(417),
    [anon_sym_BANG_TILDE] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13520),
    [sym_identifier] = ACTIONS(13520),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11527] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10694),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(7022),
    [sym__argument_list_with_parens] = STATE(10696),
    [sym__argument] = STATE(10697),
    [sym_splat_argument] = STATE(10697),
    [sym_hash_splat_argument] = STATE(10697),
    [sym_block_argument] = STATE(10697),
    [sym_assignment] = STATE(10694),
    [sym_operator_assignment] = STATE(10694),
    [sym_conditional] = STATE(10694),
    [sym_range] = STATE(10694),
    [sym_binary] = STATE(10694),
    [sym_unary] = STATE(10694),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(10700),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(10697),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(421),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(421),
    [sym__block_ampersand] = ACTIONS(13496),
    [sym__splat_star] = ACTIONS(13498),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(421),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(421),
    [sym__binary_star] = ACTIONS(421),
    [sym__identifier_hash_key] = ACTIONS(13502),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(421),
    [anon_sym_PIPE_EQ] = ACTIONS(421),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(421),
    [anon_sym_AMP_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_GT_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_LT_EQ] = ACTIONS(421),
    [anon_sym_CARET_EQ] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(423),
    [anon_sym_or] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ_GT] = ACTIONS(421),
    [anon_sym_EQ_TILDE] = ACTIONS(421),
    [anon_sym_BANG_TILDE] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13520),
    [sym_identifier] = ACTIONS(13520),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11528] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11914),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(11914),
    [sym_operator_assignment] = STATE(11914),
    [sym_conditional] = STATE(11914),
    [sym_range] = STATE(11914),
    [sym_binary] = STATE(11914),
    [sym_unary] = STATE(11914),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11529] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11915),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(11915),
    [sym_operator_assignment] = STATE(11915),
    [sym_conditional] = STATE(11915),
    [sym_range] = STATE(11915),
    [sym_binary] = STATE(11915),
    [sym_unary] = STATE(11915),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11530] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(7038),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(7038),
    [sym_operator_assignment] = STATE(7038),
    [sym_conditional] = STATE(7038),
    [sym_range] = STATE(7038),
    [sym_binary] = STATE(7038),
    [sym_unary] = STATE(7038),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11531] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(14946),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [11532] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10694),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_argument_list] = STATE(5106),
    [sym__argument_list_with_parens] = STATE(10696),
    [sym__argument] = STATE(10697),
    [sym_splat_argument] = STATE(10697),
    [sym_hash_splat_argument] = STATE(10697),
    [sym_block_argument] = STATE(10697),
    [sym_do_block] = STATE(1939),
    [sym_block] = STATE(1939),
    [sym_assignment] = STATE(10694),
    [sym_operator_assignment] = STATE(10694),
    [sym_conditional] = STATE(10694),
    [sym_range] = STATE(10694),
    [sym_binary] = STATE(10694),
    [sym_unary] = STATE(10694),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(10700),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(10697),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(747),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__element_reference_left_bracket] = ACTIONS(747),
    [sym__block_ampersand] = ACTIONS(13496),
    [sym__splat_star] = ACTIONS(13498),
    [sym__argument_list_left_paren] = ACTIONS(2891),
    [sym__infix_scope_colons] = ACTIONS(747),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__binary_minus] = ACTIONS(747),
    [sym__binary_star] = ACTIONS(747),
    [sym__identifier_hash_key] = ACTIONS(13502),
    [anon_sym_LBRACE] = ACTIONS(7625),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_AMP_DOT] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ_GT] = ACTIONS(747),
    [anon_sym_EQ_TILDE] = ACTIONS(747),
    [anon_sym_BANG_TILDE] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13516),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13520),
    [sym_identifier] = ACTIONS(13520),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11533] = {
    [anon_sym_EQ] = ACTIONS(14962),
    [sym_comment] = ACTIONS(87),
  },
  [11534] = {
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(14964),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(14966),
    [anon_sym_DASH_EQ] = ACTIONS(14966),
    [anon_sym_STAR_EQ] = ACTIONS(14966),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14966),
    [anon_sym_SLASH_EQ] = ACTIONS(14966),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14966),
    [anon_sym_PIPE_EQ] = ACTIONS(14966),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14966),
    [anon_sym_AMP_EQ] = ACTIONS(14966),
    [anon_sym_PERCENT_EQ] = ACTIONS(14966),
    [anon_sym_GT_GT_EQ] = ACTIONS(14966),
    [anon_sym_LT_LT_EQ] = ACTIONS(14966),
    [anon_sym_CARET_EQ] = ACTIONS(14966),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [11535] = {
    [sym_string] = STATE(11930),
    [aux_sym_chained_string_repeat1] = STATE(11930),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [11536] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(14946),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [11537] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [11538] = {
    [sym_string] = STATE(11562),
    [aux_sym_chained_string_repeat1] = STATE(11562),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(557),
    [sym__element_reference_left_bracket] = ACTIONS(557),
    [sym__infix_scope_colons] = ACTIONS(557),
    [sym__binary_minus] = ACTIONS(557),
    [sym__binary_star] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(559),
    [anon_sym_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_do] = ACTIONS(557),
    [anon_sym_EQ_GT] = ACTIONS(557),
    [anon_sym_AMP_DOT] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(557),
    [anon_sym_DASH_EQ] = ACTIONS(557),
    [anon_sym_STAR_EQ] = ACTIONS(557),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(557),
    [anon_sym_SLASH_EQ] = ACTIONS(557),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(557),
    [anon_sym_PIPE_EQ] = ACTIONS(557),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(557),
    [anon_sym_AMP_EQ] = ACTIONS(557),
    [anon_sym_PERCENT_EQ] = ACTIONS(557),
    [anon_sym_GT_GT_EQ] = ACTIONS(557),
    [anon_sym_LT_LT_EQ] = ACTIONS(557),
    [anon_sym_CARET_EQ] = ACTIONS(557),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_DOT_DOT] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(557),
    [anon_sym_or] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_LT_EQ_GT] = ACTIONS(557),
    [anon_sym_EQ_TILDE] = ACTIONS(557),
    [anon_sym_BANG_TILDE] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [sym_comment] = ACTIONS(87),
  },
  [11539] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11931),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(11931),
    [sym_operator_assignment] = STATE(11931),
    [sym_conditional] = STATE(11931),
    [sym_range] = STATE(11931),
    [sym_binary] = STATE(11931),
    [sym_unary] = STATE(11931),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11540] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(14946),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [11541] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [11542] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11543] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11932),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11932),
    [sym_operator_assignment] = STATE(11932),
    [sym_conditional] = STATE(11932),
    [sym_range] = STATE(11932),
    [sym_binary] = STATE(11932),
    [sym_unary] = STATE(11932),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11544] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11933),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11933),
    [sym_operator_assignment] = STATE(11933),
    [sym_conditional] = STATE(11933),
    [sym_range] = STATE(11933),
    [sym_binary] = STATE(11933),
    [sym_unary] = STATE(11933),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11545] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11934),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11934),
    [sym_operator_assignment] = STATE(11934),
    [sym_conditional] = STATE(11934),
    [sym_range] = STATE(11934),
    [sym_binary] = STATE(11934),
    [sym_unary] = STATE(11934),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11546] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11935),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11935),
    [sym_operator_assignment] = STATE(11935),
    [sym_conditional] = STATE(11935),
    [sym_range] = STATE(11935),
    [sym_binary] = STATE(11935),
    [sym_unary] = STATE(11935),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11547] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11936),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11936),
    [sym_operator_assignment] = STATE(11936),
    [sym_conditional] = STATE(11936),
    [sym_range] = STATE(11936),
    [sym_binary] = STATE(11936),
    [sym_unary] = STATE(11936),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11548] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11937),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11937),
    [sym_operator_assignment] = STATE(11937),
    [sym_conditional] = STATE(11937),
    [sym_range] = STATE(11937),
    [sym_binary] = STATE(11937),
    [sym_unary] = STATE(11937),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11549] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11938),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(11938),
    [sym_operator_assignment] = STATE(11938),
    [sym_conditional] = STATE(11938),
    [sym_range] = STATE(11938),
    [sym_binary] = STATE(11938),
    [sym_unary] = STATE(11938),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11550] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11939),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(11939),
    [sym_operator_assignment] = STATE(11939),
    [sym_conditional] = STATE(11939),
    [sym_range] = STATE(11939),
    [sym_binary] = STATE(11939),
    [sym_unary] = STATE(11939),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11551] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11940),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11940),
    [sym_operator_assignment] = STATE(11940),
    [sym_conditional] = STATE(11940),
    [sym_range] = STATE(11940),
    [sym_binary] = STATE(11940),
    [sym_unary] = STATE(11940),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11552] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11941),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11941),
    [sym_operator_assignment] = STATE(11941),
    [sym_conditional] = STATE(11941),
    [sym_range] = STATE(11941),
    [sym_binary] = STATE(11941),
    [sym_unary] = STATE(11941),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11553] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11942),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11942),
    [sym_operator_assignment] = STATE(11942),
    [sym_conditional] = STATE(11942),
    [sym_range] = STATE(11942),
    [sym_binary] = STATE(11942),
    [sym_unary] = STATE(11942),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11554] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11943),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11943),
    [sym_operator_assignment] = STATE(11943),
    [sym_conditional] = STATE(11943),
    [sym_range] = STATE(11943),
    [sym_binary] = STATE(11943),
    [sym_unary] = STATE(11943),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11555] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11944),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11944),
    [sym_operator_assignment] = STATE(11944),
    [sym_conditional] = STATE(11944),
    [sym_range] = STATE(11944),
    [sym_binary] = STATE(11944),
    [sym_unary] = STATE(11944),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11556] = {
    [sym_heredoc_body] = STATE(11945),
    [aux_sym_call_repeat1] = STATE(11945),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [11557] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10694),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym__argument] = STATE(7086),
    [sym_splat_argument] = STATE(7086),
    [sym_hash_splat_argument] = STATE(7086),
    [sym_block_argument] = STATE(7086),
    [sym_assignment] = STATE(10694),
    [sym_operator_assignment] = STATE(10694),
    [sym_conditional] = STATE(10694),
    [sym_range] = STATE(10694),
    [sym_binary] = STATE(10694),
    [sym_unary] = STATE(10694),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(10700),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(11946),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7086),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(13496),
    [sym__splat_star] = ACTIONS(13498),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__identifier_hash_key] = ACTIONS(13502),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14968),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13520),
    [sym_identifier] = ACTIONS(13520),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11558] = {
    [sym_heredoc_body] = STATE(11947),
    [aux_sym_call_repeat1] = STATE(11947),
    [aux_sym_argument_list_repeat1] = STATE(11948),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(14425),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [11559] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11949),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_splat_argument] = STATE(11950),
    [sym_assignment] = STATE(11949),
    [sym_operator_assignment] = STATE(11949),
    [sym_conditional] = STATE(11949),
    [sym_range] = STATE(11949),
    [sym_binary] = STATE(11949),
    [sym_unary] = STATE(11949),
    [sym_right_assignment_list] = STATE(4613),
    [sym__arg_or_splat_arg] = STATE(11950),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(14351),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11560] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11951),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(11951),
    [sym_operator_assignment] = STATE(11951),
    [sym_conditional] = STATE(11951),
    [sym_range] = STATE(11951),
    [sym_binary] = STATE(11951),
    [sym_unary] = STATE(11951),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11561] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11952),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(11952),
    [sym_operator_assignment] = STATE(11952),
    [sym_conditional] = STATE(11952),
    [sym_range] = STATE(11952),
    [sym_binary] = STATE(11952),
    [sym_unary] = STATE(11952),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11562] = {
    [sym_string] = STATE(11953),
    [aux_sym_chained_string_repeat1] = STATE(11953),
    [sym__string_start] = ACTIONS(3374),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [11563] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11954),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(11954),
    [sym_operator_assignment] = STATE(11954),
    [sym_conditional] = STATE(11954),
    [sym_range] = STATE(11954),
    [sym_binary] = STATE(11954),
    [sym_unary] = STATE(11954),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11564] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(14367),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13476),
    [anon_sym_DOT_DOT] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(13484),
    [anon_sym_AMP_AMP] = ACTIONS(13484),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(13488),
    [anon_sym_BANG_EQ] = ACTIONS(13484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13484),
    [anon_sym_LT_EQ_GT] = ACTIONS(13484),
    [anon_sym_EQ_TILDE] = ACTIONS(13484),
    [anon_sym_BANG_TILDE] = ACTIONS(13484),
    [anon_sym_LT_EQ] = ACTIONS(13474),
    [anon_sym_GT] = ACTIONS(13474),
    [anon_sym_GT_EQ] = ACTIONS(13490),
    [anon_sym_CARET] = ACTIONS(13492),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11565] = {
    [aux_sym_exceptions_repeat1] = STATE(11956),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [11566] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(14367),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13476),
    [anon_sym_DOT_DOT] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(13484),
    [anon_sym_AMP_AMP] = ACTIONS(13484),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(13488),
    [anon_sym_BANG_EQ] = ACTIONS(13484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13484),
    [anon_sym_LT_EQ_GT] = ACTIONS(13484),
    [anon_sym_EQ_TILDE] = ACTIONS(13484),
    [anon_sym_BANG_TILDE] = ACTIONS(13484),
    [anon_sym_LT_EQ] = ACTIONS(13474),
    [anon_sym_GT] = ACTIONS(13474),
    [anon_sym_GT_EQ] = ACTIONS(13490),
    [anon_sym_CARET] = ACTIONS(13492),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11567] = {
    [sym_string] = STATE(11567),
    [aux_sym_chained_string_repeat1] = STATE(11567),
    [sym__string_start] = ACTIONS(7027),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [11568] = {
    [aux_sym_block_parameters_repeat1] = STATE(10645),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(14970),
    [sym_comment] = ACTIONS(87),
  },
  [11569] = {
    [aux_sym_block_parameters_repeat1] = STATE(11958),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(14970),
    [sym_comment] = ACTIONS(87),
  },
  [11570] = {
    [anon_sym_LBRACE] = ACTIONS(13557),
    [anon_sym_RPAREN] = ACTIONS(13557),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_PIPE] = ACTIONS(13557),
    [anon_sym_SEMI] = ACTIONS(13557),
    [anon_sym_do] = ACTIONS(13557),
    [sym_comment] = ACTIONS(87),
  },
  [11571] = {
    [anon_sym_end] = ACTIONS(14972),
    [sym_comment] = ACTIONS(87),
  },
  [11572] = {
    [sym__line_break] = ACTIONS(14878),
    [sym__simple_symbol] = ACTIONS(14878),
    [sym__string_start] = ACTIONS(14878),
    [sym__symbol_start] = ACTIONS(14878),
    [sym__subshell_start] = ACTIONS(14878),
    [sym__regex_start] = ACTIONS(14878),
    [sym__string_array_start] = ACTIONS(14878),
    [sym__symbol_array_start] = ACTIONS(14878),
    [sym__heredoc_body_start] = ACTIONS(14878),
    [sym_heredoc_beginning] = ACTIONS(14878),
    [sym__unary_minus] = ACTIONS(14878),
    [anon_sym_BEGIN] = ACTIONS(14880),
    [anon_sym_LBRACE] = ACTIONS(14878),
    [anon_sym_END] = ACTIONS(14880),
    [anon_sym_def] = ACTIONS(14880),
    [anon_sym_LPAREN] = ACTIONS(14878),
    [anon_sym_COLON_COLON] = ACTIONS(14878),
    [anon_sym_SEMI] = ACTIONS(14878),
    [anon_sym_STAR] = ACTIONS(14878),
    [anon_sym_class] = ACTIONS(14880),
    [anon_sym_module] = ACTIONS(14880),
    [anon_sym_end] = ACTIONS(14880),
    [anon_sym_return] = ACTIONS(14880),
    [anon_sym_yield] = ACTIONS(14880),
    [anon_sym_break] = ACTIONS(14880),
    [anon_sym_next] = ACTIONS(14880),
    [sym_redo] = ACTIONS(14880),
    [sym_retry] = ACTIONS(14880),
    [anon_sym_if] = ACTIONS(14880),
    [anon_sym_unless] = ACTIONS(14880),
    [anon_sym_while] = ACTIONS(14880),
    [anon_sym_until] = ACTIONS(14880),
    [anon_sym_for] = ACTIONS(14880),
    [anon_sym_case] = ACTIONS(14880),
    [anon_sym_begin] = ACTIONS(14880),
    [anon_sym_PLUS] = ACTIONS(14880),
    [anon_sym_defined_QMARK] = ACTIONS(14878),
    [anon_sym_not] = ACTIONS(14880),
    [anon_sym_BANG] = ACTIONS(14878),
    [anon_sym_TILDE] = ACTIONS(14878),
    [sym_constant] = ACTIONS(14880),
    [sym_identifier] = ACTIONS(14880),
    [sym_instance_variable] = ACTIONS(14878),
    [sym_class_variable] = ACTIONS(14878),
    [sym_global_variable] = ACTIONS(14878),
    [anon_sym_undef] = ACTIONS(14880),
    [anon_sym_alias] = ACTIONS(14880),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(14880),
    [sym_float] = ACTIONS(14880),
    [sym_complex] = ACTIONS(14878),
    [sym_super] = ACTIONS(14880),
    [anon_sym_true] = ACTIONS(14880),
    [anon_sym_TRUE] = ACTIONS(14880),
    [anon_sym_false] = ACTIONS(14880),
    [anon_sym_FALSE] = ACTIONS(14880),
    [sym_self] = ACTIONS(14880),
    [anon_sym_nil] = ACTIONS(14880),
    [anon_sym_NIL] = ACTIONS(14880),
    [sym_character] = ACTIONS(14878),
    [anon_sym_LBRACK] = ACTIONS(14878),
    [anon_sym_DASH_GT] = ACTIONS(14878),
  },
  [11573] = {
    [aux_sym_block_parameters_repeat1] = STATE(10645),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(14974),
    [sym_comment] = ACTIONS(87),
  },
  [11574] = {
    [aux_sym_block_parameters_repeat1] = STATE(11961),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(14974),
    [sym_comment] = ACTIONS(87),
  },
  [11575] = {
    [sym__binary_minus] = ACTIONS(9400),
    [sym__binary_star] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(9406),
    [anon_sym_STAR_STAR] = ACTIONS(9408),
    [anon_sym_AMP] = ACTIONS(9410),
    [anon_sym_LT] = ACTIONS(9412),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(9414),
    [anon_sym_DOT_DOT] = ACTIONS(9416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9418),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(9422),
    [anon_sym_AMP_AMP] = ACTIONS(9422),
    [anon_sym_LT_LT] = ACTIONS(9424),
    [anon_sym_GT_GT] = ACTIONS(9424),
    [anon_sym_EQ_EQ] = ACTIONS(9426),
    [anon_sym_BANG_EQ] = ACTIONS(9422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9422),
    [anon_sym_LT_EQ_GT] = ACTIONS(9422),
    [anon_sym_EQ_TILDE] = ACTIONS(9422),
    [anon_sym_BANG_TILDE] = ACTIONS(9422),
    [anon_sym_LT_EQ] = ACTIONS(9412),
    [anon_sym_GT] = ACTIONS(9412),
    [anon_sym_GT_EQ] = ACTIONS(9428),
    [anon_sym_CARET] = ACTIONS(9430),
    [anon_sym_PLUS] = ACTIONS(9432),
    [anon_sym_SLASH] = ACTIONS(9408),
    [anon_sym_PERCENT] = ACTIONS(9408),
    [sym_comment] = ACTIONS(87),
  },
  [11576] = {
    [aux_sym_exceptions_repeat1] = STATE(11576),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(14976),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11577] = {
    [sym_heredoc_body] = STATE(11577),
    [aux_sym_call_repeat1] = STATE(11577),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_COLON] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [11578] = {
    [sym_heredoc_body] = STATE(11577),
    [aux_sym_call_repeat1] = STATE(11577),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_COLON] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [11579] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(11962),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_assignment] = STATE(11962),
    [sym_operator_assignment] = STATE(11962),
    [sym_conditional] = STATE(11962),
    [sym_range] = STATE(11962),
    [sym_binary] = STATE(11962),
    [sym_unary] = STATE(11962),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11580] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(10734),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(6631),
    [sym_scope_resolution] = STATE(6629),
    [sym_call] = STATE(6629),
    [sym_method_call] = STATE(6631),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(10734),
    [sym_operator_assignment] = STATE(10734),
    [sym_conditional] = STATE(10734),
    [sym_range] = STATE(10734),
    [sym_binary] = STATE(10734),
    [sym_unary] = STATE(10734),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(6630),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6631),
    [sym__variable] = STATE(6629),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(6631),
    [sym_false] = STATE(6631),
    [sym_nil] = STATE(6631),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(6632),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(5804),
    [sym__unary_minus] = ACTIONS(9451),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(9453),
    [anon_sym_yield] = ACTIONS(9455),
    [anon_sym_break] = ACTIONS(9457),
    [anon_sym_next] = ACTIONS(9459),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(9461),
    [anon_sym_defined_QMARK] = ACTIONS(9463),
    [anon_sym_not] = ACTIONS(9465),
    [anon_sym_BANG] = ACTIONS(9467),
    [anon_sym_TILDE] = ACTIONS(9467),
    [sym_constant] = ACTIONS(9469),
    [sym_identifier] = ACTIONS(9469),
    [sym_instance_variable] = ACTIONS(9471),
    [sym_class_variable] = ACTIONS(9471),
    [sym_global_variable] = ACTIONS(9471),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(9469),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9469),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11581] = {
    [aux_sym_exceptions_repeat1] = STATE(11963),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14979),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_COLON] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11582] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(9485),
    [sym__binary_star] = ACTIONS(9487),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(9489),
    [anon_sym_STAR_STAR] = ACTIONS(9491),
    [anon_sym_AMP] = ACTIONS(9493),
    [anon_sym_LT] = ACTIONS(9495),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(9499),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_DOT_DOT] = ACTIONS(9501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9503),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(9505),
    [anon_sym_AMP_AMP] = ACTIONS(9505),
    [anon_sym_LT_LT] = ACTIONS(9507),
    [anon_sym_GT_GT] = ACTIONS(9507),
    [anon_sym_EQ_EQ] = ACTIONS(9509),
    [anon_sym_BANG_EQ] = ACTIONS(9505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9505),
    [anon_sym_LT_EQ_GT] = ACTIONS(9505),
    [anon_sym_EQ_TILDE] = ACTIONS(9505),
    [anon_sym_BANG_TILDE] = ACTIONS(9505),
    [anon_sym_LT_EQ] = ACTIONS(9495),
    [anon_sym_GT] = ACTIONS(9495),
    [anon_sym_GT_EQ] = ACTIONS(9511),
    [anon_sym_CARET] = ACTIONS(9513),
    [anon_sym_PLUS] = ACTIONS(9515),
    [anon_sym_SLASH] = ACTIONS(9491),
    [anon_sym_PERCENT] = ACTIONS(9491),
    [sym_comment] = ACTIONS(87),
  },
  [11583] = {
    [aux_sym_exceptions_repeat1] = STATE(11583),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14981),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_COLON] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11584] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11964),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_assignment] = STATE(11964),
    [sym_operator_assignment] = STATE(11964),
    [sym_conditional] = STATE(11964),
    [sym_range] = STATE(11964),
    [sym_binary] = STATE(11964),
    [sym_unary] = STATE(11964),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11585] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10768),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(6702),
    [sym_scope_resolution] = STATE(6700),
    [sym_call] = STATE(6700),
    [sym_method_call] = STATE(6702),
    [sym_splat_argument] = STATE(11626),
    [sym_assignment] = STATE(10768),
    [sym_operator_assignment] = STATE(10768),
    [sym_conditional] = STATE(10768),
    [sym_range] = STATE(10768),
    [sym_binary] = STATE(10768),
    [sym_unary] = STATE(10768),
    [sym__arg_or_splat_arg] = STATE(11626),
    [sym_left_assignment_list] = STATE(6701),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6702),
    [sym__variable] = STATE(6700),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(6702),
    [sym_false] = STATE(6702),
    [sym_nil] = STATE(6702),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(6703),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(5868),
    [sym__unary_minus] = ACTIONS(9535),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(9537),
    [anon_sym_yield] = ACTIONS(9539),
    [anon_sym_break] = ACTIONS(9541),
    [anon_sym_next] = ACTIONS(9543),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(9545),
    [anon_sym_defined_QMARK] = ACTIONS(9547),
    [anon_sym_not] = ACTIONS(9549),
    [anon_sym_BANG] = ACTIONS(9551),
    [anon_sym_TILDE] = ACTIONS(9551),
    [sym_constant] = ACTIONS(9553),
    [sym_identifier] = ACTIONS(9553),
    [sym_instance_variable] = ACTIONS(9555),
    [sym_class_variable] = ACTIONS(9555),
    [sym_global_variable] = ACTIONS(9555),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(9553),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(9553),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11586] = {
    [aux_sym_exceptions_repeat1] = STATE(11965),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(14984),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_COLON] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [11587] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(9561),
    [sym__binary_star] = ACTIONS(9563),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(9565),
    [anon_sym_STAR_STAR] = ACTIONS(9567),
    [anon_sym_AMP] = ACTIONS(9569),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(9571),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(9575),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_DOT_DOT] = ACTIONS(9577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9579),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(9581),
    [anon_sym_AMP_AMP] = ACTIONS(9581),
    [anon_sym_LT_LT] = ACTIONS(9583),
    [anon_sym_GT_GT] = ACTIONS(9583),
    [anon_sym_EQ_EQ] = ACTIONS(9581),
    [anon_sym_BANG_EQ] = ACTIONS(9585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9585),
    [anon_sym_LT_EQ_GT] = ACTIONS(9585),
    [anon_sym_EQ_TILDE] = ACTIONS(9585),
    [anon_sym_BANG_TILDE] = ACTIONS(9585),
    [anon_sym_LT_EQ] = ACTIONS(9571),
    [anon_sym_GT] = ACTIONS(9571),
    [anon_sym_GT_EQ] = ACTIONS(9587),
    [anon_sym_CARET] = ACTIONS(9565),
    [anon_sym_PLUS] = ACTIONS(9589),
    [anon_sym_SLASH] = ACTIONS(9567),
    [anon_sym_PERCENT] = ACTIONS(9567),
    [sym_comment] = ACTIONS(87),
  },
  [11588] = {
    [aux_sym_exceptions_repeat1] = STATE(11588),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14986),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_COLON] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11589] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11966),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(6743),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(6743),
    [sym_assignment] = STATE(11966),
    [sym_operator_assignment] = STATE(11966),
    [sym_conditional] = STATE(11966),
    [sym_range] = STATE(11966),
    [sym_binary] = STATE(11966),
    [sym_unary] = STATE(11966),
    [sym_left_assignment_list] = STATE(6742),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6743),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(6743),
    [sym_false] = STATE(6743),
    [sym_nil] = STATE(6743),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(6744),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(9603),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(9605),
    [anon_sym_yield] = ACTIONS(9607),
    [anon_sym_break] = ACTIONS(9609),
    [anon_sym_next] = ACTIONS(9611),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(9613),
    [anon_sym_defined_QMARK] = ACTIONS(9615),
    [anon_sym_not] = ACTIONS(9617),
    [anon_sym_BANG] = ACTIONS(9619),
    [anon_sym_TILDE] = ACTIONS(9619),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11590] = {
    [sym__line_break] = ACTIONS(12326),
    [sym__heredoc_body_start] = ACTIONS(12326),
    [sym__element_reference_left_bracket] = ACTIONS(12326),
    [sym__infix_scope_colons] = ACTIONS(12326),
    [sym__binary_minus] = ACTIONS(12326),
    [sym__binary_star] = ACTIONS(12326),
    [ts_builtin_sym_end] = ACTIONS(12326),
    [anon_sym___END__] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_RBRACE] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_PIPE] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_STAR_STAR] = ACTIONS(12328),
    [anon_sym_AMP] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_LT] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_unless] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [anon_sym_until] = ACTIONS(12326),
    [anon_sym_rescue] = ACTIONS(12326),
    [anon_sym_do] = ACTIONS(12326),
    [anon_sym_when] = ACTIONS(12326),
    [anon_sym_elsif] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_then] = ACTIONS(12326),
    [anon_sym_ensure] = ACTIONS(12326),
    [anon_sym_AMP_DOT] = ACTIONS(12326),
    [anon_sym_PLUS_EQ] = ACTIONS(12326),
    [anon_sym_DASH_EQ] = ACTIONS(12326),
    [anon_sym_STAR_EQ] = ACTIONS(12326),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12326),
    [anon_sym_SLASH_EQ] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12326),
    [anon_sym_PIPE_EQ] = ACTIONS(12326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12326),
    [anon_sym_AMP_EQ] = ACTIONS(12326),
    [anon_sym_PERCENT_EQ] = ACTIONS(12326),
    [anon_sym_GT_GT_EQ] = ACTIONS(12326),
    [anon_sym_LT_LT_EQ] = ACTIONS(12326),
    [anon_sym_CARET_EQ] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DOT_DOT] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_and] = ACTIONS(12326),
    [anon_sym_or] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE] = ACTIONS(12328),
    [anon_sym_AMP_AMP] = ACTIONS(12328),
    [anon_sym_LT_LT] = ACTIONS(12328),
    [anon_sym_GT_GT] = ACTIONS(12328),
    [anon_sym_EQ_EQ] = ACTIONS(12328),
    [anon_sym_BANG_EQ] = ACTIONS(12326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12326),
    [anon_sym_LT_EQ_GT] = ACTIONS(12326),
    [anon_sym_EQ_TILDE] = ACTIONS(12326),
    [anon_sym_BANG_TILDE] = ACTIONS(12326),
    [anon_sym_LT_EQ] = ACTIONS(12328),
    [anon_sym_GT] = ACTIONS(12328),
    [anon_sym_GT_EQ] = ACTIONS(12326),
    [anon_sym_CARET] = ACTIONS(12328),
    [anon_sym_PLUS] = ACTIONS(12328),
    [anon_sym_SLASH] = ACTIONS(12328),
    [anon_sym_PERCENT] = ACTIONS(12328),
    [sym_comment] = ACTIONS(87),
  },
  [11591] = {
    [sym__line_break] = ACTIONS(12330),
    [sym__heredoc_body_start] = ACTIONS(12330),
    [sym__element_reference_left_bracket] = ACTIONS(12330),
    [sym__infix_scope_colons] = ACTIONS(12330),
    [sym__binary_minus] = ACTIONS(12330),
    [sym__binary_star] = ACTIONS(12330),
    [ts_builtin_sym_end] = ACTIONS(12330),
    [anon_sym___END__] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12330),
    [anon_sym_RBRACE] = ACTIONS(12330),
    [anon_sym_RPAREN] = ACTIONS(12330),
    [anon_sym_DOT] = ACTIONS(12332),
    [anon_sym_COMMA] = ACTIONS(12330),
    [anon_sym_PIPE] = ACTIONS(12332),
    [anon_sym_SEMI] = ACTIONS(12330),
    [anon_sym_STAR_STAR] = ACTIONS(12332),
    [anon_sym_AMP] = ACTIONS(12332),
    [anon_sym_EQ] = ACTIONS(12332),
    [anon_sym_LT] = ACTIONS(12332),
    [anon_sym_end] = ACTIONS(12330),
    [anon_sym_if] = ACTIONS(12330),
    [anon_sym_unless] = ACTIONS(12330),
    [anon_sym_while] = ACTIONS(12330),
    [anon_sym_until] = ACTIONS(12330),
    [anon_sym_rescue] = ACTIONS(12330),
    [anon_sym_do] = ACTIONS(12330),
    [anon_sym_when] = ACTIONS(12330),
    [anon_sym_elsif] = ACTIONS(12330),
    [anon_sym_else] = ACTIONS(12330),
    [anon_sym_then] = ACTIONS(12330),
    [anon_sym_ensure] = ACTIONS(12330),
    [anon_sym_AMP_DOT] = ACTIONS(12330),
    [anon_sym_PLUS_EQ] = ACTIONS(12330),
    [anon_sym_DASH_EQ] = ACTIONS(12330),
    [anon_sym_STAR_EQ] = ACTIONS(12330),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12330),
    [anon_sym_SLASH_EQ] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12330),
    [anon_sym_PIPE_EQ] = ACTIONS(12330),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12330),
    [anon_sym_AMP_EQ] = ACTIONS(12330),
    [anon_sym_PERCENT_EQ] = ACTIONS(12330),
    [anon_sym_GT_GT_EQ] = ACTIONS(12330),
    [anon_sym_LT_LT_EQ] = ACTIONS(12330),
    [anon_sym_CARET_EQ] = ACTIONS(12330),
    [anon_sym_QMARK] = ACTIONS(12330),
    [anon_sym_DOT_DOT] = ACTIONS(12332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12330),
    [anon_sym_and] = ACTIONS(12330),
    [anon_sym_or] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE] = ACTIONS(12332),
    [anon_sym_AMP_AMP] = ACTIONS(12332),
    [anon_sym_LT_LT] = ACTIONS(12332),
    [anon_sym_GT_GT] = ACTIONS(12332),
    [anon_sym_EQ_EQ] = ACTIONS(12332),
    [anon_sym_BANG_EQ] = ACTIONS(12330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12330),
    [anon_sym_LT_EQ_GT] = ACTIONS(12330),
    [anon_sym_EQ_TILDE] = ACTIONS(12330),
    [anon_sym_BANG_TILDE] = ACTIONS(12330),
    [anon_sym_LT_EQ] = ACTIONS(12332),
    [anon_sym_GT] = ACTIONS(12332),
    [anon_sym_GT_EQ] = ACTIONS(12330),
    [anon_sym_CARET] = ACTIONS(12332),
    [anon_sym_PLUS] = ACTIONS(12332),
    [anon_sym_SLASH] = ACTIONS(12332),
    [anon_sym_PERCENT] = ACTIONS(12332),
    [sym_comment] = ACTIONS(87),
  },
  [11592] = {
    [sym__line_break] = ACTIONS(12444),
    [sym__heredoc_body_start] = ACTIONS(12444),
    [sym__element_reference_left_bracket] = ACTIONS(12444),
    [sym__infix_scope_colons] = ACTIONS(12444),
    [sym__binary_minus] = ACTIONS(12444),
    [sym__binary_star] = ACTIONS(12444),
    [ts_builtin_sym_end] = ACTIONS(12444),
    [anon_sym___END__] = ACTIONS(12444),
    [anon_sym_LBRACE] = ACTIONS(12444),
    [anon_sym_RBRACE] = ACTIONS(12444),
    [anon_sym_RPAREN] = ACTIONS(12444),
    [anon_sym_DOT] = ACTIONS(12446),
    [anon_sym_COMMA] = ACTIONS(12444),
    [anon_sym_PIPE] = ACTIONS(12446),
    [anon_sym_SEMI] = ACTIONS(12444),
    [anon_sym_STAR_STAR] = ACTIONS(12446),
    [anon_sym_AMP] = ACTIONS(12446),
    [anon_sym_EQ] = ACTIONS(12446),
    [anon_sym_LT] = ACTIONS(12446),
    [anon_sym_end] = ACTIONS(12444),
    [anon_sym_if] = ACTIONS(12444),
    [anon_sym_unless] = ACTIONS(12444),
    [anon_sym_while] = ACTIONS(12444),
    [anon_sym_until] = ACTIONS(12444),
    [anon_sym_rescue] = ACTIONS(12444),
    [anon_sym_do] = ACTIONS(12444),
    [anon_sym_when] = ACTIONS(12444),
    [anon_sym_elsif] = ACTIONS(12444),
    [anon_sym_else] = ACTIONS(12444),
    [anon_sym_then] = ACTIONS(12444),
    [anon_sym_ensure] = ACTIONS(12444),
    [anon_sym_AMP_DOT] = ACTIONS(12444),
    [anon_sym_PLUS_EQ] = ACTIONS(12444),
    [anon_sym_DASH_EQ] = ACTIONS(12444),
    [anon_sym_STAR_EQ] = ACTIONS(12444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12444),
    [anon_sym_SLASH_EQ] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12444),
    [anon_sym_PIPE_EQ] = ACTIONS(12444),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12444),
    [anon_sym_AMP_EQ] = ACTIONS(12444),
    [anon_sym_PERCENT_EQ] = ACTIONS(12444),
    [anon_sym_GT_GT_EQ] = ACTIONS(12444),
    [anon_sym_LT_LT_EQ] = ACTIONS(12444),
    [anon_sym_CARET_EQ] = ACTIONS(12444),
    [anon_sym_QMARK] = ACTIONS(12444),
    [anon_sym_DOT_DOT] = ACTIONS(12446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12444),
    [anon_sym_and] = ACTIONS(12444),
    [anon_sym_or] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE] = ACTIONS(12446),
    [anon_sym_AMP_AMP] = ACTIONS(12446),
    [anon_sym_LT_LT] = ACTIONS(12446),
    [anon_sym_GT_GT] = ACTIONS(12446),
    [anon_sym_EQ_EQ] = ACTIONS(12446),
    [anon_sym_BANG_EQ] = ACTIONS(12444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12444),
    [anon_sym_LT_EQ_GT] = ACTIONS(12444),
    [anon_sym_EQ_TILDE] = ACTIONS(12444),
    [anon_sym_BANG_TILDE] = ACTIONS(12444),
    [anon_sym_LT_EQ] = ACTIONS(12446),
    [anon_sym_GT] = ACTIONS(12446),
    [anon_sym_GT_EQ] = ACTIONS(12444),
    [anon_sym_CARET] = ACTIONS(12446),
    [anon_sym_PLUS] = ACTIONS(12446),
    [anon_sym_SLASH] = ACTIONS(12446),
    [anon_sym_PERCENT] = ACTIONS(12446),
    [sym_comment] = ACTIONS(87),
  },
  [11593] = {
    [sym__line_break] = ACTIONS(12737),
    [sym__heredoc_body_start] = ACTIONS(12737),
    [sym__element_reference_left_bracket] = ACTIONS(12737),
    [sym__infix_scope_colons] = ACTIONS(12737),
    [sym__binary_minus] = ACTIONS(12737),
    [sym__binary_star] = ACTIONS(12737),
    [ts_builtin_sym_end] = ACTIONS(12737),
    [anon_sym___END__] = ACTIONS(12737),
    [anon_sym_LBRACE] = ACTIONS(12737),
    [anon_sym_RBRACE] = ACTIONS(12737),
    [anon_sym_RPAREN] = ACTIONS(12737),
    [anon_sym_DOT] = ACTIONS(12739),
    [anon_sym_COMMA] = ACTIONS(12737),
    [anon_sym_PIPE] = ACTIONS(12739),
    [anon_sym_SEMI] = ACTIONS(12737),
    [anon_sym_STAR_STAR] = ACTIONS(12739),
    [anon_sym_AMP] = ACTIONS(12739),
    [anon_sym_EQ] = ACTIONS(12739),
    [anon_sym_LT] = ACTIONS(12739),
    [anon_sym_end] = ACTIONS(12737),
    [anon_sym_if] = ACTIONS(12737),
    [anon_sym_unless] = ACTIONS(12737),
    [anon_sym_while] = ACTIONS(12737),
    [anon_sym_until] = ACTIONS(12737),
    [anon_sym_rescue] = ACTIONS(12737),
    [anon_sym_do] = ACTIONS(12737),
    [anon_sym_when] = ACTIONS(12737),
    [anon_sym_elsif] = ACTIONS(12737),
    [anon_sym_else] = ACTIONS(12737),
    [anon_sym_then] = ACTIONS(12737),
    [anon_sym_ensure] = ACTIONS(12737),
    [anon_sym_AMP_DOT] = ACTIONS(12737),
    [anon_sym_PLUS_EQ] = ACTIONS(12737),
    [anon_sym_DASH_EQ] = ACTIONS(12737),
    [anon_sym_STAR_EQ] = ACTIONS(12737),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12737),
    [anon_sym_SLASH_EQ] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12737),
    [anon_sym_PIPE_EQ] = ACTIONS(12737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12737),
    [anon_sym_AMP_EQ] = ACTIONS(12737),
    [anon_sym_PERCENT_EQ] = ACTIONS(12737),
    [anon_sym_GT_GT_EQ] = ACTIONS(12737),
    [anon_sym_LT_LT_EQ] = ACTIONS(12737),
    [anon_sym_CARET_EQ] = ACTIONS(12737),
    [anon_sym_QMARK] = ACTIONS(12737),
    [anon_sym_DOT_DOT] = ACTIONS(12739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12737),
    [anon_sym_and] = ACTIONS(12737),
    [anon_sym_or] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE] = ACTIONS(12739),
    [anon_sym_AMP_AMP] = ACTIONS(12739),
    [anon_sym_LT_LT] = ACTIONS(12739),
    [anon_sym_GT_GT] = ACTIONS(12739),
    [anon_sym_EQ_EQ] = ACTIONS(12739),
    [anon_sym_BANG_EQ] = ACTIONS(12737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12737),
    [anon_sym_LT_EQ_GT] = ACTIONS(12737),
    [anon_sym_EQ_TILDE] = ACTIONS(12737),
    [anon_sym_BANG_TILDE] = ACTIONS(12737),
    [anon_sym_LT_EQ] = ACTIONS(12739),
    [anon_sym_GT] = ACTIONS(12739),
    [anon_sym_GT_EQ] = ACTIONS(12737),
    [anon_sym_CARET] = ACTIONS(12739),
    [anon_sym_PLUS] = ACTIONS(12739),
    [anon_sym_SLASH] = ACTIONS(12739),
    [anon_sym_PERCENT] = ACTIONS(12739),
    [sym_comment] = ACTIONS(87),
  },
  [11594] = {
    [anon_sym_end] = ACTIONS(14989),
    [sym_comment] = ACTIONS(87),
  },
  [11595] = {
    [sym__line_break] = ACTIONS(12881),
    [sym__heredoc_body_start] = ACTIONS(12881),
    [sym__element_reference_left_bracket] = ACTIONS(12881),
    [sym__infix_scope_colons] = ACTIONS(12881),
    [sym__binary_minus] = ACTIONS(12881),
    [sym__binary_star] = ACTIONS(12881),
    [ts_builtin_sym_end] = ACTIONS(12881),
    [anon_sym___END__] = ACTIONS(12881),
    [anon_sym_LBRACE] = ACTIONS(12881),
    [anon_sym_RBRACE] = ACTIONS(12881),
    [anon_sym_RPAREN] = ACTIONS(12881),
    [anon_sym_DOT] = ACTIONS(12883),
    [anon_sym_COMMA] = ACTIONS(12881),
    [anon_sym_PIPE] = ACTIONS(12883),
    [anon_sym_SEMI] = ACTIONS(12881),
    [anon_sym_STAR_STAR] = ACTIONS(12883),
    [anon_sym_AMP] = ACTIONS(12883),
    [anon_sym_EQ] = ACTIONS(12883),
    [anon_sym_LT] = ACTIONS(12883),
    [anon_sym_end] = ACTIONS(12881),
    [anon_sym_if] = ACTIONS(12881),
    [anon_sym_unless] = ACTIONS(12881),
    [anon_sym_while] = ACTIONS(12881),
    [anon_sym_until] = ACTIONS(12881),
    [anon_sym_rescue] = ACTIONS(12881),
    [anon_sym_do] = ACTIONS(12881),
    [anon_sym_when] = ACTIONS(12881),
    [anon_sym_elsif] = ACTIONS(12881),
    [anon_sym_else] = ACTIONS(12881),
    [anon_sym_then] = ACTIONS(12881),
    [anon_sym_ensure] = ACTIONS(12881),
    [anon_sym_AMP_DOT] = ACTIONS(12881),
    [anon_sym_PLUS_EQ] = ACTIONS(12881),
    [anon_sym_DASH_EQ] = ACTIONS(12881),
    [anon_sym_STAR_EQ] = ACTIONS(12881),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12881),
    [anon_sym_SLASH_EQ] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12881),
    [anon_sym_PIPE_EQ] = ACTIONS(12881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12881),
    [anon_sym_AMP_EQ] = ACTIONS(12881),
    [anon_sym_PERCENT_EQ] = ACTIONS(12881),
    [anon_sym_GT_GT_EQ] = ACTIONS(12881),
    [anon_sym_LT_LT_EQ] = ACTIONS(12881),
    [anon_sym_CARET_EQ] = ACTIONS(12881),
    [anon_sym_QMARK] = ACTIONS(12881),
    [anon_sym_DOT_DOT] = ACTIONS(12883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12881),
    [anon_sym_and] = ACTIONS(12881),
    [anon_sym_or] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE] = ACTIONS(12883),
    [anon_sym_AMP_AMP] = ACTIONS(12883),
    [anon_sym_LT_LT] = ACTIONS(12883),
    [anon_sym_GT_GT] = ACTIONS(12883),
    [anon_sym_EQ_EQ] = ACTIONS(12883),
    [anon_sym_BANG_EQ] = ACTIONS(12881),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12881),
    [anon_sym_LT_EQ_GT] = ACTIONS(12881),
    [anon_sym_EQ_TILDE] = ACTIONS(12881),
    [anon_sym_BANG_TILDE] = ACTIONS(12881),
    [anon_sym_LT_EQ] = ACTIONS(12883),
    [anon_sym_GT] = ACTIONS(12883),
    [anon_sym_GT_EQ] = ACTIONS(12881),
    [anon_sym_CARET] = ACTIONS(12883),
    [anon_sym_PLUS] = ACTIONS(12883),
    [anon_sym_SLASH] = ACTIONS(12883),
    [anon_sym_PERCENT] = ACTIONS(12883),
    [sym_comment] = ACTIONS(87),
  },
  [11596] = {
    [sym__line_break] = ACTIONS(13033),
    [sym__heredoc_body_start] = ACTIONS(13033),
    [sym__element_reference_left_bracket] = ACTIONS(13033),
    [sym__infix_scope_colons] = ACTIONS(13033),
    [sym__binary_minus] = ACTIONS(13033),
    [sym__binary_star] = ACTIONS(13033),
    [ts_builtin_sym_end] = ACTIONS(13033),
    [anon_sym___END__] = ACTIONS(13033),
    [anon_sym_LBRACE] = ACTIONS(13033),
    [anon_sym_RBRACE] = ACTIONS(13033),
    [anon_sym_RPAREN] = ACTIONS(13033),
    [anon_sym_DOT] = ACTIONS(13035),
    [anon_sym_COMMA] = ACTIONS(13033),
    [anon_sym_PIPE] = ACTIONS(13035),
    [anon_sym_SEMI] = ACTIONS(13033),
    [anon_sym_STAR_STAR] = ACTIONS(13035),
    [anon_sym_AMP] = ACTIONS(13035),
    [anon_sym_EQ] = ACTIONS(13035),
    [anon_sym_LT] = ACTIONS(13035),
    [anon_sym_end] = ACTIONS(13033),
    [anon_sym_if] = ACTIONS(13033),
    [anon_sym_unless] = ACTIONS(13033),
    [anon_sym_while] = ACTIONS(13033),
    [anon_sym_until] = ACTIONS(13033),
    [anon_sym_rescue] = ACTIONS(13033),
    [anon_sym_do] = ACTIONS(13033),
    [anon_sym_when] = ACTIONS(13033),
    [anon_sym_elsif] = ACTIONS(13033),
    [anon_sym_else] = ACTIONS(13033),
    [anon_sym_then] = ACTIONS(13033),
    [anon_sym_ensure] = ACTIONS(13033),
    [anon_sym_AMP_DOT] = ACTIONS(13033),
    [anon_sym_PLUS_EQ] = ACTIONS(13033),
    [anon_sym_DASH_EQ] = ACTIONS(13033),
    [anon_sym_STAR_EQ] = ACTIONS(13033),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13033),
    [anon_sym_SLASH_EQ] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13033),
    [anon_sym_PIPE_EQ] = ACTIONS(13033),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13033),
    [anon_sym_AMP_EQ] = ACTIONS(13033),
    [anon_sym_PERCENT_EQ] = ACTIONS(13033),
    [anon_sym_GT_GT_EQ] = ACTIONS(13033),
    [anon_sym_LT_LT_EQ] = ACTIONS(13033),
    [anon_sym_CARET_EQ] = ACTIONS(13033),
    [anon_sym_QMARK] = ACTIONS(13033),
    [anon_sym_DOT_DOT] = ACTIONS(13035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13033),
    [anon_sym_and] = ACTIONS(13033),
    [anon_sym_or] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE] = ACTIONS(13035),
    [anon_sym_AMP_AMP] = ACTIONS(13035),
    [anon_sym_LT_LT] = ACTIONS(13035),
    [anon_sym_GT_GT] = ACTIONS(13035),
    [anon_sym_EQ_EQ] = ACTIONS(13035),
    [anon_sym_BANG_EQ] = ACTIONS(13033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13033),
    [anon_sym_LT_EQ_GT] = ACTIONS(13033),
    [anon_sym_EQ_TILDE] = ACTIONS(13033),
    [anon_sym_BANG_TILDE] = ACTIONS(13033),
    [anon_sym_LT_EQ] = ACTIONS(13035),
    [anon_sym_GT] = ACTIONS(13035),
    [anon_sym_GT_EQ] = ACTIONS(13033),
    [anon_sym_CARET] = ACTIONS(13035),
    [anon_sym_PLUS] = ACTIONS(13035),
    [anon_sym_SLASH] = ACTIONS(13035),
    [anon_sym_PERCENT] = ACTIONS(13035),
    [sym_comment] = ACTIONS(87),
  },
  [11597] = {
    [sym__line_break] = ACTIONS(13044),
    [sym__heredoc_body_start] = ACTIONS(13044),
    [sym__element_reference_left_bracket] = ACTIONS(13044),
    [sym__infix_scope_colons] = ACTIONS(13044),
    [sym__binary_minus] = ACTIONS(13044),
    [sym__binary_star] = ACTIONS(13044),
    [ts_builtin_sym_end] = ACTIONS(13044),
    [anon_sym___END__] = ACTIONS(13044),
    [anon_sym_LBRACE] = ACTIONS(13044),
    [anon_sym_RBRACE] = ACTIONS(13044),
    [anon_sym_RPAREN] = ACTIONS(13044),
    [anon_sym_DOT] = ACTIONS(13046),
    [anon_sym_COMMA] = ACTIONS(13044),
    [anon_sym_PIPE] = ACTIONS(13046),
    [anon_sym_SEMI] = ACTIONS(13044),
    [anon_sym_STAR_STAR] = ACTIONS(13046),
    [anon_sym_AMP] = ACTIONS(13046),
    [anon_sym_EQ] = ACTIONS(13046),
    [anon_sym_LT] = ACTIONS(13046),
    [anon_sym_end] = ACTIONS(13044),
    [anon_sym_if] = ACTIONS(13044),
    [anon_sym_unless] = ACTIONS(13044),
    [anon_sym_while] = ACTIONS(13044),
    [anon_sym_until] = ACTIONS(13044),
    [anon_sym_rescue] = ACTIONS(13044),
    [anon_sym_do] = ACTIONS(13044),
    [anon_sym_when] = ACTIONS(13044),
    [anon_sym_elsif] = ACTIONS(13044),
    [anon_sym_else] = ACTIONS(13044),
    [anon_sym_then] = ACTIONS(13044),
    [anon_sym_ensure] = ACTIONS(13044),
    [anon_sym_AMP_DOT] = ACTIONS(13044),
    [anon_sym_PLUS_EQ] = ACTIONS(13044),
    [anon_sym_DASH_EQ] = ACTIONS(13044),
    [anon_sym_STAR_EQ] = ACTIONS(13044),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13044),
    [anon_sym_SLASH_EQ] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13044),
    [anon_sym_PIPE_EQ] = ACTIONS(13044),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13044),
    [anon_sym_AMP_EQ] = ACTIONS(13044),
    [anon_sym_PERCENT_EQ] = ACTIONS(13044),
    [anon_sym_GT_GT_EQ] = ACTIONS(13044),
    [anon_sym_LT_LT_EQ] = ACTIONS(13044),
    [anon_sym_CARET_EQ] = ACTIONS(13044),
    [anon_sym_QMARK] = ACTIONS(13044),
    [anon_sym_DOT_DOT] = ACTIONS(13046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13044),
    [anon_sym_and] = ACTIONS(13044),
    [anon_sym_or] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE] = ACTIONS(13046),
    [anon_sym_AMP_AMP] = ACTIONS(13046),
    [anon_sym_LT_LT] = ACTIONS(13046),
    [anon_sym_GT_GT] = ACTIONS(13046),
    [anon_sym_EQ_EQ] = ACTIONS(13046),
    [anon_sym_BANG_EQ] = ACTIONS(13044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13044),
    [anon_sym_LT_EQ_GT] = ACTIONS(13044),
    [anon_sym_EQ_TILDE] = ACTIONS(13044),
    [anon_sym_BANG_TILDE] = ACTIONS(13044),
    [anon_sym_LT_EQ] = ACTIONS(13046),
    [anon_sym_GT] = ACTIONS(13046),
    [anon_sym_GT_EQ] = ACTIONS(13044),
    [anon_sym_CARET] = ACTIONS(13046),
    [anon_sym_PLUS] = ACTIONS(13046),
    [anon_sym_SLASH] = ACTIONS(13046),
    [anon_sym_PERCENT] = ACTIONS(13046),
    [sym_comment] = ACTIONS(87),
  },
  [11598] = {
    [sym__line_break] = ACTIONS(13374),
    [sym__heredoc_body_start] = ACTIONS(13374),
    [sym__element_reference_left_bracket] = ACTIONS(13374),
    [sym__infix_scope_colons] = ACTIONS(13374),
    [sym__binary_minus] = ACTIONS(13374),
    [sym__binary_star] = ACTIONS(13374),
    [ts_builtin_sym_end] = ACTIONS(13374),
    [anon_sym___END__] = ACTIONS(13374),
    [anon_sym_LBRACE] = ACTIONS(13374),
    [anon_sym_RBRACE] = ACTIONS(13374),
    [anon_sym_RPAREN] = ACTIONS(13374),
    [anon_sym_DOT] = ACTIONS(13376),
    [anon_sym_COMMA] = ACTIONS(13374),
    [anon_sym_PIPE] = ACTIONS(13376),
    [anon_sym_SEMI] = ACTIONS(13374),
    [anon_sym_STAR_STAR] = ACTIONS(13376),
    [anon_sym_AMP] = ACTIONS(13376),
    [anon_sym_EQ] = ACTIONS(13376),
    [anon_sym_LT] = ACTIONS(13376),
    [anon_sym_end] = ACTIONS(13374),
    [anon_sym_if] = ACTIONS(13374),
    [anon_sym_unless] = ACTIONS(13374),
    [anon_sym_while] = ACTIONS(13374),
    [anon_sym_until] = ACTIONS(13374),
    [anon_sym_rescue] = ACTIONS(13374),
    [anon_sym_do] = ACTIONS(13374),
    [anon_sym_when] = ACTIONS(13374),
    [anon_sym_elsif] = ACTIONS(13374),
    [anon_sym_else] = ACTIONS(13374),
    [anon_sym_then] = ACTIONS(13374),
    [anon_sym_ensure] = ACTIONS(13374),
    [anon_sym_AMP_DOT] = ACTIONS(13374),
    [anon_sym_PLUS_EQ] = ACTIONS(13374),
    [anon_sym_DASH_EQ] = ACTIONS(13374),
    [anon_sym_STAR_EQ] = ACTIONS(13374),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13374),
    [anon_sym_SLASH_EQ] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13374),
    [anon_sym_PIPE_EQ] = ACTIONS(13374),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13374),
    [anon_sym_AMP_EQ] = ACTIONS(13374),
    [anon_sym_PERCENT_EQ] = ACTIONS(13374),
    [anon_sym_GT_GT_EQ] = ACTIONS(13374),
    [anon_sym_LT_LT_EQ] = ACTIONS(13374),
    [anon_sym_CARET_EQ] = ACTIONS(13374),
    [anon_sym_QMARK] = ACTIONS(13374),
    [anon_sym_DOT_DOT] = ACTIONS(13376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13374),
    [anon_sym_and] = ACTIONS(13374),
    [anon_sym_or] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE] = ACTIONS(13376),
    [anon_sym_AMP_AMP] = ACTIONS(13376),
    [anon_sym_LT_LT] = ACTIONS(13376),
    [anon_sym_GT_GT] = ACTIONS(13376),
    [anon_sym_EQ_EQ] = ACTIONS(13376),
    [anon_sym_BANG_EQ] = ACTIONS(13374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13374),
    [anon_sym_LT_EQ_GT] = ACTIONS(13374),
    [anon_sym_EQ_TILDE] = ACTIONS(13374),
    [anon_sym_BANG_TILDE] = ACTIONS(13374),
    [anon_sym_LT_EQ] = ACTIONS(13376),
    [anon_sym_GT] = ACTIONS(13376),
    [anon_sym_GT_EQ] = ACTIONS(13374),
    [anon_sym_CARET] = ACTIONS(13376),
    [anon_sym_PLUS] = ACTIONS(13376),
    [anon_sym_SLASH] = ACTIONS(13376),
    [anon_sym_PERCENT] = ACTIONS(13376),
    [sym_comment] = ACTIONS(87),
  },
  [11599] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11968),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6865),
    [sym_scope_resolution] = STATE(1600),
    [sym_call] = STATE(1600),
    [sym_method_call] = STATE(6865),
    [sym_assignment] = STATE(11968),
    [sym_operator_assignment] = STATE(11968),
    [sym_conditional] = STATE(11968),
    [sym_range] = STATE(11968),
    [sym_binary] = STATE(11968),
    [sym_unary] = STATE(11968),
    [sym_left_assignment_list] = STATE(6864),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6865),
    [sym__variable] = STATE(1600),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6865),
    [sym_false] = STATE(6865),
    [sym_nil] = STATE(6865),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(4225),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(9736),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3020),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(9738),
    [anon_sym_defined_QMARK] = ACTIONS(9740),
    [anon_sym_not] = ACTIONS(9742),
    [anon_sym_BANG] = ACTIONS(9744),
    [anon_sym_TILDE] = ACTIONS(9744),
    [sym_constant] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2689),
    [sym_instance_variable] = ACTIONS(2687),
    [sym_class_variable] = ACTIONS(2687),
    [sym_global_variable] = ACTIONS(2687),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11600] = {
    [sym__line_break] = ACTIONS(13941),
    [sym__heredoc_body_start] = ACTIONS(13941),
    [sym__element_reference_left_bracket] = ACTIONS(13941),
    [sym__infix_scope_colons] = ACTIONS(13941),
    [sym__binary_minus] = ACTIONS(13941),
    [sym__binary_star] = ACTIONS(13941),
    [ts_builtin_sym_end] = ACTIONS(13941),
    [anon_sym___END__] = ACTIONS(13941),
    [anon_sym_LBRACE] = ACTIONS(13941),
    [anon_sym_RBRACE] = ACTIONS(13941),
    [anon_sym_RPAREN] = ACTIONS(13941),
    [anon_sym_DOT] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13941),
    [anon_sym_PIPE] = ACTIONS(13943),
    [anon_sym_SEMI] = ACTIONS(13941),
    [anon_sym_STAR_STAR] = ACTIONS(13943),
    [anon_sym_AMP] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_LT] = ACTIONS(13943),
    [anon_sym_end] = ACTIONS(13941),
    [anon_sym_if] = ACTIONS(13941),
    [anon_sym_unless] = ACTIONS(13941),
    [anon_sym_while] = ACTIONS(13941),
    [anon_sym_until] = ACTIONS(13941),
    [anon_sym_rescue] = ACTIONS(13941),
    [anon_sym_do] = ACTIONS(13941),
    [anon_sym_when] = ACTIONS(13941),
    [anon_sym_elsif] = ACTIONS(13941),
    [anon_sym_else] = ACTIONS(13941),
    [anon_sym_then] = ACTIONS(13941),
    [anon_sym_ensure] = ACTIONS(13941),
    [anon_sym_EQ_GT] = ACTIONS(13941),
    [anon_sym_AMP_DOT] = ACTIONS(13941),
    [anon_sym_PLUS_EQ] = ACTIONS(13941),
    [anon_sym_DASH_EQ] = ACTIONS(13941),
    [anon_sym_STAR_EQ] = ACTIONS(13941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13941),
    [anon_sym_SLASH_EQ] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13941),
    [anon_sym_PIPE_EQ] = ACTIONS(13941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13941),
    [anon_sym_AMP_EQ] = ACTIONS(13941),
    [anon_sym_PERCENT_EQ] = ACTIONS(13941),
    [anon_sym_GT_GT_EQ] = ACTIONS(13941),
    [anon_sym_LT_LT_EQ] = ACTIONS(13941),
    [anon_sym_CARET_EQ] = ACTIONS(13941),
    [anon_sym_QMARK] = ACTIONS(13941),
    [anon_sym_DOT_DOT] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13941),
    [anon_sym_and] = ACTIONS(13941),
    [anon_sym_or] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE] = ACTIONS(13943),
    [anon_sym_AMP_AMP] = ACTIONS(13943),
    [anon_sym_LT_LT] = ACTIONS(13943),
    [anon_sym_GT_GT] = ACTIONS(13943),
    [anon_sym_EQ_EQ] = ACTIONS(13943),
    [anon_sym_BANG_EQ] = ACTIONS(13941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13941),
    [anon_sym_LT_EQ_GT] = ACTIONS(13941),
    [anon_sym_EQ_TILDE] = ACTIONS(13941),
    [anon_sym_BANG_TILDE] = ACTIONS(13941),
    [anon_sym_LT_EQ] = ACTIONS(13943),
    [anon_sym_GT] = ACTIONS(13943),
    [anon_sym_GT_EQ] = ACTIONS(13941),
    [anon_sym_CARET] = ACTIONS(13943),
    [anon_sym_PLUS] = ACTIONS(13943),
    [anon_sym_SLASH] = ACTIONS(13943),
    [anon_sym_PERCENT] = ACTIONS(13943),
    [sym_comment] = ACTIONS(87),
  },
  [11601] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(9803),
    [sym__binary_star] = ACTIONS(9805),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(9807),
    [anon_sym_STAR_STAR] = ACTIONS(9809),
    [anon_sym_AMP] = ACTIONS(9811),
    [anon_sym_LT] = ACTIONS(9813),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(9815),
    [anon_sym_DOT_DOT] = ACTIONS(9817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9819),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(9821),
    [anon_sym_AMP_AMP] = ACTIONS(9821),
    [anon_sym_LT_LT] = ACTIONS(9823),
    [anon_sym_GT_GT] = ACTIONS(9823),
    [anon_sym_EQ_EQ] = ACTIONS(9825),
    [anon_sym_BANG_EQ] = ACTIONS(9821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9821),
    [anon_sym_LT_EQ_GT] = ACTIONS(9821),
    [anon_sym_EQ_TILDE] = ACTIONS(9821),
    [anon_sym_BANG_TILDE] = ACTIONS(9821),
    [anon_sym_LT_EQ] = ACTIONS(9813),
    [anon_sym_GT] = ACTIONS(9813),
    [anon_sym_GT_EQ] = ACTIONS(9827),
    [anon_sym_CARET] = ACTIONS(9829),
    [anon_sym_PLUS] = ACTIONS(9831),
    [anon_sym_SLASH] = ACTIONS(9809),
    [anon_sym_PERCENT] = ACTIONS(9809),
    [sym_comment] = ACTIONS(87),
  },
  [11602] = {
    [aux_sym_exceptions_repeat1] = STATE(11602),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(14991),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11603] = {
    [sym__heredoc_body_start] = ACTIONS(9993),
    [sym__element_reference_left_bracket] = ACTIONS(9993),
    [sym__infix_scope_colons] = ACTIONS(9993),
    [sym__binary_minus] = ACTIONS(9993),
    [sym__binary_star] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_RBRACE] = ACTIONS(9993),
    [anon_sym_RPAREN] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9995),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_PIPE] = ACTIONS(9995),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_STAR_STAR] = ACTIONS(9995),
    [anon_sym_AMP] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9995),
    [anon_sym_LT] = ACTIONS(9995),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_unless] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [anon_sym_until] = ACTIONS(9993),
    [anon_sym_rescue] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_do] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_AMP_DOT] = ACTIONS(9993),
    [anon_sym_PLUS_EQ] = ACTIONS(9993),
    [anon_sym_DASH_EQ] = ACTIONS(9993),
    [anon_sym_STAR_EQ] = ACTIONS(9993),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9993),
    [anon_sym_SLASH_EQ] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9993),
    [anon_sym_PIPE_EQ] = ACTIONS(9993),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9993),
    [anon_sym_AMP_EQ] = ACTIONS(9993),
    [anon_sym_PERCENT_EQ] = ACTIONS(9993),
    [anon_sym_GT_GT_EQ] = ACTIONS(9993),
    [anon_sym_LT_LT_EQ] = ACTIONS(9993),
    [anon_sym_CARET_EQ] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_DOT_DOT] = ACTIONS(9995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_and] = ACTIONS(9993),
    [anon_sym_or] = ACTIONS(9993),
    [anon_sym_PIPE_PIPE] = ACTIONS(9995),
    [anon_sym_AMP_AMP] = ACTIONS(9995),
    [anon_sym_LT_LT] = ACTIONS(9995),
    [anon_sym_GT_GT] = ACTIONS(9995),
    [anon_sym_EQ_EQ] = ACTIONS(9995),
    [anon_sym_BANG_EQ] = ACTIONS(9993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9993),
    [anon_sym_LT_EQ_GT] = ACTIONS(9993),
    [anon_sym_EQ_TILDE] = ACTIONS(9993),
    [anon_sym_BANG_TILDE] = ACTIONS(9993),
    [anon_sym_LT_EQ] = ACTIONS(9995),
    [anon_sym_GT] = ACTIONS(9995),
    [anon_sym_GT_EQ] = ACTIONS(9993),
    [anon_sym_CARET] = ACTIONS(9995),
    [anon_sym_PLUS] = ACTIONS(9995),
    [anon_sym_SLASH] = ACTIONS(9995),
    [anon_sym_PERCENT] = ACTIONS(9995),
    [sym_comment] = ACTIONS(87),
  },
  [11604] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1775),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(14994),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [11605] = {
    [sym__heredoc_body_start] = ACTIONS(9999),
    [sym__element_reference_left_bracket] = ACTIONS(9999),
    [sym__infix_scope_colons] = ACTIONS(9999),
    [sym__binary_minus] = ACTIONS(9999),
    [sym__binary_star] = ACTIONS(9999),
    [anon_sym_LBRACE] = ACTIONS(9999),
    [anon_sym_RBRACE] = ACTIONS(9999),
    [anon_sym_RPAREN] = ACTIONS(9999),
    [anon_sym_DOT] = ACTIONS(10001),
    [anon_sym_COMMA] = ACTIONS(9999),
    [anon_sym_PIPE] = ACTIONS(10001),
    [anon_sym_SEMI] = ACTIONS(9999),
    [anon_sym_STAR_STAR] = ACTIONS(10001),
    [anon_sym_AMP] = ACTIONS(10001),
    [anon_sym_EQ] = ACTIONS(10001),
    [anon_sym_LT] = ACTIONS(10001),
    [anon_sym_if] = ACTIONS(9999),
    [anon_sym_unless] = ACTIONS(9999),
    [anon_sym_while] = ACTIONS(9999),
    [anon_sym_until] = ACTIONS(9999),
    [anon_sym_rescue] = ACTIONS(9999),
    [anon_sym_in] = ACTIONS(9999),
    [anon_sym_do] = ACTIONS(9999),
    [anon_sym_RBRACK] = ACTIONS(9999),
    [anon_sym_AMP_DOT] = ACTIONS(9999),
    [anon_sym_PLUS_EQ] = ACTIONS(9999),
    [anon_sym_DASH_EQ] = ACTIONS(9999),
    [anon_sym_STAR_EQ] = ACTIONS(9999),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9999),
    [anon_sym_SLASH_EQ] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9999),
    [anon_sym_PIPE_EQ] = ACTIONS(9999),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9999),
    [anon_sym_AMP_EQ] = ACTIONS(9999),
    [anon_sym_PERCENT_EQ] = ACTIONS(9999),
    [anon_sym_GT_GT_EQ] = ACTIONS(9999),
    [anon_sym_LT_LT_EQ] = ACTIONS(9999),
    [anon_sym_CARET_EQ] = ACTIONS(9999),
    [anon_sym_QMARK] = ACTIONS(9999),
    [anon_sym_COLON] = ACTIONS(9999),
    [anon_sym_DOT_DOT] = ACTIONS(10001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9999),
    [anon_sym_and] = ACTIONS(9999),
    [anon_sym_or] = ACTIONS(9999),
    [anon_sym_PIPE_PIPE] = ACTIONS(10001),
    [anon_sym_AMP_AMP] = ACTIONS(10001),
    [anon_sym_LT_LT] = ACTIONS(10001),
    [anon_sym_GT_GT] = ACTIONS(10001),
    [anon_sym_EQ_EQ] = ACTIONS(10001),
    [anon_sym_BANG_EQ] = ACTIONS(9999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9999),
    [anon_sym_LT_EQ_GT] = ACTIONS(9999),
    [anon_sym_EQ_TILDE] = ACTIONS(9999),
    [anon_sym_BANG_TILDE] = ACTIONS(9999),
    [anon_sym_LT_EQ] = ACTIONS(10001),
    [anon_sym_GT] = ACTIONS(10001),
    [anon_sym_GT_EQ] = ACTIONS(9999),
    [anon_sym_CARET] = ACTIONS(10001),
    [anon_sym_PLUS] = ACTIONS(10001),
    [anon_sym_SLASH] = ACTIONS(10001),
    [anon_sym_PERCENT] = ACTIONS(10001),
    [sym_comment] = ACTIONS(87),
  },
  [11606] = {
    [sym__heredoc_body_start] = ACTIONS(10003),
    [sym__element_reference_left_bracket] = ACTIONS(10003),
    [sym__infix_scope_colons] = ACTIONS(10003),
    [sym__binary_minus] = ACTIONS(10003),
    [sym__binary_star] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_RBRACE] = ACTIONS(10003),
    [anon_sym_RPAREN] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10005),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_PIPE] = ACTIONS(10005),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_STAR_STAR] = ACTIONS(10005),
    [anon_sym_AMP] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10005),
    [anon_sym_LT] = ACTIONS(10005),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_unless] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [anon_sym_until] = ACTIONS(10003),
    [anon_sym_rescue] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_RBRACK] = ACTIONS(10003),
    [anon_sym_AMP_DOT] = ACTIONS(10003),
    [anon_sym_PLUS_EQ] = ACTIONS(10003),
    [anon_sym_DASH_EQ] = ACTIONS(10003),
    [anon_sym_STAR_EQ] = ACTIONS(10003),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10003),
    [anon_sym_SLASH_EQ] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10003),
    [anon_sym_PIPE_EQ] = ACTIONS(10003),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10003),
    [anon_sym_AMP_EQ] = ACTIONS(10003),
    [anon_sym_PERCENT_EQ] = ACTIONS(10003),
    [anon_sym_GT_GT_EQ] = ACTIONS(10003),
    [anon_sym_LT_LT_EQ] = ACTIONS(10003),
    [anon_sym_CARET_EQ] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_DOT_DOT] = ACTIONS(10005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_and] = ACTIONS(10003),
    [anon_sym_or] = ACTIONS(10003),
    [anon_sym_PIPE_PIPE] = ACTIONS(10005),
    [anon_sym_AMP_AMP] = ACTIONS(10005),
    [anon_sym_LT_LT] = ACTIONS(10005),
    [anon_sym_GT_GT] = ACTIONS(10005),
    [anon_sym_EQ_EQ] = ACTIONS(10005),
    [anon_sym_BANG_EQ] = ACTIONS(10003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10003),
    [anon_sym_LT_EQ_GT] = ACTIONS(10003),
    [anon_sym_EQ_TILDE] = ACTIONS(10003),
    [anon_sym_BANG_TILDE] = ACTIONS(10003),
    [anon_sym_LT_EQ] = ACTIONS(10005),
    [anon_sym_GT] = ACTIONS(10005),
    [anon_sym_GT_EQ] = ACTIONS(10003),
    [anon_sym_CARET] = ACTIONS(10005),
    [anon_sym_PLUS] = ACTIONS(10005),
    [anon_sym_SLASH] = ACTIONS(10005),
    [anon_sym_PERCENT] = ACTIONS(10005),
    [sym_comment] = ACTIONS(87),
  },
  [11607] = {
    [sym_interpolation] = STATE(71),
    [sym__literal_contents] = STATE(1783),
    [aux_sym__literal_contents_repeat1] = STATE(71),
    [sym__string_content] = ACTIONS(119),
    [sym__string_end] = ACTIONS(14996),
    [sym_comment] = ACTIONS(109),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_escape_sequence] = ACTIONS(119),
  },
  [11608] = {
    [sym__heredoc_body_start] = ACTIONS(10009),
    [sym__element_reference_left_bracket] = ACTIONS(10009),
    [sym__infix_scope_colons] = ACTIONS(10009),
    [sym__binary_minus] = ACTIONS(10009),
    [sym__binary_star] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_PIPE] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_STAR_STAR] = ACTIONS(10011),
    [anon_sym_AMP] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_LT] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10009),
    [anon_sym_unless] = ACTIONS(10009),
    [anon_sym_while] = ACTIONS(10009),
    [anon_sym_until] = ACTIONS(10009),
    [anon_sym_rescue] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10009),
    [anon_sym_do] = ACTIONS(10009),
    [anon_sym_RBRACK] = ACTIONS(10009),
    [anon_sym_AMP_DOT] = ACTIONS(10009),
    [anon_sym_PLUS_EQ] = ACTIONS(10009),
    [anon_sym_DASH_EQ] = ACTIONS(10009),
    [anon_sym_STAR_EQ] = ACTIONS(10009),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10009),
    [anon_sym_SLASH_EQ] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10009),
    [anon_sym_PIPE_EQ] = ACTIONS(10009),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10009),
    [anon_sym_AMP_EQ] = ACTIONS(10009),
    [anon_sym_PERCENT_EQ] = ACTIONS(10009),
    [anon_sym_GT_GT_EQ] = ACTIONS(10009),
    [anon_sym_LT_LT_EQ] = ACTIONS(10009),
    [anon_sym_CARET_EQ] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10009),
    [anon_sym_DOT_DOT] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_and] = ACTIONS(10009),
    [anon_sym_or] = ACTIONS(10009),
    [anon_sym_PIPE_PIPE] = ACTIONS(10011),
    [anon_sym_AMP_AMP] = ACTIONS(10011),
    [anon_sym_LT_LT] = ACTIONS(10011),
    [anon_sym_GT_GT] = ACTIONS(10011),
    [anon_sym_EQ_EQ] = ACTIONS(10011),
    [anon_sym_BANG_EQ] = ACTIONS(10009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10009),
    [anon_sym_LT_EQ_GT] = ACTIONS(10009),
    [anon_sym_EQ_TILDE] = ACTIONS(10009),
    [anon_sym_BANG_TILDE] = ACTIONS(10009),
    [anon_sym_LT_EQ] = ACTIONS(10011),
    [anon_sym_GT] = ACTIONS(10011),
    [anon_sym_GT_EQ] = ACTIONS(10009),
    [anon_sym_CARET] = ACTIONS(10011),
    [anon_sym_PLUS] = ACTIONS(10011),
    [anon_sym_SLASH] = ACTIONS(10011),
    [anon_sym_PERCENT] = ACTIONS(10011),
    [sym_comment] = ACTIONS(87),
  },
  [11609] = {
    [sym__method_rest] = STATE(11971),
    [sym_operator] = STATE(136),
    [sym__method_name] = STATE(7011),
    [sym_setter] = STATE(136),
    [sym_symbol] = STATE(136),
    [sym__simple_symbol] = ACTIONS(229),
    [sym__symbol_start] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_LT_EQ_GT] = ACTIONS(235),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_BANG_TILDE] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_constant] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [sym_instance_variable] = ACTIONS(541),
    [sym_class_variable] = ACTIONS(541),
    [sym_global_variable] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_PLUS_AT] = ACTIONS(235),
    [anon_sym_DASH_AT] = ACTIONS(235),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(237),
    [anon_sym_LBRACK_RBRACK_EQ] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(235),
    [sym_comment] = ACTIONS(87),
  },
  [11610] = {
    [sym__heredoc_body_start] = ACTIONS(10750),
    [sym__element_reference_left_bracket] = ACTIONS(10750),
    [sym__infix_scope_colons] = ACTIONS(10750),
    [sym__binary_minus] = ACTIONS(10750),
    [sym__binary_star] = ACTIONS(10750),
    [anon_sym_LBRACE] = ACTIONS(10750),
    [anon_sym_RBRACE] = ACTIONS(10750),
    [anon_sym_RPAREN] = ACTIONS(10750),
    [anon_sym_DOT] = ACTIONS(10752),
    [anon_sym_COMMA] = ACTIONS(10750),
    [anon_sym_PIPE] = ACTIONS(10752),
    [anon_sym_SEMI] = ACTIONS(10750),
    [anon_sym_STAR_STAR] = ACTIONS(10752),
    [anon_sym_AMP] = ACTIONS(10752),
    [anon_sym_EQ] = ACTIONS(10752),
    [anon_sym_LT] = ACTIONS(10752),
    [anon_sym_if] = ACTIONS(10750),
    [anon_sym_unless] = ACTIONS(10750),
    [anon_sym_while] = ACTIONS(10750),
    [anon_sym_until] = ACTIONS(10750),
    [anon_sym_rescue] = ACTIONS(10750),
    [anon_sym_in] = ACTIONS(10750),
    [anon_sym_do] = ACTIONS(10750),
    [anon_sym_RBRACK] = ACTIONS(10750),
    [anon_sym_AMP_DOT] = ACTIONS(10750),
    [anon_sym_PLUS_EQ] = ACTIONS(10750),
    [anon_sym_DASH_EQ] = ACTIONS(10750),
    [anon_sym_STAR_EQ] = ACTIONS(10750),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10750),
    [anon_sym_SLASH_EQ] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10750),
    [anon_sym_PIPE_EQ] = ACTIONS(10750),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10750),
    [anon_sym_AMP_EQ] = ACTIONS(10750),
    [anon_sym_PERCENT_EQ] = ACTIONS(10750),
    [anon_sym_GT_GT_EQ] = ACTIONS(10750),
    [anon_sym_LT_LT_EQ] = ACTIONS(10750),
    [anon_sym_CARET_EQ] = ACTIONS(10750),
    [anon_sym_QMARK] = ACTIONS(10750),
    [anon_sym_COLON] = ACTIONS(10750),
    [anon_sym_DOT_DOT] = ACTIONS(10752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10750),
    [anon_sym_and] = ACTIONS(10750),
    [anon_sym_or] = ACTIONS(10750),
    [anon_sym_PIPE_PIPE] = ACTIONS(10752),
    [anon_sym_AMP_AMP] = ACTIONS(10752),
    [anon_sym_LT_LT] = ACTIONS(10752),
    [anon_sym_GT_GT] = ACTIONS(10752),
    [anon_sym_EQ_EQ] = ACTIONS(10752),
    [anon_sym_BANG_EQ] = ACTIONS(10750),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10750),
    [anon_sym_LT_EQ_GT] = ACTIONS(10750),
    [anon_sym_EQ_TILDE] = ACTIONS(10750),
    [anon_sym_BANG_TILDE] = ACTIONS(10750),
    [anon_sym_LT_EQ] = ACTIONS(10752),
    [anon_sym_GT] = ACTIONS(10752),
    [anon_sym_GT_EQ] = ACTIONS(10750),
    [anon_sym_CARET] = ACTIONS(10752),
    [anon_sym_PLUS] = ACTIONS(10752),
    [anon_sym_SLASH] = ACTIONS(10752),
    [anon_sym_PERCENT] = ACTIONS(10752),
    [sym_comment] = ACTIONS(87),
  },
  [11611] = {
    [sym__heredoc_body_start] = ACTIONS(10754),
    [sym__element_reference_left_bracket] = ACTIONS(10754),
    [sym__infix_scope_colons] = ACTIONS(10754),
    [sym__binary_minus] = ACTIONS(10754),
    [sym__binary_star] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_RBRACE] = ACTIONS(10754),
    [anon_sym_RPAREN] = ACTIONS(10754),
    [anon_sym_DOT] = ACTIONS(10756),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_PIPE] = ACTIONS(10756),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_STAR_STAR] = ACTIONS(10756),
    [anon_sym_AMP] = ACTIONS(10756),
    [anon_sym_EQ] = ACTIONS(10756),
    [anon_sym_LT] = ACTIONS(10756),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_unless] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [anon_sym_until] = ACTIONS(10754),
    [anon_sym_rescue] = ACTIONS(10754),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_do] = ACTIONS(10754),
    [anon_sym_RBRACK] = ACTIONS(10754),
    [anon_sym_AMP_DOT] = ACTIONS(10754),
    [anon_sym_PLUS_EQ] = ACTIONS(10754),
    [anon_sym_DASH_EQ] = ACTIONS(10754),
    [anon_sym_STAR_EQ] = ACTIONS(10754),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10754),
    [anon_sym_SLASH_EQ] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10754),
    [anon_sym_PIPE_EQ] = ACTIONS(10754),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10754),
    [anon_sym_AMP_EQ] = ACTIONS(10754),
    [anon_sym_PERCENT_EQ] = ACTIONS(10754),
    [anon_sym_GT_GT_EQ] = ACTIONS(10754),
    [anon_sym_LT_LT_EQ] = ACTIONS(10754),
    [anon_sym_CARET_EQ] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_DOT_DOT] = ACTIONS(10756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_and] = ACTIONS(10754),
    [anon_sym_or] = ACTIONS(10754),
    [anon_sym_PIPE_PIPE] = ACTIONS(10756),
    [anon_sym_AMP_AMP] = ACTIONS(10756),
    [anon_sym_LT_LT] = ACTIONS(10756),
    [anon_sym_GT_GT] = ACTIONS(10756),
    [anon_sym_EQ_EQ] = ACTIONS(10756),
    [anon_sym_BANG_EQ] = ACTIONS(10754),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10754),
    [anon_sym_LT_EQ_GT] = ACTIONS(10754),
    [anon_sym_EQ_TILDE] = ACTIONS(10754),
    [anon_sym_BANG_TILDE] = ACTIONS(10754),
    [anon_sym_LT_EQ] = ACTIONS(10756),
    [anon_sym_GT] = ACTIONS(10756),
    [anon_sym_GT_EQ] = ACTIONS(10754),
    [anon_sym_CARET] = ACTIONS(10756),
    [anon_sym_PLUS] = ACTIONS(10756),
    [anon_sym_SLASH] = ACTIONS(10756),
    [anon_sym_PERCENT] = ACTIONS(10756),
    [sym_comment] = ACTIONS(87),
  },
  [11612] = {
    [sym__heredoc_body_start] = ACTIONS(10911),
    [sym__element_reference_left_bracket] = ACTIONS(10911),
    [sym__infix_scope_colons] = ACTIONS(10911),
    [sym__binary_minus] = ACTIONS(10911),
    [sym__binary_star] = ACTIONS(10911),
    [anon_sym_LBRACE] = ACTIONS(10911),
    [anon_sym_RBRACE] = ACTIONS(10911),
    [anon_sym_RPAREN] = ACTIONS(10911),
    [anon_sym_DOT] = ACTIONS(10913),
    [anon_sym_COMMA] = ACTIONS(10911),
    [anon_sym_PIPE] = ACTIONS(10913),
    [anon_sym_SEMI] = ACTIONS(10911),
    [anon_sym_STAR_STAR] = ACTIONS(10913),
    [anon_sym_AMP] = ACTIONS(10913),
    [anon_sym_EQ] = ACTIONS(10913),
    [anon_sym_LT] = ACTIONS(10913),
    [anon_sym_if] = ACTIONS(10911),
    [anon_sym_unless] = ACTIONS(10911),
    [anon_sym_while] = ACTIONS(10911),
    [anon_sym_until] = ACTIONS(10911),
    [anon_sym_rescue] = ACTIONS(10911),
    [anon_sym_in] = ACTIONS(10911),
    [anon_sym_do] = ACTIONS(10911),
    [anon_sym_RBRACK] = ACTIONS(10911),
    [anon_sym_AMP_DOT] = ACTIONS(10911),
    [anon_sym_PLUS_EQ] = ACTIONS(10911),
    [anon_sym_DASH_EQ] = ACTIONS(10911),
    [anon_sym_STAR_EQ] = ACTIONS(10911),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(10911),
    [anon_sym_SLASH_EQ] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(10911),
    [anon_sym_PIPE_EQ] = ACTIONS(10911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(10911),
    [anon_sym_AMP_EQ] = ACTIONS(10911),
    [anon_sym_PERCENT_EQ] = ACTIONS(10911),
    [anon_sym_GT_GT_EQ] = ACTIONS(10911),
    [anon_sym_LT_LT_EQ] = ACTIONS(10911),
    [anon_sym_CARET_EQ] = ACTIONS(10911),
    [anon_sym_QMARK] = ACTIONS(10911),
    [anon_sym_COLON] = ACTIONS(10911),
    [anon_sym_DOT_DOT] = ACTIONS(10913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10911),
    [anon_sym_and] = ACTIONS(10911),
    [anon_sym_or] = ACTIONS(10911),
    [anon_sym_PIPE_PIPE] = ACTIONS(10913),
    [anon_sym_AMP_AMP] = ACTIONS(10913),
    [anon_sym_LT_LT] = ACTIONS(10913),
    [anon_sym_GT_GT] = ACTIONS(10913),
    [anon_sym_EQ_EQ] = ACTIONS(10913),
    [anon_sym_BANG_EQ] = ACTIONS(10911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10911),
    [anon_sym_LT_EQ_GT] = ACTIONS(10911),
    [anon_sym_EQ_TILDE] = ACTIONS(10911),
    [anon_sym_BANG_TILDE] = ACTIONS(10911),
    [anon_sym_LT_EQ] = ACTIONS(10913),
    [anon_sym_GT] = ACTIONS(10913),
    [anon_sym_GT_EQ] = ACTIONS(10911),
    [anon_sym_CARET] = ACTIONS(10913),
    [anon_sym_PLUS] = ACTIONS(10913),
    [anon_sym_SLASH] = ACTIONS(10913),
    [anon_sym_PERCENT] = ACTIONS(10913),
    [sym_comment] = ACTIONS(87),
  },
  [11613] = {
    [anon_sym_end] = ACTIONS(14998),
    [sym_comment] = ACTIONS(87),
  },
  [11614] = {
    [sym_elsif] = STATE(11973),
    [sym_else] = STATE(11973),
    [sym__if_tail] = STATE(11973),
    [anon_sym_end] = ACTIONS(14998),
    [anon_sym_elsif] = ACTIONS(7918),
    [anon_sym_else] = ACTIONS(7920),
    [sym_comment] = ACTIONS(87),
  },
  [11615] = {
    [sym__heredoc_body_start] = ACTIONS(11082),
    [sym__element_reference_left_bracket] = ACTIONS(11082),
    [sym__infix_scope_colons] = ACTIONS(11082),
    [sym__binary_minus] = ACTIONS(11082),
    [sym__binary_star] = ACTIONS(11082),
    [anon_sym_LBRACE] = ACTIONS(11082),
    [anon_sym_RBRACE] = ACTIONS(11082),
    [anon_sym_RPAREN] = ACTIONS(11082),
    [anon_sym_DOT] = ACTIONS(11084),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_PIPE] = ACTIONS(11084),
    [anon_sym_SEMI] = ACTIONS(11082),
    [anon_sym_STAR_STAR] = ACTIONS(11084),
    [anon_sym_AMP] = ACTIONS(11084),
    [anon_sym_EQ] = ACTIONS(11084),
    [anon_sym_LT] = ACTIONS(11084),
    [anon_sym_if] = ACTIONS(11082),
    [anon_sym_unless] = ACTIONS(11082),
    [anon_sym_while] = ACTIONS(11082),
    [anon_sym_until] = ACTIONS(11082),
    [anon_sym_rescue] = ACTIONS(11082),
    [anon_sym_in] = ACTIONS(11082),
    [anon_sym_do] = ACTIONS(11082),
    [anon_sym_RBRACK] = ACTIONS(11082),
    [anon_sym_AMP_DOT] = ACTIONS(11082),
    [anon_sym_PLUS_EQ] = ACTIONS(11082),
    [anon_sym_DASH_EQ] = ACTIONS(11082),
    [anon_sym_STAR_EQ] = ACTIONS(11082),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11082),
    [anon_sym_SLASH_EQ] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11082),
    [anon_sym_PIPE_EQ] = ACTIONS(11082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11082),
    [anon_sym_AMP_EQ] = ACTIONS(11082),
    [anon_sym_PERCENT_EQ] = ACTIONS(11082),
    [anon_sym_GT_GT_EQ] = ACTIONS(11082),
    [anon_sym_LT_LT_EQ] = ACTIONS(11082),
    [anon_sym_CARET_EQ] = ACTIONS(11082),
    [anon_sym_QMARK] = ACTIONS(11082),
    [anon_sym_COLON] = ACTIONS(11082),
    [anon_sym_DOT_DOT] = ACTIONS(11084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11082),
    [anon_sym_and] = ACTIONS(11082),
    [anon_sym_or] = ACTIONS(11082),
    [anon_sym_PIPE_PIPE] = ACTIONS(11084),
    [anon_sym_AMP_AMP] = ACTIONS(11084),
    [anon_sym_LT_LT] = ACTIONS(11084),
    [anon_sym_GT_GT] = ACTIONS(11084),
    [anon_sym_EQ_EQ] = ACTIONS(11084),
    [anon_sym_BANG_EQ] = ACTIONS(11082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11082),
    [anon_sym_LT_EQ_GT] = ACTIONS(11082),
    [anon_sym_EQ_TILDE] = ACTIONS(11082),
    [anon_sym_BANG_TILDE] = ACTIONS(11082),
    [anon_sym_LT_EQ] = ACTIONS(11084),
    [anon_sym_GT] = ACTIONS(11084),
    [anon_sym_GT_EQ] = ACTIONS(11082),
    [anon_sym_CARET] = ACTIONS(11084),
    [anon_sym_PLUS] = ACTIONS(11084),
    [anon_sym_SLASH] = ACTIONS(11084),
    [anon_sym_PERCENT] = ACTIONS(11084),
    [sym_comment] = ACTIONS(87),
  },
  [11616] = {
    [anon_sym_end] = ACTIONS(15000),
    [sym_comment] = ACTIONS(87),
  },
  [11617] = {
    [sym__heredoc_body_start] = ACTIONS(11177),
    [sym__element_reference_left_bracket] = ACTIONS(11177),
    [sym__infix_scope_colons] = ACTIONS(11177),
    [sym__binary_minus] = ACTIONS(11177),
    [sym__binary_star] = ACTIONS(11177),
    [anon_sym_LBRACE] = ACTIONS(11177),
    [anon_sym_RBRACE] = ACTIONS(11177),
    [anon_sym_RPAREN] = ACTIONS(11177),
    [anon_sym_DOT] = ACTIONS(11179),
    [anon_sym_COMMA] = ACTIONS(11177),
    [anon_sym_PIPE] = ACTIONS(11179),
    [anon_sym_SEMI] = ACTIONS(11177),
    [anon_sym_STAR_STAR] = ACTIONS(11179),
    [anon_sym_AMP] = ACTIONS(11179),
    [anon_sym_EQ] = ACTIONS(11179),
    [anon_sym_LT] = ACTIONS(11179),
    [anon_sym_if] = ACTIONS(11177),
    [anon_sym_unless] = ACTIONS(11177),
    [anon_sym_while] = ACTIONS(11177),
    [anon_sym_until] = ACTIONS(11177),
    [anon_sym_rescue] = ACTIONS(11177),
    [anon_sym_in] = ACTIONS(11177),
    [anon_sym_do] = ACTIONS(11177),
    [anon_sym_RBRACK] = ACTIONS(11177),
    [anon_sym_AMP_DOT] = ACTIONS(11177),
    [anon_sym_PLUS_EQ] = ACTIONS(11177),
    [anon_sym_DASH_EQ] = ACTIONS(11177),
    [anon_sym_STAR_EQ] = ACTIONS(11177),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11177),
    [anon_sym_SLASH_EQ] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11177),
    [anon_sym_PIPE_EQ] = ACTIONS(11177),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11177),
    [anon_sym_AMP_EQ] = ACTIONS(11177),
    [anon_sym_PERCENT_EQ] = ACTIONS(11177),
    [anon_sym_GT_GT_EQ] = ACTIONS(11177),
    [anon_sym_LT_LT_EQ] = ACTIONS(11177),
    [anon_sym_CARET_EQ] = ACTIONS(11177),
    [anon_sym_QMARK] = ACTIONS(11177),
    [anon_sym_COLON] = ACTIONS(11177),
    [anon_sym_DOT_DOT] = ACTIONS(11179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11177),
    [anon_sym_and] = ACTIONS(11177),
    [anon_sym_or] = ACTIONS(11177),
    [anon_sym_PIPE_PIPE] = ACTIONS(11179),
    [anon_sym_AMP_AMP] = ACTIONS(11179),
    [anon_sym_LT_LT] = ACTIONS(11179),
    [anon_sym_GT_GT] = ACTIONS(11179),
    [anon_sym_EQ_EQ] = ACTIONS(11179),
    [anon_sym_BANG_EQ] = ACTIONS(11177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11177),
    [anon_sym_LT_EQ_GT] = ACTIONS(11177),
    [anon_sym_EQ_TILDE] = ACTIONS(11177),
    [anon_sym_BANG_TILDE] = ACTIONS(11177),
    [anon_sym_LT_EQ] = ACTIONS(11179),
    [anon_sym_GT] = ACTIONS(11179),
    [anon_sym_GT_EQ] = ACTIONS(11177),
    [anon_sym_CARET] = ACTIONS(11179),
    [anon_sym_PLUS] = ACTIONS(11179),
    [anon_sym_SLASH] = ACTIONS(11179),
    [anon_sym_PERCENT] = ACTIONS(11179),
    [sym_comment] = ACTIONS(87),
  },
  [11618] = {
    [sym__heredoc_body_start] = ACTIONS(11186),
    [sym__element_reference_left_bracket] = ACTIONS(11186),
    [sym__infix_scope_colons] = ACTIONS(11186),
    [sym__binary_minus] = ACTIONS(11186),
    [sym__binary_star] = ACTIONS(11186),
    [anon_sym_LBRACE] = ACTIONS(11186),
    [anon_sym_RBRACE] = ACTIONS(11186),
    [anon_sym_RPAREN] = ACTIONS(11186),
    [anon_sym_DOT] = ACTIONS(11188),
    [anon_sym_COMMA] = ACTIONS(11186),
    [anon_sym_PIPE] = ACTIONS(11188),
    [anon_sym_SEMI] = ACTIONS(11186),
    [anon_sym_STAR_STAR] = ACTIONS(11188),
    [anon_sym_AMP] = ACTIONS(11188),
    [anon_sym_EQ] = ACTIONS(11188),
    [anon_sym_LT] = ACTIONS(11188),
    [anon_sym_if] = ACTIONS(11186),
    [anon_sym_unless] = ACTIONS(11186),
    [anon_sym_while] = ACTIONS(11186),
    [anon_sym_until] = ACTIONS(11186),
    [anon_sym_rescue] = ACTIONS(11186),
    [anon_sym_in] = ACTIONS(11186),
    [anon_sym_do] = ACTIONS(11186),
    [anon_sym_RBRACK] = ACTIONS(11186),
    [anon_sym_AMP_DOT] = ACTIONS(11186),
    [anon_sym_PLUS_EQ] = ACTIONS(11186),
    [anon_sym_DASH_EQ] = ACTIONS(11186),
    [anon_sym_STAR_EQ] = ACTIONS(11186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11186),
    [anon_sym_SLASH_EQ] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11186),
    [anon_sym_PIPE_EQ] = ACTIONS(11186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11186),
    [anon_sym_AMP_EQ] = ACTIONS(11186),
    [anon_sym_PERCENT_EQ] = ACTIONS(11186),
    [anon_sym_GT_GT_EQ] = ACTIONS(11186),
    [anon_sym_LT_LT_EQ] = ACTIONS(11186),
    [anon_sym_CARET_EQ] = ACTIONS(11186),
    [anon_sym_QMARK] = ACTIONS(11186),
    [anon_sym_COLON] = ACTIONS(11186),
    [anon_sym_DOT_DOT] = ACTIONS(11188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11186),
    [anon_sym_and] = ACTIONS(11186),
    [anon_sym_or] = ACTIONS(11186),
    [anon_sym_PIPE_PIPE] = ACTIONS(11188),
    [anon_sym_AMP_AMP] = ACTIONS(11188),
    [anon_sym_LT_LT] = ACTIONS(11188),
    [anon_sym_GT_GT] = ACTIONS(11188),
    [anon_sym_EQ_EQ] = ACTIONS(11188),
    [anon_sym_BANG_EQ] = ACTIONS(11186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11186),
    [anon_sym_LT_EQ_GT] = ACTIONS(11186),
    [anon_sym_EQ_TILDE] = ACTIONS(11186),
    [anon_sym_BANG_TILDE] = ACTIONS(11186),
    [anon_sym_LT_EQ] = ACTIONS(11188),
    [anon_sym_GT] = ACTIONS(11188),
    [anon_sym_GT_EQ] = ACTIONS(11186),
    [anon_sym_CARET] = ACTIONS(11188),
    [anon_sym_PLUS] = ACTIONS(11188),
    [anon_sym_SLASH] = ACTIONS(11188),
    [anon_sym_PERCENT] = ACTIONS(11188),
    [sym_comment] = ACTIONS(87),
  },
  [11619] = {
    [sym__heredoc_body_start] = ACTIONS(11233),
    [sym__element_reference_left_bracket] = ACTIONS(11233),
    [sym__infix_scope_colons] = ACTIONS(11233),
    [sym__binary_minus] = ACTIONS(11233),
    [sym__binary_star] = ACTIONS(11233),
    [anon_sym_LBRACE] = ACTIONS(11233),
    [anon_sym_RBRACE] = ACTIONS(11233),
    [anon_sym_RPAREN] = ACTIONS(11233),
    [anon_sym_DOT] = ACTIONS(11235),
    [anon_sym_COMMA] = ACTIONS(11233),
    [anon_sym_PIPE] = ACTIONS(11235),
    [anon_sym_SEMI] = ACTIONS(11233),
    [anon_sym_STAR_STAR] = ACTIONS(11235),
    [anon_sym_AMP] = ACTIONS(11235),
    [anon_sym_EQ] = ACTIONS(11235),
    [anon_sym_LT] = ACTIONS(11235),
    [anon_sym_if] = ACTIONS(11233),
    [anon_sym_unless] = ACTIONS(11233),
    [anon_sym_while] = ACTIONS(11233),
    [anon_sym_until] = ACTIONS(11233),
    [anon_sym_rescue] = ACTIONS(11233),
    [anon_sym_in] = ACTIONS(11233),
    [anon_sym_do] = ACTIONS(11233),
    [anon_sym_RBRACK] = ACTIONS(11233),
    [anon_sym_AMP_DOT] = ACTIONS(11233),
    [anon_sym_PLUS_EQ] = ACTIONS(11233),
    [anon_sym_DASH_EQ] = ACTIONS(11233),
    [anon_sym_STAR_EQ] = ACTIONS(11233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11233),
    [anon_sym_SLASH_EQ] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11233),
    [anon_sym_PIPE_EQ] = ACTIONS(11233),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11233),
    [anon_sym_AMP_EQ] = ACTIONS(11233),
    [anon_sym_PERCENT_EQ] = ACTIONS(11233),
    [anon_sym_GT_GT_EQ] = ACTIONS(11233),
    [anon_sym_LT_LT_EQ] = ACTIONS(11233),
    [anon_sym_CARET_EQ] = ACTIONS(11233),
    [anon_sym_QMARK] = ACTIONS(11233),
    [anon_sym_COLON] = ACTIONS(11233),
    [anon_sym_DOT_DOT] = ACTIONS(11235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11233),
    [anon_sym_and] = ACTIONS(11233),
    [anon_sym_or] = ACTIONS(11233),
    [anon_sym_PIPE_PIPE] = ACTIONS(11235),
    [anon_sym_AMP_AMP] = ACTIONS(11235),
    [anon_sym_LT_LT] = ACTIONS(11235),
    [anon_sym_GT_GT] = ACTIONS(11235),
    [anon_sym_EQ_EQ] = ACTIONS(11235),
    [anon_sym_BANG_EQ] = ACTIONS(11233),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11233),
    [anon_sym_LT_EQ_GT] = ACTIONS(11233),
    [anon_sym_EQ_TILDE] = ACTIONS(11233),
    [anon_sym_BANG_TILDE] = ACTIONS(11233),
    [anon_sym_LT_EQ] = ACTIONS(11235),
    [anon_sym_GT] = ACTIONS(11235),
    [anon_sym_GT_EQ] = ACTIONS(11233),
    [anon_sym_CARET] = ACTIONS(11235),
    [anon_sym_PLUS] = ACTIONS(11235),
    [anon_sym_SLASH] = ACTIONS(11235),
    [anon_sym_PERCENT] = ACTIONS(11235),
    [sym_comment] = ACTIONS(87),
  },
  [11620] = {
    [anon_sym_end] = ACTIONS(15002),
    [sym_comment] = ACTIONS(87),
  },
  [11621] = {
    [sym__heredoc_body_start] = ACTIONS(11246),
    [sym__element_reference_left_bracket] = ACTIONS(11246),
    [sym__infix_scope_colons] = ACTIONS(11246),
    [sym__binary_minus] = ACTIONS(11246),
    [sym__binary_star] = ACTIONS(11246),
    [anon_sym_LBRACE] = ACTIONS(11246),
    [anon_sym_RBRACE] = ACTIONS(11246),
    [anon_sym_RPAREN] = ACTIONS(11246),
    [anon_sym_DOT] = ACTIONS(11248),
    [anon_sym_COMMA] = ACTIONS(11246),
    [anon_sym_PIPE] = ACTIONS(11248),
    [anon_sym_SEMI] = ACTIONS(11246),
    [anon_sym_STAR_STAR] = ACTIONS(11248),
    [anon_sym_AMP] = ACTIONS(11248),
    [anon_sym_EQ] = ACTIONS(11248),
    [anon_sym_LT] = ACTIONS(11248),
    [anon_sym_if] = ACTIONS(11246),
    [anon_sym_unless] = ACTIONS(11246),
    [anon_sym_while] = ACTIONS(11246),
    [anon_sym_until] = ACTIONS(11246),
    [anon_sym_rescue] = ACTIONS(11246),
    [anon_sym_in] = ACTIONS(11246),
    [anon_sym_do] = ACTIONS(11246),
    [anon_sym_RBRACK] = ACTIONS(11246),
    [anon_sym_AMP_DOT] = ACTIONS(11246),
    [anon_sym_PLUS_EQ] = ACTIONS(11246),
    [anon_sym_DASH_EQ] = ACTIONS(11246),
    [anon_sym_STAR_EQ] = ACTIONS(11246),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11246),
    [anon_sym_SLASH_EQ] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11246),
    [anon_sym_PIPE_EQ] = ACTIONS(11246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11246),
    [anon_sym_AMP_EQ] = ACTIONS(11246),
    [anon_sym_PERCENT_EQ] = ACTIONS(11246),
    [anon_sym_GT_GT_EQ] = ACTIONS(11246),
    [anon_sym_LT_LT_EQ] = ACTIONS(11246),
    [anon_sym_CARET_EQ] = ACTIONS(11246),
    [anon_sym_QMARK] = ACTIONS(11246),
    [anon_sym_COLON] = ACTIONS(11246),
    [anon_sym_DOT_DOT] = ACTIONS(11248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11246),
    [anon_sym_and] = ACTIONS(11246),
    [anon_sym_or] = ACTIONS(11246),
    [anon_sym_PIPE_PIPE] = ACTIONS(11248),
    [anon_sym_AMP_AMP] = ACTIONS(11248),
    [anon_sym_LT_LT] = ACTIONS(11248),
    [anon_sym_GT_GT] = ACTIONS(11248),
    [anon_sym_EQ_EQ] = ACTIONS(11248),
    [anon_sym_BANG_EQ] = ACTIONS(11246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11246),
    [anon_sym_LT_EQ_GT] = ACTIONS(11246),
    [anon_sym_EQ_TILDE] = ACTIONS(11246),
    [anon_sym_BANG_TILDE] = ACTIONS(11246),
    [anon_sym_LT_EQ] = ACTIONS(11248),
    [anon_sym_GT] = ACTIONS(11248),
    [anon_sym_GT_EQ] = ACTIONS(11246),
    [anon_sym_CARET] = ACTIONS(11248),
    [anon_sym_PLUS] = ACTIONS(11248),
    [anon_sym_SLASH] = ACTIONS(11248),
    [anon_sym_PERCENT] = ACTIONS(11248),
    [sym_comment] = ACTIONS(87),
  },
  [11622] = {
    [anon_sym_end] = ACTIONS(15004),
    [sym_comment] = ACTIONS(87),
  },
  [11623] = {
    [sym__heredoc_body_start] = ACTIONS(11712),
    [sym__element_reference_left_bracket] = ACTIONS(11712),
    [sym__infix_scope_colons] = ACTIONS(11712),
    [sym__binary_minus] = ACTIONS(11712),
    [sym__binary_star] = ACTIONS(11712),
    [anon_sym_LBRACE] = ACTIONS(11712),
    [anon_sym_RBRACE] = ACTIONS(11712),
    [anon_sym_RPAREN] = ACTIONS(11712),
    [anon_sym_DOT] = ACTIONS(11714),
    [anon_sym_COMMA] = ACTIONS(11712),
    [anon_sym_PIPE] = ACTIONS(11714),
    [anon_sym_SEMI] = ACTIONS(11712),
    [anon_sym_STAR_STAR] = ACTIONS(11714),
    [anon_sym_AMP] = ACTIONS(11714),
    [anon_sym_EQ] = ACTIONS(11714),
    [anon_sym_LT] = ACTIONS(11714),
    [anon_sym_if] = ACTIONS(11712),
    [anon_sym_unless] = ACTIONS(11712),
    [anon_sym_while] = ACTIONS(11712),
    [anon_sym_until] = ACTIONS(11712),
    [anon_sym_rescue] = ACTIONS(11712),
    [anon_sym_in] = ACTIONS(11712),
    [anon_sym_do] = ACTIONS(11712),
    [anon_sym_RBRACK] = ACTIONS(11712),
    [anon_sym_AMP_DOT] = ACTIONS(11712),
    [anon_sym_PLUS_EQ] = ACTIONS(11712),
    [anon_sym_DASH_EQ] = ACTIONS(11712),
    [anon_sym_STAR_EQ] = ACTIONS(11712),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11712),
    [anon_sym_SLASH_EQ] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11712),
    [anon_sym_PIPE_EQ] = ACTIONS(11712),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11712),
    [anon_sym_AMP_EQ] = ACTIONS(11712),
    [anon_sym_PERCENT_EQ] = ACTIONS(11712),
    [anon_sym_GT_GT_EQ] = ACTIONS(11712),
    [anon_sym_LT_LT_EQ] = ACTIONS(11712),
    [anon_sym_CARET_EQ] = ACTIONS(11712),
    [anon_sym_QMARK] = ACTIONS(11712),
    [anon_sym_COLON] = ACTIONS(11712),
    [anon_sym_DOT_DOT] = ACTIONS(11714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11712),
    [anon_sym_and] = ACTIONS(11712),
    [anon_sym_or] = ACTIONS(11712),
    [anon_sym_PIPE_PIPE] = ACTIONS(11714),
    [anon_sym_AMP_AMP] = ACTIONS(11714),
    [anon_sym_LT_LT] = ACTIONS(11714),
    [anon_sym_GT_GT] = ACTIONS(11714),
    [anon_sym_EQ_EQ] = ACTIONS(11714),
    [anon_sym_BANG_EQ] = ACTIONS(11712),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11712),
    [anon_sym_LT_EQ_GT] = ACTIONS(11712),
    [anon_sym_EQ_TILDE] = ACTIONS(11712),
    [anon_sym_BANG_TILDE] = ACTIONS(11712),
    [anon_sym_LT_EQ] = ACTIONS(11714),
    [anon_sym_GT] = ACTIONS(11714),
    [anon_sym_GT_EQ] = ACTIONS(11712),
    [anon_sym_CARET] = ACTIONS(11714),
    [anon_sym_PLUS] = ACTIONS(11714),
    [anon_sym_SLASH] = ACTIONS(11714),
    [anon_sym_PERCENT] = ACTIONS(11714),
    [sym_comment] = ACTIONS(87),
  },
  [11624] = {
    [anon_sym_end] = ACTIONS(15006),
    [sym_comment] = ACTIONS(87),
  },
  [11625] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(9903),
    [sym__binary_star] = ACTIONS(9905),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(9907),
    [anon_sym_STAR_STAR] = ACTIONS(9909),
    [anon_sym_AMP] = ACTIONS(9911),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(9913),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(9915),
    [anon_sym_DOT_DOT] = ACTIONS(9917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9919),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(9921),
    [anon_sym_AMP_AMP] = ACTIONS(9921),
    [anon_sym_LT_LT] = ACTIONS(9923),
    [anon_sym_GT_GT] = ACTIONS(9923),
    [anon_sym_EQ_EQ] = ACTIONS(9921),
    [anon_sym_BANG_EQ] = ACTIONS(9925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9925),
    [anon_sym_LT_EQ_GT] = ACTIONS(9925),
    [anon_sym_EQ_TILDE] = ACTIONS(9925),
    [anon_sym_BANG_TILDE] = ACTIONS(9925),
    [anon_sym_LT_EQ] = ACTIONS(9913),
    [anon_sym_GT] = ACTIONS(9913),
    [anon_sym_GT_EQ] = ACTIONS(9927),
    [anon_sym_CARET] = ACTIONS(9907),
    [anon_sym_PLUS] = ACTIONS(9929),
    [anon_sym_SLASH] = ACTIONS(9909),
    [anon_sym_PERCENT] = ACTIONS(9909),
    [sym_comment] = ACTIONS(87),
  },
  [11626] = {
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(11449),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_in] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_RBRACK] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_COLON] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11627] = {
    [aux_sym_exceptions_repeat1] = STATE(11627),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15008),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11628] = {
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [sym__binary_minus] = ACTIONS(14447),
    [sym__binary_star] = ACTIONS(14447),
    [anon_sym_LBRACE] = ACTIONS(14447),
    [anon_sym_RBRACE] = ACTIONS(14447),
    [anon_sym_RPAREN] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14449),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_PIPE] = ACTIONS(14449),
    [anon_sym_SEMI] = ACTIONS(14447),
    [anon_sym_STAR_STAR] = ACTIONS(14449),
    [anon_sym_AMP] = ACTIONS(14449),
    [anon_sym_EQ] = ACTIONS(14449),
    [anon_sym_LT] = ACTIONS(14449),
    [anon_sym_if] = ACTIONS(14447),
    [anon_sym_unless] = ACTIONS(14447),
    [anon_sym_while] = ACTIONS(14447),
    [anon_sym_until] = ACTIONS(14447),
    [anon_sym_rescue] = ACTIONS(14447),
    [anon_sym_do] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [anon_sym_PLUS_EQ] = ACTIONS(14447),
    [anon_sym_DASH_EQ] = ACTIONS(14447),
    [anon_sym_STAR_EQ] = ACTIONS(14447),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14447),
    [anon_sym_SLASH_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14447),
    [anon_sym_AMP_EQ] = ACTIONS(14447),
    [anon_sym_PERCENT_EQ] = ACTIONS(14447),
    [anon_sym_GT_GT_EQ] = ACTIONS(14447),
    [anon_sym_LT_LT_EQ] = ACTIONS(14447),
    [anon_sym_CARET_EQ] = ACTIONS(14447),
    [anon_sym_QMARK] = ACTIONS(14447),
    [anon_sym_COLON] = ACTIONS(14447),
    [anon_sym_DOT_DOT] = ACTIONS(14449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14447),
    [anon_sym_and] = ACTIONS(14447),
    [anon_sym_or] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE] = ACTIONS(14449),
    [anon_sym_AMP_AMP] = ACTIONS(14449),
    [anon_sym_LT_LT] = ACTIONS(14449),
    [anon_sym_GT_GT] = ACTIONS(14449),
    [anon_sym_EQ_EQ] = ACTIONS(14449),
    [anon_sym_BANG_EQ] = ACTIONS(14447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14447),
    [anon_sym_LT_EQ_GT] = ACTIONS(14447),
    [anon_sym_EQ_TILDE] = ACTIONS(14447),
    [anon_sym_BANG_TILDE] = ACTIONS(14447),
    [anon_sym_LT_EQ] = ACTIONS(14449),
    [anon_sym_GT] = ACTIONS(14449),
    [anon_sym_GT_EQ] = ACTIONS(14447),
    [anon_sym_CARET] = ACTIONS(14449),
    [anon_sym_PLUS] = ACTIONS(14449),
    [anon_sym_SLASH] = ACTIONS(14449),
    [anon_sym_PERCENT] = ACTIONS(14449),
    [sym_comment] = ACTIONS(87),
  },
  [11629] = {
    [sym__binary_minus] = ACTIONS(9955),
    [sym__binary_star] = ACTIONS(9957),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(9959),
    [anon_sym_STAR_STAR] = ACTIONS(9961),
    [anon_sym_AMP] = ACTIONS(9963),
    [anon_sym_LT] = ACTIONS(9965),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(9967),
    [anon_sym_DOT_DOT] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(9973),
    [anon_sym_AMP_AMP] = ACTIONS(9973),
    [anon_sym_LT_LT] = ACTIONS(9975),
    [anon_sym_GT_GT] = ACTIONS(9975),
    [anon_sym_EQ_EQ] = ACTIONS(9977),
    [anon_sym_BANG_EQ] = ACTIONS(9973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9973),
    [anon_sym_LT_EQ_GT] = ACTIONS(9973),
    [anon_sym_EQ_TILDE] = ACTIONS(9973),
    [anon_sym_BANG_TILDE] = ACTIONS(9973),
    [anon_sym_LT_EQ] = ACTIONS(9965),
    [anon_sym_GT] = ACTIONS(9965),
    [anon_sym_GT_EQ] = ACTIONS(9979),
    [anon_sym_CARET] = ACTIONS(9981),
    [anon_sym_PLUS] = ACTIONS(9983),
    [anon_sym_SLASH] = ACTIONS(9961),
    [anon_sym_PERCENT] = ACTIONS(9961),
    [sym_comment] = ACTIONS(87),
  },
  [11630] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(10013),
    [sym__binary_star] = ACTIONS(10015),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(10017),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(10019),
    [anon_sym_AMP] = ACTIONS(10021),
    [anon_sym_LT] = ACTIONS(10023),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(10025),
    [anon_sym_DOT_DOT] = ACTIONS(10027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10029),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(10031),
    [anon_sym_AMP_AMP] = ACTIONS(10031),
    [anon_sym_LT_LT] = ACTIONS(10033),
    [anon_sym_GT_GT] = ACTIONS(10033),
    [anon_sym_EQ_EQ] = ACTIONS(10035),
    [anon_sym_BANG_EQ] = ACTIONS(10031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10031),
    [anon_sym_LT_EQ_GT] = ACTIONS(10031),
    [anon_sym_EQ_TILDE] = ACTIONS(10031),
    [anon_sym_BANG_TILDE] = ACTIONS(10031),
    [anon_sym_LT_EQ] = ACTIONS(10023),
    [anon_sym_GT] = ACTIONS(10023),
    [anon_sym_GT_EQ] = ACTIONS(10037),
    [anon_sym_CARET] = ACTIONS(10039),
    [anon_sym_PLUS] = ACTIONS(10041),
    [anon_sym_SLASH] = ACTIONS(10019),
    [anon_sym_PERCENT] = ACTIONS(10019),
    [sym_comment] = ACTIONS(87),
  },
  [11631] = {
    [aux_sym_exceptions_repeat1] = STATE(11631),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15011),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11632] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(10056),
    [sym__binary_star] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(10060),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(10062),
    [anon_sym_AMP] = ACTIONS(10064),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(10066),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(10068),
    [anon_sym_DOT_DOT] = ACTIONS(10070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10072),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(10074),
    [anon_sym_AMP_AMP] = ACTIONS(10074),
    [anon_sym_LT_LT] = ACTIONS(10076),
    [anon_sym_GT_GT] = ACTIONS(10076),
    [anon_sym_EQ_EQ] = ACTIONS(10074),
    [anon_sym_BANG_EQ] = ACTIONS(10078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10078),
    [anon_sym_LT_EQ_GT] = ACTIONS(10078),
    [anon_sym_EQ_TILDE] = ACTIONS(10078),
    [anon_sym_BANG_TILDE] = ACTIONS(10078),
    [anon_sym_LT_EQ] = ACTIONS(10066),
    [anon_sym_GT] = ACTIONS(10066),
    [anon_sym_GT_EQ] = ACTIONS(10080),
    [anon_sym_CARET] = ACTIONS(10060),
    [anon_sym_PLUS] = ACTIONS(10082),
    [anon_sym_SLASH] = ACTIONS(10062),
    [anon_sym_PERCENT] = ACTIONS(10062),
    [sym_comment] = ACTIONS(87),
  },
  [11633] = {
    [aux_sym_exceptions_repeat1] = STATE(11633),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15014),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11634] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(10092),
    [sym__binary_star] = ACTIONS(10094),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(10096),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(10098),
    [anon_sym_AMP] = ACTIONS(10100),
    [anon_sym_LT] = ACTIONS(10102),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(10104),
    [anon_sym_DOT_DOT] = ACTIONS(10106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10108),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(10110),
    [anon_sym_AMP_AMP] = ACTIONS(10110),
    [anon_sym_LT_LT] = ACTIONS(10112),
    [anon_sym_GT_GT] = ACTIONS(10112),
    [anon_sym_EQ_EQ] = ACTIONS(10114),
    [anon_sym_BANG_EQ] = ACTIONS(10110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10110),
    [anon_sym_LT_EQ_GT] = ACTIONS(10110),
    [anon_sym_EQ_TILDE] = ACTIONS(10110),
    [anon_sym_BANG_TILDE] = ACTIONS(10110),
    [anon_sym_LT_EQ] = ACTIONS(10102),
    [anon_sym_GT] = ACTIONS(10102),
    [anon_sym_GT_EQ] = ACTIONS(10116),
    [anon_sym_CARET] = ACTIONS(10118),
    [anon_sym_PLUS] = ACTIONS(10120),
    [anon_sym_SLASH] = ACTIONS(10098),
    [anon_sym_PERCENT] = ACTIONS(10098),
    [sym_comment] = ACTIONS(87),
  },
  [11635] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(10144),
    [sym__binary_star] = ACTIONS(10146),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(10148),
    [anon_sym_STAR_STAR] = ACTIONS(10150),
    [anon_sym_AMP] = ACTIONS(10152),
    [anon_sym_LT] = ACTIONS(10154),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(10156),
    [anon_sym_DOT_DOT] = ACTIONS(10158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10160),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(10162),
    [anon_sym_AMP_AMP] = ACTIONS(10162),
    [anon_sym_LT_LT] = ACTIONS(10164),
    [anon_sym_GT_GT] = ACTIONS(10164),
    [anon_sym_EQ_EQ] = ACTIONS(10166),
    [anon_sym_BANG_EQ] = ACTIONS(10162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10162),
    [anon_sym_LT_EQ_GT] = ACTIONS(10162),
    [anon_sym_EQ_TILDE] = ACTIONS(10162),
    [anon_sym_BANG_TILDE] = ACTIONS(10162),
    [anon_sym_LT_EQ] = ACTIONS(10154),
    [anon_sym_GT] = ACTIONS(10154),
    [anon_sym_GT_EQ] = ACTIONS(10168),
    [anon_sym_CARET] = ACTIONS(10170),
    [anon_sym_PLUS] = ACTIONS(10172),
    [anon_sym_SLASH] = ACTIONS(10150),
    [anon_sym_PERCENT] = ACTIONS(10150),
    [sym_comment] = ACTIONS(87),
  },
  [11636] = {
    [aux_sym_exceptions_repeat1] = STATE(11636),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15017),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11637] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(10202),
    [sym__binary_star] = ACTIONS(10204),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(10206),
    [anon_sym_STAR_STAR] = ACTIONS(10208),
    [anon_sym_AMP] = ACTIONS(10210),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(10212),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(10214),
    [anon_sym_DOT_DOT] = ACTIONS(10216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10218),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(10220),
    [anon_sym_AMP_AMP] = ACTIONS(10220),
    [anon_sym_LT_LT] = ACTIONS(10222),
    [anon_sym_GT_GT] = ACTIONS(10222),
    [anon_sym_EQ_EQ] = ACTIONS(10220),
    [anon_sym_BANG_EQ] = ACTIONS(10224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10224),
    [anon_sym_LT_EQ_GT] = ACTIONS(10224),
    [anon_sym_EQ_TILDE] = ACTIONS(10224),
    [anon_sym_BANG_TILDE] = ACTIONS(10224),
    [anon_sym_LT_EQ] = ACTIONS(10212),
    [anon_sym_GT] = ACTIONS(10212),
    [anon_sym_GT_EQ] = ACTIONS(10226),
    [anon_sym_CARET] = ACTIONS(10206),
    [anon_sym_PLUS] = ACTIONS(10228),
    [anon_sym_SLASH] = ACTIONS(10208),
    [anon_sym_PERCENT] = ACTIONS(10208),
    [sym_comment] = ACTIONS(87),
  },
  [11638] = {
    [aux_sym_exceptions_repeat1] = STATE(11638),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15020),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11639] = {
    [sym__heredoc_body_start] = ACTIONS(14447),
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [sym__binary_minus] = ACTIONS(14447),
    [sym__binary_star] = ACTIONS(14447),
    [anon_sym_LBRACE] = ACTIONS(14447),
    [anon_sym_RBRACE] = ACTIONS(14447),
    [anon_sym_RPAREN] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14449),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_PIPE] = ACTIONS(14449),
    [anon_sym_SEMI] = ACTIONS(14447),
    [anon_sym_STAR_STAR] = ACTIONS(14449),
    [anon_sym_AMP] = ACTIONS(14449),
    [anon_sym_EQ] = ACTIONS(14449),
    [anon_sym_LT] = ACTIONS(14449),
    [anon_sym_if] = ACTIONS(14447),
    [anon_sym_unless] = ACTIONS(14447),
    [anon_sym_while] = ACTIONS(14447),
    [anon_sym_until] = ACTIONS(14447),
    [anon_sym_rescue] = ACTIONS(14447),
    [anon_sym_in] = ACTIONS(14447),
    [anon_sym_do] = ACTIONS(14447),
    [anon_sym_RBRACK] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [anon_sym_PLUS_EQ] = ACTIONS(14447),
    [anon_sym_DASH_EQ] = ACTIONS(14447),
    [anon_sym_STAR_EQ] = ACTIONS(14447),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(14447),
    [anon_sym_SLASH_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_PIPE_EQ] = ACTIONS(14447),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(14447),
    [anon_sym_AMP_EQ] = ACTIONS(14447),
    [anon_sym_PERCENT_EQ] = ACTIONS(14447),
    [anon_sym_GT_GT_EQ] = ACTIONS(14447),
    [anon_sym_LT_LT_EQ] = ACTIONS(14447),
    [anon_sym_CARET_EQ] = ACTIONS(14447),
    [anon_sym_QMARK] = ACTIONS(14447),
    [anon_sym_COLON] = ACTIONS(14447),
    [anon_sym_DOT_DOT] = ACTIONS(14449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14447),
    [anon_sym_and] = ACTIONS(14447),
    [anon_sym_or] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE] = ACTIONS(14449),
    [anon_sym_AMP_AMP] = ACTIONS(14449),
    [anon_sym_LT_LT] = ACTIONS(14449),
    [anon_sym_GT_GT] = ACTIONS(14449),
    [anon_sym_EQ_EQ] = ACTIONS(14449),
    [anon_sym_BANG_EQ] = ACTIONS(14447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14447),
    [anon_sym_LT_EQ_GT] = ACTIONS(14447),
    [anon_sym_EQ_TILDE] = ACTIONS(14447),
    [anon_sym_BANG_TILDE] = ACTIONS(14447),
    [anon_sym_LT_EQ] = ACTIONS(14449),
    [anon_sym_GT] = ACTIONS(14449),
    [anon_sym_GT_EQ] = ACTIONS(14447),
    [anon_sym_CARET] = ACTIONS(14449),
    [anon_sym_PLUS] = ACTIONS(14449),
    [anon_sym_SLASH] = ACTIONS(14449),
    [anon_sym_PERCENT] = ACTIONS(14449),
    [sym_comment] = ACTIONS(87),
  },
  [11640] = {
    [sym__heredoc_body_start] = ACTIONS(13941),
    [sym__element_reference_left_bracket] = ACTIONS(13941),
    [sym__infix_scope_colons] = ACTIONS(13941),
    [sym__binary_minus] = ACTIONS(13941),
    [sym__binary_star] = ACTIONS(13941),
    [anon_sym_LBRACE] = ACTIONS(13941),
    [anon_sym_RBRACE] = ACTIONS(13941),
    [anon_sym_RPAREN] = ACTIONS(13941),
    [anon_sym_DOT] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13941),
    [anon_sym_PIPE] = ACTIONS(13943),
    [anon_sym_SEMI] = ACTIONS(13941),
    [anon_sym_STAR_STAR] = ACTIONS(13943),
    [anon_sym_AMP] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_LT] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13941),
    [anon_sym_unless] = ACTIONS(13941),
    [anon_sym_while] = ACTIONS(13941),
    [anon_sym_until] = ACTIONS(13941),
    [anon_sym_rescue] = ACTIONS(13941),
    [anon_sym_in] = ACTIONS(13941),
    [anon_sym_do] = ACTIONS(13941),
    [anon_sym_EQ_GT] = ACTIONS(13941),
    [anon_sym_RBRACK] = ACTIONS(13941),
    [anon_sym_AMP_DOT] = ACTIONS(13941),
    [anon_sym_PLUS_EQ] = ACTIONS(13941),
    [anon_sym_DASH_EQ] = ACTIONS(13941),
    [anon_sym_STAR_EQ] = ACTIONS(13941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13941),
    [anon_sym_SLASH_EQ] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13941),
    [anon_sym_PIPE_EQ] = ACTIONS(13941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13941),
    [anon_sym_AMP_EQ] = ACTIONS(13941),
    [anon_sym_PERCENT_EQ] = ACTIONS(13941),
    [anon_sym_GT_GT_EQ] = ACTIONS(13941),
    [anon_sym_LT_LT_EQ] = ACTIONS(13941),
    [anon_sym_CARET_EQ] = ACTIONS(13941),
    [anon_sym_QMARK] = ACTIONS(13941),
    [anon_sym_COLON] = ACTIONS(13941),
    [anon_sym_DOT_DOT] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13941),
    [anon_sym_and] = ACTIONS(13941),
    [anon_sym_or] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE] = ACTIONS(13943),
    [anon_sym_AMP_AMP] = ACTIONS(13943),
    [anon_sym_LT_LT] = ACTIONS(13943),
    [anon_sym_GT_GT] = ACTIONS(13943),
    [anon_sym_EQ_EQ] = ACTIONS(13943),
    [anon_sym_BANG_EQ] = ACTIONS(13941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13941),
    [anon_sym_LT_EQ_GT] = ACTIONS(13941),
    [anon_sym_EQ_TILDE] = ACTIONS(13941),
    [anon_sym_BANG_TILDE] = ACTIONS(13941),
    [anon_sym_LT_EQ] = ACTIONS(13943),
    [anon_sym_GT] = ACTIONS(13943),
    [anon_sym_GT_EQ] = ACTIONS(13941),
    [anon_sym_CARET] = ACTIONS(13943),
    [anon_sym_PLUS] = ACTIONS(13943),
    [anon_sym_SLASH] = ACTIONS(13943),
    [anon_sym_PERCENT] = ACTIONS(13943),
    [sym_comment] = ACTIONS(87),
  },
  [11641] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(10375),
    [sym__binary_star] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(10379),
    [anon_sym_STAR_STAR] = ACTIONS(10381),
    [anon_sym_AMP] = ACTIONS(10383),
    [anon_sym_LT] = ACTIONS(10385),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DOT_DOT] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(10393),
    [anon_sym_AMP_AMP] = ACTIONS(10393),
    [anon_sym_LT_LT] = ACTIONS(10395),
    [anon_sym_GT_GT] = ACTIONS(10395),
    [anon_sym_EQ_EQ] = ACTIONS(10397),
    [anon_sym_BANG_EQ] = ACTIONS(10393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10393),
    [anon_sym_LT_EQ_GT] = ACTIONS(10393),
    [anon_sym_EQ_TILDE] = ACTIONS(10393),
    [anon_sym_BANG_TILDE] = ACTIONS(10393),
    [anon_sym_LT_EQ] = ACTIONS(10385),
    [anon_sym_GT] = ACTIONS(10385),
    [anon_sym_GT_EQ] = ACTIONS(10399),
    [anon_sym_CARET] = ACTIONS(10401),
    [anon_sym_PLUS] = ACTIONS(10403),
    [anon_sym_SLASH] = ACTIONS(10381),
    [anon_sym_PERCENT] = ACTIONS(10381),
    [sym_comment] = ACTIONS(87),
  },
  [11642] = {
    [aux_sym_exceptions_repeat1] = STATE(11642),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15023),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11643] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(10415),
    [sym__binary_star] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(10419),
    [anon_sym_STAR_STAR] = ACTIONS(10421),
    [anon_sym_AMP] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(10425),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(10427),
    [anon_sym_DOT_DOT] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(10433),
    [anon_sym_AMP_AMP] = ACTIONS(10433),
    [anon_sym_LT_LT] = ACTIONS(10435),
    [anon_sym_GT_GT] = ACTIONS(10435),
    [anon_sym_EQ_EQ] = ACTIONS(10433),
    [anon_sym_BANG_EQ] = ACTIONS(10437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10437),
    [anon_sym_LT_EQ_GT] = ACTIONS(10437),
    [anon_sym_EQ_TILDE] = ACTIONS(10437),
    [anon_sym_BANG_TILDE] = ACTIONS(10437),
    [anon_sym_LT_EQ] = ACTIONS(10425),
    [anon_sym_GT] = ACTIONS(10425),
    [anon_sym_GT_EQ] = ACTIONS(10439),
    [anon_sym_CARET] = ACTIONS(10419),
    [anon_sym_PLUS] = ACTIONS(10441),
    [anon_sym_SLASH] = ACTIONS(10421),
    [anon_sym_PERCENT] = ACTIONS(10421),
    [sym_comment] = ACTIONS(87),
  },
  [11644] = {
    [aux_sym_exceptions_repeat1] = STATE(11644),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15026),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11645] = {
    [sym__binary_minus] = ACTIONS(10451),
    [sym__binary_star] = ACTIONS(10453),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(10455),
    [anon_sym_STAR_STAR] = ACTIONS(10457),
    [anon_sym_AMP] = ACTIONS(10459),
    [anon_sym_LT] = ACTIONS(10461),
    [anon_sym_QMARK] = ACTIONS(10463),
    [anon_sym_DOT_DOT] = ACTIONS(10465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10467),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(10469),
    [anon_sym_AMP_AMP] = ACTIONS(10469),
    [anon_sym_LT_LT] = ACTIONS(10471),
    [anon_sym_GT_GT] = ACTIONS(10471),
    [anon_sym_EQ_EQ] = ACTIONS(10473),
    [anon_sym_BANG_EQ] = ACTIONS(10469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10469),
    [anon_sym_LT_EQ_GT] = ACTIONS(10469),
    [anon_sym_EQ_TILDE] = ACTIONS(10469),
    [anon_sym_BANG_TILDE] = ACTIONS(10469),
    [anon_sym_LT_EQ] = ACTIONS(10461),
    [anon_sym_GT] = ACTIONS(10461),
    [anon_sym_GT_EQ] = ACTIONS(10475),
    [anon_sym_CARET] = ACTIONS(10477),
    [anon_sym_PLUS] = ACTIONS(10479),
    [anon_sym_SLASH] = ACTIONS(10457),
    [anon_sym_PERCENT] = ACTIONS(10457),
    [sym_comment] = ACTIONS(87),
  },
  [11646] = {
    [sym__line_break] = ACTIONS(13557),
    [sym__heredoc_body_start] = ACTIONS(13557),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_SEMI] = ACTIONS(13557),
    [sym_comment] = ACTIONS(87),
  },
  [11647] = {
    [anon_sym_end] = ACTIONS(15029),
    [sym_comment] = ACTIONS(87),
  },
  [11648] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(10517),
    [sym__binary_star] = ACTIONS(10519),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(10521),
    [anon_sym_STAR_STAR] = ACTIONS(10523),
    [anon_sym_AMP] = ACTIONS(10525),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(10527),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(10529),
    [anon_sym_DOT_DOT] = ACTIONS(10531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10533),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(10537),
    [anon_sym_AMP_AMP] = ACTIONS(10537),
    [anon_sym_LT_LT] = ACTIONS(10539),
    [anon_sym_GT_GT] = ACTIONS(10539),
    [anon_sym_EQ_EQ] = ACTIONS(10541),
    [anon_sym_BANG_EQ] = ACTIONS(10537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10537),
    [anon_sym_LT_EQ_GT] = ACTIONS(10537),
    [anon_sym_EQ_TILDE] = ACTIONS(10537),
    [anon_sym_BANG_TILDE] = ACTIONS(10537),
    [anon_sym_LT_EQ] = ACTIONS(10527),
    [anon_sym_GT] = ACTIONS(10527),
    [anon_sym_GT_EQ] = ACTIONS(10543),
    [anon_sym_CARET] = ACTIONS(10545),
    [anon_sym_PLUS] = ACTIONS(10547),
    [anon_sym_SLASH] = ACTIONS(10523),
    [anon_sym_PERCENT] = ACTIONS(10523),
    [sym_comment] = ACTIONS(87),
  },
  [11649] = {
    [aux_sym_exceptions_repeat1] = STATE(11649),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_RPAREN] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15031),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11650] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11979),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_assignment] = STATE(11979),
    [sym_operator_assignment] = STATE(11979),
    [sym_conditional] = STATE(11979),
    [sym_range] = STATE(11979),
    [sym_binary] = STATE(11979),
    [sym_unary] = STATE(11979),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11651] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(10983),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(7734),
    [sym_scope_resolution] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_method_call] = STATE(7734),
    [sym_splat_argument] = STATE(11626),
    [sym_assignment] = STATE(10983),
    [sym_operator_assignment] = STATE(10983),
    [sym_conditional] = STATE(10983),
    [sym_range] = STATE(10983),
    [sym_binary] = STATE(10983),
    [sym_unary] = STATE(10983),
    [sym__arg_or_splat_arg] = STATE(11626),
    [sym_left_assignment_list] = STATE(7733),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7734),
    [sym__variable] = STATE(2480),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(7734),
    [sym_false] = STATE(7734),
    [sym_nil] = STATE(7734),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(7735),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(7487),
    [sym__unary_minus] = ACTIONS(10601),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(10603),
    [anon_sym_yield] = ACTIONS(10605),
    [anon_sym_break] = ACTIONS(10607),
    [anon_sym_next] = ACTIONS(10609),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(10611),
    [anon_sym_defined_QMARK] = ACTIONS(10613),
    [anon_sym_not] = ACTIONS(10615),
    [anon_sym_BANG] = ACTIONS(10617),
    [anon_sym_TILDE] = ACTIONS(10617),
    [sym_constant] = ACTIONS(3970),
    [sym_identifier] = ACTIONS(3970),
    [sym_instance_variable] = ACTIONS(3972),
    [sym_class_variable] = ACTIONS(3972),
    [sym_global_variable] = ACTIONS(3972),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(3970),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11652] = {
    [aux_sym_exceptions_repeat1] = STATE(11980),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15034),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [11653] = {
    [sym__heredoc_body_start] = ACTIONS(12326),
    [sym__element_reference_left_bracket] = ACTIONS(12326),
    [sym__infix_scope_colons] = ACTIONS(12326),
    [sym__binary_minus] = ACTIONS(12326),
    [sym__binary_star] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_PIPE] = ACTIONS(12328),
    [anon_sym_STAR_STAR] = ACTIONS(12326),
    [anon_sym_AMP] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_LT] = ACTIONS(12328),
    [anon_sym_do] = ACTIONS(12326),
    [anon_sym_AMP_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DOT_DOT] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_and] = ACTIONS(12326),
    [anon_sym_or] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE] = ACTIONS(12326),
    [anon_sym_AMP_AMP] = ACTIONS(12326),
    [anon_sym_LT_LT] = ACTIONS(12326),
    [anon_sym_GT_GT] = ACTIONS(12326),
    [anon_sym_EQ_EQ] = ACTIONS(12328),
    [anon_sym_BANG_EQ] = ACTIONS(12326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12326),
    [anon_sym_LT_EQ_GT] = ACTIONS(12326),
    [anon_sym_EQ_TILDE] = ACTIONS(12326),
    [anon_sym_BANG_TILDE] = ACTIONS(12326),
    [anon_sym_LT_EQ] = ACTIONS(12328),
    [anon_sym_GT] = ACTIONS(12328),
    [anon_sym_GT_EQ] = ACTIONS(12326),
    [anon_sym_CARET] = ACTIONS(12326),
    [anon_sym_PLUS] = ACTIONS(12326),
    [anon_sym_SLASH] = ACTIONS(12326),
    [anon_sym_PERCENT] = ACTIONS(12326),
    [sym_comment] = ACTIONS(87),
  },
  [11654] = {
    [sym__heredoc_body_start] = ACTIONS(12330),
    [sym__element_reference_left_bracket] = ACTIONS(12330),
    [sym__infix_scope_colons] = ACTIONS(12330),
    [sym__binary_minus] = ACTIONS(12330),
    [sym__binary_star] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12330),
    [anon_sym_RPAREN] = ACTIONS(12330),
    [anon_sym_DOT] = ACTIONS(12332),
    [anon_sym_COMMA] = ACTIONS(12330),
    [anon_sym_PIPE] = ACTIONS(12332),
    [anon_sym_STAR_STAR] = ACTIONS(12330),
    [anon_sym_AMP] = ACTIONS(12332),
    [anon_sym_EQ] = ACTIONS(12332),
    [anon_sym_LT] = ACTIONS(12332),
    [anon_sym_do] = ACTIONS(12330),
    [anon_sym_AMP_DOT] = ACTIONS(12330),
    [anon_sym_QMARK] = ACTIONS(12330),
    [anon_sym_DOT_DOT] = ACTIONS(12332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12330),
    [anon_sym_and] = ACTIONS(12330),
    [anon_sym_or] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE] = ACTIONS(12330),
    [anon_sym_AMP_AMP] = ACTIONS(12330),
    [anon_sym_LT_LT] = ACTIONS(12330),
    [anon_sym_GT_GT] = ACTIONS(12330),
    [anon_sym_EQ_EQ] = ACTIONS(12332),
    [anon_sym_BANG_EQ] = ACTIONS(12330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12330),
    [anon_sym_LT_EQ_GT] = ACTIONS(12330),
    [anon_sym_EQ_TILDE] = ACTIONS(12330),
    [anon_sym_BANG_TILDE] = ACTIONS(12330),
    [anon_sym_LT_EQ] = ACTIONS(12332),
    [anon_sym_GT] = ACTIONS(12332),
    [anon_sym_GT_EQ] = ACTIONS(12330),
    [anon_sym_CARET] = ACTIONS(12330),
    [anon_sym_PLUS] = ACTIONS(12330),
    [anon_sym_SLASH] = ACTIONS(12330),
    [anon_sym_PERCENT] = ACTIONS(12330),
    [sym_comment] = ACTIONS(87),
  },
  [11655] = {
    [sym__heredoc_body_start] = ACTIONS(12444),
    [sym__element_reference_left_bracket] = ACTIONS(12444),
    [sym__infix_scope_colons] = ACTIONS(12444),
    [sym__binary_minus] = ACTIONS(12444),
    [sym__binary_star] = ACTIONS(12444),
    [anon_sym_LBRACE] = ACTIONS(12444),
    [anon_sym_RPAREN] = ACTIONS(12444),
    [anon_sym_DOT] = ACTIONS(12446),
    [anon_sym_COMMA] = ACTIONS(12444),
    [anon_sym_PIPE] = ACTIONS(12446),
    [anon_sym_STAR_STAR] = ACTIONS(12444),
    [anon_sym_AMP] = ACTIONS(12446),
    [anon_sym_EQ] = ACTIONS(12446),
    [anon_sym_LT] = ACTIONS(12446),
    [anon_sym_do] = ACTIONS(12444),
    [anon_sym_AMP_DOT] = ACTIONS(12444),
    [anon_sym_QMARK] = ACTIONS(12444),
    [anon_sym_DOT_DOT] = ACTIONS(12446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12444),
    [anon_sym_and] = ACTIONS(12444),
    [anon_sym_or] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE] = ACTIONS(12444),
    [anon_sym_AMP_AMP] = ACTIONS(12444),
    [anon_sym_LT_LT] = ACTIONS(12444),
    [anon_sym_GT_GT] = ACTIONS(12444),
    [anon_sym_EQ_EQ] = ACTIONS(12446),
    [anon_sym_BANG_EQ] = ACTIONS(12444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12444),
    [anon_sym_LT_EQ_GT] = ACTIONS(12444),
    [anon_sym_EQ_TILDE] = ACTIONS(12444),
    [anon_sym_BANG_TILDE] = ACTIONS(12444),
    [anon_sym_LT_EQ] = ACTIONS(12446),
    [anon_sym_GT] = ACTIONS(12446),
    [anon_sym_GT_EQ] = ACTIONS(12444),
    [anon_sym_CARET] = ACTIONS(12444),
    [anon_sym_PLUS] = ACTIONS(12444),
    [anon_sym_SLASH] = ACTIONS(12444),
    [anon_sym_PERCENT] = ACTIONS(12444),
    [sym_comment] = ACTIONS(87),
  },
  [11656] = {
    [sym__heredoc_body_start] = ACTIONS(12737),
    [sym__element_reference_left_bracket] = ACTIONS(12737),
    [sym__infix_scope_colons] = ACTIONS(12737),
    [sym__binary_minus] = ACTIONS(12737),
    [sym__binary_star] = ACTIONS(12737),
    [anon_sym_LBRACE] = ACTIONS(12737),
    [anon_sym_RPAREN] = ACTIONS(12737),
    [anon_sym_DOT] = ACTIONS(12739),
    [anon_sym_COMMA] = ACTIONS(12737),
    [anon_sym_PIPE] = ACTIONS(12739),
    [anon_sym_STAR_STAR] = ACTIONS(12737),
    [anon_sym_AMP] = ACTIONS(12739),
    [anon_sym_EQ] = ACTIONS(12739),
    [anon_sym_LT] = ACTIONS(12739),
    [anon_sym_do] = ACTIONS(12737),
    [anon_sym_AMP_DOT] = ACTIONS(12737),
    [anon_sym_QMARK] = ACTIONS(12737),
    [anon_sym_DOT_DOT] = ACTIONS(12739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12737),
    [anon_sym_and] = ACTIONS(12737),
    [anon_sym_or] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE] = ACTIONS(12737),
    [anon_sym_AMP_AMP] = ACTIONS(12737),
    [anon_sym_LT_LT] = ACTIONS(12737),
    [anon_sym_GT_GT] = ACTIONS(12737),
    [anon_sym_EQ_EQ] = ACTIONS(12739),
    [anon_sym_BANG_EQ] = ACTIONS(12737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12737),
    [anon_sym_LT_EQ_GT] = ACTIONS(12737),
    [anon_sym_EQ_TILDE] = ACTIONS(12737),
    [anon_sym_BANG_TILDE] = ACTIONS(12737),
    [anon_sym_LT_EQ] = ACTIONS(12739),
    [anon_sym_GT] = ACTIONS(12739),
    [anon_sym_GT_EQ] = ACTIONS(12737),
    [anon_sym_CARET] = ACTIONS(12737),
    [anon_sym_PLUS] = ACTIONS(12737),
    [anon_sym_SLASH] = ACTIONS(12737),
    [anon_sym_PERCENT] = ACTIONS(12737),
    [sym_comment] = ACTIONS(87),
  },
  [11657] = {
    [anon_sym_end] = ACTIONS(15036),
    [sym_comment] = ACTIONS(87),
  },
  [11658] = {
    [sym__heredoc_body_start] = ACTIONS(12881),
    [sym__element_reference_left_bracket] = ACTIONS(12881),
    [sym__infix_scope_colons] = ACTIONS(12881),
    [sym__binary_minus] = ACTIONS(12881),
    [sym__binary_star] = ACTIONS(12881),
    [anon_sym_LBRACE] = ACTIONS(12881),
    [anon_sym_RPAREN] = ACTIONS(12881),
    [anon_sym_DOT] = ACTIONS(12883),
    [anon_sym_COMMA] = ACTIONS(12881),
    [anon_sym_PIPE] = ACTIONS(12883),
    [anon_sym_STAR_STAR] = ACTIONS(12881),
    [anon_sym_AMP] = ACTIONS(12883),
    [anon_sym_EQ] = ACTIONS(12883),
    [anon_sym_LT] = ACTIONS(12883),
    [anon_sym_do] = ACTIONS(12881),
    [anon_sym_AMP_DOT] = ACTIONS(12881),
    [anon_sym_QMARK] = ACTIONS(12881),
    [anon_sym_DOT_DOT] = ACTIONS(12883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12881),
    [anon_sym_and] = ACTIONS(12881),
    [anon_sym_or] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE] = ACTIONS(12881),
    [anon_sym_AMP_AMP] = ACTIONS(12881),
    [anon_sym_LT_LT] = ACTIONS(12881),
    [anon_sym_GT_GT] = ACTIONS(12881),
    [anon_sym_EQ_EQ] = ACTIONS(12883),
    [anon_sym_BANG_EQ] = ACTIONS(12881),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12881),
    [anon_sym_LT_EQ_GT] = ACTIONS(12881),
    [anon_sym_EQ_TILDE] = ACTIONS(12881),
    [anon_sym_BANG_TILDE] = ACTIONS(12881),
    [anon_sym_LT_EQ] = ACTIONS(12883),
    [anon_sym_GT] = ACTIONS(12883),
    [anon_sym_GT_EQ] = ACTIONS(12881),
    [anon_sym_CARET] = ACTIONS(12881),
    [anon_sym_PLUS] = ACTIONS(12881),
    [anon_sym_SLASH] = ACTIONS(12881),
    [anon_sym_PERCENT] = ACTIONS(12881),
    [sym_comment] = ACTIONS(87),
  },
  [11659] = {
    [sym__heredoc_body_start] = ACTIONS(13033),
    [sym__element_reference_left_bracket] = ACTIONS(13033),
    [sym__infix_scope_colons] = ACTIONS(13033),
    [sym__binary_minus] = ACTIONS(13033),
    [sym__binary_star] = ACTIONS(13033),
    [anon_sym_LBRACE] = ACTIONS(13033),
    [anon_sym_RPAREN] = ACTIONS(13033),
    [anon_sym_DOT] = ACTIONS(13035),
    [anon_sym_COMMA] = ACTIONS(13033),
    [anon_sym_PIPE] = ACTIONS(13035),
    [anon_sym_STAR_STAR] = ACTIONS(13033),
    [anon_sym_AMP] = ACTIONS(13035),
    [anon_sym_EQ] = ACTIONS(13035),
    [anon_sym_LT] = ACTIONS(13035),
    [anon_sym_do] = ACTIONS(13033),
    [anon_sym_AMP_DOT] = ACTIONS(13033),
    [anon_sym_QMARK] = ACTIONS(13033),
    [anon_sym_DOT_DOT] = ACTIONS(13035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13033),
    [anon_sym_and] = ACTIONS(13033),
    [anon_sym_or] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE] = ACTIONS(13033),
    [anon_sym_AMP_AMP] = ACTIONS(13033),
    [anon_sym_LT_LT] = ACTIONS(13033),
    [anon_sym_GT_GT] = ACTIONS(13033),
    [anon_sym_EQ_EQ] = ACTIONS(13035),
    [anon_sym_BANG_EQ] = ACTIONS(13033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13033),
    [anon_sym_LT_EQ_GT] = ACTIONS(13033),
    [anon_sym_EQ_TILDE] = ACTIONS(13033),
    [anon_sym_BANG_TILDE] = ACTIONS(13033),
    [anon_sym_LT_EQ] = ACTIONS(13035),
    [anon_sym_GT] = ACTIONS(13035),
    [anon_sym_GT_EQ] = ACTIONS(13033),
    [anon_sym_CARET] = ACTIONS(13033),
    [anon_sym_PLUS] = ACTIONS(13033),
    [anon_sym_SLASH] = ACTIONS(13033),
    [anon_sym_PERCENT] = ACTIONS(13033),
    [sym_comment] = ACTIONS(87),
  },
  [11660] = {
    [sym__heredoc_body_start] = ACTIONS(13044),
    [sym__element_reference_left_bracket] = ACTIONS(13044),
    [sym__infix_scope_colons] = ACTIONS(13044),
    [sym__binary_minus] = ACTIONS(13044),
    [sym__binary_star] = ACTIONS(13044),
    [anon_sym_LBRACE] = ACTIONS(13044),
    [anon_sym_RPAREN] = ACTIONS(13044),
    [anon_sym_DOT] = ACTIONS(13046),
    [anon_sym_COMMA] = ACTIONS(13044),
    [anon_sym_PIPE] = ACTIONS(13046),
    [anon_sym_STAR_STAR] = ACTIONS(13044),
    [anon_sym_AMP] = ACTIONS(13046),
    [anon_sym_EQ] = ACTIONS(13046),
    [anon_sym_LT] = ACTIONS(13046),
    [anon_sym_do] = ACTIONS(13044),
    [anon_sym_AMP_DOT] = ACTIONS(13044),
    [anon_sym_QMARK] = ACTIONS(13044),
    [anon_sym_DOT_DOT] = ACTIONS(13046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13044),
    [anon_sym_and] = ACTIONS(13044),
    [anon_sym_or] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE] = ACTIONS(13044),
    [anon_sym_AMP_AMP] = ACTIONS(13044),
    [anon_sym_LT_LT] = ACTIONS(13044),
    [anon_sym_GT_GT] = ACTIONS(13044),
    [anon_sym_EQ_EQ] = ACTIONS(13046),
    [anon_sym_BANG_EQ] = ACTIONS(13044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13044),
    [anon_sym_LT_EQ_GT] = ACTIONS(13044),
    [anon_sym_EQ_TILDE] = ACTIONS(13044),
    [anon_sym_BANG_TILDE] = ACTIONS(13044),
    [anon_sym_LT_EQ] = ACTIONS(13046),
    [anon_sym_GT] = ACTIONS(13046),
    [anon_sym_GT_EQ] = ACTIONS(13044),
    [anon_sym_CARET] = ACTIONS(13044),
    [anon_sym_PLUS] = ACTIONS(13044),
    [anon_sym_SLASH] = ACTIONS(13044),
    [anon_sym_PERCENT] = ACTIONS(13044),
    [sym_comment] = ACTIONS(87),
  },
  [11661] = {
    [sym__heredoc_body_start] = ACTIONS(13374),
    [sym__element_reference_left_bracket] = ACTIONS(13374),
    [sym__infix_scope_colons] = ACTIONS(13374),
    [sym__binary_minus] = ACTIONS(13374),
    [sym__binary_star] = ACTIONS(13374),
    [anon_sym_LBRACE] = ACTIONS(13374),
    [anon_sym_RPAREN] = ACTIONS(13374),
    [anon_sym_DOT] = ACTIONS(13376),
    [anon_sym_COMMA] = ACTIONS(13374),
    [anon_sym_PIPE] = ACTIONS(13376),
    [anon_sym_STAR_STAR] = ACTIONS(13374),
    [anon_sym_AMP] = ACTIONS(13376),
    [anon_sym_EQ] = ACTIONS(13376),
    [anon_sym_LT] = ACTIONS(13376),
    [anon_sym_do] = ACTIONS(13374),
    [anon_sym_AMP_DOT] = ACTIONS(13374),
    [anon_sym_QMARK] = ACTIONS(13374),
    [anon_sym_DOT_DOT] = ACTIONS(13376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13374),
    [anon_sym_and] = ACTIONS(13374),
    [anon_sym_or] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE] = ACTIONS(13374),
    [anon_sym_AMP_AMP] = ACTIONS(13374),
    [anon_sym_LT_LT] = ACTIONS(13374),
    [anon_sym_GT_GT] = ACTIONS(13374),
    [anon_sym_EQ_EQ] = ACTIONS(13376),
    [anon_sym_BANG_EQ] = ACTIONS(13374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13374),
    [anon_sym_LT_EQ_GT] = ACTIONS(13374),
    [anon_sym_EQ_TILDE] = ACTIONS(13374),
    [anon_sym_BANG_TILDE] = ACTIONS(13374),
    [anon_sym_LT_EQ] = ACTIONS(13376),
    [anon_sym_GT] = ACTIONS(13376),
    [anon_sym_GT_EQ] = ACTIONS(13374),
    [anon_sym_CARET] = ACTIONS(13374),
    [anon_sym_PLUS] = ACTIONS(13374),
    [anon_sym_SLASH] = ACTIONS(13374),
    [anon_sym_PERCENT] = ACTIONS(13374),
    [sym_comment] = ACTIONS(87),
  },
  [11662] = {
    [sym__heredoc_body_start] = ACTIONS(13557),
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [sym__binary_minus] = ACTIONS(13557),
    [sym__binary_star] = ACTIONS(13557),
    [anon_sym_LBRACE] = ACTIONS(13557),
    [anon_sym_RPAREN] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13559),
    [anon_sym_COMMA] = ACTIONS(13557),
    [anon_sym_PIPE] = ACTIONS(13559),
    [anon_sym_STAR_STAR] = ACTIONS(13557),
    [anon_sym_AMP] = ACTIONS(13559),
    [anon_sym_EQ] = ACTIONS(13559),
    [anon_sym_LT] = ACTIONS(13559),
    [anon_sym_do] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [anon_sym_QMARK] = ACTIONS(13557),
    [anon_sym_DOT_DOT] = ACTIONS(13559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13557),
    [anon_sym_and] = ACTIONS(13557),
    [anon_sym_or] = ACTIONS(13557),
    [anon_sym_PIPE_PIPE] = ACTIONS(13557),
    [anon_sym_AMP_AMP] = ACTIONS(13557),
    [anon_sym_LT_LT] = ACTIONS(13557),
    [anon_sym_GT_GT] = ACTIONS(13557),
    [anon_sym_EQ_EQ] = ACTIONS(13559),
    [anon_sym_BANG_EQ] = ACTIONS(13557),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13557),
    [anon_sym_LT_EQ_GT] = ACTIONS(13557),
    [anon_sym_EQ_TILDE] = ACTIONS(13557),
    [anon_sym_BANG_TILDE] = ACTIONS(13557),
    [anon_sym_LT_EQ] = ACTIONS(13559),
    [anon_sym_GT] = ACTIONS(13559),
    [anon_sym_GT_EQ] = ACTIONS(13557),
    [anon_sym_CARET] = ACTIONS(13557),
    [anon_sym_PLUS] = ACTIONS(13557),
    [anon_sym_SLASH] = ACTIONS(13557),
    [anon_sym_PERCENT] = ACTIONS(13557),
    [sym_comment] = ACTIONS(87),
  },
  [11663] = {
    [anon_sym_end] = ACTIONS(15038),
    [sym_comment] = ACTIONS(87),
  },
  [11664] = {
    [sym_heredoc_body] = STATE(11664),
    [aux_sym_call_repeat1] = STATE(11664),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_elsif] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [11665] = {
    [sym_heredoc_body] = STATE(11664),
    [aux_sym_call_repeat1] = STATE(11664),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_elsif] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [11666] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11983),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_assignment] = STATE(11983),
    [sym_operator_assignment] = STATE(11983),
    [sym_conditional] = STATE(11983),
    [sym_range] = STATE(11983),
    [sym_binary] = STATE(11983),
    [sym_unary] = STATE(11983),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11667] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11043),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(7998),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(7998),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(11043),
    [sym_operator_assignment] = STATE(11043),
    [sym_conditional] = STATE(11043),
    [sym_range] = STATE(11043),
    [sym_binary] = STATE(11043),
    [sym_unary] = STATE(11043),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(7997),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(7998),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(7998),
    [sym_false] = STATE(7998),
    [sym_nil] = STATE(7998),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(7886),
    [sym__unary_minus] = ACTIONS(10829),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10839),
    [anon_sym_defined_QMARK] = ACTIONS(10841),
    [anon_sym_not] = ACTIONS(10843),
    [anon_sym_BANG] = ACTIONS(10845),
    [anon_sym_TILDE] = ACTIONS(10845),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11668] = {
    [aux_sym_exceptions_repeat1] = STATE(11984),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15040),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_elsif] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11669] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(10859),
    [sym__binary_star] = ACTIONS(10861),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(10863),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(10865),
    [anon_sym_AMP] = ACTIONS(10867),
    [anon_sym_LT] = ACTIONS(10869),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_elsif] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(10873),
    [anon_sym_DOT_DOT] = ACTIONS(10875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10877),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(10879),
    [anon_sym_AMP_AMP] = ACTIONS(10879),
    [anon_sym_LT_LT] = ACTIONS(10881),
    [anon_sym_GT_GT] = ACTIONS(10881),
    [anon_sym_EQ_EQ] = ACTIONS(10883),
    [anon_sym_BANG_EQ] = ACTIONS(10879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10879),
    [anon_sym_LT_EQ_GT] = ACTIONS(10879),
    [anon_sym_EQ_TILDE] = ACTIONS(10879),
    [anon_sym_BANG_TILDE] = ACTIONS(10879),
    [anon_sym_LT_EQ] = ACTIONS(10869),
    [anon_sym_GT] = ACTIONS(10869),
    [anon_sym_GT_EQ] = ACTIONS(10885),
    [anon_sym_CARET] = ACTIONS(10887),
    [anon_sym_PLUS] = ACTIONS(10889),
    [anon_sym_SLASH] = ACTIONS(10865),
    [anon_sym_PERCENT] = ACTIONS(10865),
    [sym_comment] = ACTIONS(87),
  },
  [11670] = {
    [aux_sym_exceptions_repeat1] = STATE(11670),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15042),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_elsif] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11671] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11985),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_assignment] = STATE(11985),
    [sym_operator_assignment] = STATE(11985),
    [sym_conditional] = STATE(11985),
    [sym_range] = STATE(11985),
    [sym_binary] = STATE(11985),
    [sym_unary] = STATE(11985),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11672] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11078),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8078),
    [sym_scope_resolution] = STATE(8076),
    [sym_call] = STATE(8076),
    [sym_method_call] = STATE(8078),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(11078),
    [sym_operator_assignment] = STATE(11078),
    [sym_conditional] = STATE(11078),
    [sym_range] = STATE(11078),
    [sym_binary] = STATE(11078),
    [sym_unary] = STATE(11078),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(8077),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8078),
    [sym__variable] = STATE(8076),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8078),
    [sym_false] = STATE(8078),
    [sym_nil] = STATE(8078),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8079),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(7968),
    [sym__unary_minus] = ACTIONS(10919),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(10921),
    [anon_sym_yield] = ACTIONS(10923),
    [anon_sym_break] = ACTIONS(10925),
    [anon_sym_next] = ACTIONS(10927),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(10929),
    [anon_sym_defined_QMARK] = ACTIONS(10931),
    [anon_sym_not] = ACTIONS(10933),
    [anon_sym_BANG] = ACTIONS(10935),
    [anon_sym_TILDE] = ACTIONS(10935),
    [sym_constant] = ACTIONS(10937),
    [sym_identifier] = ACTIONS(10937),
    [sym_instance_variable] = ACTIONS(10939),
    [sym_class_variable] = ACTIONS(10939),
    [sym_global_variable] = ACTIONS(10939),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(10937),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(10937),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11673] = {
    [aux_sym_exceptions_repeat1] = STATE(11986),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15045),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_elsif] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [11674] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(10945),
    [sym__binary_star] = ACTIONS(10947),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(10949),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(10951),
    [anon_sym_AMP] = ACTIONS(10953),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(10955),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_elsif] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(10959),
    [anon_sym_DOT_DOT] = ACTIONS(10961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10963),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(10965),
    [anon_sym_AMP_AMP] = ACTIONS(10965),
    [anon_sym_LT_LT] = ACTIONS(10967),
    [anon_sym_GT_GT] = ACTIONS(10967),
    [anon_sym_EQ_EQ] = ACTIONS(10965),
    [anon_sym_BANG_EQ] = ACTIONS(10969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(10969),
    [anon_sym_LT_EQ_GT] = ACTIONS(10969),
    [anon_sym_EQ_TILDE] = ACTIONS(10969),
    [anon_sym_BANG_TILDE] = ACTIONS(10969),
    [anon_sym_LT_EQ] = ACTIONS(10955),
    [anon_sym_GT] = ACTIONS(10955),
    [anon_sym_GT_EQ] = ACTIONS(10971),
    [anon_sym_CARET] = ACTIONS(10949),
    [anon_sym_PLUS] = ACTIONS(10973),
    [anon_sym_SLASH] = ACTIONS(10951),
    [anon_sym_PERCENT] = ACTIONS(10951),
    [sym_comment] = ACTIONS(87),
  },
  [11675] = {
    [aux_sym_exceptions_repeat1] = STATE(11675),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15047),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_elsif] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11676] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11987),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8115),
    [sym_scope_resolution] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_method_call] = STATE(8115),
    [sym_assignment] = STATE(11987),
    [sym_operator_assignment] = STATE(11987),
    [sym_conditional] = STATE(11987),
    [sym_range] = STATE(11987),
    [sym_binary] = STATE(11987),
    [sym_unary] = STATE(11987),
    [sym_left_assignment_list] = STATE(8114),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8115),
    [sym__variable] = STATE(2806),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8115),
    [sym_false] = STATE(8115),
    [sym_nil] = STATE(8115),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(7999),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(10987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(10831),
    [anon_sym_yield] = ACTIONS(10833),
    [anon_sym_break] = ACTIONS(10835),
    [anon_sym_next] = ACTIONS(10837),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(10989),
    [anon_sym_defined_QMARK] = ACTIONS(10991),
    [anon_sym_not] = ACTIONS(10993),
    [anon_sym_BANG] = ACTIONS(10995),
    [anon_sym_TILDE] = ACTIONS(10995),
    [sym_constant] = ACTIONS(4424),
    [sym_identifier] = ACTIONS(4424),
    [sym_instance_variable] = ACTIONS(4426),
    [sym_class_variable] = ACTIONS(4426),
    [sym_global_variable] = ACTIONS(4426),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4424),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4424),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11677] = {
    [sym_heredoc_body] = STATE(11677),
    [aux_sym_call_repeat1] = STATE(11677),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [11678] = {
    [sym_heredoc_body] = STATE(11677),
    [aux_sym_call_repeat1] = STATE(11677),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [11679] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11988),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_assignment] = STATE(11988),
    [sym_operator_assignment] = STATE(11988),
    [sym_conditional] = STATE(11988),
    [sym_range] = STATE(11988),
    [sym_binary] = STATE(11988),
    [sym_unary] = STATE(11988),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11680] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11117),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8164),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8164),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(11117),
    [sym_operator_assignment] = STATE(11117),
    [sym_conditional] = STATE(11117),
    [sym_range] = STATE(11117),
    [sym_binary] = STATE(11117),
    [sym_unary] = STATE(11117),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(8163),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8164),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8164),
    [sym_false] = STATE(8164),
    [sym_nil] = STATE(8164),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(8090),
    [sym__unary_minus] = ACTIONS(11002),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11012),
    [anon_sym_defined_QMARK] = ACTIONS(11014),
    [anon_sym_not] = ACTIONS(11016),
    [anon_sym_BANG] = ACTIONS(11018),
    [anon_sym_TILDE] = ACTIONS(11018),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11681] = {
    [aux_sym_exceptions_repeat1] = STATE(11989),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15050),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11682] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11032),
    [sym__binary_star] = ACTIONS(11034),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11036),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(11038),
    [anon_sym_AMP] = ACTIONS(11040),
    [anon_sym_LT] = ACTIONS(11042),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11046),
    [anon_sym_DOT_DOT] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11052),
    [anon_sym_AMP_AMP] = ACTIONS(11052),
    [anon_sym_LT_LT] = ACTIONS(11054),
    [anon_sym_GT_GT] = ACTIONS(11054),
    [anon_sym_EQ_EQ] = ACTIONS(11056),
    [anon_sym_BANG_EQ] = ACTIONS(11052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11052),
    [anon_sym_LT_EQ_GT] = ACTIONS(11052),
    [anon_sym_EQ_TILDE] = ACTIONS(11052),
    [anon_sym_BANG_TILDE] = ACTIONS(11052),
    [anon_sym_LT_EQ] = ACTIONS(11042),
    [anon_sym_GT] = ACTIONS(11042),
    [anon_sym_GT_EQ] = ACTIONS(11058),
    [anon_sym_CARET] = ACTIONS(11060),
    [anon_sym_PLUS] = ACTIONS(11062),
    [anon_sym_SLASH] = ACTIONS(11038),
    [anon_sym_PERCENT] = ACTIONS(11038),
    [sym_comment] = ACTIONS(87),
  },
  [11683] = {
    [aux_sym_exceptions_repeat1] = STATE(11683),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15052),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11684] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11990),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_assignment] = STATE(11990),
    [sym_operator_assignment] = STATE(11990),
    [sym_conditional] = STATE(11990),
    [sym_range] = STATE(11990),
    [sym_binary] = STATE(11990),
    [sym_unary] = STATE(11990),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11685] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11151),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8243),
    [sym_scope_resolution] = STATE(8241),
    [sym_call] = STATE(8241),
    [sym_method_call] = STATE(8243),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(11151),
    [sym_operator_assignment] = STATE(11151),
    [sym_conditional] = STATE(11151),
    [sym_range] = STATE(11151),
    [sym_binary] = STATE(11151),
    [sym_unary] = STATE(11151),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(8242),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8243),
    [sym__variable] = STATE(8241),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8243),
    [sym_false] = STATE(8243),
    [sym_nil] = STATE(8243),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8244),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(8166),
    [sym__unary_minus] = ACTIONS(11090),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11092),
    [anon_sym_yield] = ACTIONS(11094),
    [anon_sym_break] = ACTIONS(11096),
    [anon_sym_next] = ACTIONS(11098),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11100),
    [anon_sym_defined_QMARK] = ACTIONS(11102),
    [anon_sym_not] = ACTIONS(11104),
    [anon_sym_BANG] = ACTIONS(11106),
    [anon_sym_TILDE] = ACTIONS(11106),
    [sym_constant] = ACTIONS(11108),
    [sym_identifier] = ACTIONS(11108),
    [sym_instance_variable] = ACTIONS(11110),
    [sym_class_variable] = ACTIONS(11110),
    [sym_global_variable] = ACTIONS(11110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11108),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11108),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11686] = {
    [aux_sym_exceptions_repeat1] = STATE(11991),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15055),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [11687] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11116),
    [sym__binary_star] = ACTIONS(11118),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11120),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(11122),
    [anon_sym_AMP] = ACTIONS(11124),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_DOT_DOT] = ACTIONS(11132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11136),
    [anon_sym_AMP_AMP] = ACTIONS(11136),
    [anon_sym_LT_LT] = ACTIONS(11138),
    [anon_sym_GT_GT] = ACTIONS(11138),
    [anon_sym_EQ_EQ] = ACTIONS(11136),
    [anon_sym_BANG_EQ] = ACTIONS(11140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11140),
    [anon_sym_LT_EQ_GT] = ACTIONS(11140),
    [anon_sym_EQ_TILDE] = ACTIONS(11140),
    [anon_sym_BANG_TILDE] = ACTIONS(11140),
    [anon_sym_LT_EQ] = ACTIONS(11126),
    [anon_sym_GT] = ACTIONS(11126),
    [anon_sym_GT_EQ] = ACTIONS(11142),
    [anon_sym_CARET] = ACTIONS(11120),
    [anon_sym_PLUS] = ACTIONS(11144),
    [anon_sym_SLASH] = ACTIONS(11122),
    [anon_sym_PERCENT] = ACTIONS(11122),
    [sym_comment] = ACTIONS(87),
  },
  [11688] = {
    [aux_sym_exceptions_repeat1] = STATE(11688),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15057),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11689] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11992),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8280),
    [sym_scope_resolution] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_method_call] = STATE(8280),
    [sym_assignment] = STATE(11992),
    [sym_operator_assignment] = STATE(11992),
    [sym_conditional] = STATE(11992),
    [sym_range] = STATE(11992),
    [sym_binary] = STATE(11992),
    [sym_unary] = STATE(11992),
    [sym_left_assignment_list] = STATE(8279),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8280),
    [sym__variable] = STATE(2890),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8280),
    [sym_false] = STATE(8280),
    [sym_nil] = STATE(8280),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8165),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11158),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11004),
    [anon_sym_yield] = ACTIONS(11006),
    [anon_sym_break] = ACTIONS(11008),
    [anon_sym_next] = ACTIONS(11010),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11160),
    [anon_sym_defined_QMARK] = ACTIONS(11162),
    [anon_sym_not] = ACTIONS(11164),
    [anon_sym_BANG] = ACTIONS(11166),
    [anon_sym_TILDE] = ACTIONS(11166),
    [sym_constant] = ACTIONS(4534),
    [sym_identifier] = ACTIONS(4534),
    [sym_instance_variable] = ACTIONS(4536),
    [sym_class_variable] = ACTIONS(4536),
    [sym_global_variable] = ACTIONS(4536),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4534),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4534),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11690] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11993),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_assignment] = STATE(11993),
    [sym_operator_assignment] = STATE(11993),
    [sym_conditional] = STATE(11993),
    [sym_range] = STATE(11993),
    [sym_binary] = STATE(11993),
    [sym_unary] = STATE(11993),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11691] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(11191),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(8384),
    [sym_scope_resolution] = STATE(3030),
    [sym_call] = STATE(3030),
    [sym_method_call] = STATE(8384),
    [sym_splat_argument] = STATE(11626),
    [sym_assignment] = STATE(11191),
    [sym_operator_assignment] = STATE(11191),
    [sym_conditional] = STATE(11191),
    [sym_range] = STATE(11191),
    [sym_binary] = STATE(11191),
    [sym_unary] = STATE(11191),
    [sym__arg_or_splat_arg] = STATE(11626),
    [sym_left_assignment_list] = STATE(8383),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8384),
    [sym__variable] = STATE(3030),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(8384),
    [sym_false] = STATE(8384),
    [sym_nil] = STATE(8384),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(8385),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(8382),
    [sym__unary_minus] = ACTIONS(11198),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(11200),
    [anon_sym_yield] = ACTIONS(11202),
    [anon_sym_break] = ACTIONS(11204),
    [anon_sym_next] = ACTIONS(11206),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(11208),
    [anon_sym_defined_QMARK] = ACTIONS(11210),
    [anon_sym_not] = ACTIONS(11212),
    [anon_sym_BANG] = ACTIONS(11214),
    [anon_sym_TILDE] = ACTIONS(11214),
    [sym_constant] = ACTIONS(4726),
    [sym_identifier] = ACTIONS(4726),
    [sym_instance_variable] = ACTIONS(4728),
    [sym_class_variable] = ACTIONS(4728),
    [sym_global_variable] = ACTIONS(4728),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(4726),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11692] = {
    [aux_sym_exceptions_repeat1] = STATE(11994),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15060),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_in] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [11693] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11995),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_assignment] = STATE(11995),
    [sym_operator_assignment] = STATE(11995),
    [sym_conditional] = STATE(11995),
    [sym_range] = STATE(11995),
    [sym_binary] = STATE(11995),
    [sym_unary] = STATE(11995),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11694] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11213),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8483),
    [sym_scope_resolution] = STATE(3175),
    [sym_call] = STATE(3175),
    [sym_method_call] = STATE(8483),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(11213),
    [sym_operator_assignment] = STATE(11213),
    [sym_conditional] = STATE(11213),
    [sym_range] = STATE(11213),
    [sym_binary] = STATE(11213),
    [sym_unary] = STATE(11213),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(8482),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8483),
    [sym__variable] = STATE(3175),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8483),
    [sym_false] = STATE(8483),
    [sym_nil] = STATE(8483),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(3179),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(8534),
    [sym__unary_minus] = ACTIONS(11252),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(4906),
    [anon_sym_yield] = ACTIONS(4908),
    [anon_sym_break] = ACTIONS(4910),
    [anon_sym_next] = ACTIONS(4912),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11254),
    [anon_sym_defined_QMARK] = ACTIONS(11256),
    [anon_sym_not] = ACTIONS(11258),
    [anon_sym_BANG] = ACTIONS(11260),
    [anon_sym_TILDE] = ACTIONS(11260),
    [sym_constant] = ACTIONS(4922),
    [sym_identifier] = ACTIONS(4922),
    [sym_instance_variable] = ACTIONS(4924),
    [sym_class_variable] = ACTIONS(4924),
    [sym_global_variable] = ACTIONS(4924),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(4922),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(4922),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11695] = {
    [aux_sym_exceptions_repeat1] = STATE(11996),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15062),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11696] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_when] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [11697] = {
    [sym_heredoc_body] = STATE(11997),
    [aux_sym_call_repeat1] = STATE(11997),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_when] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [11698] = {
    [sym_heredoc_body] = STATE(11997),
    [aux_sym_call_repeat1] = STATE(11997),
    [aux_sym_argument_list_repeat1] = STATE(11998),
    [sym__line_break] = ACTIONS(1693),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(1693),
    [sym__infix_scope_colons] = ACTIONS(1693),
    [sym__binary_minus] = ACTIONS(1693),
    [sym__binary_star] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(14065),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_end] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_unless] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_until] = ACTIONS(1693),
    [anon_sym_rescue] = ACTIONS(1693),
    [anon_sym_when] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_AMP_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1693),
    [anon_sym_and] = ACTIONS(1693),
    [anon_sym_or] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ_GT] = ACTIONS(1693),
    [anon_sym_EQ_TILDE] = ACTIONS(1693),
    [anon_sym_BANG_TILDE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [sym_comment] = ACTIONS(87),
  },
  [11699] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [11700] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(14703),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [11701] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11999),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(11999),
    [sym_operator_assignment] = STATE(11999),
    [sym_conditional] = STATE(11999),
    [sym_range] = STATE(11999),
    [sym_binary] = STATE(11999),
    [sym_unary] = STATE(11999),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11702] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12000),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12000),
    [sym_operator_assignment] = STATE(12000),
    [sym_conditional] = STATE(12000),
    [sym_range] = STATE(12000),
    [sym_binary] = STATE(12000),
    [sym_unary] = STATE(12000),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11703] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12001),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12001),
    [sym_operator_assignment] = STATE(12001),
    [sym_conditional] = STATE(12001),
    [sym_range] = STATE(12001),
    [sym_binary] = STATE(12001),
    [sym_unary] = STATE(12001),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11704] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12002),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12002),
    [sym_operator_assignment] = STATE(12002),
    [sym_conditional] = STATE(12002),
    [sym_range] = STATE(12002),
    [sym_binary] = STATE(12002),
    [sym_unary] = STATE(12002),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11705] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12003),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12003),
    [sym_operator_assignment] = STATE(12003),
    [sym_conditional] = STATE(12003),
    [sym_range] = STATE(12003),
    [sym_binary] = STATE(12003),
    [sym_unary] = STATE(12003),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11706] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12004),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12004),
    [sym_operator_assignment] = STATE(12004),
    [sym_conditional] = STATE(12004),
    [sym_range] = STATE(12004),
    [sym_binary] = STATE(12004),
    [sym_unary] = STATE(12004),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11707] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(12005),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(12005),
    [sym_operator_assignment] = STATE(12005),
    [sym_conditional] = STATE(12005),
    [sym_range] = STATE(12005),
    [sym_binary] = STATE(12005),
    [sym_unary] = STATE(12005),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11708] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12006),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12006),
    [sym_operator_assignment] = STATE(12006),
    [sym_conditional] = STATE(12006),
    [sym_range] = STATE(12006),
    [sym_binary] = STATE(12006),
    [sym_unary] = STATE(12006),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11709] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12007),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12007),
    [sym_operator_assignment] = STATE(12007),
    [sym_conditional] = STATE(12007),
    [sym_range] = STATE(12007),
    [sym_binary] = STATE(12007),
    [sym_unary] = STATE(12007),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11710] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12008),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12008),
    [sym_operator_assignment] = STATE(12008),
    [sym_conditional] = STATE(12008),
    [sym_range] = STATE(12008),
    [sym_binary] = STATE(12008),
    [sym_unary] = STATE(12008),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11711] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12009),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12009),
    [sym_operator_assignment] = STATE(12009),
    [sym_conditional] = STATE(12009),
    [sym_range] = STATE(12009),
    [sym_binary] = STATE(12009),
    [sym_unary] = STATE(12009),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11712] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12010),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12010),
    [sym_operator_assignment] = STATE(12010),
    [sym_conditional] = STATE(12010),
    [sym_range] = STATE(12010),
    [sym_binary] = STATE(12010),
    [sym_unary] = STATE(12010),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11713] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12011),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_splat_argument] = STATE(12012),
    [sym_assignment] = STATE(12011),
    [sym_operator_assignment] = STATE(12011),
    [sym_conditional] = STATE(12011),
    [sym_range] = STATE(12011),
    [sym_binary] = STATE(12011),
    [sym_unary] = STATE(12011),
    [sym_right_assignment_list] = STATE(2719),
    [sym__arg_or_splat_arg] = STATE(12012),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(13095),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11714] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12013),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12013),
    [sym_operator_assignment] = STATE(12013),
    [sym_conditional] = STATE(12013),
    [sym_range] = STATE(12013),
    [sym_binary] = STATE(12013),
    [sym_unary] = STATE(12013),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11715] = {
    [sym_string] = STATE(12014),
    [aux_sym_chained_string_repeat1] = STATE(12014),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(7),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_when] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [11716] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_when] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(14703),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [11717] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_when] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11718] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_when] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11719] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(12015),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(12015),
    [sym_operator_assignment] = STATE(12015),
    [sym_conditional] = STATE(12015),
    [sym_range] = STATE(12015),
    [sym_binary] = STATE(12015),
    [sym_unary] = STATE(12015),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11720] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_when] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11721] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(12016),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(12016),
    [sym_operator_assignment] = STATE(12016),
    [sym_conditional] = STATE(12016),
    [sym_range] = STATE(12016),
    [sym_binary] = STATE(12016),
    [sym_unary] = STATE(12016),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11722] = {
    [sym_heredoc_body] = STATE(12017),
    [aux_sym_call_repeat1] = STATE(12017),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_when] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11723] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11238),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym__argument] = STATE(2714),
    [sym_splat_argument] = STATE(2714),
    [sym_hash_splat_argument] = STATE(2714),
    [sym_block_argument] = STATE(2714),
    [sym_assignment] = STATE(11238),
    [sym_operator_assignment] = STATE(11238),
    [sym_conditional] = STATE(11238),
    [sym_range] = STATE(11238),
    [sym_binary] = STATE(11238),
    [sym_unary] = STATE(11238),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11241),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_heredoc_body] = STATE(12018),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(2714),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(14017),
    [sym__splat_star] = ACTIONS(14019),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__identifier_hash_key] = ACTIONS(14021),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(15064),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(14023),
    [sym_identifier] = ACTIONS(14023),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11724] = {
    [sym_heredoc_body] = STATE(12019),
    [aux_sym_call_repeat1] = STATE(12019),
    [aux_sym_argument_list_repeat1] = STATE(12020),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(14729),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_when] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11725] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(12021),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(12021),
    [sym_operator_assignment] = STATE(12021),
    [sym_conditional] = STATE(12021),
    [sym_range] = STATE(12021),
    [sym_binary] = STATE(12021),
    [sym_unary] = STATE(12021),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11726] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_when] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11727] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_when] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [11728] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11729] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [11730] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11731] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11732] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_when] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(14703),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [11733] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(15066),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11734] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_when] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11735] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11736] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11737] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11738] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11739] = {
    [sym__line_break] = ACTIONS(4130),
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_unless] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_until] = ACTIONS(4130),
    [anon_sym_rescue] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_when] = ACTIONS(4130),
    [anon_sym_else] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11740] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_when] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11741] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(12023),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(12023),
    [sym_operator_assignment] = STATE(12023),
    [sym_conditional] = STATE(12023),
    [sym_range] = STATE(12023),
    [sym_binary] = STATE(12023),
    [sym_unary] = STATE(12023),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11742] = {
    [sym__line_break] = ACTIONS(3186),
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [anon_sym_rescue] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_when] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11743] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(12024),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(12024),
    [sym_operator_assignment] = STATE(12024),
    [sym_conditional] = STATE(12024),
    [sym_range] = STATE(12024),
    [sym_binary] = STATE(12024),
    [sym_unary] = STATE(12024),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11744] = {
    [sym_heredoc_body] = STATE(12025),
    [aux_sym_call_repeat1] = STATE(12025),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_when] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [11745] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11262),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym__argument] = STATE(5308),
    [sym_splat_argument] = STATE(5308),
    [sym_hash_splat_argument] = STATE(5308),
    [sym_block_argument] = STATE(5308),
    [sym_assignment] = STATE(11262),
    [sym_operator_assignment] = STATE(11262),
    [sym_conditional] = STATE(11262),
    [sym_range] = STATE(11262),
    [sym_binary] = STATE(11262),
    [sym_unary] = STATE(11262),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11265),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_heredoc_body] = STATE(12026),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(5308),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(14057),
    [sym__splat_star] = ACTIONS(14059),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__identifier_hash_key] = ACTIONS(14061),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(15068),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(14063),
    [sym_identifier] = ACTIONS(14063),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11746] = {
    [sym_heredoc_body] = STATE(12027),
    [aux_sym_call_repeat1] = STATE(12027),
    [aux_sym_argument_list_repeat1] = STATE(12028),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(14735),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_when] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [11747] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(12029),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(12029),
    [sym_operator_assignment] = STATE(12029),
    [sym_conditional] = STATE(12029),
    [sym_range] = STATE(12029),
    [sym_binary] = STATE(12029),
    [sym_unary] = STATE(12029),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11748] = {
    [sym_heredoc_body] = STATE(11748),
    [aux_sym_call_repeat1] = STATE(11748),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_when] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [11749] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10269),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(10269),
    [sym_operator_assignment] = STATE(10269),
    [sym_conditional] = STATE(10269),
    [sym_range] = STATE(10269),
    [sym_binary] = STATE(10269),
    [sym_unary] = STATE(10269),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10275),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(13093),
    [sym__splat_star] = ACTIONS(13095),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__identifier_hash_key] = ACTIONS(13099),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14739),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13117),
    [sym_identifier] = ACTIONS(13117),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11750] = {
    [sym_heredoc_body] = STATE(11748),
    [aux_sym_call_repeat1] = STATE(11748),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_when] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [11751] = {
    [aux_sym_argument_list_repeat1] = STATE(11751),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(15070),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_when] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [11752] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_when] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11753] = {
    [aux_sym_exceptions_repeat1] = STATE(12031),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_when] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [11754] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_when] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [11755] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_when] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(14703),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [11756] = {
    [sym_string] = STATE(11756),
    [aux_sym_chained_string_repeat1] = STATE(11756),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_when] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [11757] = {
    [aux_sym_undef_repeat1] = STATE(11757),
    [sym__line_break] = ACTIONS(9196),
    [sym__heredoc_body_start] = ACTIONS(9196),
    [anon_sym_COMMA] = ACTIONS(9198),
    [anon_sym_SEMI] = ACTIONS(9196),
    [anon_sym_end] = ACTIONS(9196),
    [anon_sym_if] = ACTIONS(9196),
    [anon_sym_unless] = ACTIONS(9196),
    [anon_sym_while] = ACTIONS(9196),
    [anon_sym_until] = ACTIONS(9196),
    [anon_sym_rescue] = ACTIONS(9196),
    [anon_sym_when] = ACTIONS(9196),
    [anon_sym_else] = ACTIONS(9196),
    [sym_comment] = ACTIONS(87),
  },
  [11758] = {
    [sym__top_level_statement] = STATE(1486),
    [sym_begin_block] = STATE(46),
    [sym_end_block] = STATE(46),
    [sym__statement] = STATE(8504),
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_if_modifier] = STATE(48),
    [sym_unless_modifier] = STATE(48),
    [sym_while_modifier] = STATE(48),
    [sym_until_modifier] = STATE(48),
    [sym_rescue_modifier] = STATE(48),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(8506),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(8506),
    [sym_operator_assignment] = STATE(8506),
    [sym_conditional] = STATE(8506),
    [sym_range] = STATE(8506),
    [sym_binary] = STATE(8506),
    [sym_unary] = STATE(8506),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_undef] = STATE(48),
    [sym_alias] = STATE(48),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym_empty_statement] = STATE(48),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_BEGIN] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_END] = ACTIONS(31),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [anon_sym_undef] = ACTIONS(11296),
    [anon_sym_alias] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11759] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12032),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8509),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(8509),
    [sym_assignment] = STATE(12032),
    [sym_operator_assignment] = STATE(12032),
    [sym_conditional] = STATE(12032),
    [sym_range] = STATE(12032),
    [sym_binary] = STATE(12032),
    [sym_unary] = STATE(12032),
    [sym_left_assignment_list] = STATE(8508),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8509),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8509),
    [sym_false] = STATE(8509),
    [sym_nil] = STATE(8509),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8510),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11270),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11274),
    [anon_sym_yield] = ACTIONS(11276),
    [anon_sym_break] = ACTIONS(11278),
    [anon_sym_next] = ACTIONS(11280),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11284),
    [anon_sym_defined_QMARK] = ACTIONS(11286),
    [anon_sym_not] = ACTIONS(11288),
    [anon_sym_BANG] = ACTIONS(11290),
    [anon_sym_TILDE] = ACTIONS(11290),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11760] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_when] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [11761] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [11762] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(14758),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [11763] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12033),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12033),
    [sym_operator_assignment] = STATE(12033),
    [sym_conditional] = STATE(12033),
    [sym_range] = STATE(12033),
    [sym_binary] = STATE(12033),
    [sym_unary] = STATE(12033),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11764] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12034),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12034),
    [sym_operator_assignment] = STATE(12034),
    [sym_conditional] = STATE(12034),
    [sym_range] = STATE(12034),
    [sym_binary] = STATE(12034),
    [sym_unary] = STATE(12034),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11765] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12035),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12035),
    [sym_operator_assignment] = STATE(12035),
    [sym_conditional] = STATE(12035),
    [sym_range] = STATE(12035),
    [sym_binary] = STATE(12035),
    [sym_unary] = STATE(12035),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11766] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12036),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12036),
    [sym_operator_assignment] = STATE(12036),
    [sym_conditional] = STATE(12036),
    [sym_range] = STATE(12036),
    [sym_binary] = STATE(12036),
    [sym_unary] = STATE(12036),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11767] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12037),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12037),
    [sym_operator_assignment] = STATE(12037),
    [sym_conditional] = STATE(12037),
    [sym_range] = STATE(12037),
    [sym_binary] = STATE(12037),
    [sym_unary] = STATE(12037),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11768] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12038),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12038),
    [sym_operator_assignment] = STATE(12038),
    [sym_conditional] = STATE(12038),
    [sym_range] = STATE(12038),
    [sym_binary] = STATE(12038),
    [sym_unary] = STATE(12038),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11769] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(12039),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(12039),
    [sym_operator_assignment] = STATE(12039),
    [sym_conditional] = STATE(12039),
    [sym_range] = STATE(12039),
    [sym_binary] = STATE(12039),
    [sym_unary] = STATE(12039),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11770] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12040),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12040),
    [sym_operator_assignment] = STATE(12040),
    [sym_conditional] = STATE(12040),
    [sym_range] = STATE(12040),
    [sym_binary] = STATE(12040),
    [sym_unary] = STATE(12040),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11771] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12041),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12041),
    [sym_operator_assignment] = STATE(12041),
    [sym_conditional] = STATE(12041),
    [sym_range] = STATE(12041),
    [sym_binary] = STATE(12041),
    [sym_unary] = STATE(12041),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11772] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12042),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12042),
    [sym_operator_assignment] = STATE(12042),
    [sym_conditional] = STATE(12042),
    [sym_range] = STATE(12042),
    [sym_binary] = STATE(12042),
    [sym_unary] = STATE(12042),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11773] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12043),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12043),
    [sym_operator_assignment] = STATE(12043),
    [sym_conditional] = STATE(12043),
    [sym_range] = STATE(12043),
    [sym_binary] = STATE(12043),
    [sym_unary] = STATE(12043),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11774] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12044),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12044),
    [sym_operator_assignment] = STATE(12044),
    [sym_conditional] = STATE(12044),
    [sym_range] = STATE(12044),
    [sym_binary] = STATE(12044),
    [sym_unary] = STATE(12044),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11775] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12045),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_splat_argument] = STATE(12046),
    [sym_assignment] = STATE(12045),
    [sym_operator_assignment] = STATE(12045),
    [sym_conditional] = STATE(12045),
    [sym_range] = STATE(12045),
    [sym_binary] = STATE(12045),
    [sym_unary] = STATE(12045),
    [sym_right_assignment_list] = STATE(6820),
    [sym__arg_or_splat_arg] = STATE(12046),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(13171),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11776] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12047),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12047),
    [sym_operator_assignment] = STATE(12047),
    [sym_conditional] = STATE(12047),
    [sym_range] = STATE(12047),
    [sym_binary] = STATE(12047),
    [sym_unary] = STATE(12047),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11777] = {
    [sym_string] = STATE(12048),
    [aux_sym_chained_string_repeat1] = STATE(12048),
    [sym__line_break] = ACTIONS(2785),
    [sym__string_start] = ACTIONS(2587),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [anon_sym_rescue] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_when] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [11778] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_when] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(14758),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [11779] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_when] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11780] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_when] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [11781] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11782] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [11783] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11784] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11785] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_when] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(14758),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [11786] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(15073),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11787] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_when] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11788] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11789] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11790] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11791] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11792] = {
    [sym_heredoc_body] = STATE(11792),
    [aux_sym_call_repeat1] = STATE(11792),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(9790),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_when] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [11793] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(10312),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym__argument] = STATE(6900),
    [sym_splat_argument] = STATE(6900),
    [sym_hash_splat_argument] = STATE(6900),
    [sym_block_argument] = STATE(6900),
    [sym_assignment] = STATE(10312),
    [sym_operator_assignment] = STATE(10312),
    [sym_conditional] = STATE(10312),
    [sym_range] = STATE(10312),
    [sym_binary] = STATE(10312),
    [sym_unary] = STATE(10312),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(10318),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(6900),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(13169),
    [sym__splat_star] = ACTIONS(13171),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__identifier_hash_key] = ACTIONS(13175),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14780),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13193),
    [sym_identifier] = ACTIONS(13193),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [11794] = {
    [sym_heredoc_body] = STATE(11792),
    [aux_sym_call_repeat1] = STATE(11792),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(2759),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_when] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [11795] = {
    [aux_sym_argument_list_repeat1] = STATE(11795),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(15075),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_when] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [11796] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_when] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11797] = {
    [aux_sym_exceptions_repeat1] = STATE(12051),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_when] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [11798] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_when] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [11799] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_when] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(14758),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [11800] = {
    [sym_string] = STATE(11800),
    [aux_sym_chained_string_repeat1] = STATE(11800),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(9796),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_when] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [11801] = {
    [sym__line_break] = ACTIONS(4170),
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(14786),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(14790),
    [anon_sym_LT] = ACTIONS(14792),
    [anon_sym_end] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_unless] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(4170),
    [anon_sym_until] = ACTIONS(4170),
    [anon_sym_rescue] = ACTIONS(4170),
    [anon_sym_when] = ACTIONS(4170),
    [anon_sym_else] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_DOT_DOT] = ACTIONS(14796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14798),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(14800),
    [anon_sym_AMP_AMP] = ACTIONS(14800),
    [anon_sym_LT_LT] = ACTIONS(14802),
    [anon_sym_GT_GT] = ACTIONS(14802),
    [anon_sym_EQ_EQ] = ACTIONS(14804),
    [anon_sym_BANG_EQ] = ACTIONS(14800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14800),
    [anon_sym_LT_EQ_GT] = ACTIONS(14800),
    [anon_sym_EQ_TILDE] = ACTIONS(14800),
    [anon_sym_BANG_TILDE] = ACTIONS(14800),
    [anon_sym_LT_EQ] = ACTIONS(14792),
    [anon_sym_GT] = ACTIONS(14792),
    [anon_sym_GT_EQ] = ACTIONS(14806),
    [anon_sym_CARET] = ACTIONS(14808),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [11802] = {
    [sym__line_break] = ACTIONS(939),
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_unless] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_until] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(939),
    [anon_sym_when] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [11803] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [11804] = {
    [sym__line_break] = ACTIONS(2279),
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(14786),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(14790),
    [anon_sym_LT] = ACTIONS(14792),
    [anon_sym_end] = ACTIONS(2279),
    [anon_sym_if] = ACTIONS(2279),
    [anon_sym_unless] = ACTIONS(2279),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_until] = ACTIONS(2279),
    [anon_sym_rescue] = ACTIONS(2279),
    [anon_sym_when] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_DOT_DOT] = ACTIONS(14796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14798),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(14800),
    [anon_sym_AMP_AMP] = ACTIONS(14800),
    [anon_sym_LT_LT] = ACTIONS(14802),
    [anon_sym_GT_GT] = ACTIONS(14802),
    [anon_sym_EQ_EQ] = ACTIONS(14804),
    [anon_sym_BANG_EQ] = ACTIONS(14800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14800),
    [anon_sym_LT_EQ_GT] = ACTIONS(14800),
    [anon_sym_EQ_TILDE] = ACTIONS(14800),
    [anon_sym_BANG_TILDE] = ACTIONS(14800),
    [anon_sym_LT_EQ] = ACTIONS(14792),
    [anon_sym_GT] = ACTIONS(14792),
    [anon_sym_GT_EQ] = ACTIONS(14806),
    [anon_sym_CARET] = ACTIONS(14808),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [11805] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12052),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12052),
    [sym_operator_assignment] = STATE(12052),
    [sym_conditional] = STATE(12052),
    [sym_range] = STATE(12052),
    [sym_binary] = STATE(12052),
    [sym_unary] = STATE(12052),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11806] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12053),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12053),
    [sym_operator_assignment] = STATE(12053),
    [sym_conditional] = STATE(12053),
    [sym_range] = STATE(12053),
    [sym_binary] = STATE(12053),
    [sym_unary] = STATE(12053),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11807] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12054),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12054),
    [sym_operator_assignment] = STATE(12054),
    [sym_conditional] = STATE(12054),
    [sym_range] = STATE(12054),
    [sym_binary] = STATE(12054),
    [sym_unary] = STATE(12054),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11808] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12055),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12055),
    [sym_operator_assignment] = STATE(12055),
    [sym_conditional] = STATE(12055),
    [sym_range] = STATE(12055),
    [sym_binary] = STATE(12055),
    [sym_unary] = STATE(12055),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11809] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12056),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12056),
    [sym_operator_assignment] = STATE(12056),
    [sym_conditional] = STATE(12056),
    [sym_range] = STATE(12056),
    [sym_binary] = STATE(12056),
    [sym_unary] = STATE(12056),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11810] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12057),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12057),
    [sym_operator_assignment] = STATE(12057),
    [sym_conditional] = STATE(12057),
    [sym_range] = STATE(12057),
    [sym_binary] = STATE(12057),
    [sym_unary] = STATE(12057),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11811] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(12058),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(12058),
    [sym_operator_assignment] = STATE(12058),
    [sym_conditional] = STATE(12058),
    [sym_range] = STATE(12058),
    [sym_binary] = STATE(12058),
    [sym_unary] = STATE(12058),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11812] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12059),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12059),
    [sym_operator_assignment] = STATE(12059),
    [sym_conditional] = STATE(12059),
    [sym_range] = STATE(12059),
    [sym_binary] = STATE(12059),
    [sym_unary] = STATE(12059),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11813] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12060),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12060),
    [sym_operator_assignment] = STATE(12060),
    [sym_conditional] = STATE(12060),
    [sym_range] = STATE(12060),
    [sym_binary] = STATE(12060),
    [sym_unary] = STATE(12060),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11814] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12061),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12061),
    [sym_operator_assignment] = STATE(12061),
    [sym_conditional] = STATE(12061),
    [sym_range] = STATE(12061),
    [sym_binary] = STATE(12061),
    [sym_unary] = STATE(12061),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11815] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12062),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12062),
    [sym_operator_assignment] = STATE(12062),
    [sym_conditional] = STATE(12062),
    [sym_range] = STATE(12062),
    [sym_binary] = STATE(12062),
    [sym_unary] = STATE(12062),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11816] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12063),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12063),
    [sym_operator_assignment] = STATE(12063),
    [sym_conditional] = STATE(12063),
    [sym_range] = STATE(12063),
    [sym_binary] = STATE(12063),
    [sym_unary] = STATE(12063),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11817] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11338),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_splat_argument] = STATE(6915),
    [sym_assignment] = STATE(11338),
    [sym_operator_assignment] = STATE(11338),
    [sym_conditional] = STATE(11338),
    [sym_range] = STATE(11338),
    [sym_binary] = STATE(11338),
    [sym_unary] = STATE(11338),
    [sym__arg_or_splat_arg] = STATE(6915),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(14145),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11818] = {
    [aux_sym_exceptions_repeat1] = STATE(12064),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(14812),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_when] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11819] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11338),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_splat_argument] = STATE(12065),
    [sym_assignment] = STATE(11338),
    [sym_operator_assignment] = STATE(11338),
    [sym_conditional] = STATE(11338),
    [sym_range] = STATE(11338),
    [sym_binary] = STATE(11338),
    [sym_unary] = STATE(11338),
    [sym_right_assignment_list] = STATE(1680),
    [sym__arg_or_splat_arg] = STATE(12065),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(14145),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11820] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12066),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12066),
    [sym_operator_assignment] = STATE(12066),
    [sym_conditional] = STATE(12066),
    [sym_range] = STATE(12066),
    [sym_binary] = STATE(12066),
    [sym_unary] = STATE(12066),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11821] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12067),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_assignment] = STATE(12067),
    [sym_operator_assignment] = STATE(12067),
    [sym_conditional] = STATE(12067),
    [sym_range] = STATE(12067),
    [sym_binary] = STATE(12067),
    [sym_unary] = STATE(12067),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11822] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(11358),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(8536),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8536),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(11358),
    [sym_operator_assignment] = STATE(11358),
    [sym_conditional] = STATE(11358),
    [sym_range] = STATE(11358),
    [sym_binary] = STATE(11358),
    [sym_unary] = STATE(11358),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(8535),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8536),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(8536),
    [sym_false] = STATE(8536),
    [sym_nil] = STATE(8536),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(8537),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(8580),
    [sym__unary_minus] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(11302),
    [anon_sym_yield] = ACTIONS(11304),
    [anon_sym_break] = ACTIONS(11306),
    [anon_sym_next] = ACTIONS(11308),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(11310),
    [anon_sym_defined_QMARK] = ACTIONS(11312),
    [anon_sym_not] = ACTIONS(11314),
    [anon_sym_BANG] = ACTIONS(11316),
    [anon_sym_TILDE] = ACTIONS(11316),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [11823] = {
    [aux_sym_exceptions_repeat1] = STATE(12068),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15078),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [11824] = {
    [sym__line_break] = ACTIONS(10783),
    [sym__simple_symbol] = ACTIONS(10783),
    [sym__string_start] = ACTIONS(10783),
    [sym__symbol_start] = ACTIONS(10783),
    [sym__subshell_start] = ACTIONS(10783),
    [sym__regex_start] = ACTIONS(10783),
    [sym__string_array_start] = ACTIONS(10783),
    [sym__symbol_array_start] = ACTIONS(10783),
    [sym__heredoc_body_start] = ACTIONS(10783),
    [sym_heredoc_beginning] = ACTIONS(10783),
    [sym__element_reference_left_bracket] = ACTIONS(10783),
    [sym__block_ampersand] = ACTIONS(10783),
    [sym__splat_star] = ACTIONS(10783),
    [sym__argument_list_left_paren] = ACTIONS(10783),
    [sym__infix_scope_colons] = ACTIONS(10783),
    [sym__unary_minus] = ACTIONS(10783),
    [sym__identifier_hash_key] = ACTIONS(10783),
    [anon_sym_LBRACE] = ACTIONS(10783),
    [anon_sym_def] = ACTIONS(10785),
    [anon_sym_LPAREN] = ACTIONS(10783),
    [anon_sym_DOT] = ACTIONS(10783),
    [anon_sym_COLON_COLON] = ACTIONS(10783),
    [anon_sym_SEMI] = ACTIONS(10783),
    [anon_sym_STAR] = ACTIONS(10785),
    [anon_sym_STAR_STAR] = ACTIONS(10783),
    [anon_sym_class] = ACTIONS(10785),
    [anon_sym_module] = ACTIONS(10785),
    [anon_sym_return] = ACTIONS(10785),
    [anon_sym_yield] = ACTIONS(10785),
    [anon_sym_break] = ACTIONS(10785),
    [anon_sym_next] = ACTIONS(10785),
    [sym_redo] = ACTIONS(10785),
    [sym_retry] = ACTIONS(10785),
    [anon_sym_if] = ACTIONS(10785),
    [anon_sym_unless] = ACTIONS(10785),
    [anon_sym_while] = ACTIONS(10785),
    [anon_sym_until] = ACTIONS(10785),
    [anon_sym_for] = ACTIONS(10785),
    [anon_sym_do] = ACTIONS(10785),
    [anon_sym_case] = ACTIONS(10785),
    [anon_sym_then] = ACTIONS(10785),
    [anon_sym_begin] = ACTIONS(10785),
    [anon_sym_AMP_DOT] = ACTIONS(10783),
    [anon_sym_PLUS] = ACTIONS(10785),
    [anon_sym_defined_QMARK] = ACTIONS(10783),
    [anon_sym_not] = ACTIONS(10785),
    [anon_sym_BANG] = ACTIONS(10783),
    [anon_sym_TILDE] = ACTIONS(10783),
    [sym_constant] = ACTIONS(10785),
    [sym_identifier] = ACTIONS(10785),
    [sym_instance_variable] = ACTIONS(10783),
    [sym_class_variable] = ACTIONS(10783),
    [sym_global_variable] = ACTIONS(10783),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(10785),
    [sym_float] = ACTIONS(10785),
    [sym_complex] = ACTIONS(10783),
    [sym_super] = ACTIONS(10785),
    [anon_sym_true] = ACTIONS(10785),
    [anon_sym_TRUE] = ACTIONS(10785),
    [anon_sym_false] = ACTIONS(10785),
    [anon_sym_FALSE] = ACTIONS(10785),
    [sym_self] = ACTIONS(10785),
    [anon_sym_nil] = ACTIONS(10785),
    [anon_sym_NIL] = ACTIONS(10785),
    [sym_character] = ACTIONS(10783),
    [anon_sym_LBRACK] = ACTIONS(10783),
    [anon_sym_DASH_GT] = ACTIONS(10783),
  },
  [11825] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_then] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11826] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_then] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11827] = {
    [sym_heredoc_body] = STATE(11827),
    [aux_sym_call_repeat1] = STATE(11827),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_then] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [11828] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(10374),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(6033),
    [sym_scope_resolution] = STATE(3295),
    [sym_call] = STATE(3295),
    [sym_method_call] = STATE(6033),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(10374),
    [sym_operator_assignment] = STATE(10374),
    [sym_conditional] = STATE(10374),
    [sym_range] = STATE(10374),
    [sym_binary] = STATE(10374),
    [sym_unary] = STATE(10374),
    [sym_left_assignment_list] = STATE(6032),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(6033),
    [sym__variable] = STATE(3295),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(6033),
    [sym_false] = STATE(6033),
    [sym_nil] = STATE(6033),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(10377),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(13269),
    [sym__splat_star] = ACTIONS(13271),
    [sym__unary_minus] = ACTIONS(8707),
    [sym__identifier_hash_key] = ACTIONS(13273),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14835),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(8715),
    [anon_sym_yield] = ACTIONS(8717),
    [anon_sym_break] = ACTIONS(8719),
    [anon_sym_next] = ACTIONS(8721),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(8725),
    [anon_sym_defined_QMARK] = ACTIONS(8727),
    [anon_sym_not] = ACTIONS(8729),
    [anon_sym_BANG] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8731),
    [sym_constant] = ACTIONS(13275),
    [sym_identifier] = ACTIONS(13275),
    [sym_instance_variable] = ACTIONS(5110),
    [sym_class_variable] = ACTIONS(5110),
    [sym_global_variable] = ACTIONS(5110),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(5112),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(5112),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11829] = {
    [sym_heredoc_body] = STATE(11827),
    [aux_sym_call_repeat1] = STATE(11827),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_then] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [11830] = {
    [aux_sym_argument_list_repeat1] = STATE(11830),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(15080),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_then] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [11831] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_then] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [11832] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12069),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_assignment] = STATE(12069),
    [sym_operator_assignment] = STATE(12069),
    [sym_conditional] = STATE(12069),
    [sym_range] = STATE(12069),
    [sym_binary] = STATE(12069),
    [sym_unary] = STATE(12069),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11833] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(11391),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(8626),
    [sym_scope_resolution] = STATE(8534),
    [sym_call] = STATE(8534),
    [sym_method_call] = STATE(8626),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(11391),
    [sym_operator_assignment] = STATE(11391),
    [sym_conditional] = STATE(11391),
    [sym_range] = STATE(11391),
    [sym_binary] = STATE(11391),
    [sym_unary] = STATE(11391),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(8625),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(8626),
    [sym__variable] = STATE(8534),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(8626),
    [sym_false] = STATE(8626),
    [sym_nil] = STATE(8626),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(8627),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(13271),
    [sym__unary_minus] = ACTIONS(11353),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(11355),
    [anon_sym_yield] = ACTIONS(11357),
    [anon_sym_break] = ACTIONS(11359),
    [anon_sym_next] = ACTIONS(11361),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(11363),
    [anon_sym_defined_QMARK] = ACTIONS(11365),
    [anon_sym_not] = ACTIONS(11367),
    [anon_sym_BANG] = ACTIONS(11369),
    [anon_sym_TILDE] = ACTIONS(11369),
    [sym_constant] = ACTIONS(11318),
    [sym_identifier] = ACTIONS(11318),
    [sym_instance_variable] = ACTIONS(11320),
    [sym_class_variable] = ACTIONS(11320),
    [sym_global_variable] = ACTIONS(11320),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11318),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [11834] = {
    [aux_sym_exceptions_repeat1] = STATE(12070),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15083),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_then] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11835] = {
    [sym__line_break] = ACTIONS(13557),
    [sym__heredoc_body_start] = ACTIONS(13557),
    [sym__element_reference_left_bracket] = ACTIONS(13557),
    [sym__infix_scope_colons] = ACTIONS(13557),
    [anon_sym_DOT] = ACTIONS(13557),
    [anon_sym_SEMI] = ACTIONS(13557),
    [anon_sym_then] = ACTIONS(13557),
    [anon_sym_AMP_DOT] = ACTIONS(13557),
    [sym_comment] = ACTIONS(87),
  },
  [11836] = {
    [anon_sym_end] = ACTIONS(15085),
    [sym_comment] = ACTIONS(87),
  },
  [11837] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11391),
    [sym__binary_star] = ACTIONS(11393),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11395),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(11397),
    [anon_sym_AMP] = ACTIONS(11399),
    [anon_sym_LT] = ACTIONS(11401),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11405),
    [anon_sym_DOT_DOT] = ACTIONS(11407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11409),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11413),
    [anon_sym_AMP_AMP] = ACTIONS(11413),
    [anon_sym_LT_LT] = ACTIONS(11415),
    [anon_sym_GT_GT] = ACTIONS(11415),
    [anon_sym_EQ_EQ] = ACTIONS(11417),
    [anon_sym_BANG_EQ] = ACTIONS(11413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11413),
    [anon_sym_LT_EQ_GT] = ACTIONS(11413),
    [anon_sym_EQ_TILDE] = ACTIONS(11413),
    [anon_sym_BANG_TILDE] = ACTIONS(11413),
    [anon_sym_LT_EQ] = ACTIONS(11401),
    [anon_sym_GT] = ACTIONS(11401),
    [anon_sym_GT_EQ] = ACTIONS(11419),
    [anon_sym_CARET] = ACTIONS(11421),
    [anon_sym_PLUS] = ACTIONS(11423),
    [anon_sym_SLASH] = ACTIONS(11397),
    [anon_sym_PERCENT] = ACTIONS(11397),
    [sym_comment] = ACTIONS(87),
  },
  [11838] = {
    [aux_sym_exceptions_repeat1] = STATE(11838),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15087),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11839] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11454),
    [sym__binary_star] = ACTIONS(11456),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11458),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(11460),
    [anon_sym_AMP] = ACTIONS(11462),
    [anon_sym_LT] = ACTIONS(11464),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11466),
    [anon_sym_DOT_DOT] = ACTIONS(11468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11470),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11472),
    [anon_sym_AMP_AMP] = ACTIONS(11472),
    [anon_sym_LT_LT] = ACTIONS(11474),
    [anon_sym_GT_GT] = ACTIONS(11474),
    [anon_sym_EQ_EQ] = ACTIONS(11476),
    [anon_sym_BANG_EQ] = ACTIONS(11472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11472),
    [anon_sym_LT_EQ_GT] = ACTIONS(11472),
    [anon_sym_EQ_TILDE] = ACTIONS(11472),
    [anon_sym_BANG_TILDE] = ACTIONS(11472),
    [anon_sym_LT_EQ] = ACTIONS(11464),
    [anon_sym_GT] = ACTIONS(11464),
    [anon_sym_GT_EQ] = ACTIONS(11478),
    [anon_sym_CARET] = ACTIONS(11480),
    [anon_sym_PLUS] = ACTIONS(11482),
    [anon_sym_SLASH] = ACTIONS(11460),
    [anon_sym_PERCENT] = ACTIONS(11460),
    [sym_comment] = ACTIONS(87),
  },
  [11840] = {
    [aux_sym_exceptions_repeat1] = STATE(11840),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15090),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11841] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11509),
    [sym__binary_star] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(11515),
    [anon_sym_AMP] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(11519),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_DOT_DOT] = ACTIONS(11523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11527),
    [anon_sym_AMP_AMP] = ACTIONS(11527),
    [anon_sym_LT_LT] = ACTIONS(11529),
    [anon_sym_GT_GT] = ACTIONS(11529),
    [anon_sym_EQ_EQ] = ACTIONS(11527),
    [anon_sym_BANG_EQ] = ACTIONS(11531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11531),
    [anon_sym_LT_EQ_GT] = ACTIONS(11531),
    [anon_sym_EQ_TILDE] = ACTIONS(11531),
    [anon_sym_BANG_TILDE] = ACTIONS(11531),
    [anon_sym_LT_EQ] = ACTIONS(11519),
    [anon_sym_GT] = ACTIONS(11519),
    [anon_sym_GT_EQ] = ACTIONS(11533),
    [anon_sym_CARET] = ACTIONS(11513),
    [anon_sym_PLUS] = ACTIONS(11535),
    [anon_sym_SLASH] = ACTIONS(11515),
    [anon_sym_PERCENT] = ACTIONS(11515),
    [sym_comment] = ACTIONS(87),
  },
  [11842] = {
    [aux_sym_exceptions_repeat1] = STATE(11842),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15093),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_ensure] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11843] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11545),
    [sym__binary_star] = ACTIONS(11547),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(11551),
    [anon_sym_AMP] = ACTIONS(11553),
    [anon_sym_LT] = ACTIONS(11555),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_ensure] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_DOT_DOT] = ACTIONS(11559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11563),
    [anon_sym_AMP_AMP] = ACTIONS(11563),
    [anon_sym_LT_LT] = ACTIONS(11565),
    [anon_sym_GT_GT] = ACTIONS(11565),
    [anon_sym_EQ_EQ] = ACTIONS(11567),
    [anon_sym_BANG_EQ] = ACTIONS(11563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11563),
    [anon_sym_LT_EQ_GT] = ACTIONS(11563),
    [anon_sym_EQ_TILDE] = ACTIONS(11563),
    [anon_sym_BANG_TILDE] = ACTIONS(11563),
    [anon_sym_LT_EQ] = ACTIONS(11555),
    [anon_sym_GT] = ACTIONS(11555),
    [anon_sym_GT_EQ] = ACTIONS(11569),
    [anon_sym_CARET] = ACTIONS(11571),
    [anon_sym_PLUS] = ACTIONS(11573),
    [anon_sym_SLASH] = ACTIONS(11551),
    [anon_sym_PERCENT] = ACTIONS(11551),
    [sym_comment] = ACTIONS(87),
  },
  [11844] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11583),
    [sym__binary_star] = ACTIONS(11585),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11587),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(11589),
    [anon_sym_AMP] = ACTIONS(11591),
    [anon_sym_LT] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_DOT_DOT] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11601),
    [anon_sym_AMP_AMP] = ACTIONS(11601),
    [anon_sym_LT_LT] = ACTIONS(11603),
    [anon_sym_GT_GT] = ACTIONS(11603),
    [anon_sym_EQ_EQ] = ACTIONS(11605),
    [anon_sym_BANG_EQ] = ACTIONS(11601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11601),
    [anon_sym_LT_EQ_GT] = ACTIONS(11601),
    [anon_sym_EQ_TILDE] = ACTIONS(11601),
    [anon_sym_BANG_TILDE] = ACTIONS(11601),
    [anon_sym_LT_EQ] = ACTIONS(11593),
    [anon_sym_GT] = ACTIONS(11593),
    [anon_sym_GT_EQ] = ACTIONS(11607),
    [anon_sym_CARET] = ACTIONS(11609),
    [anon_sym_PLUS] = ACTIONS(11611),
    [anon_sym_SLASH] = ACTIONS(11589),
    [anon_sym_PERCENT] = ACTIONS(11589),
    [sym_comment] = ACTIONS(87),
  },
  [11845] = {
    [aux_sym_exceptions_repeat1] = STATE(11845),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15096),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11846] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11638),
    [sym__binary_star] = ACTIONS(11640),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11642),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(11644),
    [anon_sym_AMP] = ACTIONS(11646),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(11648),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11650),
    [anon_sym_DOT_DOT] = ACTIONS(11652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11654),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11656),
    [anon_sym_AMP_AMP] = ACTIONS(11656),
    [anon_sym_LT_LT] = ACTIONS(11658),
    [anon_sym_GT_GT] = ACTIONS(11658),
    [anon_sym_EQ_EQ] = ACTIONS(11656),
    [anon_sym_BANG_EQ] = ACTIONS(11660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11660),
    [anon_sym_LT_EQ_GT] = ACTIONS(11660),
    [anon_sym_EQ_TILDE] = ACTIONS(11660),
    [anon_sym_BANG_TILDE] = ACTIONS(11660),
    [anon_sym_LT_EQ] = ACTIONS(11648),
    [anon_sym_GT] = ACTIONS(11648),
    [anon_sym_GT_EQ] = ACTIONS(11662),
    [anon_sym_CARET] = ACTIONS(11642),
    [anon_sym_PLUS] = ACTIONS(11664),
    [anon_sym_SLASH] = ACTIONS(11644),
    [anon_sym_PERCENT] = ACTIONS(11644),
    [sym_comment] = ACTIONS(87),
  },
  [11847] = {
    [aux_sym_exceptions_repeat1] = STATE(11847),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15099),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11848] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11674),
    [sym__binary_star] = ACTIONS(11676),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11678),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(11680),
    [anon_sym_AMP] = ACTIONS(11682),
    [anon_sym_LT] = ACTIONS(11684),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11686),
    [anon_sym_DOT_DOT] = ACTIONS(11688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11690),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11692),
    [anon_sym_AMP_AMP] = ACTIONS(11692),
    [anon_sym_LT_LT] = ACTIONS(11694),
    [anon_sym_GT_GT] = ACTIONS(11694),
    [anon_sym_EQ_EQ] = ACTIONS(11696),
    [anon_sym_BANG_EQ] = ACTIONS(11692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11692),
    [anon_sym_LT_EQ_GT] = ACTIONS(11692),
    [anon_sym_EQ_TILDE] = ACTIONS(11692),
    [anon_sym_BANG_TILDE] = ACTIONS(11692),
    [anon_sym_LT_EQ] = ACTIONS(11684),
    [anon_sym_GT] = ACTIONS(11684),
    [anon_sym_GT_EQ] = ACTIONS(11698),
    [anon_sym_CARET] = ACTIONS(11700),
    [anon_sym_PLUS] = ACTIONS(11702),
    [anon_sym_SLASH] = ACTIONS(11680),
    [anon_sym_PERCENT] = ACTIONS(11680),
    [sym_comment] = ACTIONS(87),
  },
  [11849] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11735),
    [sym__binary_star] = ACTIONS(11737),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11739),
    [anon_sym_STAR_STAR] = ACTIONS(11741),
    [anon_sym_AMP] = ACTIONS(11743),
    [anon_sym_LT] = ACTIONS(11745),
    [anon_sym_RBRACK] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11747),
    [anon_sym_DOT_DOT] = ACTIONS(11749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11751),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11753),
    [anon_sym_AMP_AMP] = ACTIONS(11753),
    [anon_sym_LT_LT] = ACTIONS(11755),
    [anon_sym_GT_GT] = ACTIONS(11755),
    [anon_sym_EQ_EQ] = ACTIONS(11757),
    [anon_sym_BANG_EQ] = ACTIONS(11753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11753),
    [anon_sym_LT_EQ_GT] = ACTIONS(11753),
    [anon_sym_EQ_TILDE] = ACTIONS(11753),
    [anon_sym_BANG_TILDE] = ACTIONS(11753),
    [anon_sym_LT_EQ] = ACTIONS(11745),
    [anon_sym_GT] = ACTIONS(11745),
    [anon_sym_GT_EQ] = ACTIONS(11759),
    [anon_sym_CARET] = ACTIONS(11761),
    [anon_sym_PLUS] = ACTIONS(11763),
    [anon_sym_SLASH] = ACTIONS(11741),
    [anon_sym_PERCENT] = ACTIONS(11741),
    [sym_comment] = ACTIONS(87),
  },
  [11850] = {
    [aux_sym_exceptions_repeat1] = STATE(11850),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15102),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_RBRACK] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11851] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11775),
    [sym__binary_star] = ACTIONS(11777),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11779),
    [anon_sym_STAR_STAR] = ACTIONS(11781),
    [anon_sym_AMP] = ACTIONS(11783),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(11785),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_RBRACK] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11787),
    [anon_sym_DOT_DOT] = ACTIONS(11789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11791),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11793),
    [anon_sym_AMP_AMP] = ACTIONS(11793),
    [anon_sym_LT_LT] = ACTIONS(11795),
    [anon_sym_GT_GT] = ACTIONS(11795),
    [anon_sym_EQ_EQ] = ACTIONS(11793),
    [anon_sym_BANG_EQ] = ACTIONS(11797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11797),
    [anon_sym_LT_EQ_GT] = ACTIONS(11797),
    [anon_sym_EQ_TILDE] = ACTIONS(11797),
    [anon_sym_BANG_TILDE] = ACTIONS(11797),
    [anon_sym_LT_EQ] = ACTIONS(11785),
    [anon_sym_GT] = ACTIONS(11785),
    [anon_sym_GT_EQ] = ACTIONS(11799),
    [anon_sym_CARET] = ACTIONS(11779),
    [anon_sym_PLUS] = ACTIONS(11801),
    [anon_sym_SLASH] = ACTIONS(11781),
    [anon_sym_PERCENT] = ACTIONS(11781),
    [sym_comment] = ACTIONS(87),
  },
  [11852] = {
    [aux_sym_exceptions_repeat1] = STATE(11852),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15105),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_RBRACK] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11853] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [sym_comment] = ACTIONS(87),
  },
  [11854] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2279),
    [anon_sym_AMP_AMP] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2279),
    [anon_sym_GT_GT] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [sym_comment] = ACTIONS(87),
  },
  [11855] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(14894),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [11856] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12072),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12072),
    [sym_operator_assignment] = STATE(12072),
    [sym_conditional] = STATE(12072),
    [sym_range] = STATE(12072),
    [sym_binary] = STATE(12072),
    [sym_unary] = STATE(12072),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11857] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12073),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12073),
    [sym_operator_assignment] = STATE(12073),
    [sym_conditional] = STATE(12073),
    [sym_range] = STATE(12073),
    [sym_binary] = STATE(12073),
    [sym_unary] = STATE(12073),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11858] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12074),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12074),
    [sym_operator_assignment] = STATE(12074),
    [sym_conditional] = STATE(12074),
    [sym_range] = STATE(12074),
    [sym_binary] = STATE(12074),
    [sym_unary] = STATE(12074),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11859] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12075),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12075),
    [sym_operator_assignment] = STATE(12075),
    [sym_conditional] = STATE(12075),
    [sym_range] = STATE(12075),
    [sym_binary] = STATE(12075),
    [sym_unary] = STATE(12075),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11860] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12076),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12076),
    [sym_operator_assignment] = STATE(12076),
    [sym_conditional] = STATE(12076),
    [sym_range] = STATE(12076),
    [sym_binary] = STATE(12076),
    [sym_unary] = STATE(12076),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11861] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12077),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12077),
    [sym_operator_assignment] = STATE(12077),
    [sym_conditional] = STATE(12077),
    [sym_range] = STATE(12077),
    [sym_binary] = STATE(12077),
    [sym_unary] = STATE(12077),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11862] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(12078),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(12078),
    [sym_operator_assignment] = STATE(12078),
    [sym_conditional] = STATE(12078),
    [sym_range] = STATE(12078),
    [sym_binary] = STATE(12078),
    [sym_unary] = STATE(12078),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11863] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12079),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12079),
    [sym_operator_assignment] = STATE(12079),
    [sym_conditional] = STATE(12079),
    [sym_range] = STATE(12079),
    [sym_binary] = STATE(12079),
    [sym_unary] = STATE(12079),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11864] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12080),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12080),
    [sym_operator_assignment] = STATE(12080),
    [sym_conditional] = STATE(12080),
    [sym_range] = STATE(12080),
    [sym_binary] = STATE(12080),
    [sym_unary] = STATE(12080),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11865] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12081),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12081),
    [sym_operator_assignment] = STATE(12081),
    [sym_conditional] = STATE(12081),
    [sym_range] = STATE(12081),
    [sym_binary] = STATE(12081),
    [sym_unary] = STATE(12081),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11866] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12082),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12082),
    [sym_operator_assignment] = STATE(12082),
    [sym_conditional] = STATE(12082),
    [sym_range] = STATE(12082),
    [sym_binary] = STATE(12082),
    [sym_unary] = STATE(12082),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11867] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12083),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12083),
    [sym_operator_assignment] = STATE(12083),
    [sym_conditional] = STATE(12083),
    [sym_range] = STATE(12083),
    [sym_binary] = STATE(12083),
    [sym_unary] = STATE(12083),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11868] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12084),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_splat_argument] = STATE(12085),
    [sym_assignment] = STATE(12084),
    [sym_operator_assignment] = STATE(12084),
    [sym_conditional] = STATE(12084),
    [sym_range] = STATE(12084),
    [sym_binary] = STATE(12084),
    [sym_unary] = STATE(12084),
    [sym_right_assignment_list] = STATE(4498),
    [sym__arg_or_splat_arg] = STATE(12085),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(13436),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11869] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12086),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12086),
    [sym_operator_assignment] = STATE(12086),
    [sym_conditional] = STATE(12086),
    [sym_range] = STATE(12086),
    [sym_binary] = STATE(12086),
    [sym_unary] = STATE(12086),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11870] = {
    [sym_string] = STATE(12087),
    [aux_sym_chained_string_repeat1] = STATE(12087),
    [sym__string_start] = ACTIONS(1009),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_GT_GT] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(87),
  },
  [11871] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(14894),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [11872] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11873] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11874] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(12088),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(12088),
    [sym_operator_assignment] = STATE(12088),
    [sym_conditional] = STATE(12088),
    [sym_range] = STATE(12088),
    [sym_binary] = STATE(12088),
    [sym_unary] = STATE(12088),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11875] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11876] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(12089),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(12089),
    [sym_operator_assignment] = STATE(12089),
    [sym_conditional] = STATE(12089),
    [sym_range] = STATE(12089),
    [sym_binary] = STATE(12089),
    [sym_unary] = STATE(12089),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11877] = {
    [sym_heredoc_body] = STATE(12090),
    [aux_sym_call_repeat1] = STATE(12090),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11878] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11476),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym__argument] = STATE(4493),
    [sym_splat_argument] = STATE(4493),
    [sym_hash_splat_argument] = STATE(4493),
    [sym_block_argument] = STATE(4493),
    [sym_assignment] = STATE(11476),
    [sym_operator_assignment] = STATE(11476),
    [sym_conditional] = STATE(11476),
    [sym_range] = STATE(11476),
    [sym_binary] = STATE(11476),
    [sym_unary] = STATE(11476),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11479),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_heredoc_body] = STATE(12091),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(4493),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(14309),
    [sym__splat_star] = ACTIONS(14311),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__identifier_hash_key] = ACTIONS(14313),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(15108),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(14315),
    [sym_identifier] = ACTIONS(14315),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11879] = {
    [sym_heredoc_body] = STATE(12092),
    [aux_sym_call_repeat1] = STATE(12092),
    [aux_sym_argument_list_repeat1] = STATE(12093),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(14920),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11880] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(12094),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(12094),
    [sym_operator_assignment] = STATE(12094),
    [sym_conditional] = STATE(12094),
    [sym_range] = STATE(12094),
    [sym_binary] = STATE(12094),
    [sym_unary] = STATE(12094),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11881] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11882] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [11883] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11884] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [11885] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11886] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11887] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(14894),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [11888] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(15110),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11889] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11890] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11891] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11892] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11893] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11894] = {
    [sym__heredoc_body_start] = ACTIONS(4130),
    [sym__element_reference_left_bracket] = ACTIONS(4130),
    [sym__infix_scope_colons] = ACTIONS(4130),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_AMP_DOT] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11895] = {
    [sym__heredoc_body_start] = ACTIONS(4170),
    [sym__element_reference_left_bracket] = ACTIONS(4170),
    [sym__infix_scope_colons] = ACTIONS(4170),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(4170),
    [anon_sym_EQ_GT] = ACTIONS(4170),
    [anon_sym_AMP_DOT] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11896] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(12096),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(12096),
    [sym_operator_assignment] = STATE(12096),
    [sym_conditional] = STATE(12096),
    [sym_range] = STATE(12096),
    [sym_binary] = STATE(12096),
    [sym_unary] = STATE(12096),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11897] = {
    [sym__heredoc_body_start] = ACTIONS(3186),
    [sym__element_reference_left_bracket] = ACTIONS(3186),
    [sym__infix_scope_colons] = ACTIONS(3186),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_AMP_DOT] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11898] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(12097),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(12097),
    [sym_operator_assignment] = STATE(12097),
    [sym_conditional] = STATE(12097),
    [sym_range] = STATE(12097),
    [sym_binary] = STATE(12097),
    [sym_unary] = STATE(12097),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11899] = {
    [sym_heredoc_body] = STATE(12098),
    [aux_sym_call_repeat1] = STATE(12098),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [11900] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11500),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym__argument] = STATE(4608),
    [sym_splat_argument] = STATE(4608),
    [sym_hash_splat_argument] = STATE(4608),
    [sym_block_argument] = STATE(4608),
    [sym_assignment] = STATE(11500),
    [sym_operator_assignment] = STATE(11500),
    [sym_conditional] = STATE(11500),
    [sym_range] = STATE(11500),
    [sym_binary] = STATE(11500),
    [sym_unary] = STATE(11500),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11503),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_heredoc_body] = STATE(12099),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(4608),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym__heredoc_body_start] = ACTIONS(4310),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(14349),
    [sym__splat_star] = ACTIONS(14351),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__identifier_hash_key] = ACTIONS(14353),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(15112),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(14355),
    [sym_identifier] = ACTIONS(14355),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11901] = {
    [sym_heredoc_body] = STATE(12100),
    [aux_sym_call_repeat1] = STATE(12100),
    [aux_sym_argument_list_repeat1] = STATE(12101),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(14926),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_EQ] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_do] = ACTIONS(4306),
    [anon_sym_EQ_GT] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_PLUS_EQ] = ACTIONS(4306),
    [anon_sym_DASH_EQ] = ACTIONS(4306),
    [anon_sym_STAR_EQ] = ACTIONS(4306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4306),
    [anon_sym_SLASH_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_PIPE_EQ] = ACTIONS(4306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4306),
    [anon_sym_AMP_EQ] = ACTIONS(4306),
    [anon_sym_PERCENT_EQ] = ACTIONS(4306),
    [anon_sym_GT_GT_EQ] = ACTIONS(4306),
    [anon_sym_LT_LT_EQ] = ACTIONS(4306),
    [anon_sym_CARET_EQ] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4308),
    [anon_sym_AMP_AMP] = ACTIONS(4308),
    [anon_sym_LT_LT] = ACTIONS(4308),
    [anon_sym_GT_GT] = ACTIONS(4308),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_SLASH] = ACTIONS(4308),
    [anon_sym_PERCENT] = ACTIONS(4308),
    [sym_comment] = ACTIONS(87),
  },
  [11902] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(12102),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(12102),
    [sym_operator_assignment] = STATE(12102),
    [sym_conditional] = STATE(12102),
    [sym_range] = STATE(12102),
    [sym_binary] = STATE(12102),
    [sym_unary] = STATE(12102),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11903] = {
    [sym_heredoc_body] = STATE(11903),
    [aux_sym_call_repeat1] = STATE(11903),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [11904] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(10660),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(10660),
    [sym_operator_assignment] = STATE(10660),
    [sym_conditional] = STATE(10660),
    [sym_range] = STATE(10660),
    [sym_binary] = STATE(10660),
    [sym_unary] = STATE(10660),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(10666),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(13434),
    [sym__splat_star] = ACTIONS(13436),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__identifier_hash_key] = ACTIONS(13440),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14930),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13458),
    [sym_identifier] = ACTIONS(13458),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [11905] = {
    [sym_heredoc_body] = STATE(11903),
    [aux_sym_call_repeat1] = STATE(11903),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [11906] = {
    [aux_sym_argument_list_repeat1] = STATE(11906),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(15114),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [11907] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11908] = {
    [aux_sym_exceptions_repeat1] = STATE(12104),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [11909] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [11910] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(14894),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [11911] = {
    [sym_string] = STATE(11911),
    [aux_sym_chained_string_repeat1] = STATE(11911),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [11912] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(12105),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_assignment] = STATE(12105),
    [sym_operator_assignment] = STATE(12105),
    [sym_conditional] = STATE(12105),
    [sym_range] = STATE(12105),
    [sym_binary] = STATE(12105),
    [sym_unary] = STATE(12105),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11913] = {
    [sym__heredoc_body_start] = ACTIONS(939),
    [sym__element_reference_left_bracket] = ACTIONS(939),
    [sym__infix_scope_colons] = ACTIONS(939),
    [sym__binary_minus] = ACTIONS(939),
    [sym__binary_star] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_AMP_DOT] = ACTIONS(939),
    [anon_sym_PLUS_EQ] = ACTIONS(939),
    [anon_sym_DASH_EQ] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(939),
    [anon_sym_SLASH_EQ] = ACTIONS(939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(939),
    [anon_sym_PIPE_EQ] = ACTIONS(939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(939),
    [anon_sym_AMP_EQ] = ACTIONS(939),
    [anon_sym_PERCENT_EQ] = ACTIONS(939),
    [anon_sym_GT_GT_EQ] = ACTIONS(939),
    [anon_sym_LT_LT_EQ] = ACTIONS(939),
    [anon_sym_CARET_EQ] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_LT_EQ_GT] = ACTIONS(939),
    [anon_sym_EQ_TILDE] = ACTIONS(939),
    [anon_sym_BANG_TILDE] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(941),
    [sym_comment] = ACTIONS(87),
  },
  [11914] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(2279),
    [sym__binary_star] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(2281),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2279),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(2281),
    [anon_sym_AMP_AMP] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_EQ_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_LT_EQ_GT] = ACTIONS(2279),
    [anon_sym_EQ_TILDE] = ACTIONS(2279),
    [anon_sym_BANG_TILDE] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2279),
    [anon_sym_CARET] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [sym_comment] = ACTIONS(87),
  },
  [11915] = {
    [sym__heredoc_body_start] = ACTIONS(2279),
    [sym__element_reference_left_bracket] = ACTIONS(2279),
    [sym__infix_scope_colons] = ACTIONS(2279),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(2279),
    [anon_sym_AMP_DOT] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(2279),
    [anon_sym_DASH_EQ] = ACTIONS(2279),
    [anon_sym_STAR_EQ] = ACTIONS(2279),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2279),
    [anon_sym_SLASH_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_PIPE_EQ] = ACTIONS(2279),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2279),
    [anon_sym_AMP_EQ] = ACTIONS(2279),
    [anon_sym_PERCENT_EQ] = ACTIONS(2279),
    [anon_sym_GT_GT_EQ] = ACTIONS(2279),
    [anon_sym_LT_LT_EQ] = ACTIONS(2279),
    [anon_sym_CARET_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(14946),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(2279),
    [anon_sym_or] = ACTIONS(2279),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [11916] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12106),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12106),
    [sym_operator_assignment] = STATE(12106),
    [sym_conditional] = STATE(12106),
    [sym_range] = STATE(12106),
    [sym_binary] = STATE(12106),
    [sym_unary] = STATE(12106),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11917] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12107),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12107),
    [sym_operator_assignment] = STATE(12107),
    [sym_conditional] = STATE(12107),
    [sym_range] = STATE(12107),
    [sym_binary] = STATE(12107),
    [sym_unary] = STATE(12107),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11918] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12108),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12108),
    [sym_operator_assignment] = STATE(12108),
    [sym_conditional] = STATE(12108),
    [sym_range] = STATE(12108),
    [sym_binary] = STATE(12108),
    [sym_unary] = STATE(12108),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11919] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12109),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12109),
    [sym_operator_assignment] = STATE(12109),
    [sym_conditional] = STATE(12109),
    [sym_range] = STATE(12109),
    [sym_binary] = STATE(12109),
    [sym_unary] = STATE(12109),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11920] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12110),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12110),
    [sym_operator_assignment] = STATE(12110),
    [sym_conditional] = STATE(12110),
    [sym_range] = STATE(12110),
    [sym_binary] = STATE(12110),
    [sym_unary] = STATE(12110),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11921] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12111),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12111),
    [sym_operator_assignment] = STATE(12111),
    [sym_conditional] = STATE(12111),
    [sym_range] = STATE(12111),
    [sym_binary] = STATE(12111),
    [sym_unary] = STATE(12111),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11922] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(12112),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(1511),
    [sym_scope_resolution] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_method_call] = STATE(1511),
    [sym_assignment] = STATE(12112),
    [sym_operator_assignment] = STATE(12112),
    [sym_conditional] = STATE(12112),
    [sym_range] = STATE(12112),
    [sym_binary] = STATE(12112),
    [sym_unary] = STATE(12112),
    [sym_left_assignment_list] = STATE(1510),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(1511),
    [sym__variable] = STATE(1509),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(1511),
    [sym_false] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(1512),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__unary_minus] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_next] = ACTIONS(2541),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_defined_QMARK] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [sym_constant] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2551),
    [sym_instance_variable] = ACTIONS(2553),
    [sym_class_variable] = ACTIONS(2553),
    [sym_global_variable] = ACTIONS(2553),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(2551),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11923] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12113),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12113),
    [sym_operator_assignment] = STATE(12113),
    [sym_conditional] = STATE(12113),
    [sym_range] = STATE(12113),
    [sym_binary] = STATE(12113),
    [sym_unary] = STATE(12113),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11924] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12114),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12114),
    [sym_operator_assignment] = STATE(12114),
    [sym_conditional] = STATE(12114),
    [sym_range] = STATE(12114),
    [sym_binary] = STATE(12114),
    [sym_unary] = STATE(12114),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11925] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12115),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12115),
    [sym_operator_assignment] = STATE(12115),
    [sym_conditional] = STATE(12115),
    [sym_range] = STATE(12115),
    [sym_binary] = STATE(12115),
    [sym_unary] = STATE(12115),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11926] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12116),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12116),
    [sym_operator_assignment] = STATE(12116),
    [sym_conditional] = STATE(12116),
    [sym_range] = STATE(12116),
    [sym_binary] = STATE(12116),
    [sym_unary] = STATE(12116),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11927] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12117),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12117),
    [sym_operator_assignment] = STATE(12117),
    [sym_conditional] = STATE(12117),
    [sym_range] = STATE(12117),
    [sym_binary] = STATE(12117),
    [sym_unary] = STATE(12117),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11928] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12118),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_splat_argument] = STATE(12119),
    [sym_assignment] = STATE(12118),
    [sym_operator_assignment] = STATE(12118),
    [sym_conditional] = STATE(12118),
    [sym_range] = STATE(12118),
    [sym_binary] = STATE(12118),
    [sym_unary] = STATE(12118),
    [sym_right_assignment_list] = STATE(9466),
    [sym__arg_or_splat_arg] = STATE(12119),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(13498),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11929] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12120),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12120),
    [sym_operator_assignment] = STATE(12120),
    [sym_conditional] = STATE(12120),
    [sym_range] = STATE(12120),
    [sym_binary] = STATE(12120),
    [sym_unary] = STATE(12120),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [11930] = {
    [sym_string] = STATE(12121),
    [aux_sym_chained_string_repeat1] = STATE(12121),
    [sym__string_start] = ACTIONS(6307),
    [sym__heredoc_body_start] = ACTIONS(2785),
    [sym__element_reference_left_bracket] = ACTIONS(2785),
    [sym__infix_scope_colons] = ACTIONS(2785),
    [sym__binary_minus] = ACTIONS(2785),
    [sym__binary_star] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_AMP_DOT] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_GT_GT] = ACTIONS(2787),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [sym_comment] = ACTIONS(87),
  },
  [11931] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(14946),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [11932] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_EQ_GT] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11933] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_EQ_GT] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [11934] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11935] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [11936] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11937] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11938] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(14946),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [11939] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(15117),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [11940] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_EQ_GT] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11941] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11942] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11943] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11944] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_EQ_GT] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11945] = {
    [sym_heredoc_body] = STATE(11945),
    [aux_sym_call_repeat1] = STATE(11945),
    [sym__heredoc_body_start] = ACTIONS(12320),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [11946] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(10694),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym__argument] = STATE(9477),
    [sym_splat_argument] = STATE(9477),
    [sym_hash_splat_argument] = STATE(9477),
    [sym_block_argument] = STATE(9477),
    [sym_assignment] = STATE(10694),
    [sym_operator_assignment] = STATE(10694),
    [sym_conditional] = STATE(10694),
    [sym_range] = STATE(10694),
    [sym_binary] = STATE(10694),
    [sym_unary] = STATE(10694),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(10700),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(9477),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(13496),
    [sym__splat_star] = ACTIONS(13498),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__identifier_hash_key] = ACTIONS(13502),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(14968),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13520),
    [sym_identifier] = ACTIONS(13520),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [11947] = {
    [sym_heredoc_body] = STATE(11945),
    [aux_sym_call_repeat1] = STATE(11945),
    [sym__heredoc_body_start] = ACTIONS(6421),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [11948] = {
    [aux_sym_argument_list_repeat1] = STATE(11948),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(15119),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [11949] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_EQ_GT] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11950] = {
    [aux_sym_exceptions_repeat1] = STATE(12124),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_EQ_GT] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [11951] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_EQ_GT] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [11952] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(14946),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [11953] = {
    [sym_string] = STATE(11953),
    [aux_sym_chained_string_repeat1] = STATE(11953),
    [sym__string_start] = ACTIONS(10368),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_EQ_GT] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [11954] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(14367),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13476),
    [anon_sym_DOT_DOT] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_and] = ACTIONS(4170),
    [anon_sym_or] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(13484),
    [anon_sym_AMP_AMP] = ACTIONS(13484),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(13488),
    [anon_sym_BANG_EQ] = ACTIONS(13484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13484),
    [anon_sym_LT_EQ_GT] = ACTIONS(13484),
    [anon_sym_EQ_TILDE] = ACTIONS(13484),
    [anon_sym_BANG_TILDE] = ACTIONS(13484),
    [anon_sym_LT_EQ] = ACTIONS(13474),
    [anon_sym_GT] = ACTIONS(13474),
    [anon_sym_GT_EQ] = ACTIONS(13490),
    [anon_sym_CARET] = ACTIONS(13492),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [11955] = {
    [sym_method] = STATE(474),
    [sym_singleton_method] = STATE(474),
    [sym_class] = STATE(474),
    [sym_singleton_class] = STATE(474),
    [sym_module] = STATE(474),
    [sym_return] = STATE(474),
    [sym_yield] = STATE(474),
    [sym_break] = STATE(474),
    [sym_next] = STATE(474),
    [sym_while] = STATE(474),
    [sym_until] = STATE(474),
    [sym_for] = STATE(474),
    [sym_case] = STATE(474),
    [sym_if] = STATE(474),
    [sym_unless] = STATE(474),
    [sym_begin] = STATE(474),
    [sym__arg] = STATE(11564),
    [sym__primary] = STATE(474),
    [sym_parenthesized_statements] = STATE(474),
    [sym_element_reference] = STATE(9103),
    [sym_scope_resolution] = STATE(9101),
    [sym_call] = STATE(9101),
    [sym_method_call] = STATE(9103),
    [sym_splat_argument] = STATE(7443),
    [sym_assignment] = STATE(11564),
    [sym_operator_assignment] = STATE(11564),
    [sym_conditional] = STATE(11564),
    [sym_range] = STATE(11564),
    [sym_binary] = STATE(11564),
    [sym_unary] = STATE(11564),
    [sym__arg_or_splat_arg] = STATE(7443),
    [sym_left_assignment_list] = STATE(9102),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(9103),
    [sym__variable] = STATE(9101),
    [sym_rational] = STATE(474),
    [sym_true] = STATE(9103),
    [sym_false] = STATE(9103),
    [sym_nil] = STATE(9103),
    [sym_chained_string] = STATE(474),
    [sym_string] = STATE(9104),
    [sym_subshell] = STATE(474),
    [sym_string_array] = STATE(474),
    [sym_symbol_array] = STATE(474),
    [sym_symbol] = STATE(474),
    [sym_regex] = STATE(474),
    [sym_array] = STATE(474),
    [sym_hash] = STATE(474),
    [sym_lambda] = STATE(474),
    [sym__simple_symbol] = ACTIONS(137),
    [sym__string_start] = ACTIONS(843),
    [sym__symbol_start] = ACTIONS(141),
    [sym__subshell_start] = ACTIONS(143),
    [sym__regex_start] = ACTIONS(145),
    [sym__string_array_start] = ACTIONS(147),
    [sym__symbol_array_start] = ACTIONS(149),
    [sym_heredoc_beginning] = ACTIONS(845),
    [sym__splat_star] = ACTIONS(14435),
    [sym__unary_minus] = ACTIONS(11879),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_def] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(11881),
    [anon_sym_yield] = ACTIONS(11883),
    [anon_sym_break] = ACTIONS(11885),
    [anon_sym_next] = ACTIONS(11887),
    [sym_redo] = ACTIONS(861),
    [sym_retry] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_unless] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_until] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(11889),
    [anon_sym_defined_QMARK] = ACTIONS(11891),
    [anon_sym_not] = ACTIONS(11893),
    [anon_sym_BANG] = ACTIONS(11895),
    [anon_sym_TILDE] = ACTIONS(11895),
    [sym_constant] = ACTIONS(11897),
    [sym_identifier] = ACTIONS(11897),
    [sym_instance_variable] = ACTIONS(11899),
    [sym_class_variable] = ACTIONS(11899),
    [sym_global_variable] = ACTIONS(11899),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(213),
    [sym_float] = ACTIONS(861),
    [sym_complex] = ACTIONS(845),
    [sym_super] = ACTIONS(11897),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_TRUE] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(881),
    [anon_sym_FALSE] = ACTIONS(881),
    [sym_self] = ACTIONS(11897),
    [anon_sym_nil] = ACTIONS(883),
    [anon_sym_NIL] = ACTIONS(883),
    [sym_character] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_DASH_GT] = ACTIONS(225),
  },
  [11956] = {
    [aux_sym_exceptions_repeat1] = STATE(12125),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(15122),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [11957] = {
    [sym__simple_symbol] = ACTIONS(15124),
    [sym__string_start] = ACTIONS(15124),
    [sym__symbol_start] = ACTIONS(15124),
    [sym__subshell_start] = ACTIONS(15124),
    [sym__regex_start] = ACTIONS(15124),
    [sym__string_array_start] = ACTIONS(15124),
    [sym__symbol_array_start] = ACTIONS(15124),
    [sym_heredoc_beginning] = ACTIONS(15124),
    [sym__unary_minus] = ACTIONS(15124),
    [anon_sym_BEGIN] = ACTIONS(15126),
    [anon_sym_LBRACE] = ACTIONS(15124),
    [anon_sym_RBRACE] = ACTIONS(15124),
    [anon_sym_END] = ACTIONS(15126),
    [anon_sym_def] = ACTIONS(15126),
    [anon_sym_LPAREN] = ACTIONS(15124),
    [anon_sym_COLON_COLON] = ACTIONS(15124),
    [anon_sym_SEMI] = ACTIONS(15124),
    [anon_sym_STAR] = ACTIONS(15124),
    [anon_sym_class] = ACTIONS(15126),
    [anon_sym_module] = ACTIONS(15126),
    [anon_sym_return] = ACTIONS(15126),
    [anon_sym_yield] = ACTIONS(15126),
    [anon_sym_break] = ACTIONS(15126),
    [anon_sym_next] = ACTIONS(15126),
    [sym_redo] = ACTIONS(15126),
    [sym_retry] = ACTIONS(15126),
    [anon_sym_if] = ACTIONS(15126),
    [anon_sym_unless] = ACTIONS(15126),
    [anon_sym_while] = ACTIONS(15126),
    [anon_sym_until] = ACTIONS(15126),
    [anon_sym_for] = ACTIONS(15126),
    [anon_sym_case] = ACTIONS(15126),
    [anon_sym_begin] = ACTIONS(15126),
    [anon_sym_PLUS] = ACTIONS(15126),
    [anon_sym_defined_QMARK] = ACTIONS(15124),
    [anon_sym_not] = ACTIONS(15126),
    [anon_sym_BANG] = ACTIONS(15124),
    [anon_sym_TILDE] = ACTIONS(15124),
    [sym_constant] = ACTIONS(15126),
    [sym_identifier] = ACTIONS(15126),
    [sym_instance_variable] = ACTIONS(15124),
    [sym_class_variable] = ACTIONS(15124),
    [sym_global_variable] = ACTIONS(15124),
    [anon_sym_undef] = ACTIONS(15126),
    [anon_sym_alias] = ACTIONS(15126),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(15126),
    [sym_float] = ACTIONS(15126),
    [sym_complex] = ACTIONS(15124),
    [sym_super] = ACTIONS(15126),
    [anon_sym_true] = ACTIONS(15126),
    [anon_sym_TRUE] = ACTIONS(15126),
    [anon_sym_false] = ACTIONS(15126),
    [anon_sym_FALSE] = ACTIONS(15126),
    [sym_self] = ACTIONS(15126),
    [anon_sym_nil] = ACTIONS(15126),
    [anon_sym_NIL] = ACTIONS(15126),
    [sym_character] = ACTIONS(15124),
    [anon_sym_LBRACK] = ACTIONS(15124),
    [anon_sym_DASH_GT] = ACTIONS(15124),
  },
  [11958] = {
    [aux_sym_block_parameters_repeat1] = STATE(10645),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(15128),
    [sym_comment] = ACTIONS(87),
  },
  [11959] = {
    [anon_sym_LBRACE] = ACTIONS(14447),
    [anon_sym_RPAREN] = ACTIONS(14447),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_PIPE] = ACTIONS(14447),
    [anon_sym_SEMI] = ACTIONS(14447),
    [anon_sym_do] = ACTIONS(14447),
    [sym_comment] = ACTIONS(87),
  },
  [11960] = {
    [sym__line_break] = ACTIONS(15124),
    [sym__simple_symbol] = ACTIONS(15124),
    [sym__string_start] = ACTIONS(15124),
    [sym__symbol_start] = ACTIONS(15124),
    [sym__subshell_start] = ACTIONS(15124),
    [sym__regex_start] = ACTIONS(15124),
    [sym__string_array_start] = ACTIONS(15124),
    [sym__symbol_array_start] = ACTIONS(15124),
    [sym__heredoc_body_start] = ACTIONS(15124),
    [sym_heredoc_beginning] = ACTIONS(15124),
    [sym__unary_minus] = ACTIONS(15124),
    [anon_sym_BEGIN] = ACTIONS(15126),
    [anon_sym_LBRACE] = ACTIONS(15124),
    [anon_sym_END] = ACTIONS(15126),
    [anon_sym_def] = ACTIONS(15126),
    [anon_sym_LPAREN] = ACTIONS(15124),
    [anon_sym_COLON_COLON] = ACTIONS(15124),
    [anon_sym_SEMI] = ACTIONS(15124),
    [anon_sym_STAR] = ACTIONS(15124),
    [anon_sym_class] = ACTIONS(15126),
    [anon_sym_module] = ACTIONS(15126),
    [anon_sym_end] = ACTIONS(15126),
    [anon_sym_return] = ACTIONS(15126),
    [anon_sym_yield] = ACTIONS(15126),
    [anon_sym_break] = ACTIONS(15126),
    [anon_sym_next] = ACTIONS(15126),
    [sym_redo] = ACTIONS(15126),
    [sym_retry] = ACTIONS(15126),
    [anon_sym_if] = ACTIONS(15126),
    [anon_sym_unless] = ACTIONS(15126),
    [anon_sym_while] = ACTIONS(15126),
    [anon_sym_until] = ACTIONS(15126),
    [anon_sym_for] = ACTIONS(15126),
    [anon_sym_case] = ACTIONS(15126),
    [anon_sym_begin] = ACTIONS(15126),
    [anon_sym_PLUS] = ACTIONS(15126),
    [anon_sym_defined_QMARK] = ACTIONS(15124),
    [anon_sym_not] = ACTIONS(15126),
    [anon_sym_BANG] = ACTIONS(15124),
    [anon_sym_TILDE] = ACTIONS(15124),
    [sym_constant] = ACTIONS(15126),
    [sym_identifier] = ACTIONS(15126),
    [sym_instance_variable] = ACTIONS(15124),
    [sym_class_variable] = ACTIONS(15124),
    [sym_global_variable] = ACTIONS(15124),
    [anon_sym_undef] = ACTIONS(15126),
    [anon_sym_alias] = ACTIONS(15126),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(15126),
    [sym_float] = ACTIONS(15126),
    [sym_complex] = ACTIONS(15124),
    [sym_super] = ACTIONS(15126),
    [anon_sym_true] = ACTIONS(15126),
    [anon_sym_TRUE] = ACTIONS(15126),
    [anon_sym_false] = ACTIONS(15126),
    [anon_sym_FALSE] = ACTIONS(15126),
    [sym_self] = ACTIONS(15126),
    [anon_sym_nil] = ACTIONS(15126),
    [anon_sym_NIL] = ACTIONS(15126),
    [sym_character] = ACTIONS(15124),
    [anon_sym_LBRACK] = ACTIONS(15124),
    [anon_sym_DASH_GT] = ACTIONS(15124),
  },
  [11961] = {
    [aux_sym_block_parameters_repeat1] = STATE(10645),
    [anon_sym_COMMA] = ACTIONS(11875),
    [anon_sym_PIPE] = ACTIONS(15130),
    [sym_comment] = ACTIONS(87),
  },
  [11962] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(11950),
    [sym__binary_star] = ACTIONS(11952),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(11954),
    [anon_sym_STAR_STAR] = ACTIONS(11956),
    [anon_sym_AMP] = ACTIONS(11958),
    [anon_sym_LT] = ACTIONS(11960),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(11962),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_DOT_DOT] = ACTIONS(11964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(11968),
    [anon_sym_AMP_AMP] = ACTIONS(11968),
    [anon_sym_LT_LT] = ACTIONS(11970),
    [anon_sym_GT_GT] = ACTIONS(11970),
    [anon_sym_EQ_EQ] = ACTIONS(11972),
    [anon_sym_BANG_EQ] = ACTIONS(11968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11968),
    [anon_sym_LT_EQ_GT] = ACTIONS(11968),
    [anon_sym_EQ_TILDE] = ACTIONS(11968),
    [anon_sym_BANG_TILDE] = ACTIONS(11968),
    [anon_sym_LT_EQ] = ACTIONS(11960),
    [anon_sym_GT] = ACTIONS(11960),
    [anon_sym_GT_EQ] = ACTIONS(11974),
    [anon_sym_CARET] = ACTIONS(11976),
    [anon_sym_PLUS] = ACTIONS(11978),
    [anon_sym_SLASH] = ACTIONS(11956),
    [anon_sym_PERCENT] = ACTIONS(11956),
    [sym_comment] = ACTIONS(87),
  },
  [11963] = {
    [aux_sym_exceptions_repeat1] = STATE(11963),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15132),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_COLON] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11964] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(12004),
    [sym__binary_star] = ACTIONS(12006),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(12008),
    [anon_sym_STAR_STAR] = ACTIONS(12010),
    [anon_sym_AMP] = ACTIONS(12012),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_DOT_DOT] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(12022),
    [anon_sym_AMP_AMP] = ACTIONS(12022),
    [anon_sym_LT_LT] = ACTIONS(12024),
    [anon_sym_GT_GT] = ACTIONS(12024),
    [anon_sym_EQ_EQ] = ACTIONS(12022),
    [anon_sym_BANG_EQ] = ACTIONS(12026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12026),
    [anon_sym_LT_EQ_GT] = ACTIONS(12026),
    [anon_sym_EQ_TILDE] = ACTIONS(12026),
    [anon_sym_BANG_TILDE] = ACTIONS(12026),
    [anon_sym_LT_EQ] = ACTIONS(12014),
    [anon_sym_GT] = ACTIONS(12014),
    [anon_sym_GT_EQ] = ACTIONS(12028),
    [anon_sym_CARET] = ACTIONS(12008),
    [anon_sym_PLUS] = ACTIONS(12030),
    [anon_sym_SLASH] = ACTIONS(12010),
    [anon_sym_PERCENT] = ACTIONS(12010),
    [sym_comment] = ACTIONS(87),
  },
  [11965] = {
    [aux_sym_exceptions_repeat1] = STATE(11965),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15135),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_COLON] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11966] = {
    [sym__binary_minus] = ACTIONS(12040),
    [sym__binary_star] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(12044),
    [anon_sym_STAR_STAR] = ACTIONS(12046),
    [anon_sym_AMP] = ACTIONS(12048),
    [anon_sym_LT] = ACTIONS(12050),
    [anon_sym_QMARK] = ACTIONS(12052),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_DOT_DOT] = ACTIONS(12054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12056),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(12058),
    [anon_sym_AMP_AMP] = ACTIONS(12058),
    [anon_sym_LT_LT] = ACTIONS(12060),
    [anon_sym_GT_GT] = ACTIONS(12060),
    [anon_sym_EQ_EQ] = ACTIONS(12062),
    [anon_sym_BANG_EQ] = ACTIONS(12058),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12058),
    [anon_sym_LT_EQ_GT] = ACTIONS(12058),
    [anon_sym_EQ_TILDE] = ACTIONS(12058),
    [anon_sym_BANG_TILDE] = ACTIONS(12058),
    [anon_sym_LT_EQ] = ACTIONS(12050),
    [anon_sym_GT] = ACTIONS(12050),
    [anon_sym_GT_EQ] = ACTIONS(12064),
    [anon_sym_CARET] = ACTIONS(12066),
    [anon_sym_PLUS] = ACTIONS(12068),
    [anon_sym_SLASH] = ACTIONS(12046),
    [anon_sym_PERCENT] = ACTIONS(12046),
    [sym_comment] = ACTIONS(87),
  },
  [11967] = {
    [sym__line_break] = ACTIONS(13941),
    [sym__heredoc_body_start] = ACTIONS(13941),
    [sym__element_reference_left_bracket] = ACTIONS(13941),
    [sym__infix_scope_colons] = ACTIONS(13941),
    [sym__binary_minus] = ACTIONS(13941),
    [sym__binary_star] = ACTIONS(13941),
    [ts_builtin_sym_end] = ACTIONS(13941),
    [anon_sym___END__] = ACTIONS(13941),
    [anon_sym_LBRACE] = ACTIONS(13941),
    [anon_sym_RBRACE] = ACTIONS(13941),
    [anon_sym_RPAREN] = ACTIONS(13941),
    [anon_sym_DOT] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13941),
    [anon_sym_PIPE] = ACTIONS(13943),
    [anon_sym_SEMI] = ACTIONS(13941),
    [anon_sym_STAR_STAR] = ACTIONS(13943),
    [anon_sym_AMP] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_LT] = ACTIONS(13943),
    [anon_sym_end] = ACTIONS(13941),
    [anon_sym_if] = ACTIONS(13941),
    [anon_sym_unless] = ACTIONS(13941),
    [anon_sym_while] = ACTIONS(13941),
    [anon_sym_until] = ACTIONS(13941),
    [anon_sym_rescue] = ACTIONS(13941),
    [anon_sym_do] = ACTIONS(13941),
    [anon_sym_when] = ACTIONS(13941),
    [anon_sym_elsif] = ACTIONS(13941),
    [anon_sym_else] = ACTIONS(13941),
    [anon_sym_then] = ACTIONS(13941),
    [anon_sym_ensure] = ACTIONS(13941),
    [anon_sym_AMP_DOT] = ACTIONS(13941),
    [anon_sym_PLUS_EQ] = ACTIONS(13941),
    [anon_sym_DASH_EQ] = ACTIONS(13941),
    [anon_sym_STAR_EQ] = ACTIONS(13941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13941),
    [anon_sym_SLASH_EQ] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13941),
    [anon_sym_PIPE_EQ] = ACTIONS(13941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13941),
    [anon_sym_AMP_EQ] = ACTIONS(13941),
    [anon_sym_PERCENT_EQ] = ACTIONS(13941),
    [anon_sym_GT_GT_EQ] = ACTIONS(13941),
    [anon_sym_LT_LT_EQ] = ACTIONS(13941),
    [anon_sym_CARET_EQ] = ACTIONS(13941),
    [anon_sym_QMARK] = ACTIONS(13941),
    [anon_sym_DOT_DOT] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13941),
    [anon_sym_and] = ACTIONS(13941),
    [anon_sym_or] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE] = ACTIONS(13943),
    [anon_sym_AMP_AMP] = ACTIONS(13943),
    [anon_sym_LT_LT] = ACTIONS(13943),
    [anon_sym_GT_GT] = ACTIONS(13943),
    [anon_sym_EQ_EQ] = ACTIONS(13943),
    [anon_sym_BANG_EQ] = ACTIONS(13941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13941),
    [anon_sym_LT_EQ_GT] = ACTIONS(13941),
    [anon_sym_EQ_TILDE] = ACTIONS(13941),
    [anon_sym_BANG_TILDE] = ACTIONS(13941),
    [anon_sym_LT_EQ] = ACTIONS(13943),
    [anon_sym_GT] = ACTIONS(13943),
    [anon_sym_GT_EQ] = ACTIONS(13941),
    [anon_sym_CARET] = ACTIONS(13943),
    [anon_sym_PLUS] = ACTIONS(13943),
    [anon_sym_SLASH] = ACTIONS(13943),
    [anon_sym_PERCENT] = ACTIONS(13943),
    [sym_comment] = ACTIONS(87),
  },
  [11968] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(12161),
    [sym__binary_star] = ACTIONS(12163),
    [anon_sym_RBRACE] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(12165),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(12167),
    [anon_sym_AMP] = ACTIONS(12169),
    [anon_sym_LT] = ACTIONS(12171),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12173),
    [anon_sym_DOT_DOT] = ACTIONS(12175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12177),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(12179),
    [anon_sym_AMP_AMP] = ACTIONS(12179),
    [anon_sym_LT_LT] = ACTIONS(12181),
    [anon_sym_GT_GT] = ACTIONS(12181),
    [anon_sym_EQ_EQ] = ACTIONS(12183),
    [anon_sym_BANG_EQ] = ACTIONS(12179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12179),
    [anon_sym_LT_EQ_GT] = ACTIONS(12179),
    [anon_sym_EQ_TILDE] = ACTIONS(12179),
    [anon_sym_BANG_TILDE] = ACTIONS(12179),
    [anon_sym_LT_EQ] = ACTIONS(12171),
    [anon_sym_GT] = ACTIONS(12171),
    [anon_sym_GT_EQ] = ACTIONS(12185),
    [anon_sym_CARET] = ACTIONS(12187),
    [anon_sym_PLUS] = ACTIONS(12189),
    [anon_sym_SLASH] = ACTIONS(12167),
    [anon_sym_PERCENT] = ACTIONS(12167),
    [sym_comment] = ACTIONS(87),
  },
  [11969] = {
    [sym__heredoc_body_start] = ACTIONS(12326),
    [sym__element_reference_left_bracket] = ACTIONS(12326),
    [sym__infix_scope_colons] = ACTIONS(12326),
    [sym__binary_minus] = ACTIONS(12326),
    [sym__binary_star] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_RBRACE] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_PIPE] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_STAR_STAR] = ACTIONS(12328),
    [anon_sym_AMP] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_LT] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_unless] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [anon_sym_until] = ACTIONS(12326),
    [anon_sym_rescue] = ACTIONS(12326),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_do] = ACTIONS(12326),
    [anon_sym_RBRACK] = ACTIONS(12326),
    [anon_sym_AMP_DOT] = ACTIONS(12326),
    [anon_sym_PLUS_EQ] = ACTIONS(12326),
    [anon_sym_DASH_EQ] = ACTIONS(12326),
    [anon_sym_STAR_EQ] = ACTIONS(12326),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12326),
    [anon_sym_SLASH_EQ] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12326),
    [anon_sym_PIPE_EQ] = ACTIONS(12326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12326),
    [anon_sym_AMP_EQ] = ACTIONS(12326),
    [anon_sym_PERCENT_EQ] = ACTIONS(12326),
    [anon_sym_GT_GT_EQ] = ACTIONS(12326),
    [anon_sym_LT_LT_EQ] = ACTIONS(12326),
    [anon_sym_CARET_EQ] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_DOT_DOT] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_and] = ACTIONS(12326),
    [anon_sym_or] = ACTIONS(12326),
    [anon_sym_PIPE_PIPE] = ACTIONS(12328),
    [anon_sym_AMP_AMP] = ACTIONS(12328),
    [anon_sym_LT_LT] = ACTIONS(12328),
    [anon_sym_GT_GT] = ACTIONS(12328),
    [anon_sym_EQ_EQ] = ACTIONS(12328),
    [anon_sym_BANG_EQ] = ACTIONS(12326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12326),
    [anon_sym_LT_EQ_GT] = ACTIONS(12326),
    [anon_sym_EQ_TILDE] = ACTIONS(12326),
    [anon_sym_BANG_TILDE] = ACTIONS(12326),
    [anon_sym_LT_EQ] = ACTIONS(12328),
    [anon_sym_GT] = ACTIONS(12328),
    [anon_sym_GT_EQ] = ACTIONS(12326),
    [anon_sym_CARET] = ACTIONS(12328),
    [anon_sym_PLUS] = ACTIONS(12328),
    [anon_sym_SLASH] = ACTIONS(12328),
    [anon_sym_PERCENT] = ACTIONS(12328),
    [sym_comment] = ACTIONS(87),
  },
  [11970] = {
    [sym__heredoc_body_start] = ACTIONS(12330),
    [sym__element_reference_left_bracket] = ACTIONS(12330),
    [sym__infix_scope_colons] = ACTIONS(12330),
    [sym__binary_minus] = ACTIONS(12330),
    [sym__binary_star] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12330),
    [anon_sym_RBRACE] = ACTIONS(12330),
    [anon_sym_RPAREN] = ACTIONS(12330),
    [anon_sym_DOT] = ACTIONS(12332),
    [anon_sym_COMMA] = ACTIONS(12330),
    [anon_sym_PIPE] = ACTIONS(12332),
    [anon_sym_SEMI] = ACTIONS(12330),
    [anon_sym_STAR_STAR] = ACTIONS(12332),
    [anon_sym_AMP] = ACTIONS(12332),
    [anon_sym_EQ] = ACTIONS(12332),
    [anon_sym_LT] = ACTIONS(12332),
    [anon_sym_if] = ACTIONS(12330),
    [anon_sym_unless] = ACTIONS(12330),
    [anon_sym_while] = ACTIONS(12330),
    [anon_sym_until] = ACTIONS(12330),
    [anon_sym_rescue] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12330),
    [anon_sym_do] = ACTIONS(12330),
    [anon_sym_RBRACK] = ACTIONS(12330),
    [anon_sym_AMP_DOT] = ACTIONS(12330),
    [anon_sym_PLUS_EQ] = ACTIONS(12330),
    [anon_sym_DASH_EQ] = ACTIONS(12330),
    [anon_sym_STAR_EQ] = ACTIONS(12330),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12330),
    [anon_sym_SLASH_EQ] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12330),
    [anon_sym_PIPE_EQ] = ACTIONS(12330),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12330),
    [anon_sym_AMP_EQ] = ACTIONS(12330),
    [anon_sym_PERCENT_EQ] = ACTIONS(12330),
    [anon_sym_GT_GT_EQ] = ACTIONS(12330),
    [anon_sym_LT_LT_EQ] = ACTIONS(12330),
    [anon_sym_CARET_EQ] = ACTIONS(12330),
    [anon_sym_QMARK] = ACTIONS(12330),
    [anon_sym_COLON] = ACTIONS(12330),
    [anon_sym_DOT_DOT] = ACTIONS(12332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12330),
    [anon_sym_and] = ACTIONS(12330),
    [anon_sym_or] = ACTIONS(12330),
    [anon_sym_PIPE_PIPE] = ACTIONS(12332),
    [anon_sym_AMP_AMP] = ACTIONS(12332),
    [anon_sym_LT_LT] = ACTIONS(12332),
    [anon_sym_GT_GT] = ACTIONS(12332),
    [anon_sym_EQ_EQ] = ACTIONS(12332),
    [anon_sym_BANG_EQ] = ACTIONS(12330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12330),
    [anon_sym_LT_EQ_GT] = ACTIONS(12330),
    [anon_sym_EQ_TILDE] = ACTIONS(12330),
    [anon_sym_BANG_TILDE] = ACTIONS(12330),
    [anon_sym_LT_EQ] = ACTIONS(12332),
    [anon_sym_GT] = ACTIONS(12332),
    [anon_sym_GT_EQ] = ACTIONS(12330),
    [anon_sym_CARET] = ACTIONS(12332),
    [anon_sym_PLUS] = ACTIONS(12332),
    [anon_sym_SLASH] = ACTIONS(12332),
    [anon_sym_PERCENT] = ACTIONS(12332),
    [sym_comment] = ACTIONS(87),
  },
  [11971] = {
    [sym__heredoc_body_start] = ACTIONS(12444),
    [sym__element_reference_left_bracket] = ACTIONS(12444),
    [sym__infix_scope_colons] = ACTIONS(12444),
    [sym__binary_minus] = ACTIONS(12444),
    [sym__binary_star] = ACTIONS(12444),
    [anon_sym_LBRACE] = ACTIONS(12444),
    [anon_sym_RBRACE] = ACTIONS(12444),
    [anon_sym_RPAREN] = ACTIONS(12444),
    [anon_sym_DOT] = ACTIONS(12446),
    [anon_sym_COMMA] = ACTIONS(12444),
    [anon_sym_PIPE] = ACTIONS(12446),
    [anon_sym_SEMI] = ACTIONS(12444),
    [anon_sym_STAR_STAR] = ACTIONS(12446),
    [anon_sym_AMP] = ACTIONS(12446),
    [anon_sym_EQ] = ACTIONS(12446),
    [anon_sym_LT] = ACTIONS(12446),
    [anon_sym_if] = ACTIONS(12444),
    [anon_sym_unless] = ACTIONS(12444),
    [anon_sym_while] = ACTIONS(12444),
    [anon_sym_until] = ACTIONS(12444),
    [anon_sym_rescue] = ACTIONS(12444),
    [anon_sym_in] = ACTIONS(12444),
    [anon_sym_do] = ACTIONS(12444),
    [anon_sym_RBRACK] = ACTIONS(12444),
    [anon_sym_AMP_DOT] = ACTIONS(12444),
    [anon_sym_PLUS_EQ] = ACTIONS(12444),
    [anon_sym_DASH_EQ] = ACTIONS(12444),
    [anon_sym_STAR_EQ] = ACTIONS(12444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12444),
    [anon_sym_SLASH_EQ] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12444),
    [anon_sym_PIPE_EQ] = ACTIONS(12444),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12444),
    [anon_sym_AMP_EQ] = ACTIONS(12444),
    [anon_sym_PERCENT_EQ] = ACTIONS(12444),
    [anon_sym_GT_GT_EQ] = ACTIONS(12444),
    [anon_sym_LT_LT_EQ] = ACTIONS(12444),
    [anon_sym_CARET_EQ] = ACTIONS(12444),
    [anon_sym_QMARK] = ACTIONS(12444),
    [anon_sym_COLON] = ACTIONS(12444),
    [anon_sym_DOT_DOT] = ACTIONS(12446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12444),
    [anon_sym_and] = ACTIONS(12444),
    [anon_sym_or] = ACTIONS(12444),
    [anon_sym_PIPE_PIPE] = ACTIONS(12446),
    [anon_sym_AMP_AMP] = ACTIONS(12446),
    [anon_sym_LT_LT] = ACTIONS(12446),
    [anon_sym_GT_GT] = ACTIONS(12446),
    [anon_sym_EQ_EQ] = ACTIONS(12446),
    [anon_sym_BANG_EQ] = ACTIONS(12444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12444),
    [anon_sym_LT_EQ_GT] = ACTIONS(12444),
    [anon_sym_EQ_TILDE] = ACTIONS(12444),
    [anon_sym_BANG_TILDE] = ACTIONS(12444),
    [anon_sym_LT_EQ] = ACTIONS(12446),
    [anon_sym_GT] = ACTIONS(12446),
    [anon_sym_GT_EQ] = ACTIONS(12444),
    [anon_sym_CARET] = ACTIONS(12446),
    [anon_sym_PLUS] = ACTIONS(12446),
    [anon_sym_SLASH] = ACTIONS(12446),
    [anon_sym_PERCENT] = ACTIONS(12446),
    [sym_comment] = ACTIONS(87),
  },
  [11972] = {
    [sym__heredoc_body_start] = ACTIONS(12737),
    [sym__element_reference_left_bracket] = ACTIONS(12737),
    [sym__infix_scope_colons] = ACTIONS(12737),
    [sym__binary_minus] = ACTIONS(12737),
    [sym__binary_star] = ACTIONS(12737),
    [anon_sym_LBRACE] = ACTIONS(12737),
    [anon_sym_RBRACE] = ACTIONS(12737),
    [anon_sym_RPAREN] = ACTIONS(12737),
    [anon_sym_DOT] = ACTIONS(12739),
    [anon_sym_COMMA] = ACTIONS(12737),
    [anon_sym_PIPE] = ACTIONS(12739),
    [anon_sym_SEMI] = ACTIONS(12737),
    [anon_sym_STAR_STAR] = ACTIONS(12739),
    [anon_sym_AMP] = ACTIONS(12739),
    [anon_sym_EQ] = ACTIONS(12739),
    [anon_sym_LT] = ACTIONS(12739),
    [anon_sym_if] = ACTIONS(12737),
    [anon_sym_unless] = ACTIONS(12737),
    [anon_sym_while] = ACTIONS(12737),
    [anon_sym_until] = ACTIONS(12737),
    [anon_sym_rescue] = ACTIONS(12737),
    [anon_sym_in] = ACTIONS(12737),
    [anon_sym_do] = ACTIONS(12737),
    [anon_sym_RBRACK] = ACTIONS(12737),
    [anon_sym_AMP_DOT] = ACTIONS(12737),
    [anon_sym_PLUS_EQ] = ACTIONS(12737),
    [anon_sym_DASH_EQ] = ACTIONS(12737),
    [anon_sym_STAR_EQ] = ACTIONS(12737),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12737),
    [anon_sym_SLASH_EQ] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12737),
    [anon_sym_PIPE_EQ] = ACTIONS(12737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12737),
    [anon_sym_AMP_EQ] = ACTIONS(12737),
    [anon_sym_PERCENT_EQ] = ACTIONS(12737),
    [anon_sym_GT_GT_EQ] = ACTIONS(12737),
    [anon_sym_LT_LT_EQ] = ACTIONS(12737),
    [anon_sym_CARET_EQ] = ACTIONS(12737),
    [anon_sym_QMARK] = ACTIONS(12737),
    [anon_sym_COLON] = ACTIONS(12737),
    [anon_sym_DOT_DOT] = ACTIONS(12739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12737),
    [anon_sym_and] = ACTIONS(12737),
    [anon_sym_or] = ACTIONS(12737),
    [anon_sym_PIPE_PIPE] = ACTIONS(12739),
    [anon_sym_AMP_AMP] = ACTIONS(12739),
    [anon_sym_LT_LT] = ACTIONS(12739),
    [anon_sym_GT_GT] = ACTIONS(12739),
    [anon_sym_EQ_EQ] = ACTIONS(12739),
    [anon_sym_BANG_EQ] = ACTIONS(12737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12737),
    [anon_sym_LT_EQ_GT] = ACTIONS(12737),
    [anon_sym_EQ_TILDE] = ACTIONS(12737),
    [anon_sym_BANG_TILDE] = ACTIONS(12737),
    [anon_sym_LT_EQ] = ACTIONS(12739),
    [anon_sym_GT] = ACTIONS(12739),
    [anon_sym_GT_EQ] = ACTIONS(12737),
    [anon_sym_CARET] = ACTIONS(12739),
    [anon_sym_PLUS] = ACTIONS(12739),
    [anon_sym_SLASH] = ACTIONS(12739),
    [anon_sym_PERCENT] = ACTIONS(12739),
    [sym_comment] = ACTIONS(87),
  },
  [11973] = {
    [anon_sym_end] = ACTIONS(15138),
    [sym_comment] = ACTIONS(87),
  },
  [11974] = {
    [sym__heredoc_body_start] = ACTIONS(12881),
    [sym__element_reference_left_bracket] = ACTIONS(12881),
    [sym__infix_scope_colons] = ACTIONS(12881),
    [sym__binary_minus] = ACTIONS(12881),
    [sym__binary_star] = ACTIONS(12881),
    [anon_sym_LBRACE] = ACTIONS(12881),
    [anon_sym_RBRACE] = ACTIONS(12881),
    [anon_sym_RPAREN] = ACTIONS(12881),
    [anon_sym_DOT] = ACTIONS(12883),
    [anon_sym_COMMA] = ACTIONS(12881),
    [anon_sym_PIPE] = ACTIONS(12883),
    [anon_sym_SEMI] = ACTIONS(12881),
    [anon_sym_STAR_STAR] = ACTIONS(12883),
    [anon_sym_AMP] = ACTIONS(12883),
    [anon_sym_EQ] = ACTIONS(12883),
    [anon_sym_LT] = ACTIONS(12883),
    [anon_sym_if] = ACTIONS(12881),
    [anon_sym_unless] = ACTIONS(12881),
    [anon_sym_while] = ACTIONS(12881),
    [anon_sym_until] = ACTIONS(12881),
    [anon_sym_rescue] = ACTIONS(12881),
    [anon_sym_in] = ACTIONS(12881),
    [anon_sym_do] = ACTIONS(12881),
    [anon_sym_RBRACK] = ACTIONS(12881),
    [anon_sym_AMP_DOT] = ACTIONS(12881),
    [anon_sym_PLUS_EQ] = ACTIONS(12881),
    [anon_sym_DASH_EQ] = ACTIONS(12881),
    [anon_sym_STAR_EQ] = ACTIONS(12881),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12881),
    [anon_sym_SLASH_EQ] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12881),
    [anon_sym_PIPE_EQ] = ACTIONS(12881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12881),
    [anon_sym_AMP_EQ] = ACTIONS(12881),
    [anon_sym_PERCENT_EQ] = ACTIONS(12881),
    [anon_sym_GT_GT_EQ] = ACTIONS(12881),
    [anon_sym_LT_LT_EQ] = ACTIONS(12881),
    [anon_sym_CARET_EQ] = ACTIONS(12881),
    [anon_sym_QMARK] = ACTIONS(12881),
    [anon_sym_COLON] = ACTIONS(12881),
    [anon_sym_DOT_DOT] = ACTIONS(12883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12881),
    [anon_sym_and] = ACTIONS(12881),
    [anon_sym_or] = ACTIONS(12881),
    [anon_sym_PIPE_PIPE] = ACTIONS(12883),
    [anon_sym_AMP_AMP] = ACTIONS(12883),
    [anon_sym_LT_LT] = ACTIONS(12883),
    [anon_sym_GT_GT] = ACTIONS(12883),
    [anon_sym_EQ_EQ] = ACTIONS(12883),
    [anon_sym_BANG_EQ] = ACTIONS(12881),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12881),
    [anon_sym_LT_EQ_GT] = ACTIONS(12881),
    [anon_sym_EQ_TILDE] = ACTIONS(12881),
    [anon_sym_BANG_TILDE] = ACTIONS(12881),
    [anon_sym_LT_EQ] = ACTIONS(12883),
    [anon_sym_GT] = ACTIONS(12883),
    [anon_sym_GT_EQ] = ACTIONS(12881),
    [anon_sym_CARET] = ACTIONS(12883),
    [anon_sym_PLUS] = ACTIONS(12883),
    [anon_sym_SLASH] = ACTIONS(12883),
    [anon_sym_PERCENT] = ACTIONS(12883),
    [sym_comment] = ACTIONS(87),
  },
  [11975] = {
    [sym__heredoc_body_start] = ACTIONS(13033),
    [sym__element_reference_left_bracket] = ACTIONS(13033),
    [sym__infix_scope_colons] = ACTIONS(13033),
    [sym__binary_minus] = ACTIONS(13033),
    [sym__binary_star] = ACTIONS(13033),
    [anon_sym_LBRACE] = ACTIONS(13033),
    [anon_sym_RBRACE] = ACTIONS(13033),
    [anon_sym_RPAREN] = ACTIONS(13033),
    [anon_sym_DOT] = ACTIONS(13035),
    [anon_sym_COMMA] = ACTIONS(13033),
    [anon_sym_PIPE] = ACTIONS(13035),
    [anon_sym_SEMI] = ACTIONS(13033),
    [anon_sym_STAR_STAR] = ACTIONS(13035),
    [anon_sym_AMP] = ACTIONS(13035),
    [anon_sym_EQ] = ACTIONS(13035),
    [anon_sym_LT] = ACTIONS(13035),
    [anon_sym_if] = ACTIONS(13033),
    [anon_sym_unless] = ACTIONS(13033),
    [anon_sym_while] = ACTIONS(13033),
    [anon_sym_until] = ACTIONS(13033),
    [anon_sym_rescue] = ACTIONS(13033),
    [anon_sym_in] = ACTIONS(13033),
    [anon_sym_do] = ACTIONS(13033),
    [anon_sym_RBRACK] = ACTIONS(13033),
    [anon_sym_AMP_DOT] = ACTIONS(13033),
    [anon_sym_PLUS_EQ] = ACTIONS(13033),
    [anon_sym_DASH_EQ] = ACTIONS(13033),
    [anon_sym_STAR_EQ] = ACTIONS(13033),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13033),
    [anon_sym_SLASH_EQ] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13033),
    [anon_sym_PIPE_EQ] = ACTIONS(13033),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13033),
    [anon_sym_AMP_EQ] = ACTIONS(13033),
    [anon_sym_PERCENT_EQ] = ACTIONS(13033),
    [anon_sym_GT_GT_EQ] = ACTIONS(13033),
    [anon_sym_LT_LT_EQ] = ACTIONS(13033),
    [anon_sym_CARET_EQ] = ACTIONS(13033),
    [anon_sym_QMARK] = ACTIONS(13033),
    [anon_sym_COLON] = ACTIONS(13033),
    [anon_sym_DOT_DOT] = ACTIONS(13035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13033),
    [anon_sym_and] = ACTIONS(13033),
    [anon_sym_or] = ACTIONS(13033),
    [anon_sym_PIPE_PIPE] = ACTIONS(13035),
    [anon_sym_AMP_AMP] = ACTIONS(13035),
    [anon_sym_LT_LT] = ACTIONS(13035),
    [anon_sym_GT_GT] = ACTIONS(13035),
    [anon_sym_EQ_EQ] = ACTIONS(13035),
    [anon_sym_BANG_EQ] = ACTIONS(13033),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13033),
    [anon_sym_LT_EQ_GT] = ACTIONS(13033),
    [anon_sym_EQ_TILDE] = ACTIONS(13033),
    [anon_sym_BANG_TILDE] = ACTIONS(13033),
    [anon_sym_LT_EQ] = ACTIONS(13035),
    [anon_sym_GT] = ACTIONS(13035),
    [anon_sym_GT_EQ] = ACTIONS(13033),
    [anon_sym_CARET] = ACTIONS(13035),
    [anon_sym_PLUS] = ACTIONS(13035),
    [anon_sym_SLASH] = ACTIONS(13035),
    [anon_sym_PERCENT] = ACTIONS(13035),
    [sym_comment] = ACTIONS(87),
  },
  [11976] = {
    [sym__heredoc_body_start] = ACTIONS(13044),
    [sym__element_reference_left_bracket] = ACTIONS(13044),
    [sym__infix_scope_colons] = ACTIONS(13044),
    [sym__binary_minus] = ACTIONS(13044),
    [sym__binary_star] = ACTIONS(13044),
    [anon_sym_LBRACE] = ACTIONS(13044),
    [anon_sym_RBRACE] = ACTIONS(13044),
    [anon_sym_RPAREN] = ACTIONS(13044),
    [anon_sym_DOT] = ACTIONS(13046),
    [anon_sym_COMMA] = ACTIONS(13044),
    [anon_sym_PIPE] = ACTIONS(13046),
    [anon_sym_SEMI] = ACTIONS(13044),
    [anon_sym_STAR_STAR] = ACTIONS(13046),
    [anon_sym_AMP] = ACTIONS(13046),
    [anon_sym_EQ] = ACTIONS(13046),
    [anon_sym_LT] = ACTIONS(13046),
    [anon_sym_if] = ACTIONS(13044),
    [anon_sym_unless] = ACTIONS(13044),
    [anon_sym_while] = ACTIONS(13044),
    [anon_sym_until] = ACTIONS(13044),
    [anon_sym_rescue] = ACTIONS(13044),
    [anon_sym_in] = ACTIONS(13044),
    [anon_sym_do] = ACTIONS(13044),
    [anon_sym_RBRACK] = ACTIONS(13044),
    [anon_sym_AMP_DOT] = ACTIONS(13044),
    [anon_sym_PLUS_EQ] = ACTIONS(13044),
    [anon_sym_DASH_EQ] = ACTIONS(13044),
    [anon_sym_STAR_EQ] = ACTIONS(13044),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13044),
    [anon_sym_SLASH_EQ] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13044),
    [anon_sym_PIPE_EQ] = ACTIONS(13044),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13044),
    [anon_sym_AMP_EQ] = ACTIONS(13044),
    [anon_sym_PERCENT_EQ] = ACTIONS(13044),
    [anon_sym_GT_GT_EQ] = ACTIONS(13044),
    [anon_sym_LT_LT_EQ] = ACTIONS(13044),
    [anon_sym_CARET_EQ] = ACTIONS(13044),
    [anon_sym_QMARK] = ACTIONS(13044),
    [anon_sym_COLON] = ACTIONS(13044),
    [anon_sym_DOT_DOT] = ACTIONS(13046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13044),
    [anon_sym_and] = ACTIONS(13044),
    [anon_sym_or] = ACTIONS(13044),
    [anon_sym_PIPE_PIPE] = ACTIONS(13046),
    [anon_sym_AMP_AMP] = ACTIONS(13046),
    [anon_sym_LT_LT] = ACTIONS(13046),
    [anon_sym_GT_GT] = ACTIONS(13046),
    [anon_sym_EQ_EQ] = ACTIONS(13046),
    [anon_sym_BANG_EQ] = ACTIONS(13044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13044),
    [anon_sym_LT_EQ_GT] = ACTIONS(13044),
    [anon_sym_EQ_TILDE] = ACTIONS(13044),
    [anon_sym_BANG_TILDE] = ACTIONS(13044),
    [anon_sym_LT_EQ] = ACTIONS(13046),
    [anon_sym_GT] = ACTIONS(13046),
    [anon_sym_GT_EQ] = ACTIONS(13044),
    [anon_sym_CARET] = ACTIONS(13046),
    [anon_sym_PLUS] = ACTIONS(13046),
    [anon_sym_SLASH] = ACTIONS(13046),
    [anon_sym_PERCENT] = ACTIONS(13046),
    [sym_comment] = ACTIONS(87),
  },
  [11977] = {
    [sym__heredoc_body_start] = ACTIONS(13374),
    [sym__element_reference_left_bracket] = ACTIONS(13374),
    [sym__infix_scope_colons] = ACTIONS(13374),
    [sym__binary_minus] = ACTIONS(13374),
    [sym__binary_star] = ACTIONS(13374),
    [anon_sym_LBRACE] = ACTIONS(13374),
    [anon_sym_RBRACE] = ACTIONS(13374),
    [anon_sym_RPAREN] = ACTIONS(13374),
    [anon_sym_DOT] = ACTIONS(13376),
    [anon_sym_COMMA] = ACTIONS(13374),
    [anon_sym_PIPE] = ACTIONS(13376),
    [anon_sym_SEMI] = ACTIONS(13374),
    [anon_sym_STAR_STAR] = ACTIONS(13376),
    [anon_sym_AMP] = ACTIONS(13376),
    [anon_sym_EQ] = ACTIONS(13376),
    [anon_sym_LT] = ACTIONS(13376),
    [anon_sym_if] = ACTIONS(13374),
    [anon_sym_unless] = ACTIONS(13374),
    [anon_sym_while] = ACTIONS(13374),
    [anon_sym_until] = ACTIONS(13374),
    [anon_sym_rescue] = ACTIONS(13374),
    [anon_sym_in] = ACTIONS(13374),
    [anon_sym_do] = ACTIONS(13374),
    [anon_sym_RBRACK] = ACTIONS(13374),
    [anon_sym_AMP_DOT] = ACTIONS(13374),
    [anon_sym_PLUS_EQ] = ACTIONS(13374),
    [anon_sym_DASH_EQ] = ACTIONS(13374),
    [anon_sym_STAR_EQ] = ACTIONS(13374),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13374),
    [anon_sym_SLASH_EQ] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13374),
    [anon_sym_PIPE_EQ] = ACTIONS(13374),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13374),
    [anon_sym_AMP_EQ] = ACTIONS(13374),
    [anon_sym_PERCENT_EQ] = ACTIONS(13374),
    [anon_sym_GT_GT_EQ] = ACTIONS(13374),
    [anon_sym_LT_LT_EQ] = ACTIONS(13374),
    [anon_sym_CARET_EQ] = ACTIONS(13374),
    [anon_sym_QMARK] = ACTIONS(13374),
    [anon_sym_COLON] = ACTIONS(13374),
    [anon_sym_DOT_DOT] = ACTIONS(13376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13374),
    [anon_sym_and] = ACTIONS(13374),
    [anon_sym_or] = ACTIONS(13374),
    [anon_sym_PIPE_PIPE] = ACTIONS(13376),
    [anon_sym_AMP_AMP] = ACTIONS(13376),
    [anon_sym_LT_LT] = ACTIONS(13376),
    [anon_sym_GT_GT] = ACTIONS(13376),
    [anon_sym_EQ_EQ] = ACTIONS(13376),
    [anon_sym_BANG_EQ] = ACTIONS(13374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13374),
    [anon_sym_LT_EQ_GT] = ACTIONS(13374),
    [anon_sym_EQ_TILDE] = ACTIONS(13374),
    [anon_sym_BANG_TILDE] = ACTIONS(13374),
    [anon_sym_LT_EQ] = ACTIONS(13376),
    [anon_sym_GT] = ACTIONS(13376),
    [anon_sym_GT_EQ] = ACTIONS(13374),
    [anon_sym_CARET] = ACTIONS(13376),
    [anon_sym_PLUS] = ACTIONS(13376),
    [anon_sym_SLASH] = ACTIONS(13376),
    [anon_sym_PERCENT] = ACTIONS(13376),
    [sym_comment] = ACTIONS(87),
  },
  [11978] = {
    [sym__line_break] = ACTIONS(14447),
    [sym__heredoc_body_start] = ACTIONS(14447),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_SEMI] = ACTIONS(14447),
    [sym_comment] = ACTIONS(87),
  },
  [11979] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(12511),
    [sym__binary_star] = ACTIONS(12513),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(12515),
    [anon_sym_STAR_STAR] = ACTIONS(12517),
    [anon_sym_AMP] = ACTIONS(12519),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(12521),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12523),
    [anon_sym_DOT_DOT] = ACTIONS(12525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12527),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(12529),
    [anon_sym_AMP_AMP] = ACTIONS(12529),
    [anon_sym_LT_LT] = ACTIONS(12531),
    [anon_sym_GT_GT] = ACTIONS(12531),
    [anon_sym_EQ_EQ] = ACTIONS(12529),
    [anon_sym_BANG_EQ] = ACTIONS(12533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12533),
    [anon_sym_LT_EQ_GT] = ACTIONS(12533),
    [anon_sym_EQ_TILDE] = ACTIONS(12533),
    [anon_sym_BANG_TILDE] = ACTIONS(12533),
    [anon_sym_LT_EQ] = ACTIONS(12521),
    [anon_sym_GT] = ACTIONS(12521),
    [anon_sym_GT_EQ] = ACTIONS(12535),
    [anon_sym_CARET] = ACTIONS(12515),
    [anon_sym_PLUS] = ACTIONS(12537),
    [anon_sym_SLASH] = ACTIONS(12517),
    [anon_sym_PERCENT] = ACTIONS(12517),
    [sym_comment] = ACTIONS(87),
  },
  [11980] = {
    [aux_sym_exceptions_repeat1] = STATE(11980),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15140),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11981] = {
    [sym__heredoc_body_start] = ACTIONS(13941),
    [sym__element_reference_left_bracket] = ACTIONS(13941),
    [sym__infix_scope_colons] = ACTIONS(13941),
    [sym__binary_minus] = ACTIONS(13941),
    [sym__binary_star] = ACTIONS(13941),
    [anon_sym_LBRACE] = ACTIONS(13941),
    [anon_sym_RPAREN] = ACTIONS(13941),
    [anon_sym_DOT] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13941),
    [anon_sym_PIPE] = ACTIONS(13943),
    [anon_sym_STAR_STAR] = ACTIONS(13941),
    [anon_sym_AMP] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_LT] = ACTIONS(13943),
    [anon_sym_do] = ACTIONS(13941),
    [anon_sym_AMP_DOT] = ACTIONS(13941),
    [anon_sym_QMARK] = ACTIONS(13941),
    [anon_sym_DOT_DOT] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13941),
    [anon_sym_and] = ACTIONS(13941),
    [anon_sym_or] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE] = ACTIONS(13941),
    [anon_sym_AMP_AMP] = ACTIONS(13941),
    [anon_sym_LT_LT] = ACTIONS(13941),
    [anon_sym_GT_GT] = ACTIONS(13941),
    [anon_sym_EQ_EQ] = ACTIONS(13943),
    [anon_sym_BANG_EQ] = ACTIONS(13941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13941),
    [anon_sym_LT_EQ_GT] = ACTIONS(13941),
    [anon_sym_EQ_TILDE] = ACTIONS(13941),
    [anon_sym_BANG_TILDE] = ACTIONS(13941),
    [anon_sym_LT_EQ] = ACTIONS(13943),
    [anon_sym_GT] = ACTIONS(13943),
    [anon_sym_GT_EQ] = ACTIONS(13941),
    [anon_sym_CARET] = ACTIONS(13941),
    [anon_sym_PLUS] = ACTIONS(13941),
    [anon_sym_SLASH] = ACTIONS(13941),
    [anon_sym_PERCENT] = ACTIONS(13941),
    [sym_comment] = ACTIONS(87),
  },
  [11982] = {
    [sym__heredoc_body_start] = ACTIONS(14447),
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [sym__binary_minus] = ACTIONS(14447),
    [sym__binary_star] = ACTIONS(14447),
    [anon_sym_LBRACE] = ACTIONS(14447),
    [anon_sym_RPAREN] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14449),
    [anon_sym_COMMA] = ACTIONS(14447),
    [anon_sym_PIPE] = ACTIONS(14449),
    [anon_sym_STAR_STAR] = ACTIONS(14447),
    [anon_sym_AMP] = ACTIONS(14449),
    [anon_sym_EQ] = ACTIONS(14449),
    [anon_sym_LT] = ACTIONS(14449),
    [anon_sym_do] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [anon_sym_QMARK] = ACTIONS(14447),
    [anon_sym_DOT_DOT] = ACTIONS(14449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14447),
    [anon_sym_and] = ACTIONS(14447),
    [anon_sym_or] = ACTIONS(14447),
    [anon_sym_PIPE_PIPE] = ACTIONS(14447),
    [anon_sym_AMP_AMP] = ACTIONS(14447),
    [anon_sym_LT_LT] = ACTIONS(14447),
    [anon_sym_GT_GT] = ACTIONS(14447),
    [anon_sym_EQ_EQ] = ACTIONS(14449),
    [anon_sym_BANG_EQ] = ACTIONS(14447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14447),
    [anon_sym_LT_EQ_GT] = ACTIONS(14447),
    [anon_sym_EQ_TILDE] = ACTIONS(14447),
    [anon_sym_BANG_TILDE] = ACTIONS(14447),
    [anon_sym_LT_EQ] = ACTIONS(14449),
    [anon_sym_GT] = ACTIONS(14449),
    [anon_sym_GT_EQ] = ACTIONS(14447),
    [anon_sym_CARET] = ACTIONS(14447),
    [anon_sym_PLUS] = ACTIONS(14447),
    [anon_sym_SLASH] = ACTIONS(14447),
    [anon_sym_PERCENT] = ACTIONS(14447),
    [sym_comment] = ACTIONS(87),
  },
  [11983] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(12685),
    [sym__binary_star] = ACTIONS(12687),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(12689),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(12691),
    [anon_sym_AMP] = ACTIONS(12693),
    [anon_sym_LT] = ACTIONS(12695),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_elsif] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12697),
    [anon_sym_DOT_DOT] = ACTIONS(12699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12701),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(12703),
    [anon_sym_AMP_AMP] = ACTIONS(12703),
    [anon_sym_LT_LT] = ACTIONS(12705),
    [anon_sym_GT_GT] = ACTIONS(12705),
    [anon_sym_EQ_EQ] = ACTIONS(12707),
    [anon_sym_BANG_EQ] = ACTIONS(12703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12703),
    [anon_sym_LT_EQ_GT] = ACTIONS(12703),
    [anon_sym_EQ_TILDE] = ACTIONS(12703),
    [anon_sym_BANG_TILDE] = ACTIONS(12703),
    [anon_sym_LT_EQ] = ACTIONS(12695),
    [anon_sym_GT] = ACTIONS(12695),
    [anon_sym_GT_EQ] = ACTIONS(12709),
    [anon_sym_CARET] = ACTIONS(12711),
    [anon_sym_PLUS] = ACTIONS(12713),
    [anon_sym_SLASH] = ACTIONS(12691),
    [anon_sym_PERCENT] = ACTIONS(12691),
    [sym_comment] = ACTIONS(87),
  },
  [11984] = {
    [aux_sym_exceptions_repeat1] = STATE(11984),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15143),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_elsif] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11985] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(12746),
    [sym__binary_star] = ACTIONS(12748),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(12750),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(12752),
    [anon_sym_AMP] = ACTIONS(12754),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(12756),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_elsif] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12758),
    [anon_sym_DOT_DOT] = ACTIONS(12760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12762),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(12764),
    [anon_sym_AMP_AMP] = ACTIONS(12764),
    [anon_sym_LT_LT] = ACTIONS(12766),
    [anon_sym_GT_GT] = ACTIONS(12766),
    [anon_sym_EQ_EQ] = ACTIONS(12764),
    [anon_sym_BANG_EQ] = ACTIONS(12768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12768),
    [anon_sym_LT_EQ_GT] = ACTIONS(12768),
    [anon_sym_EQ_TILDE] = ACTIONS(12768),
    [anon_sym_BANG_TILDE] = ACTIONS(12768),
    [anon_sym_LT_EQ] = ACTIONS(12756),
    [anon_sym_GT] = ACTIONS(12756),
    [anon_sym_GT_EQ] = ACTIONS(12770),
    [anon_sym_CARET] = ACTIONS(12750),
    [anon_sym_PLUS] = ACTIONS(12772),
    [anon_sym_SLASH] = ACTIONS(12752),
    [anon_sym_PERCENT] = ACTIONS(12752),
    [sym_comment] = ACTIONS(87),
  },
  [11986] = {
    [aux_sym_exceptions_repeat1] = STATE(11986),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15146),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_elsif] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11987] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(12782),
    [sym__binary_star] = ACTIONS(12784),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(12786),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(12788),
    [anon_sym_AMP] = ACTIONS(12790),
    [anon_sym_LT] = ACTIONS(12792),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_elsif] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12794),
    [anon_sym_DOT_DOT] = ACTIONS(12796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12798),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(12800),
    [anon_sym_AMP_AMP] = ACTIONS(12800),
    [anon_sym_LT_LT] = ACTIONS(12802),
    [anon_sym_GT_GT] = ACTIONS(12802),
    [anon_sym_EQ_EQ] = ACTIONS(12804),
    [anon_sym_BANG_EQ] = ACTIONS(12800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12800),
    [anon_sym_LT_EQ_GT] = ACTIONS(12800),
    [anon_sym_EQ_TILDE] = ACTIONS(12800),
    [anon_sym_BANG_TILDE] = ACTIONS(12800),
    [anon_sym_LT_EQ] = ACTIONS(12792),
    [anon_sym_GT] = ACTIONS(12792),
    [anon_sym_GT_EQ] = ACTIONS(12806),
    [anon_sym_CARET] = ACTIONS(12808),
    [anon_sym_PLUS] = ACTIONS(12810),
    [anon_sym_SLASH] = ACTIONS(12788),
    [anon_sym_PERCENT] = ACTIONS(12788),
    [sym_comment] = ACTIONS(87),
  },
  [11988] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(12831),
    [sym__binary_star] = ACTIONS(12833),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(12835),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(12837),
    [anon_sym_AMP] = ACTIONS(12839),
    [anon_sym_LT] = ACTIONS(12841),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12843),
    [anon_sym_DOT_DOT] = ACTIONS(12845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12847),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(12849),
    [anon_sym_AMP_AMP] = ACTIONS(12849),
    [anon_sym_LT_LT] = ACTIONS(12851),
    [anon_sym_GT_GT] = ACTIONS(12851),
    [anon_sym_EQ_EQ] = ACTIONS(12853),
    [anon_sym_BANG_EQ] = ACTIONS(12849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12849),
    [anon_sym_LT_EQ_GT] = ACTIONS(12849),
    [anon_sym_EQ_TILDE] = ACTIONS(12849),
    [anon_sym_BANG_TILDE] = ACTIONS(12849),
    [anon_sym_LT_EQ] = ACTIONS(12841),
    [anon_sym_GT] = ACTIONS(12841),
    [anon_sym_GT_EQ] = ACTIONS(12855),
    [anon_sym_CARET] = ACTIONS(12857),
    [anon_sym_PLUS] = ACTIONS(12859),
    [anon_sym_SLASH] = ACTIONS(12837),
    [anon_sym_PERCENT] = ACTIONS(12837),
    [sym_comment] = ACTIONS(87),
  },
  [11989] = {
    [aux_sym_exceptions_repeat1] = STATE(11989),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15149),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11990] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(12890),
    [sym__binary_star] = ACTIONS(12892),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(12894),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(12896),
    [anon_sym_AMP] = ACTIONS(12898),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(12900),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12902),
    [anon_sym_DOT_DOT] = ACTIONS(12904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12906),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(12908),
    [anon_sym_AMP_AMP] = ACTIONS(12908),
    [anon_sym_LT_LT] = ACTIONS(12910),
    [anon_sym_GT_GT] = ACTIONS(12910),
    [anon_sym_EQ_EQ] = ACTIONS(12908),
    [anon_sym_BANG_EQ] = ACTIONS(12912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12912),
    [anon_sym_LT_EQ_GT] = ACTIONS(12912),
    [anon_sym_EQ_TILDE] = ACTIONS(12912),
    [anon_sym_BANG_TILDE] = ACTIONS(12912),
    [anon_sym_LT_EQ] = ACTIONS(12900),
    [anon_sym_GT] = ACTIONS(12900),
    [anon_sym_GT_EQ] = ACTIONS(12914),
    [anon_sym_CARET] = ACTIONS(12894),
    [anon_sym_PLUS] = ACTIONS(12916),
    [anon_sym_SLASH] = ACTIONS(12896),
    [anon_sym_PERCENT] = ACTIONS(12896),
    [sym_comment] = ACTIONS(87),
  },
  [11991] = {
    [aux_sym_exceptions_repeat1] = STATE(11991),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15152),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11992] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(12926),
    [sym__binary_star] = ACTIONS(12928),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(12930),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(12932),
    [anon_sym_AMP] = ACTIONS(12934),
    [anon_sym_LT] = ACTIONS(12936),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12938),
    [anon_sym_DOT_DOT] = ACTIONS(12940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12942),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(12944),
    [anon_sym_AMP_AMP] = ACTIONS(12944),
    [anon_sym_LT_LT] = ACTIONS(12946),
    [anon_sym_GT_GT] = ACTIONS(12946),
    [anon_sym_EQ_EQ] = ACTIONS(12948),
    [anon_sym_BANG_EQ] = ACTIONS(12944),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(12944),
    [anon_sym_LT_EQ_GT] = ACTIONS(12944),
    [anon_sym_EQ_TILDE] = ACTIONS(12944),
    [anon_sym_BANG_TILDE] = ACTIONS(12944),
    [anon_sym_LT_EQ] = ACTIONS(12936),
    [anon_sym_GT] = ACTIONS(12936),
    [anon_sym_GT_EQ] = ACTIONS(12950),
    [anon_sym_CARET] = ACTIONS(12952),
    [anon_sym_PLUS] = ACTIONS(12954),
    [anon_sym_SLASH] = ACTIONS(12932),
    [anon_sym_PERCENT] = ACTIONS(12932),
    [sym_comment] = ACTIONS(87),
  },
  [11993] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(12987),
    [sym__binary_star] = ACTIONS(12989),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(12991),
    [anon_sym_STAR_STAR] = ACTIONS(12993),
    [anon_sym_AMP] = ACTIONS(12995),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(12997),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12999),
    [anon_sym_DOT_DOT] = ACTIONS(13001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13003),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(13005),
    [anon_sym_AMP_AMP] = ACTIONS(13005),
    [anon_sym_LT_LT] = ACTIONS(13007),
    [anon_sym_GT_GT] = ACTIONS(13007),
    [anon_sym_EQ_EQ] = ACTIONS(13005),
    [anon_sym_BANG_EQ] = ACTIONS(13009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13009),
    [anon_sym_LT_EQ_GT] = ACTIONS(13009),
    [anon_sym_EQ_TILDE] = ACTIONS(13009),
    [anon_sym_BANG_TILDE] = ACTIONS(13009),
    [anon_sym_LT_EQ] = ACTIONS(12997),
    [anon_sym_GT] = ACTIONS(12997),
    [anon_sym_GT_EQ] = ACTIONS(13011),
    [anon_sym_CARET] = ACTIONS(12991),
    [anon_sym_PLUS] = ACTIONS(13013),
    [anon_sym_SLASH] = ACTIONS(12993),
    [anon_sym_PERCENT] = ACTIONS(12993),
    [sym_comment] = ACTIONS(87),
  },
  [11994] = {
    [aux_sym_exceptions_repeat1] = STATE(11994),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15155),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_in] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [11995] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(13053),
    [sym__binary_star] = ACTIONS(13055),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(13057),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(13059),
    [anon_sym_AMP] = ACTIONS(13061),
    [anon_sym_LT] = ACTIONS(13063),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(13065),
    [anon_sym_DOT_DOT] = ACTIONS(13067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13069),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(13071),
    [anon_sym_AMP_AMP] = ACTIONS(13071),
    [anon_sym_LT_LT] = ACTIONS(13073),
    [anon_sym_GT_GT] = ACTIONS(13073),
    [anon_sym_EQ_EQ] = ACTIONS(13075),
    [anon_sym_BANG_EQ] = ACTIONS(13071),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13071),
    [anon_sym_LT_EQ_GT] = ACTIONS(13071),
    [anon_sym_EQ_TILDE] = ACTIONS(13071),
    [anon_sym_BANG_TILDE] = ACTIONS(13071),
    [anon_sym_LT_EQ] = ACTIONS(13063),
    [anon_sym_GT] = ACTIONS(13063),
    [anon_sym_GT_EQ] = ACTIONS(13077),
    [anon_sym_CARET] = ACTIONS(13079),
    [anon_sym_PLUS] = ACTIONS(13081),
    [anon_sym_SLASH] = ACTIONS(13059),
    [anon_sym_PERCENT] = ACTIONS(13059),
    [sym_comment] = ACTIONS(87),
  },
  [11996] = {
    [aux_sym_exceptions_repeat1] = STATE(11996),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15158),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [11997] = {
    [sym_heredoc_body] = STATE(12129),
    [aux_sym_call_repeat1] = STATE(12129),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_when] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11998] = {
    [sym_heredoc_body] = STATE(12130),
    [aux_sym_call_repeat1] = STATE(12130),
    [aux_sym_argument_list_repeat1] = STATE(11751),
    [sym__line_break] = ACTIONS(4306),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(4306),
    [sym__infix_scope_colons] = ACTIONS(4306),
    [sym__binary_minus] = ACTIONS(4306),
    [sym__binary_star] = ACTIONS(4306),
    [anon_sym_DOT] = ACTIONS(4308),
    [anon_sym_COMMA] = ACTIONS(14065),
    [anon_sym_PIPE] = ACTIONS(4308),
    [anon_sym_SEMI] = ACTIONS(4306),
    [anon_sym_STAR_STAR] = ACTIONS(4306),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT] = ACTIONS(4308),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_unless] = ACTIONS(4306),
    [anon_sym_while] = ACTIONS(4306),
    [anon_sym_until] = ACTIONS(4306),
    [anon_sym_rescue] = ACTIONS(4306),
    [anon_sym_when] = ACTIONS(4306),
    [anon_sym_else] = ACTIONS(4306),
    [anon_sym_AMP_DOT] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_DOT_DOT] = ACTIONS(4308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_and] = ACTIONS(4306),
    [anon_sym_or] = ACTIONS(4306),
    [anon_sym_PIPE_PIPE] = ACTIONS(4306),
    [anon_sym_AMP_AMP] = ACTIONS(4306),
    [anon_sym_LT_LT] = ACTIONS(4306),
    [anon_sym_GT_GT] = ACTIONS(4306),
    [anon_sym_EQ_EQ] = ACTIONS(4308),
    [anon_sym_BANG_EQ] = ACTIONS(4306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4306),
    [anon_sym_LT_EQ_GT] = ACTIONS(4306),
    [anon_sym_EQ_TILDE] = ACTIONS(4306),
    [anon_sym_BANG_TILDE] = ACTIONS(4306),
    [anon_sym_LT_EQ] = ACTIONS(4308),
    [anon_sym_GT] = ACTIONS(4308),
    [anon_sym_GT_EQ] = ACTIONS(4306),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_PLUS] = ACTIONS(4306),
    [anon_sym_SLASH] = ACTIONS(4306),
    [anon_sym_PERCENT] = ACTIONS(4306),
    [sym_comment] = ACTIONS(87),
  },
  [11999] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_when] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12000] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_when] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [12001] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12002] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [12003] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12004] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12005] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(15161),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [12006] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_when] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12007] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(14703),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12008] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12009] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12010] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12011] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_when] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(14703),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12012] = {
    [aux_sym_exceptions_repeat1] = STATE(12133),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_when] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [12013] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_when] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(14703),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12014] = {
    [sym_string] = STATE(12014),
    [aux_sym_chained_string_repeat1] = STATE(12014),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(6192),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_when] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [12015] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_when] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [12016] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_when] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [12017] = {
    [sym_heredoc_body] = STATE(12017),
    [aux_sym_call_repeat1] = STATE(12017),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_when] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [12018] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11238),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym__argument] = STATE(5316),
    [sym_splat_argument] = STATE(5316),
    [sym_hash_splat_argument] = STATE(5316),
    [sym_block_argument] = STATE(5316),
    [sym_assignment] = STATE(11238),
    [sym_operator_assignment] = STATE(11238),
    [sym_conditional] = STATE(11238),
    [sym_range] = STATE(11238),
    [sym_binary] = STATE(11238),
    [sym_unary] = STATE(11238),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11241),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_pair] = STATE(5316),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(365),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__block_ampersand] = ACTIONS(14017),
    [sym__splat_star] = ACTIONS(14019),
    [sym__unary_minus] = ACTIONS(13097),
    [sym__identifier_hash_key] = ACTIONS(14021),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(15064),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(14023),
    [sym_identifier] = ACTIONS(14023),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [12019] = {
    [sym_heredoc_body] = STATE(12017),
    [aux_sym_call_repeat1] = STATE(12017),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_when] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [12020] = {
    [aux_sym_argument_list_repeat1] = STATE(12020),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(15163),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_when] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [12021] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_when] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [12022] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(12134),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_assignment] = STATE(12134),
    [sym_operator_assignment] = STATE(12134),
    [sym_conditional] = STATE(12134),
    [sym_range] = STATE(12134),
    [sym_binary] = STATE(12134),
    [sym_unary] = STATE(12134),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [12023] = {
    [sym__line_break] = ACTIONS(6681),
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(6681),
    [anon_sym_if] = ACTIONS(6681),
    [anon_sym_unless] = ACTIONS(6681),
    [anon_sym_while] = ACTIONS(6681),
    [anon_sym_until] = ACTIONS(6681),
    [anon_sym_rescue] = ACTIONS(6681),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_when] = ACTIONS(6681),
    [anon_sym_else] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [12024] = {
    [sym__line_break] = ACTIONS(6897),
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_if] = ACTIONS(6897),
    [anon_sym_unless] = ACTIONS(6897),
    [anon_sym_while] = ACTIONS(6897),
    [anon_sym_until] = ACTIONS(6897),
    [anon_sym_rescue] = ACTIONS(6897),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_when] = ACTIONS(6897),
    [anon_sym_else] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [12025] = {
    [sym_heredoc_body] = STATE(12025),
    [aux_sym_call_repeat1] = STATE(12025),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(10806),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_when] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [12026] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11262),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym__argument] = STATE(7949),
    [sym_splat_argument] = STATE(7949),
    [sym_hash_splat_argument] = STATE(7949),
    [sym_block_argument] = STATE(7949),
    [sym_assignment] = STATE(11262),
    [sym_operator_assignment] = STATE(11262),
    [sym_conditional] = STATE(11262),
    [sym_range] = STATE(11262),
    [sym_binary] = STATE(11262),
    [sym_unary] = STATE(11262),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11265),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_pair] = STATE(7949),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(751),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__block_ampersand] = ACTIONS(14057),
    [sym__splat_star] = ACTIONS(14059),
    [sym__unary_minus] = ACTIONS(13173),
    [sym__identifier_hash_key] = ACTIONS(14061),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(15068),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(14063),
    [sym_identifier] = ACTIONS(14063),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [12027] = {
    [sym_heredoc_body] = STATE(12025),
    [aux_sym_call_repeat1] = STATE(12025),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(4296),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_when] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [12028] = {
    [aux_sym_argument_list_repeat1] = STATE(12028),
    [sym__line_break] = ACTIONS(7811),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(15166),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_end] = ACTIONS(7811),
    [anon_sym_if] = ACTIONS(7811),
    [anon_sym_unless] = ACTIONS(7811),
    [anon_sym_while] = ACTIONS(7811),
    [anon_sym_until] = ACTIONS(7811),
    [anon_sym_rescue] = ACTIONS(7811),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_when] = ACTIONS(7811),
    [anon_sym_else] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [12029] = {
    [sym__line_break] = ACTIONS(7025),
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(7025),
    [anon_sym_if] = ACTIONS(7025),
    [anon_sym_unless] = ACTIONS(7025),
    [anon_sym_while] = ACTIONS(7025),
    [anon_sym_until] = ACTIONS(7025),
    [anon_sym_rescue] = ACTIONS(7025),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_when] = ACTIONS(7025),
    [anon_sym_else] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [12030] = {
    [sym_method] = STATE(222),
    [sym_singleton_method] = STATE(222),
    [sym_class] = STATE(222),
    [sym_singleton_class] = STATE(222),
    [sym_module] = STATE(222),
    [sym_return] = STATE(222),
    [sym_yield] = STATE(222),
    [sym_break] = STATE(222),
    [sym_next] = STATE(222),
    [sym_while] = STATE(222),
    [sym_until] = STATE(222),
    [sym_for] = STATE(222),
    [sym_case] = STATE(222),
    [sym_if] = STATE(222),
    [sym_unless] = STATE(222),
    [sym_begin] = STATE(222),
    [sym__arg] = STATE(11752),
    [sym__primary] = STATE(222),
    [sym_parenthesized_statements] = STATE(222),
    [sym_element_reference] = STATE(10274),
    [sym_scope_resolution] = STATE(10270),
    [sym_call] = STATE(10270),
    [sym_method_call] = STATE(10274),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(11752),
    [sym_operator_assignment] = STATE(11752),
    [sym_conditional] = STATE(11752),
    [sym_range] = STATE(11752),
    [sym_binary] = STATE(11752),
    [sym_unary] = STATE(11752),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(10273),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10274),
    [sym__variable] = STATE(10270),
    [sym_rational] = STATE(222),
    [sym_true] = STATE(10274),
    [sym_false] = STATE(10274),
    [sym_nil] = STATE(10274),
    [sym_chained_string] = STATE(222),
    [sym_string] = STATE(11230),
    [sym_subshell] = STATE(222),
    [sym_string_array] = STATE(222),
    [sym_symbol_array] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_regex] = STATE(222),
    [sym_array] = STATE(222),
    [sym_hash] = STATE(222),
    [sym_lambda] = STATE(222),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(367),
    [sym__splat_star] = ACTIONS(14019),
    [sym__unary_minus] = ACTIONS(13097),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13101),
    [anon_sym_yield] = ACTIONS(13103),
    [anon_sym_break] = ACTIONS(13105),
    [anon_sym_next] = ACTIONS(13107),
    [sym_redo] = ACTIONS(391),
    [sym_retry] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14013),
    [anon_sym_defined_QMARK] = ACTIONS(13109),
    [anon_sym_not] = ACTIONS(13111),
    [anon_sym_BANG] = ACTIONS(13115),
    [anon_sym_TILDE] = ACTIONS(13115),
    [sym_constant] = ACTIONS(13121),
    [sym_identifier] = ACTIONS(13121),
    [sym_instance_variable] = ACTIONS(13119),
    [sym_class_variable] = ACTIONS(13119),
    [sym_global_variable] = ACTIONS(13119),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(391),
    [sym_complex] = ACTIONS(367),
    [sym_super] = ACTIONS(13121),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13121),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [12031] = {
    [aux_sym_exceptions_repeat1] = STATE(12135),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15169),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_when] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [12032] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(13137),
    [sym__binary_star] = ACTIONS(13139),
    [anon_sym_PIPE] = ACTIONS(13141),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(13143),
    [anon_sym_AMP] = ACTIONS(13145),
    [anon_sym_LT] = ACTIONS(13147),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_when] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(13149),
    [anon_sym_DOT_DOT] = ACTIONS(13151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13153),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(13157),
    [anon_sym_AMP_AMP] = ACTIONS(13157),
    [anon_sym_LT_LT] = ACTIONS(13159),
    [anon_sym_GT_GT] = ACTIONS(13159),
    [anon_sym_EQ_EQ] = ACTIONS(13161),
    [anon_sym_BANG_EQ] = ACTIONS(13157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13157),
    [anon_sym_LT_EQ_GT] = ACTIONS(13157),
    [anon_sym_EQ_TILDE] = ACTIONS(13157),
    [anon_sym_BANG_TILDE] = ACTIONS(13157),
    [anon_sym_LT_EQ] = ACTIONS(13147),
    [anon_sym_GT] = ACTIONS(13147),
    [anon_sym_GT_EQ] = ACTIONS(13163),
    [anon_sym_CARET] = ACTIONS(13165),
    [anon_sym_PLUS] = ACTIONS(13167),
    [anon_sym_SLASH] = ACTIONS(13143),
    [anon_sym_PERCENT] = ACTIONS(13143),
    [sym_comment] = ACTIONS(87),
  },
  [12033] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_when] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12034] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_when] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [12035] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12036] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [12037] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12038] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12039] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(15171),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [12040] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_when] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12041] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(14758),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12042] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12043] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12044] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12045] = {
    [sym__line_break] = ACTIONS(5050),
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(5050),
    [anon_sym_if] = ACTIONS(5050),
    [anon_sym_unless] = ACTIONS(5050),
    [anon_sym_while] = ACTIONS(5050),
    [anon_sym_until] = ACTIONS(5050),
    [anon_sym_rescue] = ACTIONS(5050),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_when] = ACTIONS(5050),
    [anon_sym_else] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(14758),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12046] = {
    [aux_sym_exceptions_repeat1] = STATE(12138),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_when] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [12047] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_when] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(14758),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12048] = {
    [sym_string] = STATE(12048),
    [aux_sym_chained_string_repeat1] = STATE(12048),
    [sym__line_break] = ACTIONS(6190),
    [sym__string_start] = ACTIONS(12152),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_unless] = ACTIONS(6190),
    [anon_sym_while] = ACTIONS(6190),
    [anon_sym_until] = ACTIONS(6190),
    [anon_sym_rescue] = ACTIONS(6190),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_when] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [12049] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(12139),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_assignment] = STATE(12139),
    [sym_operator_assignment] = STATE(12139),
    [sym_conditional] = STATE(12139),
    [sym_range] = STATE(12139),
    [sym_binary] = STATE(12139),
    [sym_unary] = STATE(12139),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [12050] = {
    [sym_method] = STATE(442),
    [sym_singleton_method] = STATE(442),
    [sym_class] = STATE(442),
    [sym_singleton_class] = STATE(442),
    [sym_module] = STATE(442),
    [sym_return] = STATE(442),
    [sym_yield] = STATE(442),
    [sym_break] = STATE(442),
    [sym_next] = STATE(442),
    [sym_while] = STATE(442),
    [sym_until] = STATE(442),
    [sym_for] = STATE(442),
    [sym_case] = STATE(442),
    [sym_if] = STATE(442),
    [sym_unless] = STATE(442),
    [sym_begin] = STATE(442),
    [sym__arg] = STATE(11796),
    [sym__primary] = STATE(442),
    [sym_parenthesized_statements] = STATE(442),
    [sym_element_reference] = STATE(10317),
    [sym_scope_resolution] = STATE(10313),
    [sym_call] = STATE(10313),
    [sym_method_call] = STATE(10317),
    [sym_splat_argument] = STATE(9368),
    [sym_assignment] = STATE(11796),
    [sym_operator_assignment] = STATE(11796),
    [sym_conditional] = STATE(11796),
    [sym_range] = STATE(11796),
    [sym_binary] = STATE(11796),
    [sym_unary] = STATE(11796),
    [sym__arg_or_splat_arg] = STATE(9368),
    [sym_left_assignment_list] = STATE(10316),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10317),
    [sym__variable] = STATE(10313),
    [sym_rational] = STATE(442),
    [sym_true] = STATE(10317),
    [sym_false] = STATE(10317),
    [sym_nil] = STATE(10317),
    [sym_chained_string] = STATE(442),
    [sym_string] = STATE(11308),
    [sym_subshell] = STATE(442),
    [sym_string_array] = STATE(442),
    [sym_symbol_array] = STATE(442),
    [sym_symbol] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_array] = STATE(442),
    [sym_hash] = STATE(442),
    [sym_lambda] = STATE(442),
    [sym__simple_symbol] = ACTIONS(749),
    [sym__string_start] = ACTIONS(2657),
    [sym__symbol_start] = ACTIONS(753),
    [sym__subshell_start] = ACTIONS(755),
    [sym__regex_start] = ACTIONS(757),
    [sym__string_array_start] = ACTIONS(759),
    [sym__symbol_array_start] = ACTIONS(761),
    [sym_heredoc_beginning] = ACTIONS(763),
    [sym__splat_star] = ACTIONS(14059),
    [sym__unary_minus] = ACTIONS(13173),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(13177),
    [anon_sym_yield] = ACTIONS(13179),
    [anon_sym_break] = ACTIONS(13181),
    [anon_sym_next] = ACTIONS(13183),
    [sym_redo] = ACTIONS(795),
    [sym_retry] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_unless] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_until] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_begin] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(14101),
    [anon_sym_defined_QMARK] = ACTIONS(13185),
    [anon_sym_not] = ACTIONS(13187),
    [anon_sym_BANG] = ACTIONS(13191),
    [anon_sym_TILDE] = ACTIONS(13191),
    [sym_constant] = ACTIONS(13197),
    [sym_identifier] = ACTIONS(13197),
    [sym_instance_variable] = ACTIONS(13195),
    [sym_class_variable] = ACTIONS(13195),
    [sym_global_variable] = ACTIONS(13195),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(817),
    [sym_float] = ACTIONS(795),
    [sym_complex] = ACTIONS(763),
    [sym_super] = ACTIONS(13197),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_TRUE] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(409),
    [anon_sym_FALSE] = ACTIONS(409),
    [sym_self] = ACTIONS(13197),
    [anon_sym_nil] = ACTIONS(411),
    [anon_sym_NIL] = ACTIONS(411),
    [sym_character] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(823),
  },
  [12051] = {
    [aux_sym_exceptions_repeat1] = STATE(12140),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15173),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_when] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [12052] = {
    [sym__line_break] = ACTIONS(5790),
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_end] = ACTIONS(5790),
    [anon_sym_if] = ACTIONS(5790),
    [anon_sym_unless] = ACTIONS(5790),
    [anon_sym_while] = ACTIONS(5790),
    [anon_sym_until] = ACTIONS(5790),
    [anon_sym_rescue] = ACTIONS(5790),
    [anon_sym_when] = ACTIONS(5790),
    [anon_sym_else] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [12053] = {
    [sym__line_break] = ACTIONS(5794),
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_if] = ACTIONS(5794),
    [anon_sym_unless] = ACTIONS(5794),
    [anon_sym_while] = ACTIONS(5794),
    [anon_sym_until] = ACTIONS(5794),
    [anon_sym_rescue] = ACTIONS(5794),
    [anon_sym_when] = ACTIONS(5794),
    [anon_sym_else] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [12054] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(14790),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14802),
    [anon_sym_GT_GT] = ACTIONS(14802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [12055] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [12056] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14802),
    [anon_sym_GT_GT] = ACTIONS(14802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [12057] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14786),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(14790),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14802),
    [anon_sym_GT_GT] = ACTIONS(14802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(14808),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [12058] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(15175),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [12059] = {
    [sym__line_break] = ACTIONS(5902),
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(14786),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(14790),
    [anon_sym_LT] = ACTIONS(14792),
    [anon_sym_end] = ACTIONS(5902),
    [anon_sym_if] = ACTIONS(5902),
    [anon_sym_unless] = ACTIONS(5902),
    [anon_sym_while] = ACTIONS(5902),
    [anon_sym_until] = ACTIONS(5902),
    [anon_sym_rescue] = ACTIONS(5902),
    [anon_sym_when] = ACTIONS(5902),
    [anon_sym_else] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(14796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14798),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(14800),
    [anon_sym_AMP_AMP] = ACTIONS(14800),
    [anon_sym_LT_LT] = ACTIONS(14802),
    [anon_sym_GT_GT] = ACTIONS(14802),
    [anon_sym_EQ_EQ] = ACTIONS(14804),
    [anon_sym_BANG_EQ] = ACTIONS(14800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14800),
    [anon_sym_LT_EQ_GT] = ACTIONS(14800),
    [anon_sym_EQ_TILDE] = ACTIONS(14800),
    [anon_sym_BANG_TILDE] = ACTIONS(14800),
    [anon_sym_LT_EQ] = ACTIONS(14792),
    [anon_sym_GT] = ACTIONS(14792),
    [anon_sym_GT_EQ] = ACTIONS(14806),
    [anon_sym_CARET] = ACTIONS(14808),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [12060] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14786),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(14790),
    [anon_sym_LT] = ACTIONS(14792),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_DOT_DOT] = ACTIONS(14796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(14800),
    [anon_sym_AMP_AMP] = ACTIONS(14800),
    [anon_sym_LT_LT] = ACTIONS(14802),
    [anon_sym_GT_GT] = ACTIONS(14802),
    [anon_sym_EQ_EQ] = ACTIONS(14804),
    [anon_sym_BANG_EQ] = ACTIONS(14800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14800),
    [anon_sym_LT_EQ_GT] = ACTIONS(14800),
    [anon_sym_EQ_TILDE] = ACTIONS(14800),
    [anon_sym_BANG_TILDE] = ACTIONS(14800),
    [anon_sym_LT_EQ] = ACTIONS(14792),
    [anon_sym_GT] = ACTIONS(14792),
    [anon_sym_GT_EQ] = ACTIONS(14806),
    [anon_sym_CARET] = ACTIONS(14808),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [12061] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14786),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(14790),
    [anon_sym_LT] = ACTIONS(14792),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14802),
    [anon_sym_GT_GT] = ACTIONS(14802),
    [anon_sym_EQ_EQ] = ACTIONS(14804),
    [anon_sym_BANG_EQ] = ACTIONS(14800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14800),
    [anon_sym_LT_EQ_GT] = ACTIONS(14800),
    [anon_sym_EQ_TILDE] = ACTIONS(14800),
    [anon_sym_BANG_TILDE] = ACTIONS(14800),
    [anon_sym_LT_EQ] = ACTIONS(14792),
    [anon_sym_GT] = ACTIONS(14792),
    [anon_sym_GT_EQ] = ACTIONS(14806),
    [anon_sym_CARET] = ACTIONS(14808),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [12062] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [12063] = {
    [sym__line_break] = ACTIONS(5798),
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_end] = ACTIONS(5798),
    [anon_sym_if] = ACTIONS(5798),
    [anon_sym_unless] = ACTIONS(5798),
    [anon_sym_while] = ACTIONS(5798),
    [anon_sym_until] = ACTIONS(5798),
    [anon_sym_rescue] = ACTIONS(5798),
    [anon_sym_when] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [12064] = {
    [aux_sym_exceptions_repeat1] = STATE(12064),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(15177),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_when] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [12065] = {
    [aux_sym_exceptions_repeat1] = STATE(11818),
    [sym__line_break] = ACTIONS(6174),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_end] = ACTIONS(6174),
    [anon_sym_if] = ACTIONS(6174),
    [anon_sym_unless] = ACTIONS(6174),
    [anon_sym_while] = ACTIONS(6174),
    [anon_sym_until] = ACTIONS(6174),
    [anon_sym_rescue] = ACTIONS(6174),
    [anon_sym_when] = ACTIONS(6174),
    [anon_sym_else] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [12066] = {
    [sym__line_break] = ACTIONS(6188),
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(14786),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(14790),
    [anon_sym_LT] = ACTIONS(14792),
    [anon_sym_end] = ACTIONS(6188),
    [anon_sym_if] = ACTIONS(6188),
    [anon_sym_unless] = ACTIONS(6188),
    [anon_sym_while] = ACTIONS(6188),
    [anon_sym_until] = ACTIONS(6188),
    [anon_sym_rescue] = ACTIONS(6188),
    [anon_sym_when] = ACTIONS(6188),
    [anon_sym_else] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_DOT_DOT] = ACTIONS(14796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14798),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(14800),
    [anon_sym_AMP_AMP] = ACTIONS(14800),
    [anon_sym_LT_LT] = ACTIONS(14802),
    [anon_sym_GT_GT] = ACTIONS(14802),
    [anon_sym_EQ_EQ] = ACTIONS(14804),
    [anon_sym_BANG_EQ] = ACTIONS(14800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14800),
    [anon_sym_LT_EQ_GT] = ACTIONS(14800),
    [anon_sym_EQ_TILDE] = ACTIONS(14800),
    [anon_sym_BANG_TILDE] = ACTIONS(14800),
    [anon_sym_LT_EQ] = ACTIONS(14792),
    [anon_sym_GT] = ACTIONS(14792),
    [anon_sym_GT_EQ] = ACTIONS(14806),
    [anon_sym_CARET] = ACTIONS(14808),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [12067] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(13212),
    [sym__binary_star] = ACTIONS(13214),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(13216),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(13218),
    [anon_sym_AMP] = ACTIONS(13220),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(13222),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(13224),
    [anon_sym_DOT_DOT] = ACTIONS(13226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13228),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(13230),
    [anon_sym_AMP_AMP] = ACTIONS(13230),
    [anon_sym_LT_LT] = ACTIONS(13232),
    [anon_sym_GT_GT] = ACTIONS(13232),
    [anon_sym_EQ_EQ] = ACTIONS(13230),
    [anon_sym_BANG_EQ] = ACTIONS(13234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13234),
    [anon_sym_LT_EQ_GT] = ACTIONS(13234),
    [anon_sym_EQ_TILDE] = ACTIONS(13234),
    [anon_sym_BANG_TILDE] = ACTIONS(13234),
    [anon_sym_LT_EQ] = ACTIONS(13222),
    [anon_sym_GT] = ACTIONS(13222),
    [anon_sym_GT_EQ] = ACTIONS(13236),
    [anon_sym_CARET] = ACTIONS(13216),
    [anon_sym_PLUS] = ACTIONS(13238),
    [anon_sym_SLASH] = ACTIONS(13218),
    [anon_sym_PERCENT] = ACTIONS(13218),
    [sym_comment] = ACTIONS(87),
  },
  [12068] = {
    [aux_sym_exceptions_repeat1] = STATE(12068),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15180),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [12069] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(13277),
    [sym__binary_star] = ACTIONS(13279),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(13281),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(13283),
    [anon_sym_AMP] = ACTIONS(13285),
    [anon_sym_LT] = ACTIONS(13287),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_then] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(13289),
    [anon_sym_DOT_DOT] = ACTIONS(13291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13293),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(13297),
    [anon_sym_AMP_AMP] = ACTIONS(13297),
    [anon_sym_LT_LT] = ACTIONS(13299),
    [anon_sym_GT_GT] = ACTIONS(13299),
    [anon_sym_EQ_EQ] = ACTIONS(13301),
    [anon_sym_BANG_EQ] = ACTIONS(13297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13297),
    [anon_sym_LT_EQ_GT] = ACTIONS(13297),
    [anon_sym_EQ_TILDE] = ACTIONS(13297),
    [anon_sym_BANG_TILDE] = ACTIONS(13297),
    [anon_sym_LT_EQ] = ACTIONS(13287),
    [anon_sym_GT] = ACTIONS(13287),
    [anon_sym_GT_EQ] = ACTIONS(13303),
    [anon_sym_CARET] = ACTIONS(13305),
    [anon_sym_PLUS] = ACTIONS(13307),
    [anon_sym_SLASH] = ACTIONS(13283),
    [anon_sym_PERCENT] = ACTIONS(13283),
    [sym_comment] = ACTIONS(87),
  },
  [12070] = {
    [aux_sym_exceptions_repeat1] = STATE(12070),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15183),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_then] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [12071] = {
    [sym__line_break] = ACTIONS(14447),
    [sym__heredoc_body_start] = ACTIONS(14447),
    [sym__element_reference_left_bracket] = ACTIONS(14447),
    [sym__infix_scope_colons] = ACTIONS(14447),
    [anon_sym_DOT] = ACTIONS(14447),
    [anon_sym_SEMI] = ACTIONS(14447),
    [anon_sym_then] = ACTIONS(14447),
    [anon_sym_AMP_DOT] = ACTIONS(14447),
    [sym_comment] = ACTIONS(87),
  },
  [12072] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12073] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(87),
  },
  [12074] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12075] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(87),
  },
  [12076] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12077] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12078] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(15186),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [12079] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12080] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(14894),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12081] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12082] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12083] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12084] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(14894),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12085] = {
    [aux_sym_exceptions_repeat1] = STATE(12144),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [sym_comment] = ACTIONS(87),
  },
  [12086] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(14894),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12087] = {
    [sym_string] = STATE(12087),
    [aux_sym_chained_string_repeat1] = STATE(12087),
    [sym__string_start] = ACTIONS(9343),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6190),
    [anon_sym_AMP_AMP] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [sym_comment] = ACTIONS(87),
  },
  [12088] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [12089] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [12090] = {
    [sym_heredoc_body] = STATE(12090),
    [aux_sym_call_repeat1] = STATE(12090),
    [sym__heredoc_body_start] = ACTIONS(10258),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [12091] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11476),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym__argument] = STATE(7357),
    [sym_splat_argument] = STATE(7357),
    [sym_hash_splat_argument] = STATE(7357),
    [sym_block_argument] = STATE(7357),
    [sym_assignment] = STATE(11476),
    [sym_operator_assignment] = STATE(11476),
    [sym_conditional] = STATE(11476),
    [sym_range] = STATE(11476),
    [sym_binary] = STATE(11476),
    [sym_unary] = STATE(11476),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11479),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_pair] = STATE(7357),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__block_ampersand] = ACTIONS(14309),
    [sym__splat_star] = ACTIONS(14311),
    [sym__unary_minus] = ACTIONS(13438),
    [sym__identifier_hash_key] = ACTIONS(14313),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(15108),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(14315),
    [sym_identifier] = ACTIONS(14315),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [12092] = {
    [sym_heredoc_body] = STATE(12090),
    [aux_sym_call_repeat1] = STATE(12090),
    [sym__heredoc_body_start] = ACTIONS(3308),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [12093] = {
    [aux_sym_argument_list_repeat1] = STATE(12093),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(15188),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7811),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7811),
    [anon_sym_AMP_AMP] = ACTIONS(7811),
    [anon_sym_LT_LT] = ACTIONS(7811),
    [anon_sym_GT_GT] = ACTIONS(7811),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(7811),
    [anon_sym_SLASH] = ACTIONS(7811),
    [anon_sym_PERCENT] = ACTIONS(7811),
    [sym_comment] = ACTIONS(87),
  },
  [12094] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [12095] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(12145),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_assignment] = STATE(12145),
    [sym_operator_assignment] = STATE(12145),
    [sym_conditional] = STATE(12145),
    [sym_range] = STATE(12145),
    [sym_binary] = STATE(12145),
    [sym_unary] = STATE(12145),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [12096] = {
    [sym__heredoc_body_start] = ACTIONS(6681),
    [sym__element_reference_left_bracket] = ACTIONS(6681),
    [sym__infix_scope_colons] = ACTIONS(6681),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(6681),
    [anon_sym_DOT] = ACTIONS(7766),
    [anon_sym_COMMA] = ACTIONS(6681),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(6681),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(6681),
    [anon_sym_EQ_GT] = ACTIONS(6681),
    [anon_sym_AMP_DOT] = ACTIONS(6681),
    [anon_sym_PLUS_EQ] = ACTIONS(6681),
    [anon_sym_DASH_EQ] = ACTIONS(6681),
    [anon_sym_STAR_EQ] = ACTIONS(6681),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6681),
    [anon_sym_SLASH_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_PIPE_EQ] = ACTIONS(6681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6681),
    [anon_sym_AMP_EQ] = ACTIONS(6681),
    [anon_sym_PERCENT_EQ] = ACTIONS(6681),
    [anon_sym_GT_GT_EQ] = ACTIONS(6681),
    [anon_sym_LT_LT_EQ] = ACTIONS(6681),
    [anon_sym_CARET_EQ] = ACTIONS(6681),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(6681),
    [anon_sym_or] = ACTIONS(6681),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [12097] = {
    [sym__heredoc_body_start] = ACTIONS(6897),
    [sym__element_reference_left_bracket] = ACTIONS(6897),
    [sym__infix_scope_colons] = ACTIONS(6897),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(6897),
    [anon_sym_DOT] = ACTIONS(7770),
    [anon_sym_COMMA] = ACTIONS(6897),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(6897),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(7770),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(6897),
    [anon_sym_EQ_GT] = ACTIONS(6897),
    [anon_sym_AMP_DOT] = ACTIONS(6897),
    [anon_sym_PLUS_EQ] = ACTIONS(6897),
    [anon_sym_DASH_EQ] = ACTIONS(6897),
    [anon_sym_STAR_EQ] = ACTIONS(6897),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6897),
    [anon_sym_SLASH_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_PIPE_EQ] = ACTIONS(6897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6897),
    [anon_sym_AMP_EQ] = ACTIONS(6897),
    [anon_sym_PERCENT_EQ] = ACTIONS(6897),
    [anon_sym_GT_GT_EQ] = ACTIONS(6897),
    [anon_sym_LT_LT_EQ] = ACTIONS(6897),
    [anon_sym_CARET_EQ] = ACTIONS(6897),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_or] = ACTIONS(6897),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [12098] = {
    [sym_heredoc_body] = STATE(12098),
    [aux_sym_call_repeat1] = STATE(12098),
    [sym__heredoc_body_start] = ACTIONS(10362),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_LBRACE] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7805),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_do] = ACTIONS(7800),
    [anon_sym_EQ_GT] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_PLUS_EQ] = ACTIONS(7800),
    [anon_sym_DASH_EQ] = ACTIONS(7800),
    [anon_sym_STAR_EQ] = ACTIONS(7800),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7800),
    [anon_sym_SLASH_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_PIPE_EQ] = ACTIONS(7800),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7800),
    [anon_sym_AMP_EQ] = ACTIONS(7800),
    [anon_sym_PERCENT_EQ] = ACTIONS(7800),
    [anon_sym_GT_GT_EQ] = ACTIONS(7800),
    [anon_sym_LT_LT_EQ] = ACTIONS(7800),
    [anon_sym_CARET_EQ] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7805),
    [anon_sym_AMP_AMP] = ACTIONS(7805),
    [anon_sym_LT_LT] = ACTIONS(7805),
    [anon_sym_GT_GT] = ACTIONS(7805),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_PERCENT] = ACTIONS(7805),
    [sym_comment] = ACTIONS(87),
  },
  [12099] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11500),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym__argument] = STATE(7428),
    [sym_splat_argument] = STATE(7428),
    [sym_hash_splat_argument] = STATE(7428),
    [sym_block_argument] = STATE(7428),
    [sym_assignment] = STATE(11500),
    [sym_operator_assignment] = STATE(11500),
    [sym_conditional] = STATE(11500),
    [sym_range] = STATE(11500),
    [sym_binary] = STATE(11500),
    [sym_unary] = STATE(11500),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11503),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_pair] = STATE(7428),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(1145),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__block_ampersand] = ACTIONS(14349),
    [sym__splat_star] = ACTIONS(14351),
    [sym__unary_minus] = ACTIONS(13500),
    [sym__identifier_hash_key] = ACTIONS(14353),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(169),
    [anon_sym_STAR_STAR] = ACTIONS(15112),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(14355),
    [sym_identifier] = ACTIONS(14355),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [12100] = {
    [sym_heredoc_body] = STATE(12098),
    [aux_sym_call_repeat1] = STATE(12098),
    [sym__heredoc_body_start] = ACTIONS(3448),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7817),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_EQ] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_do] = ACTIONS(7815),
    [anon_sym_EQ_GT] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_PLUS_EQ] = ACTIONS(7815),
    [anon_sym_DASH_EQ] = ACTIONS(7815),
    [anon_sym_STAR_EQ] = ACTIONS(7815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7815),
    [anon_sym_SLASH_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_PIPE_EQ] = ACTIONS(7815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7815),
    [anon_sym_AMP_EQ] = ACTIONS(7815),
    [anon_sym_PERCENT_EQ] = ACTIONS(7815),
    [anon_sym_GT_GT_EQ] = ACTIONS(7815),
    [anon_sym_LT_LT_EQ] = ACTIONS(7815),
    [anon_sym_CARET_EQ] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7817),
    [anon_sym_AMP_AMP] = ACTIONS(7817),
    [anon_sym_LT_LT] = ACTIONS(7817),
    [anon_sym_GT_GT] = ACTIONS(7817),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7817),
    [anon_sym_PLUS] = ACTIONS(7817),
    [anon_sym_SLASH] = ACTIONS(7817),
    [anon_sym_PERCENT] = ACTIONS(7817),
    [sym_comment] = ACTIONS(87),
  },
  [12101] = {
    [aux_sym_argument_list_repeat1] = STATE(12101),
    [sym__heredoc_body_start] = ACTIONS(7811),
    [sym__element_reference_left_bracket] = ACTIONS(7811),
    [sym__infix_scope_colons] = ACTIONS(7811),
    [sym__binary_minus] = ACTIONS(7811),
    [sym__binary_star] = ACTIONS(7811),
    [anon_sym_LBRACE] = ACTIONS(7811),
    [anon_sym_DOT] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(15191),
    [anon_sym_PIPE] = ACTIONS(7813),
    [anon_sym_SEMI] = ACTIONS(7811),
    [anon_sym_STAR_STAR] = ACTIONS(7813),
    [anon_sym_AMP] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_do] = ACTIONS(7811),
    [anon_sym_EQ_GT] = ACTIONS(7811),
    [anon_sym_AMP_DOT] = ACTIONS(7811),
    [anon_sym_PLUS_EQ] = ACTIONS(7811),
    [anon_sym_DASH_EQ] = ACTIONS(7811),
    [anon_sym_STAR_EQ] = ACTIONS(7811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7811),
    [anon_sym_SLASH_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_PIPE_EQ] = ACTIONS(7811),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7811),
    [anon_sym_AMP_EQ] = ACTIONS(7811),
    [anon_sym_PERCENT_EQ] = ACTIONS(7811),
    [anon_sym_GT_GT_EQ] = ACTIONS(7811),
    [anon_sym_LT_LT_EQ] = ACTIONS(7811),
    [anon_sym_CARET_EQ] = ACTIONS(7811),
    [anon_sym_QMARK] = ACTIONS(7811),
    [anon_sym_DOT_DOT] = ACTIONS(7813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7811),
    [anon_sym_and] = ACTIONS(7811),
    [anon_sym_or] = ACTIONS(7811),
    [anon_sym_PIPE_PIPE] = ACTIONS(7813),
    [anon_sym_AMP_AMP] = ACTIONS(7813),
    [anon_sym_LT_LT] = ACTIONS(7813),
    [anon_sym_GT_GT] = ACTIONS(7813),
    [anon_sym_EQ_EQ] = ACTIONS(7813),
    [anon_sym_BANG_EQ] = ACTIONS(7811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7811),
    [anon_sym_LT_EQ_GT] = ACTIONS(7811),
    [anon_sym_EQ_TILDE] = ACTIONS(7811),
    [anon_sym_BANG_TILDE] = ACTIONS(7811),
    [anon_sym_LT_EQ] = ACTIONS(7813),
    [anon_sym_GT] = ACTIONS(7813),
    [anon_sym_GT_EQ] = ACTIONS(7811),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_PERCENT] = ACTIONS(7813),
    [sym_comment] = ACTIONS(87),
  },
  [12102] = {
    [sym__heredoc_body_start] = ACTIONS(7025),
    [sym__element_reference_left_bracket] = ACTIONS(7025),
    [sym__infix_scope_colons] = ACTIONS(7025),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7826),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(7025),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(7826),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(7025),
    [anon_sym_EQ_GT] = ACTIONS(7025),
    [anon_sym_AMP_DOT] = ACTIONS(7025),
    [anon_sym_PLUS_EQ] = ACTIONS(7025),
    [anon_sym_DASH_EQ] = ACTIONS(7025),
    [anon_sym_STAR_EQ] = ACTIONS(7025),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(7025),
    [anon_sym_SLASH_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_PIPE_EQ] = ACTIONS(7025),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(7025),
    [anon_sym_AMP_EQ] = ACTIONS(7025),
    [anon_sym_PERCENT_EQ] = ACTIONS(7025),
    [anon_sym_GT_GT_EQ] = ACTIONS(7025),
    [anon_sym_LT_LT_EQ] = ACTIONS(7025),
    [anon_sym_CARET_EQ] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(7025),
    [anon_sym_or] = ACTIONS(7025),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [12103] = {
    [sym_method] = STATE(363),
    [sym_singleton_method] = STATE(363),
    [sym_class] = STATE(363),
    [sym_singleton_class] = STATE(363),
    [sym_module] = STATE(363),
    [sym_return] = STATE(363),
    [sym_yield] = STATE(363),
    [sym_break] = STATE(363),
    [sym_next] = STATE(363),
    [sym_while] = STATE(363),
    [sym_until] = STATE(363),
    [sym_for] = STATE(363),
    [sym_case] = STATE(363),
    [sym_if] = STATE(363),
    [sym_unless] = STATE(363),
    [sym_begin] = STATE(363),
    [sym__arg] = STATE(11907),
    [sym__primary] = STATE(363),
    [sym_parenthesized_statements] = STATE(363),
    [sym_element_reference] = STATE(10665),
    [sym_scope_resolution] = STATE(10661),
    [sym_call] = STATE(10661),
    [sym_method_call] = STATE(10665),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(11907),
    [sym_operator_assignment] = STATE(11907),
    [sym_conditional] = STATE(11907),
    [sym_range] = STATE(11907),
    [sym_binary] = STATE(11907),
    [sym_unary] = STATE(11907),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(10664),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10665),
    [sym__variable] = STATE(10661),
    [sym_rational] = STATE(363),
    [sym_true] = STATE(10665),
    [sym_false] = STATE(10665),
    [sym_nil] = STATE(10665),
    [sym_chained_string] = STATE(363),
    [sym_string] = STATE(11468),
    [sym_subshell] = STATE(363),
    [sym_string_array] = STATE(363),
    [sym_symbol_array] = STATE(363),
    [sym_symbol] = STATE(363),
    [sym_regex] = STATE(363),
    [sym_array] = STATE(363),
    [sym_hash] = STATE(363),
    [sym_lambda] = STATE(363),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(589),
    [sym__splat_star] = ACTIONS(14311),
    [sym__unary_minus] = ACTIONS(13438),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(13442),
    [anon_sym_yield] = ACTIONS(13444),
    [anon_sym_break] = ACTIONS(13446),
    [anon_sym_next] = ACTIONS(13448),
    [sym_redo] = ACTIONS(621),
    [sym_retry] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14305),
    [anon_sym_defined_QMARK] = ACTIONS(13450),
    [anon_sym_not] = ACTIONS(13452),
    [anon_sym_BANG] = ACTIONS(13456),
    [anon_sym_TILDE] = ACTIONS(13456),
    [sym_constant] = ACTIONS(13462),
    [sym_identifier] = ACTIONS(13462),
    [sym_instance_variable] = ACTIONS(13460),
    [sym_class_variable] = ACTIONS(13460),
    [sym_global_variable] = ACTIONS(13460),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(621),
    [sym_complex] = ACTIONS(589),
    [sym_super] = ACTIONS(13462),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13462),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [12104] = {
    [aux_sym_exceptions_repeat1] = STATE(12146),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15194),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [12105] = {
    [sym__binary_minus] = ACTIONS(13464),
    [sym__binary_star] = ACTIONS(13466),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(14367),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(13470),
    [anon_sym_AMP] = ACTIONS(13472),
    [anon_sym_LT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13476),
    [anon_sym_DOT_DOT] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(13484),
    [anon_sym_AMP_AMP] = ACTIONS(13484),
    [anon_sym_LT_LT] = ACTIONS(13486),
    [anon_sym_GT_GT] = ACTIONS(13486),
    [anon_sym_EQ_EQ] = ACTIONS(13488),
    [anon_sym_BANG_EQ] = ACTIONS(13484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13484),
    [anon_sym_LT_EQ_GT] = ACTIONS(13484),
    [anon_sym_EQ_TILDE] = ACTIONS(13484),
    [anon_sym_BANG_TILDE] = ACTIONS(13484),
    [anon_sym_LT_EQ] = ACTIONS(13474),
    [anon_sym_GT] = ACTIONS(13474),
    [anon_sym_GT_EQ] = ACTIONS(13490),
    [anon_sym_CARET] = ACTIONS(13492),
    [anon_sym_PLUS] = ACTIONS(13494),
    [anon_sym_SLASH] = ACTIONS(13470),
    [anon_sym_PERCENT] = ACTIONS(13470),
    [sym_comment] = ACTIONS(87),
  },
  [12106] = {
    [sym__heredoc_body_start] = ACTIONS(5790),
    [sym__element_reference_left_bracket] = ACTIONS(5790),
    [sym__infix_scope_colons] = ACTIONS(5790),
    [sym__binary_minus] = ACTIONS(5790),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_do] = ACTIONS(5790),
    [anon_sym_AMP_DOT] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_DOT_DOT] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_EQ_TILDE] = ACTIONS(5790),
    [anon_sym_BANG_TILDE] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12107] = {
    [sym__heredoc_body_start] = ACTIONS(5794),
    [sym__element_reference_left_bracket] = ACTIONS(5794),
    [sym__infix_scope_colons] = ACTIONS(5794),
    [sym__binary_minus] = ACTIONS(5794),
    [sym__binary_star] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_do] = ACTIONS(5794),
    [anon_sym_AMP_DOT] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_DOT_DOT] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_EQ_TILDE] = ACTIONS(5794),
    [anon_sym_BANG_TILDE] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(87),
  },
  [12108] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12109] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5800),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(87),
  },
  [12110] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12111] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12112] = {
    [sym__binary_minus] = ACTIONS(5832),
    [sym__binary_star] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5836),
    [anon_sym_STAR_STAR] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(15196),
    [anon_sym_DOT_DOT] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_EQ_TILDE] = ACTIONS(5854),
    [anon_sym_BANG_TILDE] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [sym_comment] = ACTIONS(87),
  },
  [12113] = {
    [sym__heredoc_body_start] = ACTIONS(5902),
    [sym__element_reference_left_bracket] = ACTIONS(5902),
    [sym__infix_scope_colons] = ACTIONS(5902),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(7774),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(7774),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(5902),
    [anon_sym_AMP_DOT] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12114] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(14946),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12115] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12116] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12117] = {
    [sym__heredoc_body_start] = ACTIONS(5798),
    [sym__element_reference_left_bracket] = ACTIONS(5798),
    [sym__infix_scope_colons] = ACTIONS(5798),
    [sym__binary_minus] = ACTIONS(5798),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_LT] = ACTIONS(5800),
    [anon_sym_do] = ACTIONS(5798),
    [anon_sym_AMP_DOT] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_DOT_DOT] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_EQ_TILDE] = ACTIONS(5798),
    [anon_sym_BANG_TILDE] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5800),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12118] = {
    [sym__heredoc_body_start] = ACTIONS(5050),
    [sym__element_reference_left_bracket] = ACTIONS(5050),
    [sym__infix_scope_colons] = ACTIONS(5050),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(5050),
    [anon_sym_DOT] = ACTIONS(7822),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(5050),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(7822),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(5050),
    [anon_sym_AMP_DOT] = ACTIONS(5050),
    [anon_sym_PLUS_EQ] = ACTIONS(5050),
    [anon_sym_DASH_EQ] = ACTIONS(5050),
    [anon_sym_STAR_EQ] = ACTIONS(5050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(5050),
    [anon_sym_SLASH_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_PIPE_EQ] = ACTIONS(5050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5050),
    [anon_sym_AMP_EQ] = ACTIONS(5050),
    [anon_sym_PERCENT_EQ] = ACTIONS(5050),
    [anon_sym_GT_GT_EQ] = ACTIONS(5050),
    [anon_sym_LT_LT_EQ] = ACTIONS(5050),
    [anon_sym_CARET_EQ] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(14946),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(5050),
    [anon_sym_or] = ACTIONS(5050),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12119] = {
    [aux_sym_exceptions_repeat1] = STATE(12149),
    [sym__heredoc_body_start] = ACTIONS(6174),
    [sym__element_reference_left_bracket] = ACTIONS(6174),
    [sym__infix_scope_colons] = ACTIONS(6174),
    [sym__binary_minus] = ACTIONS(6174),
    [sym__binary_star] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(6174),
    [anon_sym_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6174),
    [anon_sym_PIPE] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6174),
    [anon_sym_STAR_STAR] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6176),
    [anon_sym_LT] = ACTIONS(6176),
    [anon_sym_do] = ACTIONS(6174),
    [anon_sym_AMP_DOT] = ACTIONS(6174),
    [anon_sym_PLUS_EQ] = ACTIONS(6174),
    [anon_sym_DASH_EQ] = ACTIONS(6174),
    [anon_sym_STAR_EQ] = ACTIONS(6174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6174),
    [anon_sym_SLASH_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_PIPE_EQ] = ACTIONS(6174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6174),
    [anon_sym_AMP_EQ] = ACTIONS(6174),
    [anon_sym_PERCENT_EQ] = ACTIONS(6174),
    [anon_sym_GT_GT_EQ] = ACTIONS(6174),
    [anon_sym_LT_LT_EQ] = ACTIONS(6174),
    [anon_sym_CARET_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6174),
    [anon_sym_DOT_DOT] = ACTIONS(6176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_LT_LT] = ACTIONS(6176),
    [anon_sym_GT_GT] = ACTIONS(6176),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6174),
    [anon_sym_EQ_TILDE] = ACTIONS(6174),
    [anon_sym_BANG_TILDE] = ACTIONS(6174),
    [anon_sym_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6176),
    [anon_sym_GT_EQ] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6176),
    [anon_sym_SLASH] = ACTIONS(6176),
    [anon_sym_PERCENT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(87),
  },
  [12120] = {
    [sym__heredoc_body_start] = ACTIONS(6188),
    [sym__element_reference_left_bracket] = ACTIONS(6188),
    [sym__infix_scope_colons] = ACTIONS(6188),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(7824),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(7824),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(6188),
    [anon_sym_AMP_DOT] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(14946),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12121] = {
    [sym_string] = STATE(12121),
    [aux_sym_chained_string_repeat1] = STATE(12121),
    [sym__string_start] = ACTIONS(13708),
    [sym__heredoc_body_start] = ACTIONS(6190),
    [sym__element_reference_left_bracket] = ACTIONS(6190),
    [sym__infix_scope_colons] = ACTIONS(6190),
    [sym__binary_minus] = ACTIONS(6190),
    [sym__binary_star] = ACTIONS(6190),
    [anon_sym_LBRACE] = ACTIONS(6190),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6190),
    [anon_sym_STAR_STAR] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_LT] = ACTIONS(6195),
    [anon_sym_do] = ACTIONS(6190),
    [anon_sym_AMP_DOT] = ACTIONS(6190),
    [anon_sym_PLUS_EQ] = ACTIONS(6190),
    [anon_sym_DASH_EQ] = ACTIONS(6190),
    [anon_sym_STAR_EQ] = ACTIONS(6190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(6190),
    [anon_sym_SLASH_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE_EQ] = ACTIONS(6190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(6190),
    [anon_sym_AMP_EQ] = ACTIONS(6190),
    [anon_sym_PERCENT_EQ] = ACTIONS(6190),
    [anon_sym_GT_GT_EQ] = ACTIONS(6190),
    [anon_sym_LT_LT_EQ] = ACTIONS(6190),
    [anon_sym_CARET_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(6190),
    [anon_sym_DOT_DOT] = ACTIONS(6195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6190),
    [anon_sym_EQ_TILDE] = ACTIONS(6190),
    [anon_sym_BANG_TILDE] = ACTIONS(6190),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PLUS] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6195),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(87),
  },
  [12122] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(12150),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_assignment] = STATE(12150),
    [sym_operator_assignment] = STATE(12150),
    [sym_conditional] = STATE(12150),
    [sym_range] = STATE(12150),
    [sym_binary] = STATE(12150),
    [sym_unary] = STATE(12150),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [12123] = {
    [sym_method] = STATE(674),
    [sym_singleton_method] = STATE(674),
    [sym_class] = STATE(674),
    [sym_singleton_class] = STATE(674),
    [sym_module] = STATE(674),
    [sym_return] = STATE(674),
    [sym_yield] = STATE(674),
    [sym_break] = STATE(674),
    [sym_next] = STATE(674),
    [sym_while] = STATE(674),
    [sym_until] = STATE(674),
    [sym_for] = STATE(674),
    [sym_case] = STATE(674),
    [sym_if] = STATE(674),
    [sym_unless] = STATE(674),
    [sym_begin] = STATE(674),
    [sym__arg] = STATE(11949),
    [sym__primary] = STATE(674),
    [sym_parenthesized_statements] = STATE(674),
    [sym_element_reference] = STATE(10699),
    [sym_scope_resolution] = STATE(10695),
    [sym_call] = STATE(10695),
    [sym_method_call] = STATE(10699),
    [sym_splat_argument] = STATE(9654),
    [sym_assignment] = STATE(11949),
    [sym_operator_assignment] = STATE(11949),
    [sym_conditional] = STATE(11949),
    [sym_range] = STATE(11949),
    [sym_binary] = STATE(11949),
    [sym_unary] = STATE(11949),
    [sym__arg_or_splat_arg] = STATE(9654),
    [sym_left_assignment_list] = STATE(10698),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(10699),
    [sym__variable] = STATE(10695),
    [sym_rational] = STATE(674),
    [sym_true] = STATE(10699),
    [sym_false] = STATE(10699),
    [sym_nil] = STATE(10699),
    [sym_chained_string] = STATE(674),
    [sym_string] = STATE(11538),
    [sym_subshell] = STATE(674),
    [sym_string_array] = STATE(674),
    [sym_symbol_array] = STATE(674),
    [sym_symbol] = STATE(674),
    [sym_regex] = STATE(674),
    [sym_array] = STATE(674),
    [sym_hash] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym__simple_symbol] = ACTIONS(1143),
    [sym__string_start] = ACTIONS(3374),
    [sym__symbol_start] = ACTIONS(1147),
    [sym__subshell_start] = ACTIONS(1149),
    [sym__regex_start] = ACTIONS(1151),
    [sym__string_array_start] = ACTIONS(1153),
    [sym__symbol_array_start] = ACTIONS(1155),
    [sym_heredoc_beginning] = ACTIONS(1157),
    [sym__splat_star] = ACTIONS(14351),
    [sym__unary_minus] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_def] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_yield] = ACTIONS(13506),
    [anon_sym_break] = ACTIONS(13508),
    [anon_sym_next] = ACTIONS(13510),
    [sym_redo] = ACTIONS(1187),
    [sym_retry] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_unless] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_until] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(14391),
    [anon_sym_defined_QMARK] = ACTIONS(13512),
    [anon_sym_not] = ACTIONS(13514),
    [anon_sym_BANG] = ACTIONS(13518),
    [anon_sym_TILDE] = ACTIONS(13518),
    [sym_constant] = ACTIONS(13524),
    [sym_identifier] = ACTIONS(13524),
    [sym_instance_variable] = ACTIONS(13522),
    [sym_class_variable] = ACTIONS(13522),
    [sym_global_variable] = ACTIONS(13522),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1187),
    [sym_complex] = ACTIONS(1157),
    [sym_super] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_TRUE] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(657),
    [anon_sym_FALSE] = ACTIONS(657),
    [sym_self] = ACTIONS(13524),
    [anon_sym_nil] = ACTIONS(659),
    [anon_sym_NIL] = ACTIONS(659),
    [sym_character] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1223),
  },
  [12124] = {
    [aux_sym_exceptions_repeat1] = STATE(12151),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15198),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_EQ_GT] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [12125] = {
    [aux_sym_exceptions_repeat1] = STATE(12125),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_COMMA] = ACTIONS(15200),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [12126] = {
    [sym__simple_symbol] = ACTIONS(15203),
    [sym__string_start] = ACTIONS(15203),
    [sym__symbol_start] = ACTIONS(15203),
    [sym__subshell_start] = ACTIONS(15203),
    [sym__regex_start] = ACTIONS(15203),
    [sym__string_array_start] = ACTIONS(15203),
    [sym__symbol_array_start] = ACTIONS(15203),
    [sym_heredoc_beginning] = ACTIONS(15203),
    [sym__unary_minus] = ACTIONS(15203),
    [anon_sym_BEGIN] = ACTIONS(15205),
    [anon_sym_LBRACE] = ACTIONS(15203),
    [anon_sym_RBRACE] = ACTIONS(15203),
    [anon_sym_END] = ACTIONS(15205),
    [anon_sym_def] = ACTIONS(15205),
    [anon_sym_LPAREN] = ACTIONS(15203),
    [anon_sym_COLON_COLON] = ACTIONS(15203),
    [anon_sym_SEMI] = ACTIONS(15203),
    [anon_sym_STAR] = ACTIONS(15203),
    [anon_sym_class] = ACTIONS(15205),
    [anon_sym_module] = ACTIONS(15205),
    [anon_sym_return] = ACTIONS(15205),
    [anon_sym_yield] = ACTIONS(15205),
    [anon_sym_break] = ACTIONS(15205),
    [anon_sym_next] = ACTIONS(15205),
    [sym_redo] = ACTIONS(15205),
    [sym_retry] = ACTIONS(15205),
    [anon_sym_if] = ACTIONS(15205),
    [anon_sym_unless] = ACTIONS(15205),
    [anon_sym_while] = ACTIONS(15205),
    [anon_sym_until] = ACTIONS(15205),
    [anon_sym_for] = ACTIONS(15205),
    [anon_sym_case] = ACTIONS(15205),
    [anon_sym_begin] = ACTIONS(15205),
    [anon_sym_PLUS] = ACTIONS(15205),
    [anon_sym_defined_QMARK] = ACTIONS(15203),
    [anon_sym_not] = ACTIONS(15205),
    [anon_sym_BANG] = ACTIONS(15203),
    [anon_sym_TILDE] = ACTIONS(15203),
    [sym_constant] = ACTIONS(15205),
    [sym_identifier] = ACTIONS(15205),
    [sym_instance_variable] = ACTIONS(15203),
    [sym_class_variable] = ACTIONS(15203),
    [sym_global_variable] = ACTIONS(15203),
    [anon_sym_undef] = ACTIONS(15205),
    [anon_sym_alias] = ACTIONS(15205),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(15205),
    [sym_float] = ACTIONS(15205),
    [sym_complex] = ACTIONS(15203),
    [sym_super] = ACTIONS(15205),
    [anon_sym_true] = ACTIONS(15205),
    [anon_sym_TRUE] = ACTIONS(15205),
    [anon_sym_false] = ACTIONS(15205),
    [anon_sym_FALSE] = ACTIONS(15205),
    [sym_self] = ACTIONS(15205),
    [anon_sym_nil] = ACTIONS(15205),
    [anon_sym_NIL] = ACTIONS(15205),
    [sym_character] = ACTIONS(15203),
    [anon_sym_LBRACK] = ACTIONS(15203),
    [anon_sym_DASH_GT] = ACTIONS(15203),
  },
  [12127] = {
    [sym__line_break] = ACTIONS(15203),
    [sym__simple_symbol] = ACTIONS(15203),
    [sym__string_start] = ACTIONS(15203),
    [sym__symbol_start] = ACTIONS(15203),
    [sym__subshell_start] = ACTIONS(15203),
    [sym__regex_start] = ACTIONS(15203),
    [sym__string_array_start] = ACTIONS(15203),
    [sym__symbol_array_start] = ACTIONS(15203),
    [sym__heredoc_body_start] = ACTIONS(15203),
    [sym_heredoc_beginning] = ACTIONS(15203),
    [sym__unary_minus] = ACTIONS(15203),
    [anon_sym_BEGIN] = ACTIONS(15205),
    [anon_sym_LBRACE] = ACTIONS(15203),
    [anon_sym_END] = ACTIONS(15205),
    [anon_sym_def] = ACTIONS(15205),
    [anon_sym_LPAREN] = ACTIONS(15203),
    [anon_sym_COLON_COLON] = ACTIONS(15203),
    [anon_sym_SEMI] = ACTIONS(15203),
    [anon_sym_STAR] = ACTIONS(15203),
    [anon_sym_class] = ACTIONS(15205),
    [anon_sym_module] = ACTIONS(15205),
    [anon_sym_end] = ACTIONS(15205),
    [anon_sym_return] = ACTIONS(15205),
    [anon_sym_yield] = ACTIONS(15205),
    [anon_sym_break] = ACTIONS(15205),
    [anon_sym_next] = ACTIONS(15205),
    [sym_redo] = ACTIONS(15205),
    [sym_retry] = ACTIONS(15205),
    [anon_sym_if] = ACTIONS(15205),
    [anon_sym_unless] = ACTIONS(15205),
    [anon_sym_while] = ACTIONS(15205),
    [anon_sym_until] = ACTIONS(15205),
    [anon_sym_for] = ACTIONS(15205),
    [anon_sym_case] = ACTIONS(15205),
    [anon_sym_begin] = ACTIONS(15205),
    [anon_sym_PLUS] = ACTIONS(15205),
    [anon_sym_defined_QMARK] = ACTIONS(15203),
    [anon_sym_not] = ACTIONS(15205),
    [anon_sym_BANG] = ACTIONS(15203),
    [anon_sym_TILDE] = ACTIONS(15203),
    [sym_constant] = ACTIONS(15205),
    [sym_identifier] = ACTIONS(15205),
    [sym_instance_variable] = ACTIONS(15203),
    [sym_class_variable] = ACTIONS(15203),
    [sym_global_variable] = ACTIONS(15203),
    [anon_sym_undef] = ACTIONS(15205),
    [anon_sym_alias] = ACTIONS(15205),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(15205),
    [sym_float] = ACTIONS(15205),
    [sym_complex] = ACTIONS(15203),
    [sym_super] = ACTIONS(15205),
    [anon_sym_true] = ACTIONS(15205),
    [anon_sym_TRUE] = ACTIONS(15205),
    [anon_sym_false] = ACTIONS(15205),
    [anon_sym_FALSE] = ACTIONS(15205),
    [sym_self] = ACTIONS(15205),
    [anon_sym_nil] = ACTIONS(15205),
    [anon_sym_NIL] = ACTIONS(15205),
    [sym_character] = ACTIONS(15203),
    [anon_sym_LBRACK] = ACTIONS(15203),
    [anon_sym_DASH_GT] = ACTIONS(15203),
  },
  [12128] = {
    [sym__heredoc_body_start] = ACTIONS(13941),
    [sym__element_reference_left_bracket] = ACTIONS(13941),
    [sym__infix_scope_colons] = ACTIONS(13941),
    [sym__binary_minus] = ACTIONS(13941),
    [sym__binary_star] = ACTIONS(13941),
    [anon_sym_LBRACE] = ACTIONS(13941),
    [anon_sym_RBRACE] = ACTIONS(13941),
    [anon_sym_RPAREN] = ACTIONS(13941),
    [anon_sym_DOT] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13941),
    [anon_sym_PIPE] = ACTIONS(13943),
    [anon_sym_SEMI] = ACTIONS(13941),
    [anon_sym_STAR_STAR] = ACTIONS(13943),
    [anon_sym_AMP] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_LT] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13941),
    [anon_sym_unless] = ACTIONS(13941),
    [anon_sym_while] = ACTIONS(13941),
    [anon_sym_until] = ACTIONS(13941),
    [anon_sym_rescue] = ACTIONS(13941),
    [anon_sym_in] = ACTIONS(13941),
    [anon_sym_do] = ACTIONS(13941),
    [anon_sym_RBRACK] = ACTIONS(13941),
    [anon_sym_AMP_DOT] = ACTIONS(13941),
    [anon_sym_PLUS_EQ] = ACTIONS(13941),
    [anon_sym_DASH_EQ] = ACTIONS(13941),
    [anon_sym_STAR_EQ] = ACTIONS(13941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(13941),
    [anon_sym_SLASH_EQ] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(13941),
    [anon_sym_PIPE_EQ] = ACTIONS(13941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(13941),
    [anon_sym_AMP_EQ] = ACTIONS(13941),
    [anon_sym_PERCENT_EQ] = ACTIONS(13941),
    [anon_sym_GT_GT_EQ] = ACTIONS(13941),
    [anon_sym_LT_LT_EQ] = ACTIONS(13941),
    [anon_sym_CARET_EQ] = ACTIONS(13941),
    [anon_sym_QMARK] = ACTIONS(13941),
    [anon_sym_COLON] = ACTIONS(13941),
    [anon_sym_DOT_DOT] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13941),
    [anon_sym_and] = ACTIONS(13941),
    [anon_sym_or] = ACTIONS(13941),
    [anon_sym_PIPE_PIPE] = ACTIONS(13943),
    [anon_sym_AMP_AMP] = ACTIONS(13943),
    [anon_sym_LT_LT] = ACTIONS(13943),
    [anon_sym_GT_GT] = ACTIONS(13943),
    [anon_sym_EQ_EQ] = ACTIONS(13943),
    [anon_sym_BANG_EQ] = ACTIONS(13941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(13941),
    [anon_sym_LT_EQ_GT] = ACTIONS(13941),
    [anon_sym_EQ_TILDE] = ACTIONS(13941),
    [anon_sym_BANG_TILDE] = ACTIONS(13941),
    [anon_sym_LT_EQ] = ACTIONS(13943),
    [anon_sym_GT] = ACTIONS(13943),
    [anon_sym_GT_EQ] = ACTIONS(13941),
    [anon_sym_CARET] = ACTIONS(13943),
    [anon_sym_PLUS] = ACTIONS(13943),
    [anon_sym_SLASH] = ACTIONS(13943),
    [anon_sym_PERCENT] = ACTIONS(13943),
    [sym_comment] = ACTIONS(87),
  },
  [12129] = {
    [sym_heredoc_body] = STATE(12129),
    [aux_sym_call_repeat1] = STATE(12129),
    [sym__line_break] = ACTIONS(7800),
    [sym__heredoc_body_start] = ACTIONS(7802),
    [sym__element_reference_left_bracket] = ACTIONS(7800),
    [sym__infix_scope_colons] = ACTIONS(7800),
    [sym__binary_minus] = ACTIONS(7800),
    [sym__binary_star] = ACTIONS(7800),
    [anon_sym_DOT] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7800),
    [anon_sym_PIPE] = ACTIONS(7805),
    [anon_sym_SEMI] = ACTIONS(7800),
    [anon_sym_STAR_STAR] = ACTIONS(7800),
    [anon_sym_AMP] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7805),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_if] = ACTIONS(7800),
    [anon_sym_unless] = ACTIONS(7800),
    [anon_sym_while] = ACTIONS(7800),
    [anon_sym_until] = ACTIONS(7800),
    [anon_sym_rescue] = ACTIONS(7800),
    [anon_sym_when] = ACTIONS(7800),
    [anon_sym_else] = ACTIONS(7800),
    [anon_sym_AMP_DOT] = ACTIONS(7800),
    [anon_sym_QMARK] = ACTIONS(7800),
    [anon_sym_DOT_DOT] = ACTIONS(7805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7800),
    [anon_sym_and] = ACTIONS(7800),
    [anon_sym_or] = ACTIONS(7800),
    [anon_sym_PIPE_PIPE] = ACTIONS(7800),
    [anon_sym_AMP_AMP] = ACTIONS(7800),
    [anon_sym_LT_LT] = ACTIONS(7800),
    [anon_sym_GT_GT] = ACTIONS(7800),
    [anon_sym_EQ_EQ] = ACTIONS(7805),
    [anon_sym_BANG_EQ] = ACTIONS(7800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7800),
    [anon_sym_LT_EQ_GT] = ACTIONS(7800),
    [anon_sym_EQ_TILDE] = ACTIONS(7800),
    [anon_sym_BANG_TILDE] = ACTIONS(7800),
    [anon_sym_LT_EQ] = ACTIONS(7805),
    [anon_sym_GT] = ACTIONS(7805),
    [anon_sym_GT_EQ] = ACTIONS(7800),
    [anon_sym_CARET] = ACTIONS(7800),
    [anon_sym_PLUS] = ACTIONS(7800),
    [anon_sym_SLASH] = ACTIONS(7800),
    [anon_sym_PERCENT] = ACTIONS(7800),
    [sym_comment] = ACTIONS(87),
  },
  [12130] = {
    [sym_heredoc_body] = STATE(12129),
    [aux_sym_call_repeat1] = STATE(12129),
    [sym__line_break] = ACTIONS(7815),
    [sym__heredoc_body_start] = ACTIONS(1695),
    [sym__element_reference_left_bracket] = ACTIONS(7815),
    [sym__infix_scope_colons] = ACTIONS(7815),
    [sym__binary_minus] = ACTIONS(7815),
    [sym__binary_star] = ACTIONS(7815),
    [anon_sym_DOT] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_PIPE] = ACTIONS(7817),
    [anon_sym_SEMI] = ACTIONS(7815),
    [anon_sym_STAR_STAR] = ACTIONS(7815),
    [anon_sym_AMP] = ACTIONS(7817),
    [anon_sym_LT] = ACTIONS(7817),
    [anon_sym_end] = ACTIONS(7815),
    [anon_sym_if] = ACTIONS(7815),
    [anon_sym_unless] = ACTIONS(7815),
    [anon_sym_while] = ACTIONS(7815),
    [anon_sym_until] = ACTIONS(7815),
    [anon_sym_rescue] = ACTIONS(7815),
    [anon_sym_when] = ACTIONS(7815),
    [anon_sym_else] = ACTIONS(7815),
    [anon_sym_AMP_DOT] = ACTIONS(7815),
    [anon_sym_QMARK] = ACTIONS(7815),
    [anon_sym_DOT_DOT] = ACTIONS(7817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(7815),
    [anon_sym_and] = ACTIONS(7815),
    [anon_sym_or] = ACTIONS(7815),
    [anon_sym_PIPE_PIPE] = ACTIONS(7815),
    [anon_sym_AMP_AMP] = ACTIONS(7815),
    [anon_sym_LT_LT] = ACTIONS(7815),
    [anon_sym_GT_GT] = ACTIONS(7815),
    [anon_sym_EQ_EQ] = ACTIONS(7817),
    [anon_sym_BANG_EQ] = ACTIONS(7815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(7815),
    [anon_sym_LT_EQ_GT] = ACTIONS(7815),
    [anon_sym_EQ_TILDE] = ACTIONS(7815),
    [anon_sym_BANG_TILDE] = ACTIONS(7815),
    [anon_sym_LT_EQ] = ACTIONS(7817),
    [anon_sym_GT] = ACTIONS(7817),
    [anon_sym_GT_EQ] = ACTIONS(7815),
    [anon_sym_CARET] = ACTIONS(7815),
    [anon_sym_PLUS] = ACTIONS(7815),
    [anon_sym_SLASH] = ACTIONS(7815),
    [anon_sym_PERCENT] = ACTIONS(7815),
    [sym_comment] = ACTIONS(87),
  },
  [12131] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12152),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_assignment] = STATE(12152),
    [sym_operator_assignment] = STATE(12152),
    [sym_conditional] = STATE(12152),
    [sym_range] = STATE(12152),
    [sym_binary] = STATE(12152),
    [sym_unary] = STATE(12152),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [12132] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12011),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11226),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11226),
    [sym_splat_argument] = STATE(7951),
    [sym_assignment] = STATE(12011),
    [sym_operator_assignment] = STATE(12011),
    [sym_conditional] = STATE(12011),
    [sym_range] = STATE(12011),
    [sym_binary] = STATE(12011),
    [sym_unary] = STATE(12011),
    [sym__arg_or_splat_arg] = STATE(7951),
    [sym_left_assignment_list] = STATE(11225),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11226),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11226),
    [sym_false] = STATE(11226),
    [sym_nil] = STATE(11226),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__splat_star] = ACTIONS(13095),
    [sym__unary_minus] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14005),
    [anon_sym_defined_QMARK] = ACTIONS(14007),
    [anon_sym_not] = ACTIONS(14009),
    [anon_sym_BANG] = ACTIONS(14011),
    [anon_sym_TILDE] = ACTIONS(14011),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [12133] = {
    [aux_sym_exceptions_repeat1] = STATE(12153),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15207),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_when] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [12134] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(14025),
    [sym__binary_star] = ACTIONS(14027),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(14029),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(14031),
    [anon_sym_AMP] = ACTIONS(14033),
    [anon_sym_LT] = ACTIONS(14035),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_when] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(14039),
    [anon_sym_DOT_DOT] = ACTIONS(14041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(14045),
    [anon_sym_AMP_AMP] = ACTIONS(14045),
    [anon_sym_LT_LT] = ACTIONS(14047),
    [anon_sym_GT_GT] = ACTIONS(14047),
    [anon_sym_EQ_EQ] = ACTIONS(14049),
    [anon_sym_BANG_EQ] = ACTIONS(14045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14045),
    [anon_sym_LT_EQ_GT] = ACTIONS(14045),
    [anon_sym_EQ_TILDE] = ACTIONS(14045),
    [anon_sym_BANG_TILDE] = ACTIONS(14045),
    [anon_sym_LT_EQ] = ACTIONS(14035),
    [anon_sym_GT] = ACTIONS(14035),
    [anon_sym_GT_EQ] = ACTIONS(14051),
    [anon_sym_CARET] = ACTIONS(14053),
    [anon_sym_PLUS] = ACTIONS(14055),
    [anon_sym_SLASH] = ACTIONS(14031),
    [anon_sym_PERCENT] = ACTIONS(14031),
    [sym_comment] = ACTIONS(87),
  },
  [12135] = {
    [aux_sym_exceptions_repeat1] = STATE(12135),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15209),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_when] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [12136] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12154),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_assignment] = STATE(12154),
    [sym_operator_assignment] = STATE(12154),
    [sym_conditional] = STATE(12154),
    [sym_range] = STATE(12154),
    [sym_binary] = STATE(12154),
    [sym_unary] = STATE(12154),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [12137] = {
    [sym_method] = STATE(1573),
    [sym_singleton_method] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_singleton_class] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_return] = STATE(1573),
    [sym_yield] = STATE(1573),
    [sym_break] = STATE(1573),
    [sym_next] = STATE(1573),
    [sym_while] = STATE(1573),
    [sym_until] = STATE(1573),
    [sym_for] = STATE(1573),
    [sym_case] = STATE(1573),
    [sym_if] = STATE(1573),
    [sym_unless] = STATE(1573),
    [sym_begin] = STATE(1573),
    [sym__arg] = STATE(12045),
    [sym__primary] = STATE(1573),
    [sym_parenthesized_statements] = STATE(1573),
    [sym_element_reference] = STATE(11304),
    [sym_scope_resolution] = STATE(11302),
    [sym_call] = STATE(11302),
    [sym_method_call] = STATE(11304),
    [sym_splat_argument] = STATE(10816),
    [sym_assignment] = STATE(12045),
    [sym_operator_assignment] = STATE(12045),
    [sym_conditional] = STATE(12045),
    [sym_range] = STATE(12045),
    [sym_binary] = STATE(12045),
    [sym_unary] = STATE(12045),
    [sym__arg_or_splat_arg] = STATE(10816),
    [sym_left_assignment_list] = STATE(11303),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11304),
    [sym__variable] = STATE(11302),
    [sym_rational] = STATE(1573),
    [sym_true] = STATE(11304),
    [sym_false] = STATE(11304),
    [sym_nil] = STATE(11304),
    [sym_chained_string] = STATE(1573),
    [sym_string] = STATE(11305),
    [sym_subshell] = STATE(1573),
    [sym_string_array] = STATE(1573),
    [sym_symbol_array] = STATE(1573),
    [sym_symbol] = STATE(1573),
    [sym_regex] = STATE(1573),
    [sym_array] = STATE(1573),
    [sym_hash] = STATE(1573),
    [sym_lambda] = STATE(1573),
    [sym__simple_symbol] = ACTIONS(2585),
    [sym__string_start] = ACTIONS(2587),
    [sym__symbol_start] = ACTIONS(2589),
    [sym__subshell_start] = ACTIONS(2591),
    [sym__regex_start] = ACTIONS(2593),
    [sym__string_array_start] = ACTIONS(2595),
    [sym__symbol_array_start] = ACTIONS(2597),
    [sym_heredoc_beginning] = ACTIONS(2599),
    [sym__splat_star] = ACTIONS(13171),
    [sym__unary_minus] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_def] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(14081),
    [anon_sym_yield] = ACTIONS(14083),
    [anon_sym_break] = ACTIONS(14085),
    [anon_sym_next] = ACTIONS(14087),
    [sym_redo] = ACTIONS(2621),
    [sym_retry] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_unless] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_until] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(14089),
    [anon_sym_defined_QMARK] = ACTIONS(14091),
    [anon_sym_not] = ACTIONS(14093),
    [anon_sym_BANG] = ACTIONS(14095),
    [anon_sym_TILDE] = ACTIONS(14095),
    [sym_constant] = ACTIONS(14097),
    [sym_identifier] = ACTIONS(14097),
    [sym_instance_variable] = ACTIONS(14099),
    [sym_class_variable] = ACTIONS(14099),
    [sym_global_variable] = ACTIONS(14099),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2621),
    [sym_complex] = ACTIONS(2599),
    [sym_super] = ACTIONS(14097),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(14097),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
  },
  [12138] = {
    [aux_sym_exceptions_repeat1] = STATE(12155),
    [sym__line_break] = ACTIONS(9799),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15212),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_end] = ACTIONS(9799),
    [anon_sym_if] = ACTIONS(9799),
    [anon_sym_unless] = ACTIONS(9799),
    [anon_sym_while] = ACTIONS(9799),
    [anon_sym_until] = ACTIONS(9799),
    [anon_sym_rescue] = ACTIONS(9799),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_when] = ACTIONS(9799),
    [anon_sym_else] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [12139] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(14105),
    [sym__binary_star] = ACTIONS(14107),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(14109),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(14111),
    [anon_sym_AMP] = ACTIONS(14113),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(14115),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_when] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(14119),
    [anon_sym_DOT_DOT] = ACTIONS(14121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14123),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(14125),
    [anon_sym_AMP_AMP] = ACTIONS(14125),
    [anon_sym_LT_LT] = ACTIONS(14127),
    [anon_sym_GT_GT] = ACTIONS(14127),
    [anon_sym_EQ_EQ] = ACTIONS(14125),
    [anon_sym_BANG_EQ] = ACTIONS(14129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14129),
    [anon_sym_LT_EQ_GT] = ACTIONS(14129),
    [anon_sym_EQ_TILDE] = ACTIONS(14129),
    [anon_sym_BANG_TILDE] = ACTIONS(14129),
    [anon_sym_LT_EQ] = ACTIONS(14115),
    [anon_sym_GT] = ACTIONS(14115),
    [anon_sym_GT_EQ] = ACTIONS(14131),
    [anon_sym_CARET] = ACTIONS(14109),
    [anon_sym_PLUS] = ACTIONS(14133),
    [anon_sym_SLASH] = ACTIONS(14111),
    [anon_sym_PERCENT] = ACTIONS(14111),
    [sym_comment] = ACTIONS(87),
  },
  [12140] = {
    [aux_sym_exceptions_repeat1] = STATE(12140),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15214),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_when] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [12141] = {
    [sym_method] = STATE(50),
    [sym_singleton_method] = STATE(50),
    [sym_class] = STATE(50),
    [sym_singleton_class] = STATE(50),
    [sym_module] = STATE(50),
    [sym_return] = STATE(50),
    [sym_yield] = STATE(50),
    [sym_break] = STATE(50),
    [sym_next] = STATE(50),
    [sym_while] = STATE(50),
    [sym_until] = STATE(50),
    [sym_for] = STATE(50),
    [sym_case] = STATE(50),
    [sym_if] = STATE(50),
    [sym_unless] = STATE(50),
    [sym_begin] = STATE(50),
    [sym__arg] = STATE(12156),
    [sym__primary] = STATE(50),
    [sym_parenthesized_statements] = STATE(50),
    [sym_element_reference] = STATE(11341),
    [sym_scope_resolution] = STATE(8507),
    [sym_call] = STATE(8507),
    [sym_method_call] = STATE(11341),
    [sym_assignment] = STATE(12156),
    [sym_operator_assignment] = STATE(12156),
    [sym_conditional] = STATE(12156),
    [sym_range] = STATE(12156),
    [sym_binary] = STATE(12156),
    [sym_unary] = STATE(12156),
    [sym_left_assignment_list] = STATE(11340),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11341),
    [sym__variable] = STATE(8507),
    [sym_rational] = STATE(50),
    [sym_true] = STATE(11341),
    [sym_false] = STATE(11341),
    [sym_nil] = STATE(11341),
    [sym_chained_string] = STATE(50),
    [sym_string] = STATE(11227),
    [sym_subshell] = STATE(50),
    [sym_string_array] = STATE(50),
    [sym_symbol_array] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_regex] = STATE(50),
    [sym_array] = STATE(50),
    [sym_hash] = STATE(50),
    [sym_lambda] = STATE(50),
    [sym__simple_symbol] = ACTIONS(5),
    [sym__string_start] = ACTIONS(7),
    [sym__symbol_start] = ACTIONS(9),
    [sym__subshell_start] = ACTIONS(11),
    [sym__regex_start] = ACTIONS(13),
    [sym__string_array_start] = ACTIONS(15),
    [sym__symbol_array_start] = ACTIONS(17),
    [sym_heredoc_beginning] = ACTIONS(19),
    [sym__unary_minus] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_def] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_module] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_yield] = ACTIONS(13999),
    [anon_sym_break] = ACTIONS(14001),
    [anon_sym_next] = ACTIONS(14003),
    [sym_redo] = ACTIONS(55),
    [sym_retry] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_unless] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_until] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_begin] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(14149),
    [anon_sym_defined_QMARK] = ACTIONS(14151),
    [anon_sym_not] = ACTIONS(14153),
    [anon_sym_BANG] = ACTIONS(14155),
    [anon_sym_TILDE] = ACTIONS(14155),
    [sym_constant] = ACTIONS(11292),
    [sym_identifier] = ACTIONS(11292),
    [sym_instance_variable] = ACTIONS(11294),
    [sym_class_variable] = ACTIONS(11294),
    [sym_global_variable] = ACTIONS(11294),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(89),
    [sym_float] = ACTIONS(55),
    [sym_complex] = ACTIONS(19),
    [sym_super] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_TRUE] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(93),
    [anon_sym_FALSE] = ACTIONS(93),
    [sym_self] = ACTIONS(11292),
    [anon_sym_nil] = ACTIONS(95),
    [anon_sym_NIL] = ACTIONS(95),
    [sym_character] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DASH_GT] = ACTIONS(99),
  },
  [12142] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12157),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_assignment] = STATE(12157),
    [sym_operator_assignment] = STATE(12157),
    [sym_conditional] = STATE(12157),
    [sym_range] = STATE(12157),
    [sym_binary] = STATE(12157),
    [sym_unary] = STATE(12157),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [12143] = {
    [sym_method] = STATE(561),
    [sym_singleton_method] = STATE(561),
    [sym_class] = STATE(561),
    [sym_singleton_class] = STATE(561),
    [sym_module] = STATE(561),
    [sym_return] = STATE(561),
    [sym_yield] = STATE(561),
    [sym_break] = STATE(561),
    [sym_next] = STATE(561),
    [sym_while] = STATE(561),
    [sym_until] = STATE(561),
    [sym_for] = STATE(561),
    [sym_case] = STATE(561),
    [sym_if] = STATE(561),
    [sym_unless] = STATE(561),
    [sym_begin] = STATE(561),
    [sym__arg] = STATE(12084),
    [sym__primary] = STATE(561),
    [sym_parenthesized_statements] = STATE(561),
    [sym_element_reference] = STATE(11464),
    [sym_scope_resolution] = STATE(11462),
    [sym_call] = STATE(11462),
    [sym_method_call] = STATE(11464),
    [sym_splat_argument] = STATE(9618),
    [sym_assignment] = STATE(12084),
    [sym_operator_assignment] = STATE(12084),
    [sym_conditional] = STATE(12084),
    [sym_range] = STATE(12084),
    [sym_binary] = STATE(12084),
    [sym_unary] = STATE(12084),
    [sym__arg_or_splat_arg] = STATE(9618),
    [sym_left_assignment_list] = STATE(11463),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11464),
    [sym__variable] = STATE(11462),
    [sym_rational] = STATE(561),
    [sym_true] = STATE(11464),
    [sym_false] = STATE(11464),
    [sym_nil] = STATE(11464),
    [sym_chained_string] = STATE(561),
    [sym_string] = STATE(11465),
    [sym_subshell] = STATE(561),
    [sym_string_array] = STATE(561),
    [sym_symbol_array] = STATE(561),
    [sym_symbol] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_array] = STATE(561),
    [sym_hash] = STATE(561),
    [sym_lambda] = STATE(561),
    [sym__simple_symbol] = ACTIONS(575),
    [sym__string_start] = ACTIONS(1009),
    [sym__symbol_start] = ACTIONS(579),
    [sym__subshell_start] = ACTIONS(581),
    [sym__regex_start] = ACTIONS(583),
    [sym__string_array_start] = ACTIONS(585),
    [sym__symbol_array_start] = ACTIONS(587),
    [sym_heredoc_beginning] = ACTIONS(1011),
    [sym__splat_star] = ACTIONS(13436),
    [sym__unary_minus] = ACTIONS(14283),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_def] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(14285),
    [anon_sym_yield] = ACTIONS(14287),
    [anon_sym_break] = ACTIONS(14289),
    [anon_sym_next] = ACTIONS(14291),
    [sym_redo] = ACTIONS(1025),
    [sym_retry] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_unless] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_until] = ACTIONS(629),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(633),
    [anon_sym_begin] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(14293),
    [anon_sym_defined_QMARK] = ACTIONS(14295),
    [anon_sym_not] = ACTIONS(14297),
    [anon_sym_BANG] = ACTIONS(14299),
    [anon_sym_TILDE] = ACTIONS(14299),
    [sym_constant] = ACTIONS(14301),
    [sym_identifier] = ACTIONS(14301),
    [sym_instance_variable] = ACTIONS(14303),
    [sym_class_variable] = ACTIONS(14303),
    [sym_global_variable] = ACTIONS(14303),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(651),
    [sym_float] = ACTIONS(1025),
    [sym_complex] = ACTIONS(1011),
    [sym_super] = ACTIONS(14301),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14301),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
  },
  [12144] = {
    [aux_sym_exceptions_repeat1] = STATE(12158),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15217),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9799),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9799),
    [anon_sym_AMP_AMP] = ACTIONS(9799),
    [anon_sym_LT_LT] = ACTIONS(9799),
    [anon_sym_GT_GT] = ACTIONS(9799),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9799),
    [anon_sym_PLUS] = ACTIONS(9799),
    [anon_sym_SLASH] = ACTIONS(9799),
    [anon_sym_PERCENT] = ACTIONS(9799),
    [sym_comment] = ACTIONS(87),
  },
  [12145] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(14317),
    [sym__binary_star] = ACTIONS(14319),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(14321),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(14323),
    [anon_sym_AMP] = ACTIONS(14325),
    [anon_sym_LT] = ACTIONS(14327),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(14331),
    [anon_sym_DOT_DOT] = ACTIONS(14333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14335),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(14337),
    [anon_sym_AMP_AMP] = ACTIONS(14337),
    [anon_sym_LT_LT] = ACTIONS(14339),
    [anon_sym_GT_GT] = ACTIONS(14339),
    [anon_sym_EQ_EQ] = ACTIONS(14341),
    [anon_sym_BANG_EQ] = ACTIONS(14337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14337),
    [anon_sym_LT_EQ_GT] = ACTIONS(14337),
    [anon_sym_EQ_TILDE] = ACTIONS(14337),
    [anon_sym_BANG_TILDE] = ACTIONS(14337),
    [anon_sym_LT_EQ] = ACTIONS(14327),
    [anon_sym_GT] = ACTIONS(14327),
    [anon_sym_GT_EQ] = ACTIONS(14343),
    [anon_sym_CARET] = ACTIONS(14345),
    [anon_sym_PLUS] = ACTIONS(14347),
    [anon_sym_SLASH] = ACTIONS(14323),
    [anon_sym_PERCENT] = ACTIONS(14323),
    [sym_comment] = ACTIONS(87),
  },
  [12146] = {
    [aux_sym_exceptions_repeat1] = STATE(12146),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15219),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [12147] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12159),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_assignment] = STATE(12159),
    [sym_operator_assignment] = STATE(12159),
    [sym_conditional] = STATE(12159),
    [sym_range] = STATE(12159),
    [sym_binary] = STATE(12159),
    [sym_unary] = STATE(12159),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [12148] = {
    [sym_method] = STATE(4142),
    [sym_singleton_method] = STATE(4142),
    [sym_class] = STATE(4142),
    [sym_singleton_class] = STATE(4142),
    [sym_module] = STATE(4142),
    [sym_return] = STATE(4142),
    [sym_yield] = STATE(4142),
    [sym_break] = STATE(4142),
    [sym_next] = STATE(4142),
    [sym_while] = STATE(4142),
    [sym_until] = STATE(4142),
    [sym_for] = STATE(4142),
    [sym_case] = STATE(4142),
    [sym_if] = STATE(4142),
    [sym_unless] = STATE(4142),
    [sym_begin] = STATE(4142),
    [sym__arg] = STATE(12118),
    [sym__primary] = STATE(4142),
    [sym_parenthesized_statements] = STATE(4142),
    [sym_element_reference] = STATE(11534),
    [sym_scope_resolution] = STATE(11532),
    [sym_call] = STATE(11532),
    [sym_method_call] = STATE(11534),
    [sym_splat_argument] = STATE(11626),
    [sym_assignment] = STATE(12118),
    [sym_operator_assignment] = STATE(12118),
    [sym_conditional] = STATE(12118),
    [sym_range] = STATE(12118),
    [sym_binary] = STATE(12118),
    [sym_unary] = STATE(12118),
    [sym__arg_or_splat_arg] = STATE(11626),
    [sym_left_assignment_list] = STATE(11533),
    [sym__mlhs] = STATE(53),
    [sym__simple_mlhs] = STATE(54),
    [sym_destructured_left_assignment] = STATE(54),
    [sym_rest_assignment] = STATE(54),
    [sym__lhs] = STATE(11534),
    [sym__variable] = STATE(11532),
    [sym_rational] = STATE(4142),
    [sym_true] = STATE(11534),
    [sym_false] = STATE(11534),
    [sym_nil] = STATE(11534),
    [sym_chained_string] = STATE(4142),
    [sym_string] = STATE(11535),
    [sym_subshell] = STATE(4142),
    [sym_string_array] = STATE(4142),
    [sym_symbol_array] = STATE(4142),
    [sym_symbol] = STATE(4142),
    [sym_regex] = STATE(4142),
    [sym_array] = STATE(4142),
    [sym_hash] = STATE(4142),
    [sym_lambda] = STATE(4142),
    [sym__simple_symbol] = ACTIONS(6305),
    [sym__string_start] = ACTIONS(6307),
    [sym__symbol_start] = ACTIONS(6309),
    [sym__subshell_start] = ACTIONS(6311),
    [sym__regex_start] = ACTIONS(6313),
    [sym__string_array_start] = ACTIONS(6315),
    [sym__symbol_array_start] = ACTIONS(6317),
    [sym_heredoc_beginning] = ACTIONS(6319),
    [sym__splat_star] = ACTIONS(13498),
    [sym__unary_minus] = ACTIONS(14369),
    [anon_sym_LBRACE] = ACTIONS(6323),
    [anon_sym_def] = ACTIONS(6325),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COLON_COLON] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(6329),
    [anon_sym_module] = ACTIONS(6331),
    [anon_sym_return] = ACTIONS(14371),
    [anon_sym_yield] = ACTIONS(14373),
    [anon_sym_break] = ACTIONS(14375),
    [anon_sym_next] = ACTIONS(14377),
    [sym_redo] = ACTIONS(6341),
    [sym_retry] = ACTIONS(6341),
    [anon_sym_if] = ACTIONS(6343),
    [anon_sym_unless] = ACTIONS(6345),
    [anon_sym_while] = ACTIONS(6347),
    [anon_sym_until] = ACTIONS(6349),
    [anon_sym_for] = ACTIONS(6351),
    [anon_sym_case] = ACTIONS(6353),
    [anon_sym_begin] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(14379),
    [anon_sym_defined_QMARK] = ACTIONS(14381),
    [anon_sym_not] = ACTIONS(14383),
    [anon_sym_BANG] = ACTIONS(14385),
    [anon_sym_TILDE] = ACTIONS(14385),
    [sym_constant] = ACTIONS(14387),
    [sym_identifier] = ACTIONS(14387),
    [sym_instance_variable] = ACTIONS(14389),
    [sym_class_variable] = ACTIONS(14389),
    [sym_global_variable] = ACTIONS(14389),
    [sym_comment] = ACTIONS(87),
    [sym_integer] = ACTIONS(6369),
    [sym_float] = ACTIONS(6341),
    [sym_complex] = ACTIONS(6319),
    [sym_super] = ACTIONS(14387),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_TRUE] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1041),
    [anon_sym_FALSE] = ACTIONS(1041),
    [sym_self] = ACTIONS(14387),
    [anon_sym_nil] = ACTIONS(1043),
    [anon_sym_NIL] = ACTIONS(1043),
    [sym_character] = ACTIONS(6319),
    [anon_sym_LBRACK] = ACTIONS(6371),
    [anon_sym_DASH_GT] = ACTIONS(6373),
  },
  [12149] = {
    [aux_sym_exceptions_repeat1] = STATE(12160),
    [sym__heredoc_body_start] = ACTIONS(9799),
    [sym__element_reference_left_bracket] = ACTIONS(9799),
    [sym__infix_scope_colons] = ACTIONS(9799),
    [sym__binary_minus] = ACTIONS(9799),
    [sym__binary_star] = ACTIONS(9799),
    [anon_sym_LBRACE] = ACTIONS(9799),
    [anon_sym_DOT] = ACTIONS(9801),
    [anon_sym_COMMA] = ACTIONS(15222),
    [anon_sym_PIPE] = ACTIONS(9801),
    [anon_sym_SEMI] = ACTIONS(9799),
    [anon_sym_STAR_STAR] = ACTIONS(9801),
    [anon_sym_AMP] = ACTIONS(9801),
    [anon_sym_EQ] = ACTIONS(9801),
    [anon_sym_LT] = ACTIONS(9801),
    [anon_sym_do] = ACTIONS(9799),
    [anon_sym_AMP_DOT] = ACTIONS(9799),
    [anon_sym_PLUS_EQ] = ACTIONS(9799),
    [anon_sym_DASH_EQ] = ACTIONS(9799),
    [anon_sym_STAR_EQ] = ACTIONS(9799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(9799),
    [anon_sym_SLASH_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_PIPE_EQ] = ACTIONS(9799),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(9799),
    [anon_sym_AMP_EQ] = ACTIONS(9799),
    [anon_sym_PERCENT_EQ] = ACTIONS(9799),
    [anon_sym_GT_GT_EQ] = ACTIONS(9799),
    [anon_sym_LT_LT_EQ] = ACTIONS(9799),
    [anon_sym_CARET_EQ] = ACTIONS(9799),
    [anon_sym_QMARK] = ACTIONS(9799),
    [anon_sym_DOT_DOT] = ACTIONS(9801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9799),
    [anon_sym_and] = ACTIONS(9799),
    [anon_sym_or] = ACTIONS(9799),
    [anon_sym_PIPE_PIPE] = ACTIONS(9801),
    [anon_sym_AMP_AMP] = ACTIONS(9801),
    [anon_sym_LT_LT] = ACTIONS(9801),
    [anon_sym_GT_GT] = ACTIONS(9801),
    [anon_sym_EQ_EQ] = ACTIONS(9801),
    [anon_sym_BANG_EQ] = ACTIONS(9799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(9799),
    [anon_sym_LT_EQ_GT] = ACTIONS(9799),
    [anon_sym_EQ_TILDE] = ACTIONS(9799),
    [anon_sym_BANG_TILDE] = ACTIONS(9799),
    [anon_sym_LT_EQ] = ACTIONS(9801),
    [anon_sym_GT] = ACTIONS(9801),
    [anon_sym_GT_EQ] = ACTIONS(9799),
    [anon_sym_CARET] = ACTIONS(9801),
    [anon_sym_PLUS] = ACTIONS(9801),
    [anon_sym_SLASH] = ACTIONS(9801),
    [anon_sym_PERCENT] = ACTIONS(9801),
    [sym_comment] = ACTIONS(87),
  },
  [12150] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(14395),
    [sym__binary_star] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(14399),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(14401),
    [anon_sym_AMP] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(14405),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_EQ_GT] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(14409),
    [anon_sym_DOT_DOT] = ACTIONS(14411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14413),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(14415),
    [anon_sym_AMP_AMP] = ACTIONS(14415),
    [anon_sym_LT_LT] = ACTIONS(14417),
    [anon_sym_GT_GT] = ACTIONS(14417),
    [anon_sym_EQ_EQ] = ACTIONS(14415),
    [anon_sym_BANG_EQ] = ACTIONS(14419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14419),
    [anon_sym_LT_EQ_GT] = ACTIONS(14419),
    [anon_sym_EQ_TILDE] = ACTIONS(14419),
    [anon_sym_BANG_TILDE] = ACTIONS(14419),
    [anon_sym_LT_EQ] = ACTIONS(14405),
    [anon_sym_GT] = ACTIONS(14405),
    [anon_sym_GT_EQ] = ACTIONS(14421),
    [anon_sym_CARET] = ACTIONS(14399),
    [anon_sym_PLUS] = ACTIONS(14423),
    [anon_sym_SLASH] = ACTIONS(14401),
    [anon_sym_PERCENT] = ACTIONS(14401),
    [sym_comment] = ACTIONS(87),
  },
  [12151] = {
    [aux_sym_exceptions_repeat1] = STATE(12151),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15224),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_EQ_GT] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [12152] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(14691),
    [sym__binary_star] = ACTIONS(14693),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(14695),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(14697),
    [anon_sym_AMP] = ACTIONS(14699),
    [anon_sym_LT] = ACTIONS(14701),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_when] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(14703),
    [anon_sym_DOT_DOT] = ACTIONS(14705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14707),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(14709),
    [anon_sym_AMP_AMP] = ACTIONS(14709),
    [anon_sym_LT_LT] = ACTIONS(14711),
    [anon_sym_GT_GT] = ACTIONS(14711),
    [anon_sym_EQ_EQ] = ACTIONS(14713),
    [anon_sym_BANG_EQ] = ACTIONS(14709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14709),
    [anon_sym_LT_EQ_GT] = ACTIONS(14709),
    [anon_sym_EQ_TILDE] = ACTIONS(14709),
    [anon_sym_BANG_TILDE] = ACTIONS(14709),
    [anon_sym_LT_EQ] = ACTIONS(14701),
    [anon_sym_GT] = ACTIONS(14701),
    [anon_sym_GT_EQ] = ACTIONS(14715),
    [anon_sym_CARET] = ACTIONS(14717),
    [anon_sym_PLUS] = ACTIONS(14719),
    [anon_sym_SLASH] = ACTIONS(14697),
    [anon_sym_PERCENT] = ACTIONS(14697),
    [sym_comment] = ACTIONS(87),
  },
  [12153] = {
    [aux_sym_exceptions_repeat1] = STATE(12153),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15227),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_when] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [12154] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(14746),
    [sym__binary_star] = ACTIONS(14748),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(14750),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(14752),
    [anon_sym_AMP] = ACTIONS(14754),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(14756),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_when] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(14758),
    [anon_sym_DOT_DOT] = ACTIONS(14760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14762),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(14764),
    [anon_sym_AMP_AMP] = ACTIONS(14764),
    [anon_sym_LT_LT] = ACTIONS(14766),
    [anon_sym_GT_GT] = ACTIONS(14766),
    [anon_sym_EQ_EQ] = ACTIONS(14764),
    [anon_sym_BANG_EQ] = ACTIONS(14768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14768),
    [anon_sym_LT_EQ_GT] = ACTIONS(14768),
    [anon_sym_EQ_TILDE] = ACTIONS(14768),
    [anon_sym_BANG_TILDE] = ACTIONS(14768),
    [anon_sym_LT_EQ] = ACTIONS(14756),
    [anon_sym_GT] = ACTIONS(14756),
    [anon_sym_GT_EQ] = ACTIONS(14770),
    [anon_sym_CARET] = ACTIONS(14750),
    [anon_sym_PLUS] = ACTIONS(14772),
    [anon_sym_SLASH] = ACTIONS(14752),
    [anon_sym_PERCENT] = ACTIONS(14752),
    [sym_comment] = ACTIONS(87),
  },
  [12155] = {
    [aux_sym_exceptions_repeat1] = STATE(12155),
    [sym__line_break] = ACTIONS(11449),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15230),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_end] = ACTIONS(11449),
    [anon_sym_if] = ACTIONS(11449),
    [anon_sym_unless] = ACTIONS(11449),
    [anon_sym_while] = ACTIONS(11449),
    [anon_sym_until] = ACTIONS(11449),
    [anon_sym_rescue] = ACTIONS(11449),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_when] = ACTIONS(11449),
    [anon_sym_else] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
  [12156] = {
    [sym__line_break] = ACTIONS(12002),
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(14782),
    [sym__binary_star] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(14786),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(14788),
    [anon_sym_AMP] = ACTIONS(14790),
    [anon_sym_LT] = ACTIONS(14792),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_unless] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [anon_sym_until] = ACTIONS(12002),
    [anon_sym_rescue] = ACTIONS(12002),
    [anon_sym_when] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_DOT_DOT] = ACTIONS(14796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14798),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(14800),
    [anon_sym_AMP_AMP] = ACTIONS(14800),
    [anon_sym_LT_LT] = ACTIONS(14802),
    [anon_sym_GT_GT] = ACTIONS(14802),
    [anon_sym_EQ_EQ] = ACTIONS(14804),
    [anon_sym_BANG_EQ] = ACTIONS(14800),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14800),
    [anon_sym_LT_EQ_GT] = ACTIONS(14800),
    [anon_sym_EQ_TILDE] = ACTIONS(14800),
    [anon_sym_BANG_TILDE] = ACTIONS(14800),
    [anon_sym_LT_EQ] = ACTIONS(14792),
    [anon_sym_GT] = ACTIONS(14792),
    [anon_sym_GT_EQ] = ACTIONS(14806),
    [anon_sym_CARET] = ACTIONS(14808),
    [anon_sym_PLUS] = ACTIONS(14810),
    [anon_sym_SLASH] = ACTIONS(14788),
    [anon_sym_PERCENT] = ACTIONS(14788),
    [sym_comment] = ACTIONS(87),
  },
  [12157] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(14882),
    [sym__binary_star] = ACTIONS(14884),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(14886),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(14888),
    [anon_sym_AMP] = ACTIONS(14890),
    [anon_sym_LT] = ACTIONS(14892),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(14894),
    [anon_sym_DOT_DOT] = ACTIONS(14896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14898),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(14900),
    [anon_sym_AMP_AMP] = ACTIONS(14900),
    [anon_sym_LT_LT] = ACTIONS(14902),
    [anon_sym_GT_GT] = ACTIONS(14902),
    [anon_sym_EQ_EQ] = ACTIONS(14904),
    [anon_sym_BANG_EQ] = ACTIONS(14900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14900),
    [anon_sym_LT_EQ_GT] = ACTIONS(14900),
    [anon_sym_EQ_TILDE] = ACTIONS(14900),
    [anon_sym_BANG_TILDE] = ACTIONS(14900),
    [anon_sym_LT_EQ] = ACTIONS(14892),
    [anon_sym_GT] = ACTIONS(14892),
    [anon_sym_GT_EQ] = ACTIONS(14906),
    [anon_sym_CARET] = ACTIONS(14908),
    [anon_sym_PLUS] = ACTIONS(14910),
    [anon_sym_SLASH] = ACTIONS(14888),
    [anon_sym_PERCENT] = ACTIONS(14888),
    [sym_comment] = ACTIONS(87),
  },
  [12158] = {
    [aux_sym_exceptions_repeat1] = STATE(12158),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15233),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(11449),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(11449),
    [anon_sym_AMP_AMP] = ACTIONS(11449),
    [anon_sym_LT_LT] = ACTIONS(11449),
    [anon_sym_GT_GT] = ACTIONS(11449),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(11449),
    [anon_sym_PLUS] = ACTIONS(11449),
    [anon_sym_SLASH] = ACTIONS(11449),
    [anon_sym_PERCENT] = ACTIONS(11449),
    [sym_comment] = ACTIONS(87),
  },
  [12159] = {
    [sym__heredoc_body_start] = ACTIONS(12002),
    [sym__element_reference_left_bracket] = ACTIONS(12002),
    [sym__infix_scope_colons] = ACTIONS(12002),
    [sym__binary_minus] = ACTIONS(14934),
    [sym__binary_star] = ACTIONS(14936),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12664),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_PIPE] = ACTIONS(14938),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_STAR_STAR] = ACTIONS(14940),
    [anon_sym_AMP] = ACTIONS(14942),
    [anon_sym_EQ] = ACTIONS(12664),
    [anon_sym_LT] = ACTIONS(14944),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_AMP_DOT] = ACTIONS(12002),
    [anon_sym_PLUS_EQ] = ACTIONS(12002),
    [anon_sym_DASH_EQ] = ACTIONS(12002),
    [anon_sym_STAR_EQ] = ACTIONS(12002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(12002),
    [anon_sym_SLASH_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_PIPE_EQ] = ACTIONS(12002),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(12002),
    [anon_sym_AMP_EQ] = ACTIONS(12002),
    [anon_sym_PERCENT_EQ] = ACTIONS(12002),
    [anon_sym_GT_GT_EQ] = ACTIONS(12002),
    [anon_sym_LT_LT_EQ] = ACTIONS(12002),
    [anon_sym_CARET_EQ] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(14946),
    [anon_sym_DOT_DOT] = ACTIONS(14948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14950),
    [anon_sym_and] = ACTIONS(12002),
    [anon_sym_or] = ACTIONS(12002),
    [anon_sym_PIPE_PIPE] = ACTIONS(14952),
    [anon_sym_AMP_AMP] = ACTIONS(14952),
    [anon_sym_LT_LT] = ACTIONS(14954),
    [anon_sym_GT_GT] = ACTIONS(14954),
    [anon_sym_EQ_EQ] = ACTIONS(14952),
    [anon_sym_BANG_EQ] = ACTIONS(14956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(14956),
    [anon_sym_LT_EQ_GT] = ACTIONS(14956),
    [anon_sym_EQ_TILDE] = ACTIONS(14956),
    [anon_sym_BANG_TILDE] = ACTIONS(14956),
    [anon_sym_LT_EQ] = ACTIONS(14944),
    [anon_sym_GT] = ACTIONS(14944),
    [anon_sym_GT_EQ] = ACTIONS(14958),
    [anon_sym_CARET] = ACTIONS(14938),
    [anon_sym_PLUS] = ACTIONS(14960),
    [anon_sym_SLASH] = ACTIONS(14940),
    [anon_sym_PERCENT] = ACTIONS(14940),
    [sym_comment] = ACTIONS(87),
  },
  [12160] = {
    [aux_sym_exceptions_repeat1] = STATE(12160),
    [sym__heredoc_body_start] = ACTIONS(11449),
    [sym__element_reference_left_bracket] = ACTIONS(11449),
    [sym__infix_scope_colons] = ACTIONS(11449),
    [sym__binary_minus] = ACTIONS(11449),
    [sym__binary_star] = ACTIONS(11449),
    [anon_sym_LBRACE] = ACTIONS(11449),
    [anon_sym_DOT] = ACTIONS(12229),
    [anon_sym_COMMA] = ACTIONS(15236),
    [anon_sym_PIPE] = ACTIONS(12229),
    [anon_sym_SEMI] = ACTIONS(11449),
    [anon_sym_STAR_STAR] = ACTIONS(12229),
    [anon_sym_AMP] = ACTIONS(12229),
    [anon_sym_EQ] = ACTIONS(12229),
    [anon_sym_LT] = ACTIONS(12229),
    [anon_sym_do] = ACTIONS(11449),
    [anon_sym_AMP_DOT] = ACTIONS(11449),
    [anon_sym_PLUS_EQ] = ACTIONS(11449),
    [anon_sym_DASH_EQ] = ACTIONS(11449),
    [anon_sym_STAR_EQ] = ACTIONS(11449),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(11449),
    [anon_sym_SLASH_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_PIPE_EQ] = ACTIONS(11449),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(11449),
    [anon_sym_AMP_EQ] = ACTIONS(11449),
    [anon_sym_PERCENT_EQ] = ACTIONS(11449),
    [anon_sym_GT_GT_EQ] = ACTIONS(11449),
    [anon_sym_LT_LT_EQ] = ACTIONS(11449),
    [anon_sym_CARET_EQ] = ACTIONS(11449),
    [anon_sym_QMARK] = ACTIONS(11449),
    [anon_sym_DOT_DOT] = ACTIONS(12229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11449),
    [anon_sym_and] = ACTIONS(11449),
    [anon_sym_or] = ACTIONS(11449),
    [anon_sym_PIPE_PIPE] = ACTIONS(12229),
    [anon_sym_AMP_AMP] = ACTIONS(12229),
    [anon_sym_LT_LT] = ACTIONS(12229),
    [anon_sym_GT_GT] = ACTIONS(12229),
    [anon_sym_EQ_EQ] = ACTIONS(12229),
    [anon_sym_BANG_EQ] = ACTIONS(11449),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(11449),
    [anon_sym_LT_EQ_GT] = ACTIONS(11449),
    [anon_sym_EQ_TILDE] = ACTIONS(11449),
    [anon_sym_BANG_TILDE] = ACTIONS(11449),
    [anon_sym_LT_EQ] = ACTIONS(12229),
    [anon_sym_GT] = ACTIONS(12229),
    [anon_sym_GT_EQ] = ACTIONS(11449),
    [anon_sym_CARET] = ACTIONS(12229),
    [anon_sym_PLUS] = ACTIONS(12229),
    [anon_sym_SLASH] = ACTIONS(12229),
    [anon_sym_PERCENT] = ACTIONS(12229),
    [sym_comment] = ACTIONS(87),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = true}, RECOVER(),
  [3] = {.count = 1, .reusable = false}, RECOVER(),
  [5] = {.count = 1, .reusable = true}, SHIFT(2),
  [7] = {.count = 1, .reusable = true}, SHIFT(3),
  [9] = {.count = 1, .reusable = true}, SHIFT(4),
  [11] = {.count = 1, .reusable = true}, SHIFT(5),
  [13] = {.count = 1, .reusable = true}, SHIFT(6),
  [15] = {.count = 1, .reusable = true}, SHIFT(7),
  [17] = {.count = 1, .reusable = true}, SHIFT(8),
  [19] = {.count = 1, .reusable = true}, SHIFT(50),
  [21] = {.count = 1, .reusable = true}, SHIFT(9),
  [23] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [25] = {.count = 1, .reusable = false}, SHIFT(10),
  [27] = {.count = 1, .reusable = false}, SHIFT(11),
  [29] = {.count = 1, .reusable = true}, SHIFT(12),
  [31] = {.count = 1, .reusable = false}, SHIFT(13),
  [33] = {.count = 1, .reusable = false}, SHIFT(14),
  [35] = {.count = 1, .reusable = true}, SHIFT(15),
  [37] = {.count = 1, .reusable = true}, SHIFT(16),
  [39] = {.count = 1, .reusable = true}, SHIFT(17),
  [41] = {.count = 1, .reusable = true}, SHIFT(18),
  [43] = {.count = 1, .reusable = false}, SHIFT(19),
  [45] = {.count = 1, .reusable = false}, SHIFT(20),
  [47] = {.count = 1, .reusable = false}, SHIFT(21),
  [49] = {.count = 1, .reusable = false}, SHIFT(22),
  [51] = {.count = 1, .reusable = false}, SHIFT(23),
  [53] = {.count = 1, .reusable = false}, SHIFT(24),
  [55] = {.count = 1, .reusable = false}, SHIFT(50),
  [57] = {.count = 1, .reusable = false}, SHIFT(25),
  [59] = {.count = 1, .reusable = false}, SHIFT(26),
  [61] = {.count = 1, .reusable = false}, SHIFT(27),
  [63] = {.count = 1, .reusable = false}, SHIFT(28),
  [65] = {.count = 1, .reusable = false}, SHIFT(29),
  [67] = {.count = 1, .reusable = false}, SHIFT(30),
  [69] = {.count = 1, .reusable = false}, SHIFT(31),
  [71] = {.count = 1, .reusable = false}, SHIFT(32),
  [73] = {.count = 1, .reusable = true}, SHIFT(33),
  [75] = {.count = 1, .reusable = false}, SHIFT(33),
  [77] = {.count = 1, .reusable = true}, SHIFT(34),
  [79] = {.count = 1, .reusable = false}, SHIFT(51),
  [81] = {.count = 1, .reusable = true}, SHIFT(51),
  [83] = {.count = 1, .reusable = false}, SHIFT(35),
  [85] = {.count = 1, .reusable = false}, SHIFT(36),
  [87] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [89] = {.count = 1, .reusable = false}, SHIFT(37),
  [91] = {.count = 1, .reusable = false}, SHIFT(38),
  [93] = {.count = 1, .reusable = false}, SHIFT(39),
  [95] = {.count = 1, .reusable = false}, SHIFT(40),
  [97] = {.count = 1, .reusable = true}, SHIFT(41),
  [99] = {.count = 1, .reusable = true}, SHIFT(42),
  [101] = {.count = 1, .reusable = true}, REDUCE(sym_symbol, 1),
  [103] = {.count = 1, .reusable = false}, REDUCE(sym_symbol, 1),
  [105] = {.count = 1, .reusable = true}, SHIFT(60),
  [107] = {.count = 1, .reusable = true}, SHIFT(57),
  [109] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [111] = {.count = 1, .reusable = false}, SHIFT(58),
  [113] = {.count = 1, .reusable = true}, SHIFT(61),
  [115] = {.count = 1, .reusable = true}, SHIFT(63),
  [117] = {.count = 1, .reusable = true}, SHIFT(65),
  [119] = {.count = 1, .reusable = true}, SHIFT(71),
  [121] = {.count = 1, .reusable = true}, SHIFT(67),
  [123] = {.count = 1, .reusable = false}, SHIFT(68),
  [125] = {.count = 1, .reusable = false}, SHIFT(69),
  [127] = {.count = 1, .reusable = false}, SHIFT(71),
  [129] = {.count = 1, .reusable = true}, SHIFT(72),
  [131] = {.count = 1, .reusable = false}, SHIFT(73),
  [133] = {.count = 1, .reusable = true}, SHIFT(76),
  [135] = {.count = 1, .reusable = true}, SHIFT(77),
  [137] = {.count = 1, .reusable = true}, SHIFT(78),
  [139] = {.count = 1, .reusable = true}, SHIFT(79),
  [141] = {.count = 1, .reusable = true}, SHIFT(80),
  [143] = {.count = 1, .reusable = true}, SHIFT(81),
  [145] = {.count = 1, .reusable = true}, SHIFT(82),
  [147] = {.count = 1, .reusable = true}, SHIFT(83),
  [149] = {.count = 1, .reusable = true}, SHIFT(84),
  [151] = {.count = 1, .reusable = true}, SHIFT(85),
  [153] = {.count = 1, .reusable = true}, SHIFT(118),
  [155] = {.count = 1, .reusable = true}, SHIFT(86),
  [157] = {.count = 1, .reusable = true}, SHIFT(87),
  [159] = {.count = 1, .reusable = true}, SHIFT(88),
  [161] = {.count = 1, .reusable = true}, SHIFT(89),
  [163] = {.count = 1, .reusable = false}, SHIFT(90),
  [165] = {.count = 1, .reusable = true}, SHIFT(91),
  [167] = {.count = 1, .reusable = true}, SHIFT(92),
  [169] = {.count = 1, .reusable = false}, SHIFT(18),
  [171] = {.count = 1, .reusable = true}, SHIFT(93),
  [173] = {.count = 1, .reusable = false}, SHIFT(94),
  [175] = {.count = 1, .reusable = false}, SHIFT(95),
  [177] = {.count = 1, .reusable = false}, SHIFT(96),
  [179] = {.count = 1, .reusable = false}, SHIFT(97),
  [181] = {.count = 1, .reusable = false}, SHIFT(98),
  [183] = {.count = 1, .reusable = false}, SHIFT(99),
  [185] = {.count = 1, .reusable = false}, SHIFT(118),
  [187] = {.count = 1, .reusable = false}, SHIFT(100),
  [189] = {.count = 1, .reusable = false}, SHIFT(101),
  [191] = {.count = 1, .reusable = false}, SHIFT(102),
  [193] = {.count = 1, .reusable = false}, SHIFT(103),
  [195] = {.count = 1, .reusable = false}, SHIFT(104),
  [197] = {.count = 1, .reusable = false}, SHIFT(105),
  [199] = {.count = 1, .reusable = false}, SHIFT(106),
  [201] = {.count = 1, .reusable = false}, SHIFT(107),
  [203] = {.count = 1, .reusable = true}, SHIFT(108),
  [205] = {.count = 1, .reusable = false}, SHIFT(108),
  [207] = {.count = 1, .reusable = true}, SHIFT(109),
  [209] = {.count = 1, .reusable = false}, SHIFT(110),
  [211] = {.count = 1, .reusable = true}, SHIFT(119),
  [213] = {.count = 1, .reusable = false}, SHIFT(111),
  [215] = {.count = 1, .reusable = false}, SHIFT(119),
  [217] = {.count = 1, .reusable = false}, SHIFT(112),
  [219] = {.count = 1, .reusable = false}, SHIFT(113),
  [221] = {.count = 1, .reusable = false}, SHIFT(114),
  [223] = {.count = 1, .reusable = true}, SHIFT(115),
  [225] = {.count = 1, .reusable = true}, SHIFT(116),
  [227] = {.count = 1, .reusable = true}, SHIFT(127),
  [229] = {.count = 1, .reusable = true}, SHIFT(128),
  [231] = {.count = 1, .reusable = true}, SHIFT(129),
  [233] = {.count = 1, .reusable = true}, SHIFT(130),
  [235] = {.count = 1, .reusable = true}, SHIFT(131),
  [237] = {.count = 1, .reusable = false}, SHIFT(131),
  [239] = {.count = 1, .reusable = true}, SHIFT(132),
  [241] = {.count = 1, .reusable = false}, SHIFT(133),
  [243] = {.count = 1, .reusable = false}, SHIFT(135),
  [245] = {.count = 1, .reusable = true}, SHIFT(138),
  [247] = {.count = 1, .reusable = true}, SHIFT(139),
  [249] = {.count = 1, .reusable = true}, SHIFT(140),
  [251] = {.count = 1, .reusable = false}, SHIFT(141),
  [253] = {.count = 1, .reusable = false}, SHIFT(142),
  [255] = {.count = 1, .reusable = false}, SHIFT(143),
  [257] = {.count = 1, .reusable = false}, SHIFT(144),
  [259] = {.count = 1, .reusable = false}, SHIFT(145),
  [261] = {.count = 1, .reusable = true}, SHIFT(146),
  [263] = {.count = 1, .reusable = false}, SHIFT(146),
  [265] = {.count = 1, .reusable = true}, SHIFT(147),
  [267] = {.count = 1, .reusable = false}, SHIFT(153),
  [269] = {.count = 1, .reusable = true}, SHIFT(153),
  [271] = {.count = 1, .reusable = false}, SHIFT(148),
  [273] = {.count = 1, .reusable = true}, SHIFT(159),
  [275] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [277] = {.count = 1, .reusable = true}, SHIFT(160),
  [279] = {.count = 1, .reusable = true}, SHIFT(161),
  [281] = {.count = 1, .reusable = true}, SHIFT(162),
  [283] = {.count = 1, .reusable = true}, SHIFT(163),
  [285] = {.count = 1, .reusable = true}, SHIFT(164),
  [287] = {.count = 1, .reusable = true}, SHIFT(165),
  [289] = {.count = 1, .reusable = true}, SHIFT(166),
  [291] = {.count = 1, .reusable = true}, SHIFT(190),
  [293] = {.count = 1, .reusable = true}, SHIFT(167),
  [295] = {.count = 1, .reusable = false}, SHIFT(168),
  [297] = {.count = 1, .reusable = true}, SHIFT(169),
  [299] = {.count = 1, .reusable = true}, SHIFT(170),
  [301] = {.count = 1, .reusable = true}, REDUCE(sym_rest_assignment, 1),
  [303] = {.count = 1, .reusable = false}, SHIFT(171),
  [305] = {.count = 1, .reusable = false}, SHIFT(172),
  [307] = {.count = 1, .reusable = false}, SHIFT(173),
  [309] = {.count = 1, .reusable = false}, SHIFT(174),
  [311] = {.count = 1, .reusable = false}, SHIFT(175),
  [313] = {.count = 1, .reusable = false}, SHIFT(176),
  [315] = {.count = 1, .reusable = false}, SHIFT(190),
  [317] = {.count = 1, .reusable = false}, SHIFT(177),
  [319] = {.count = 1, .reusable = false}, SHIFT(178),
  [321] = {.count = 1, .reusable = false}, SHIFT(179),
  [323] = {.count = 1, .reusable = false}, SHIFT(180),
  [325] = {.count = 1, .reusable = false}, SHIFT(181),
  [327] = {.count = 1, .reusable = false}, SHIFT(182),
  [329] = {.count = 1, .reusable = false}, SHIFT(183),
  [331] = {.count = 1, .reusable = false}, SHIFT(191),
  [333] = {.count = 1, .reusable = true}, SHIFT(191),
  [335] = {.count = 1, .reusable = false}, SHIFT(184),
  [337] = {.count = 1, .reusable = false}, SHIFT(185),
  [339] = {.count = 1, .reusable = false}, SHIFT(186),
  [341] = {.count = 1, .reusable = false}, SHIFT(187),
  [343] = {.count = 1, .reusable = true}, SHIFT(188),
  [345] = {.count = 1, .reusable = true}, SHIFT(189),
  [347] = {.count = 1, .reusable = true}, SHIFT(197),
  [349] = {.count = 1, .reusable = true}, SHIFT(194),
  [351] = {.count = 1, .reusable = true}, SHIFT(195),
  [353] = {.count = 1, .reusable = false}, SHIFT(197),
  [355] = {.count = 1, .reusable = false}, SHIFT(196),
  [357] = {.count = 1, .reusable = false}, SHIFT(199),
  [359] = {.count = 1, .reusable = true}, SHIFT(199),
  [361] = {.count = 1, .reusable = false}, SHIFT(200),
  [363] = {.count = 1, .reusable = true}, REDUCE(sym_return, 1),
  [365] = {.count = 1, .reusable = true}, SHIFT(202),
  [367] = {.count = 1, .reusable = true}, SHIFT(222),
  [369] = {.count = 1, .reusable = true}, SHIFT(203),
  [371] = {.count = 1, .reusable = true}, SHIFT(204),
  [373] = {.count = 1, .reusable = true}, SHIFT(205),
  [375] = {.count = 1, .reusable = true}, SHIFT(206),
  [377] = {.count = 1, .reusable = true}, SHIFT(207),
  [379] = {.count = 1, .reusable = false}, REDUCE(sym_return, 1),
  [381] = {.count = 1, .reusable = true}, SHIFT(208),
  [383] = {.count = 1, .reusable = false}, SHIFT(210),
  [385] = {.count = 1, .reusable = false}, SHIFT(211),
  [387] = {.count = 1, .reusable = false}, SHIFT(212),
  [389] = {.count = 1, .reusable = false}, SHIFT(213),
  [391] = {.count = 1, .reusable = false}, SHIFT(222),
  [393] = {.count = 1, .reusable = true}, SHIFT(215),
  [395] = {.count = 1, .reusable = false}, SHIFT(215),
  [397] = {.count = 1, .reusable = false}, SHIFT(216),
  [399] = {.count = 1, .reusable = true}, SHIFT(216),
  [401] = {.count = 1, .reusable = false}, SHIFT(217),
  [403] = {.count = 1, .reusable = true}, SHIFT(223),
  [405] = {.count = 1, .reusable = false}, SHIFT(223),
  [407] = {.count = 1, .reusable = false}, SHIFT(218),
  [409] = {.count = 1, .reusable = false}, SHIFT(219),
  [411] = {.count = 1, .reusable = false}, SHIFT(220),
  [413] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 1),
  [415] = {.count = 1, .reusable = false}, REDUCE(sym_yield, 1),
  [417] = {.count = 1, .reusable = true}, REDUCE(sym_break, 1),
  [419] = {.count = 1, .reusable = false}, REDUCE(sym_break, 1),
  [421] = {.count = 1, .reusable = true}, REDUCE(sym_next, 1),
  [423] = {.count = 1, .reusable = false}, REDUCE(sym_next, 1),
  [425] = {.count = 1, .reusable = true}, SHIFT(233),
  [427] = {.count = 1, .reusable = false}, SHIFT(234),
  [429] = {.count = 1, .reusable = false}, SHIFT(235),
  [431] = {.count = 1, .reusable = false}, SHIFT(236),
  [433] = {.count = 1, .reusable = false}, SHIFT(237),
  [435] = {.count = 1, .reusable = false}, SHIFT(238),
  [437] = {.count = 1, .reusable = true}, SHIFT(239),
  [439] = {.count = 1, .reusable = false}, SHIFT(239),
  [441] = {.count = 1, .reusable = true}, SHIFT(240),
  [443] = {.count = 1, .reusable = false}, SHIFT(244),
  [445] = {.count = 1, .reusable = true}, SHIFT(244),
  [447] = {.count = 1, .reusable = false}, SHIFT(241),
  [449] = {.count = 1, .reusable = true}, SHIFT(249),
  [451] = {.count = 1, .reusable = false}, SHIFT(250),
  [453] = {.count = 1, .reusable = false}, SHIFT(251),
  [455] = {.count = 1, .reusable = false}, SHIFT(252),
  [457] = {.count = 1, .reusable = false}, SHIFT(253),
  [459] = {.count = 1, .reusable = false}, SHIFT(254),
  [461] = {.count = 1, .reusable = true}, SHIFT(255),
  [463] = {.count = 1, .reusable = false}, SHIFT(255),
  [465] = {.count = 1, .reusable = true}, SHIFT(256),
  [467] = {.count = 1, .reusable = false}, SHIFT(258),
  [469] = {.count = 1, .reusable = true}, SHIFT(258),
  [471] = {.count = 1, .reusable = true}, SHIFT(263),
  [473] = {.count = 1, .reusable = true}, SHIFT(264),
  [475] = {.count = 1, .reusable = false}, SHIFT(265),
  [477] = {.count = 1, .reusable = true}, SHIFT(265),
  [479] = {.count = 1, .reusable = true}, SHIFT(282),
  [481] = {.count = 1, .reusable = true}, SHIFT(269),
  [483] = {.count = 1, .reusable = false}, SHIFT(270),
  [485] = {.count = 1, .reusable = false}, SHIFT(271),
  [487] = {.count = 1, .reusable = false}, SHIFT(272),
  [489] = {.count = 1, .reusable = false}, SHIFT(273),
  [491] = {.count = 1, .reusable = false}, SHIFT(274),
  [493] = {.count = 1, .reusable = true}, SHIFT(275),
  [495] = {.count = 1, .reusable = false}, SHIFT(275),
  [497] = {.count = 1, .reusable = true}, SHIFT(276),
  [499] = {.count = 1, .reusable = false}, SHIFT(278),
  [501] = {.count = 1, .reusable = true}, SHIFT(278),
  [503] = {.count = 1, .reusable = true}, SHIFT(309),
  [505] = {.count = 1, .reusable = true}, SHIFT(283),
  [507] = {.count = 1, .reusable = true}, SHIFT(284),
  [509] = {.count = 1, .reusable = true}, SHIFT(285),
  [511] = {.count = 1, .reusable = false}, SHIFT(303),
  [513] = {.count = 1, .reusable = false}, SHIFT(286),
  [515] = {.count = 1, .reusable = false}, SHIFT(287),
  [517] = {.count = 1, .reusable = false}, SHIFT(288),
  [519] = {.count = 1, .reusable = false}, SHIFT(289),
  [521] = {.count = 1, .reusable = false}, SHIFT(290),
  [523] = {.count = 1, .reusable = false}, SHIFT(291),
  [525] = {.count = 1, .reusable = false}, SHIFT(292),
  [527] = {.count = 1, .reusable = false}, SHIFT(293),
  [529] = {.count = 1, .reusable = true}, SHIFT(294),
  [531] = {.count = 1, .reusable = false}, SHIFT(294),
  [533] = {.count = 1, .reusable = true}, SHIFT(295),
  [535] = {.count = 1, .reusable = false}, SHIFT(305),
  [537] = {.count = 1, .reusable = true}, SHIFT(305),
  [539] = {.count = 1, .reusable = false}, SHIFT(296),
  [541] = {.count = 1, .reusable = true}, SHIFT(136),
  [543] = {.count = 1, .reusable = true}, SHIFT(313),
  [545] = {.count = 1, .reusable = true}, SHIFT(315),
  [547] = {.count = 1, .reusable = true}, SHIFT(316),
  [549] = {.count = 1, .reusable = true}, SHIFT(317),
  [551] = {.count = 1, .reusable = false}, SHIFT(317),
  [553] = {.count = 1, .reusable = true}, SHIFT(318),
  [555] = {.count = 1, .reusable = true}, SHIFT(319),
  [557] = {.count = 1, .reusable = true}, REDUCE(sym__primary, 1),
  [559] = {.count = 1, .reusable = false}, REDUCE(sym__primary, 1),
  [561] = {.count = 1, .reusable = false}, SHIFT(321),
  [563] = {.count = 1, .reusable = true}, REDUCE(sym_true, 1),
  [565] = {.count = 1, .reusable = false}, REDUCE(sym_true, 1),
  [567] = {.count = 1, .reusable = true}, REDUCE(sym_false, 1),
  [569] = {.count = 1, .reusable = false}, REDUCE(sym_false, 1),
  [571] = {.count = 1, .reusable = true}, REDUCE(sym_nil, 1),
  [573] = {.count = 1, .reusable = false}, REDUCE(sym_nil, 1),
  [575] = {.count = 1, .reusable = true}, SHIFT(322),
  [577] = {.count = 1, .reusable = true}, SHIFT(323),
  [579] = {.count = 1, .reusable = true}, SHIFT(324),
  [581] = {.count = 1, .reusable = true}, SHIFT(325),
  [583] = {.count = 1, .reusable = true}, SHIFT(326),
  [585] = {.count = 1, .reusable = true}, SHIFT(327),
  [587] = {.count = 1, .reusable = true}, SHIFT(328),
  [589] = {.count = 1, .reusable = true}, SHIFT(363),
  [591] = {.count = 1, .reusable = true}, SHIFT(329),
  [593] = {.count = 1, .reusable = true}, SHIFT(330),
  [595] = {.count = 1, .reusable = true}, SHIFT(331),
  [597] = {.count = 1, .reusable = true}, SHIFT(332),
  [599] = {.count = 1, .reusable = true}, SHIFT(333),
  [601] = {.count = 1, .reusable = false}, SHIFT(334),
  [603] = {.count = 1, .reusable = true}, SHIFT(335),
  [605] = {.count = 1, .reusable = true}, SHIFT(336),
  [607] = {.count = 1, .reusable = true}, SHIFT(337),
  [609] = {.count = 1, .reusable = false}, SHIFT(338),
  [611] = {.count = 1, .reusable = false}, SHIFT(339),
  [613] = {.count = 1, .reusable = false}, SHIFT(340),
  [615] = {.count = 1, .reusable = false}, SHIFT(341),
  [617] = {.count = 1, .reusable = false}, SHIFT(342),
  [619] = {.count = 1, .reusable = false}, SHIFT(343),
  [621] = {.count = 1, .reusable = false}, SHIFT(363),
  [623] = {.count = 1, .reusable = false}, SHIFT(344),
  [625] = {.count = 1, .reusable = false}, SHIFT(345),
  [627] = {.count = 1, .reusable = false}, SHIFT(346),
  [629] = {.count = 1, .reusable = false}, SHIFT(347),
  [631] = {.count = 1, .reusable = false}, SHIFT(348),
  [633] = {.count = 1, .reusable = false}, SHIFT(349),
  [635] = {.count = 1, .reusable = false}, SHIFT(350),
  [637] = {.count = 1, .reusable = true}, SHIFT(351),
  [639] = {.count = 1, .reusable = false}, SHIFT(352),
  [641] = {.count = 1, .reusable = true}, SHIFT(353),
  [643] = {.count = 1, .reusable = false}, SHIFT(353),
  [645] = {.count = 1, .reusable = true}, SHIFT(354),
  [647] = {.count = 1, .reusable = false}, SHIFT(355),
  [649] = {.count = 1, .reusable = true}, SHIFT(364),
  [651] = {.count = 1, .reusable = false}, SHIFT(356),
  [653] = {.count = 1, .reusable = false}, SHIFT(364),
  [655] = {.count = 1, .reusable = false}, SHIFT(357),
  [657] = {.count = 1, .reusable = false}, SHIFT(358),
  [659] = {.count = 1, .reusable = false}, SHIFT(359),
  [661] = {.count = 1, .reusable = true}, SHIFT(360),
  [663] = {.count = 1, .reusable = true}, SHIFT(361),
  [665] = {.count = 1, .reusable = true}, SHIFT(371),
  [667] = {.count = 1, .reusable = true}, SHIFT(372),
  [669] = {.count = 1, .reusable = false}, SHIFT(373),
  [671] = {.count = 1, .reusable = true}, SHIFT(374),
  [673] = {.count = 1, .reusable = true}, SHIFT(375),
  [675] = {.count = 1, .reusable = false}, SHIFT(376),
  [677] = {.count = 1, .reusable = false}, SHIFT(377),
  [679] = {.count = 1, .reusable = true}, ACCEPT_INPUT(),
  [681] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [683] = {.count = 1, .reusable = true}, SHIFT(381),
  [685] = {.count = 1, .reusable = true}, SHIFT(382),
  [687] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 1),
  [689] = {.count = 1, .reusable = true}, REDUCE(sym__top_level_statement, 1),
  [691] = {.count = 1, .reusable = true}, SHIFT(384),
  [693] = {.count = 1, .reusable = true}, SHIFT(385),
  [695] = {.count = 1, .reusable = true}, SHIFT(386),
  [697] = {.count = 1, .reusable = true}, SHIFT(387),
  [699] = {.count = 1, .reusable = true}, SHIFT(388),
  [701] = {.count = 1, .reusable = true}, REDUCE(sym__statement, 1),
  [703] = {.count = 1, .reusable = true}, SHIFT(389),
  [705] = {.count = 1, .reusable = true}, SHIFT(390),
  [707] = {.count = 1, .reusable = false}, SHIFT(391),
  [709] = {.count = 1, .reusable = true}, SHIFT(392),
  [711] = {.count = 1, .reusable = false}, SHIFT(393),
  [713] = {.count = 1, .reusable = false}, SHIFT(394),
  [715] = {.count = 1, .reusable = true}, SHIFT(395),
  [717] = {.count = 1, .reusable = false}, SHIFT(396),
  [719] = {.count = 1, .reusable = true}, SHIFT(396),
  [721] = {.count = 1, .reusable = true}, SHIFT(397),
  [723] = {.count = 1, .reusable = true}, SHIFT(398),
  [725] = {.count = 1, .reusable = true}, SHIFT(399),
  [727] = {.count = 1, .reusable = false}, SHIFT(398),
  [729] = {.count = 1, .reusable = true}, SHIFT(394),
  [731] = {.count = 1, .reusable = true}, SHIFT(391),
  [733] = {.count = 1, .reusable = true}, SHIFT(400),
  [735] = {.count = 1, .reusable = true}, REDUCE(sym__arg, 1),
  [737] = {.count = 1, .reusable = true}, SHIFT(401),
  [739] = {.count = 1, .reusable = true}, SHIFT(402),
  [741] = {.count = 1, .reusable = false}, SHIFT(403),
  [743] = {.count = 1, .reusable = false}, REDUCE(sym__arg, 1),
  [745] = {.count = 1, .reusable = true}, SHIFT(403),
  [747] = {.count = 1, .reusable = true}, REDUCE(sym__lhs, 1),
  [749] = {.count = 1, .reusable = true}, SHIFT(404),
  [751] = {.count = 1, .reusable = true}, SHIFT(405),
  [753] = {.count = 1, .reusable = true}, SHIFT(406),
  [755] = {.count = 1, .reusable = true}, SHIFT(407),
  [757] = {.count = 1, .reusable = true}, SHIFT(408),
  [759] = {.count = 1, .reusable = true}, SHIFT(409),
  [761] = {.count = 1, .reusable = true}, SHIFT(410),
  [763] = {.count = 1, .reusable = true}, SHIFT(442),
  [765] = {.count = 1, .reusable = true}, SHIFT(411),
  [767] = {.count = 1, .reusable = true}, SHIFT(412),
  [769] = {.count = 1, .reusable = true}, SHIFT(413),
  [771] = {.count = 1, .reusable = true}, SHIFT(414),
  [773] = {.count = 1, .reusable = true}, SHIFT(415),
  [775] = {.count = 1, .reusable = false}, REDUCE(sym__lhs, 1),
  [777] = {.count = 1, .reusable = true}, SHIFT(416),
  [779] = {.count = 1, .reusable = false}, SHIFT(417),
  [781] = {.count = 1, .reusable = true}, SHIFT(418),
  [783] = {.count = 1, .reusable = false}, SHIFT(420),
  [785] = {.count = 1, .reusable = false}, SHIFT(421),
  [787] = {.count = 1, .reusable = false}, SHIFT(422),
  [789] = {.count = 1, .reusable = false}, SHIFT(423),
  [791] = {.count = 1, .reusable = false}, SHIFT(424),
  [793] = {.count = 1, .reusable = false}, SHIFT(425),
  [795] = {.count = 1, .reusable = false}, SHIFT(442),
  [797] = {.count = 1, .reusable = false}, SHIFT(430),
  [799] = {.count = 1, .reusable = false}, SHIFT(431),
  [801] = {.count = 1, .reusable = false}, SHIFT(432),
  [803] = {.count = 1, .reusable = false}, SHIFT(433),
  [805] = {.count = 1, .reusable = true}, SHIFT(435),
  [807] = {.count = 1, .reusable = false}, SHIFT(435),
  [809] = {.count = 1, .reusable = false}, SHIFT(436),
  [811] = {.count = 1, .reusable = true}, SHIFT(436),
  [813] = {.count = 1, .reusable = false}, SHIFT(437),
  [815] = {.count = 1, .reusable = true}, SHIFT(443),
  [817] = {.count = 1, .reusable = false}, SHIFT(438),
  [819] = {.count = 1, .reusable = false}, SHIFT(443),
  [821] = {.count = 1, .reusable = true}, SHIFT(439),
  [823] = {.count = 1, .reusable = true}, SHIFT(440),
  [825] = {.count = 1, .reusable = true}, SHIFT(451),
  [827] = {.count = 1, .reusable = true}, REDUCE(sym_left_assignment_list, 1),
  [829] = {.count = 1, .reusable = true}, SHIFT(452),
  [831] = {.count = 1, .reusable = true}, REDUCE(sym__mlhs, 1),
  [833] = {.count = 1, .reusable = true}, REDUCE(sym__simple_mlhs, 1),
  [835] = {.count = 1, .reusable = false}, SHIFT(451),
  [837] = {.count = 1, .reusable = true}, SHIFT(453),
  [839] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2, .alias_sequence_id = 1),
  [841] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2, .alias_sequence_id = 1),
  [843] = {.count = 1, .reusable = true}, SHIFT(455),
  [845] = {.count = 1, .reusable = true}, SHIFT(474),
  [847] = {.count = 1, .reusable = true}, SHIFT(456),
  [849] = {.count = 1, .reusable = true}, SHIFT(457),
  [851] = {.count = 1, .reusable = true}, SHIFT(458),
  [853] = {.count = 1, .reusable = false}, SHIFT(459),
  [855] = {.count = 1, .reusable = false}, SHIFT(460),
  [857] = {.count = 1, .reusable = false}, SHIFT(461),
  [859] = {.count = 1, .reusable = false}, SHIFT(462),
  [861] = {.count = 1, .reusable = false}, SHIFT(474),
  [863] = {.count = 1, .reusable = false}, SHIFT(463),
  [865] = {.count = 1, .reusable = true}, SHIFT(464),
  [867] = {.count = 1, .reusable = false}, SHIFT(464),
  [869] = {.count = 1, .reusable = true}, SHIFT(465),
  [871] = {.count = 1, .reusable = false}, SHIFT(475),
  [873] = {.count = 1, .reusable = true}, SHIFT(475),
  [875] = {.count = 1, .reusable = false}, SHIFT(466),
  [877] = {.count = 1, .reusable = false}, SHIFT(467),
  [879] = {.count = 1, .reusable = false}, SHIFT(468),
  [881] = {.count = 1, .reusable = false}, SHIFT(469),
  [883] = {.count = 1, .reusable = false}, SHIFT(470),
  [885] = {.count = 1, .reusable = true}, SHIFT(479),
  [887] = {.count = 1, .reusable = true}, SHIFT(480),
  [889] = {.count = 1, .reusable = true}, REDUCE(sym__literal_contents, 1),
  [891] = {.count = 1, .reusable = true}, REDUCE(sym_symbol, 2, .alias_sequence_id = 2),
  [893] = {.count = 1, .reusable = false}, REDUCE(sym_symbol, 2, .alias_sequence_id = 2),
  [895] = {.count = 1, .reusable = true}, SHIFT(481),
  [897] = {.count = 1, .reusable = true}, REDUCE(sym_subshell, 2, .alias_sequence_id = 3),
  [899] = {.count = 1, .reusable = false}, REDUCE(sym_subshell, 2, .alias_sequence_id = 3),
  [901] = {.count = 1, .reusable = true}, SHIFT(482),
  [903] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 2, .alias_sequence_id = 4),
  [905] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 2, .alias_sequence_id = 4),
  [907] = {.count = 1, .reusable = true}, SHIFT(483),
  [909] = {.count = 1, .reusable = true}, REDUCE(sym_string_array, 2, .alias_sequence_id = 5),
  [911] = {.count = 1, .reusable = false}, REDUCE(sym_string_array, 2, .alias_sequence_id = 5),
  [913] = {.count = 1, .reusable = true}, SHIFT(485),
  [915] = {.count = 1, .reusable = false}, SHIFT(486),
  [917] = {.count = 1, .reusable = true}, SHIFT(488),
  [919] = {.count = 1, .reusable = true}, SHIFT(489),
  [921] = {.count = 1, .reusable = true}, SHIFT(491),
  [923] = {.count = 1, .reusable = false}, REDUCE(sym__literal_contents, 1),
  [925] = {.count = 1, .reusable = false}, SHIFT(491),
  [927] = {.count = 1, .reusable = true}, REDUCE(sym_symbol_array, 2, .alias_sequence_id = 6),
  [929] = {.count = 1, .reusable = false}, REDUCE(sym_symbol_array, 2, .alias_sequence_id = 6),
  [931] = {.count = 1, .reusable = true}, SHIFT(492),
  [933] = {.count = 1, .reusable = false}, SHIFT(493),
  [935] = {.count = 1, .reusable = true}, SHIFT(495),
  [937] = {.count = 1, .reusable = true}, SHIFT(496),
  [939] = {.count = 1, .reusable = true}, REDUCE(sym_unary, 2, .alias_sequence_id = 7),
  [941] = {.count = 1, .reusable = false}, REDUCE(sym_unary, 2, .alias_sequence_id = 7),
  [943] = {.count = 1, .reusable = false}, SHIFT(498),
  [945] = {.count = 1, .reusable = true}, SHIFT(499),
  [947] = {.count = 1, .reusable = true}, SHIFT(500),
  [949] = {.count = 1, .reusable = false}, SHIFT(501),
  [951] = {.count = 1, .reusable = false}, SHIFT(502),
  [953] = {.count = 1, .reusable = false}, SHIFT(503),
  [955] = {.count = 1, .reusable = false}, SHIFT(504),
  [957] = {.count = 1, .reusable = false}, SHIFT(505),
  [959] = {.count = 1, .reusable = true}, SHIFT(506),
  [961] = {.count = 1, .reusable = false}, SHIFT(506),
  [963] = {.count = 1, .reusable = true}, SHIFT(507),
  [965] = {.count = 1, .reusable = false}, SHIFT(513),
  [967] = {.count = 1, .reusable = true}, SHIFT(513),
  [969] = {.count = 1, .reusable = false}, SHIFT(508),
  [971] = {.count = 1, .reusable = true}, SHIFT(517),
  [973] = {.count = 1, .reusable = true}, SHIFT(519),
  [975] = {.count = 1, .reusable = true}, SHIFT(521),
  [977] = {.count = 1, .reusable = true}, SHIFT(523),
  [979] = {.count = 1, .reusable = true}, SHIFT(525),
  [981] = {.count = 1, .reusable = false}, SHIFT(526),
  [983] = {.count = 1, .reusable = true}, SHIFT(528),
  [985] = {.count = 1, .reusable = false}, SHIFT(529),
  [987] = {.count = 1, .reusable = true}, SHIFT(533),
  [989] = {.count = 1, .reusable = true}, SHIFT(531),
  [991] = {.count = 1, .reusable = false}, SHIFT(532),
  [993] = {.count = 1, .reusable = true}, SHIFT(536),
  [995] = {.count = 1, .reusable = true}, SHIFT(537),
  [997] = {.count = 1, .reusable = true}, REDUCE(sym_hash, 2),
  [999] = {.count = 1, .reusable = false}, REDUCE(sym_hash, 2),
  [1001] = {.count = 1, .reusable = true}, SHIFT(540),
  [1003] = {.count = 1, .reusable = false}, SHIFT(542),
  [1005] = {.count = 1, .reusable = true}, SHIFT(544),
  [1007] = {.count = 1, .reusable = true}, SHIFT(546),
  [1009] = {.count = 1, .reusable = true}, SHIFT(547),
  [1011] = {.count = 1, .reusable = true}, SHIFT(561),
  [1013] = {.count = 1, .reusable = true}, SHIFT(548),
  [1015] = {.count = 1, .reusable = true}, SHIFT(549),
  [1017] = {.count = 1, .reusable = false}, SHIFT(550),
  [1019] = {.count = 1, .reusable = false}, SHIFT(551),
  [1021] = {.count = 1, .reusable = false}, SHIFT(552),
  [1023] = {.count = 1, .reusable = false}, SHIFT(553),
  [1025] = {.count = 1, .reusable = false}, SHIFT(561),
  [1027] = {.count = 1, .reusable = false}, SHIFT(554),
  [1029] = {.count = 1, .reusable = true}, SHIFT(555),
  [1031] = {.count = 1, .reusable = false}, SHIFT(555),
  [1033] = {.count = 1, .reusable = true}, SHIFT(556),
  [1035] = {.count = 1, .reusable = false}, SHIFT(562),
  [1037] = {.count = 1, .reusable = true}, SHIFT(562),
  [1039] = {.count = 1, .reusable = false}, SHIFT(557),
  [1041] = {.count = 1, .reusable = false}, SHIFT(558),
  [1043] = {.count = 1, .reusable = false}, SHIFT(559),
  [1045] = {.count = 1, .reusable = true}, SHIFT(566),
  [1047] = {.count = 1, .reusable = false}, SHIFT(567),
  [1049] = {.count = 1, .reusable = false}, SHIFT(569),
  [1051] = {.count = 1, .reusable = true}, SHIFT(571),
  [1053] = {.count = 1, .reusable = true}, SHIFT(572),
  [1055] = {.count = 1, .reusable = true}, SHIFT(573),
  [1057] = {.count = 1, .reusable = true}, SHIFT(574),
  [1059] = {.count = 1, .reusable = true}, SHIFT(575),
  [1061] = {.count = 1, .reusable = false}, SHIFT(577),
  [1063] = {.count = 1, .reusable = false}, SHIFT(578),
  [1065] = {.count = 1, .reusable = false}, SHIFT(579),
  [1067] = {.count = 1, .reusable = false}, SHIFT(580),
  [1069] = {.count = 1, .reusable = true}, SHIFT(582),
  [1071] = {.count = 1, .reusable = false}, SHIFT(582),
  [1073] = {.count = 1, .reusable = false}, SHIFT(583),
  [1075] = {.count = 1, .reusable = true}, SHIFT(583),
  [1077] = {.count = 1, .reusable = false}, SHIFT(584),
  [1079] = {.count = 1, .reusable = true}, SHIFT(586),
  [1081] = {.count = 1, .reusable = false}, SHIFT(586),
  [1083] = {.count = 1, .reusable = true}, SHIFT(602),
  [1085] = {.count = 1, .reusable = true}, SHIFT(608),
  [1087] = {.count = 1, .reusable = false}, SHIFT(607),
  [1089] = {.count = 1, .reusable = true}, REDUCE(sym__variable, 1),
  [1091] = {.count = 1, .reusable = false}, REDUCE(sym__variable, 1),
  [1093] = {.count = 1, .reusable = false}, SHIFT(612),
  [1095] = {.count = 1, .reusable = true}, SHIFT(613),
  [1097] = {.count = 1, .reusable = true}, SHIFT(616),
  [1099] = {.count = 1, .reusable = false}, SHIFT(617),
  [1101] = {.count = 1, .reusable = true}, SHIFT(620),
  [1103] = {.count = 1, .reusable = true}, SHIFT(621),
  [1105] = {.count = 1, .reusable = false}, SHIFT(622),
  [1107] = {.count = 1, .reusable = true}, SHIFT(623),
  [1109] = {.count = 1, .reusable = false}, SHIFT(624),
  [1111] = {.count = 1, .reusable = false}, SHIFT(625),
  [1113] = {.count = 1, .reusable = true}, SHIFT(626),
  [1115] = {.count = 1, .reusable = true}, SHIFT(627),
  [1117] = {.count = 1, .reusable = false}, SHIFT(628),
  [1119] = {.count = 1, .reusable = true}, SHIFT(628),
  [1121] = {.count = 1, .reusable = true}, SHIFT(629),
  [1123] = {.count = 1, .reusable = true}, SHIFT(630),
  [1125] = {.count = 1, .reusable = true}, SHIFT(631),
  [1127] = {.count = 1, .reusable = false}, SHIFT(630),
  [1129] = {.count = 1, .reusable = true}, SHIFT(625),
  [1131] = {.count = 1, .reusable = true}, SHIFT(622),
  [1133] = {.count = 1, .reusable = true}, SHIFT(632),
  [1135] = {.count = 1, .reusable = true}, SHIFT(633),
  [1137] = {.count = 1, .reusable = true}, SHIFT(634),
  [1139] = {.count = 1, .reusable = false}, SHIFT(635),
  [1141] = {.count = 1, .reusable = true}, SHIFT(635),
  [1143] = {.count = 1, .reusable = true}, SHIFT(636),
  [1145] = {.count = 1, .reusable = true}, SHIFT(637),
  [1147] = {.count = 1, .reusable = true}, SHIFT(638),
  [1149] = {.count = 1, .reusable = true}, SHIFT(639),
  [1151] = {.count = 1, .reusable = true}, SHIFT(640),
  [1153] = {.count = 1, .reusable = true}, SHIFT(641),
  [1155] = {.count = 1, .reusable = true}, SHIFT(642),
  [1157] = {.count = 1, .reusable = true}, SHIFT(674),
  [1159] = {.count = 1, .reusable = true}, SHIFT(643),
  [1161] = {.count = 1, .reusable = true}, SHIFT(644),
  [1163] = {.count = 1, .reusable = true}, SHIFT(645),
  [1165] = {.count = 1, .reusable = true}, SHIFT(646),
  [1167] = {.count = 1, .reusable = true}, SHIFT(647),
  [1169] = {.count = 1, .reusable = true}, SHIFT(648),
  [1171] = {.count = 1, .reusable = false}, SHIFT(649),
  [1173] = {.count = 1, .reusable = true}, SHIFT(650),
  [1175] = {.count = 1, .reusable = false}, SHIFT(652),
  [1177] = {.count = 1, .reusable = false}, SHIFT(653),
  [1179] = {.count = 1, .reusable = false}, SHIFT(654),
  [1181] = {.count = 1, .reusable = false}, SHIFT(655),
  [1183] = {.count = 1, .reusable = false}, SHIFT(656),
  [1185] = {.count = 1, .reusable = false}, SHIFT(657),
  [1187] = {.count = 1, .reusable = false}, SHIFT(674),
  [1189] = {.count = 1, .reusable = false}, SHIFT(658),
  [1191] = {.count = 1, .reusable = false}, SHIFT(659),
  [1193] = {.count = 1, .reusable = false}, SHIFT(660),
  [1195] = {.count = 1, .reusable = false}, SHIFT(661),
  [1197] = {.count = 1, .reusable = false}, SHIFT(662),
  [1199] = {.count = 1, .reusable = false}, SHIFT(663),
  [1201] = {.count = 1, .reusable = false}, SHIFT(664),
  [1203] = {.count = 1, .reusable = false}, SHIFT(665),
  [1205] = {.count = 1, .reusable = true}, SHIFT(667),
  [1207] = {.count = 1, .reusable = false}, SHIFT(667),
  [1209] = {.count = 1, .reusable = false}, SHIFT(668),
  [1211] = {.count = 1, .reusable = true}, SHIFT(668),
  [1213] = {.count = 1, .reusable = false}, SHIFT(669),
  [1215] = {.count = 1, .reusable = true}, SHIFT(675),
  [1217] = {.count = 1, .reusable = false}, SHIFT(670),
  [1219] = {.count = 1, .reusable = false}, SHIFT(675),
  [1221] = {.count = 1, .reusable = true}, SHIFT(671),
  [1223] = {.count = 1, .reusable = true}, SHIFT(672),
  [1225] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 1),
  [1227] = {.count = 1, .reusable = true}, SHIFT(683),
  [1229] = {.count = 1, .reusable = false}, SHIFT(683),
  [1231] = {.count = 1, .reusable = true}, SHIFT(684),
  [1233] = {.count = 1, .reusable = true}, SHIFT(685),
  [1235] = {.count = 1, .reusable = true}, SHIFT(687),
  [1237] = {.count = 1, .reusable = true}, REDUCE(sym__hash_items, 1),
  [1239] = {.count = 1, .reusable = true}, SHIFT(689),
  [1241] = {.count = 1, .reusable = true}, SHIFT(690),
  [1243] = {.count = 1, .reusable = true}, SHIFT(692),
  [1245] = {.count = 1, .reusable = true}, SHIFT(694),
  [1247] = {.count = 1, .reusable = false}, SHIFT(695),
  [1249] = {.count = 1, .reusable = false}, SHIFT(696),
  [1251] = {.count = 1, .reusable = false}, SHIFT(697),
  [1253] = {.count = 1, .reusable = false}, SHIFT(698),
  [1255] = {.count = 1, .reusable = false}, SHIFT(699),
  [1257] = {.count = 1, .reusable = true}, SHIFT(700),
  [1259] = {.count = 1, .reusable = false}, SHIFT(700),
  [1261] = {.count = 1, .reusable = true}, SHIFT(701),
  [1263] = {.count = 1, .reusable = false}, SHIFT(703),
  [1265] = {.count = 1, .reusable = true}, SHIFT(703),
  [1267] = {.count = 1, .reusable = true}, REDUCE(sym_operator, 1),
  [1269] = {.count = 1, .reusable = false}, REDUCE(sym_operator, 1),
  [1271] = {.count = 1, .reusable = true}, REDUCE(sym__method_name, 1),
  [1273] = {.count = 1, .reusable = false}, REDUCE(sym__method_name, 1),
  [1275] = {.count = 1, .reusable = true}, SHIFT(707),
  [1277] = {.count = 1, .reusable = true}, REDUCE(sym_method, 2),
  [1279] = {.count = 1, .reusable = false}, REDUCE(sym_method, 2),
  [1281] = {.count = 1, .reusable = true}, SHIFT(708),
  [1283] = {.count = 1, .reusable = true}, SHIFT(714),
  [1285] = {.count = 1, .reusable = true}, SHIFT(709),
  [1287] = {.count = 1, .reusable = false}, SHIFT(710),
  [1289] = {.count = 1, .reusable = true}, SHIFT(711),
  [1291] = {.count = 1, .reusable = true}, SHIFT(712),
  [1293] = {.count = 1, .reusable = true}, SHIFT(713),
  [1295] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_statements, 2),
  [1297] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_statements, 2),
  [1299] = {.count = 1, .reusable = false}, SHIFT(717),
  [1301] = {.count = 1, .reusable = true}, SHIFT(717),
  [1303] = {.count = 1, .reusable = true}, SHIFT(718),
  [1305] = {.count = 1, .reusable = true}, SHIFT(719),
  [1307] = {.count = 1, .reusable = true}, SHIFT(720),
  [1309] = {.count = 1, .reusable = true}, SHIFT(721),
  [1311] = {.count = 1, .reusable = false}, SHIFT(723),
  [1313] = {.count = 1, .reusable = false}, SHIFT(724),
  [1315] = {.count = 1, .reusable = false}, SHIFT(725),
  [1317] = {.count = 1, .reusable = false}, SHIFT(726),
  [1319] = {.count = 1, .reusable = true}, SHIFT(728),
  [1321] = {.count = 1, .reusable = false}, SHIFT(728),
  [1323] = {.count = 1, .reusable = false}, SHIFT(729),
  [1325] = {.count = 1, .reusable = true}, SHIFT(729),
  [1327] = {.count = 1, .reusable = false}, SHIFT(730),
  [1329] = {.count = 1, .reusable = true}, SHIFT(732),
  [1331] = {.count = 1, .reusable = false}, SHIFT(732),
  [1333] = {.count = 1, .reusable = true}, SHIFT(741),
  [1335] = {.count = 1, .reusable = true}, SHIFT(742),
  [1337] = {.count = 1, .reusable = true}, SHIFT(744),
  [1339] = {.count = 1, .reusable = true}, SHIFT(745),
  [1341] = {.count = 1, .reusable = true}, SHIFT(746),
  [1343] = {.count = 1, .reusable = true}, SHIFT(747),
  [1345] = {.count = 1, .reusable = true}, SHIFT(748),
  [1347] = {.count = 1, .reusable = true}, SHIFT(749),
  [1349] = {.count = 1, .reusable = true}, SHIFT(750),
  [1351] = {.count = 1, .reusable = false}, SHIFT(751),
  [1353] = {.count = 1, .reusable = true}, SHIFT(752),
  [1355] = {.count = 1, .reusable = false}, SHIFT(753),
  [1357] = {.count = 1, .reusable = false}, SHIFT(754),
  [1359] = {.count = 1, .reusable = true}, SHIFT(755),
  [1361] = {.count = 1, .reusable = false}, SHIFT(756),
  [1363] = {.count = 1, .reusable = true}, SHIFT(756),
  [1365] = {.count = 1, .reusable = true}, SHIFT(757),
  [1367] = {.count = 1, .reusable = true}, SHIFT(758),
  [1369] = {.count = 1, .reusable = true}, SHIFT(759),
  [1371] = {.count = 1, .reusable = false}, SHIFT(758),
  [1373] = {.count = 1, .reusable = true}, SHIFT(754),
  [1375] = {.count = 1, .reusable = true}, SHIFT(751),
  [1377] = {.count = 1, .reusable = true}, SHIFT(760),
  [1379] = {.count = 1, .reusable = true}, SHIFT(761),
  [1381] = {.count = 1, .reusable = true}, SHIFT(762),
  [1383] = {.count = 1, .reusable = true}, SHIFT(763),
  [1385] = {.count = 1, .reusable = true}, SHIFT(764),
  [1387] = {.count = 1, .reusable = false}, SHIFT(766),
  [1389] = {.count = 1, .reusable = false}, SHIFT(767),
  [1391] = {.count = 1, .reusable = false}, SHIFT(768),
  [1393] = {.count = 1, .reusable = false}, SHIFT(769),
  [1395] = {.count = 1, .reusable = true}, SHIFT(771),
  [1397] = {.count = 1, .reusable = false}, SHIFT(771),
  [1399] = {.count = 1, .reusable = false}, SHIFT(772),
  [1401] = {.count = 1, .reusable = true}, SHIFT(772),
  [1403] = {.count = 1, .reusable = false}, SHIFT(773),
  [1405] = {.count = 1, .reusable = true}, SHIFT(775),
  [1407] = {.count = 1, .reusable = false}, SHIFT(775),
  [1409] = {.count = 1, .reusable = true}, SHIFT(781),
  [1411] = {.count = 1, .reusable = true}, SHIFT(782),
  [1413] = {.count = 1, .reusable = true}, SHIFT(783),
  [1415] = {.count = 1, .reusable = false}, SHIFT(781),
  [1417] = {.count = 1, .reusable = true}, SHIFT(784),
  [1419] = {.count = 1, .reusable = true}, REDUCE(sym_scope_resolution, 2),
  [1421] = {.count = 1, .reusable = false}, REDUCE(sym_scope_resolution, 2),
  [1423] = {.count = 1, .reusable = true}, SHIFT(786),
  [1425] = {.count = 1, .reusable = true}, SHIFT(788),
  [1427] = {.count = 1, .reusable = true}, SHIFT(790),
  [1429] = {.count = 1, .reusable = true}, SHIFT(792),
  [1431] = {.count = 1, .reusable = true}, SHIFT(794),
  [1433] = {.count = 1, .reusable = false}, SHIFT(795),
  [1435] = {.count = 1, .reusable = true}, SHIFT(797),
  [1437] = {.count = 1, .reusable = false}, SHIFT(798),
  [1439] = {.count = 1, .reusable = true}, SHIFT(800),
  [1441] = {.count = 1, .reusable = true}, SHIFT(803),
  [1443] = {.count = 1, .reusable = false}, SHIFT(805),
  [1445] = {.count = 1, .reusable = true}, SHIFT(807),
  [1447] = {.count = 1, .reusable = true}, SHIFT(809),
  [1449] = {.count = 1, .reusable = true}, SHIFT(810),
  [1451] = {.count = 1, .reusable = false}, SHIFT(811),
  [1453] = {.count = 1, .reusable = false}, SHIFT(813),
  [1455] = {.count = 1, .reusable = true}, SHIFT(815),
  [1457] = {.count = 1, .reusable = true}, SHIFT(816),
  [1459] = {.count = 1, .reusable = true}, SHIFT(817),
  [1461] = {.count = 1, .reusable = true}, SHIFT(818),
  [1463] = {.count = 1, .reusable = true}, SHIFT(819),
  [1465] = {.count = 1, .reusable = false}, SHIFT(581),
  [1467] = {.count = 1, .reusable = false}, SHIFT(820),
  [1469] = {.count = 1, .reusable = true}, SHIFT(835),
  [1471] = {.count = 1, .reusable = true}, SHIFT(841),
  [1473] = {.count = 1, .reusable = false}, SHIFT(840),
  [1475] = {.count = 1, .reusable = true}, SHIFT(842),
  [1477] = {.count = 1, .reusable = true}, SHIFT(843),
  [1479] = {.count = 1, .reusable = true}, SHIFT(846),
  [1481] = {.count = 1, .reusable = false}, SHIFT(847),
  [1483] = {.count = 1, .reusable = true}, SHIFT(850),
  [1485] = {.count = 1, .reusable = true}, SHIFT(851),
  [1487] = {.count = 1, .reusable = true}, SHIFT(852),
  [1489] = {.count = 1, .reusable = true}, SHIFT(853),
  [1491] = {.count = 1, .reusable = true}, SHIFT(854),
  [1493] = {.count = 1, .reusable = true}, SHIFT(855),
  [1495] = {.count = 1, .reusable = true}, SHIFT(856),
  [1497] = {.count = 1, .reusable = true}, SHIFT(857),
  [1499] = {.count = 1, .reusable = true}, SHIFT(858),
  [1501] = {.count = 1, .reusable = false}, SHIFT(859),
  [1503] = {.count = 1, .reusable = false}, SHIFT(860),
  [1505] = {.count = 1, .reusable = false}, SHIFT(861),
  [1507] = {.count = 1, .reusable = false}, SHIFT(862),
  [1509] = {.count = 1, .reusable = false}, SHIFT(863),
  [1511] = {.count = 1, .reusable = true}, SHIFT(864),
  [1513] = {.count = 1, .reusable = false}, SHIFT(864),
  [1515] = {.count = 1, .reusable = true}, SHIFT(865),
  [1517] = {.count = 1, .reusable = false}, SHIFT(866),
  [1519] = {.count = 1, .reusable = true}, REDUCE(sym_rest_assignment, 2),
  [1521] = {.count = 1, .reusable = true}, SHIFT(877),
  [1523] = {.count = 1, .reusable = true}, SHIFT(880),
  [1525] = {.count = 1, .reusable = true}, SHIFT(878),
  [1527] = {.count = 1, .reusable = true}, SHIFT(881),
  [1529] = {.count = 1, .reusable = true}, SHIFT(882),
  [1531] = {.count = 1, .reusable = true}, SHIFT(883),
  [1533] = {.count = 1, .reusable = true}, SHIFT(884),
  [1535] = {.count = 1, .reusable = true}, SHIFT(885),
  [1537] = {.count = 1, .reusable = true}, SHIFT(886),
  [1539] = {.count = 1, .reusable = true}, SHIFT(887),
  [1541] = {.count = 1, .reusable = false}, SHIFT(888),
  [1543] = {.count = 1, .reusable = false}, SHIFT(889),
  [1545] = {.count = 1, .reusable = false}, SHIFT(890),
  [1547] = {.count = 1, .reusable = false}, SHIFT(891),
  [1549] = {.count = 1, .reusable = false}, SHIFT(892),
  [1551] = {.count = 1, .reusable = true}, SHIFT(893),
  [1553] = {.count = 1, .reusable = false}, SHIFT(893),
  [1555] = {.count = 1, .reusable = true}, SHIFT(894),
  [1557] = {.count = 1, .reusable = false}, SHIFT(895),
  [1559] = {.count = 1, .reusable = true}, SHIFT(903),
  [1561] = {.count = 1, .reusable = false}, SHIFT(902),
  [1563] = {.count = 1, .reusable = true}, SHIFT(904),
  [1565] = {.count = 1, .reusable = true}, SHIFT(906),
  [1567] = {.count = 1, .reusable = false}, SHIFT(907),
  [1569] = {.count = 1, .reusable = false}, SHIFT(908),
  [1571] = {.count = 1, .reusable = false}, SHIFT(909),
  [1573] = {.count = 1, .reusable = false}, SHIFT(910),
  [1575] = {.count = 1, .reusable = false}, SHIFT(911),
  [1577] = {.count = 1, .reusable = true}, SHIFT(912),
  [1579] = {.count = 1, .reusable = false}, SHIFT(912),
  [1581] = {.count = 1, .reusable = true}, SHIFT(913),
  [1583] = {.count = 1, .reusable = true}, SHIFT(919),
  [1585] = {.count = 1, .reusable = true}, SHIFT(920),
  [1587] = {.count = 1, .reusable = true}, SHIFT(921),
  [1589] = {.count = 1, .reusable = true}, SHIFT(922),
  [1591] = {.count = 1, .reusable = true}, SHIFT(923),
  [1593] = {.count = 1, .reusable = true}, SHIFT(924),
  [1595] = {.count = 1, .reusable = false}, SHIFT(925),
  [1597] = {.count = 1, .reusable = false}, SHIFT(926),
  [1599] = {.count = 1, .reusable = false}, SHIFT(927),
  [1601] = {.count = 1, .reusable = false}, SHIFT(928),
  [1603] = {.count = 1, .reusable = false}, SHIFT(929),
  [1605] = {.count = 1, .reusable = true}, SHIFT(930),
  [1607] = {.count = 1, .reusable = false}, SHIFT(930),
  [1609] = {.count = 1, .reusable = true}, SHIFT(931),
  [1611] = {.count = 1, .reusable = false}, SHIFT(932),
  [1613] = {.count = 1, .reusable = true}, SHIFT(934),
  [1615] = {.count = 1, .reusable = false}, SHIFT(934),
  [1617] = {.count = 1, .reusable = false}, SHIFT(214),
  [1619] = {.count = 1, .reusable = true}, SHIFT(943),
  [1621] = {.count = 1, .reusable = true}, SHIFT(944),
  [1623] = {.count = 1, .reusable = true}, SHIFT(946),
  [1625] = {.count = 1, .reusable = true}, SHIFT(947),
  [1627] = {.count = 1, .reusable = true}, SHIFT(948),
  [1629] = {.count = 1, .reusable = false}, SHIFT(950),
  [1631] = {.count = 1, .reusable = true}, REDUCE(sym__argument, 1),
  [1633] = {.count = 1, .reusable = true}, SHIFT(958),
  [1635] = {.count = 1, .reusable = true}, SHIFT(959),
  [1637] = {.count = 1, .reusable = false}, REDUCE(sym__argument, 1),
  [1639] = {.count = 1, .reusable = false}, SHIFT(960),
  [1641] = {.count = 1, .reusable = true}, SHIFT(961),
  [1643] = {.count = 1, .reusable = false}, SHIFT(962),
  [1645] = {.count = 1, .reusable = false}, SHIFT(963),
  [1647] = {.count = 1, .reusable = true}, SHIFT(964),
  [1649] = {.count = 1, .reusable = true}, SHIFT(965),
  [1651] = {.count = 1, .reusable = false}, SHIFT(966),
  [1653] = {.count = 1, .reusable = true}, SHIFT(966),
  [1655] = {.count = 1, .reusable = true}, SHIFT(968),
  [1657] = {.count = 1, .reusable = true}, SHIFT(969),
  [1659] = {.count = 1, .reusable = false}, SHIFT(968),
  [1661] = {.count = 1, .reusable = true}, SHIFT(963),
  [1663] = {.count = 1, .reusable = true}, SHIFT(960),
  [1665] = {.count = 1, .reusable = true}, SHIFT(970),
  [1667] = {.count = 1, .reusable = true}, SHIFT(971),
  [1669] = {.count = 1, .reusable = true}, SHIFT(972),
  [1671] = {.count = 1, .reusable = false}, SHIFT(973),
  [1673] = {.count = 1, .reusable = true}, SHIFT(973),
  [1675] = {.count = 1, .reusable = true}, SHIFT(974),
  [1677] = {.count = 1, .reusable = true}, SHIFT(975),
  [1679] = {.count = 1, .reusable = true}, SHIFT(976),
  [1681] = {.count = 1, .reusable = true}, SHIFT(977),
  [1683] = {.count = 1, .reusable = true}, SHIFT(978),
  [1685] = {.count = 1, .reusable = false}, SHIFT(980),
  [1687] = {.count = 1, .reusable = false}, SHIFT(981),
  [1689] = {.count = 1, .reusable = true}, REDUCE(sym_return, 2),
  [1691] = {.count = 1, .reusable = false}, REDUCE(sym_return, 2),
  [1693] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 1),
  [1695] = {.count = 1, .reusable = true}, SHIFT(988),
  [1697] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 1),
  [1699] = {.count = 1, .reusable = true}, SHIFT(990),
  [1701] = {.count = 1, .reusable = true}, SHIFT(992),
  [1703] = {.count = 1, .reusable = false}, SHIFT(992),
  [1705] = {.count = 1, .reusable = true}, SHIFT(993),
  [1707] = {.count = 1, .reusable = true}, SHIFT(994),
  [1709] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 2),
  [1711] = {.count = 1, .reusable = false}, REDUCE(sym_yield, 2),
  [1713] = {.count = 1, .reusable = true}, REDUCE(sym_break, 2),
  [1715] = {.count = 1, .reusable = false}, REDUCE(sym_break, 2),
  [1717] = {.count = 1, .reusable = true}, REDUCE(sym_next, 2),
  [1719] = {.count = 1, .reusable = false}, REDUCE(sym_next, 2),
  [1721] = {.count = 1, .reusable = true}, SHIFT(997),
  [1723] = {.count = 1, .reusable = true}, SHIFT(998),
  [1725] = {.count = 1, .reusable = true}, SHIFT(999),
  [1727] = {.count = 1, .reusable = true}, SHIFT(1000),
  [1729] = {.count = 1, .reusable = false}, SHIFT(1002),
  [1731] = {.count = 1, .reusable = false}, SHIFT(1003),
  [1733] = {.count = 1, .reusable = false}, SHIFT(1004),
  [1735] = {.count = 1, .reusable = false}, SHIFT(1005),
  [1737] = {.count = 1, .reusable = true}, SHIFT(1007),
  [1739] = {.count = 1, .reusable = false}, SHIFT(1007),
  [1741] = {.count = 1, .reusable = false}, SHIFT(1008),
  [1743] = {.count = 1, .reusable = true}, SHIFT(1008),
  [1745] = {.count = 1, .reusable = false}, SHIFT(1009),
  [1747] = {.count = 1, .reusable = true}, SHIFT(1011),
  [1749] = {.count = 1, .reusable = false}, SHIFT(1011),
  [1751] = {.count = 1, .reusable = true}, SHIFT(1027),
  [1753] = {.count = 1, .reusable = true}, SHIFT(1020),
  [1755] = {.count = 1, .reusable = true}, SHIFT(1021),
  [1757] = {.count = 1, .reusable = true}, SHIFT(1022),
  [1759] = {.count = 1, .reusable = true}, SHIFT(1023),
  [1761] = {.count = 1, .reusable = true}, SHIFT(1024),
  [1763] = {.count = 1, .reusable = true}, SHIFT(1025),
  [1765] = {.count = 1, .reusable = true}, SHIFT(1026),
  [1767] = {.count = 1, .reusable = true}, SHIFT(1028),
  [1769] = {.count = 1, .reusable = true}, SHIFT(1029),
  [1771] = {.count = 1, .reusable = false}, SHIFT(1030),
  [1773] = {.count = 1, .reusable = true}, SHIFT(1031),
  [1775] = {.count = 1, .reusable = false}, SHIFT(1032),
  [1777] = {.count = 1, .reusable = false}, SHIFT(1033),
  [1779] = {.count = 1, .reusable = true}, SHIFT(1034),
  [1781] = {.count = 1, .reusable = false}, SHIFT(1035),
  [1783] = {.count = 1, .reusable = true}, SHIFT(1035),
  [1785] = {.count = 1, .reusable = true}, SHIFT(1036),
  [1787] = {.count = 1, .reusable = true}, SHIFT(1037),
  [1789] = {.count = 1, .reusable = true}, SHIFT(1038),
  [1791] = {.count = 1, .reusable = false}, SHIFT(1037),
  [1793] = {.count = 1, .reusable = true}, SHIFT(1033),
  [1795] = {.count = 1, .reusable = true}, SHIFT(1030),
  [1797] = {.count = 1, .reusable = true}, SHIFT(1039),
  [1799] = {.count = 1, .reusable = true}, SHIFT(1040),
  [1801] = {.count = 1, .reusable = true}, SHIFT(1041),
  [1803] = {.count = 1, .reusable = true}, SHIFT(1042),
  [1805] = {.count = 1, .reusable = true}, SHIFT(1043),
  [1807] = {.count = 1, .reusable = false}, SHIFT(1045),
  [1809] = {.count = 1, .reusable = false}, SHIFT(1046),
  [1811] = {.count = 1, .reusable = false}, SHIFT(1047),
  [1813] = {.count = 1, .reusable = false}, SHIFT(1048),
  [1815] = {.count = 1, .reusable = true}, SHIFT(1050),
  [1817] = {.count = 1, .reusable = false}, SHIFT(1050),
  [1819] = {.count = 1, .reusable = false}, SHIFT(1051),
  [1821] = {.count = 1, .reusable = true}, SHIFT(1051),
  [1823] = {.count = 1, .reusable = false}, SHIFT(1052),
  [1825] = {.count = 1, .reusable = true}, SHIFT(1054),
  [1827] = {.count = 1, .reusable = false}, SHIFT(1054),
  [1829] = {.count = 1, .reusable = true}, SHIFT(1060),
  [1831] = {.count = 1, .reusable = false}, SHIFT(1060),
  [1833] = {.count = 1, .reusable = true}, SHIFT(1061),
  [1835] = {.count = 1, .reusable = true}, SHIFT(1064),
  [1837] = {.count = 1, .reusable = true}, SHIFT(1063),
  [1839] = {.count = 1, .reusable = true}, SHIFT(1066),
  [1841] = {.count = 1, .reusable = true}, SHIFT(1067),
  [1843] = {.count = 1, .reusable = true}, SHIFT(1068),
  [1845] = {.count = 1, .reusable = true}, SHIFT(1069),
  [1847] = {.count = 1, .reusable = false}, SHIFT(1071),
  [1849] = {.count = 1, .reusable = false}, SHIFT(1072),
  [1851] = {.count = 1, .reusable = false}, SHIFT(1073),
  [1853] = {.count = 1, .reusable = false}, SHIFT(1074),
  [1855] = {.count = 1, .reusable = true}, SHIFT(1076),
  [1857] = {.count = 1, .reusable = false}, SHIFT(1076),
  [1859] = {.count = 1, .reusable = false}, SHIFT(1077),
  [1861] = {.count = 1, .reusable = true}, SHIFT(1077),
  [1863] = {.count = 1, .reusable = false}, SHIFT(1078),
  [1865] = {.count = 1, .reusable = true}, SHIFT(1080),
  [1867] = {.count = 1, .reusable = false}, SHIFT(1080),
  [1869] = {.count = 1, .reusable = true}, SHIFT(1100),
  [1871] = {.count = 1, .reusable = true}, SHIFT(1088),
  [1873] = {.count = 1, .reusable = true}, SHIFT(1089),
  [1875] = {.count = 1, .reusable = false}, SHIFT(1090),
  [1877] = {.count = 1, .reusable = true}, SHIFT(1091),
  [1879] = {.count = 1, .reusable = false}, SHIFT(1092),
  [1881] = {.count = 1, .reusable = false}, SHIFT(1093),
  [1883] = {.count = 1, .reusable = true}, SHIFT(1094),
  [1885] = {.count = 1, .reusable = false}, SHIFT(1095),
  [1887] = {.count = 1, .reusable = true}, SHIFT(1095),
  [1889] = {.count = 1, .reusable = true}, SHIFT(1096),
  [1891] = {.count = 1, .reusable = true}, SHIFT(1097),
  [1893] = {.count = 1, .reusable = true}, SHIFT(1098),
  [1895] = {.count = 1, .reusable = false}, SHIFT(1097),
  [1897] = {.count = 1, .reusable = true}, SHIFT(1093),
  [1899] = {.count = 1, .reusable = true}, SHIFT(1090),
  [1901] = {.count = 1, .reusable = true}, SHIFT(1099),
  [1903] = {.count = 1, .reusable = true}, SHIFT(1101),
  [1905] = {.count = 1, .reusable = true}, SHIFT(1102),
  [1907] = {.count = 1, .reusable = true}, SHIFT(1103),
  [1909] = {.count = 1, .reusable = true}, SHIFT(1104),
  [1911] = {.count = 1, .reusable = true}, SHIFT(1105),
  [1913] = {.count = 1, .reusable = false}, SHIFT(1107),
  [1915] = {.count = 1, .reusable = false}, SHIFT(1108),
  [1917] = {.count = 1, .reusable = false}, SHIFT(1109),
  [1919] = {.count = 1, .reusable = false}, SHIFT(1110),
  [1921] = {.count = 1, .reusable = false}, SHIFT(426),
  [1923] = {.count = 1, .reusable = false}, SHIFT(427),
  [1925] = {.count = 1, .reusable = false}, SHIFT(428),
  [1927] = {.count = 1, .reusable = false}, SHIFT(429),
  [1929] = {.count = 1, .reusable = true}, SHIFT(1112),
  [1931] = {.count = 1, .reusable = false}, SHIFT(1112),
  [1933] = {.count = 1, .reusable = false}, SHIFT(1113),
  [1935] = {.count = 1, .reusable = true}, SHIFT(1113),
  [1937] = {.count = 1, .reusable = false}, SHIFT(1114),
  [1939] = {.count = 1, .reusable = true}, SHIFT(1116),
  [1941] = {.count = 1, .reusable = false}, SHIFT(1116),
  [1943] = {.count = 1, .reusable = true}, SHIFT(1123),
  [1945] = {.count = 1, .reusable = false}, SHIFT(1123),
  [1947] = {.count = 1, .reusable = true}, SHIFT(1124),
  [1949] = {.count = 1, .reusable = true}, SHIFT(1126),
  [1951] = {.count = 1, .reusable = false}, REDUCE(sym_rest_assignment, 1),
  [1953] = {.count = 1, .reusable = true}, SHIFT(1127),
  [1955] = {.count = 1, .reusable = true}, SHIFT(1128),
  [1957] = {.count = 1, .reusable = true}, SHIFT(1129),
  [1959] = {.count = 1, .reusable = true}, SHIFT(1130),
  [1961] = {.count = 1, .reusable = true}, SHIFT(1131),
  [1963] = {.count = 1, .reusable = false}, SHIFT(1132),
  [1965] = {.count = 1, .reusable = false}, SHIFT(1133),
  [1967] = {.count = 1, .reusable = false}, SHIFT(1134),
  [1969] = {.count = 1, .reusable = false}, SHIFT(1135),
  [1971] = {.count = 1, .reusable = false}, SHIFT(1136),
  [1973] = {.count = 1, .reusable = true}, SHIFT(1137),
  [1975] = {.count = 1, .reusable = false}, SHIFT(1137),
  [1977] = {.count = 1, .reusable = true}, SHIFT(1138),
  [1979] = {.count = 1, .reusable = false}, SHIFT(1139),
  [1981] = {.count = 1, .reusable = true}, SHIFT(1141),
  [1983] = {.count = 1, .reusable = false}, SHIFT(1141),
  [1985] = {.count = 1, .reusable = true}, SHIFT(1147),
  [1987] = {.count = 1, .reusable = true}, SHIFT(1149),
  [1989] = {.count = 1, .reusable = true}, SHIFT(1151),
  [1991] = {.count = 1, .reusable = true}, SHIFT(1152),
  [1993] = {.count = 1, .reusable = true}, SHIFT(1153),
  [1995] = {.count = 1, .reusable = true}, SHIFT(1154),
  [1997] = {.count = 1, .reusable = false}, SHIFT(1156),
  [1999] = {.count = 1, .reusable = false}, SHIFT(1157),
  [2001] = {.count = 1, .reusable = false}, SHIFT(1158),
  [2003] = {.count = 1, .reusable = false}, SHIFT(1159),
  [2005] = {.count = 1, .reusable = true}, SHIFT(1161),
  [2007] = {.count = 1, .reusable = false}, SHIFT(1161),
  [2009] = {.count = 1, .reusable = false}, SHIFT(1162),
  [2011] = {.count = 1, .reusable = true}, SHIFT(1162),
  [2013] = {.count = 1, .reusable = false}, SHIFT(1163),
  [2015] = {.count = 1, .reusable = true}, SHIFT(1165),
  [2017] = {.count = 1, .reusable = false}, SHIFT(1165),
  [2019] = {.count = 1, .reusable = true}, SHIFT(1185),
  [2021] = {.count = 1, .reusable = true}, SHIFT(1173),
  [2023] = {.count = 1, .reusable = true}, SHIFT(1174),
  [2025] = {.count = 1, .reusable = false}, SHIFT(1175),
  [2027] = {.count = 1, .reusable = true}, SHIFT(1176),
  [2029] = {.count = 1, .reusable = false}, SHIFT(1177),
  [2031] = {.count = 1, .reusable = false}, SHIFT(1178),
  [2033] = {.count = 1, .reusable = true}, SHIFT(1179),
  [2035] = {.count = 1, .reusable = false}, SHIFT(1180),
  [2037] = {.count = 1, .reusable = true}, SHIFT(1180),
  [2039] = {.count = 1, .reusable = true}, SHIFT(1181),
  [2041] = {.count = 1, .reusable = true}, SHIFT(1182),
  [2043] = {.count = 1, .reusable = true}, SHIFT(1183),
  [2045] = {.count = 1, .reusable = false}, SHIFT(1182),
  [2047] = {.count = 1, .reusable = true}, SHIFT(1178),
  [2049] = {.count = 1, .reusable = true}, SHIFT(1175),
  [2051] = {.count = 1, .reusable = true}, SHIFT(1184),
  [2053] = {.count = 1, .reusable = true}, SHIFT(1186),
  [2055] = {.count = 1, .reusable = false}, SHIFT(1186),
  [2057] = {.count = 1, .reusable = true}, SHIFT(1187),
  [2059] = {.count = 1, .reusable = true}, SHIFT(1191),
  [2061] = {.count = 1, .reusable = true}, SHIFT(1189),
  [2063] = {.count = 1, .reusable = true}, SHIFT(1193),
  [2065] = {.count = 1, .reusable = true}, SHIFT(1192),
  [2067] = {.count = 1, .reusable = true}, REDUCE(sym__terminator, 1),
  [2069] = {.count = 1, .reusable = false}, REDUCE(sym__terminator, 1),
  [2071] = {.count = 1, .reusable = true}, SHIFT(1195),
  [2073] = {.count = 1, .reusable = true}, SHIFT(1196),
  [2075] = {.count = 1, .reusable = true}, SHIFT(1197),
  [2077] = {.count = 1, .reusable = true}, SHIFT(1198),
  [2079] = {.count = 1, .reusable = false}, SHIFT(1200),
  [2081] = {.count = 1, .reusable = false}, SHIFT(1201),
  [2083] = {.count = 1, .reusable = false}, SHIFT(1202),
  [2085] = {.count = 1, .reusable = false}, SHIFT(1203),
  [2087] = {.count = 1, .reusable = true}, SHIFT(1205),
  [2089] = {.count = 1, .reusable = false}, SHIFT(1205),
  [2091] = {.count = 1, .reusable = false}, SHIFT(1206),
  [2093] = {.count = 1, .reusable = true}, SHIFT(1206),
  [2095] = {.count = 1, .reusable = false}, SHIFT(1207),
  [2097] = {.count = 1, .reusable = true}, SHIFT(1209),
  [2099] = {.count = 1, .reusable = false}, SHIFT(1209),
  [2101] = {.count = 1, .reusable = true}, SHIFT(1215),
  [2103] = {.count = 1, .reusable = true}, SHIFT(1216),
  [2105] = {.count = 1, .reusable = false}, SHIFT(1217),
  [2107] = {.count = 1, .reusable = false}, SHIFT(1218),
  [2109] = {.count = 1, .reusable = false}, SHIFT(1219),
  [2111] = {.count = 1, .reusable = false}, SHIFT(1220),
  [2113] = {.count = 1, .reusable = false}, SHIFT(1225),
  [2115] = {.count = 1, .reusable = true}, SHIFT(1221),
  [2117] = {.count = 1, .reusable = false}, SHIFT(1222),
  [2119] = {.count = 1, .reusable = true}, SHIFT(1223),
  [2121] = {.count = 1, .reusable = false}, SHIFT(1223),
  [2123] = {.count = 1, .reusable = true}, SHIFT(1224),
  [2125] = {.count = 1, .reusable = false}, SHIFT(1229),
  [2127] = {.count = 1, .reusable = true}, SHIFT(1229),
  [2129] = {.count = 1, .reusable = true}, SHIFT(1252),
  [2131] = {.count = 1, .reusable = true}, SHIFT(1234),
  [2133] = {.count = 1, .reusable = true}, SHIFT(1235),
  [2135] = {.count = 1, .reusable = false}, REDUCE(sym_else, 1),
  [2137] = {.count = 1, .reusable = false}, SHIFT(1236),
  [2139] = {.count = 1, .reusable = false}, SHIFT(1237),
  [2141] = {.count = 1, .reusable = false}, SHIFT(1238),
  [2143] = {.count = 1, .reusable = false}, SHIFT(1239),
  [2145] = {.count = 1, .reusable = false}, SHIFT(1240),
  [2147] = {.count = 1, .reusable = true}, SHIFT(1241),
  [2149] = {.count = 1, .reusable = false}, SHIFT(1241),
  [2151] = {.count = 1, .reusable = true}, SHIFT(1242),
  [2153] = {.count = 1, .reusable = false}, SHIFT(1248),
  [2155] = {.count = 1, .reusable = true}, SHIFT(1248),
  [2157] = {.count = 1, .reusable = false}, SHIFT(1243),
  [2159] = {.count = 1, .reusable = true}, SHIFT(1253),
  [2161] = {.count = 1, .reusable = false}, REDUCE(sym_ensure, 1),
  [2163] = {.count = 1, .reusable = false}, SHIFT(1254),
  [2165] = {.count = 1, .reusable = false}, SHIFT(1255),
  [2167] = {.count = 1, .reusable = false}, SHIFT(1256),
  [2169] = {.count = 1, .reusable = false}, SHIFT(1257),
  [2171] = {.count = 1, .reusable = false}, SHIFT(1258),
  [2173] = {.count = 1, .reusable = true}, SHIFT(1259),
  [2175] = {.count = 1, .reusable = false}, SHIFT(1259),
  [2177] = {.count = 1, .reusable = true}, SHIFT(1260),
  [2179] = {.count = 1, .reusable = false}, SHIFT(1266),
  [2181] = {.count = 1, .reusable = true}, SHIFT(1266),
  [2183] = {.count = 1, .reusable = false}, SHIFT(1261),
  [2185] = {.count = 1, .reusable = true}, SHIFT(1273),
  [2187] = {.count = 1, .reusable = true}, SHIFT(290),
  [2189] = {.count = 1, .reusable = true}, SHIFT(291),
  [2191] = {.count = 1, .reusable = true}, SHIFT(292),
  [2193] = {.count = 1, .reusable = true}, SHIFT(1277),
  [2195] = {.count = 1, .reusable = true}, SHIFT(1279),
  [2197] = {.count = 1, .reusable = true}, SHIFT(1280),
  [2199] = {.count = 1, .reusable = true}, SHIFT(1281),
  [2201] = {.count = 1, .reusable = true}, SHIFT(1282),
  [2203] = {.count = 1, .reusable = true}, SHIFT(1283),
  [2205] = {.count = 1, .reusable = true}, REDUCE(sym_begin, 2),
  [2207] = {.count = 1, .reusable = false}, REDUCE(sym_begin, 2),
  [2209] = {.count = 1, .reusable = true}, SHIFT(1284),
  [2211] = {.count = 1, .reusable = true}, SHIFT(1285),
  [2213] = {.count = 1, .reusable = false}, SHIFT(1286),
  [2215] = {.count = 1, .reusable = true}, SHIFT(1287),
  [2217] = {.count = 1, .reusable = false}, SHIFT(1288),
  [2219] = {.count = 1, .reusable = false}, SHIFT(1289),
  [2221] = {.count = 1, .reusable = true}, SHIFT(1290),
  [2223] = {.count = 1, .reusable = false}, SHIFT(1291),
  [2225] = {.count = 1, .reusable = true}, SHIFT(1291),
  [2227] = {.count = 1, .reusable = true}, SHIFT(1292),
  [2229] = {.count = 1, .reusable = true}, SHIFT(1293),
  [2231] = {.count = 1, .reusable = true}, SHIFT(1294),
  [2233] = {.count = 1, .reusable = false}, SHIFT(1293),
  [2235] = {.count = 1, .reusable = true}, SHIFT(1289),
  [2237] = {.count = 1, .reusable = true}, SHIFT(1286),
  [2239] = {.count = 1, .reusable = true}, SHIFT(1295),
  [2241] = {.count = 1, .reusable = true}, SHIFT(1296),
  [2243] = {.count = 1, .reusable = true}, SHIFT(1297),
  [2245] = {.count = 1, .reusable = true}, SHIFT(1298),
  [2247] = {.count = 1, .reusable = true}, SHIFT(1299),
  [2249] = {.count = 1, .reusable = false}, SHIFT(1301),
  [2251] = {.count = 1, .reusable = false}, SHIFT(1302),
  [2253] = {.count = 1, .reusable = false}, SHIFT(1303),
  [2255] = {.count = 1, .reusable = false}, SHIFT(1304),
  [2257] = {.count = 1, .reusable = true}, SHIFT(1306),
  [2259] = {.count = 1, .reusable = false}, SHIFT(1306),
  [2261] = {.count = 1, .reusable = false}, SHIFT(1307),
  [2263] = {.count = 1, .reusable = true}, SHIFT(1307),
  [2265] = {.count = 1, .reusable = false}, SHIFT(1308),
  [2267] = {.count = 1, .reusable = true}, SHIFT(1310),
  [2269] = {.count = 1, .reusable = false}, SHIFT(1310),
  [2271] = {.count = 1, .reusable = true}, SHIFT(1316),
  [2273] = {.count = 1, .reusable = false}, SHIFT(1316),
  [2275] = {.count = 1, .reusable = true}, SHIFT(1317),
  [2277] = {.count = 1, .reusable = false}, SHIFT(1319),
  [2279] = {.count = 1, .reusable = true}, REDUCE(sym_unary, 2),
  [2281] = {.count = 1, .reusable = false}, REDUCE(sym_unary, 2),
  [2283] = {.count = 1, .reusable = true}, REDUCE(sym_undef, 2),
  [2285] = {.count = 1, .reusable = true}, SHIFT(1320),
  [2287] = {.count = 1, .reusable = true}, SHIFT(1322),
  [2289] = {.count = 1, .reusable = false}, SHIFT(1324),
  [2291] = {.count = 1, .reusable = true}, REDUCE(sym_rational, 2),
  [2293] = {.count = 1, .reusable = false}, REDUCE(sym_rational, 2),
  [2295] = {.count = 1, .reusable = true}, SHIFT(1326),
  [2297] = {.count = 1, .reusable = true}, SHIFT(1328),
  [2299] = {.count = 1, .reusable = true}, SHIFT(1330),
  [2301] = {.count = 1, .reusable = true}, SHIFT(1332),
  [2303] = {.count = 1, .reusable = true}, SHIFT(1334),
  [2305] = {.count = 1, .reusable = false}, SHIFT(1335),
  [2307] = {.count = 1, .reusable = true}, SHIFT(1337),
  [2309] = {.count = 1, .reusable = false}, SHIFT(1338),
  [2311] = {.count = 1, .reusable = true}, SHIFT(1340),
  [2313] = {.count = 1, .reusable = false}, SHIFT(1341),
  [2315] = {.count = 1, .reusable = false}, SHIFT(1342),
  [2317] = {.count = 1, .reusable = false}, SHIFT(1343),
  [2319] = {.count = 1, .reusable = false}, SHIFT(1344),
  [2321] = {.count = 1, .reusable = false}, SHIFT(1345),
  [2323] = {.count = 1, .reusable = true}, SHIFT(1346),
  [2325] = {.count = 1, .reusable = false}, SHIFT(1346),
  [2327] = {.count = 1, .reusable = true}, SHIFT(1347),
  [2329] = {.count = 1, .reusable = false}, SHIFT(1349),
  [2331] = {.count = 1, .reusable = true}, SHIFT(1349),
  [2333] = {.count = 1, .reusable = true}, SHIFT(1356),
  [2335] = {.count = 1, .reusable = true}, SHIFT(1357),
  [2337] = {.count = 1, .reusable = true}, SHIFT(1360),
  [2339] = {.count = 1, .reusable = false}, SHIFT(1362),
  [2341] = {.count = 1, .reusable = true}, SHIFT(1364),
  [2343] = {.count = 1, .reusable = true}, SHIFT(1366),
  [2345] = {.count = 1, .reusable = true}, SHIFT(1368),
  [2347] = {.count = 1, .reusable = false}, SHIFT(1369),
  [2349] = {.count = 1, .reusable = false}, SHIFT(1371),
  [2351] = {.count = 1, .reusable = true}, SHIFT(1373),
  [2353] = {.count = 1, .reusable = true}, SHIFT(1374),
  [2355] = {.count = 1, .reusable = true}, SHIFT(1375),
  [2357] = {.count = 1, .reusable = true}, SHIFT(1376),
  [2359] = {.count = 1, .reusable = true}, SHIFT(1379),
  [2361] = {.count = 1, .reusable = false}, SHIFT(1379),
  [2363] = {.count = 1, .reusable = false}, SHIFT(1380),
  [2365] = {.count = 1, .reusable = true}, SHIFT(1380),
  [2367] = {.count = 1, .reusable = false}, SHIFT(1381),
  [2369] = {.count = 1, .reusable = true}, SHIFT(1398),
  [2371] = {.count = 1, .reusable = true}, SHIFT(1404),
  [2373] = {.count = 1, .reusable = false}, SHIFT(1403),
  [2375] = {.count = 1, .reusable = true}, REDUCE(sym_array, 2),
  [2377] = {.count = 1, .reusable = false}, REDUCE(sym_array, 2),
  [2379] = {.count = 1, .reusable = false}, SHIFT(1408),
  [2381] = {.count = 1, .reusable = true}, SHIFT(1409),
  [2383] = {.count = 1, .reusable = true}, SHIFT(1412),
  [2385] = {.count = 1, .reusable = false}, SHIFT(1413),
  [2387] = {.count = 1, .reusable = true}, SHIFT(1416),
  [2389] = {.count = 1, .reusable = true}, SHIFT(1417),
  [2391] = {.count = 1, .reusable = false}, SHIFT(1418),
  [2393] = {.count = 1, .reusable = true}, SHIFT(1419),
  [2395] = {.count = 1, .reusable = false}, SHIFT(1420),
  [2397] = {.count = 1, .reusable = false}, SHIFT(1421),
  [2399] = {.count = 1, .reusable = true}, SHIFT(1422),
  [2401] = {.count = 1, .reusable = true}, SHIFT(1423),
  [2403] = {.count = 1, .reusable = false}, SHIFT(1424),
  [2405] = {.count = 1, .reusable = true}, SHIFT(1424),
  [2407] = {.count = 1, .reusable = true}, SHIFT(1425),
  [2409] = {.count = 1, .reusable = true}, SHIFT(1426),
  [2411] = {.count = 1, .reusable = true}, SHIFT(1427),
  [2413] = {.count = 1, .reusable = false}, SHIFT(1426),
  [2415] = {.count = 1, .reusable = true}, SHIFT(1421),
  [2417] = {.count = 1, .reusable = true}, SHIFT(1418),
  [2419] = {.count = 1, .reusable = true}, SHIFT(1428),
  [2421] = {.count = 1, .reusable = true}, SHIFT(1429),
  [2423] = {.count = 1, .reusable = true}, SHIFT(1430),
  [2425] = {.count = 1, .reusable = false}, SHIFT(1431),
  [2427] = {.count = 1, .reusable = true}, SHIFT(1431),
  [2429] = {.count = 1, .reusable = true}, SHIFT(1432),
  [2431] = {.count = 1, .reusable = true}, SHIFT(1433),
  [2433] = {.count = 1, .reusable = true}, SHIFT(1434),
  [2435] = {.count = 1, .reusable = true}, SHIFT(1435),
  [2437] = {.count = 1, .reusable = true}, SHIFT(1436),
  [2439] = {.count = 1, .reusable = false}, SHIFT(1438),
  [2441] = {.count = 1, .reusable = false}, SHIFT(1439),
  [2443] = {.count = 1, .reusable = false}, SHIFT(1440),
  [2445] = {.count = 1, .reusable = false}, SHIFT(1441),
  [2447] = {.count = 1, .reusable = false}, SHIFT(1442),
  [2449] = {.count = 1, .reusable = true}, SHIFT(1444),
  [2451] = {.count = 1, .reusable = false}, SHIFT(1444),
  [2453] = {.count = 1, .reusable = false}, SHIFT(1445),
  [2455] = {.count = 1, .reusable = true}, SHIFT(1445),
  [2457] = {.count = 1, .reusable = false}, SHIFT(1446),
  [2459] = {.count = 1, .reusable = true}, SHIFT(1448),
  [2461] = {.count = 1, .reusable = false}, SHIFT(1448),
  [2463] = {.count = 1, .reusable = true}, SHIFT(1456),
  [2465] = {.count = 1, .reusable = true}, REDUCE(sym__argument_list_with_trailing_comma, 1),
  [2467] = {.count = 1, .reusable = true}, SHIFT(1458),
  [2469] = {.count = 1, .reusable = true}, SHIFT(1459),
  [2471] = {.count = 1, .reusable = false}, SHIFT(1459),
  [2473] = {.count = 1, .reusable = true}, SHIFT(1460),
  [2475] = {.count = 1, .reusable = true}, SHIFT(1461),
  [2477] = {.count = 1, .reusable = true}, SHIFT(1463),
  [2479] = {.count = 1, .reusable = true}, SHIFT(1464),
  [2481] = {.count = 1, .reusable = true}, SHIFT(1467),
  [2483] = {.count = 1, .reusable = true}, SHIFT(1468),
  [2485] = {.count = 1, .reusable = true}, SHIFT(1469),
  [2487] = {.count = 1, .reusable = true}, REDUCE(sym_splat_parameter, 1),
  [2489] = {.count = 1, .reusable = false}, REDUCE(sym_splat_parameter, 1),
  [2491] = {.count = 1, .reusable = false}, SHIFT(1471),
  [2493] = {.count = 1, .reusable = true}, REDUCE(sym_hash_splat_parameter, 1),
  [2495] = {.count = 1, .reusable = false}, REDUCE(sym_hash_splat_parameter, 1),
  [2497] = {.count = 1, .reusable = false}, SHIFT(1472),
  [2499] = {.count = 1, .reusable = true}, SHIFT(1473),
  [2501] = {.count = 1, .reusable = true}, SHIFT(1474),
  [2503] = {.count = 1, .reusable = true}, SHIFT(1479),
  [2505] = {.count = 1, .reusable = true}, SHIFT(1475),
  [2507] = {.count = 1, .reusable = false}, SHIFT(1476),
  [2509] = {.count = 1, .reusable = true}, SHIFT(1480),
  [2511] = {.count = 1, .reusable = true}, REDUCE(sym__simple_formal_parameter, 1),
  [2513] = {.count = 1, .reusable = true}, SHIFT(1481),
  [2515] = {.count = 1, .reusable = true}, SHIFT(376),
  [2517] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_parameters, 1),
  [2519] = {.count = 1, .reusable = true}, SHIFT(1483),
  [2521] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 2),
  [2523] = {.count = 1, .reusable = false}, REDUCE(sym_lambda, 2),
  [2525] = {.count = 1, .reusable = true}, SHIFT(1485),
  [2527] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 2),
  [2529] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 2),
  [2531] = {.count = 1, .reusable = true}, SHIFT(1487),
  [2533] = {.count = 1, .reusable = true}, SHIFT(1500),
  [2535] = {.count = 1, .reusable = false}, SHIFT(1501),
  [2537] = {.count = 1, .reusable = false}, SHIFT(1502),
  [2539] = {.count = 1, .reusable = false}, SHIFT(1503),
  [2541] = {.count = 1, .reusable = false}, SHIFT(1504),
  [2543] = {.count = 1, .reusable = false}, SHIFT(1505),
  [2545] = {.count = 1, .reusable = true}, SHIFT(1506),
  [2547] = {.count = 1, .reusable = false}, SHIFT(1506),
  [2549] = {.count = 1, .reusable = true}, SHIFT(1507),
  [2551] = {.count = 1, .reusable = false}, SHIFT(1509),
  [2553] = {.count = 1, .reusable = true}, SHIFT(1509),
  [2555] = {.count = 1, .reusable = true}, SHIFT(1518),
  [2557] = {.count = 1, .reusable = true}, SHIFT(1521),
  [2559] = {.count = 1, .reusable = true}, SHIFT(1522),
  [2561] = {.count = 1, .reusable = true}, SHIFT(1523),
  [2563] = {.count = 1, .reusable = true}, SHIFT(1524),
  [2565] = {.count = 1, .reusable = false}, SHIFT(1524),
  [2567] = {.count = 1, .reusable = true}, SHIFT(1525),
  [2569] = {.count = 1, .reusable = true}, SHIFT(1528),
  [2571] = {.count = 1, .reusable = true}, SHIFT(1530),
  [2573] = {.count = 1, .reusable = true}, SHIFT(1532),
  [2575] = {.count = 1, .reusable = true}, SHIFT(1534),
  [2577] = {.count = 1, .reusable = true}, SHIFT(1536),
  [2579] = {.count = 1, .reusable = false}, SHIFT(1537),
  [2581] = {.count = 1, .reusable = true}, SHIFT(1539),
  [2583] = {.count = 1, .reusable = false}, SHIFT(1540),
  [2585] = {.count = 1, .reusable = true}, SHIFT(1542),
  [2587] = {.count = 1, .reusable = true}, SHIFT(1543),
  [2589] = {.count = 1, .reusable = true}, SHIFT(1544),
  [2591] = {.count = 1, .reusable = true}, SHIFT(1545),
  [2593] = {.count = 1, .reusable = true}, SHIFT(1546),
  [2595] = {.count = 1, .reusable = true}, SHIFT(1547),
  [2597] = {.count = 1, .reusable = true}, SHIFT(1548),
  [2599] = {.count = 1, .reusable = true}, SHIFT(1573),
  [2601] = {.count = 1, .reusable = true}, SHIFT(1549),
  [2603] = {.count = 1, .reusable = true}, SHIFT(1550),
  [2605] = {.count = 1, .reusable = false}, SHIFT(1551),
  [2607] = {.count = 1, .reusable = true}, SHIFT(1552),
  [2609] = {.count = 1, .reusable = false}, SHIFT(1553),
  [2611] = {.count = 1, .reusable = false}, SHIFT(1554),
  [2613] = {.count = 1, .reusable = false}, SHIFT(1555),
  [2615] = {.count = 1, .reusable = false}, SHIFT(1556),
  [2617] = {.count = 1, .reusable = false}, SHIFT(1557),
  [2619] = {.count = 1, .reusable = false}, SHIFT(1558),
  [2621] = {.count = 1, .reusable = false}, SHIFT(1573),
  [2623] = {.count = 1, .reusable = false}, SHIFT(1559),
  [2625] = {.count = 1, .reusable = false}, SHIFT(1560),
  [2627] = {.count = 1, .reusable = false}, SHIFT(1561),
  [2629] = {.count = 1, .reusable = false}, SHIFT(1562),
  [2631] = {.count = 1, .reusable = false}, SHIFT(1563),
  [2633] = {.count = 1, .reusable = false}, SHIFT(1564),
  [2635] = {.count = 1, .reusable = false}, SHIFT(1565),
  [2637] = {.count = 1, .reusable = false}, SHIFT(1566),
  [2639] = {.count = 1, .reusable = true}, SHIFT(1567),
  [2641] = {.count = 1, .reusable = false}, SHIFT(1567),
  [2643] = {.count = 1, .reusable = true}, SHIFT(1568),
  [2645] = {.count = 1, .reusable = false}, SHIFT(1574),
  [2647] = {.count = 1, .reusable = true}, SHIFT(1574),
  [2649] = {.count = 1, .reusable = false}, SHIFT(1569),
  [2651] = {.count = 1, .reusable = true}, SHIFT(1570),
  [2653] = {.count = 1, .reusable = true}, SHIFT(1571),
  [2655] = {.count = 1, .reusable = true}, SHIFT(1579),
  [2657] = {.count = 1, .reusable = true}, SHIFT(1582),
  [2659] = {.count = 1, .reusable = true}, SHIFT(1583),
  [2661] = {.count = 1, .reusable = false}, SHIFT(434),
  [2663] = {.count = 1, .reusable = true}, SHIFT(1586),
  [2665] = {.count = 1, .reusable = true}, SHIFT(1587),
  [2667] = {.count = 1, .reusable = true}, SHIFT(1588),
  [2669] = {.count = 1, .reusable = false}, SHIFT(1589),
  [2671] = {.count = 1, .reusable = false}, SHIFT(1590),
  [2673] = {.count = 1, .reusable = false}, SHIFT(1591),
  [2675] = {.count = 1, .reusable = false}, SHIFT(1592),
  [2677] = {.count = 1, .reusable = false}, SHIFT(1593),
  [2679] = {.count = 1, .reusable = true}, SHIFT(1594),
  [2681] = {.count = 1, .reusable = false}, SHIFT(1594),
  [2683] = {.count = 1, .reusable = true}, SHIFT(1595),
  [2685] = {.count = 1, .reusable = false}, SHIFT(1596),
  [2687] = {.count = 1, .reusable = true}, SHIFT(1600),
  [2689] = {.count = 1, .reusable = false}, SHIFT(1600),
  [2691] = {.count = 1, .reusable = true}, SHIFT(1606),
  [2693] = {.count = 1, .reusable = false}, SHIFT(1608),
  [2695] = {.count = 1, .reusable = true}, SHIFT(1610),
  [2697] = {.count = 1, .reusable = true}, SHIFT(1613),
  [2699] = {.count = 1, .reusable = false}, SHIFT(1614),
  [2701] = {.count = 1, .reusable = false}, SHIFT(1616),
  [2703] = {.count = 1, .reusable = true}, SHIFT(1630),
  [2705] = {.count = 1, .reusable = false}, SHIFT(1627),
  [2707] = {.count = 1, .reusable = true}, SHIFT(1632),
  [2709] = {.count = 1, .reusable = true}, SHIFT(1638),
  [2711] = {.count = 1, .reusable = false}, SHIFT(1637),
  [2713] = {.count = 1, .reusable = false}, SHIFT(1642),
  [2715] = {.count = 1, .reusable = true}, SHIFT(1643),
  [2717] = {.count = 1, .reusable = true}, SHIFT(1646),
  [2719] = {.count = 1, .reusable = true}, SHIFT(1649),
  [2721] = {.count = 1, .reusable = true}, SHIFT(1650),
  [2723] = {.count = 1, .reusable = false}, SHIFT(1651),
  [2725] = {.count = 1, .reusable = false}, SHIFT(1652),
  [2727] = {.count = 1, .reusable = false}, SHIFT(1653),
  [2729] = {.count = 1, .reusable = false}, SHIFT(1654),
  [2731] = {.count = 1, .reusable = true}, SHIFT(1655),
  [2733] = {.count = 1, .reusable = true}, SHIFT(1656),
  [2735] = {.count = 1, .reusable = false}, SHIFT(1657),
  [2737] = {.count = 1, .reusable = true}, SHIFT(1657),
  [2739] = {.count = 1, .reusable = false}, SHIFT(1659),
  [2741] = {.count = 1, .reusable = false}, SHIFT(1660),
  [2743] = {.count = 1, .reusable = true}, SHIFT(1659),
  [2745] = {.count = 1, .reusable = true}, SHIFT(1654),
  [2747] = {.count = 1, .reusable = false}, SHIFT(1661),
  [2749] = {.count = 1, .reusable = true}, SHIFT(1662),
  [2751] = {.count = 1, .reusable = true}, REDUCE(sym_method_call, 2),
  [2753] = {.count = 1, .reusable = true}, SHIFT(1664),
  [2755] = {.count = 1, .reusable = false}, REDUCE(sym_method_call, 2),
  [2757] = {.count = 1, .reusable = true}, SHIFT(431),
  [2759] = {.count = 1, .reusable = true}, SHIFT(1666),
  [2761] = {.count = 1, .reusable = true}, SHIFT(1668),
  [2763] = {.count = 1, .reusable = true}, SHIFT(1670),
  [2765] = {.count = 1, .reusable = false}, SHIFT(1670),
  [2767] = {.count = 1, .reusable = true}, SHIFT(1671),
  [2769] = {.count = 1, .reusable = true}, SHIFT(1672),
  [2771] = {.count = 1, .reusable = true}, SHIFT(1674),
  [2773] = {.count = 1, .reusable = true}, SHIFT(1675),
  [2775] = {.count = 1, .reusable = false}, SHIFT(1676),
  [2777] = {.count = 1, .reusable = true}, SHIFT(1677),
  [2779] = {.count = 1, .reusable = false}, SHIFT(1677),
  [2781] = {.count = 1, .reusable = true}, SHIFT(1678),
  [2783] = {.count = 1, .reusable = true}, REDUCE(sym__mlhs, 2),
  [2785] = {.count = 1, .reusable = true}, REDUCE(sym_chained_string, 2),
  [2787] = {.count = 1, .reusable = false}, REDUCE(sym_chained_string, 2),
  [2789] = {.count = 1, .reusable = true}, SHIFT(1687),
  [2791] = {.count = 1, .reusable = true}, SHIFT(1690),
  [2793] = {.count = 1, .reusable = true}, SHIFT(1691),
  [2795] = {.count = 1, .reusable = true}, SHIFT(1692),
  [2797] = {.count = 1, .reusable = true}, SHIFT(1693),
  [2799] = {.count = 1, .reusable = true}, SHIFT(1694),
  [2801] = {.count = 1, .reusable = false}, SHIFT(1696),
  [2803] = {.count = 1, .reusable = false}, SHIFT(1697),
  [2805] = {.count = 1, .reusable = false}, SHIFT(1698),
  [2807] = {.count = 1, .reusable = false}, SHIFT(1699),
  [2809] = {.count = 1, .reusable = true}, SHIFT(1701),
  [2811] = {.count = 1, .reusable = false}, SHIFT(1701),
  [2813] = {.count = 1, .reusable = false}, SHIFT(1702),
  [2815] = {.count = 1, .reusable = true}, SHIFT(1702),
  [2817] = {.count = 1, .reusable = false}, SHIFT(1703),
  [2819] = {.count = 1, .reusable = true}, SHIFT(1705),
  [2821] = {.count = 1, .reusable = false}, SHIFT(1705),
  [2823] = {.count = 1, .reusable = true}, SHIFT(1713),
  [2825] = {.count = 1, .reusable = true}, SHIFT(1714),
  [2827] = {.count = 1, .reusable = true}, SHIFT(1715),
  [2829] = {.count = 1, .reusable = false}, SHIFT(1715),
  [2831] = {.count = 1, .reusable = true}, SHIFT(1716),
  [2833] = {.count = 1, .reusable = true}, SHIFT(1717),
  [2835] = {.count = 1, .reusable = true}, SHIFT(1720),
  [2837] = {.count = 1, .reusable = true}, SHIFT(1721),
  [2839] = {.count = 1, .reusable = true}, SHIFT(1722),
  [2841] = {.count = 1, .reusable = true}, SHIFT(1723),
  [2843] = {.count = 1, .reusable = true}, SHIFT(1724),
  [2845] = {.count = 1, .reusable = true}, SHIFT(1725),
  [2847] = {.count = 1, .reusable = true}, SHIFT(1726),
  [2849] = {.count = 1, .reusable = true}, SHIFT(1727),
  [2851] = {.count = 1, .reusable = false}, SHIFT(1728),
  [2853] = {.count = 1, .reusable = true}, SHIFT(1729),
  [2855] = {.count = 1, .reusable = false}, SHIFT(1730),
  [2857] = {.count = 1, .reusable = false}, SHIFT(1731),
  [2859] = {.count = 1, .reusable = true}, SHIFT(1732),
  [2861] = {.count = 1, .reusable = false}, SHIFT(1733),
  [2863] = {.count = 1, .reusable = true}, SHIFT(1733),
  [2865] = {.count = 1, .reusable = true}, SHIFT(1734),
  [2867] = {.count = 1, .reusable = true}, SHIFT(1735),
  [2869] = {.count = 1, .reusable = true}, SHIFT(1736),
  [2871] = {.count = 1, .reusable = false}, SHIFT(1735),
  [2873] = {.count = 1, .reusable = true}, SHIFT(1731),
  [2875] = {.count = 1, .reusable = true}, SHIFT(1728),
  [2877] = {.count = 1, .reusable = true}, SHIFT(1737),
  [2879] = {.count = 1, .reusable = true}, SHIFT(1738),
  [2881] = {.count = 1, .reusable = true}, SHIFT(1739),
  [2883] = {.count = 1, .reusable = false}, SHIFT(1740),
  [2885] = {.count = 1, .reusable = true}, SHIFT(1740),
  [2887] = {.count = 1, .reusable = true}, SHIFT(1741),
  [2889] = {.count = 1, .reusable = true}, SHIFT(1742),
  [2891] = {.count = 1, .reusable = true}, SHIFT(1743),
  [2893] = {.count = 1, .reusable = true}, SHIFT(1744),
  [2895] = {.count = 1, .reusable = true}, SHIFT(1745),
  [2897] = {.count = 1, .reusable = true}, SHIFT(1746),
  [2899] = {.count = 1, .reusable = false}, SHIFT(1748),
  [2901] = {.count = 1, .reusable = false}, SHIFT(1749),
  [2903] = {.count = 1, .reusable = false}, SHIFT(1750),
  [2905] = {.count = 1, .reusable = false}, SHIFT(1751),
  [2907] = {.count = 1, .reusable = false}, SHIFT(1752),
  [2909] = {.count = 1, .reusable = true}, SHIFT(1754),
  [2911] = {.count = 1, .reusable = false}, SHIFT(1754),
  [2913] = {.count = 1, .reusable = false}, SHIFT(1755),
  [2915] = {.count = 1, .reusable = true}, SHIFT(1755),
  [2917] = {.count = 1, .reusable = false}, SHIFT(1756),
  [2919] = {.count = 1, .reusable = true}, SHIFT(1758),
  [2921] = {.count = 1, .reusable = false}, SHIFT(1758),
  [2923] = {.count = 1, .reusable = true}, SHIFT(1766),
  [2925] = {.count = 1, .reusable = false}, SHIFT(1766),
  [2927] = {.count = 1, .reusable = true}, SHIFT(1767),
  [2929] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3, .alias_sequence_id = 8),
  [2931] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3, .alias_sequence_id = 8),
  [2933] = {.count = 2, .reusable = true}, REDUCE(aux_sym__literal_contents_repeat1, 2), SHIFT_REPEAT(480),
  [2936] = {.count = 1, .reusable = true}, REDUCE(aux_sym__literal_contents_repeat1, 2),
  [2938] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_contents_repeat1, 2), SHIFT_REPEAT(58),
  [2941] = {.count = 1, .reusable = true}, REDUCE(sym_symbol, 3, .alias_sequence_id = 9),
  [2943] = {.count = 1, .reusable = false}, REDUCE(sym_symbol, 3, .alias_sequence_id = 9),
  [2945] = {.count = 1, .reusable = true}, REDUCE(sym_subshell, 3, .alias_sequence_id = 10),
  [2947] = {.count = 1, .reusable = false}, REDUCE(sym_subshell, 3, .alias_sequence_id = 10),
  [2949] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 3, .alias_sequence_id = 11),
  [2951] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 3, .alias_sequence_id = 11),
  [2953] = {.count = 1, .reusable = true}, SHIFT(1769),
  [2955] = {.count = 1, .reusable = true}, REDUCE(sym_string_array, 3, .alias_sequence_id = 12),
  [2957] = {.count = 1, .reusable = false}, REDUCE(sym_string_array, 3, .alias_sequence_id = 12),
  [2959] = {.count = 1, .reusable = true}, SHIFT(1770),
  [2961] = {.count = 1, .reusable = true}, SHIFT(1771),
  [2963] = {.count = 1, .reusable = true}, SHIFT(1772),
  [2965] = {.count = 1, .reusable = true}, REDUCE(sym_string_array, 3, .alias_sequence_id = 13),
  [2967] = {.count = 1, .reusable = false}, REDUCE(sym_string_array, 3, .alias_sequence_id = 13),
  [2969] = {.count = 1, .reusable = true}, SHIFT(1774),
  [2971] = {.count = 1, .reusable = true}, SHIFT(1776),
  [2973] = {.count = 2, .reusable = true}, REDUCE(aux_sym__literal_contents_repeat1, 2), SHIFT_REPEAT(491),
  [2976] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_contents_repeat1, 2), SHIFT_REPEAT(68),
  [2979] = {.count = 1, .reusable = false}, REDUCE(aux_sym__literal_contents_repeat1, 2),
  [2981] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_contents_repeat1, 2), SHIFT_REPEAT(491),
  [2984] = {.count = 1, .reusable = true}, REDUCE(sym_symbol_array, 3, .alias_sequence_id = 14),
  [2986] = {.count = 1, .reusable = false}, REDUCE(sym_symbol_array, 3, .alias_sequence_id = 14),
  [2988] = {.count = 1, .reusable = true}, SHIFT(1778),
  [2990] = {.count = 1, .reusable = true}, SHIFT(1779),
  [2992] = {.count = 1, .reusable = true}, SHIFT(1780),
  [2994] = {.count = 1, .reusable = true}, REDUCE(sym_symbol_array, 3, .alias_sequence_id = 15),
  [2996] = {.count = 1, .reusable = false}, REDUCE(sym_symbol_array, 3, .alias_sequence_id = 15),
  [2998] = {.count = 1, .reusable = true}, SHIFT(1782),
  [3000] = {.count = 1, .reusable = true}, SHIFT(1784),
  [3002] = {.count = 1, .reusable = true}, REDUCE(sym_program, 3),
  [3004] = {.count = 1, .reusable = true}, REDUCE(sym_begin_block, 3),
  [3006] = {.count = 1, .reusable = true}, SHIFT(1787),
  [3008] = {.count = 1, .reusable = true}, SHIFT(1788),
  [3010] = {.count = 1, .reusable = true}, SHIFT(1789),
  [3012] = {.count = 1, .reusable = true}, SHIFT(1790),
  [3014] = {.count = 1, .reusable = false}, SHIFT(1792),
  [3016] = {.count = 1, .reusable = false}, SHIFT(1793),
  [3018] = {.count = 1, .reusable = false}, SHIFT(1794),
  [3020] = {.count = 1, .reusable = false}, SHIFT(1795),
  [3022] = {.count = 1, .reusable = true}, SHIFT(1797),
  [3024] = {.count = 1, .reusable = false}, SHIFT(1797),
  [3026] = {.count = 1, .reusable = false}, SHIFT(1798),
  [3028] = {.count = 1, .reusable = true}, SHIFT(1798),
  [3030] = {.count = 1, .reusable = false}, SHIFT(1799),
  [3032] = {.count = 1, .reusable = true}, SHIFT(1809),
  [3034] = {.count = 1, .reusable = true}, SHIFT(1810),
  [3036] = {.count = 1, .reusable = true}, SHIFT(1812),
  [3038] = {.count = 1, .reusable = true}, SHIFT(1813),
  [3040] = {.count = 1, .reusable = true}, SHIFT(1814),
  [3042] = {.count = 1, .reusable = true}, SHIFT(1815),
  [3044] = {.count = 1, .reusable = true}, SHIFT(1816),
  [3046] = {.count = 1, .reusable = true}, SHIFT(1817),
  [3048] = {.count = 1, .reusable = true}, SHIFT(1818),
  [3050] = {.count = 1, .reusable = false}, SHIFT(1819),
  [3052] = {.count = 1, .reusable = true}, SHIFT(1820),
  [3054] = {.count = 1, .reusable = false}, SHIFT(1821),
  [3056] = {.count = 1, .reusable = false}, SHIFT(1822),
  [3058] = {.count = 1, .reusable = true}, SHIFT(1823),
  [3060] = {.count = 1, .reusable = false}, SHIFT(1824),
  [3062] = {.count = 1, .reusable = true}, SHIFT(1824),
  [3064] = {.count = 1, .reusable = true}, SHIFT(1825),
  [3066] = {.count = 1, .reusable = true}, SHIFT(1826),
  [3068] = {.count = 1, .reusable = true}, SHIFT(1827),
  [3070] = {.count = 1, .reusable = false}, SHIFT(1826),
  [3072] = {.count = 1, .reusable = true}, SHIFT(1822),
  [3074] = {.count = 1, .reusable = true}, SHIFT(1819),
  [3076] = {.count = 1, .reusable = true}, SHIFT(1828),
  [3078] = {.count = 1, .reusable = true}, SHIFT(1829),
  [3080] = {.count = 1, .reusable = true}, SHIFT(1830),
  [3082] = {.count = 1, .reusable = true}, SHIFT(1831),
  [3084] = {.count = 1, .reusable = true}, SHIFT(1832),
  [3086] = {.count = 1, .reusable = false}, SHIFT(1834),
  [3088] = {.count = 1, .reusable = false}, SHIFT(1835),
  [3090] = {.count = 1, .reusable = false}, SHIFT(1836),
  [3092] = {.count = 1, .reusable = false}, SHIFT(1837),
  [3094] = {.count = 1, .reusable = true}, SHIFT(1839),
  [3096] = {.count = 1, .reusable = false}, SHIFT(1839),
  [3098] = {.count = 1, .reusable = false}, SHIFT(1840),
  [3100] = {.count = 1, .reusable = true}, SHIFT(1840),
  [3102] = {.count = 1, .reusable = false}, SHIFT(1841),
  [3104] = {.count = 1, .reusable = true}, SHIFT(1843),
  [3106] = {.count = 1, .reusable = false}, SHIFT(1843),
  [3108] = {.count = 1, .reusable = true}, SHIFT(1849),
  [3110] = {.count = 1, .reusable = false}, SHIFT(1849),
  [3112] = {.count = 1, .reusable = true}, SHIFT(1850),
  [3114] = {.count = 1, .reusable = true}, SHIFT(1852),
  [3116] = {.count = 1, .reusable = true}, SHIFT(1853),
  [3118] = {.count = 1, .reusable = true}, SHIFT(1854),
  [3120] = {.count = 1, .reusable = true}, SHIFT(1855),
  [3122] = {.count = 1, .reusable = true}, SHIFT(1856),
  [3124] = {.count = 1, .reusable = false}, SHIFT(1857),
  [3126] = {.count = 1, .reusable = true}, SHIFT(1859),
  [3128] = {.count = 1, .reusable = true}, SHIFT(1860),
  [3130] = {.count = 1, .reusable = true}, SHIFT(1862),
  [3132] = {.count = 1, .reusable = false}, SHIFT(1863),
  [3134] = {.count = 1, .reusable = true}, SHIFT(1865),
  [3136] = {.count = 1, .reusable = true}, SHIFT(1866),
  [3138] = {.count = 1, .reusable = true}, REDUCE(sym_heredoc_body, 2),
  [3140] = {.count = 1, .reusable = true}, SHIFT(1870),
  [3142] = {.count = 1, .reusable = true}, SHIFT(1869),
  [3144] = {.count = 1, .reusable = true}, SHIFT(1872),
  [3146] = {.count = 1, .reusable = true}, SHIFT(1875),
  [3148] = {.count = 1, .reusable = true}, SHIFT(1876),
  [3150] = {.count = 1, .reusable = true}, SHIFT(1877),
  [3152] = {.count = 1, .reusable = true}, SHIFT(1878),
  [3154] = {.count = 1, .reusable = true}, SHIFT(1881),
  [3156] = {.count = 1, .reusable = true}, SHIFT(1882),
  [3158] = {.count = 1, .reusable = true}, SHIFT(1883),
  [3160] = {.count = 1, .reusable = true}, SHIFT(1884),
  [3162] = {.count = 1, .reusable = true}, SHIFT(1885),
  [3164] = {.count = 1, .reusable = false}, SHIFT(1887),
  [3166] = {.count = 1, .reusable = false}, SHIFT(1888),
  [3168] = {.count = 1, .reusable = false}, SHIFT(1889),
  [3170] = {.count = 1, .reusable = false}, SHIFT(1890),
  [3172] = {.count = 1, .reusable = true}, SHIFT(1892),
  [3174] = {.count = 1, .reusable = false}, SHIFT(1892),
  [3176] = {.count = 1, .reusable = false}, SHIFT(1893),
  [3178] = {.count = 1, .reusable = true}, SHIFT(1893),
  [3180] = {.count = 1, .reusable = false}, SHIFT(1894),
  [3182] = {.count = 1, .reusable = true}, SHIFT(1896),
  [3184] = {.count = 1, .reusable = false}, SHIFT(1896),
  [3186] = {.count = 1, .reusable = true}, REDUCE(sym_hash_splat_argument, 2),
  [3188] = {.count = 1, .reusable = true}, SHIFT(1904),
  [3190] = {.count = 1, .reusable = true}, SHIFT(1905),
  [3192] = {.count = 1, .reusable = false}, SHIFT(1906),
  [3194] = {.count = 1, .reusable = true}, SHIFT(1907),
  [3196] = {.count = 1, .reusable = false}, SHIFT(1908),
  [3198] = {.count = 1, .reusable = false}, SHIFT(1909),
  [3200] = {.count = 1, .reusable = true}, SHIFT(1910),
  [3202] = {.count = 1, .reusable = false}, SHIFT(1911),
  [3204] = {.count = 1, .reusable = true}, SHIFT(1911),
  [3206] = {.count = 1, .reusable = true}, SHIFT(1912),
  [3208] = {.count = 1, .reusable = true}, SHIFT(1913),
  [3210] = {.count = 1, .reusable = true}, SHIFT(1914),
  [3212] = {.count = 1, .reusable = false}, SHIFT(1913),
  [3214] = {.count = 1, .reusable = true}, SHIFT(1909),
  [3216] = {.count = 1, .reusable = true}, SHIFT(1906),
  [3218] = {.count = 1, .reusable = true}, SHIFT(1915),
  [3220] = {.count = 1, .reusable = true}, SHIFT(1916),
  [3222] = {.count = 1, .reusable = true}, SHIFT(1917),
  [3224] = {.count = 1, .reusable = false}, SHIFT(1918),
  [3226] = {.count = 1, .reusable = true}, SHIFT(1918),
  [3228] = {.count = 1, .reusable = true}, SHIFT(1919),
  [3230] = {.count = 1, .reusable = true}, SHIFT(1920),
  [3232] = {.count = 1, .reusable = true}, SHIFT(1921),
  [3234] = {.count = 1, .reusable = true}, SHIFT(1922),
  [3236] = {.count = 1, .reusable = true}, SHIFT(1923),
  [3238] = {.count = 1, .reusable = false}, SHIFT(1925),
  [3240] = {.count = 1, .reusable = false}, SHIFT(1926),
  [3242] = {.count = 1, .reusable = false}, SHIFT(1927),
  [3244] = {.count = 1, .reusable = false}, SHIFT(1928),
  [3246] = {.count = 1, .reusable = false}, SHIFT(1929),
  [3248] = {.count = 1, .reusable = true}, SHIFT(1931),
  [3250] = {.count = 1, .reusable = false}, SHIFT(1931),
  [3252] = {.count = 1, .reusable = false}, SHIFT(1932),
  [3254] = {.count = 1, .reusable = true}, SHIFT(1932),
  [3256] = {.count = 1, .reusable = false}, SHIFT(1933),
  [3258] = {.count = 1, .reusable = true}, SHIFT(1935),
  [3260] = {.count = 1, .reusable = false}, SHIFT(1935),
  [3262] = {.count = 1, .reusable = true}, SHIFT(1943),
  [3264] = {.count = 1, .reusable = false}, SHIFT(1943),
  [3266] = {.count = 1, .reusable = true}, SHIFT(1944),
  [3268] = {.count = 1, .reusable = true}, SHIFT(1948),
  [3270] = {.count = 1, .reusable = true}, SHIFT(1950),
  [3272] = {.count = 1, .reusable = false}, SHIFT(1949),
  [3274] = {.count = 1, .reusable = true}, SHIFT(1954),
  [3276] = {.count = 1, .reusable = true}, SHIFT(1958),
  [3278] = {.count = 1, .reusable = true}, SHIFT(1965),
  [3280] = {.count = 1, .reusable = true}, SHIFT(1966),
  [3282] = {.count = 1, .reusable = false}, SHIFT(1967),
  [3284] = {.count = 1, .reusable = true}, SHIFT(1968),
  [3286] = {.count = 1, .reusable = false}, SHIFT(1969),
  [3288] = {.count = 1, .reusable = false}, SHIFT(1970),
  [3290] = {.count = 1, .reusable = true}, SHIFT(1972),
  [3292] = {.count = 1, .reusable = false}, SHIFT(1973),
  [3294] = {.count = 1, .reusable = true}, SHIFT(1973),
  [3296] = {.count = 1, .reusable = true}, SHIFT(1975),
  [3298] = {.count = 1, .reusable = true}, SHIFT(1976),
  [3300] = {.count = 1, .reusable = false}, SHIFT(1975),
  [3302] = {.count = 1, .reusable = true}, SHIFT(1970),
  [3304] = {.count = 1, .reusable = true}, SHIFT(1967),
  [3306] = {.count = 1, .reusable = true}, SHIFT(1977),
  [3308] = {.count = 1, .reusable = true}, SHIFT(1978),
  [3310] = {.count = 1, .reusable = true}, SHIFT(1980),
  [3312] = {.count = 1, .reusable = true}, SHIFT(1982),
  [3314] = {.count = 1, .reusable = false}, SHIFT(1982),
  [3316] = {.count = 1, .reusable = true}, SHIFT(1983),
  [3318] = {.count = 1, .reusable = true}, SHIFT(1984),
  [3320] = {.count = 1, .reusable = true}, SHIFT(1986),
  [3322] = {.count = 1, .reusable = true}, SHIFT(1987),
  [3324] = {.count = 1, .reusable = true}, SHIFT(1988),
  [3326] = {.count = 1, .reusable = true}, SHIFT(1989),
  [3328] = {.count = 1, .reusable = true}, SHIFT(1991),
  [3330] = {.count = 1, .reusable = true}, SHIFT(1993),
  [3332] = {.count = 1, .reusable = true}, SHIFT(1994),
  [3334] = {.count = 1, .reusable = false}, SHIFT(1998),
  [3336] = {.count = 1, .reusable = true}, SHIFT(1999),
  [3338] = {.count = 1, .reusable = true}, SHIFT(2001),
  [3340] = {.count = 1, .reusable = true}, SHIFT(2007),
  [3342] = {.count = 1, .reusable = false}, SHIFT(2004),
  [3344] = {.count = 1, .reusable = true}, SHIFT(617),
  [3346] = {.count = 1, .reusable = true}, SHIFT(2022),
  [3348] = {.count = 1, .reusable = true}, SHIFT(2025),
  [3350] = {.count = 1, .reusable = true}, SHIFT(2026),
  [3352] = {.count = 1, .reusable = true}, SHIFT(2027),
  [3354] = {.count = 1, .reusable = false}, SHIFT(2027),
  [3356] = {.count = 1, .reusable = true}, SHIFT(2028),
  [3358] = {.count = 1, .reusable = true}, SHIFT(2031),
  [3360] = {.count = 1, .reusable = true}, SHIFT(2033),
  [3362] = {.count = 1, .reusable = true}, SHIFT(2035),
  [3364] = {.count = 1, .reusable = true}, SHIFT(2037),
  [3366] = {.count = 1, .reusable = true}, SHIFT(2039),
  [3368] = {.count = 1, .reusable = false}, SHIFT(2040),
  [3370] = {.count = 1, .reusable = true}, SHIFT(2042),
  [3372] = {.count = 1, .reusable = false}, SHIFT(2043),
  [3374] = {.count = 1, .reusable = true}, SHIFT(2045),
  [3376] = {.count = 1, .reusable = true}, SHIFT(2046),
  [3378] = {.count = 1, .reusable = false}, SHIFT(666),
  [3380] = {.count = 1, .reusable = true}, SHIFT(2050),
  [3382] = {.count = 1, .reusable = true}, SHIFT(2054),
  [3384] = {.count = 1, .reusable = true}, SHIFT(2055),
  [3386] = {.count = 1, .reusable = true}, SHIFT(2060),
  [3388] = {.count = 1, .reusable = false}, SHIFT(2062),
  [3390] = {.count = 1, .reusable = true}, SHIFT(2064),
  [3392] = {.count = 1, .reusable = true}, SHIFT(2067),
  [3394] = {.count = 1, .reusable = false}, SHIFT(2068),
  [3396] = {.count = 1, .reusable = false}, SHIFT(2070),
  [3398] = {.count = 1, .reusable = true}, SHIFT(2084),
  [3400] = {.count = 1, .reusable = false}, SHIFT(2081),
  [3402] = {.count = 1, .reusable = true}, SHIFT(2086),
  [3404] = {.count = 1, .reusable = true}, SHIFT(2092),
  [3406] = {.count = 1, .reusable = false}, SHIFT(2091),
  [3408] = {.count = 1, .reusable = false}, SHIFT(2096),
  [3410] = {.count = 1, .reusable = true}, SHIFT(2097),
  [3412] = {.count = 1, .reusable = true}, SHIFT(2100),
  [3414] = {.count = 1, .reusable = true}, SHIFT(2103),
  [3416] = {.count = 1, .reusable = true}, SHIFT(2104),
  [3418] = {.count = 1, .reusable = false}, SHIFT(2105),
  [3420] = {.count = 1, .reusable = false}, SHIFT(2106),
  [3422] = {.count = 1, .reusable = false}, SHIFT(2107),
  [3424] = {.count = 1, .reusable = false}, SHIFT(2108),
  [3426] = {.count = 1, .reusable = true}, SHIFT(2110),
  [3428] = {.count = 1, .reusable = false}, SHIFT(2111),
  [3430] = {.count = 1, .reusable = true}, SHIFT(2111),
  [3432] = {.count = 1, .reusable = false}, SHIFT(2113),
  [3434] = {.count = 1, .reusable = false}, SHIFT(2114),
  [3436] = {.count = 1, .reusable = true}, SHIFT(2113),
  [3438] = {.count = 1, .reusable = true}, SHIFT(2108),
  [3440] = {.count = 1, .reusable = false}, SHIFT(2115),
  [3442] = {.count = 1, .reusable = true}, SHIFT(2116),
  [3444] = {.count = 1, .reusable = true}, SHIFT(2118),
  [3446] = {.count = 1, .reusable = true}, SHIFT(663),
  [3448] = {.count = 1, .reusable = true}, SHIFT(2120),
  [3450] = {.count = 1, .reusable = true}, SHIFT(2122),
  [3452] = {.count = 1, .reusable = true}, SHIFT(2124),
  [3454] = {.count = 1, .reusable = false}, SHIFT(2124),
  [3456] = {.count = 1, .reusable = true}, SHIFT(2125),
  [3458] = {.count = 1, .reusable = true}, SHIFT(2126),
  [3460] = {.count = 1, .reusable = true}, SHIFT(2128),
  [3462] = {.count = 1, .reusable = true}, SHIFT(2129),
  [3464] = {.count = 1, .reusable = false}, SHIFT(2130),
  [3466] = {.count = 1, .reusable = false}, SHIFT(2131),
  [3468] = {.count = 1, .reusable = false}, SHIFT(2132),
  [3470] = {.count = 1, .reusable = false}, SHIFT(2133),
  [3472] = {.count = 1, .reusable = false}, SHIFT(2134),
  [3474] = {.count = 1, .reusable = true}, SHIFT(2135),
  [3476] = {.count = 1, .reusable = false}, SHIFT(2135),
  [3478] = {.count = 1, .reusable = true}, SHIFT(2136),
  [3480] = {.count = 1, .reusable = true}, REDUCE(sym_hash, 3),
  [3482] = {.count = 1, .reusable = false}, REDUCE(sym_hash, 3),
  [3484] = {.count = 1, .reusable = true}, SHIFT(2146),
  [3486] = {.count = 1, .reusable = true}, SHIFT(2147),
  [3488] = {.count = 1, .reusable = true}, REDUCE(sym__hash_items, 2),
  [3490] = {.count = 1, .reusable = true}, REDUCE(sym_end_block, 3),
  [3492] = {.count = 1, .reusable = true}, SHIFT(2150),
  [3494] = {.count = 1, .reusable = true}, SHIFT(2151),
  [3496] = {.count = 1, .reusable = true}, SHIFT(2153),
  [3498] = {.count = 1, .reusable = true}, SHIFT(2154),
  [3500] = {.count = 1, .reusable = true}, SHIFT(2155),
  [3502] = {.count = 1, .reusable = true}, SHIFT(2156),
  [3504] = {.count = 1, .reusable = true}, SHIFT(2159),
  [3506] = {.count = 1, .reusable = false}, SHIFT(2159),
  [3508] = {.count = 1, .reusable = false}, SHIFT(2160),
  [3510] = {.count = 1, .reusable = true}, SHIFT(2160),
  [3512] = {.count = 1, .reusable = false}, SHIFT(2161),
  [3514] = {.count = 1, .reusable = true}, SHIFT(2170),
  [3516] = {.count = 1, .reusable = true}, SHIFT(2171),
  [3518] = {.count = 1, .reusable = true}, SHIFT(2172),
  [3520] = {.count = 1, .reusable = false}, SHIFT(2173),
  [3522] = {.count = 1, .reusable = true}, SHIFT(2174),
  [3524] = {.count = 1, .reusable = false}, SHIFT(2175),
  [3526] = {.count = 1, .reusable = false}, SHIFT(2176),
  [3528] = {.count = 1, .reusable = true}, SHIFT(2177),
  [3530] = {.count = 1, .reusable = false}, SHIFT(2178),
  [3532] = {.count = 1, .reusable = true}, SHIFT(2178),
  [3534] = {.count = 1, .reusable = true}, SHIFT(2179),
  [3536] = {.count = 1, .reusable = true}, SHIFT(2180),
  [3538] = {.count = 1, .reusable = true}, SHIFT(2181),
  [3540] = {.count = 1, .reusable = false}, SHIFT(2180),
  [3542] = {.count = 1, .reusable = true}, SHIFT(2176),
  [3544] = {.count = 1, .reusable = true}, SHIFT(2173),
  [3546] = {.count = 1, .reusable = true}, SHIFT(2182),
  [3548] = {.count = 1, .reusable = true}, SHIFT(2183),
  [3550] = {.count = 1, .reusable = true}, SHIFT(2184),
  [3552] = {.count = 1, .reusable = true}, SHIFT(2185),
  [3554] = {.count = 1, .reusable = true}, SHIFT(2186),
  [3556] = {.count = 1, .reusable = false}, SHIFT(2188),
  [3558] = {.count = 1, .reusable = false}, SHIFT(2189),
  [3560] = {.count = 1, .reusable = false}, SHIFT(2190),
  [3562] = {.count = 1, .reusable = false}, SHIFT(2191),
  [3564] = {.count = 1, .reusable = true}, SHIFT(2193),
  [3566] = {.count = 1, .reusable = false}, SHIFT(2193),
  [3568] = {.count = 1, .reusable = false}, SHIFT(2194),
  [3570] = {.count = 1, .reusable = true}, SHIFT(2194),
  [3572] = {.count = 1, .reusable = false}, SHIFT(2195),
  [3574] = {.count = 1, .reusable = true}, SHIFT(2197),
  [3576] = {.count = 1, .reusable = false}, SHIFT(2197),
  [3578] = {.count = 1, .reusable = true}, SHIFT(2203),
  [3580] = {.count = 1, .reusable = false}, SHIFT(2203),
  [3582] = {.count = 1, .reusable = true}, SHIFT(2204),
  [3584] = {.count = 1, .reusable = true}, REDUCE(sym_setter, 2),
  [3586] = {.count = 1, .reusable = false}, REDUCE(sym_setter, 2),
  [3588] = {.count = 1, .reusable = true}, SHIFT(2207),
  [3590] = {.count = 1, .reusable = true}, SHIFT(2209),
  [3592] = {.count = 1, .reusable = true}, SHIFT(2210),
  [3594] = {.count = 1, .reusable = true}, SHIFT(2211),
  [3596] = {.count = 1, .reusable = true}, SHIFT(2212),
  [3598] = {.count = 1, .reusable = true}, SHIFT(2213),
  [3600] = {.count = 1, .reusable = true}, SHIFT(2214),
  [3602] = {.count = 1, .reusable = false}, SHIFT(2215),
  [3604] = {.count = 1, .reusable = true}, SHIFT(2217),
  [3606] = {.count = 1, .reusable = true}, SHIFT(2216),
  [3608] = {.count = 1, .reusable = true}, SHIFT(2218),
  [3610] = {.count = 1, .reusable = true}, SHIFT(2219),
  [3612] = {.count = 1, .reusable = true}, SHIFT(2220),
  [3614] = {.count = 1, .reusable = true}, SHIFT(2221),
  [3616] = {.count = 1, .reusable = true}, SHIFT(2222),
  [3618] = {.count = 1, .reusable = false}, SHIFT(2223),
  [3620] = {.count = 1, .reusable = false}, SHIFT(2224),
  [3622] = {.count = 1, .reusable = false}, SHIFT(2225),
  [3624] = {.count = 1, .reusable = false}, SHIFT(2226),
  [3626] = {.count = 1, .reusable = false}, SHIFT(2227),
  [3628] = {.count = 1, .reusable = true}, SHIFT(2228),
  [3630] = {.count = 1, .reusable = false}, SHIFT(2228),
  [3632] = {.count = 1, .reusable = true}, SHIFT(2229),
  [3634] = {.count = 1, .reusable = false}, SHIFT(2230),
  [3636] = {.count = 1, .reusable = true}, SHIFT(2237),
  [3638] = {.count = 1, .reusable = false}, SHIFT(2238),
  [3640] = {.count = 1, .reusable = false}, SHIFT(2239),
  [3642] = {.count = 1, .reusable = false}, SHIFT(2240),
  [3644] = {.count = 1, .reusable = false}, SHIFT(2241),
  [3646] = {.count = 1, .reusable = false}, SHIFT(2242),
  [3648] = {.count = 1, .reusable = true}, SHIFT(2243),
  [3650] = {.count = 1, .reusable = false}, SHIFT(2243),
  [3652] = {.count = 1, .reusable = true}, SHIFT(2244),
  [3654] = {.count = 1, .reusable = false}, SHIFT(727),
  [3656] = {.count = 1, .reusable = true}, SHIFT(2252),
  [3658] = {.count = 1, .reusable = true}, SHIFT(2254),
  [3660] = {.count = 1, .reusable = true}, SHIFT(2255),
  [3662] = {.count = 1, .reusable = true}, SHIFT(2256),
  [3664] = {.count = 1, .reusable = false}, SHIFT(2258),
  [3666] = {.count = 1, .reusable = true}, SHIFT(2265),
  [3668] = {.count = 1, .reusable = true}, SHIFT(2266),
  [3670] = {.count = 1, .reusable = false}, SHIFT(2267),
  [3672] = {.count = 1, .reusable = true}, SHIFT(2268),
  [3674] = {.count = 1, .reusable = false}, SHIFT(2269),
  [3676] = {.count = 1, .reusable = false}, SHIFT(2270),
  [3678] = {.count = 1, .reusable = true}, SHIFT(2271),
  [3680] = {.count = 1, .reusable = true}, SHIFT(2272),
  [3682] = {.count = 1, .reusable = false}, SHIFT(2273),
  [3684] = {.count = 1, .reusable = true}, SHIFT(2273),
  [3686] = {.count = 1, .reusable = true}, SHIFT(2275),
  [3688] = {.count = 1, .reusable = true}, SHIFT(2276),
  [3690] = {.count = 1, .reusable = false}, SHIFT(2275),
  [3692] = {.count = 1, .reusable = true}, SHIFT(2270),
  [3694] = {.count = 1, .reusable = true}, SHIFT(2267),
  [3696] = {.count = 1, .reusable = true}, SHIFT(2277),
  [3698] = {.count = 1, .reusable = true}, SHIFT(2278),
  [3700] = {.count = 1, .reusable = true}, SHIFT(2279),
  [3702] = {.count = 1, .reusable = true}, SHIFT(2280),
  [3704] = {.count = 1, .reusable = false}, SHIFT(2282),
  [3706] = {.count = 1, .reusable = true}, SHIFT(2288),
  [3708] = {.count = 1, .reusable = true}, SHIFT(2290),
  [3710] = {.count = 1, .reusable = false}, SHIFT(2290),
  [3712] = {.count = 1, .reusable = true}, SHIFT(2291),
  [3714] = {.count = 1, .reusable = true}, SHIFT(2292),
  [3716] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_statements, 3),
  [3718] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_statements, 3),
  [3720] = {.count = 1, .reusable = true}, SHIFT(2295),
  [3722] = {.count = 1, .reusable = true}, SHIFT(2314),
  [3724] = {.count = 1, .reusable = false}, SHIFT(2315),
  [3726] = {.count = 1, .reusable = false}, SHIFT(2316),
  [3728] = {.count = 1, .reusable = false}, SHIFT(2317),
  [3730] = {.count = 1, .reusable = false}, SHIFT(2318),
  [3732] = {.count = 1, .reusable = false}, SHIFT(2319),
  [3734] = {.count = 1, .reusable = true}, SHIFT(2320),
  [3736] = {.count = 1, .reusable = false}, SHIFT(2320),
  [3738] = {.count = 1, .reusable = true}, SHIFT(2321),
  [3740] = {.count = 1, .reusable = false}, SHIFT(2323),
  [3742] = {.count = 1, .reusable = true}, SHIFT(2323),
  [3744] = {.count = 1, .reusable = false}, SHIFT(770),
  [3746] = {.count = 1, .reusable = true}, SHIFT(2330),
  [3748] = {.count = 1, .reusable = true}, SHIFT(2334),
  [3750] = {.count = 1, .reusable = true}, SHIFT(2335),
  [3752] = {.count = 1, .reusable = false}, SHIFT(2336),
  [3754] = {.count = 1, .reusable = false}, SHIFT(2337),
  [3756] = {.count = 1, .reusable = false}, SHIFT(2338),
  [3758] = {.count = 1, .reusable = false}, SHIFT(2339),
  [3760] = {.count = 1, .reusable = true}, SHIFT(2340),
  [3762] = {.count = 1, .reusable = true}, SHIFT(2341),
  [3764] = {.count = 1, .reusable = false}, SHIFT(2342),
  [3766] = {.count = 1, .reusable = true}, SHIFT(2342),
  [3768] = {.count = 1, .reusable = false}, SHIFT(2344),
  [3770] = {.count = 1, .reusable = false}, SHIFT(2345),
  [3772] = {.count = 1, .reusable = true}, SHIFT(2344),
  [3774] = {.count = 1, .reusable = true}, SHIFT(2339),
  [3776] = {.count = 1, .reusable = false}, SHIFT(2346),
  [3778] = {.count = 1, .reusable = true}, SHIFT(2348),
  [3780] = {.count = 1, .reusable = true}, SHIFT(2350),
  [3782] = {.count = 1, .reusable = false}, SHIFT(2350),
  [3784] = {.count = 1, .reusable = true}, SHIFT(2351),
  [3786] = {.count = 1, .reusable = true}, SHIFT(2352),
  [3788] = {.count = 1, .reusable = true}, SHIFT(2354),
  [3790] = {.count = 1, .reusable = true}, SHIFT(2355),
  [3792] = {.count = 1, .reusable = false}, SHIFT(2356),
  [3794] = {.count = 1, .reusable = true}, SHIFT(2357),
  [3796] = {.count = 1, .reusable = false}, SHIFT(2357),
  [3798] = {.count = 1, .reusable = true}, SHIFT(2358),
  [3800] = {.count = 1, .reusable = true}, REDUCE(sym_destructured_left_assignment, 3),
  [3802] = {.count = 1, .reusable = true}, SHIFT(2365),
  [3804] = {.count = 1, .reusable = true}, SHIFT(2366),
  [3806] = {.count = 1, .reusable = true}, SHIFT(2367),
  [3808] = {.count = 1, .reusable = true}, SHIFT(2368),
  [3810] = {.count = 1, .reusable = true}, SHIFT(2369),
  [3812] = {.count = 1, .reusable = false}, SHIFT(2370),
  [3814] = {.count = 1, .reusable = true}, SHIFT(2372),
  [3816] = {.count = 1, .reusable = true}, SHIFT(2373),
  [3818] = {.count = 1, .reusable = true}, SHIFT(2375),
  [3820] = {.count = 1, .reusable = false}, SHIFT(2376),
  [3822] = {.count = 1, .reusable = true}, SHIFT(2378),
  [3824] = {.count = 1, .reusable = true}, SHIFT(2379),
  [3826] = {.count = 1, .reusable = true}, SHIFT(2381),
  [3828] = {.count = 1, .reusable = true}, SHIFT(2384),
  [3830] = {.count = 1, .reusable = true}, SHIFT(2385),
  [3832] = {.count = 1, .reusable = true}, SHIFT(2386),
  [3834] = {.count = 1, .reusable = true}, SHIFT(2389),
  [3836] = {.count = 1, .reusable = true}, SHIFT(2391),
  [3838] = {.count = 1, .reusable = false}, SHIFT(2390),
  [3840] = {.count = 1, .reusable = true}, SHIFT(2392),
  [3842] = {.count = 1, .reusable = false}, SHIFT(2393),
  [3844] = {.count = 1, .reusable = false}, SHIFT(2394),
  [3846] = {.count = 1, .reusable = false}, SHIFT(2395),
  [3848] = {.count = 1, .reusable = false}, SHIFT(2396),
  [3850] = {.count = 1, .reusable = false}, SHIFT(2397),
  [3852] = {.count = 1, .reusable = true}, SHIFT(2398),
  [3854] = {.count = 1, .reusable = false}, SHIFT(2398),
  [3856] = {.count = 1, .reusable = true}, SHIFT(2399),
  [3858] = {.count = 1, .reusable = false}, SHIFT(2401),
  [3860] = {.count = 1, .reusable = true}, SHIFT(2401),
  [3862] = {.count = 1, .reusable = true}, SHIFT(2406),
  [3864] = {.count = 1, .reusable = true}, SHIFT(2409),
  [3866] = {.count = 1, .reusable = true}, SHIFT(2411),
  [3868] = {.count = 1, .reusable = true}, SHIFT(1974),
  [3870] = {.count = 1, .reusable = true}, SHIFT(2412),
  [3872] = {.count = 1, .reusable = true}, SHIFT(2414),
  [3874] = {.count = 1, .reusable = true}, SHIFT(2416),
  [3876] = {.count = 1, .reusable = true}, SHIFT(2417),
  [3878] = {.count = 1, .reusable = true}, SHIFT(2418),
  [3880] = {.count = 1, .reusable = true}, SHIFT(2419),
  [3882] = {.count = 1, .reusable = true}, SHIFT(2420),
  [3884] = {.count = 1, .reusable = true}, SHIFT(2422),
  [3886] = {.count = 1, .reusable = true}, SHIFT(2424),
  [3888] = {.count = 1, .reusable = true}, SHIFT(2425),
  [3890] = {.count = 1, .reusable = false}, SHIFT(2429),
  [3892] = {.count = 1, .reusable = true}, SHIFT(2430),
  [3894] = {.count = 1, .reusable = true}, SHIFT(2432),
  [3896] = {.count = 1, .reusable = true}, SHIFT(2438),
  [3898] = {.count = 1, .reusable = false}, SHIFT(2435),
  [3900] = {.count = 1, .reusable = true}, SHIFT(847),
  [3902] = {.count = 1, .reusable = true}, SHIFT(2440),
  [3904] = {.count = 1, .reusable = true}, SHIFT(2443),
  [3906] = {.count = 1, .reusable = true}, SHIFT(2444),
  [3908] = {.count = 1, .reusable = true}, SHIFT(2445),
  [3910] = {.count = 1, .reusable = false}, SHIFT(2445),
  [3912] = {.count = 1, .reusable = true}, SHIFT(2446),
  [3914] = {.count = 1, .reusable = true}, SHIFT(2449),
  [3916] = {.count = 1, .reusable = true}, SHIFT(2450),
  [3918] = {.count = 1, .reusable = true}, SHIFT(2451),
  [3920] = {.count = 1, .reusable = true}, SHIFT(2452),
  [3922] = {.count = 1, .reusable = true}, SHIFT(2453),
  [3924] = {.count = 1, .reusable = true}, SHIFT(2454),
  [3926] = {.count = 1, .reusable = true}, SHIFT(2455),
  [3928] = {.count = 1, .reusable = true}, SHIFT(2456),
  [3930] = {.count = 1, .reusable = true}, SHIFT(2457),
  [3932] = {.count = 1, .reusable = false}, SHIFT(2458),
  [3934] = {.count = 1, .reusable = true}, SHIFT(2459),
  [3936] = {.count = 1, .reusable = false}, SHIFT(2460),
  [3938] = {.count = 1, .reusable = false}, SHIFT(2461),
  [3940] = {.count = 1, .reusable = false}, SHIFT(2462),
  [3942] = {.count = 1, .reusable = false}, SHIFT(2463),
  [3944] = {.count = 1, .reusable = false}, SHIFT(2464),
  [3946] = {.count = 1, .reusable = false}, SHIFT(2465),
  [3948] = {.count = 1, .reusable = false}, SHIFT(2466),
  [3950] = {.count = 1, .reusable = false}, SHIFT(2467),
  [3952] = {.count = 1, .reusable = false}, SHIFT(2468),
  [3954] = {.count = 1, .reusable = false}, SHIFT(2469),
  [3956] = {.count = 1, .reusable = false}, SHIFT(2470),
  [3958] = {.count = 1, .reusable = false}, SHIFT(2471),
  [3960] = {.count = 1, .reusable = false}, SHIFT(2472),
  [3962] = {.count = 1, .reusable = false}, SHIFT(2473),
  [3964] = {.count = 1, .reusable = true}, SHIFT(2474),
  [3966] = {.count = 1, .reusable = false}, SHIFT(2474),
  [3968] = {.count = 1, .reusable = true}, SHIFT(2475),
  [3970] = {.count = 1, .reusable = false}, SHIFT(2480),
  [3972] = {.count = 1, .reusable = true}, SHIFT(2480),
  [3974] = {.count = 1, .reusable = false}, SHIFT(2476),
  [3976] = {.count = 1, .reusable = true}, SHIFT(2477),
  [3978] = {.count = 1, .reusable = true}, SHIFT(2478),
  [3980] = {.count = 1, .reusable = true}, SHIFT(2487),
  [3982] = {.count = 1, .reusable = true}, SHIFT(2488),
  [3984] = {.count = 1, .reusable = true}, SHIFT(2490),
  [3986] = {.count = 1, .reusable = true}, SHIFT(2491),
  [3988] = {.count = 1, .reusable = true}, SHIFT(2492),
  [3990] = {.count = 1, .reusable = false}, SHIFT(865),
  [3992] = {.count = 1, .reusable = false}, SHIFT(2494),
  [3994] = {.count = 1, .reusable = true}, SHIFT(2501),
  [3996] = {.count = 1, .reusable = true}, SHIFT(2502),
  [3998] = {.count = 1, .reusable = false}, SHIFT(2503),
  [4000] = {.count = 1, .reusable = true}, SHIFT(2504),
  [4002] = {.count = 1, .reusable = false}, SHIFT(2505),
  [4004] = {.count = 1, .reusable = false}, SHIFT(2506),
  [4006] = {.count = 1, .reusable = true}, SHIFT(2507),
  [4008] = {.count = 1, .reusable = true}, SHIFT(2508),
  [4010] = {.count = 1, .reusable = false}, SHIFT(2509),
  [4012] = {.count = 1, .reusable = true}, SHIFT(2509),
  [4014] = {.count = 1, .reusable = true}, SHIFT(2510),
  [4016] = {.count = 1, .reusable = true}, SHIFT(2511),
  [4018] = {.count = 1, .reusable = true}, SHIFT(2512),
  [4020] = {.count = 1, .reusable = false}, SHIFT(2511),
  [4022] = {.count = 1, .reusable = true}, SHIFT(2506),
  [4024] = {.count = 1, .reusable = true}, SHIFT(2503),
  [4026] = {.count = 1, .reusable = true}, SHIFT(2513),
  [4028] = {.count = 1, .reusable = true}, SHIFT(2516),
  [4030] = {.count = 1, .reusable = true}, SHIFT(2518),
  [4032] = {.count = 1, .reusable = false}, SHIFT(2518),
  [4034] = {.count = 1, .reusable = true}, SHIFT(2519),
  [4036] = {.count = 1, .reusable = true}, SHIFT(2520),
  [4038] = {.count = 1, .reusable = true}, SHIFT(2523),
  [4040] = {.count = 1, .reusable = true}, SHIFT(2525),
  [4042] = {.count = 1, .reusable = false}, SHIFT(2526),
  [4044] = {.count = 1, .reusable = true}, SHIFT(2527),
  [4046] = {.count = 1, .reusable = true}, SHIFT(2528),
  [4048] = {.count = 1, .reusable = false}, SHIFT(2529),
  [4050] = {.count = 1, .reusable = false}, SHIFT(2530),
  [4052] = {.count = 1, .reusable = false}, SHIFT(2531),
  [4054] = {.count = 1, .reusable = false}, SHIFT(2532),
  [4056] = {.count = 1, .reusable = false}, SHIFT(2533),
  [4058] = {.count = 1, .reusable = true}, SHIFT(2534),
  [4060] = {.count = 1, .reusable = false}, SHIFT(2534),
  [4062] = {.count = 1, .reusable = true}, SHIFT(2535),
  [4064] = {.count = 1, .reusable = true}, SHIFT(2543),
  [4066] = {.count = 1, .reusable = true}, SHIFT(2544),
  [4068] = {.count = 1, .reusable = true}, SHIFT(2546),
  [4070] = {.count = 1, .reusable = true}, SHIFT(2547),
  [4072] = {.count = 1, .reusable = true}, SHIFT(2548),
  [4074] = {.count = 1, .reusable = false}, SHIFT(894),
  [4076] = {.count = 1, .reusable = false}, SHIFT(2550),
  [4078] = {.count = 1, .reusable = true}, SHIFT(2557),
  [4080] = {.count = 1, .reusable = true}, SHIFT(2558),
  [4082] = {.count = 1, .reusable = false}, SHIFT(2559),
  [4084] = {.count = 1, .reusable = true}, SHIFT(2560),
  [4086] = {.count = 1, .reusable = false}, SHIFT(2561),
  [4088] = {.count = 1, .reusable = false}, SHIFT(2562),
  [4090] = {.count = 1, .reusable = true}, SHIFT(2563),
  [4092] = {.count = 1, .reusable = true}, SHIFT(2564),
  [4094] = {.count = 1, .reusable = false}, SHIFT(2565),
  [4096] = {.count = 1, .reusable = true}, SHIFT(2565),
  [4098] = {.count = 1, .reusable = true}, SHIFT(2566),
  [4100] = {.count = 1, .reusable = true}, SHIFT(2567),
  [4102] = {.count = 1, .reusable = true}, SHIFT(2568),
  [4104] = {.count = 1, .reusable = false}, SHIFT(2567),
  [4106] = {.count = 1, .reusable = true}, SHIFT(2562),
  [4108] = {.count = 1, .reusable = true}, SHIFT(2559),
  [4110] = {.count = 1, .reusable = true}, SHIFT(2569),
  [4112] = {.count = 1, .reusable = true}, SHIFT(2571),
  [4114] = {.count = 1, .reusable = true}, SHIFT(2573),
  [4116] = {.count = 1, .reusable = false}, SHIFT(2573),
  [4118] = {.count = 1, .reusable = true}, SHIFT(2574),
  [4120] = {.count = 1, .reusable = true}, SHIFT(2575),
  [4122] = {.count = 1, .reusable = true}, REDUCE(sym_module, 3),
  [4124] = {.count = 1, .reusable = false}, REDUCE(sym_module, 3),
  [4126] = {.count = 1, .reusable = false}, SHIFT(2577),
  [4128] = {.count = 1, .reusable = true}, SHIFT(2578),
  [4130] = {.count = 1, .reusable = true}, REDUCE(sym_block_argument, 2),
  [4132] = {.count = 1, .reusable = true}, SHIFT(2584),
  [4134] = {.count = 1, .reusable = true}, SHIFT(2585),
  [4136] = {.count = 1, .reusable = false}, REDUCE(sym_block_argument, 2),
  [4138] = {.count = 1, .reusable = false}, SHIFT(2586),
  [4140] = {.count = 1, .reusable = true}, SHIFT(2587),
  [4142] = {.count = 1, .reusable = false}, SHIFT(2588),
  [4144] = {.count = 1, .reusable = false}, SHIFT(2589),
  [4146] = {.count = 1, .reusable = true}, SHIFT(2590),
  [4148] = {.count = 1, .reusable = false}, SHIFT(2591),
  [4150] = {.count = 1, .reusable = true}, SHIFT(2591),
  [4152] = {.count = 1, .reusable = true}, SHIFT(2593),
  [4154] = {.count = 1, .reusable = true}, SHIFT(2594),
  [4156] = {.count = 1, .reusable = false}, SHIFT(2593),
  [4158] = {.count = 1, .reusable = true}, SHIFT(2589),
  [4160] = {.count = 1, .reusable = true}, SHIFT(2586),
  [4162] = {.count = 1, .reusable = true}, SHIFT(2595),
  [4164] = {.count = 1, .reusable = true}, SHIFT(2596),
  [4166] = {.count = 1, .reusable = false}, SHIFT(2596),
  [4168] = {.count = 1, .reusable = true}, SHIFT(2597),
  [4170] = {.count = 1, .reusable = true}, REDUCE(sym_splat_argument, 2),
  [4172] = {.count = 1, .reusable = false}, REDUCE(sym_splat_argument, 2),
  [4174] = {.count = 1, .reusable = true}, SHIFT(2599),
  [4176] = {.count = 1, .reusable = false}, SHIFT(2600),
  [4178] = {.count = 1, .reusable = false}, SHIFT(2601),
  [4180] = {.count = 1, .reusable = false}, SHIFT(2602),
  [4182] = {.count = 1, .reusable = false}, SHIFT(2603),
  [4184] = {.count = 1, .reusable = false}, SHIFT(2604),
  [4186] = {.count = 1, .reusable = true}, SHIFT(2605),
  [4188] = {.count = 1, .reusable = false}, SHIFT(2605),
  [4190] = {.count = 1, .reusable = true}, SHIFT(2606),
  [4192] = {.count = 1, .reusable = false}, SHIFT(2608),
  [4194] = {.count = 1, .reusable = true}, SHIFT(2608),
  [4196] = {.count = 1, .reusable = true}, SHIFT(2615),
  [4198] = {.count = 1, .reusable = true}, REDUCE(sym__argument_list_with_parens, 2, .alias_sequence_id = 16),
  [4200] = {.count = 1, .reusable = false}, REDUCE(sym__argument_list_with_parens, 2, .alias_sequence_id = 16),
  [4202] = {.count = 1, .reusable = true}, SHIFT(2617),
  [4204] = {.count = 1, .reusable = true}, SHIFT(2618),
  [4206] = {.count = 1, .reusable = true}, SHIFT(2619),
  [4208] = {.count = 1, .reusable = false}, SHIFT(2621),
  [4210] = {.count = 1, .reusable = true}, SHIFT(2628),
  [4212] = {.count = 1, .reusable = true}, SHIFT(2629),
  [4214] = {.count = 1, .reusable = false}, SHIFT(2630),
  [4216] = {.count = 1, .reusable = true}, SHIFT(2631),
  [4218] = {.count = 1, .reusable = false}, SHIFT(2632),
  [4220] = {.count = 1, .reusable = false}, SHIFT(2633),
  [4222] = {.count = 1, .reusable = true}, SHIFT(2634),
  [4224] = {.count = 1, .reusable = true}, SHIFT(2635),
  [4226] = {.count = 1, .reusable = false}, SHIFT(2636),
  [4228] = {.count = 1, .reusable = true}, SHIFT(2636),
  [4230] = {.count = 1, .reusable = true}, SHIFT(2637),
  [4232] = {.count = 1, .reusable = true}, SHIFT(2638),
  [4234] = {.count = 1, .reusable = true}, SHIFT(2639),
  [4236] = {.count = 1, .reusable = false}, SHIFT(2638),
  [4238] = {.count = 1, .reusable = true}, SHIFT(2633),
  [4240] = {.count = 1, .reusable = true}, SHIFT(2630),
  [4242] = {.count = 1, .reusable = true}, SHIFT(2640),
  [4244] = {.count = 1, .reusable = true}, SHIFT(2641),
  [4246] = {.count = 1, .reusable = true}, SHIFT(2642),
  [4248] = {.count = 1, .reusable = true}, SHIFT(2643),
  [4250] = {.count = 1, .reusable = false}, SHIFT(2645),
  [4252] = {.count = 1, .reusable = true}, SHIFT(2650),
  [4254] = {.count = 1, .reusable = true}, SHIFT(2652),
  [4256] = {.count = 1, .reusable = true}, SHIFT(2653),
  [4258] = {.count = 1, .reusable = false}, SHIFT(2653),
  [4260] = {.count = 1, .reusable = true}, SHIFT(2654),
  [4262] = {.count = 1, .reusable = true}, SHIFT(2655),
  [4264] = {.count = 1, .reusable = false}, REDUCE(sym_hash_splat_argument, 2),
  [4266] = {.count = 1, .reusable = true}, SHIFT(2660),
  [4268] = {.count = 1, .reusable = true}, SHIFT(2664),
  [4270] = {.count = 1, .reusable = true}, SHIFT(2666),
  [4272] = {.count = 1, .reusable = true}, SHIFT(2680),
  [4274] = {.count = 1, .reusable = true}, SHIFT(2683),
  [4276] = {.count = 1, .reusable = true}, SHIFT(2684),
  [4278] = {.count = 1, .reusable = true}, SHIFT(2685),
  [4280] = {.count = 1, .reusable = false}, SHIFT(2685),
  [4282] = {.count = 1, .reusable = true}, SHIFT(2686),
  [4284] = {.count = 1, .reusable = true}, SHIFT(2691),
  [4286] = {.count = 1, .reusable = true}, SHIFT(2694),
  [4288] = {.count = 1, .reusable = true}, SHIFT(2695),
  [4290] = {.count = 1, .reusable = true}, SHIFT(2702),
  [4292] = {.count = 1, .reusable = false}, SHIFT(2699),
  [4294] = {.count = 1, .reusable = true}, SHIFT(980),
  [4296] = {.count = 1, .reusable = true}, SHIFT(2705),
  [4298] = {.count = 1, .reusable = true}, SHIFT(2707),
  [4300] = {.count = 1, .reusable = true}, SHIFT(2709),
  [4302] = {.count = 1, .reusable = true}, SHIFT(2711),
  [4304] = {.count = 1, .reusable = true}, SHIFT(2710),
  [4306] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [4308] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2),
  [4310] = {.count = 1, .reusable = true}, SHIFT(2713),
  [4312] = {.count = 1, .reusable = true}, SHIFT(209),
  [4314] = {.count = 1, .reusable = true}, SHIFT(2724),
  [4316] = {.count = 1, .reusable = false}, SHIFT(2725),
  [4318] = {.count = 1, .reusable = false}, SHIFT(2726),
  [4320] = {.count = 1, .reusable = false}, SHIFT(2727),
  [4322] = {.count = 1, .reusable = false}, SHIFT(2728),
  [4324] = {.count = 1, .reusable = false}, SHIFT(2729),
  [4326] = {.count = 1, .reusable = true}, SHIFT(2730),
  [4328] = {.count = 1, .reusable = false}, SHIFT(2730),
  [4330] = {.count = 1, .reusable = true}, SHIFT(2731),
  [4332] = {.count = 1, .reusable = false}, SHIFT(1006),
  [4334] = {.count = 1, .reusable = true}, SHIFT(2739),
  [4336] = {.count = 1, .reusable = true}, SHIFT(2741),
  [4338] = {.count = 1, .reusable = true}, SHIFT(2742),
  [4340] = {.count = 1, .reusable = true}, SHIFT(2743),
  [4342] = {.count = 1, .reusable = false}, SHIFT(2745),
  [4344] = {.count = 1, .reusable = true}, SHIFT(2752),
  [4346] = {.count = 1, .reusable = true}, SHIFT(2753),
  [4348] = {.count = 1, .reusable = false}, SHIFT(2754),
  [4350] = {.count = 1, .reusable = true}, SHIFT(2755),
  [4352] = {.count = 1, .reusable = false}, SHIFT(2756),
  [4354] = {.count = 1, .reusable = false}, SHIFT(2757),
  [4356] = {.count = 1, .reusable = true}, SHIFT(2758),
  [4358] = {.count = 1, .reusable = true}, SHIFT(2759),
  [4360] = {.count = 1, .reusable = false}, SHIFT(2760),
  [4362] = {.count = 1, .reusable = true}, SHIFT(2760),
  [4364] = {.count = 1, .reusable = true}, SHIFT(2762),
  [4366] = {.count = 1, .reusable = true}, SHIFT(2763),
  [4368] = {.count = 1, .reusable = false}, SHIFT(2762),
  [4370] = {.count = 1, .reusable = true}, SHIFT(2757),
  [4372] = {.count = 1, .reusable = true}, SHIFT(2754),
  [4374] = {.count = 1, .reusable = true}, SHIFT(2764),
  [4376] = {.count = 1, .reusable = true}, SHIFT(2765),
  [4378] = {.count = 1, .reusable = true}, SHIFT(2766),
  [4380] = {.count = 1, .reusable = true}, SHIFT(2767),
  [4382] = {.count = 1, .reusable = false}, SHIFT(2769),
  [4384] = {.count = 1, .reusable = true}, SHIFT(2775),
  [4386] = {.count = 1, .reusable = true}, SHIFT(2777),
  [4388] = {.count = 1, .reusable = false}, SHIFT(2777),
  [4390] = {.count = 1, .reusable = true}, SHIFT(2778),
  [4392] = {.count = 1, .reusable = true}, SHIFT(2779),
  [4394] = {.count = 1, .reusable = true}, SHIFT(2783),
  [4396] = {.count = 1, .reusable = true}, SHIFT(2782),
  [4398] = {.count = 1, .reusable = true}, SHIFT(2810),
  [4400] = {.count = 1, .reusable = true}, SHIFT(2789),
  [4402] = {.count = 1, .reusable = false}, SHIFT(2790),
  [4404] = {.count = 1, .reusable = false}, SHIFT(2791),
  [4406] = {.count = 1, .reusable = false}, SHIFT(2792),
  [4408] = {.count = 1, .reusable = false}, SHIFT(2793),
  [4410] = {.count = 1, .reusable = false}, SHIFT(2794),
  [4412] = {.count = 1, .reusable = false}, SHIFT(2795),
  [4414] = {.count = 1, .reusable = false}, SHIFT(2796),
  [4416] = {.count = 1, .reusable = false}, SHIFT(2797),
  [4418] = {.count = 1, .reusable = true}, SHIFT(2798),
  [4420] = {.count = 1, .reusable = false}, SHIFT(2798),
  [4422] = {.count = 1, .reusable = true}, SHIFT(2799),
  [4424] = {.count = 1, .reusable = false}, SHIFT(2806),
  [4426] = {.count = 1, .reusable = true}, SHIFT(2806),
  [4428] = {.count = 1, .reusable = false}, SHIFT(2800),
  [4430] = {.count = 1, .reusable = true}, REDUCE(sym__then, 1),
  [4432] = {.count = 1, .reusable = false}, REDUCE(sym__then, 1),
  [4434] = {.count = 1, .reusable = false}, SHIFT(2811),
  [4436] = {.count = 1, .reusable = true}, SHIFT(2824),
  [4438] = {.count = 1, .reusable = false}, SHIFT(2825),
  [4440] = {.count = 1, .reusable = false}, SHIFT(2826),
  [4442] = {.count = 1, .reusable = false}, SHIFT(2827),
  [4444] = {.count = 1, .reusable = false}, SHIFT(2828),
  [4446] = {.count = 1, .reusable = false}, SHIFT(2829),
  [4448] = {.count = 1, .reusable = true}, SHIFT(2830),
  [4450] = {.count = 1, .reusable = false}, SHIFT(2830),
  [4452] = {.count = 1, .reusable = true}, SHIFT(2831),
  [4454] = {.count = 1, .reusable = false}, SHIFT(2833),
  [4456] = {.count = 1, .reusable = true}, SHIFT(2833),
  [4458] = {.count = 1, .reusable = false}, SHIFT(1049),
  [4460] = {.count = 1, .reusable = true}, SHIFT(2840),
  [4462] = {.count = 1, .reusable = true}, SHIFT(2844),
  [4464] = {.count = 1, .reusable = true}, SHIFT(2845),
  [4466] = {.count = 1, .reusable = false}, SHIFT(2846),
  [4468] = {.count = 1, .reusable = false}, SHIFT(2847),
  [4470] = {.count = 1, .reusable = false}, SHIFT(2848),
  [4472] = {.count = 1, .reusable = false}, SHIFT(2849),
  [4474] = {.count = 1, .reusable = true}, SHIFT(2850),
  [4476] = {.count = 1, .reusable = true}, SHIFT(2851),
  [4478] = {.count = 1, .reusable = false}, SHIFT(2852),
  [4480] = {.count = 1, .reusable = true}, SHIFT(2852),
  [4482] = {.count = 1, .reusable = false}, SHIFT(2854),
  [4484] = {.count = 1, .reusable = false}, SHIFT(2855),
  [4486] = {.count = 1, .reusable = true}, SHIFT(2854),
  [4488] = {.count = 1, .reusable = true}, SHIFT(2849),
  [4490] = {.count = 1, .reusable = false}, SHIFT(2856),
  [4492] = {.count = 1, .reusable = true}, SHIFT(2858),
  [4494] = {.count = 1, .reusable = true}, SHIFT(2860),
  [4496] = {.count = 1, .reusable = false}, SHIFT(2860),
  [4498] = {.count = 1, .reusable = true}, SHIFT(2861),
  [4500] = {.count = 1, .reusable = true}, SHIFT(2862),
  [4502] = {.count = 1, .reusable = true}, SHIFT(2864),
  [4504] = {.count = 1, .reusable = true}, SHIFT(2865),
  [4506] = {.count = 1, .reusable = false}, SHIFT(2866),
  [4508] = {.count = 1, .reusable = true}, SHIFT(2867),
  [4510] = {.count = 1, .reusable = false}, SHIFT(2867),
  [4512] = {.count = 1, .reusable = true}, SHIFT(2868),
  [4514] = {.count = 1, .reusable = true}, SHIFT(2875),
  [4516] = {.count = 1, .reusable = false}, SHIFT(2876),
  [4518] = {.count = 1, .reusable = false}, SHIFT(2877),
  [4520] = {.count = 1, .reusable = false}, SHIFT(2878),
  [4522] = {.count = 1, .reusable = false}, SHIFT(2879),
  [4524] = {.count = 1, .reusable = false}, SHIFT(2880),
  [4526] = {.count = 1, .reusable = false}, SHIFT(2881),
  [4528] = {.count = 1, .reusable = true}, SHIFT(2882),
  [4530] = {.count = 1, .reusable = false}, SHIFT(2882),
  [4532] = {.count = 1, .reusable = true}, SHIFT(2883),
  [4534] = {.count = 1, .reusable = false}, SHIFT(2890),
  [4536] = {.count = 1, .reusable = true}, SHIFT(2890),
  [4538] = {.count = 1, .reusable = false}, SHIFT(2884),
  [4540] = {.count = 1, .reusable = false}, SHIFT(2894),
  [4542] = {.count = 1, .reusable = true}, SHIFT(2895),
  [4544] = {.count = 1, .reusable = false}, SHIFT(2896),
  [4546] = {.count = 1, .reusable = false}, SHIFT(2897),
  [4548] = {.count = 1, .reusable = false}, SHIFT(2898),
  [4550] = {.count = 1, .reusable = false}, SHIFT(2899),
  [4552] = {.count = 1, .reusable = false}, SHIFT(2900),
  [4554] = {.count = 1, .reusable = true}, SHIFT(2901),
  [4556] = {.count = 1, .reusable = false}, SHIFT(2901),
  [4558] = {.count = 1, .reusable = true}, SHIFT(2902),
  [4560] = {.count = 1, .reusable = false}, SHIFT(1075),
  [4562] = {.count = 1, .reusable = true}, SHIFT(2910),
  [4564] = {.count = 1, .reusable = true}, SHIFT(2912),
  [4566] = {.count = 1, .reusable = true}, SHIFT(2913),
  [4568] = {.count = 1, .reusable = true}, SHIFT(2914),
  [4570] = {.count = 1, .reusable = false}, SHIFT(2916),
  [4572] = {.count = 1, .reusable = true}, SHIFT(2923),
  [4574] = {.count = 1, .reusable = true}, SHIFT(2924),
  [4576] = {.count = 1, .reusable = false}, SHIFT(2925),
  [4578] = {.count = 1, .reusable = true}, SHIFT(2926),
  [4580] = {.count = 1, .reusable = false}, SHIFT(2927),
  [4582] = {.count = 1, .reusable = false}, SHIFT(2928),
  [4584] = {.count = 1, .reusable = true}, SHIFT(2929),
  [4586] = {.count = 1, .reusable = true}, SHIFT(2930),
  [4588] = {.count = 1, .reusable = false}, SHIFT(2931),
  [4590] = {.count = 1, .reusable = true}, SHIFT(2931),
  [4592] = {.count = 1, .reusable = true}, SHIFT(2933),
  [4594] = {.count = 1, .reusable = true}, SHIFT(2934),
  [4596] = {.count = 1, .reusable = false}, SHIFT(2933),
  [4598] = {.count = 1, .reusable = true}, SHIFT(2928),
  [4600] = {.count = 1, .reusable = true}, SHIFT(2925),
  [4602] = {.count = 1, .reusable = true}, SHIFT(2935),
  [4604] = {.count = 1, .reusable = true}, SHIFT(2936),
  [4606] = {.count = 1, .reusable = true}, SHIFT(2937),
  [4608] = {.count = 1, .reusable = true}, SHIFT(2938),
  [4610] = {.count = 1, .reusable = true}, SHIFT(2939),
  [4612] = {.count = 1, .reusable = false}, SHIFT(2941),
  [4614] = {.count = 1, .reusable = true}, SHIFT(2947),
  [4616] = {.count = 1, .reusable = true}, SHIFT(2949),
  [4618] = {.count = 1, .reusable = false}, SHIFT(2949),
  [4620] = {.count = 1, .reusable = true}, SHIFT(2950),
  [4622] = {.count = 1, .reusable = true}, SHIFT(2951),
  [4624] = {.count = 1, .reusable = false}, SHIFT(2965),
  [4626] = {.count = 1, .reusable = true}, SHIFT(2967),
  [4628] = {.count = 1, .reusable = false}, SHIFT(2968),
  [4630] = {.count = 1, .reusable = false}, SHIFT(2969),
  [4632] = {.count = 1, .reusable = false}, SHIFT(2970),
  [4634] = {.count = 1, .reusable = false}, SHIFT(2971),
  [4636] = {.count = 1, .reusable = false}, SHIFT(2972),
  [4638] = {.count = 1, .reusable = true}, SHIFT(2973),
  [4640] = {.count = 1, .reusable = false}, SHIFT(2973),
  [4642] = {.count = 1, .reusable = true}, SHIFT(2974),
  [4644] = {.count = 1, .reusable = false}, SHIFT(2976),
  [4646] = {.count = 1, .reusable = true}, SHIFT(2976),
  [4648] = {.count = 1, .reusable = false}, SHIFT(1111),
  [4650] = {.count = 1, .reusable = true}, SHIFT(2983),
  [4652] = {.count = 1, .reusable = true}, SHIFT(2984),
  [4654] = {.count = 1, .reusable = true}, SHIFT(2988),
  [4656] = {.count = 1, .reusable = true}, SHIFT(2989),
  [4658] = {.count = 1, .reusable = false}, SHIFT(2990),
  [4660] = {.count = 1, .reusable = false}, SHIFT(2991),
  [4662] = {.count = 1, .reusable = false}, SHIFT(2992),
  [4664] = {.count = 1, .reusable = false}, SHIFT(2993),
  [4666] = {.count = 1, .reusable = true}, SHIFT(2994),
  [4668] = {.count = 1, .reusable = true}, SHIFT(2995),
  [4670] = {.count = 1, .reusable = false}, SHIFT(2996),
  [4672] = {.count = 1, .reusable = true}, SHIFT(2996),
  [4674] = {.count = 1, .reusable = false}, SHIFT(2998),
  [4676] = {.count = 1, .reusable = false}, SHIFT(2999),
  [4678] = {.count = 1, .reusable = true}, SHIFT(2998),
  [4680] = {.count = 1, .reusable = true}, SHIFT(2993),
  [4682] = {.count = 1, .reusable = false}, SHIFT(3000),
  [4684] = {.count = 1, .reusable = true}, SHIFT(3002),
  [4686] = {.count = 1, .reusable = true}, SHIFT(3004),
  [4688] = {.count = 1, .reusable = false}, SHIFT(3004),
  [4690] = {.count = 1, .reusable = true}, SHIFT(3005),
  [4692] = {.count = 1, .reusable = true}, SHIFT(3006),
  [4694] = {.count = 1, .reusable = true}, SHIFT(3008),
  [4696] = {.count = 1, .reusable = true}, SHIFT(3009),
  [4698] = {.count = 1, .reusable = false}, SHIFT(3010),
  [4700] = {.count = 1, .reusable = true}, SHIFT(3011),
  [4702] = {.count = 1, .reusable = false}, SHIFT(3011),
  [4704] = {.count = 1, .reusable = true}, SHIFT(3012),
  [4706] = {.count = 1, .reusable = false}, SHIFT(3019),
  [4708] = {.count = 1, .reusable = true}, SHIFT(3021),
  [4710] = {.count = 1, .reusable = false}, SHIFT(3022),
  [4712] = {.count = 1, .reusable = false}, SHIFT(3023),
  [4714] = {.count = 1, .reusable = false}, SHIFT(3024),
  [4716] = {.count = 1, .reusable = false}, SHIFT(3025),
  [4718] = {.count = 1, .reusable = false}, SHIFT(3026),
  [4720] = {.count = 1, .reusable = true}, SHIFT(3027),
  [4722] = {.count = 1, .reusable = false}, SHIFT(3027),
  [4724] = {.count = 1, .reusable = true}, SHIFT(3028),
  [4726] = {.count = 1, .reusable = false}, SHIFT(3030),
  [4728] = {.count = 1, .reusable = true}, SHIFT(3030),
  [4730] = {.count = 1, .reusable = true}, SHIFT(3037),
  [4732] = {.count = 1, .reusable = true}, SHIFT(3039),
  [4734] = {.count = 1, .reusable = true}, SHIFT(3040),
  [4736] = {.count = 1, .reusable = true}, SHIFT(3041),
  [4738] = {.count = 1, .reusable = false}, SHIFT(1138),
  [4740] = {.count = 1, .reusable = false}, SHIFT(3043),
  [4742] = {.count = 1, .reusable = true}, SHIFT(3050),
  [4744] = {.count = 1, .reusable = true}, SHIFT(3051),
  [4746] = {.count = 1, .reusable = false}, SHIFT(3052),
  [4748] = {.count = 1, .reusable = true}, SHIFT(3053),
  [4750] = {.count = 1, .reusable = false}, SHIFT(3054),
  [4752] = {.count = 1, .reusable = false}, SHIFT(3055),
  [4754] = {.count = 1, .reusable = true}, SHIFT(3056),
  [4756] = {.count = 1, .reusable = true}, SHIFT(3057),
  [4758] = {.count = 1, .reusable = false}, SHIFT(3058),
  [4760] = {.count = 1, .reusable = true}, SHIFT(3058),
  [4762] = {.count = 1, .reusable = true}, SHIFT(3059),
  [4764] = {.count = 1, .reusable = true}, SHIFT(3060),
  [4766] = {.count = 1, .reusable = true}, SHIFT(3061),
  [4768] = {.count = 1, .reusable = false}, SHIFT(3060),
  [4770] = {.count = 1, .reusable = true}, SHIFT(3055),
  [4772] = {.count = 1, .reusable = true}, SHIFT(3052),
  [4774] = {.count = 1, .reusable = true}, SHIFT(3062),
  [4776] = {.count = 1, .reusable = true}, SHIFT(3063),
  [4778] = {.count = 1, .reusable = true}, SHIFT(3064),
  [4780] = {.count = 1, .reusable = true}, SHIFT(3065),
  [4782] = {.count = 1, .reusable = true}, SHIFT(3066),
  [4784] = {.count = 1, .reusable = false}, SHIFT(3068),
  [4786] = {.count = 1, .reusable = false}, SHIFT(3069),
  [4788] = {.count = 1, .reusable = false}, SHIFT(3070),
  [4790] = {.count = 1, .reusable = false}, SHIFT(3071),
  [4792] = {.count = 1, .reusable = true}, SHIFT(3073),
  [4794] = {.count = 1, .reusable = false}, SHIFT(3073),
  [4796] = {.count = 1, .reusable = false}, SHIFT(3074),
  [4798] = {.count = 1, .reusable = true}, SHIFT(3074),
  [4800] = {.count = 1, .reusable = false}, SHIFT(3075),
  [4802] = {.count = 1, .reusable = true}, SHIFT(3083),
  [4804] = {.count = 1, .reusable = true}, SHIFT(3085),
  [4806] = {.count = 1, .reusable = false}, SHIFT(3085),
  [4808] = {.count = 1, .reusable = true}, SHIFT(3086),
  [4810] = {.count = 1, .reusable = true}, SHIFT(3087),
  [4812] = {.count = 1, .reusable = true}, SHIFT(3090),
  [4814] = {.count = 1, .reusable = false}, REDUCE(sym__mlhs, 2),
  [4816] = {.count = 1, .reusable = true}, SHIFT(3091),
  [4818] = {.count = 1, .reusable = false}, SHIFT(3092),
  [4820] = {.count = 1, .reusable = false}, SHIFT(3093),
  [4822] = {.count = 1, .reusable = false}, SHIFT(3094),
  [4824] = {.count = 1, .reusable = false}, SHIFT(3095),
  [4826] = {.count = 1, .reusable = false}, SHIFT(3096),
  [4828] = {.count = 1, .reusable = true}, SHIFT(3097),
  [4830] = {.count = 1, .reusable = false}, SHIFT(3097),
  [4832] = {.count = 1, .reusable = true}, SHIFT(3098),
  [4834] = {.count = 1, .reusable = false}, SHIFT(1160),
  [4836] = {.count = 1, .reusable = true}, SHIFT(3106),
  [4838] = {.count = 1, .reusable = true}, SHIFT(3108),
  [4840] = {.count = 1, .reusable = true}, SHIFT(3109),
  [4842] = {.count = 1, .reusable = true}, SHIFT(3110),
  [4844] = {.count = 1, .reusable = false}, SHIFT(3112),
  [4846] = {.count = 1, .reusable = true}, SHIFT(3119),
  [4848] = {.count = 1, .reusable = true}, SHIFT(3120),
  [4850] = {.count = 1, .reusable = false}, SHIFT(3121),
  [4852] = {.count = 1, .reusable = true}, SHIFT(3122),
  [4854] = {.count = 1, .reusable = false}, SHIFT(3123),
  [4856] = {.count = 1, .reusable = false}, SHIFT(3124),
  [4858] = {.count = 1, .reusable = true}, SHIFT(3125),
  [4860] = {.count = 1, .reusable = true}, SHIFT(3126),
  [4862] = {.count = 1, .reusable = false}, SHIFT(3127),
  [4864] = {.count = 1, .reusable = true}, SHIFT(3127),
  [4866] = {.count = 1, .reusable = true}, SHIFT(3129),
  [4868] = {.count = 1, .reusable = true}, SHIFT(3130),
  [4870] = {.count = 1, .reusable = false}, SHIFT(3129),
  [4872] = {.count = 1, .reusable = true}, SHIFT(3124),
  [4874] = {.count = 1, .reusable = true}, SHIFT(3121),
  [4876] = {.count = 1, .reusable = true}, SHIFT(3131),
  [4878] = {.count = 1, .reusable = true}, SHIFT(3133),
  [4880] = {.count = 1, .reusable = true}, SHIFT(3135),
  [4882] = {.count = 1, .reusable = false}, SHIFT(3135),
  [4884] = {.count = 1, .reusable = true}, SHIFT(3136),
  [4886] = {.count = 1, .reusable = true}, SHIFT(3137),
  [4888] = {.count = 1, .reusable = true}, SHIFT(3152),
  [4890] = {.count = 1, .reusable = true}, SHIFT(3153),
  [4892] = {.count = 1, .reusable = true}, SHIFT(3154),
  [4894] = {.count = 1, .reusable = false}, SHIFT(3155),
  [4896] = {.count = 1, .reusable = true}, SHIFT(3156),
  [4898] = {.count = 1, .reusable = false}, SHIFT(3156),
  [4900] = {.count = 1, .reusable = true}, SHIFT(3157),
  [4902] = {.count = 1, .reusable = true}, SHIFT(3164),
  [4904] = {.count = 1, .reusable = true}, SHIFT(3165),
  [4906] = {.count = 1, .reusable = false}, SHIFT(3166),
  [4908] = {.count = 1, .reusable = false}, SHIFT(3167),
  [4910] = {.count = 1, .reusable = false}, SHIFT(3168),
  [4912] = {.count = 1, .reusable = false}, SHIFT(3169),
  [4914] = {.count = 1, .reusable = false}, SHIFT(3170),
  [4916] = {.count = 1, .reusable = true}, SHIFT(3171),
  [4918] = {.count = 1, .reusable = false}, SHIFT(3171),
  [4920] = {.count = 1, .reusable = true}, SHIFT(3172),
  [4922] = {.count = 1, .reusable = false}, SHIFT(3175),
  [4924] = {.count = 1, .reusable = true}, SHIFT(3175),
  [4926] = {.count = 1, .reusable = true}, SHIFT(3180),
  [4928] = {.count = 1, .reusable = true}, SHIFT(3181),
  [4930] = {.count = 1, .reusable = false}, REDUCE(sym_heredoc_body, 2),
  [4932] = {.count = 1, .reusable = true}, SHIFT(3182),
  [4934] = {.count = 1, .reusable = true}, SHIFT(3183),
  [4936] = {.count = 1, .reusable = false}, SHIFT(3184),
  [4938] = {.count = 1, .reusable = false}, SHIFT(3185),
  [4940] = {.count = 1, .reusable = false}, SHIFT(3186),
  [4942] = {.count = 1, .reusable = false}, SHIFT(3187),
  [4944] = {.count = 1, .reusable = false}, SHIFT(3188),
  [4946] = {.count = 1, .reusable = true}, SHIFT(3189),
  [4948] = {.count = 1, .reusable = false}, SHIFT(3189),
  [4950] = {.count = 1, .reusable = true}, SHIFT(3190),
  [4952] = {.count = 1, .reusable = false}, SHIFT(1204),
  [4954] = {.count = 1, .reusable = true}, SHIFT(3198),
  [4956] = {.count = 1, .reusable = true}, SHIFT(3200),
  [4958] = {.count = 1, .reusable = true}, SHIFT(3201),
  [4960] = {.count = 1, .reusable = true}, SHIFT(3202),
  [4962] = {.count = 1, .reusable = false}, SHIFT(3204),
  [4964] = {.count = 1, .reusable = true}, SHIFT(3211),
  [4966] = {.count = 1, .reusable = true}, SHIFT(3212),
  [4968] = {.count = 1, .reusable = false}, SHIFT(3213),
  [4970] = {.count = 1, .reusable = true}, SHIFT(3214),
  [4972] = {.count = 1, .reusable = false}, SHIFT(3215),
  [4974] = {.count = 1, .reusable = false}, SHIFT(3216),
  [4976] = {.count = 1, .reusable = true}, SHIFT(3217),
  [4978] = {.count = 1, .reusable = true}, SHIFT(3218),
  [4980] = {.count = 1, .reusable = false}, SHIFT(3219),
  [4982] = {.count = 1, .reusable = true}, SHIFT(3219),
  [4984] = {.count = 1, .reusable = true}, SHIFT(3221),
  [4986] = {.count = 1, .reusable = true}, SHIFT(3222),
  [4988] = {.count = 1, .reusable = false}, SHIFT(3221),
  [4990] = {.count = 1, .reusable = true}, SHIFT(3216),
  [4992] = {.count = 1, .reusable = true}, SHIFT(3213),
  [4994] = {.count = 1, .reusable = true}, SHIFT(3223),
  [4996] = {.count = 1, .reusable = true}, SHIFT(3224),
  [4998] = {.count = 1, .reusable = true}, SHIFT(3225),
  [5000] = {.count = 1, .reusable = true}, SHIFT(3226),
  [5002] = {.count = 1, .reusable = false}, SHIFT(3228),
  [5004] = {.count = 1, .reusable = true}, SHIFT(3234),
  [5006] = {.count = 1, .reusable = true}, SHIFT(3236),
  [5008] = {.count = 1, .reusable = false}, SHIFT(3236),
  [5010] = {.count = 1, .reusable = true}, SHIFT(3237),
  [5012] = {.count = 1, .reusable = true}, SHIFT(3238),
  [5014] = {.count = 1, .reusable = true}, SHIFT(3242),
  [5016] = {.count = 1, .reusable = true}, SHIFT(3243),
  [5018] = {.count = 1, .reusable = true}, SHIFT(3244),
  [5020] = {.count = 1, .reusable = true}, SHIFT(3245),
  [5022] = {.count = 1, .reusable = true}, SHIFT(3248),
  [5024] = {.count = 1, .reusable = false}, SHIFT(3248),
  [5026] = {.count = 1, .reusable = false}, SHIFT(3249),
  [5028] = {.count = 1, .reusable = true}, SHIFT(3249),
  [5030] = {.count = 1, .reusable = false}, SHIFT(3250),
  [5032] = {.count = 1, .reusable = true}, SHIFT(3260),
  [5034] = {.count = 1, .reusable = false}, SHIFT(3260),
  [5036] = {.count = 1, .reusable = false}, SHIFT(3261),
  [5038] = {.count = 1, .reusable = true}, SHIFT(3261),
  [5040] = {.count = 1, .reusable = false}, SHIFT(3257),
  [5042] = {.count = 1, .reusable = false}, SHIFT(3258),
  [5044] = {.count = 1, .reusable = false}, SHIFT(3259),
  [5046] = {.count = 1, .reusable = false}, REDUCE(sym_rescue, 2),
  [5048] = {.count = 1, .reusable = true}, SHIFT(3267),
  [5050] = {.count = 1, .reusable = true}, REDUCE(sym__arg_or_splat_arg, 1),
  [5052] = {.count = 1, .reusable = true}, SHIFT(3269),
  [5054] = {.count = 1, .reusable = true}, SHIFT(3270),
  [5056] = {.count = 1, .reusable = false}, SHIFT(3271),
  [5058] = {.count = 1, .reusable = true}, SHIFT(3272),
  [5060] = {.count = 1, .reusable = false}, SHIFT(3273),
  [5062] = {.count = 1, .reusable = false}, SHIFT(3274),
  [5064] = {.count = 1, .reusable = true}, SHIFT(3275),
  [5066] = {.count = 1, .reusable = false}, SHIFT(3276),
  [5068] = {.count = 1, .reusable = true}, SHIFT(3276),
  [5070] = {.count = 1, .reusable = true}, SHIFT(3277),
  [5072] = {.count = 1, .reusable = true}, SHIFT(3278),
  [5074] = {.count = 1, .reusable = true}, SHIFT(3279),
  [5076] = {.count = 1, .reusable = false}, SHIFT(3278),
  [5078] = {.count = 1, .reusable = true}, SHIFT(3274),
  [5080] = {.count = 1, .reusable = true}, SHIFT(3271),
  [5082] = {.count = 1, .reusable = true}, SHIFT(3280),
  [5084] = {.count = 1, .reusable = true}, SHIFT(3281),
  [5086] = {.count = 1, .reusable = true}, SHIFT(3282),
  [5088] = {.count = 1, .reusable = true}, SHIFT(3283),
  [5090] = {.count = 1, .reusable = true}, SHIFT(3284),
  [5092] = {.count = 1, .reusable = false}, SHIFT(3286),
  [5094] = {.count = 1, .reusable = false}, SHIFT(3287),
  [5096] = {.count = 1, .reusable = false}, SHIFT(3288),
  [5098] = {.count = 1, .reusable = false}, SHIFT(3289),
  [5100] = {.count = 1, .reusable = true}, SHIFT(3291),
  [5102] = {.count = 1, .reusable = false}, SHIFT(3291),
  [5104] = {.count = 1, .reusable = false}, SHIFT(3292),
  [5106] = {.count = 1, .reusable = true}, SHIFT(3292),
  [5108] = {.count = 1, .reusable = false}, SHIFT(3293),
  [5110] = {.count = 1, .reusable = true}, SHIFT(3295),
  [5112] = {.count = 1, .reusable = false}, SHIFT(3295),
  [5114] = {.count = 1, .reusable = true}, REDUCE(sym_exceptions, 1),
  [5116] = {.count = 1, .reusable = true}, SHIFT(3301),
  [5118] = {.count = 1, .reusable = true}, SHIFT(3303),
  [5120] = {.count = 1, .reusable = false}, SHIFT(3303),
  [5122] = {.count = 1, .reusable = true}, SHIFT(3304),
  [5124] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [5126] = {.count = 1, .reusable = true}, SHIFT(3307),
  [5128] = {.count = 1, .reusable = true}, SHIFT(3308),
  [5130] = {.count = 1, .reusable = true}, SHIFT(3309),
  [5132] = {.count = 1, .reusable = true}, SHIFT(3310),
  [5134] = {.count = 1, .reusable = false}, SHIFT(3312),
  [5136] = {.count = 1, .reusable = false}, SHIFT(3313),
  [5138] = {.count = 1, .reusable = false}, SHIFT(3314),
  [5140] = {.count = 1, .reusable = false}, SHIFT(3315),
  [5142] = {.count = 1, .reusable = true}, SHIFT(3317),
  [5144] = {.count = 1, .reusable = false}, SHIFT(3317),
  [5146] = {.count = 1, .reusable = false}, SHIFT(3318),
  [5148] = {.count = 1, .reusable = true}, SHIFT(3318),
  [5150] = {.count = 1, .reusable = false}, SHIFT(3319),
  [5152] = {.count = 1, .reusable = true}, SHIFT(3321),
  [5154] = {.count = 1, .reusable = false}, SHIFT(3321),
  [5156] = {.count = 1, .reusable = true}, REDUCE(sym_else, 2),
  [5158] = {.count = 1, .reusable = true}, SHIFT(3330),
  [5160] = {.count = 1, .reusable = true}, SHIFT(3332),
  [5162] = {.count = 1, .reusable = true}, SHIFT(3333),
  [5164] = {.count = 1, .reusable = true}, SHIFT(3334),
  [5166] = {.count = 1, .reusable = true}, SHIFT(3335),
  [5168] = {.count = 1, .reusable = true}, SHIFT(3336),
  [5170] = {.count = 1, .reusable = true}, SHIFT(3337),
  [5172] = {.count = 1, .reusable = true}, SHIFT(3338),
  [5174] = {.count = 1, .reusable = false}, SHIFT(3339),
  [5176] = {.count = 1, .reusable = true}, SHIFT(3340),
  [5178] = {.count = 1, .reusable = false}, SHIFT(3341),
  [5180] = {.count = 1, .reusable = false}, SHIFT(3342),
  [5182] = {.count = 1, .reusable = true}, SHIFT(3343),
  [5184] = {.count = 1, .reusable = false}, SHIFT(3344),
  [5186] = {.count = 1, .reusable = true}, SHIFT(3344),
  [5188] = {.count = 1, .reusable = true}, SHIFT(3345),
  [5190] = {.count = 1, .reusable = true}, SHIFT(3346),
  [5192] = {.count = 1, .reusable = true}, SHIFT(3347),
  [5194] = {.count = 1, .reusable = false}, SHIFT(3346),
  [5196] = {.count = 1, .reusable = true}, SHIFT(3342),
  [5198] = {.count = 1, .reusable = true}, SHIFT(3339),
  [5200] = {.count = 1, .reusable = true}, SHIFT(3348),
  [5202] = {.count = 1, .reusable = true}, SHIFT(3349),
  [5204] = {.count = 1, .reusable = true}, SHIFT(3350),
  [5206] = {.count = 1, .reusable = true}, SHIFT(3351),
  [5208] = {.count = 1, .reusable = true}, SHIFT(3352),
  [5210] = {.count = 1, .reusable = false}, SHIFT(3354),
  [5212] = {.count = 1, .reusable = false}, SHIFT(3355),
  [5214] = {.count = 1, .reusable = false}, SHIFT(3356),
  [5216] = {.count = 1, .reusable = false}, SHIFT(3357),
  [5218] = {.count = 1, .reusable = true}, SHIFT(3359),
  [5220] = {.count = 1, .reusable = false}, SHIFT(3359),
  [5222] = {.count = 1, .reusable = false}, SHIFT(3360),
  [5224] = {.count = 1, .reusable = true}, SHIFT(3360),
  [5226] = {.count = 1, .reusable = false}, SHIFT(3361),
  [5228] = {.count = 1, .reusable = true}, SHIFT(3363),
  [5230] = {.count = 1, .reusable = false}, SHIFT(3363),
  [5232] = {.count = 1, .reusable = true}, SHIFT(3369),
  [5234] = {.count = 1, .reusable = false}, SHIFT(3369),
  [5236] = {.count = 1, .reusable = true}, SHIFT(3370),
  [5238] = {.count = 1, .reusable = false}, REDUCE(sym_else, 2),
  [5240] = {.count = 1, .reusable = true}, SHIFT(3374),
  [5242] = {.count = 1, .reusable = true}, SHIFT(3375),
  [5244] = {.count = 1, .reusable = true}, SHIFT(3376),
  [5246] = {.count = 1, .reusable = true}, SHIFT(3377),
  [5248] = {.count = 1, .reusable = false}, SHIFT(3379),
  [5250] = {.count = 1, .reusable = false}, SHIFT(3380),
  [5252] = {.count = 1, .reusable = false}, SHIFT(3381),
  [5254] = {.count = 1, .reusable = false}, SHIFT(3382),
  [5256] = {.count = 1, .reusable = true}, SHIFT(3384),
  [5258] = {.count = 1, .reusable = false}, SHIFT(3384),
  [5260] = {.count = 1, .reusable = false}, SHIFT(3385),
  [5262] = {.count = 1, .reusable = true}, SHIFT(3385),
  [5264] = {.count = 1, .reusable = false}, SHIFT(3386),
  [5266] = {.count = 1, .reusable = true}, SHIFT(3388),
  [5268] = {.count = 1, .reusable = false}, SHIFT(3388),
  [5270] = {.count = 1, .reusable = true}, REDUCE(sym_ensure, 2),
  [5272] = {.count = 1, .reusable = true}, SHIFT(3397),
  [5274] = {.count = 1, .reusable = true}, SHIFT(3399),
  [5276] = {.count = 1, .reusable = true}, SHIFT(3400),
  [5278] = {.count = 1, .reusable = true}, SHIFT(3401),
  [5280] = {.count = 1, .reusable = true}, SHIFT(3402),
  [5282] = {.count = 1, .reusable = true}, SHIFT(3403),
  [5284] = {.count = 1, .reusable = true}, SHIFT(3404),
  [5286] = {.count = 1, .reusable = true}, SHIFT(3405),
  [5288] = {.count = 1, .reusable = false}, SHIFT(3406),
  [5290] = {.count = 1, .reusable = true}, SHIFT(3407),
  [5292] = {.count = 1, .reusable = false}, SHIFT(3408),
  [5294] = {.count = 1, .reusable = false}, SHIFT(3409),
  [5296] = {.count = 1, .reusable = true}, SHIFT(3410),
  [5298] = {.count = 1, .reusable = false}, SHIFT(3411),
  [5300] = {.count = 1, .reusable = true}, SHIFT(3411),
  [5302] = {.count = 1, .reusable = true}, SHIFT(3412),
  [5304] = {.count = 1, .reusable = true}, SHIFT(3413),
  [5306] = {.count = 1, .reusable = true}, SHIFT(3414),
  [5308] = {.count = 1, .reusable = false}, SHIFT(3413),
  [5310] = {.count = 1, .reusable = true}, SHIFT(3409),
  [5312] = {.count = 1, .reusable = true}, SHIFT(3406),
  [5314] = {.count = 1, .reusable = true}, SHIFT(3415),
  [5316] = {.count = 1, .reusable = true}, SHIFT(3416),
  [5318] = {.count = 1, .reusable = true}, SHIFT(3417),
  [5320] = {.count = 1, .reusable = true}, SHIFT(3418),
  [5322] = {.count = 1, .reusable = true}, SHIFT(3419),
  [5324] = {.count = 1, .reusable = false}, SHIFT(3421),
  [5326] = {.count = 1, .reusable = false}, SHIFT(3422),
  [5328] = {.count = 1, .reusable = false}, SHIFT(3423),
  [5330] = {.count = 1, .reusable = false}, SHIFT(3424),
  [5332] = {.count = 1, .reusable = true}, SHIFT(3426),
  [5334] = {.count = 1, .reusable = false}, SHIFT(3426),
  [5336] = {.count = 1, .reusable = false}, SHIFT(3427),
  [5338] = {.count = 1, .reusable = true}, SHIFT(3427),
  [5340] = {.count = 1, .reusable = false}, SHIFT(3428),
  [5342] = {.count = 1, .reusable = true}, SHIFT(3430),
  [5344] = {.count = 1, .reusable = false}, SHIFT(3430),
  [5346] = {.count = 1, .reusable = true}, SHIFT(3436),
  [5348] = {.count = 1, .reusable = false}, SHIFT(3436),
  [5350] = {.count = 1, .reusable = true}, SHIFT(3437),
  [5352] = {.count = 1, .reusable = true}, REDUCE(sym__body_statement, 2),
  [5354] = {.count = 1, .reusable = false}, REDUCE(sym__body_statement, 2),
  [5356] = {.count = 1, .reusable = true}, SHIFT(3440),
  [5358] = {.count = 1, .reusable = true}, SHIFT(3443),
  [5360] = {.count = 1, .reusable = true}, SHIFT(3462),
  [5362] = {.count = 1, .reusable = false}, SHIFT(3463),
  [5364] = {.count = 1, .reusable = false}, SHIFT(3464),
  [5366] = {.count = 1, .reusable = false}, SHIFT(3465),
  [5368] = {.count = 1, .reusable = false}, SHIFT(3466),
  [5370] = {.count = 1, .reusable = false}, SHIFT(3467),
  [5372] = {.count = 1, .reusable = true}, SHIFT(3468),
  [5374] = {.count = 1, .reusable = false}, SHIFT(3468),
  [5376] = {.count = 1, .reusable = true}, SHIFT(3469),
  [5378] = {.count = 1, .reusable = false}, SHIFT(3471),
  [5380] = {.count = 1, .reusable = true}, SHIFT(3471),
  [5382] = {.count = 1, .reusable = false}, SHIFT(1305),
  [5384] = {.count = 1, .reusable = true}, SHIFT(3478),
  [5386] = {.count = 1, .reusable = true}, SHIFT(3482),
  [5388] = {.count = 1, .reusable = true}, SHIFT(3483),
  [5390] = {.count = 1, .reusable = false}, SHIFT(3484),
  [5392] = {.count = 1, .reusable = false}, SHIFT(3485),
  [5394] = {.count = 1, .reusable = false}, SHIFT(3486),
  [5396] = {.count = 1, .reusable = false}, SHIFT(3487),
  [5398] = {.count = 1, .reusable = true}, SHIFT(3488),
  [5400] = {.count = 1, .reusable = true}, SHIFT(3489),
  [5402] = {.count = 1, .reusable = false}, SHIFT(3490),
  [5404] = {.count = 1, .reusable = true}, SHIFT(3490),
  [5406] = {.count = 1, .reusable = false}, SHIFT(3492),
  [5408] = {.count = 1, .reusable = false}, SHIFT(3493),
  [5410] = {.count = 1, .reusable = true}, SHIFT(3492),
  [5412] = {.count = 1, .reusable = true}, SHIFT(3487),
  [5414] = {.count = 1, .reusable = false}, SHIFT(3494),
  [5416] = {.count = 1, .reusable = true}, SHIFT(3496),
  [5418] = {.count = 1, .reusable = true}, SHIFT(3498),
  [5420] = {.count = 1, .reusable = false}, SHIFT(3498),
  [5422] = {.count = 1, .reusable = true}, SHIFT(3499),
  [5424] = {.count = 1, .reusable = true}, SHIFT(3500),
  [5426] = {.count = 1, .reusable = true}, SHIFT(3502),
  [5428] = {.count = 1, .reusable = true}, SHIFT(3503),
  [5430] = {.count = 1, .reusable = false}, SHIFT(3504),
  [5432] = {.count = 1, .reusable = true}, SHIFT(3505),
  [5434] = {.count = 1, .reusable = false}, SHIFT(3505),
  [5436] = {.count = 1, .reusable = true}, SHIFT(3506),
  [5438] = {.count = 1, .reusable = true}, REDUCE(sym_begin, 3),
  [5440] = {.count = 1, .reusable = false}, REDUCE(sym_begin, 3),
  [5442] = {.count = 1, .reusable = true}, REDUCE(sym_undef, 3),
  [5444] = {.count = 1, .reusable = true}, SHIFT(3515),
  [5446] = {.count = 1, .reusable = true}, REDUCE(sym_alias, 3),
  [5448] = {.count = 1, .reusable = true}, SHIFT(3516),
  [5450] = {.count = 1, .reusable = true}, SHIFT(3517),
  [5452] = {.count = 1, .reusable = true}, SHIFT(3518),
  [5454] = {.count = 1, .reusable = true}, SHIFT(3519),
  [5456] = {.count = 1, .reusable = true}, SHIFT(3520),
  [5458] = {.count = 1, .reusable = false}, SHIFT(3521),
  [5460] = {.count = 1, .reusable = true}, SHIFT(3523),
  [5462] = {.count = 1, .reusable = true}, SHIFT(3524),
  [5464] = {.count = 1, .reusable = true}, SHIFT(3526),
  [5466] = {.count = 1, .reusable = false}, SHIFT(3527),
  [5468] = {.count = 1, .reusable = true}, SHIFT(3529),
  [5470] = {.count = 1, .reusable = true}, SHIFT(3530),
  [5472] = {.count = 1, .reusable = true}, SHIFT(3533),
  [5474] = {.count = 1, .reusable = true}, SHIFT(3534),
  [5476] = {.count = 1, .reusable = true}, SHIFT(3535),
  [5478] = {.count = 1, .reusable = false}, SHIFT(3537),
  [5480] = {.count = 1, .reusable = true}, SHIFT(3544),
  [5482] = {.count = 1, .reusable = true}, SHIFT(3545),
  [5484] = {.count = 1, .reusable = false}, SHIFT(3546),
  [5486] = {.count = 1, .reusable = true}, SHIFT(3547),
  [5488] = {.count = 1, .reusable = false}, SHIFT(3548),
  [5490] = {.count = 1, .reusable = false}, SHIFT(3549),
  [5492] = {.count = 1, .reusable = true}, SHIFT(3550),
  [5494] = {.count = 1, .reusable = false}, SHIFT(3551),
  [5496] = {.count = 1, .reusable = true}, SHIFT(3551),
  [5498] = {.count = 1, .reusable = true}, SHIFT(3552),
  [5500] = {.count = 1, .reusable = true}, SHIFT(3553),
  [5502] = {.count = 1, .reusable = true}, SHIFT(3554),
  [5504] = {.count = 1, .reusable = false}, SHIFT(3553),
  [5506] = {.count = 1, .reusable = true}, SHIFT(3549),
  [5508] = {.count = 1, .reusable = true}, SHIFT(3546),
  [5510] = {.count = 1, .reusable = true}, SHIFT(3555),
  [5512] = {.count = 1, .reusable = true}, SHIFT(3556),
  [5514] = {.count = 1, .reusable = true}, SHIFT(3557),
  [5516] = {.count = 1, .reusable = true}, SHIFT(3558),
  [5518] = {.count = 1, .reusable = false}, SHIFT(3560),
  [5520] = {.count = 1, .reusable = true}, SHIFT(3565),
  [5522] = {.count = 1, .reusable = false}, SHIFT(3565),
  [5524] = {.count = 1, .reusable = true}, SHIFT(3566),
  [5526] = {.count = 1, .reusable = true}, SHIFT(3569),
  [5528] = {.count = 1, .reusable = true}, SHIFT(3572),
  [5530] = {.count = 1, .reusable = true}, SHIFT(3573),
  [5532] = {.count = 1, .reusable = true}, SHIFT(3574),
  [5534] = {.count = 1, .reusable = true}, SHIFT(3577),
  [5536] = {.count = 1, .reusable = true}, SHIFT(3579),
  [5538] = {.count = 1, .reusable = false}, SHIFT(3578),
  [5540] = {.count = 1, .reusable = false}, SHIFT(1378),
  [5542] = {.count = 1, .reusable = true}, SHIFT(3583),
  [5544] = {.count = 1, .reusable = true}, SHIFT(3587),
  [5546] = {.count = 1, .reusable = true}, SHIFT(3588),
  [5548] = {.count = 1, .reusable = false}, SHIFT(3589),
  [5550] = {.count = 1, .reusable = true}, SHIFT(3590),
  [5552] = {.count = 1, .reusable = false}, SHIFT(3591),
  [5554] = {.count = 1, .reusable = false}, SHIFT(3592),
  [5556] = {.count = 1, .reusable = true}, SHIFT(3594),
  [5558] = {.count = 1, .reusable = false}, SHIFT(3595),
  [5560] = {.count = 1, .reusable = true}, SHIFT(3595),
  [5562] = {.count = 1, .reusable = true}, SHIFT(3597),
  [5564] = {.count = 1, .reusable = true}, SHIFT(3598),
  [5566] = {.count = 1, .reusable = false}, SHIFT(3597),
  [5568] = {.count = 1, .reusable = true}, SHIFT(3592),
  [5570] = {.count = 1, .reusable = true}, SHIFT(3589),
  [5572] = {.count = 1, .reusable = true}, SHIFT(3599),
  [5574] = {.count = 1, .reusable = true}, SHIFT(3601),
  [5576] = {.count = 1, .reusable = true}, SHIFT(3603),
  [5578] = {.count = 1, .reusable = false}, SHIFT(3603),
  [5580] = {.count = 1, .reusable = true}, SHIFT(3604),
  [5582] = {.count = 1, .reusable = true}, SHIFT(3605),
  [5584] = {.count = 1, .reusable = true}, SHIFT(3606),
  [5586] = {.count = 1, .reusable = true}, SHIFT(3607),
  [5588] = {.count = 1, .reusable = true}, SHIFT(3608),
  [5590] = {.count = 1, .reusable = true}, SHIFT(3609),
  [5592] = {.count = 1, .reusable = true}, SHIFT(3611),
  [5594] = {.count = 1, .reusable = true}, SHIFT(3613),
  [5596] = {.count = 1, .reusable = true}, SHIFT(3614),
  [5598] = {.count = 1, .reusable = false}, SHIFT(3618),
  [5600] = {.count = 1, .reusable = true}, SHIFT(3619),
  [5602] = {.count = 1, .reusable = true}, SHIFT(3621),
  [5604] = {.count = 1, .reusable = true}, SHIFT(3627),
  [5606] = {.count = 1, .reusable = false}, SHIFT(3624),
  [5608] = {.count = 1, .reusable = true}, SHIFT(1413),
  [5610] = {.count = 1, .reusable = true}, SHIFT(3642),
  [5612] = {.count = 1, .reusable = true}, SHIFT(3645),
  [5614] = {.count = 1, .reusable = true}, SHIFT(3646),
  [5616] = {.count = 1, .reusable = true}, SHIFT(3647),
  [5618] = {.count = 1, .reusable = false}, SHIFT(3647),
  [5620] = {.count = 1, .reusable = true}, SHIFT(3648),
  [5622] = {.count = 1, .reusable = false}, SHIFT(1443),
  [5624] = {.count = 1, .reusable = true}, SHIFT(3655),
  [5626] = {.count = 1, .reusable = true}, SHIFT(3656),
  [5628] = {.count = 1, .reusable = true}, SHIFT(3663),
  [5630] = {.count = 1, .reusable = false}, SHIFT(3660),
  [5632] = {.count = 1, .reusable = true}, SHIFT(3666),
  [5634] = {.count = 1, .reusable = true}, SHIFT(3667),
  [5636] = {.count = 1, .reusable = false}, SHIFT(3668),
  [5638] = {.count = 1, .reusable = false}, SHIFT(3669),
  [5640] = {.count = 1, .reusable = false}, SHIFT(3670),
  [5642] = {.count = 1, .reusable = false}, SHIFT(3671),
  [5644] = {.count = 1, .reusable = true}, SHIFT(3673),
  [5646] = {.count = 1, .reusable = false}, SHIFT(3674),
  [5648] = {.count = 1, .reusable = true}, SHIFT(3674),
  [5650] = {.count = 1, .reusable = false}, SHIFT(3676),
  [5652] = {.count = 1, .reusable = false}, SHIFT(3677),
  [5654] = {.count = 1, .reusable = true}, SHIFT(3676),
  [5656] = {.count = 1, .reusable = true}, SHIFT(3671),
  [5658] = {.count = 1, .reusable = false}, SHIFT(3678),
  [5660] = {.count = 1, .reusable = true}, SHIFT(1442),
  [5662] = {.count = 1, .reusable = true}, SHIFT(3681),
  [5664] = {.count = 1, .reusable = true}, SHIFT(3683),
  [5666] = {.count = 1, .reusable = false}, SHIFT(3683),
  [5668] = {.count = 1, .reusable = true}, SHIFT(3684),
  [5670] = {.count = 1, .reusable = true}, SHIFT(3685),
  [5672] = {.count = 1, .reusable = true}, REDUCE(sym_array, 3),
  [5674] = {.count = 1, .reusable = false}, REDUCE(sym_array, 3),
  [5676] = {.count = 1, .reusable = true}, SHIFT(3687),
  [5678] = {.count = 1, .reusable = true}, SHIFT(3688),
  [5680] = {.count = 1, .reusable = true}, REDUCE(sym__argument_list_with_trailing_comma, 2),
  [5682] = {.count = 1, .reusable = true}, SHIFT(3691),
  [5684] = {.count = 1, .reusable = true}, REDUCE(sym_block, 2),
  [5686] = {.count = 1, .reusable = false}, REDUCE(sym_block, 2),
  [5688] = {.count = 1, .reusable = true}, SHIFT(3698),
  [5690] = {.count = 1, .reusable = true}, SHIFT(3699),
  [5692] = {.count = 1, .reusable = true}, SHIFT(3700),
  [5694] = {.count = 1, .reusable = true}, SHIFT(3701),
  [5696] = {.count = 1, .reusable = true}, SHIFT(3703),
  [5698] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_parameters, 2),
  [5700] = {.count = 1, .reusable = true}, SHIFT(3706),
  [5702] = {.count = 1, .reusable = true}, SHIFT(3707),
  [5704] = {.count = 1, .reusable = true}, SHIFT(3708),
  [5706] = {.count = 1, .reusable = true}, SHIFT(3709),
  [5708] = {.count = 1, .reusable = true}, REDUCE(sym_splat_parameter, 2),
  [5710] = {.count = 1, .reusable = true}, REDUCE(sym_hash_splat_parameter, 2),
  [5712] = {.count = 1, .reusable = true}, REDUCE(sym_block_parameter, 2),
  [5714] = {.count = 1, .reusable = true}, SHIFT(3711),
  [5716] = {.count = 1, .reusable = false}, SHIFT(3712),
  [5718] = {.count = 1, .reusable = true}, SHIFT(3715),
  [5720] = {.count = 1, .reusable = true}, SHIFT(3716),
  [5722] = {.count = 1, .reusable = true}, SHIFT(3717),
  [5724] = {.count = 1, .reusable = true}, REDUCE(sym_do_block, 2),
  [5726] = {.count = 1, .reusable = false}, REDUCE(sym_do_block, 2),
  [5728] = {.count = 1, .reusable = true}, SHIFT(3719),
  [5730] = {.count = 1, .reusable = true}, SHIFT(3721),
  [5732] = {.count = 1, .reusable = false}, SHIFT(3719),
  [5734] = {.count = 1, .reusable = true}, SHIFT(3723),
  [5736] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_parameter, 2),
  [5738] = {.count = 1, .reusable = false}, SHIFT(3724),
  [5740] = {.count = 1, .reusable = false}, SHIFT(3725),
  [5742] = {.count = 1, .reusable = false}, SHIFT(3726),
  [5744] = {.count = 1, .reusable = false}, SHIFT(3727),
  [5746] = {.count = 1, .reusable = false}, REDUCE(sym_keyword_parameter, 2),
  [5748] = {.count = 1, .reusable = false}, SHIFT(3728),
  [5750] = {.count = 1, .reusable = true}, SHIFT(3729),
  [5752] = {.count = 1, .reusable = false}, SHIFT(3729),
  [5754] = {.count = 1, .reusable = true}, SHIFT(3730),
  [5756] = {.count = 1, .reusable = false}, SHIFT(3732),
  [5758] = {.count = 1, .reusable = true}, SHIFT(3732),
  [5760] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 3),
  [5762] = {.count = 1, .reusable = false}, REDUCE(sym_lambda, 3),
  [5764] = {.count = 1, .reusable = true}, SHIFT(377),
  [5766] = {.count = 1, .reusable = false}, SHIFT(3739),
  [5768] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2),
  [5770] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 3),
  [5772] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 3),
  [5774] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3740),
  [5777] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(283),
  [5780] = {.count = 1, .reusable = true}, REDUCE(sym_if_modifier, 3),
  [5782] = {.count = 1, .reusable = true}, REDUCE(sym_unless_modifier, 3),
  [5784] = {.count = 1, .reusable = true}, REDUCE(sym_while_modifier, 3),
  [5786] = {.count = 1, .reusable = true}, REDUCE(sym_until_modifier, 3),
  [5788] = {.count = 1, .reusable = true}, REDUCE(sym_rescue_modifier, 3),
  [5790] = {.count = 1, .reusable = true}, REDUCE(sym_binary, 3, .alias_sequence_id = 17),
  [5792] = {.count = 1, .reusable = false}, REDUCE(sym_binary, 3, .alias_sequence_id = 17),
  [5794] = {.count = 1, .reusable = true}, REDUCE(sym_binary, 3, .alias_sequence_id = 18),
  [5796] = {.count = 1, .reusable = false}, REDUCE(sym_binary, 3, .alias_sequence_id = 18),
  [5798] = {.count = 1, .reusable = true}, REDUCE(sym_binary, 3),
  [5800] = {.count = 1, .reusable = false}, REDUCE(sym_binary, 3),
  [5802] = {.count = 1, .reusable = true}, SHIFT(3742),
  [5804] = {.count = 1, .reusable = true}, SHIFT(3743),
  [5806] = {.count = 1, .reusable = true}, SHIFT(3744),
  [5808] = {.count = 1, .reusable = true}, SHIFT(3745),
  [5810] = {.count = 1, .reusable = false}, SHIFT(3747),
  [5812] = {.count = 1, .reusable = false}, SHIFT(3748),
  [5814] = {.count = 1, .reusable = false}, SHIFT(3749),
  [5816] = {.count = 1, .reusable = false}, SHIFT(3750),
  [5818] = {.count = 1, .reusable = true}, SHIFT(3752),
  [5820] = {.count = 1, .reusable = false}, SHIFT(3752),
  [5822] = {.count = 1, .reusable = false}, SHIFT(3753),
  [5824] = {.count = 1, .reusable = true}, SHIFT(3753),
  [5826] = {.count = 1, .reusable = false}, SHIFT(3754),
  [5828] = {.count = 1, .reusable = true}, SHIFT(3756),
  [5830] = {.count = 1, .reusable = false}, SHIFT(3756),
  [5832] = {.count = 1, .reusable = true}, SHIFT(3764),
  [5834] = {.count = 1, .reusable = true}, SHIFT(3765),
  [5836] = {.count = 1, .reusable = false}, SHIFT(3766),
  [5838] = {.count = 1, .reusable = true}, SHIFT(3767),
  [5840] = {.count = 1, .reusable = false}, SHIFT(3768),
  [5842] = {.count = 1, .reusable = false}, SHIFT(3769),
  [5844] = {.count = 1, .reusable = true}, SHIFT(3770),
  [5846] = {.count = 1, .reusable = true}, SHIFT(3771),
  [5848] = {.count = 1, .reusable = false}, SHIFT(3772),
  [5850] = {.count = 1, .reusable = true}, SHIFT(3772),
  [5852] = {.count = 1, .reusable = true}, SHIFT(3773),
  [5854] = {.count = 1, .reusable = true}, SHIFT(3774),
  [5856] = {.count = 1, .reusable = true}, SHIFT(3775),
  [5858] = {.count = 1, .reusable = false}, SHIFT(3774),
  [5860] = {.count = 1, .reusable = true}, SHIFT(3769),
  [5862] = {.count = 1, .reusable = true}, SHIFT(3766),
  [5864] = {.count = 1, .reusable = true}, SHIFT(3776),
  [5866] = {.count = 1, .reusable = true}, SHIFT(3777),
  [5868] = {.count = 1, .reusable = true}, SHIFT(3778),
  [5870] = {.count = 1, .reusable = true}, SHIFT(3779),
  [5872] = {.count = 1, .reusable = true}, SHIFT(3780),
  [5874] = {.count = 1, .reusable = false}, SHIFT(3782),
  [5876] = {.count = 1, .reusable = false}, SHIFT(3783),
  [5878] = {.count = 1, .reusable = false}, SHIFT(3784),
  [5880] = {.count = 1, .reusable = false}, SHIFT(3785),
  [5882] = {.count = 1, .reusable = true}, SHIFT(3787),
  [5884] = {.count = 1, .reusable = false}, SHIFT(3787),
  [5886] = {.count = 1, .reusable = false}, SHIFT(3788),
  [5888] = {.count = 1, .reusable = true}, SHIFT(3788),
  [5890] = {.count = 1, .reusable = false}, SHIFT(3789),
  [5892] = {.count = 1, .reusable = true}, SHIFT(3791),
  [5894] = {.count = 1, .reusable = false}, SHIFT(3791),
  [5896] = {.count = 1, .reusable = true}, SHIFT(3797),
  [5898] = {.count = 1, .reusable = false}, SHIFT(3797),
  [5900] = {.count = 1, .reusable = true}, SHIFT(3798),
  [5902] = {.count = 1, .reusable = true}, REDUCE(sym_range, 3),
  [5904] = {.count = 1, .reusable = true}, REDUCE(sym_element_reference, 3, .alias_sequence_id = 19),
  [5906] = {.count = 1, .reusable = false}, REDUCE(sym_element_reference, 3, .alias_sequence_id = 19),
  [5908] = {.count = 1, .reusable = true}, SHIFT(3800),
  [5910] = {.count = 1, .reusable = true}, REDUCE(sym_scope_resolution, 3, .alias_sequence_id = 20),
  [5912] = {.count = 1, .reusable = false}, REDUCE(sym_scope_resolution, 3, .alias_sequence_id = 20),
  [5914] = {.count = 1, .reusable = true}, SHIFT(3803),
  [5916] = {.count = 1, .reusable = true}, SHIFT(3802),
  [5918] = {.count = 1, .reusable = true}, SHIFT(3804),
  [5920] = {.count = 1, .reusable = true}, REDUCE(sym_call, 3),
  [5922] = {.count = 1, .reusable = false}, REDUCE(sym_call, 3),
  [5924] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list_with_parens, 1),
  [5926] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list_with_parens, 1),
  [5928] = {.count = 1, .reusable = true}, SHIFT(3807),
  [5930] = {.count = 1, .reusable = true}, SHIFT(3809),
  [5932] = {.count = 1, .reusable = true}, SHIFT(3810),
  [5934] = {.count = 1, .reusable = true}, SHIFT(3811),
  [5936] = {.count = 1, .reusable = true}, SHIFT(3812),
  [5938] = {.count = 1, .reusable = true}, SHIFT(3813),
  [5940] = {.count = 1, .reusable = false}, SHIFT(3814),
  [5942] = {.count = 1, .reusable = true}, SHIFT(3816),
  [5944] = {.count = 1, .reusable = true}, SHIFT(3817),
  [5946] = {.count = 1, .reusable = true}, SHIFT(3819),
  [5948] = {.count = 1, .reusable = false}, SHIFT(3820),
  [5950] = {.count = 1, .reusable = true}, SHIFT(3822),
  [5952] = {.count = 1, .reusable = true}, SHIFT(3823),
  [5954] = {.count = 1, .reusable = true}, SHIFT(3825),
  [5956] = {.count = 1, .reusable = true}, SHIFT(3827),
  [5958] = {.count = 1, .reusable = true}, SHIFT(3829),
  [5960] = {.count = 1, .reusable = true}, SHIFT(3831),
  [5962] = {.count = 1, .reusable = true}, SHIFT(3833),
  [5964] = {.count = 1, .reusable = false}, SHIFT(3834),
  [5966] = {.count = 1, .reusable = true}, SHIFT(3836),
  [5968] = {.count = 1, .reusable = false}, SHIFT(3837),
  [5970] = {.count = 1, .reusable = true}, SHIFT(3840),
  [5972] = {.count = 1, .reusable = true}, SHIFT(3843),
  [5974] = {.count = 1, .reusable = false}, SHIFT(3845),
  [5976] = {.count = 1, .reusable = true}, SHIFT(3847),
  [5978] = {.count = 1, .reusable = true}, SHIFT(3849),
  [5980] = {.count = 1, .reusable = false}, SHIFT(3850),
  [5982] = {.count = 1, .reusable = false}, SHIFT(3852),
  [5984] = {.count = 1, .reusable = true}, SHIFT(3864),
  [5986] = {.count = 1, .reusable = true}, SHIFT(3870),
  [5988] = {.count = 1, .reusable = false}, SHIFT(3869),
  [5990] = {.count = 1, .reusable = false}, SHIFT(3874),
  [5992] = {.count = 1, .reusable = true}, SHIFT(3875),
  [5994] = {.count = 1, .reusable = true}, SHIFT(3880),
  [5996] = {.count = 1, .reusable = true}, SHIFT(3881),
  [5998] = {.count = 1, .reusable = false}, SHIFT(3882),
  [6000] = {.count = 1, .reusable = false}, SHIFT(3883),
  [6002] = {.count = 1, .reusable = false}, SHIFT(3884),
  [6004] = {.count = 1, .reusable = false}, SHIFT(3885),
  [6006] = {.count = 1, .reusable = true}, SHIFT(3886),
  [6008] = {.count = 1, .reusable = false}, SHIFT(3887),
  [6010] = {.count = 1, .reusable = true}, SHIFT(3887),
  [6012] = {.count = 1, .reusable = false}, SHIFT(3889),
  [6014] = {.count = 1, .reusable = false}, SHIFT(3890),
  [6016] = {.count = 1, .reusable = true}, SHIFT(3889),
  [6018] = {.count = 1, .reusable = true}, SHIFT(3885),
  [6020] = {.count = 1, .reusable = false}, SHIFT(3891),
  [6022] = {.count = 1, .reusable = true}, SHIFT(3892),
  [6024] = {.count = 1, .reusable = true}, SHIFT(3893),
  [6026] = {.count = 1, .reusable = false}, SHIFT(3893),
  [6028] = {.count = 1, .reusable = true}, SHIFT(3894),
  [6030] = {.count = 1, .reusable = true}, SHIFT(3896),
  [6032] = {.count = 1, .reusable = true}, SHIFT(3898),
  [6034] = {.count = 1, .reusable = true}, SHIFT(3900),
  [6036] = {.count = 1, .reusable = true}, SHIFT(3904),
  [6038] = {.count = 1, .reusable = true}, SHIFT(3905),
  [6040] = {.count = 1, .reusable = true}, SHIFT(3906),
  [6042] = {.count = 1, .reusable = false}, SHIFT(3908),
  [6044] = {.count = 1, .reusable = true}, SHIFT(3915),
  [6046] = {.count = 1, .reusable = true}, SHIFT(3917),
  [6048] = {.count = 1, .reusable = true}, SHIFT(3918),
  [6050] = {.count = 1, .reusable = false}, SHIFT(3919),
  [6052] = {.count = 1, .reusable = true}, SHIFT(3920),
  [6054] = {.count = 1, .reusable = false}, SHIFT(3921),
  [6056] = {.count = 1, .reusable = false}, SHIFT(3922),
  [6058] = {.count = 1, .reusable = true}, SHIFT(3923),
  [6060] = {.count = 1, .reusable = false}, SHIFT(3924),
  [6062] = {.count = 1, .reusable = true}, SHIFT(3924),
  [6064] = {.count = 1, .reusable = true}, SHIFT(3925),
  [6066] = {.count = 1, .reusable = true}, SHIFT(3926),
  [6068] = {.count = 1, .reusable = true}, SHIFT(3927),
  [6070] = {.count = 1, .reusable = false}, SHIFT(3926),
  [6072] = {.count = 1, .reusable = true}, SHIFT(3922),
  [6074] = {.count = 1, .reusable = true}, SHIFT(3919),
  [6076] = {.count = 1, .reusable = true}, SHIFT(3928),
  [6078] = {.count = 1, .reusable = true}, SHIFT(3929),
  [6080] = {.count = 1, .reusable = true}, SHIFT(3930),
  [6082] = {.count = 1, .reusable = true}, SHIFT(3931),
  [6084] = {.count = 1, .reusable = false}, SHIFT(3933),
  [6086] = {.count = 1, .reusable = true}, SHIFT(3938),
  [6088] = {.count = 1, .reusable = false}, SHIFT(3938),
  [6090] = {.count = 1, .reusable = true}, SHIFT(3939),
  [6092] = {.count = 1, .reusable = true}, SHIFT(3941),
  [6094] = {.count = 1, .reusable = true}, SHIFT(3944),
  [6096] = {.count = 1, .reusable = true}, SHIFT(3945),
  [6098] = {.count = 1, .reusable = true}, SHIFT(3946),
  [6100] = {.count = 1, .reusable = true}, SHIFT(3949),
  [6102] = {.count = 1, .reusable = true}, SHIFT(3951),
  [6104] = {.count = 1, .reusable = false}, SHIFT(3950),
  [6106] = {.count = 1, .reusable = true}, SHIFT(3952),
  [6108] = {.count = 1, .reusable = true}, SHIFT(3953),
  [6110] = {.count = 1, .reusable = true}, SHIFT(3954),
  [6112] = {.count = 1, .reusable = true}, SHIFT(3955),
  [6114] = {.count = 1, .reusable = true}, SHIFT(3957),
  [6116] = {.count = 1, .reusable = true}, SHIFT(3959),
  [6118] = {.count = 1, .reusable = false}, SHIFT(3957),
  [6120] = {.count = 1, .reusable = true}, SHIFT(3961),
  [6122] = {.count = 1, .reusable = true}, SHIFT(3963),
  [6124] = {.count = 1, .reusable = true}, SHIFT(3964),
  [6126] = {.count = 1, .reusable = false}, SHIFT(3968),
  [6128] = {.count = 1, .reusable = true}, SHIFT(3969),
  [6130] = {.count = 1, .reusable = true}, SHIFT(3971),
  [6132] = {.count = 1, .reusable = true}, SHIFT(3986),
  [6134] = {.count = 1, .reusable = true}, REDUCE(sym_method_call, 3),
  [6136] = {.count = 1, .reusable = false}, REDUCE(sym_method_call, 3),
  [6138] = {.count = 1, .reusable = true}, SHIFT(3988),
  [6140] = {.count = 1, .reusable = true}, SHIFT(3987),
  [6142] = {.count = 1, .reusable = true}, SHIFT(419),
  [6144] = {.count = 1, .reusable = true}, SHIFT(4004),
  [6146] = {.count = 1, .reusable = true}, SHIFT(4005),
  [6148] = {.count = 1, .reusable = false}, SHIFT(4006),
  [6150] = {.count = 1, .reusable = true}, SHIFT(4007),
  [6152] = {.count = 1, .reusable = false}, SHIFT(4008),
  [6154] = {.count = 1, .reusable = false}, SHIFT(4009),
  [6156] = {.count = 1, .reusable = true}, SHIFT(4010),
  [6158] = {.count = 1, .reusable = false}, SHIFT(4011),
  [6160] = {.count = 1, .reusable = true}, SHIFT(4011),
  [6162] = {.count = 1, .reusable = true}, SHIFT(4013),
  [6164] = {.count = 1, .reusable = true}, SHIFT(4014),
  [6166] = {.count = 1, .reusable = false}, SHIFT(4013),
  [6168] = {.count = 1, .reusable = true}, SHIFT(4009),
  [6170] = {.count = 1, .reusable = true}, SHIFT(4006),
  [6172] = {.count = 1, .reusable = true}, SHIFT(4015),
  [6174] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 3),
  [6176] = {.count = 1, .reusable = false}, REDUCE(sym_assignment, 3),
  [6178] = {.count = 1, .reusable = true}, SHIFT(4016),
  [6180] = {.count = 1, .reusable = true}, SHIFT(4018),
  [6182] = {.count = 1, .reusable = false}, SHIFT(4018),
  [6184] = {.count = 1, .reusable = true}, SHIFT(4019),
  [6186] = {.count = 1, .reusable = true}, REDUCE(sym__mlhs, 3),
  [6188] = {.count = 1, .reusable = true}, REDUCE(sym_operator_assignment, 3),
  [6190] = {.count = 1, .reusable = true}, REDUCE(aux_sym_chained_string_repeat1, 2),
  [6192] = {.count = 2, .reusable = true}, REDUCE(aux_sym_chained_string_repeat1, 2), SHIFT_REPEAT(3),
  [6195] = {.count = 1, .reusable = false}, REDUCE(aux_sym_chained_string_repeat1, 2),
  [6197] = {.count = 1, .reusable = true}, SHIFT(4020),
  [6199] = {.count = 1, .reusable = true}, SHIFT(4021),
  [6201] = {.count = 1, .reusable = false}, SHIFT(4022),
  [6203] = {.count = 1, .reusable = false}, SHIFT(4023),
  [6205] = {.count = 1, .reusable = false}, SHIFT(4024),
  [6207] = {.count = 1, .reusable = false}, SHIFT(4025),
  [6209] = {.count = 1, .reusable = false}, SHIFT(4026),
  [6211] = {.count = 1, .reusable = true}, SHIFT(4027),
  [6213] = {.count = 1, .reusable = false}, SHIFT(4027),
  [6215] = {.count = 1, .reusable = true}, SHIFT(4028),
  [6217] = {.count = 1, .reusable = false}, SHIFT(4030),
  [6219] = {.count = 1, .reusable = true}, SHIFT(4030),
  [6221] = {.count = 1, .reusable = false}, SHIFT(1700),
  [6223] = {.count = 1, .reusable = true}, SHIFT(4037),
  [6225] = {.count = 1, .reusable = true}, SHIFT(4039),
  [6227] = {.count = 1, .reusable = true}, SHIFT(4040),
  [6229] = {.count = 1, .reusable = true}, SHIFT(4041),
  [6231] = {.count = 1, .reusable = false}, SHIFT(4043),
  [6233] = {.count = 1, .reusable = true}, SHIFT(4050),
  [6235] = {.count = 1, .reusable = true}, SHIFT(4051),
  [6237] = {.count = 1, .reusable = false}, SHIFT(4052),
  [6239] = {.count = 1, .reusable = true}, SHIFT(4053),
  [6241] = {.count = 1, .reusable = false}, SHIFT(4054),
  [6243] = {.count = 1, .reusable = false}, SHIFT(4055),
  [6245] = {.count = 1, .reusable = true}, SHIFT(4056),
  [6247] = {.count = 1, .reusable = true}, SHIFT(4057),
  [6249] = {.count = 1, .reusable = false}, SHIFT(4058),
  [6251] = {.count = 1, .reusable = true}, SHIFT(4058),
  [6253] = {.count = 1, .reusable = true}, SHIFT(4060),
  [6255] = {.count = 1, .reusable = true}, SHIFT(4061),
  [6257] = {.count = 1, .reusable = false}, SHIFT(4060),
  [6259] = {.count = 1, .reusable = true}, SHIFT(4055),
  [6261] = {.count = 1, .reusable = true}, SHIFT(4052),
  [6263] = {.count = 1, .reusable = true}, SHIFT(4062),
  [6265] = {.count = 1, .reusable = true}, SHIFT(4063),
  [6267] = {.count = 1, .reusable = true}, SHIFT(4064),
  [6269] = {.count = 1, .reusable = true}, SHIFT(4065),
  [6271] = {.count = 1, .reusable = false}, SHIFT(4067),
  [6273] = {.count = 1, .reusable = true}, SHIFT(4073),
  [6275] = {.count = 1, .reusable = true}, SHIFT(4075),
  [6277] = {.count = 1, .reusable = false}, SHIFT(4075),
  [6279] = {.count = 1, .reusable = true}, SHIFT(4076),
  [6281] = {.count = 1, .reusable = true}, SHIFT(4077),
  [6283] = {.count = 1, .reusable = true}, SHIFT(4079),
  [6285] = {.count = 1, .reusable = true}, SHIFT(4081),
  [6287] = {.count = 1, .reusable = true}, SHIFT(4082),
  [6289] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 3),
  [6291] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 3),
  [6293] = {.count = 1, .reusable = true}, SHIFT(4102),
  [6295] = {.count = 1, .reusable = true}, SHIFT(4105),
  [6297] = {.count = 1, .reusable = true}, SHIFT(4106),
  [6299] = {.count = 1, .reusable = true}, SHIFT(4107),
  [6301] = {.count = 1, .reusable = false}, SHIFT(4107),
  [6303] = {.count = 1, .reusable = true}, SHIFT(4108),
  [6305] = {.count = 1, .reusable = true}, SHIFT(4111),
  [6307] = {.count = 1, .reusable = true}, SHIFT(4112),
  [6309] = {.count = 1, .reusable = true}, SHIFT(4113),
  [6311] = {.count = 1, .reusable = true}, SHIFT(4114),
  [6313] = {.count = 1, .reusable = true}, SHIFT(4115),
  [6315] = {.count = 1, .reusable = true}, SHIFT(4116),
  [6317] = {.count = 1, .reusable = true}, SHIFT(4117),
  [6319] = {.count = 1, .reusable = true}, SHIFT(4142),
  [6321] = {.count = 1, .reusable = true}, SHIFT(4118),
  [6323] = {.count = 1, .reusable = true}, SHIFT(4119),
  [6325] = {.count = 1, .reusable = false}, SHIFT(4120),
  [6327] = {.count = 1, .reusable = true}, SHIFT(4121),
  [6329] = {.count = 1, .reusable = false}, SHIFT(4122),
  [6331] = {.count = 1, .reusable = false}, SHIFT(4123),
  [6333] = {.count = 1, .reusable = false}, SHIFT(4124),
  [6335] = {.count = 1, .reusable = false}, SHIFT(4125),
  [6337] = {.count = 1, .reusable = false}, SHIFT(4126),
  [6339] = {.count = 1, .reusable = false}, SHIFT(4127),
  [6341] = {.count = 1, .reusable = false}, SHIFT(4142),
  [6343] = {.count = 1, .reusable = false}, SHIFT(4128),
  [6345] = {.count = 1, .reusable = false}, SHIFT(4129),
  [6347] = {.count = 1, .reusable = false}, SHIFT(4130),
  [6349] = {.count = 1, .reusable = false}, SHIFT(4131),
  [6351] = {.count = 1, .reusable = false}, SHIFT(4132),
  [6353] = {.count = 1, .reusable = false}, SHIFT(4133),
  [6355] = {.count = 1, .reusable = false}, SHIFT(4134),
  [6357] = {.count = 1, .reusable = false}, SHIFT(4135),
  [6359] = {.count = 1, .reusable = true}, SHIFT(4136),
  [6361] = {.count = 1, .reusable = false}, SHIFT(4136),
  [6363] = {.count = 1, .reusable = true}, SHIFT(4137),
  [6365] = {.count = 1, .reusable = false}, SHIFT(4143),
  [6367] = {.count = 1, .reusable = true}, SHIFT(4143),
  [6369] = {.count = 1, .reusable = false}, SHIFT(4138),
  [6371] = {.count = 1, .reusable = true}, SHIFT(4139),
  [6373] = {.count = 1, .reusable = true}, SHIFT(4140),
  [6375] = {.count = 1, .reusable = true}, SHIFT(4148),
  [6377] = {.count = 1, .reusable = false}, SHIFT(1753),
  [6379] = {.count = 1, .reusable = true}, SHIFT(4153),
  [6381] = {.count = 1, .reusable = true}, SHIFT(4154),
  [6383] = {.count = 1, .reusable = true}, SHIFT(4161),
  [6385] = {.count = 1, .reusable = false}, SHIFT(4158),
  [6387] = {.count = 1, .reusable = true}, SHIFT(4164),
  [6389] = {.count = 1, .reusable = true}, SHIFT(4165),
  [6391] = {.count = 1, .reusable = false}, SHIFT(4166),
  [6393] = {.count = 1, .reusable = false}, SHIFT(4167),
  [6395] = {.count = 1, .reusable = false}, SHIFT(4168),
  [6397] = {.count = 1, .reusable = false}, SHIFT(4169),
  [6399] = {.count = 1, .reusable = true}, SHIFT(4170),
  [6401] = {.count = 1, .reusable = true}, SHIFT(4171),
  [6403] = {.count = 1, .reusable = false}, SHIFT(4172),
  [6405] = {.count = 1, .reusable = true}, SHIFT(4172),
  [6407] = {.count = 1, .reusable = false}, SHIFT(4174),
  [6409] = {.count = 1, .reusable = false}, SHIFT(4175),
  [6411] = {.count = 1, .reusable = true}, SHIFT(4174),
  [6413] = {.count = 1, .reusable = true}, SHIFT(4169),
  [6415] = {.count = 1, .reusable = false}, SHIFT(4176),
  [6417] = {.count = 1, .reusable = true}, SHIFT(4177),
  [6419] = {.count = 1, .reusable = true}, SHIFT(1752),
  [6421] = {.count = 1, .reusable = true}, SHIFT(4179),
  [6423] = {.count = 1, .reusable = true}, SHIFT(4181),
  [6425] = {.count = 1, .reusable = true}, SHIFT(4183),
  [6427] = {.count = 1, .reusable = false}, SHIFT(4183),
  [6429] = {.count = 1, .reusable = true}, SHIFT(4184),
  [6431] = {.count = 1, .reusable = true}, SHIFT(4185),
  [6433] = {.count = 1, .reusable = true}, SHIFT(4187),
  [6435] = {.count = 1, .reusable = true}, SHIFT(4188),
  [6437] = {.count = 1, .reusable = false}, SHIFT(4189),
  [6439] = {.count = 1, .reusable = false}, SHIFT(4190),
  [6441] = {.count = 1, .reusable = false}, SHIFT(4191),
  [6443] = {.count = 1, .reusable = false}, SHIFT(4192),
  [6445] = {.count = 1, .reusable = false}, SHIFT(4193),
  [6447] = {.count = 1, .reusable = true}, SHIFT(4194),
  [6449] = {.count = 1, .reusable = false}, SHIFT(4194),
  [6451] = {.count = 1, .reusable = true}, SHIFT(4195),
  [6453] = {.count = 1, .reusable = true}, REDUCE(sym_string_array, 4, .alias_sequence_id = 21),
  [6455] = {.count = 1, .reusable = false}, REDUCE(sym_string_array, 4, .alias_sequence_id = 21),
  [6457] = {.count = 1, .reusable = true}, REDUCE(sym_string_array, 4, .alias_sequence_id = 22),
  [6459] = {.count = 1, .reusable = false}, REDUCE(sym_string_array, 4, .alias_sequence_id = 22),
  [6461] = {.count = 1, .reusable = true}, SHIFT(4203),
  [6463] = {.count = 1, .reusable = true}, SHIFT(4204),
  [6465] = {.count = 1, .reusable = true}, REDUCE(sym_string_array, 4, .alias_sequence_id = 23),
  [6467] = {.count = 1, .reusable = false}, REDUCE(sym_string_array, 4, .alias_sequence_id = 23),
  [6469] = {.count = 1, .reusable = true}, REDUCE(aux_sym_string_array_repeat1, 2, .alias_sequence_id = 24),
  [6471] = {.count = 1, .reusable = true}, SHIFT(4205),
  [6473] = {.count = 1, .reusable = true}, REDUCE(aux_sym_string_array_repeat1, 2),
  [6475] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_array_repeat1, 2), SHIFT_REPEAT(4206),
  [6478] = {.count = 1, .reusable = true}, REDUCE(sym_symbol_array, 4, .alias_sequence_id = 25),
  [6480] = {.count = 1, .reusable = false}, REDUCE(sym_symbol_array, 4, .alias_sequence_id = 25),
  [6482] = {.count = 1, .reusable = true}, REDUCE(sym_symbol_array, 4, .alias_sequence_id = 26),
  [6484] = {.count = 1, .reusable = false}, REDUCE(sym_symbol_array, 4, .alias_sequence_id = 26),
  [6486] = {.count = 1, .reusable = true}, SHIFT(4207),
  [6488] = {.count = 1, .reusable = true}, SHIFT(4208),
  [6490] = {.count = 1, .reusable = true}, REDUCE(sym_symbol_array, 4, .alias_sequence_id = 27),
  [6492] = {.count = 1, .reusable = false}, REDUCE(sym_symbol_array, 4, .alias_sequence_id = 27),
  [6494] = {.count = 1, .reusable = true}, REDUCE(aux_sym_symbol_array_repeat1, 2, .alias_sequence_id = 28),
  [6496] = {.count = 1, .reusable = true}, SHIFT(4209),
  [6498] = {.count = 1, .reusable = true}, REDUCE(aux_sym_symbol_array_repeat1, 2),
  [6500] = {.count = 2, .reusable = true}, REDUCE(aux_sym_symbol_array_repeat1, 2), SHIFT_REPEAT(4210),
  [6503] = {.count = 1, .reusable = true}, SHIFT(4211),
  [6505] = {.count = 1, .reusable = false}, SHIFT(4212),
  [6507] = {.count = 1, .reusable = false}, SHIFT(4213),
  [6509] = {.count = 1, .reusable = false}, SHIFT(4214),
  [6511] = {.count = 1, .reusable = false}, SHIFT(4215),
  [6513] = {.count = 1, .reusable = false}, SHIFT(4216),
  [6515] = {.count = 1, .reusable = true}, SHIFT(4217),
  [6517] = {.count = 1, .reusable = false}, SHIFT(4217),
  [6519] = {.count = 1, .reusable = true}, SHIFT(4218),
  [6521] = {.count = 1, .reusable = false}, SHIFT(1796),
  [6523] = {.count = 1, .reusable = true}, SHIFT(4226),
  [6525] = {.count = 1, .reusable = true}, SHIFT(4232),
  [6527] = {.count = 1, .reusable = true}, SHIFT(4233),
  [6529] = {.count = 1, .reusable = false}, SHIFT(4234),
  [6531] = {.count = 1, .reusable = true}, SHIFT(4235),
  [6533] = {.count = 1, .reusable = false}, SHIFT(4236),
  [6535] = {.count = 1, .reusable = false}, SHIFT(4237),
  [6537] = {.count = 1, .reusable = true}, SHIFT(4238),
  [6539] = {.count = 1, .reusable = true}, SHIFT(4239),
  [6541] = {.count = 1, .reusable = false}, SHIFT(4240),
  [6543] = {.count = 1, .reusable = true}, SHIFT(4240),
  [6545] = {.count = 1, .reusable = true}, SHIFT(4242),
  [6547] = {.count = 1, .reusable = true}, SHIFT(4243),
  [6549] = {.count = 1, .reusable = false}, SHIFT(4242),
  [6551] = {.count = 1, .reusable = true}, SHIFT(4237),
  [6553] = {.count = 1, .reusable = true}, SHIFT(4234),
  [6555] = {.count = 1, .reusable = true}, SHIFT(4244),
  [6557] = {.count = 1, .reusable = true}, SHIFT(4246),
  [6559] = {.count = 1, .reusable = true}, SHIFT(4248),
  [6561] = {.count = 1, .reusable = false}, SHIFT(4248),
  [6563] = {.count = 1, .reusable = true}, SHIFT(4249),
  [6565] = {.count = 1, .reusable = true}, SHIFT(4250),
  [6567] = {.count = 1, .reusable = true}, REDUCE(sym_begin_block, 4),
  [6569] = {.count = 1, .reusable = true}, SHIFT(4253),
  [6571] = {.count = 1, .reusable = true}, SHIFT(4272),
  [6573] = {.count = 1, .reusable = false}, SHIFT(4273),
  [6575] = {.count = 1, .reusable = false}, SHIFT(4274),
  [6577] = {.count = 1, .reusable = false}, SHIFT(4275),
  [6579] = {.count = 1, .reusable = false}, SHIFT(4276),
  [6581] = {.count = 1, .reusable = false}, SHIFT(4277),
  [6583] = {.count = 1, .reusable = true}, SHIFT(4278),
  [6585] = {.count = 1, .reusable = false}, SHIFT(4278),
  [6587] = {.count = 1, .reusable = true}, SHIFT(4279),
  [6589] = {.count = 1, .reusable = false}, SHIFT(4281),
  [6591] = {.count = 1, .reusable = true}, SHIFT(4281),
  [6593] = {.count = 1, .reusable = false}, SHIFT(1838),
  [6595] = {.count = 1, .reusable = true}, SHIFT(4288),
  [6597] = {.count = 1, .reusable = true}, SHIFT(4292),
  [6599] = {.count = 1, .reusable = true}, SHIFT(4293),
  [6601] = {.count = 1, .reusable = false}, SHIFT(4294),
  [6603] = {.count = 1, .reusable = false}, SHIFT(4295),
  [6605] = {.count = 1, .reusable = false}, SHIFT(4296),
  [6607] = {.count = 1, .reusable = false}, SHIFT(4297),
  [6609] = {.count = 1, .reusable = true}, SHIFT(4298),
  [6611] = {.count = 1, .reusable = true}, SHIFT(4299),
  [6613] = {.count = 1, .reusable = false}, SHIFT(4300),
  [6615] = {.count = 1, .reusable = true}, SHIFT(4300),
  [6617] = {.count = 1, .reusable = false}, SHIFT(4302),
  [6619] = {.count = 1, .reusable = false}, SHIFT(4303),
  [6621] = {.count = 1, .reusable = true}, SHIFT(4302),
  [6623] = {.count = 1, .reusable = true}, SHIFT(4297),
  [6625] = {.count = 1, .reusable = false}, SHIFT(4304),
  [6627] = {.count = 1, .reusable = true}, SHIFT(4306),
  [6629] = {.count = 1, .reusable = true}, SHIFT(4308),
  [6631] = {.count = 1, .reusable = false}, SHIFT(4308),
  [6633] = {.count = 1, .reusable = true}, SHIFT(4309),
  [6635] = {.count = 1, .reusable = true}, SHIFT(4310),
  [6637] = {.count = 1, .reusable = true}, SHIFT(4312),
  [6639] = {.count = 1, .reusable = true}, SHIFT(4313),
  [6641] = {.count = 1, .reusable = false}, SHIFT(4314),
  [6643] = {.count = 1, .reusable = true}, SHIFT(4315),
  [6645] = {.count = 1, .reusable = false}, SHIFT(4315),
  [6647] = {.count = 1, .reusable = true}, SHIFT(4316),
  [6649] = {.count = 1, .reusable = true}, SHIFT(4323),
  [6651] = {.count = 1, .reusable = true}, SHIFT(4324),
  [6653] = {.count = 1, .reusable = true}, SHIFT(4325),
  [6655] = {.count = 1, .reusable = true}, SHIFT(4327),
  [6657] = {.count = 1, .reusable = true}, SHIFT(4328),
  [6659] = {.count = 1, .reusable = true}, SHIFT(4329),
  [6661] = {.count = 1, .reusable = true}, SHIFT(4330),
  [6663] = {.count = 1, .reusable = true}, SHIFT(4331),
  [6665] = {.count = 1, .reusable = true}, SHIFT(4333),
  [6667] = {.count = 1, .reusable = true}, SHIFT(4334),
  [6669] = {.count = 1, .reusable = true}, SHIFT(4335),
  [6671] = {.count = 1, .reusable = true}, REDUCE(sym_heredoc_body, 3),
  [6673] = {.count = 2, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1870),
  [6676] = {.count = 1, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [6678] = {.count = 2, .reusable = false}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(532),
  [6681] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3, .alias_sequence_id = 29),
  [6683] = {.count = 1, .reusable = true}, SHIFT(4336),
  [6685] = {.count = 1, .reusable = true}, SHIFT(4337),
  [6687] = {.count = 1, .reusable = false}, SHIFT(4339),
  [6689] = {.count = 1, .reusable = true}, SHIFT(4340),
  [6691] = {.count = 1, .reusable = true}, SHIFT(4341),
  [6693] = {.count = 1, .reusable = false}, SHIFT(4342),
  [6695] = {.count = 1, .reusable = true}, SHIFT(4343),
  [6697] = {.count = 1, .reusable = false}, SHIFT(4343),
  [6699] = {.count = 1, .reusable = true}, SHIFT(4344),
  [6701] = {.count = 1, .reusable = false}, SHIFT(1891),
  [6703] = {.count = 1, .reusable = true}, SHIFT(4351),
  [6705] = {.count = 1, .reusable = true}, SHIFT(4353),
  [6707] = {.count = 1, .reusable = true}, SHIFT(4354),
  [6709] = {.count = 1, .reusable = true}, SHIFT(4355),
  [6711] = {.count = 1, .reusable = false}, SHIFT(4357),
  [6713] = {.count = 1, .reusable = true}, SHIFT(4364),
  [6715] = {.count = 1, .reusable = true}, SHIFT(4365),
  [6717] = {.count = 1, .reusable = false}, SHIFT(4366),
  [6719] = {.count = 1, .reusable = true}, SHIFT(4367),
  [6721] = {.count = 1, .reusable = false}, SHIFT(4368),
  [6723] = {.count = 1, .reusable = false}, SHIFT(4369),
  [6725] = {.count = 1, .reusable = true}, SHIFT(4370),
  [6727] = {.count = 1, .reusable = true}, SHIFT(4371),
  [6729] = {.count = 1, .reusable = false}, SHIFT(4372),
  [6731] = {.count = 1, .reusable = true}, SHIFT(4372),
  [6733] = {.count = 1, .reusable = true}, SHIFT(4374),
  [6735] = {.count = 1, .reusable = true}, SHIFT(4375),
  [6737] = {.count = 1, .reusable = false}, SHIFT(4374),
  [6739] = {.count = 1, .reusable = true}, SHIFT(4369),
  [6741] = {.count = 1, .reusable = true}, SHIFT(4366),
  [6743] = {.count = 1, .reusable = true}, SHIFT(4376),
  [6745] = {.count = 1, .reusable = true}, SHIFT(4377),
  [6747] = {.count = 1, .reusable = true}, SHIFT(4378),
  [6749] = {.count = 1, .reusable = true}, SHIFT(4379),
  [6751] = {.count = 1, .reusable = false}, SHIFT(4381),
  [6753] = {.count = 1, .reusable = true}, SHIFT(4387),
  [6755] = {.count = 1, .reusable = true}, SHIFT(4389),
  [6757] = {.count = 1, .reusable = false}, SHIFT(4389),
  [6759] = {.count = 1, .reusable = true}, SHIFT(4390),
  [6761] = {.count = 1, .reusable = true}, SHIFT(4391),
  [6763] = {.count = 1, .reusable = true}, SHIFT(4405),
  [6765] = {.count = 1, .reusable = true}, SHIFT(4408),
  [6767] = {.count = 1, .reusable = true}, SHIFT(4409),
  [6769] = {.count = 1, .reusable = true}, SHIFT(4410),
  [6771] = {.count = 1, .reusable = false}, SHIFT(4410),
  [6773] = {.count = 1, .reusable = true}, SHIFT(4411),
  [6775] = {.count = 1, .reusable = true}, SHIFT(4414),
  [6777] = {.count = 1, .reusable = false}, SHIFT(4415),
  [6779] = {.count = 1, .reusable = false}, SHIFT(4416),
  [6781] = {.count = 1, .reusable = false}, SHIFT(4417),
  [6783] = {.count = 1, .reusable = false}, SHIFT(4418),
  [6785] = {.count = 1, .reusable = false}, SHIFT(4419),
  [6787] = {.count = 1, .reusable = true}, SHIFT(4420),
  [6789] = {.count = 1, .reusable = false}, SHIFT(4420),
  [6791] = {.count = 1, .reusable = true}, SHIFT(4421),
  [6793] = {.count = 1, .reusable = false}, SHIFT(4423),
  [6795] = {.count = 1, .reusable = true}, SHIFT(4423),
  [6797] = {.count = 1, .reusable = false}, SHIFT(1930),
  [6799] = {.count = 1, .reusable = true}, SHIFT(4430),
  [6801] = {.count = 1, .reusable = true}, SHIFT(4431),
  [6803] = {.count = 1, .reusable = true}, SHIFT(4438),
  [6805] = {.count = 1, .reusable = false}, SHIFT(4435),
  [6807] = {.count = 1, .reusable = true}, SHIFT(4441),
  [6809] = {.count = 1, .reusable = true}, SHIFT(4442),
  [6811] = {.count = 1, .reusable = false}, SHIFT(4443),
  [6813] = {.count = 1, .reusable = false}, SHIFT(4444),
  [6815] = {.count = 1, .reusable = false}, SHIFT(4445),
  [6817] = {.count = 1, .reusable = false}, SHIFT(4446),
  [6819] = {.count = 1, .reusable = true}, SHIFT(4447),
  [6821] = {.count = 1, .reusable = true}, SHIFT(4448),
  [6823] = {.count = 1, .reusable = false}, SHIFT(4449),
  [6825] = {.count = 1, .reusable = true}, SHIFT(4449),
  [6827] = {.count = 1, .reusable = false}, SHIFT(4451),
  [6829] = {.count = 1, .reusable = false}, SHIFT(4452),
  [6831] = {.count = 1, .reusable = true}, SHIFT(4451),
  [6833] = {.count = 1, .reusable = true}, SHIFT(4446),
  [6835] = {.count = 1, .reusable = false}, SHIFT(4453),
  [6837] = {.count = 1, .reusable = true}, SHIFT(4454),
  [6839] = {.count = 1, .reusable = true}, SHIFT(1929),
  [6841] = {.count = 1, .reusable = true}, SHIFT(4457),
  [6843] = {.count = 1, .reusable = true}, SHIFT(4459),
  [6845] = {.count = 1, .reusable = false}, SHIFT(4459),
  [6847] = {.count = 1, .reusable = true}, SHIFT(4460),
  [6849] = {.count = 1, .reusable = true}, SHIFT(4461),
  [6851] = {.count = 1, .reusable = true}, SHIFT(4463),
  [6853] = {.count = 1, .reusable = true}, SHIFT(4468),
  [6855] = {.count = 1, .reusable = true}, SHIFT(4469),
  [6857] = {.count = 1, .reusable = false}, SHIFT(4470),
  [6859] = {.count = 1, .reusable = false}, SHIFT(4471),
  [6861] = {.count = 1, .reusable = true}, SHIFT(4472),
  [6863] = {.count = 1, .reusable = true}, SHIFT(4491),
  [6865] = {.count = 1, .reusable = true}, SHIFT(4490),
  [6867] = {.count = 1, .reusable = true}, SHIFT(576),
  [6869] = {.count = 1, .reusable = true}, SHIFT(4506),
  [6871] = {.count = 1, .reusable = false}, SHIFT(4503),
  [6873] = {.count = 1, .reusable = false}, SHIFT(4507),
  [6875] = {.count = 1, .reusable = false}, SHIFT(4510),
  [6877] = {.count = 1, .reusable = false}, SHIFT(4512),
  [6879] = {.count = 1, .reusable = true}, SHIFT(4514),
  [6881] = {.count = 1, .reusable = true}, SHIFT(4516),
  [6883] = {.count = 1, .reusable = true}, SHIFT(4517),
  [6885] = {.count = 1, .reusable = true}, SHIFT(4518),
  [6887] = {.count = 1, .reusable = true}, SHIFT(4521),
  [6889] = {.count = 1, .reusable = true}, SHIFT(4522),
  [6891] = {.count = 1, .reusable = true}, SHIFT(4524),
  [6893] = {.count = 1, .reusable = true}, SHIFT(4526),
  [6895] = {.count = 1, .reusable = false}, SHIFT(4524),
  [6897] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3),
  [6899] = {.count = 1, .reusable = true}, SHIFT(4528),
  [6901] = {.count = 1, .reusable = true}, SHIFT(4529),
  [6903] = {.count = 1, .reusable = true}, SHIFT(4531),
  [6905] = {.count = 1, .reusable = true}, SHIFT(4534),
  [6907] = {.count = 1, .reusable = true}, SHIFT(4535),
  [6909] = {.count = 1, .reusable = true}, SHIFT(4536),
  [6911] = {.count = 1, .reusable = true}, SHIFT(4537),
  [6913] = {.count = 1, .reusable = true}, SHIFT(4538),
  [6915] = {.count = 1, .reusable = true}, SHIFT(4539),
  [6917] = {.count = 1, .reusable = false}, SHIFT(4540),
  [6919] = {.count = 1, .reusable = true}, SHIFT(4542),
  [6921] = {.count = 1, .reusable = true}, SHIFT(4543),
  [6923] = {.count = 1, .reusable = true}, SHIFT(4545),
  [6925] = {.count = 1, .reusable = false}, SHIFT(4546),
  [6927] = {.count = 1, .reusable = true}, SHIFT(4548),
  [6929] = {.count = 1, .reusable = true}, SHIFT(4549),
  [6931] = {.count = 1, .reusable = true}, SHIFT(4551),
  [6933] = {.count = 1, .reusable = true}, SHIFT(4553),
  [6935] = {.count = 1, .reusable = true}, SHIFT(4554),
  [6937] = {.count = 1, .reusable = true}, SHIFT(4557),
  [6939] = {.count = 1, .reusable = true}, SHIFT(4559),
  [6941] = {.count = 1, .reusable = true}, SHIFT(4562),
  [6943] = {.count = 1, .reusable = true}, SHIFT(4563),
  [6945] = {.count = 1, .reusable = true}, SHIFT(4564),
  [6947] = {.count = 1, .reusable = true}, SHIFT(4567),
  [6949] = {.count = 1, .reusable = true}, SHIFT(4569),
  [6951] = {.count = 1, .reusable = false}, SHIFT(4568),
  [6953] = {.count = 1, .reusable = true}, SHIFT(4570),
  [6955] = {.count = 1, .reusable = true}, SHIFT(4571),
  [6957] = {.count = 1, .reusable = true}, SHIFT(4572),
  [6959] = {.count = 1, .reusable = true}, SHIFT(4573),
  [6961] = {.count = 1, .reusable = true}, SHIFT(4575),
  [6963] = {.count = 1, .reusable = true}, SHIFT(4577),
  [6965] = {.count = 1, .reusable = false}, SHIFT(4575),
  [6967] = {.count = 1, .reusable = true}, SHIFT(4579),
  [6969] = {.count = 1, .reusable = true}, SHIFT(4581),
  [6971] = {.count = 1, .reusable = true}, SHIFT(4582),
  [6973] = {.count = 1, .reusable = false}, SHIFT(4586),
  [6975] = {.count = 1, .reusable = true}, SHIFT(4587),
  [6977] = {.count = 1, .reusable = true}, SHIFT(4589),
  [6979] = {.count = 1, .reusable = true}, SHIFT(4604),
  [6981] = {.count = 1, .reusable = true}, SHIFT(4606),
  [6983] = {.count = 1, .reusable = true}, SHIFT(4605),
  [6985] = {.count = 1, .reusable = true}, SHIFT(651),
  [6987] = {.count = 1, .reusable = true}, SHIFT(4622),
  [6989] = {.count = 1, .reusable = true}, SHIFT(4623),
  [6991] = {.count = 1, .reusable = false}, SHIFT(4624),
  [6993] = {.count = 1, .reusable = true}, SHIFT(4625),
  [6995] = {.count = 1, .reusable = false}, SHIFT(4626),
  [6997] = {.count = 1, .reusable = false}, SHIFT(4627),
  [6999] = {.count = 1, .reusable = true}, SHIFT(4628),
  [7001] = {.count = 1, .reusable = false}, SHIFT(4629),
  [7003] = {.count = 1, .reusable = true}, SHIFT(4629),
  [7005] = {.count = 1, .reusable = true}, SHIFT(4631),
  [7007] = {.count = 1, .reusable = true}, SHIFT(4632),
  [7009] = {.count = 1, .reusable = false}, SHIFT(4631),
  [7011] = {.count = 1, .reusable = true}, SHIFT(4627),
  [7013] = {.count = 1, .reusable = true}, SHIFT(4624),
  [7015] = {.count = 1, .reusable = true}, SHIFT(4633),
  [7017] = {.count = 1, .reusable = true}, SHIFT(4634),
  [7019] = {.count = 1, .reusable = true}, SHIFT(4636),
  [7021] = {.count = 1, .reusable = false}, SHIFT(4636),
  [7023] = {.count = 1, .reusable = true}, SHIFT(4637),
  [7025] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3, .alias_sequence_id = 30),
  [7027] = {.count = 2, .reusable = true}, REDUCE(aux_sym_chained_string_repeat1, 2), SHIFT_REPEAT(455),
  [7030] = {.count = 1, .reusable = true}, REDUCE(sym_hash, 4),
  [7032] = {.count = 1, .reusable = false}, REDUCE(sym_hash, 4),
  [7034] = {.count = 1, .reusable = true}, SHIFT(4640),
  [7036] = {.count = 1, .reusable = true}, SHIFT(4639),
  [7038] = {.count = 1, .reusable = true}, REDUCE(sym__hash_items, 3),
  [7040] = {.count = 1, .reusable = true}, REDUCE(sym_end_block, 4),
  [7042] = {.count = 1, .reusable = true}, SHIFT(4642),
  [7044] = {.count = 1, .reusable = false}, SHIFT(4643),
  [7046] = {.count = 1, .reusable = true}, SHIFT(4644),
  [7048] = {.count = 1, .reusable = false}, SHIFT(4644),
  [7050] = {.count = 1, .reusable = true}, SHIFT(4645),
  [7052] = {.count = 1, .reusable = false}, SHIFT(2158),
  [7054] = {.count = 1, .reusable = true}, SHIFT(4651),
  [7056] = {.count = 1, .reusable = true}, SHIFT(4655),
  [7058] = {.count = 1, .reusable = true}, SHIFT(4656),
  [7060] = {.count = 1, .reusable = false}, SHIFT(4657),
  [7062] = {.count = 1, .reusable = true}, SHIFT(4658),
  [7064] = {.count = 1, .reusable = false}, SHIFT(4659),
  [7066] = {.count = 1, .reusable = false}, SHIFT(4660),
  [7068] = {.count = 1, .reusable = true}, SHIFT(4661),
  [7070] = {.count = 1, .reusable = true}, SHIFT(4662),
  [7072] = {.count = 1, .reusable = false}, SHIFT(4663),
  [7074] = {.count = 1, .reusable = true}, SHIFT(4663),
  [7076] = {.count = 1, .reusable = true}, SHIFT(4665),
  [7078] = {.count = 1, .reusable = true}, SHIFT(4666),
  [7080] = {.count = 1, .reusable = false}, SHIFT(4665),
  [7082] = {.count = 1, .reusable = true}, SHIFT(4660),
  [7084] = {.count = 1, .reusable = true}, SHIFT(4657),
  [7086] = {.count = 1, .reusable = true}, SHIFT(4667),
  [7088] = {.count = 1, .reusable = true}, SHIFT(4669),
  [7090] = {.count = 1, .reusable = true}, SHIFT(4671),
  [7092] = {.count = 1, .reusable = false}, SHIFT(4671),
  [7094] = {.count = 1, .reusable = true}, SHIFT(4672),
  [7096] = {.count = 1, .reusable = true}, SHIFT(4673),
  [7098] = {.count = 1, .reusable = true}, SHIFT(4676),
  [7100] = {.count = 1, .reusable = true}, SHIFT(4687),
  [7102] = {.count = 1, .reusable = false}, SHIFT(4688),
  [7104] = {.count = 1, .reusable = false}, SHIFT(4689),
  [7106] = {.count = 1, .reusable = false}, SHIFT(4690),
  [7108] = {.count = 1, .reusable = false}, SHIFT(4691),
  [7110] = {.count = 1, .reusable = false}, SHIFT(4692),
  [7112] = {.count = 1, .reusable = true}, SHIFT(4693),
  [7114] = {.count = 1, .reusable = false}, SHIFT(4693),
  [7116] = {.count = 1, .reusable = true}, SHIFT(4694),
  [7118] = {.count = 1, .reusable = false}, SHIFT(4696),
  [7120] = {.count = 1, .reusable = true}, SHIFT(4696),
  [7122] = {.count = 1, .reusable = false}, SHIFT(2192),
  [7124] = {.count = 1, .reusable = true}, SHIFT(4703),
  [7126] = {.count = 1, .reusable = true}, SHIFT(4707),
  [7128] = {.count = 1, .reusable = true}, SHIFT(4708),
  [7130] = {.count = 1, .reusable = false}, SHIFT(4709),
  [7132] = {.count = 1, .reusable = false}, SHIFT(4710),
  [7134] = {.count = 1, .reusable = false}, SHIFT(4711),
  [7136] = {.count = 1, .reusable = false}, SHIFT(4712),
  [7138] = {.count = 1, .reusable = true}, SHIFT(4713),
  [7140] = {.count = 1, .reusable = true}, SHIFT(4714),
  [7142] = {.count = 1, .reusable = false}, SHIFT(4715),
  [7144] = {.count = 1, .reusable = true}, SHIFT(4715),
  [7146] = {.count = 1, .reusable = false}, SHIFT(4717),
  [7148] = {.count = 1, .reusable = false}, SHIFT(4718),
  [7150] = {.count = 1, .reusable = true}, SHIFT(4717),
  [7152] = {.count = 1, .reusable = true}, SHIFT(4712),
  [7154] = {.count = 1, .reusable = false}, SHIFT(4719),
  [7156] = {.count = 1, .reusable = true}, SHIFT(4721),
  [7158] = {.count = 1, .reusable = true}, SHIFT(4723),
  [7160] = {.count = 1, .reusable = false}, SHIFT(4723),
  [7162] = {.count = 1, .reusable = true}, SHIFT(4724),
  [7164] = {.count = 1, .reusable = true}, SHIFT(4725),
  [7166] = {.count = 1, .reusable = true}, SHIFT(4727),
  [7168] = {.count = 1, .reusable = true}, SHIFT(4728),
  [7170] = {.count = 1, .reusable = false}, SHIFT(4729),
  [7172] = {.count = 1, .reusable = false}, SHIFT(4730),
  [7174] = {.count = 1, .reusable = false}, SHIFT(4731),
  [7176] = {.count = 1, .reusable = false}, SHIFT(4732),
  [7178] = {.count = 1, .reusable = false}, SHIFT(4733),
  [7180] = {.count = 1, .reusable = true}, SHIFT(4734),
  [7182] = {.count = 1, .reusable = false}, SHIFT(4734),
  [7184] = {.count = 1, .reusable = true}, SHIFT(4735),
  [7186] = {.count = 1, .reusable = true}, REDUCE(sym_singleton_method, 4),
  [7188] = {.count = 1, .reusable = false}, REDUCE(sym_singleton_method, 4),
  [7190] = {.count = 1, .reusable = true}, SHIFT(4743),
  [7192] = {.count = 1, .reusable = true}, REDUCE(sym_method_parameters, 2),
  [7194] = {.count = 1, .reusable = false}, REDUCE(sym_method_parameters, 2),
  [7196] = {.count = 1, .reusable = true}, SHIFT(4744),
  [7198] = {.count = 1, .reusable = true}, SHIFT(4746),
  [7200] = {.count = 1, .reusable = false}, SHIFT(4747),
  [7202] = {.count = 1, .reusable = true}, REDUCE(sym__method_rest, 3),
  [7204] = {.count = 1, .reusable = false}, REDUCE(sym__method_rest, 3),
  [7206] = {.count = 1, .reusable = true}, SHIFT(4752),
  [7208] = {.count = 1, .reusable = true}, SHIFT(4754),
  [7210] = {.count = 1, .reusable = false}, SHIFT(4755),
  [7212] = {.count = 1, .reusable = false}, SHIFT(4756),
  [7214] = {.count = 1, .reusable = false}, SHIFT(4757),
  [7216] = {.count = 1, .reusable = false}, SHIFT(4758),
  [7218] = {.count = 1, .reusable = false}, SHIFT(4759),
  [7220] = {.count = 1, .reusable = true}, SHIFT(4760),
  [7222] = {.count = 1, .reusable = false}, SHIFT(4760),
  [7224] = {.count = 1, .reusable = true}, SHIFT(4761),
  [7226] = {.count = 1, .reusable = true}, SHIFT(4769),
  [7228] = {.count = 1, .reusable = true}, SHIFT(4771),
  [7230] = {.count = 1, .reusable = true}, SHIFT(4772),
  [7232] = {.count = 1, .reusable = true}, SHIFT(4773),
  [7234] = {.count = 1, .reusable = false}, SHIFT(2229),
  [7236] = {.count = 1, .reusable = false}, SHIFT(4775),
  [7238] = {.count = 1, .reusable = true}, SHIFT(4782),
  [7240] = {.count = 1, .reusable = true}, SHIFT(4783),
  [7242] = {.count = 1, .reusable = false}, SHIFT(4784),
  [7244] = {.count = 1, .reusable = true}, SHIFT(4785),
  [7246] = {.count = 1, .reusable = false}, SHIFT(4786),
  [7248] = {.count = 1, .reusable = false}, SHIFT(4787),
  [7250] = {.count = 1, .reusable = true}, SHIFT(4788),
  [7252] = {.count = 1, .reusable = true}, SHIFT(4789),
  [7254] = {.count = 1, .reusable = false}, SHIFT(4790),
  [7256] = {.count = 1, .reusable = true}, SHIFT(4790),
  [7258] = {.count = 1, .reusable = true}, SHIFT(4791),
  [7260] = {.count = 1, .reusable = true}, SHIFT(4792),
  [7262] = {.count = 1, .reusable = true}, SHIFT(4793),
  [7264] = {.count = 1, .reusable = false}, SHIFT(4792),
  [7266] = {.count = 1, .reusable = true}, SHIFT(4787),
  [7268] = {.count = 1, .reusable = true}, SHIFT(4784),
  [7270] = {.count = 1, .reusable = true}, SHIFT(4794),
  [7272] = {.count = 1, .reusable = true}, SHIFT(4796),
  [7274] = {.count = 1, .reusable = true}, SHIFT(4798),
  [7276] = {.count = 1, .reusable = false}, SHIFT(4798),
  [7278] = {.count = 1, .reusable = true}, SHIFT(4799),
  [7280] = {.count = 1, .reusable = true}, SHIFT(4800),
  [7282] = {.count = 1, .reusable = true}, SHIFT(4807),
  [7284] = {.count = 1, .reusable = true}, SHIFT(4808),
  [7286] = {.count = 1, .reusable = false}, SHIFT(4809),
  [7288] = {.count = 1, .reusable = true}, SHIFT(4810),
  [7290] = {.count = 1, .reusable = false}, SHIFT(4811),
  [7292] = {.count = 1, .reusable = false}, SHIFT(4812),
  [7294] = {.count = 1, .reusable = true}, SHIFT(4813),
  [7296] = {.count = 1, .reusable = false}, SHIFT(4814),
  [7298] = {.count = 1, .reusable = true}, SHIFT(4814),
  [7300] = {.count = 1, .reusable = true}, SHIFT(4816),
  [7302] = {.count = 1, .reusable = true}, SHIFT(4817),
  [7304] = {.count = 1, .reusable = false}, SHIFT(4816),
  [7306] = {.count = 1, .reusable = true}, SHIFT(4812),
  [7308] = {.count = 1, .reusable = true}, SHIFT(4809),
  [7310] = {.count = 1, .reusable = true}, SHIFT(4818),
  [7312] = {.count = 1, .reusable = true}, SHIFT(4819),
  [7314] = {.count = 1, .reusable = false}, SHIFT(4819),
  [7316] = {.count = 1, .reusable = true}, SHIFT(4820),
  [7318] = {.count = 1, .reusable = true}, SHIFT(4825),
  [7320] = {.count = 1, .reusable = true}, SHIFT(4829),
  [7322] = {.count = 1, .reusable = true}, SHIFT(4831),
  [7324] = {.count = 1, .reusable = true}, SHIFT(4847),
  [7326] = {.count = 1, .reusable = true}, SHIFT(4851),
  [7328] = {.count = 1, .reusable = true}, SHIFT(4853),
  [7330] = {.count = 1, .reusable = true}, SHIFT(722),
  [7332] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(4864),
  [7335] = {.count = 1, .reusable = true}, SHIFT(4865),
  [7337] = {.count = 1, .reusable = true}, SHIFT(4869),
  [7339] = {.count = 1, .reusable = true}, SHIFT(4870),
  [7341] = {.count = 1, .reusable = false}, SHIFT(4871),
  [7343] = {.count = 1, .reusable = false}, SHIFT(4872),
  [7345] = {.count = 1, .reusable = false}, SHIFT(4873),
  [7347] = {.count = 1, .reusable = false}, SHIFT(4874),
  [7349] = {.count = 1, .reusable = true}, SHIFT(4875),
  [7351] = {.count = 1, .reusable = false}, SHIFT(4876),
  [7353] = {.count = 1, .reusable = true}, SHIFT(4876),
  [7355] = {.count = 1, .reusable = false}, SHIFT(4878),
  [7357] = {.count = 1, .reusable = false}, SHIFT(4879),
  [7359] = {.count = 1, .reusable = true}, SHIFT(4878),
  [7361] = {.count = 1, .reusable = true}, SHIFT(4874),
  [7363] = {.count = 1, .reusable = false}, SHIFT(4880),
  [7365] = {.count = 1, .reusable = true}, SHIFT(4881),
  [7367] = {.count = 1, .reusable = false}, SHIFT(4881),
  [7369] = {.count = 1, .reusable = true}, SHIFT(4882),
  [7371] = {.count = 1, .reusable = true}, SHIFT(765),
  [7373] = {.count = 1, .reusable = true}, SHIFT(4911),
  [7375] = {.count = 1, .reusable = true}, SHIFT(4912),
  [7377] = {.count = 1, .reusable = false}, SHIFT(4913),
  [7379] = {.count = 1, .reusable = true}, SHIFT(4914),
  [7381] = {.count = 1, .reusable = false}, SHIFT(4915),
  [7383] = {.count = 1, .reusable = false}, SHIFT(4916),
  [7385] = {.count = 1, .reusable = true}, SHIFT(4917),
  [7387] = {.count = 1, .reusable = false}, SHIFT(4918),
  [7389] = {.count = 1, .reusable = true}, SHIFT(4918),
  [7391] = {.count = 1, .reusable = true}, SHIFT(4920),
  [7393] = {.count = 1, .reusable = true}, SHIFT(4921),
  [7395] = {.count = 1, .reusable = false}, SHIFT(4920),
  [7397] = {.count = 1, .reusable = true}, SHIFT(4916),
  [7399] = {.count = 1, .reusable = true}, SHIFT(4913),
  [7401] = {.count = 1, .reusable = true}, SHIFT(4922),
  [7403] = {.count = 1, .reusable = true}, SHIFT(4923),
  [7405] = {.count = 1, .reusable = true}, SHIFT(4925),
  [7407] = {.count = 1, .reusable = false}, SHIFT(4925),
  [7409] = {.count = 1, .reusable = true}, SHIFT(4926),
  [7411] = {.count = 1, .reusable = true}, SHIFT(4927),
  [7413] = {.count = 1, .reusable = true}, SHIFT(4928),
  [7415] = {.count = 1, .reusable = true}, SHIFT(4929),
  [7417] = {.count = 1, .reusable = true}, SHIFT(4931),
  [7419] = {.count = 1, .reusable = true}, SHIFT(4932),
  [7421] = {.count = 1, .reusable = true}, SHIFT(4933),
  [7423] = {.count = 1, .reusable = true}, SHIFT(4934),
  [7425] = {.count = 1, .reusable = true}, SHIFT(4935),
  [7427] = {.count = 1, .reusable = true}, SHIFT(4937),
  [7429] = {.count = 1, .reusable = true}, SHIFT(4938),
  [7431] = {.count = 1, .reusable = true}, SHIFT(4939),
  [7433] = {.count = 1, .reusable = true}, SHIFT(4940),
  [7435] = {.count = 1, .reusable = false}, SHIFT(4942),
  [7437] = {.count = 1, .reusable = true}, SHIFT(4943),
  [7439] = {.count = 1, .reusable = true}, SHIFT(4944),
  [7441] = {.count = 1, .reusable = false}, SHIFT(4945),
  [7443] = {.count = 1, .reusable = false}, SHIFT(4946),
  [7445] = {.count = 1, .reusable = true}, SHIFT(4948),
  [7447] = {.count = 1, .reusable = true}, SHIFT(4949),
  [7449] = {.count = 1, .reusable = true}, SHIFT(4950),
  [7451] = {.count = 1, .reusable = false}, SHIFT(4952),
  [7453] = {.count = 1, .reusable = true}, SHIFT(4959),
  [7455] = {.count = 1, .reusable = true}, SHIFT(4960),
  [7457] = {.count = 1, .reusable = false}, SHIFT(4961),
  [7459] = {.count = 1, .reusable = true}, SHIFT(4962),
  [7461] = {.count = 1, .reusable = false}, SHIFT(4963),
  [7463] = {.count = 1, .reusable = false}, SHIFT(4964),
  [7465] = {.count = 1, .reusable = true}, SHIFT(4965),
  [7467] = {.count = 1, .reusable = false}, SHIFT(4966),
  [7469] = {.count = 1, .reusable = true}, SHIFT(4966),
  [7471] = {.count = 1, .reusable = true}, SHIFT(4967),
  [7473] = {.count = 1, .reusable = true}, SHIFT(4968),
  [7475] = {.count = 1, .reusable = true}, SHIFT(4969),
  [7477] = {.count = 1, .reusable = false}, SHIFT(4968),
  [7479] = {.count = 1, .reusable = true}, SHIFT(4964),
  [7481] = {.count = 1, .reusable = true}, SHIFT(4961),
  [7483] = {.count = 1, .reusable = true}, SHIFT(4970),
  [7485] = {.count = 1, .reusable = true}, SHIFT(4971),
  [7487] = {.count = 1, .reusable = true}, SHIFT(4972),
  [7489] = {.count = 1, .reusable = true}, SHIFT(4973),
  [7491] = {.count = 1, .reusable = false}, SHIFT(4975),
  [7493] = {.count = 1, .reusable = true}, SHIFT(4980),
  [7495] = {.count = 1, .reusable = false}, SHIFT(4980),
  [7497] = {.count = 1, .reusable = true}, SHIFT(4981),
  [7499] = {.count = 1, .reusable = true}, SHIFT(4983),
  [7501] = {.count = 1, .reusable = true}, SHIFT(4988),
  [7503] = {.count = 1, .reusable = true}, SHIFT(4987),
  [7505] = {.count = 1, .reusable = true}, SHIFT(4998),
  [7507] = {.count = 1, .reusable = false}, SHIFT(4995),
  [7509] = {.count = 1, .reusable = false}, SHIFT(4999),
  [7511] = {.count = 1, .reusable = false}, SHIFT(5002),
  [7513] = {.count = 1, .reusable = false}, SHIFT(5004),
  [7515] = {.count = 1, .reusable = true}, SHIFT(5006),
  [7517] = {.count = 1, .reusable = true}, SHIFT(5008),
  [7519] = {.count = 1, .reusable = true}, SHIFT(5009),
  [7521] = {.count = 1, .reusable = true}, SHIFT(5010),
  [7523] = {.count = 1, .reusable = true}, SHIFT(5013),
  [7525] = {.count = 1, .reusable = true}, SHIFT(5014),
  [7527] = {.count = 1, .reusable = true}, SHIFT(5016),
  [7529] = {.count = 1, .reusable = true}, SHIFT(5018),
  [7531] = {.count = 1, .reusable = false}, SHIFT(5016),
  [7533] = {.count = 1, .reusable = true}, SHIFT(5020),
  [7535] = {.count = 1, .reusable = true}, SHIFT(5022),
  [7537] = {.count = 1, .reusable = true}, SHIFT(5025),
  [7539] = {.count = 1, .reusable = true}, SHIFT(5026),
  [7541] = {.count = 1, .reusable = true}, SHIFT(5028),
  [7543] = {.count = 1, .reusable = true}, SHIFT(5030),
  [7545] = {.count = 1, .reusable = true}, SHIFT(5032),
  [7547] = {.count = 1, .reusable = true}, SHIFT(5034),
  [7549] = {.count = 1, .reusable = false}, SHIFT(5035),
  [7551] = {.count = 1, .reusable = true}, SHIFT(5037),
  [7553] = {.count = 1, .reusable = false}, SHIFT(5038),
  [7555] = {.count = 1, .reusable = true}, SHIFT(5041),
  [7557] = {.count = 1, .reusable = true}, SHIFT(5044),
  [7559] = {.count = 1, .reusable = false}, SHIFT(5046),
  [7561] = {.count = 1, .reusable = true}, SHIFT(5048),
  [7563] = {.count = 1, .reusable = true}, SHIFT(5050),
  [7565] = {.count = 1, .reusable = false}, SHIFT(5051),
  [7567] = {.count = 1, .reusable = false}, SHIFT(5053),
  [7569] = {.count = 1, .reusable = true}, SHIFT(5055),
  [7571] = {.count = 1, .reusable = true}, SHIFT(5056),
  [7573] = {.count = 1, .reusable = true}, SHIFT(5057),
  [7575] = {.count = 1, .reusable = true}, SHIFT(5058),
  [7577] = {.count = 1, .reusable = false}, SHIFT(5060),
  [7579] = {.count = 1, .reusable = true}, SHIFT(5075),
  [7581] = {.count = 1, .reusable = true}, SHIFT(5081),
  [7583] = {.count = 1, .reusable = false}, SHIFT(5080),
  [7585] = {.count = 1, .reusable = true}, SHIFT(5085),
  [7587] = {.count = 1, .reusable = true}, SHIFT(5086),
  [7589] = {.count = 1, .reusable = true}, SHIFT(5089),
  [7591] = {.count = 1, .reusable = false}, SHIFT(5090),
  [7593] = {.count = 1, .reusable = true}, SHIFT(5093),
  [7595] = {.count = 1, .reusable = true}, SHIFT(5094),
  [7597] = {.count = 1, .reusable = false}, SHIFT(5095),
  [7599] = {.count = 1, .reusable = true}, SHIFT(5096),
  [7601] = {.count = 1, .reusable = false}, SHIFT(5097),
  [7603] = {.count = 1, .reusable = false}, SHIFT(5098),
  [7605] = {.count = 1, .reusable = true}, SHIFT(5099),
  [7607] = {.count = 1, .reusable = false}, SHIFT(5100),
  [7609] = {.count = 1, .reusable = true}, SHIFT(5100),
  [7611] = {.count = 1, .reusable = true}, SHIFT(5101),
  [7613] = {.count = 1, .reusable = true}, SHIFT(5102),
  [7615] = {.count = 1, .reusable = true}, SHIFT(5103),
  [7617] = {.count = 1, .reusable = false}, SHIFT(5102),
  [7619] = {.count = 1, .reusable = true}, SHIFT(5098),
  [7621] = {.count = 1, .reusable = true}, SHIFT(5095),
  [7623] = {.count = 1, .reusable = true}, SHIFT(5104),
  [7625] = {.count = 1, .reusable = true}, SHIFT(5105),
  [7627] = {.count = 1, .reusable = true}, SHIFT(5107),
  [7629] = {.count = 1, .reusable = false}, SHIFT(5107),
  [7631] = {.count = 1, .reusable = true}, SHIFT(5108),
  [7633] = {.count = 1, .reusable = true}, SHIFT(5113),
  [7635] = {.count = 1, .reusable = true}, SHIFT(5117),
  [7637] = {.count = 1, .reusable = true}, SHIFT(5119),
  [7639] = {.count = 2, .reusable = true}, REDUCE(aux_sym_chained_string_repeat1, 2), SHIFT_REPEAT(161),
  [7642] = {.count = 1, .reusable = false}, SHIFT(5142),
  [7644] = {.count = 1, .reusable = true}, REDUCE(sym_superclass, 2),
  [7646] = {.count = 1, .reusable = false}, SHIFT(5143),
  [7648] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4),
  [7650] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4),
  [7652] = {.count = 1, .reusable = true}, SHIFT(5145),
  [7654] = {.count = 1, .reusable = true}, SHIFT(5146),
  [7656] = {.count = 1, .reusable = true}, SHIFT(5147),
  [7658] = {.count = 1, .reusable = false}, SHIFT(5149),
  [7660] = {.count = 1, .reusable = true}, SHIFT(5156),
  [7662] = {.count = 1, .reusable = true}, SHIFT(5157),
  [7664] = {.count = 1, .reusable = false}, SHIFT(5158),
  [7666] = {.count = 1, .reusable = true}, SHIFT(5159),
  [7668] = {.count = 1, .reusable = false}, SHIFT(5160),
  [7670] = {.count = 1, .reusable = false}, SHIFT(5161),
  [7672] = {.count = 1, .reusable = true}, SHIFT(5162),
  [7674] = {.count = 1, .reusable = false}, SHIFT(5163),
  [7676] = {.count = 1, .reusable = true}, SHIFT(5163),
  [7678] = {.count = 1, .reusable = true}, SHIFT(5164),
  [7680] = {.count = 1, .reusable = true}, SHIFT(5165),
  [7682] = {.count = 1, .reusable = true}, SHIFT(5166),
  [7684] = {.count = 1, .reusable = false}, SHIFT(5165),
  [7686] = {.count = 1, .reusable = true}, SHIFT(5161),
  [7688] = {.count = 1, .reusable = true}, SHIFT(5158),
  [7690] = {.count = 1, .reusable = true}, SHIFT(5167),
  [7692] = {.count = 1, .reusable = true}, SHIFT(5168),
  [7694] = {.count = 1, .reusable = false}, SHIFT(5168),
  [7696] = {.count = 1, .reusable = true}, SHIFT(5169),
  [7698] = {.count = 1, .reusable = true}, SHIFT(5174),
  [7700] = {.count = 1, .reusable = true}, SHIFT(5178),
  [7702] = {.count = 1, .reusable = true}, SHIFT(5180),
  [7704] = {.count = 1, .reusable = true}, REDUCE(sym_module, 4),
  [7706] = {.count = 1, .reusable = false}, REDUCE(sym_module, 4),
  [7708] = {.count = 1, .reusable = true}, SHIFT(5226),
  [7710] = {.count = 1, .reusable = true}, SHIFT(5227),
  [7712] = {.count = 1, .reusable = false}, SHIFT(5228),
  [7714] = {.count = 1, .reusable = true}, SHIFT(5229),
  [7716] = {.count = 1, .reusable = false}, SHIFT(5230),
  [7718] = {.count = 1, .reusable = false}, SHIFT(5231),
  [7720] = {.count = 1, .reusable = true}, SHIFT(5232),
  [7722] = {.count = 1, .reusable = false}, SHIFT(5233),
  [7724] = {.count = 1, .reusable = true}, SHIFT(5233),
  [7726] = {.count = 1, .reusable = true}, SHIFT(5234),
  [7728] = {.count = 1, .reusable = true}, SHIFT(5235),
  [7730] = {.count = 1, .reusable = true}, SHIFT(5236),
  [7732] = {.count = 1, .reusable = false}, SHIFT(5235),
  [7734] = {.count = 1, .reusable = true}, SHIFT(5231),
  [7736] = {.count = 1, .reusable = true}, SHIFT(5228),
  [7738] = {.count = 1, .reusable = true}, SHIFT(5237),
  [7740] = {.count = 1, .reusable = true}, SHIFT(5238),
  [7742] = {.count = 1, .reusable = false}, SHIFT(5238),
  [7744] = {.count = 1, .reusable = true}, SHIFT(5239),
  [7746] = {.count = 1, .reusable = true}, SHIFT(5244),
  [7748] = {.count = 1, .reusable = true}, SHIFT(5248),
  [7750] = {.count = 1, .reusable = true}, SHIFT(5250),
  [7752] = {.count = 1, .reusable = true}, SHIFT(5266),
  [7754] = {.count = 1, .reusable = true}, SHIFT(5270),
  [7756] = {.count = 1, .reusable = true}, SHIFT(5272),
  [7758] = {.count = 1, .reusable = true}, REDUCE(sym__argument_list_with_parens, 3, .alias_sequence_id = 16),
  [7760] = {.count = 1, .reusable = false}, REDUCE(sym__argument_list_with_parens, 3, .alias_sequence_id = 16),
  [7762] = {.count = 1, .reusable = true}, SHIFT(5273),
  [7764] = {.count = 1, .reusable = true}, SHIFT(5275),
  [7766] = {.count = 1, .reusable = false}, REDUCE(sym_pair, 3, .alias_sequence_id = 29),
  [7768] = {.count = 1, .reusable = true}, SHIFT(949),
  [7770] = {.count = 1, .reusable = false}, REDUCE(sym_pair, 3),
  [7772] = {.count = 1, .reusable = true}, SHIFT(5288),
  [7774] = {.count = 1, .reusable = false}, REDUCE(sym_range, 3),
  [7776] = {.count = 1, .reusable = true}, SHIFT(5289),
  [7778] = {.count = 1, .reusable = true}, SHIFT(5291),
  [7780] = {.count = 1, .reusable = true}, SHIFT(5294),
  [7782] = {.count = 1, .reusable = true}, SHIFT(5295),
  [7784] = {.count = 1, .reusable = true}, SHIFT(5298),
  [7786] = {.count = 1, .reusable = true}, SHIFT(5300),
  [7788] = {.count = 1, .reusable = true}, SHIFT(5302),
  [7790] = {.count = 1, .reusable = false}, SHIFT(5300),
  [7792] = {.count = 1, .reusable = true}, SHIFT(5306),
  [7794] = {.count = 1, .reusable = true}, SHIFT(5305),
  [7796] = {.count = 1, .reusable = true}, SHIFT(979),
  [7798] = {.count = 1, .reusable = true}, SHIFT(5313),
  [7800] = {.count = 1, .reusable = true}, REDUCE(aux_sym_call_repeat1, 2),
  [7802] = {.count = 2, .reusable = true}, REDUCE(aux_sym_call_repeat1, 2), SHIFT_REPEAT(988),
  [7805] = {.count = 1, .reusable = false}, REDUCE(aux_sym_call_repeat1, 2),
  [7807] = {.count = 1, .reusable = true}, SHIFT(5315),
  [7809] = {.count = 1, .reusable = true}, SHIFT(5314),
  [7811] = {.count = 1, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [7813] = {.count = 1, .reusable = false}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [7815] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3),
  [7817] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3),
  [7819] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(990),
  [7822] = {.count = 1, .reusable = false}, REDUCE(sym__arg_or_splat_arg, 1),
  [7824] = {.count = 1, .reusable = false}, REDUCE(sym_operator_assignment, 3),
  [7826] = {.count = 1, .reusable = false}, REDUCE(sym_pair, 3, .alias_sequence_id = 30),
  [7828] = {.count = 1, .reusable = true}, SHIFT(5324),
  [7830] = {.count = 1, .reusable = true}, SHIFT(5325),
  [7832] = {.count = 1, .reusable = false}, SHIFT(5326),
  [7834] = {.count = 1, .reusable = true}, SHIFT(5327),
  [7836] = {.count = 1, .reusable = false}, SHIFT(5328),
  [7838] = {.count = 1, .reusable = false}, SHIFT(5329),
  [7840] = {.count = 1, .reusable = true}, SHIFT(5330),
  [7842] = {.count = 1, .reusable = false}, SHIFT(5331),
  [7844] = {.count = 1, .reusable = true}, SHIFT(5331),
  [7846] = {.count = 1, .reusable = true}, SHIFT(5333),
  [7848] = {.count = 1, .reusable = true}, SHIFT(5334),
  [7850] = {.count = 1, .reusable = false}, SHIFT(5333),
  [7852] = {.count = 1, .reusable = true}, SHIFT(5329),
  [7854] = {.count = 1, .reusable = true}, SHIFT(5326),
  [7856] = {.count = 1, .reusable = true}, SHIFT(5335),
  [7858] = {.count = 1, .reusable = true}, SHIFT(5336),
  [7860] = {.count = 1, .reusable = false}, SHIFT(5336),
  [7862] = {.count = 1, .reusable = true}, SHIFT(5337),
  [7864] = {.count = 1, .reusable = true}, SHIFT(5342),
  [7866] = {.count = 1, .reusable = true}, SHIFT(5346),
  [7868] = {.count = 1, .reusable = true}, SHIFT(5348),
  [7870] = {.count = 1, .reusable = true}, SHIFT(5364),
  [7872] = {.count = 1, .reusable = true}, SHIFT(5368),
  [7874] = {.count = 1, .reusable = true}, SHIFT(5370),
  [7876] = {.count = 1, .reusable = true}, SHIFT(1001),
  [7878] = {.count = 1, .reusable = true}, SHIFT(5381),
  [7880] = {.count = 1, .reusable = true}, REDUCE(sym_if, 4),
  [7882] = {.count = 1, .reusable = false}, REDUCE(sym_if, 4),
  [7884] = {.count = 1, .reusable = true}, SHIFT(5383),
  [7886] = {.count = 1, .reusable = true}, SHIFT(5384),
  [7888] = {.count = 1, .reusable = true}, SHIFT(5385),
  [7890] = {.count = 1, .reusable = true}, SHIFT(5386),
  [7892] = {.count = 1, .reusable = false}, SHIFT(5388),
  [7894] = {.count = 1, .reusable = false}, SHIFT(5389),
  [7896] = {.count = 1, .reusable = false}, SHIFT(5390),
  [7898] = {.count = 1, .reusable = false}, SHIFT(5391),
  [7900] = {.count = 1, .reusable = true}, SHIFT(5393),
  [7902] = {.count = 1, .reusable = false}, SHIFT(5393),
  [7904] = {.count = 1, .reusable = false}, SHIFT(5394),
  [7906] = {.count = 1, .reusable = true}, SHIFT(5394),
  [7908] = {.count = 1, .reusable = false}, SHIFT(5395),
  [7910] = {.count = 1, .reusable = true}, SHIFT(5397),
  [7912] = {.count = 1, .reusable = false}, SHIFT(5397),
  [7914] = {.count = 1, .reusable = true}, SHIFT(5404),
  [7916] = {.count = 1, .reusable = true}, SHIFT(5408),
  [7918] = {.count = 1, .reusable = true}, SHIFT(2795),
  [7920] = {.count = 1, .reusable = true}, SHIFT(2796),
  [7922] = {.count = 1, .reusable = true}, SHIFT(5410),
  [7924] = {.count = 1, .reusable = true}, SHIFT(5412),
  [7926] = {.count = 1, .reusable = true}, SHIFT(5413),
  [7928] = {.count = 1, .reusable = true}, SHIFT(5414),
  [7930] = {.count = 1, .reusable = true}, SHIFT(5415),
  [7932] = {.count = 1, .reusable = true}, SHIFT(5416),
  [7934] = {.count = 1, .reusable = true}, SHIFT(5417),
  [7936] = {.count = 1, .reusable = true}, SHIFT(5418),
  [7938] = {.count = 1, .reusable = false}, SHIFT(5419),
  [7940] = {.count = 1, .reusable = true}, SHIFT(5420),
  [7942] = {.count = 1, .reusable = false}, SHIFT(5421),
  [7944] = {.count = 1, .reusable = false}, SHIFT(5422),
  [7946] = {.count = 1, .reusable = true}, SHIFT(5423),
  [7948] = {.count = 1, .reusable = false}, SHIFT(5424),
  [7950] = {.count = 1, .reusable = true}, SHIFT(5424),
  [7952] = {.count = 1, .reusable = true}, SHIFT(5425),
  [7954] = {.count = 1, .reusable = true}, SHIFT(5426),
  [7956] = {.count = 1, .reusable = true}, SHIFT(5427),
  [7958] = {.count = 1, .reusable = false}, SHIFT(5426),
  [7960] = {.count = 1, .reusable = true}, SHIFT(5422),
  [7962] = {.count = 1, .reusable = true}, SHIFT(5419),
  [7964] = {.count = 1, .reusable = true}, SHIFT(5428),
  [7966] = {.count = 1, .reusable = true}, SHIFT(5429),
  [7968] = {.count = 1, .reusable = true}, SHIFT(5430),
  [7970] = {.count = 1, .reusable = true}, SHIFT(5431),
  [7972] = {.count = 1, .reusable = true}, SHIFT(5432),
  [7974] = {.count = 1, .reusable = false}, SHIFT(5434),
  [7976] = {.count = 1, .reusable = false}, SHIFT(5435),
  [7978] = {.count = 1, .reusable = false}, SHIFT(5436),
  [7980] = {.count = 1, .reusable = false}, SHIFT(5437),
  [7982] = {.count = 1, .reusable = true}, SHIFT(5439),
  [7984] = {.count = 1, .reusable = false}, SHIFT(5439),
  [7986] = {.count = 1, .reusable = false}, SHIFT(5440),
  [7988] = {.count = 1, .reusable = true}, SHIFT(5440),
  [7990] = {.count = 1, .reusable = false}, SHIFT(5441),
  [7992] = {.count = 1, .reusable = true}, SHIFT(5443),
  [7994] = {.count = 1, .reusable = false}, SHIFT(5443),
  [7996] = {.count = 1, .reusable = true}, SHIFT(5449),
  [7998] = {.count = 1, .reusable = false}, SHIFT(5449),
  [8000] = {.count = 1, .reusable = true}, SHIFT(5450),
  [8002] = {.count = 1, .reusable = false}, SHIFT(5408),
  [8004] = {.count = 1, .reusable = true}, REDUCE(sym__then, 2),
  [8006] = {.count = 1, .reusable = false}, REDUCE(sym__then, 2),
  [8008] = {.count = 1, .reusable = true}, SHIFT(5453),
  [8010] = {.count = 1, .reusable = true}, SHIFT(5457),
  [8012] = {.count = 1, .reusable = true}, SHIFT(5458),
  [8014] = {.count = 1, .reusable = false}, SHIFT(5459),
  [8016] = {.count = 1, .reusable = false}, SHIFT(5460),
  [8018] = {.count = 1, .reusable = false}, SHIFT(5461),
  [8020] = {.count = 1, .reusable = false}, SHIFT(5462),
  [8022] = {.count = 1, .reusable = true}, SHIFT(5463),
  [8024] = {.count = 1, .reusable = false}, SHIFT(5464),
  [8026] = {.count = 1, .reusable = true}, SHIFT(5464),
  [8028] = {.count = 1, .reusable = false}, SHIFT(5466),
  [8030] = {.count = 1, .reusable = false}, SHIFT(5467),
  [8032] = {.count = 1, .reusable = true}, SHIFT(5466),
  [8034] = {.count = 1, .reusable = true}, SHIFT(5462),
  [8036] = {.count = 1, .reusable = false}, SHIFT(5468),
  [8038] = {.count = 1, .reusable = true}, SHIFT(5469),
  [8040] = {.count = 1, .reusable = false}, SHIFT(5469),
  [8042] = {.count = 1, .reusable = true}, SHIFT(5470),
  [8044] = {.count = 1, .reusable = true}, SHIFT(1044),
  [8046] = {.count = 1, .reusable = true}, SHIFT(5499),
  [8048] = {.count = 1, .reusable = true}, SHIFT(5500),
  [8050] = {.count = 1, .reusable = false}, SHIFT(5501),
  [8052] = {.count = 1, .reusable = true}, SHIFT(5502),
  [8054] = {.count = 1, .reusable = false}, SHIFT(5503),
  [8056] = {.count = 1, .reusable = false}, SHIFT(5504),
  [8058] = {.count = 1, .reusable = true}, SHIFT(5505),
  [8060] = {.count = 1, .reusable = false}, SHIFT(5506),
  [8062] = {.count = 1, .reusable = true}, SHIFT(5506),
  [8064] = {.count = 1, .reusable = true}, SHIFT(5508),
  [8066] = {.count = 1, .reusable = true}, SHIFT(5509),
  [8068] = {.count = 1, .reusable = false}, SHIFT(5508),
  [8070] = {.count = 1, .reusable = true}, SHIFT(5504),
  [8072] = {.count = 1, .reusable = true}, SHIFT(5501),
  [8074] = {.count = 1, .reusable = true}, SHIFT(5510),
  [8076] = {.count = 1, .reusable = true}, SHIFT(5511),
  [8078] = {.count = 1, .reusable = true}, SHIFT(5513),
  [8080] = {.count = 1, .reusable = false}, SHIFT(5513),
  [8082] = {.count = 1, .reusable = true}, SHIFT(5514),
  [8084] = {.count = 1, .reusable = true}, REDUCE(sym_unless, 4),
  [8086] = {.count = 1, .reusable = false}, REDUCE(sym_unless, 4),
  [8088] = {.count = 1, .reusable = true}, SHIFT(5516),
  [8090] = {.count = 1, .reusable = true}, SHIFT(5517),
  [8092] = {.count = 1, .reusable = true}, SHIFT(5518),
  [8094] = {.count = 1, .reusable = true}, SHIFT(5519),
  [8096] = {.count = 1, .reusable = false}, SHIFT(5521),
  [8098] = {.count = 1, .reusable = false}, SHIFT(5522),
  [8100] = {.count = 1, .reusable = false}, SHIFT(5523),
  [8102] = {.count = 1, .reusable = false}, SHIFT(5524),
  [8104] = {.count = 1, .reusable = true}, SHIFT(5526),
  [8106] = {.count = 1, .reusable = false}, SHIFT(5526),
  [8108] = {.count = 1, .reusable = false}, SHIFT(5527),
  [8110] = {.count = 1, .reusable = true}, SHIFT(5527),
  [8112] = {.count = 1, .reusable = false}, SHIFT(5528),
  [8114] = {.count = 1, .reusable = true}, SHIFT(5530),
  [8116] = {.count = 1, .reusable = false}, SHIFT(5530),
  [8118] = {.count = 1, .reusable = true}, SHIFT(5539),
  [8120] = {.count = 1, .reusable = true}, SHIFT(5541),
  [8122] = {.count = 1, .reusable = true}, SHIFT(5543),
  [8124] = {.count = 1, .reusable = true}, SHIFT(5544),
  [8126] = {.count = 1, .reusable = true}, SHIFT(5545),
  [8128] = {.count = 1, .reusable = true}, SHIFT(5546),
  [8130] = {.count = 1, .reusable = true}, SHIFT(5547),
  [8132] = {.count = 1, .reusable = true}, SHIFT(5548),
  [8134] = {.count = 1, .reusable = true}, SHIFT(5549),
  [8136] = {.count = 1, .reusable = false}, SHIFT(5550),
  [8138] = {.count = 1, .reusable = true}, SHIFT(5551),
  [8140] = {.count = 1, .reusable = false}, SHIFT(5552),
  [8142] = {.count = 1, .reusable = false}, SHIFT(5553),
  [8144] = {.count = 1, .reusable = true}, SHIFT(5554),
  [8146] = {.count = 1, .reusable = false}, SHIFT(5555),
  [8148] = {.count = 1, .reusable = true}, SHIFT(5555),
  [8150] = {.count = 1, .reusable = true}, SHIFT(5556),
  [8152] = {.count = 1, .reusable = true}, SHIFT(5557),
  [8154] = {.count = 1, .reusable = true}, SHIFT(5558),
  [8156] = {.count = 1, .reusable = false}, SHIFT(5557),
  [8158] = {.count = 1, .reusable = true}, SHIFT(5553),
  [8160] = {.count = 1, .reusable = true}, SHIFT(5550),
  [8162] = {.count = 1, .reusable = true}, SHIFT(5559),
  [8164] = {.count = 1, .reusable = true}, SHIFT(5560),
  [8166] = {.count = 1, .reusable = true}, SHIFT(5561),
  [8168] = {.count = 1, .reusable = true}, SHIFT(5562),
  [8170] = {.count = 1, .reusable = true}, SHIFT(5563),
  [8172] = {.count = 1, .reusable = false}, SHIFT(5565),
  [8174] = {.count = 1, .reusable = false}, SHIFT(5566),
  [8176] = {.count = 1, .reusable = false}, SHIFT(5567),
  [8178] = {.count = 1, .reusable = false}, SHIFT(5568),
  [8180] = {.count = 1, .reusable = true}, SHIFT(5570),
  [8182] = {.count = 1, .reusable = false}, SHIFT(5570),
  [8184] = {.count = 1, .reusable = false}, SHIFT(5571),
  [8186] = {.count = 1, .reusable = true}, SHIFT(5571),
  [8188] = {.count = 1, .reusable = false}, SHIFT(5572),
  [8190] = {.count = 1, .reusable = true}, SHIFT(5574),
  [8192] = {.count = 1, .reusable = false}, SHIFT(5574),
  [8194] = {.count = 1, .reusable = true}, SHIFT(5580),
  [8196] = {.count = 1, .reusable = false}, SHIFT(5580),
  [8198] = {.count = 1, .reusable = true}, SHIFT(5581),
  [8200] = {.count = 1, .reusable = true}, SHIFT(5588),
  [8202] = {.count = 1, .reusable = true}, SHIFT(5589),
  [8204] = {.count = 1, .reusable = false}, SHIFT(5590),
  [8206] = {.count = 1, .reusable = true}, SHIFT(5591),
  [8208] = {.count = 1, .reusable = false}, SHIFT(5592),
  [8210] = {.count = 1, .reusable = false}, SHIFT(5593),
  [8212] = {.count = 1, .reusable = true}, SHIFT(5594),
  [8214] = {.count = 1, .reusable = false}, SHIFT(5595),
  [8216] = {.count = 1, .reusable = true}, SHIFT(5595),
  [8218] = {.count = 1, .reusable = true}, SHIFT(5597),
  [8220] = {.count = 1, .reusable = true}, SHIFT(5598),
  [8222] = {.count = 1, .reusable = false}, SHIFT(5597),
  [8224] = {.count = 1, .reusable = true}, SHIFT(5593),
  [8226] = {.count = 1, .reusable = true}, SHIFT(5590),
  [8228] = {.count = 1, .reusable = true}, SHIFT(5599),
  [8230] = {.count = 1, .reusable = true}, SHIFT(5600),
  [8232] = {.count = 1, .reusable = false}, SHIFT(5600),
  [8234] = {.count = 1, .reusable = true}, SHIFT(5601),
  [8236] = {.count = 1, .reusable = true}, SHIFT(5606),
  [8238] = {.count = 1, .reusable = true}, SHIFT(5610),
  [8240] = {.count = 1, .reusable = true}, SHIFT(5612),
  [8242] = {.count = 1, .reusable = true}, SHIFT(5628),
  [8244] = {.count = 1, .reusable = true}, SHIFT(5629),
  [8246] = {.count = 1, .reusable = true}, SHIFT(5633),
  [8248] = {.count = 1, .reusable = true}, SHIFT(5635),
  [8250] = {.count = 1, .reusable = true}, SHIFT(1070),
  [8252] = {.count = 1, .reusable = true}, SHIFT(5645),
  [8254] = {.count = 1, .reusable = true}, REDUCE(sym_while, 4),
  [8256] = {.count = 1, .reusable = false}, REDUCE(sym_while, 4),
  [8258] = {.count = 1, .reusable = true}, SHIFT(5646),
  [8260] = {.count = 1, .reusable = true}, SHIFT(5650),
  [8262] = {.count = 1, .reusable = true}, SHIFT(5651),
  [8264] = {.count = 1, .reusable = false}, SHIFT(5652),
  [8266] = {.count = 1, .reusable = false}, SHIFT(5653),
  [8268] = {.count = 1, .reusable = false}, SHIFT(5654),
  [8270] = {.count = 1, .reusable = false}, SHIFT(5655),
  [8272] = {.count = 1, .reusable = true}, SHIFT(5656),
  [8274] = {.count = 1, .reusable = false}, SHIFT(5657),
  [8276] = {.count = 1, .reusable = true}, SHIFT(5657),
  [8278] = {.count = 1, .reusable = false}, SHIFT(5659),
  [8280] = {.count = 1, .reusable = false}, SHIFT(5660),
  [8282] = {.count = 1, .reusable = true}, SHIFT(5659),
  [8284] = {.count = 1, .reusable = true}, SHIFT(5655),
  [8286] = {.count = 1, .reusable = false}, SHIFT(5661),
  [8288] = {.count = 1, .reusable = true}, SHIFT(5662),
  [8290] = {.count = 1, .reusable = false}, SHIFT(5662),
  [8292] = {.count = 1, .reusable = true}, SHIFT(5663),
  [8294] = {.count = 1, .reusable = true}, SHIFT(1106),
  [8296] = {.count = 1, .reusable = true}, SHIFT(5692),
  [8298] = {.count = 1, .reusable = true}, SHIFT(5693),
  [8300] = {.count = 1, .reusable = false}, SHIFT(5694),
  [8302] = {.count = 1, .reusable = true}, SHIFT(5695),
  [8304] = {.count = 1, .reusable = false}, SHIFT(5696),
  [8306] = {.count = 1, .reusable = false}, SHIFT(5697),
  [8308] = {.count = 1, .reusable = true}, SHIFT(5698),
  [8310] = {.count = 1, .reusable = false}, SHIFT(5699),
  [8312] = {.count = 1, .reusable = true}, SHIFT(5699),
  [8314] = {.count = 1, .reusable = true}, SHIFT(5701),
  [8316] = {.count = 1, .reusable = true}, SHIFT(5702),
  [8318] = {.count = 1, .reusable = false}, SHIFT(5701),
  [8320] = {.count = 1, .reusable = true}, SHIFT(5697),
  [8322] = {.count = 1, .reusable = true}, SHIFT(5694),
  [8324] = {.count = 1, .reusable = true}, SHIFT(5703),
  [8326] = {.count = 1, .reusable = true}, SHIFT(5704),
  [8328] = {.count = 1, .reusable = true}, SHIFT(5706),
  [8330] = {.count = 1, .reusable = false}, SHIFT(5706),
  [8332] = {.count = 1, .reusable = true}, SHIFT(5707),
  [8334] = {.count = 1, .reusable = true}, REDUCE(sym_until, 4),
  [8336] = {.count = 1, .reusable = false}, REDUCE(sym_until, 4),
  [8338] = {.count = 1, .reusable = true}, SHIFT(5708),
  [8340] = {.count = 1, .reusable = true}, SHIFT(5710),
  [8342] = {.count = 1, .reusable = true}, SHIFT(5711),
  [8344] = {.count = 1, .reusable = true}, SHIFT(5712),
  [8346] = {.count = 1, .reusable = false}, SHIFT(5714),
  [8348] = {.count = 1, .reusable = true}, SHIFT(5721),
  [8350] = {.count = 1, .reusable = true}, SHIFT(5722),
  [8352] = {.count = 1, .reusable = false}, SHIFT(5723),
  [8354] = {.count = 1, .reusable = true}, SHIFT(5724),
  [8356] = {.count = 1, .reusable = false}, SHIFT(5725),
  [8358] = {.count = 1, .reusable = false}, SHIFT(5726),
  [8360] = {.count = 1, .reusable = true}, SHIFT(5727),
  [8362] = {.count = 1, .reusable = false}, SHIFT(5728),
  [8364] = {.count = 1, .reusable = true}, SHIFT(5728),
  [8366] = {.count = 1, .reusable = true}, SHIFT(5729),
  [8368] = {.count = 1, .reusable = true}, SHIFT(5730),
  [8370] = {.count = 1, .reusable = true}, SHIFT(5731),
  [8372] = {.count = 1, .reusable = false}, SHIFT(5730),
  [8374] = {.count = 1, .reusable = true}, SHIFT(5726),
  [8376] = {.count = 1, .reusable = true}, SHIFT(5723),
  [8378] = {.count = 1, .reusable = true}, SHIFT(5732),
  [8380] = {.count = 1, .reusable = true}, SHIFT(5733),
  [8382] = {.count = 1, .reusable = true}, SHIFT(5734),
  [8384] = {.count = 1, .reusable = true}, SHIFT(5735),
  [8386] = {.count = 1, .reusable = false}, SHIFT(5737),
  [8388] = {.count = 1, .reusable = true}, SHIFT(5742),
  [8390] = {.count = 1, .reusable = false}, SHIFT(5742),
  [8392] = {.count = 1, .reusable = true}, SHIFT(5743),
  [8394] = {.count = 1, .reusable = true}, SHIFT(5748),
  [8396] = {.count = 1, .reusable = true}, SHIFT(5752),
  [8398] = {.count = 1, .reusable = true}, SHIFT(5754),
  [8400] = {.count = 1, .reusable = false}, SHIFT(3072),
  [8402] = {.count = 1, .reusable = true}, SHIFT(5772),
  [8404] = {.count = 1, .reusable = true}, SHIFT(5776),
  [8406] = {.count = 1, .reusable = true}, SHIFT(5777),
  [8408] = {.count = 1, .reusable = false}, SHIFT(5778),
  [8410] = {.count = 1, .reusable = false}, SHIFT(5779),
  [8412] = {.count = 1, .reusable = false}, SHIFT(5780),
  [8414] = {.count = 1, .reusable = false}, SHIFT(5781),
  [8416] = {.count = 1, .reusable = true}, SHIFT(5783),
  [8418] = {.count = 1, .reusable = false}, SHIFT(5784),
  [8420] = {.count = 1, .reusable = true}, SHIFT(5784),
  [8422] = {.count = 1, .reusable = false}, SHIFT(5786),
  [8424] = {.count = 1, .reusable = false}, SHIFT(5787),
  [8426] = {.count = 1, .reusable = true}, SHIFT(5786),
  [8428] = {.count = 1, .reusable = true}, SHIFT(5781),
  [8430] = {.count = 1, .reusable = false}, SHIFT(5788),
  [8432] = {.count = 1, .reusable = true}, SHIFT(5790),
  [8434] = {.count = 1, .reusable = true}, SHIFT(5792),
  [8436] = {.count = 1, .reusable = false}, SHIFT(5792),
  [8438] = {.count = 1, .reusable = true}, SHIFT(5793),
  [8440] = {.count = 1, .reusable = true}, SHIFT(5794),
  [8442] = {.count = 1, .reusable = true}, REDUCE(sym_in, 2),
  [8444] = {.count = 1, .reusable = false}, SHIFT(5805),
  [8446] = {.count = 1, .reusable = true}, SHIFT(5812),
  [8448] = {.count = 1, .reusable = true}, SHIFT(5813),
  [8450] = {.count = 1, .reusable = false}, SHIFT(5814),
  [8452] = {.count = 1, .reusable = true}, SHIFT(5815),
  [8454] = {.count = 1, .reusable = false}, SHIFT(5816),
  [8456] = {.count = 1, .reusable = false}, SHIFT(5817),
  [8458] = {.count = 1, .reusable = true}, SHIFT(5818),
  [8460] = {.count = 1, .reusable = false}, SHIFT(5819),
  [8462] = {.count = 1, .reusable = true}, SHIFT(5819),
  [8464] = {.count = 1, .reusable = true}, SHIFT(5821),
  [8466] = {.count = 1, .reusable = true}, SHIFT(5822),
  [8468] = {.count = 1, .reusable = false}, SHIFT(5821),
  [8470] = {.count = 1, .reusable = true}, SHIFT(5817),
  [8472] = {.count = 1, .reusable = true}, SHIFT(5814),
  [8474] = {.count = 1, .reusable = true}, SHIFT(5823),
  [8476] = {.count = 1, .reusable = true}, SHIFT(5824),
  [8478] = {.count = 1, .reusable = false}, SHIFT(5824),
  [8480] = {.count = 1, .reusable = true}, SHIFT(5825),
  [8482] = {.count = 1, .reusable = true}, SHIFT(5830),
  [8484] = {.count = 1, .reusable = true}, SHIFT(5834),
  [8486] = {.count = 1, .reusable = true}, SHIFT(5836),
  [8488] = {.count = 1, .reusable = true}, SHIFT(1155),
  [8490] = {.count = 1, .reusable = true}, SHIFT(5859),
  [8492] = {.count = 1, .reusable = true}, SHIFT(5860),
  [8494] = {.count = 1, .reusable = true}, SHIFT(5866),
  [8496] = {.count = 1, .reusable = true}, SHIFT(5867),
  [8498] = {.count = 1, .reusable = false}, SHIFT(5868),
  [8500] = {.count = 1, .reusable = true}, SHIFT(5869),
  [8502] = {.count = 1, .reusable = false}, SHIFT(5870),
  [8504] = {.count = 1, .reusable = false}, SHIFT(5871),
  [8506] = {.count = 1, .reusable = true}, SHIFT(5872),
  [8508] = {.count = 1, .reusable = false}, SHIFT(5873),
  [8510] = {.count = 1, .reusable = true}, SHIFT(5873),
  [8512] = {.count = 1, .reusable = true}, SHIFT(5875),
  [8514] = {.count = 1, .reusable = true}, SHIFT(5876),
  [8516] = {.count = 1, .reusable = false}, SHIFT(5875),
  [8518] = {.count = 1, .reusable = true}, SHIFT(5871),
  [8520] = {.count = 1, .reusable = true}, SHIFT(5868),
  [8522] = {.count = 1, .reusable = true}, SHIFT(5877),
  [8524] = {.count = 1, .reusable = true}, SHIFT(5878),
  [8526] = {.count = 1, .reusable = true}, SHIFT(5880),
  [8528] = {.count = 1, .reusable = false}, SHIFT(5880),
  [8530] = {.count = 1, .reusable = true}, SHIFT(5881),
  [8532] = {.count = 1, .reusable = true}, SHIFT(5884),
  [8534] = {.count = 1, .reusable = true}, SHIFT(5885),
  [8536] = {.count = 1, .reusable = true}, SHIFT(5886),
  [8538] = {.count = 1, .reusable = false}, SHIFT(5888),
  [8540] = {.count = 1, .reusable = true}, SHIFT(5895),
  [8542] = {.count = 1, .reusable = true}, SHIFT(5896),
  [8544] = {.count = 1, .reusable = true}, REDUCE(sym_pattern, 1),
  [8546] = {.count = 1, .reusable = true}, SHIFT(5898),
  [8548] = {.count = 1, .reusable = true}, SHIFT(5899),
  [8550] = {.count = 1, .reusable = false}, SHIFT(5900),
  [8552] = {.count = 1, .reusable = true}, SHIFT(5901),
  [8554] = {.count = 1, .reusable = false}, SHIFT(5902),
  [8556] = {.count = 1, .reusable = false}, SHIFT(5903),
  [8558] = {.count = 1, .reusable = true}, SHIFT(5904),
  [8560] = {.count = 1, .reusable = false}, SHIFT(5905),
  [8562] = {.count = 1, .reusable = true}, SHIFT(5905),
  [8564] = {.count = 1, .reusable = true}, SHIFT(5906),
  [8566] = {.count = 1, .reusable = true}, SHIFT(5907),
  [8568] = {.count = 1, .reusable = true}, SHIFT(5908),
  [8570] = {.count = 1, .reusable = false}, SHIFT(5907),
  [8572] = {.count = 1, .reusable = true}, SHIFT(5903),
  [8574] = {.count = 1, .reusable = true}, SHIFT(5900),
  [8576] = {.count = 1, .reusable = true}, SHIFT(5909),
  [8578] = {.count = 1, .reusable = true}, SHIFT(5910),
  [8580] = {.count = 1, .reusable = true}, SHIFT(5911),
  [8582] = {.count = 1, .reusable = true}, SHIFT(5912),
  [8584] = {.count = 1, .reusable = false}, SHIFT(5914),
  [8586] = {.count = 1, .reusable = true}, SHIFT(5919),
  [8588] = {.count = 1, .reusable = false}, SHIFT(5919),
  [8590] = {.count = 1, .reusable = true}, SHIFT(5920),
  [8592] = {.count = 1, .reusable = true}, REDUCE(sym_case, 4),
  [8594] = {.count = 1, .reusable = false}, REDUCE(sym_case, 4),
  [8596] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(3181),
  [8599] = {.count = 1, .reusable = true}, REDUCE(aux_sym_case_repeat1, 2),
  [8601] = {.count = 1, .reusable = false}, REDUCE(sym_heredoc_body, 3),
  [8603] = {.count = 1, .reusable = true}, SHIFT(5927),
  [8605] = {.count = 1, .reusable = true}, SHIFT(5928),
  [8607] = {.count = 1, .reusable = false}, SHIFT(5929),
  [8609] = {.count = 1, .reusable = true}, SHIFT(5930),
  [8611] = {.count = 1, .reusable = false}, SHIFT(5931),
  [8613] = {.count = 1, .reusable = false}, SHIFT(5932),
  [8615] = {.count = 1, .reusable = true}, SHIFT(5933),
  [8617] = {.count = 1, .reusable = false}, SHIFT(5934),
  [8619] = {.count = 1, .reusable = true}, SHIFT(5934),
  [8621] = {.count = 1, .reusable = true}, SHIFT(5936),
  [8623] = {.count = 1, .reusable = true}, SHIFT(5937),
  [8625] = {.count = 1, .reusable = false}, SHIFT(5936),
  [8627] = {.count = 1, .reusable = true}, SHIFT(5932),
  [8629] = {.count = 1, .reusable = true}, SHIFT(5929),
  [8631] = {.count = 1, .reusable = true}, SHIFT(5938),
  [8633] = {.count = 1, .reusable = true}, SHIFT(5939),
  [8635] = {.count = 1, .reusable = false}, SHIFT(5939),
  [8637] = {.count = 1, .reusable = true}, SHIFT(5940),
  [8639] = {.count = 1, .reusable = true}, SHIFT(5945),
  [8641] = {.count = 1, .reusable = true}, SHIFT(5949),
  [8643] = {.count = 1, .reusable = true}, SHIFT(5951),
  [8645] = {.count = 1, .reusable = true}, SHIFT(5967),
  [8647] = {.count = 1, .reusable = true}, SHIFT(5971),
  [8649] = {.count = 1, .reusable = true}, SHIFT(5973),
  [8651] = {.count = 1, .reusable = true}, SHIFT(1199),
  [8653] = {.count = 1, .reusable = false}, SHIFT(3247),
  [8655] = {.count = 1, .reusable = true}, SHIFT(5986),
  [8657] = {.count = 1, .reusable = true}, SHIFT(5990),
  [8659] = {.count = 1, .reusable = true}, SHIFT(5991),
  [8661] = {.count = 1, .reusable = false}, SHIFT(5992),
  [8663] = {.count = 1, .reusable = true}, SHIFT(5993),
  [8665] = {.count = 1, .reusable = false}, SHIFT(5994),
  [8667] = {.count = 1, .reusable = false}, SHIFT(5995),
  [8669] = {.count = 1, .reusable = true}, SHIFT(5997),
  [8671] = {.count = 1, .reusable = false}, SHIFT(5998),
  [8673] = {.count = 1, .reusable = true}, SHIFT(5998),
  [8675] = {.count = 1, .reusable = true}, SHIFT(6000),
  [8677] = {.count = 1, .reusable = true}, SHIFT(6001),
  [8679] = {.count = 1, .reusable = false}, SHIFT(6000),
  [8681] = {.count = 1, .reusable = true}, SHIFT(5995),
  [8683] = {.count = 1, .reusable = true}, SHIFT(5992),
  [8685] = {.count = 1, .reusable = true}, SHIFT(6002),
  [8687] = {.count = 1, .reusable = true}, SHIFT(6004),
  [8689] = {.count = 1, .reusable = true}, SHIFT(6006),
  [8691] = {.count = 1, .reusable = false}, SHIFT(6006),
  [8693] = {.count = 1, .reusable = true}, SHIFT(6007),
  [8695] = {.count = 1, .reusable = true}, SHIFT(6008),
  [8697] = {.count = 1, .reusable = true}, SHIFT(6009),
  [8699] = {.count = 1, .reusable = true}, SHIFT(6010),
  [8701] = {.count = 1, .reusable = true}, SHIFT(6011),
  [8703] = {.count = 1, .reusable = true}, SHIFT(6012),
  [8705] = {.count = 1, .reusable = true}, SHIFT(6013),
  [8707] = {.count = 1, .reusable = true}, SHIFT(6014),
  [8709] = {.count = 1, .reusable = true}, SHIFT(6015),
  [8711] = {.count = 1, .reusable = true}, SHIFT(6016),
  [8713] = {.count = 1, .reusable = true}, SHIFT(6017),
  [8715] = {.count = 1, .reusable = false}, SHIFT(6018),
  [8717] = {.count = 1, .reusable = false}, SHIFT(6019),
  [8719] = {.count = 1, .reusable = false}, SHIFT(6020),
  [8721] = {.count = 1, .reusable = false}, SHIFT(6021),
  [8723] = {.count = 1, .reusable = false}, SHIFT(6022),
  [8725] = {.count = 1, .reusable = false}, SHIFT(6023),
  [8727] = {.count = 1, .reusable = true}, SHIFT(6024),
  [8729] = {.count = 1, .reusable = false}, SHIFT(6024),
  [8731] = {.count = 1, .reusable = true}, SHIFT(6025),
  [8733] = {.count = 1, .reusable = false}, SHIFT(6026),
  [8735] = {.count = 1, .reusable = true}, REDUCE(sym_exception_variable, 2),
  [8737] = {.count = 1, .reusable = true}, REDUCE(sym_rescue, 3),
  [8739] = {.count = 1, .reusable = false}, REDUCE(sym_rescue, 3),
  [8741] = {.count = 1, .reusable = true}, SHIFT(6037),
  [8743] = {.count = 1, .reusable = false}, SHIFT(3290),
  [8745] = {.count = 1, .reusable = true}, SHIFT(6054),
  [8747] = {.count = 1, .reusable = true}, SHIFT(6058),
  [8749] = {.count = 1, .reusable = true}, SHIFT(6059),
  [8751] = {.count = 1, .reusable = false}, SHIFT(6060),
  [8753] = {.count = 1, .reusable = false}, SHIFT(6061),
  [8755] = {.count = 1, .reusable = false}, SHIFT(6062),
  [8757] = {.count = 1, .reusable = false}, SHIFT(6063),
  [8759] = {.count = 1, .reusable = true}, SHIFT(6065),
  [8761] = {.count = 1, .reusable = false}, SHIFT(6066),
  [8763] = {.count = 1, .reusable = true}, SHIFT(6066),
  [8765] = {.count = 1, .reusable = false}, SHIFT(6068),
  [8767] = {.count = 1, .reusable = false}, SHIFT(6069),
  [8769] = {.count = 1, .reusable = true}, SHIFT(6068),
  [8771] = {.count = 1, .reusable = true}, SHIFT(6063),
  [8773] = {.count = 1, .reusable = false}, SHIFT(6070),
  [8775] = {.count = 1, .reusable = true}, SHIFT(6072),
  [8777] = {.count = 1, .reusable = true}, SHIFT(6074),
  [8779] = {.count = 1, .reusable = false}, SHIFT(6074),
  [8781] = {.count = 1, .reusable = true}, SHIFT(6075),
  [8783] = {.count = 1, .reusable = true}, SHIFT(6076),
  [8785] = {.count = 1, .reusable = true}, REDUCE(sym_exceptions, 2),
  [8787] = {.count = 1, .reusable = true}, SHIFT(6080),
  [8789] = {.count = 1, .reusable = true}, SHIFT(6085),
  [8791] = {.count = 1, .reusable = false}, SHIFT(6086),
  [8793] = {.count = 1, .reusable = false}, SHIFT(6087),
  [8795] = {.count = 1, .reusable = false}, SHIFT(6088),
  [8797] = {.count = 1, .reusable = false}, SHIFT(6089),
  [8799] = {.count = 1, .reusable = false}, SHIFT(6090),
  [8801] = {.count = 1, .reusable = true}, SHIFT(6091),
  [8803] = {.count = 1, .reusable = false}, SHIFT(6091),
  [8805] = {.count = 1, .reusable = true}, SHIFT(6092),
  [8807] = {.count = 1, .reusable = false}, SHIFT(3316),
  [8809] = {.count = 1, .reusable = true}, SHIFT(6100),
  [8811] = {.count = 1, .reusable = true}, SHIFT(6102),
  [8813] = {.count = 1, .reusable = true}, SHIFT(6103),
  [8815] = {.count = 1, .reusable = true}, SHIFT(6104),
  [8817] = {.count = 1, .reusable = false}, SHIFT(6106),
  [8819] = {.count = 1, .reusable = true}, SHIFT(6113),
  [8821] = {.count = 1, .reusable = true}, SHIFT(6114),
  [8823] = {.count = 1, .reusable = false}, SHIFT(6115),
  [8825] = {.count = 1, .reusable = true}, SHIFT(6116),
  [8827] = {.count = 1, .reusable = false}, SHIFT(6117),
  [8829] = {.count = 1, .reusable = false}, SHIFT(6118),
  [8831] = {.count = 1, .reusable = true}, SHIFT(6119),
  [8833] = {.count = 1, .reusable = true}, SHIFT(6120),
  [8835] = {.count = 1, .reusable = false}, SHIFT(6121),
  [8837] = {.count = 1, .reusable = true}, SHIFT(6121),
  [8839] = {.count = 1, .reusable = true}, SHIFT(6123),
  [8841] = {.count = 1, .reusable = true}, SHIFT(6124),
  [8843] = {.count = 1, .reusable = false}, SHIFT(6123),
  [8845] = {.count = 1, .reusable = true}, SHIFT(6118),
  [8847] = {.count = 1, .reusable = true}, SHIFT(6115),
  [8849] = {.count = 1, .reusable = true}, SHIFT(6125),
  [8851] = {.count = 1, .reusable = true}, SHIFT(6126),
  [8853] = {.count = 1, .reusable = true}, SHIFT(6127),
  [8855] = {.count = 1, .reusable = true}, SHIFT(6128),
  [8857] = {.count = 1, .reusable = false}, SHIFT(6130),
  [8859] = {.count = 1, .reusable = true}, SHIFT(6136),
  [8861] = {.count = 1, .reusable = true}, SHIFT(6138),
  [8863] = {.count = 1, .reusable = false}, SHIFT(6138),
  [8865] = {.count = 1, .reusable = true}, SHIFT(6139),
  [8867] = {.count = 1, .reusable = true}, SHIFT(6140),
  [8869] = {.count = 1, .reusable = true}, SHIFT(6143),
  [8871] = {.count = 1, .reusable = true}, SHIFT(6162),
  [8873] = {.count = 1, .reusable = false}, SHIFT(6163),
  [8875] = {.count = 1, .reusable = false}, SHIFT(6164),
  [8877] = {.count = 1, .reusable = false}, SHIFT(6165),
  [8879] = {.count = 1, .reusable = false}, SHIFT(6166),
  [8881] = {.count = 1, .reusable = false}, SHIFT(6167),
  [8883] = {.count = 1, .reusable = true}, SHIFT(6168),
  [8885] = {.count = 1, .reusable = false}, SHIFT(6168),
  [8887] = {.count = 1, .reusable = true}, SHIFT(6169),
  [8889] = {.count = 1, .reusable = false}, SHIFT(6171),
  [8891] = {.count = 1, .reusable = true}, SHIFT(6171),
  [8893] = {.count = 1, .reusable = false}, SHIFT(3358),
  [8895] = {.count = 1, .reusable = true}, SHIFT(6178),
  [8897] = {.count = 1, .reusable = true}, SHIFT(6182),
  [8899] = {.count = 1, .reusable = true}, SHIFT(6183),
  [8901] = {.count = 1, .reusable = false}, SHIFT(6184),
  [8903] = {.count = 1, .reusable = false}, SHIFT(6185),
  [8905] = {.count = 1, .reusable = false}, SHIFT(6186),
  [8907] = {.count = 1, .reusable = false}, SHIFT(6187),
  [8909] = {.count = 1, .reusable = true}, SHIFT(6188),
  [8911] = {.count = 1, .reusable = true}, SHIFT(6189),
  [8913] = {.count = 1, .reusable = false}, SHIFT(6190),
  [8915] = {.count = 1, .reusable = true}, SHIFT(6190),
  [8917] = {.count = 1, .reusable = false}, SHIFT(6192),
  [8919] = {.count = 1, .reusable = false}, SHIFT(6193),
  [8921] = {.count = 1, .reusable = true}, SHIFT(6192),
  [8923] = {.count = 1, .reusable = true}, SHIFT(6187),
  [8925] = {.count = 1, .reusable = false}, SHIFT(6194),
  [8927] = {.count = 1, .reusable = true}, SHIFT(6196),
  [8929] = {.count = 1, .reusable = true}, SHIFT(6198),
  [8931] = {.count = 1, .reusable = false}, SHIFT(6198),
  [8933] = {.count = 1, .reusable = true}, SHIFT(6199),
  [8935] = {.count = 1, .reusable = true}, SHIFT(6200),
  [8937] = {.count = 1, .reusable = true}, SHIFT(6202),
  [8939] = {.count = 1, .reusable = true}, SHIFT(6203),
  [8941] = {.count = 1, .reusable = false}, SHIFT(6204),
  [8943] = {.count = 1, .reusable = true}, SHIFT(6205),
  [8945] = {.count = 1, .reusable = false}, SHIFT(6205),
  [8947] = {.count = 1, .reusable = true}, SHIFT(6206),
  [8949] = {.count = 1, .reusable = true}, REDUCE(sym_else, 3),
  [8951] = {.count = 1, .reusable = true}, SHIFT(6213),
  [8953] = {.count = 1, .reusable = false}, SHIFT(6214),
  [8955] = {.count = 1, .reusable = false}, SHIFT(6215),
  [8957] = {.count = 1, .reusable = false}, SHIFT(6216),
  [8959] = {.count = 1, .reusable = false}, SHIFT(6217),
  [8961] = {.count = 1, .reusable = false}, SHIFT(6218),
  [8963] = {.count = 1, .reusable = true}, SHIFT(6219),
  [8965] = {.count = 1, .reusable = false}, SHIFT(6219),
  [8967] = {.count = 1, .reusable = true}, SHIFT(6220),
  [8969] = {.count = 1, .reusable = false}, SHIFT(3383),
  [8971] = {.count = 1, .reusable = true}, SHIFT(6228),
  [8973] = {.count = 1, .reusable = true}, SHIFT(6230),
  [8975] = {.count = 1, .reusable = true}, SHIFT(6231),
  [8977] = {.count = 1, .reusable = true}, SHIFT(6232),
  [8979] = {.count = 1, .reusable = false}, SHIFT(6234),
  [8981] = {.count = 1, .reusable = true}, SHIFT(6241),
  [8983] = {.count = 1, .reusable = true}, SHIFT(6242),
  [8985] = {.count = 1, .reusable = false}, SHIFT(6243),
  [8987] = {.count = 1, .reusable = true}, SHIFT(6244),
  [8989] = {.count = 1, .reusable = false}, SHIFT(6245),
  [8991] = {.count = 1, .reusable = false}, SHIFT(6246),
  [8993] = {.count = 1, .reusable = true}, SHIFT(6247),
  [8995] = {.count = 1, .reusable = true}, SHIFT(6248),
  [8997] = {.count = 1, .reusable = false}, SHIFT(6249),
  [8999] = {.count = 1, .reusable = true}, SHIFT(6249),
  [9001] = {.count = 1, .reusable = true}, SHIFT(6251),
  [9003] = {.count = 1, .reusable = true}, SHIFT(6252),
  [9005] = {.count = 1, .reusable = false}, SHIFT(6251),
  [9007] = {.count = 1, .reusable = true}, SHIFT(6246),
  [9009] = {.count = 1, .reusable = true}, SHIFT(6243),
  [9011] = {.count = 1, .reusable = true}, SHIFT(6253),
  [9013] = {.count = 1, .reusable = true}, SHIFT(6254),
  [9015] = {.count = 1, .reusable = true}, SHIFT(6255),
  [9017] = {.count = 1, .reusable = true}, SHIFT(6256),
  [9019] = {.count = 1, .reusable = false}, SHIFT(6258),
  [9021] = {.count = 1, .reusable = true}, SHIFT(6264),
  [9023] = {.count = 1, .reusable = true}, SHIFT(6266),
  [9025] = {.count = 1, .reusable = false}, SHIFT(6266),
  [9027] = {.count = 1, .reusable = true}, SHIFT(6267),
  [9029] = {.count = 1, .reusable = true}, SHIFT(6268),
  [9031] = {.count = 1, .reusable = true}, SHIFT(6271),
  [9033] = {.count = 1, .reusable = true}, SHIFT(6290),
  [9035] = {.count = 1, .reusable = false}, SHIFT(6291),
  [9037] = {.count = 1, .reusable = false}, SHIFT(6292),
  [9039] = {.count = 1, .reusable = false}, SHIFT(6293),
  [9041] = {.count = 1, .reusable = false}, SHIFT(6294),
  [9043] = {.count = 1, .reusable = false}, SHIFT(6295),
  [9045] = {.count = 1, .reusable = true}, SHIFT(6296),
  [9047] = {.count = 1, .reusable = false}, SHIFT(6296),
  [9049] = {.count = 1, .reusable = true}, SHIFT(6297),
  [9051] = {.count = 1, .reusable = false}, SHIFT(6299),
  [9053] = {.count = 1, .reusable = true}, SHIFT(6299),
  [9055] = {.count = 1, .reusable = false}, SHIFT(3425),
  [9057] = {.count = 1, .reusable = true}, SHIFT(6306),
  [9059] = {.count = 1, .reusable = true}, SHIFT(6310),
  [9061] = {.count = 1, .reusable = true}, SHIFT(6311),
  [9063] = {.count = 1, .reusable = false}, SHIFT(6312),
  [9065] = {.count = 1, .reusable = false}, SHIFT(6313),
  [9067] = {.count = 1, .reusable = false}, SHIFT(6314),
  [9069] = {.count = 1, .reusable = false}, SHIFT(6315),
  [9071] = {.count = 1, .reusable = true}, SHIFT(6316),
  [9073] = {.count = 1, .reusable = true}, SHIFT(6317),
  [9075] = {.count = 1, .reusable = false}, SHIFT(6318),
  [9077] = {.count = 1, .reusable = true}, SHIFT(6318),
  [9079] = {.count = 1, .reusable = false}, SHIFT(6320),
  [9081] = {.count = 1, .reusable = false}, SHIFT(6321),
  [9083] = {.count = 1, .reusable = true}, SHIFT(6320),
  [9085] = {.count = 1, .reusable = true}, SHIFT(6315),
  [9087] = {.count = 1, .reusable = false}, SHIFT(6322),
  [9089] = {.count = 1, .reusable = true}, SHIFT(6324),
  [9091] = {.count = 1, .reusable = true}, SHIFT(6326),
  [9093] = {.count = 1, .reusable = false}, SHIFT(6326),
  [9095] = {.count = 1, .reusable = true}, SHIFT(6327),
  [9097] = {.count = 1, .reusable = true}, SHIFT(6328),
  [9099] = {.count = 1, .reusable = true}, SHIFT(6330),
  [9101] = {.count = 1, .reusable = true}, SHIFT(6331),
  [9103] = {.count = 1, .reusable = false}, SHIFT(6332),
  [9105] = {.count = 1, .reusable = true}, SHIFT(6333),
  [9107] = {.count = 1, .reusable = false}, SHIFT(6333),
  [9109] = {.count = 1, .reusable = true}, SHIFT(6334),
  [9111] = {.count = 1, .reusable = true}, REDUCE(sym__body_statement, 3),
  [9113] = {.count = 1, .reusable = false}, REDUCE(sym__body_statement, 3),
  [9115] = {.count = 1, .reusable = true}, SHIFT(6342),
  [9117] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(6344),
  [9120] = {.count = 1, .reusable = true}, SHIFT(6345),
  [9122] = {.count = 1, .reusable = true}, SHIFT(6349),
  [9124] = {.count = 1, .reusable = true}, SHIFT(6350),
  [9126] = {.count = 1, .reusable = false}, SHIFT(6351),
  [9128] = {.count = 1, .reusable = false}, SHIFT(6352),
  [9130] = {.count = 1, .reusable = false}, SHIFT(6353),
  [9132] = {.count = 1, .reusable = false}, SHIFT(6354),
  [9134] = {.count = 1, .reusable = true}, SHIFT(6355),
  [9136] = {.count = 1, .reusable = false}, SHIFT(6356),
  [9138] = {.count = 1, .reusable = true}, SHIFT(6356),
  [9140] = {.count = 1, .reusable = false}, SHIFT(6358),
  [9142] = {.count = 1, .reusable = false}, SHIFT(6359),
  [9144] = {.count = 1, .reusable = true}, SHIFT(6358),
  [9146] = {.count = 1, .reusable = true}, SHIFT(6354),
  [9148] = {.count = 1, .reusable = false}, SHIFT(6360),
  [9150] = {.count = 1, .reusable = true}, SHIFT(6361),
  [9152] = {.count = 1, .reusable = false}, SHIFT(6361),
  [9154] = {.count = 1, .reusable = true}, SHIFT(6362),
  [9156] = {.count = 1, .reusable = true}, SHIFT(1300),
  [9158] = {.count = 1, .reusable = true}, SHIFT(6391),
  [9160] = {.count = 1, .reusable = true}, SHIFT(6392),
  [9162] = {.count = 1, .reusable = false}, SHIFT(6393),
  [9164] = {.count = 1, .reusable = true}, SHIFT(6394),
  [9166] = {.count = 1, .reusable = false}, SHIFT(6395),
  [9168] = {.count = 1, .reusable = false}, SHIFT(6396),
  [9170] = {.count = 1, .reusable = true}, SHIFT(6397),
  [9172] = {.count = 1, .reusable = false}, SHIFT(6398),
  [9174] = {.count = 1, .reusable = true}, SHIFT(6398),
  [9176] = {.count = 1, .reusable = true}, SHIFT(6400),
  [9178] = {.count = 1, .reusable = true}, SHIFT(6401),
  [9180] = {.count = 1, .reusable = false}, SHIFT(6400),
  [9182] = {.count = 1, .reusable = true}, SHIFT(6396),
  [9184] = {.count = 1, .reusable = true}, SHIFT(6393),
  [9186] = {.count = 1, .reusable = true}, SHIFT(6402),
  [9188] = {.count = 1, .reusable = true}, SHIFT(6403),
  [9190] = {.count = 1, .reusable = true}, SHIFT(6405),
  [9192] = {.count = 1, .reusable = false}, SHIFT(6405),
  [9194] = {.count = 1, .reusable = true}, SHIFT(6406),
  [9196] = {.count = 1, .reusable = true}, REDUCE(aux_sym_undef_repeat1, 2),
  [9198] = {.count = 2, .reusable = true}, REDUCE(aux_sym_undef_repeat1, 2), SHIFT_REPEAT(1320),
  [9201] = {.count = 1, .reusable = true}, SHIFT(6407),
  [9203] = {.count = 1, .reusable = true}, SHIFT(6408),
  [9205] = {.count = 1, .reusable = true}, SHIFT(6409),
  [9207] = {.count = 1, .reusable = true}, SHIFT(6411),
  [9209] = {.count = 1, .reusable = true}, SHIFT(6412),
  [9211] = {.count = 1, .reusable = true}, SHIFT(6413),
  [9213] = {.count = 1, .reusable = true}, SHIFT(6414),
  [9215] = {.count = 1, .reusable = true}, SHIFT(6415),
  [9217] = {.count = 1, .reusable = true}, SHIFT(6417),
  [9219] = {.count = 1, .reusable = true}, SHIFT(6418),
  [9221] = {.count = 1, .reusable = true}, SHIFT(6419),
  [9223] = {.count = 1, .reusable = false}, SHIFT(6420),
  [9225] = {.count = 1, .reusable = true}, SHIFT(6421),
  [9227] = {.count = 1, .reusable = false}, SHIFT(6421),
  [9229] = {.count = 1, .reusable = true}, SHIFT(6422),
  [9231] = {.count = 1, .reusable = true}, SHIFT(6427),
  [9233] = {.count = 1, .reusable = true}, SHIFT(6429),
  [9235] = {.count = 1, .reusable = true}, SHIFT(6431),
  [9237] = {.count = 1, .reusable = true}, SHIFT(6433),
  [9239] = {.count = 1, .reusable = true}, SHIFT(6446),
  [9241] = {.count = 1, .reusable = false}, SHIFT(6447),
  [9243] = {.count = 1, .reusable = false}, SHIFT(6448),
  [9245] = {.count = 1, .reusable = false}, SHIFT(6449),
  [9247] = {.count = 1, .reusable = false}, SHIFT(6450),
  [9249] = {.count = 1, .reusable = false}, SHIFT(6451),
  [9251] = {.count = 1, .reusable = true}, SHIFT(6452),
  [9253] = {.count = 1, .reusable = false}, SHIFT(6452),
  [9255] = {.count = 1, .reusable = true}, SHIFT(6453),
  [9257] = {.count = 1, .reusable = false}, SHIFT(6455),
  [9259] = {.count = 1, .reusable = true}, SHIFT(6455),
  [9261] = {.count = 1, .reusable = true}, SHIFT(6460),
  [9263] = {.count = 1, .reusable = true}, SHIFT(6462),
  [9265] = {.count = 1, .reusable = true}, SHIFT(6464),
  [9267] = {.count = 1, .reusable = true}, SHIFT(6466),
  [9269] = {.count = 1, .reusable = true}, SHIFT(6467),
  [9271] = {.count = 1, .reusable = true}, SHIFT(6472),
  [9273] = {.count = 1, .reusable = true}, SHIFT(6473),
  [9275] = {.count = 1, .reusable = false}, SHIFT(6475),
  [9277] = {.count = 1, .reusable = true}, SHIFT(6476),
  [9279] = {.count = 1, .reusable = true}, SHIFT(6477),
  [9281] = {.count = 1, .reusable = false}, SHIFT(6478),
  [9283] = {.count = 1, .reusable = false}, SHIFT(6479),
  [9285] = {.count = 1, .reusable = true}, SHIFT(1377),
  [9287] = {.count = 1, .reusable = true}, SHIFT(6505),
  [9289] = {.count = 1, .reusable = false}, SHIFT(6502),
  [9291] = {.count = 1, .reusable = false}, SHIFT(6506),
  [9293] = {.count = 1, .reusable = false}, SHIFT(6509),
  [9295] = {.count = 1, .reusable = false}, SHIFT(6511),
  [9297] = {.count = 1, .reusable = true}, SHIFT(6513),
  [9299] = {.count = 1, .reusable = true}, SHIFT(6515),
  [9301] = {.count = 1, .reusable = true}, SHIFT(6516),
  [9303] = {.count = 1, .reusable = true}, SHIFT(6517),
  [9305] = {.count = 1, .reusable = true}, SHIFT(6520),
  [9307] = {.count = 1, .reusable = true}, SHIFT(6521),
  [9309] = {.count = 1, .reusable = true}, SHIFT(6523),
  [9311] = {.count = 1, .reusable = true}, SHIFT(6525),
  [9313] = {.count = 1, .reusable = false}, SHIFT(6523),
  [9315] = {.count = 1, .reusable = true}, SHIFT(6527),
  [9317] = {.count = 1, .reusable = true}, SHIFT(6528),
  [9319] = {.count = 1, .reusable = true}, SHIFT(6530),
  [9321] = {.count = 1, .reusable = true}, SHIFT(6533),
  [9323] = {.count = 1, .reusable = true}, SHIFT(6535),
  [9325] = {.count = 1, .reusable = true}, SHIFT(6537),
  [9327] = {.count = 1, .reusable = true}, SHIFT(6539),
  [9329] = {.count = 1, .reusable = false}, SHIFT(6537),
  [9331] = {.count = 1, .reusable = true}, SHIFT(1437),
  [9333] = {.count = 1, .reusable = true}, REDUCE(sym_array, 4),
  [9335] = {.count = 1, .reusable = false}, REDUCE(sym_array, 4),
  [9337] = {.count = 1, .reusable = true}, SHIFT(6564),
  [9339] = {.count = 1, .reusable = true}, SHIFT(6563),
  [9341] = {.count = 1, .reusable = true}, REDUCE(sym__argument_list_with_trailing_comma, 3),
  [9343] = {.count = 2, .reusable = true}, REDUCE(aux_sym_chained_string_repeat1, 2), SHIFT_REPEAT(547),
  [9346] = {.count = 1, .reusable = true}, SHIFT(6569),
  [9348] = {.count = 1, .reusable = true}, SHIFT(6570),
  [9350] = {.count = 1, .reusable = true}, REDUCE(sym_block_parameters, 2),
  [9352] = {.count = 1, .reusable = false}, REDUCE(sym_block_parameters, 2),
  [9354] = {.count = 1, .reusable = true}, SHIFT(6571),
  [9356] = {.count = 1, .reusable = true}, SHIFT(6572),
  [9358] = {.count = 1, .reusable = true}, SHIFT(6573),
  [9360] = {.count = 1, .reusable = true}, SHIFT(6574),
  [9362] = {.count = 1, .reusable = true}, REDUCE(sym_block, 3),
  [9364] = {.count = 1, .reusable = false}, REDUCE(sym_block, 3),
  [9366] = {.count = 1, .reusable = true}, SHIFT(6576),
  [9368] = {.count = 1, .reusable = true}, SHIFT(6577),
  [9370] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_parameters, 3),
  [9372] = {.count = 1, .reusable = true}, SHIFT(6582),
  [9374] = {.count = 1, .reusable = true}, SHIFT(6584),
  [9376] = {.count = 1, .reusable = true}, SHIFT(6590),
  [9378] = {.count = 1, .reusable = false}, SHIFT(6587),
  [9380] = {.count = 1, .reusable = true}, SHIFT(3712),
  [9382] = {.count = 1, .reusable = true}, SHIFT(6592),
  [9384] = {.count = 1, .reusable = true}, SHIFT(6593),
  [9386] = {.count = 1, .reusable = true}, SHIFT(6594),
  [9388] = {.count = 1, .reusable = true}, SHIFT(6595),
  [9390] = {.count = 1, .reusable = true}, REDUCE(sym_do_block, 3),
  [9392] = {.count = 1, .reusable = false}, REDUCE(sym_do_block, 3),
  [9394] = {.count = 1, .reusable = true}, SHIFT(6597),
  [9396] = {.count = 1, .reusable = false}, SHIFT(6597),
  [9398] = {.count = 1, .reusable = true}, SHIFT(6599),
  [9400] = {.count = 1, .reusable = true}, SHIFT(6603),
  [9402] = {.count = 1, .reusable = true}, SHIFT(6604),
  [9404] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_parameter, 3),
  [9406] = {.count = 1, .reusable = false}, SHIFT(6605),
  [9408] = {.count = 1, .reusable = true}, SHIFT(6606),
  [9410] = {.count = 1, .reusable = false}, SHIFT(6607),
  [9412] = {.count = 1, .reusable = false}, SHIFT(6608),
  [9414] = {.count = 1, .reusable = true}, SHIFT(6609),
  [9416] = {.count = 1, .reusable = false}, SHIFT(6610),
  [9418] = {.count = 1, .reusable = true}, SHIFT(6610),
  [9420] = {.count = 1, .reusable = true}, SHIFT(6611),
  [9422] = {.count = 1, .reusable = true}, SHIFT(6612),
  [9424] = {.count = 1, .reusable = true}, SHIFT(6613),
  [9426] = {.count = 1, .reusable = false}, SHIFT(6612),
  [9428] = {.count = 1, .reusable = true}, SHIFT(6608),
  [9430] = {.count = 1, .reusable = true}, SHIFT(6605),
  [9432] = {.count = 1, .reusable = true}, SHIFT(6614),
  [9434] = {.count = 1, .reusable = true}, SHIFT(6615),
  [9436] = {.count = 1, .reusable = true}, SHIFT(6617),
  [9438] = {.count = 1, .reusable = false}, SHIFT(6617),
  [9440] = {.count = 1, .reusable = true}, SHIFT(6618),
  [9442] = {.count = 1, .reusable = true}, REDUCE(sym_optional_parameter, 3),
  [9444] = {.count = 1, .reusable = true}, REDUCE(aux_sym_lambda_parameters_repeat1, 2),
  [9446] = {.count = 2, .reusable = true}, REDUCE(aux_sym_lambda_parameters_repeat1, 2), SHIFT_REPEAT(1483),
  [9449] = {.count = 1, .reusable = true}, REDUCE(sym_program, 4),
  [9451] = {.count = 1, .reusable = true}, SHIFT(6620),
  [9453] = {.count = 1, .reusable = false}, SHIFT(6621),
  [9455] = {.count = 1, .reusable = false}, SHIFT(6622),
  [9457] = {.count = 1, .reusable = false}, SHIFT(6623),
  [9459] = {.count = 1, .reusable = false}, SHIFT(6624),
  [9461] = {.count = 1, .reusable = false}, SHIFT(6625),
  [9463] = {.count = 1, .reusable = true}, SHIFT(6626),
  [9465] = {.count = 1, .reusable = false}, SHIFT(6626),
  [9467] = {.count = 1, .reusable = true}, SHIFT(6627),
  [9469] = {.count = 1, .reusable = false}, SHIFT(6629),
  [9471] = {.count = 1, .reusable = true}, SHIFT(6629),
  [9473] = {.count = 1, .reusable = false}, SHIFT(3751),
  [9475] = {.count = 1, .reusable = true}, SHIFT(6636),
  [9477] = {.count = 1, .reusable = true}, SHIFT(6638),
  [9479] = {.count = 1, .reusable = true}, SHIFT(6639),
  [9481] = {.count = 1, .reusable = true}, SHIFT(6640),
  [9483] = {.count = 1, .reusable = false}, SHIFT(6642),
  [9485] = {.count = 1, .reusable = true}, SHIFT(6649),
  [9487] = {.count = 1, .reusable = true}, SHIFT(6650),
  [9489] = {.count = 1, .reusable = false}, SHIFT(6651),
  [9491] = {.count = 1, .reusable = true}, SHIFT(6652),
  [9493] = {.count = 1, .reusable = false}, SHIFT(6653),
  [9495] = {.count = 1, .reusable = false}, SHIFT(6654),
  [9497] = {.count = 1, .reusable = true}, SHIFT(6655),
  [9499] = {.count = 1, .reusable = true}, SHIFT(6656),
  [9501] = {.count = 1, .reusable = false}, SHIFT(6657),
  [9503] = {.count = 1, .reusable = true}, SHIFT(6657),
  [9505] = {.count = 1, .reusable = true}, SHIFT(6659),
  [9507] = {.count = 1, .reusable = true}, SHIFT(6660),
  [9509] = {.count = 1, .reusable = false}, SHIFT(6659),
  [9511] = {.count = 1, .reusable = true}, SHIFT(6654),
  [9513] = {.count = 1, .reusable = true}, SHIFT(6651),
  [9515] = {.count = 1, .reusable = true}, SHIFT(6661),
  [9517] = {.count = 1, .reusable = true}, SHIFT(6662),
  [9519] = {.count = 1, .reusable = true}, SHIFT(6663),
  [9521] = {.count = 1, .reusable = true}, SHIFT(6664),
  [9523] = {.count = 1, .reusable = false}, SHIFT(6666),
  [9525] = {.count = 1, .reusable = true}, SHIFT(6672),
  [9527] = {.count = 1, .reusable = true}, SHIFT(6674),
  [9529] = {.count = 1, .reusable = false}, SHIFT(6674),
  [9531] = {.count = 1, .reusable = true}, SHIFT(6675),
  [9533] = {.count = 1, .reusable = true}, SHIFT(6676),
  [9535] = {.count = 1, .reusable = true}, SHIFT(6691),
  [9537] = {.count = 1, .reusable = false}, SHIFT(6692),
  [9539] = {.count = 1, .reusable = false}, SHIFT(6693),
  [9541] = {.count = 1, .reusable = false}, SHIFT(6694),
  [9543] = {.count = 1, .reusable = false}, SHIFT(6695),
  [9545] = {.count = 1, .reusable = false}, SHIFT(6696),
  [9547] = {.count = 1, .reusable = true}, SHIFT(6697),
  [9549] = {.count = 1, .reusable = false}, SHIFT(6697),
  [9551] = {.count = 1, .reusable = true}, SHIFT(6698),
  [9553] = {.count = 1, .reusable = false}, SHIFT(6700),
  [9555] = {.count = 1, .reusable = true}, SHIFT(6700),
  [9557] = {.count = 1, .reusable = false}, SHIFT(3786),
  [9559] = {.count = 1, .reusable = true}, SHIFT(6707),
  [9561] = {.count = 1, .reusable = true}, SHIFT(6711),
  [9563] = {.count = 1, .reusable = true}, SHIFT(6712),
  [9565] = {.count = 1, .reusable = false}, SHIFT(6713),
  [9567] = {.count = 1, .reusable = false}, SHIFT(6714),
  [9569] = {.count = 1, .reusable = false}, SHIFT(6715),
  [9571] = {.count = 1, .reusable = false}, SHIFT(6716),
  [9573] = {.count = 1, .reusable = true}, SHIFT(6717),
  [9575] = {.count = 1, .reusable = true}, SHIFT(6718),
  [9577] = {.count = 1, .reusable = false}, SHIFT(6719),
  [9579] = {.count = 1, .reusable = true}, SHIFT(6719),
  [9581] = {.count = 1, .reusable = false}, SHIFT(6721),
  [9583] = {.count = 1, .reusable = false}, SHIFT(6722),
  [9585] = {.count = 1, .reusable = true}, SHIFT(6721),
  [9587] = {.count = 1, .reusable = true}, SHIFT(6716),
  [9589] = {.count = 1, .reusable = false}, SHIFT(6723),
  [9591] = {.count = 1, .reusable = true}, SHIFT(6725),
  [9593] = {.count = 1, .reusable = true}, SHIFT(6727),
  [9595] = {.count = 1, .reusable = false}, SHIFT(6727),
  [9597] = {.count = 1, .reusable = true}, SHIFT(6728),
  [9599] = {.count = 1, .reusable = true}, SHIFT(6729),
  [9601] = {.count = 1, .reusable = true}, SHIFT(6731),
  [9603] = {.count = 1, .reusable = true}, SHIFT(6732),
  [9605] = {.count = 1, .reusable = false}, SHIFT(6733),
  [9607] = {.count = 1, .reusable = false}, SHIFT(6734),
  [9609] = {.count = 1, .reusable = false}, SHIFT(6735),
  [9611] = {.count = 1, .reusable = false}, SHIFT(6736),
  [9613] = {.count = 1, .reusable = false}, SHIFT(6737),
  [9615] = {.count = 1, .reusable = true}, SHIFT(6738),
  [9617] = {.count = 1, .reusable = false}, SHIFT(6738),
  [9619] = {.count = 1, .reusable = true}, SHIFT(6739),
  [9621] = {.count = 1, .reusable = true}, REDUCE(sym_element_reference, 4, .alias_sequence_id = 19),
  [9623] = {.count = 1, .reusable = false}, REDUCE(sym_element_reference, 4, .alias_sequence_id = 19),
  [9625] = {.count = 1, .reusable = true}, SHIFT(6747),
  [9627] = {.count = 1, .reusable = true}, SHIFT(6748),
  [9629] = {.count = 1, .reusable = true}, SHIFT(6749),
  [9631] = {.count = 1, .reusable = true}, REDUCE(sym_call, 4),
  [9633] = {.count = 1, .reusable = false}, REDUCE(sym_call, 4),
  [9635] = {.count = 2, .reusable = true}, REDUCE(aux_sym_call_repeat1, 2), SHIFT_REPEAT(1522),
  [9638] = {.count = 1, .reusable = true}, SHIFT(6751),
  [9640] = {.count = 1, .reusable = true}, SHIFT(6752),
  [9642] = {.count = 1, .reusable = true}, SHIFT(6753),
  [9644] = {.count = 1, .reusable = true}, SHIFT(6755),
  [9646] = {.count = 1, .reusable = true}, SHIFT(6756),
  [9648] = {.count = 1, .reusable = true}, SHIFT(6757),
  [9650] = {.count = 1, .reusable = true}, SHIFT(6758),
  [9652] = {.count = 1, .reusable = true}, SHIFT(6759),
  [9654] = {.count = 1, .reusable = true}, SHIFT(6761),
  [9656] = {.count = 1, .reusable = true}, SHIFT(6762),
  [9658] = {.count = 1, .reusable = true}, SHIFT(6763),
  [9660] = {.count = 1, .reusable = true}, SHIFT(6764),
  [9662] = {.count = 1, .reusable = true}, SHIFT(6765),
  [9664] = {.count = 1, .reusable = true}, SHIFT(6766),
  [9666] = {.count = 1, .reusable = true}, SHIFT(6767),
  [9668] = {.count = 1, .reusable = false}, SHIFT(6768),
  [9670] = {.count = 1, .reusable = true}, SHIFT(6770),
  [9672] = {.count = 1, .reusable = true}, SHIFT(6771),
  [9674] = {.count = 1, .reusable = true}, SHIFT(6773),
  [9676] = {.count = 1, .reusable = false}, SHIFT(6774),
  [9678] = {.count = 1, .reusable = true}, SHIFT(6776),
  [9680] = {.count = 1, .reusable = true}, SHIFT(6777),
  [9682] = {.count = 1, .reusable = true}, SHIFT(6779),
  [9684] = {.count = 1, .reusable = true}, SHIFT(6782),
  [9686] = {.count = 1, .reusable = true}, SHIFT(6783),
  [9688] = {.count = 1, .reusable = true}, SHIFT(6784),
  [9690] = {.count = 1, .reusable = true}, SHIFT(6787),
  [9692] = {.count = 1, .reusable = true}, SHIFT(6789),
  [9694] = {.count = 1, .reusable = false}, SHIFT(6788),
  [9696] = {.count = 1, .reusable = true}, SHIFT(6790),
  [9698] = {.count = 1, .reusable = true}, SHIFT(6791),
  [9700] = {.count = 1, .reusable = true}, SHIFT(6792),
  [9702] = {.count = 1, .reusable = true}, SHIFT(6793),
  [9704] = {.count = 1, .reusable = true}, SHIFT(6795),
  [9706] = {.count = 1, .reusable = true}, SHIFT(6797),
  [9708] = {.count = 1, .reusable = true}, SHIFT(6798),
  [9710] = {.count = 1, .reusable = false}, SHIFT(6802),
  [9712] = {.count = 1, .reusable = true}, SHIFT(6803),
  [9714] = {.count = 1, .reusable = true}, SHIFT(6818),
  [9716] = {.count = 1, .reusable = true}, SHIFT(6824),
  [9718] = {.count = 1, .reusable = true}, SHIFT(6825),
  [9720] = {.count = 1, .reusable = true}, SHIFT(6828),
  [9722] = {.count = 1, .reusable = true}, SHIFT(6832),
  [9724] = {.count = 1, .reusable = true}, SHIFT(6834),
  [9726] = {.count = 1, .reusable = true}, SHIFT(6835),
  [9728] = {.count = 1, .reusable = true}, SHIFT(6850),
  [9730] = {.count = 1, .reusable = true}, SHIFT(6854),
  [9732] = {.count = 1, .reusable = true}, SHIFT(6856),
  [9734] = {.count = 1, .reusable = true}, SHIFT(6857),
  [9736] = {.count = 1, .reusable = true}, SHIFT(6858),
  [9738] = {.count = 1, .reusable = false}, SHIFT(6859),
  [9740] = {.count = 1, .reusable = true}, SHIFT(6860),
  [9742] = {.count = 1, .reusable = false}, SHIFT(6860),
  [9744] = {.count = 1, .reusable = true}, SHIFT(6861),
  [9746] = {.count = 1, .reusable = true}, SHIFT(6868),
  [9748] = {.count = 1, .reusable = true}, SHIFT(6869),
  [9750] = {.count = 1, .reusable = false}, SHIFT(6871),
  [9752] = {.count = 1, .reusable = true}, SHIFT(6872),
  [9754] = {.count = 1, .reusable = true}, SHIFT(6873),
  [9756] = {.count = 1, .reusable = false}, SHIFT(6874),
  [9758] = {.count = 1, .reusable = false}, SHIFT(6875),
  [9760] = {.count = 1, .reusable = true}, SHIFT(6879),
  [9762] = {.count = 1, .reusable = false}, SHIFT(6876),
  [9764] = {.count = 1, .reusable = false}, SHIFT(6880),
  [9766] = {.count = 1, .reusable = false}, SHIFT(6883),
  [9768] = {.count = 1, .reusable = false}, SHIFT(6885),
  [9770] = {.count = 1, .reusable = true}, SHIFT(6887),
  [9772] = {.count = 1, .reusable = true}, SHIFT(6888),
  [9774] = {.count = 1, .reusable = false}, SHIFT(6888),
  [9776] = {.count = 1, .reusable = true}, SHIFT(6890),
  [9778] = {.count = 1, .reusable = true}, SHIFT(6892),
  [9780] = {.count = 1, .reusable = true}, SHIFT(6893),
  [9782] = {.count = 1, .reusable = true}, SHIFT(6894),
  [9784] = {.count = 1, .reusable = true}, SHIFT(6897),
  [9786] = {.count = 1, .reusable = true}, SHIFT(6898),
  [9788] = {.count = 1, .reusable = true}, SHIFT(6899),
  [9790] = {.count = 2, .reusable = true}, REDUCE(aux_sym_call_repeat1, 2), SHIFT_REPEAT(1666),
  [9793] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(1668),
  [9796] = {.count = 2, .reusable = true}, REDUCE(aux_sym_chained_string_repeat1, 2), SHIFT_REPEAT(1582),
  [9799] = {.count = 1, .reusable = true}, REDUCE(sym_right_assignment_list, 2),
  [9801] = {.count = 1, .reusable = false}, REDUCE(sym_right_assignment_list, 2),
  [9803] = {.count = 1, .reusable = true}, SHIFT(6924),
  [9805] = {.count = 1, .reusable = true}, SHIFT(6925),
  [9807] = {.count = 1, .reusable = false}, SHIFT(6926),
  [9809] = {.count = 1, .reusable = true}, SHIFT(6927),
  [9811] = {.count = 1, .reusable = false}, SHIFT(6928),
  [9813] = {.count = 1, .reusable = false}, SHIFT(6929),
  [9815] = {.count = 1, .reusable = true}, SHIFT(6930),
  [9817] = {.count = 1, .reusable = false}, SHIFT(6931),
  [9819] = {.count = 1, .reusable = true}, SHIFT(6931),
  [9821] = {.count = 1, .reusable = true}, SHIFT(6933),
  [9823] = {.count = 1, .reusable = true}, SHIFT(6934),
  [9825] = {.count = 1, .reusable = false}, SHIFT(6933),
  [9827] = {.count = 1, .reusable = true}, SHIFT(6929),
  [9829] = {.count = 1, .reusable = true}, SHIFT(6926),
  [9831] = {.count = 1, .reusable = true}, SHIFT(6935),
  [9833] = {.count = 1, .reusable = true}, SHIFT(6936),
  [9835] = {.count = 1, .reusable = false}, SHIFT(6936),
  [9837] = {.count = 1, .reusable = true}, SHIFT(6937),
  [9839] = {.count = 1, .reusable = true}, SHIFT(6942),
  [9841] = {.count = 1, .reusable = true}, SHIFT(6946),
  [9843] = {.count = 1, .reusable = true}, SHIFT(6948),
  [9845] = {.count = 1, .reusable = true}, SHIFT(6964),
  [9847] = {.count = 1, .reusable = true}, SHIFT(6968),
  [9849] = {.count = 1, .reusable = true}, SHIFT(6970),
  [9851] = {.count = 1, .reusable = true}, SHIFT(1695),
  [9853] = {.count = 1, .reusable = true}, SHIFT(6980),
  [9855] = {.count = 1, .reusable = true}, SHIFT(6983),
  [9857] = {.count = 1, .reusable = true}, SHIFT(6984),
  [9859] = {.count = 1, .reusable = true}, SHIFT(6986),
  [9861] = {.count = 1, .reusable = true}, SHIFT(6989),
  [9863] = {.count = 1, .reusable = true}, SHIFT(6990),
  [9865] = {.count = 1, .reusable = true}, SHIFT(6992),
  [9867] = {.count = 1, .reusable = true}, SHIFT(6994),
  [9869] = {.count = 1, .reusable = true}, SHIFT(6996),
  [9871] = {.count = 1, .reusable = true}, SHIFT(6998),
  [9873] = {.count = 1, .reusable = false}, SHIFT(6999),
  [9875] = {.count = 1, .reusable = true}, SHIFT(7001),
  [9877] = {.count = 1, .reusable = false}, SHIFT(7002),
  [9879] = {.count = 1, .reusable = true}, SHIFT(7005),
  [9881] = {.count = 1, .reusable = true}, SHIFT(7008),
  [9883] = {.count = 1, .reusable = false}, SHIFT(7010),
  [9885] = {.count = 1, .reusable = true}, SHIFT(7012),
  [9887] = {.count = 1, .reusable = true}, SHIFT(7014),
  [9889] = {.count = 1, .reusable = false}, SHIFT(7015),
  [9891] = {.count = 1, .reusable = false}, SHIFT(7017),
  [9893] = {.count = 1, .reusable = true}, SHIFT(7029),
  [9895] = {.count = 1, .reusable = true}, SHIFT(7035),
  [9897] = {.count = 1, .reusable = false}, SHIFT(7034),
  [9899] = {.count = 1, .reusable = false}, SHIFT(7039),
  [9901] = {.count = 1, .reusable = true}, SHIFT(7040),
  [9903] = {.count = 1, .reusable = true}, SHIFT(7045),
  [9905] = {.count = 1, .reusable = true}, SHIFT(7046),
  [9907] = {.count = 1, .reusable = false}, SHIFT(7047),
  [9909] = {.count = 1, .reusable = false}, SHIFT(7048),
  [9911] = {.count = 1, .reusable = false}, SHIFT(7049),
  [9913] = {.count = 1, .reusable = false}, SHIFT(7050),
  [9915] = {.count = 1, .reusable = true}, SHIFT(7051),
  [9917] = {.count = 1, .reusable = false}, SHIFT(7052),
  [9919] = {.count = 1, .reusable = true}, SHIFT(7052),
  [9921] = {.count = 1, .reusable = false}, SHIFT(7054),
  [9923] = {.count = 1, .reusable = false}, SHIFT(7055),
  [9925] = {.count = 1, .reusable = true}, SHIFT(7054),
  [9927] = {.count = 1, .reusable = true}, SHIFT(7050),
  [9929] = {.count = 1, .reusable = false}, SHIFT(7056),
  [9931] = {.count = 1, .reusable = true}, SHIFT(7057),
  [9933] = {.count = 1, .reusable = false}, SHIFT(7057),
  [9935] = {.count = 1, .reusable = true}, SHIFT(7058),
  [9937] = {.count = 1, .reusable = true}, SHIFT(7060),
  [9939] = {.count = 1, .reusable = true}, SHIFT(7063),
  [9941] = {.count = 1, .reusable = true}, SHIFT(7065),
  [9943] = {.count = 1, .reusable = true}, SHIFT(7067),
  [9945] = {.count = 1, .reusable = false}, SHIFT(7065),
  [9947] = {.count = 1, .reusable = true}, SHIFT(7082),
  [9949] = {.count = 1, .reusable = true}, SHIFT(7084),
  [9951] = {.count = 1, .reusable = true}, SHIFT(7083),
  [9953] = {.count = 1, .reusable = true}, SHIFT(1747),
  [9955] = {.count = 1, .reusable = true}, SHIFT(7099),
  [9957] = {.count = 1, .reusable = true}, SHIFT(7100),
  [9959] = {.count = 1, .reusable = false}, SHIFT(7101),
  [9961] = {.count = 1, .reusable = true}, SHIFT(7102),
  [9963] = {.count = 1, .reusable = false}, SHIFT(7103),
  [9965] = {.count = 1, .reusable = false}, SHIFT(7104),
  [9967] = {.count = 1, .reusable = true}, SHIFT(7105),
  [9969] = {.count = 1, .reusable = false}, SHIFT(7106),
  [9971] = {.count = 1, .reusable = true}, SHIFT(7106),
  [9973] = {.count = 1, .reusable = true}, SHIFT(7108),
  [9975] = {.count = 1, .reusable = true}, SHIFT(7109),
  [9977] = {.count = 1, .reusable = false}, SHIFT(7108),
  [9979] = {.count = 1, .reusable = true}, SHIFT(7104),
  [9981] = {.count = 1, .reusable = true}, SHIFT(7101),
  [9983] = {.count = 1, .reusable = true}, SHIFT(7110),
  [9985] = {.count = 1, .reusable = true}, SHIFT(7111),
  [9987] = {.count = 1, .reusable = true}, SHIFT(7113),
  [9989] = {.count = 1, .reusable = false}, SHIFT(7113),
  [9991] = {.count = 1, .reusable = true}, SHIFT(7114),
  [9993] = {.count = 1, .reusable = true}, REDUCE(sym_string_array, 5, .alias_sequence_id = 31),
  [9995] = {.count = 1, .reusable = false}, REDUCE(sym_string_array, 5, .alias_sequence_id = 31),
  [9997] = {.count = 1, .reusable = true}, SHIFT(7116),
  [9999] = {.count = 1, .reusable = true}, REDUCE(sym_string_array, 5, .alias_sequence_id = 32),
  [10001] = {.count = 1, .reusable = false}, REDUCE(sym_string_array, 5, .alias_sequence_id = 32),
  [10003] = {.count = 1, .reusable = true}, REDUCE(sym_symbol_array, 5, .alias_sequence_id = 33),
  [10005] = {.count = 1, .reusable = false}, REDUCE(sym_symbol_array, 5, .alias_sequence_id = 33),
  [10007] = {.count = 1, .reusable = true}, SHIFT(7117),
  [10009] = {.count = 1, .reusable = true}, REDUCE(sym_symbol_array, 5, .alias_sequence_id = 34),
  [10011] = {.count = 1, .reusable = false}, REDUCE(sym_symbol_array, 5, .alias_sequence_id = 34),
  [10013] = {.count = 1, .reusable = true}, SHIFT(7123),
  [10015] = {.count = 1, .reusable = true}, SHIFT(7124),
  [10017] = {.count = 1, .reusable = false}, SHIFT(7125),
  [10019] = {.count = 1, .reusable = true}, SHIFT(7126),
  [10021] = {.count = 1, .reusable = false}, SHIFT(7127),
  [10023] = {.count = 1, .reusable = false}, SHIFT(7128),
  [10025] = {.count = 1, .reusable = true}, SHIFT(7129),
  [10027] = {.count = 1, .reusable = false}, SHIFT(7130),
  [10029] = {.count = 1, .reusable = true}, SHIFT(7130),
  [10031] = {.count = 1, .reusable = true}, SHIFT(7132),
  [10033] = {.count = 1, .reusable = true}, SHIFT(7133),
  [10035] = {.count = 1, .reusable = false}, SHIFT(7132),
  [10037] = {.count = 1, .reusable = true}, SHIFT(7128),
  [10039] = {.count = 1, .reusable = true}, SHIFT(7125),
  [10041] = {.count = 1, .reusable = true}, SHIFT(7134),
  [10043] = {.count = 1, .reusable = true}, SHIFT(7135),
  [10045] = {.count = 1, .reusable = false}, SHIFT(7135),
  [10047] = {.count = 1, .reusable = true}, SHIFT(7136),
  [10049] = {.count = 1, .reusable = true}, SHIFT(1791),
  [10051] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(7164),
  [10054] = {.count = 1, .reusable = true}, SHIFT(7165),
  [10056] = {.count = 1, .reusable = true}, SHIFT(7169),
  [10058] = {.count = 1, .reusable = true}, SHIFT(7170),
  [10060] = {.count = 1, .reusable = false}, SHIFT(7171),
  [10062] = {.count = 1, .reusable = false}, SHIFT(7172),
  [10064] = {.count = 1, .reusable = false}, SHIFT(7173),
  [10066] = {.count = 1, .reusable = false}, SHIFT(7174),
  [10068] = {.count = 1, .reusable = true}, SHIFT(7175),
  [10070] = {.count = 1, .reusable = false}, SHIFT(7176),
  [10072] = {.count = 1, .reusable = true}, SHIFT(7176),
  [10074] = {.count = 1, .reusable = false}, SHIFT(7178),
  [10076] = {.count = 1, .reusable = false}, SHIFT(7179),
  [10078] = {.count = 1, .reusable = true}, SHIFT(7178),
  [10080] = {.count = 1, .reusable = true}, SHIFT(7174),
  [10082] = {.count = 1, .reusable = false}, SHIFT(7180),
  [10084] = {.count = 1, .reusable = true}, SHIFT(7181),
  [10086] = {.count = 1, .reusable = false}, SHIFT(7181),
  [10088] = {.count = 1, .reusable = true}, SHIFT(7182),
  [10090] = {.count = 1, .reusable = true}, SHIFT(1833),
  [10092] = {.count = 1, .reusable = true}, SHIFT(7211),
  [10094] = {.count = 1, .reusable = true}, SHIFT(7212),
  [10096] = {.count = 1, .reusable = false}, SHIFT(7213),
  [10098] = {.count = 1, .reusable = true}, SHIFT(7214),
  [10100] = {.count = 1, .reusable = false}, SHIFT(7215),
  [10102] = {.count = 1, .reusable = false}, SHIFT(7216),
  [10104] = {.count = 1, .reusable = true}, SHIFT(7217),
  [10106] = {.count = 1, .reusable = false}, SHIFT(7218),
  [10108] = {.count = 1, .reusable = true}, SHIFT(7218),
  [10110] = {.count = 1, .reusable = true}, SHIFT(7220),
  [10112] = {.count = 1, .reusable = true}, SHIFT(7221),
  [10114] = {.count = 1, .reusable = false}, SHIFT(7220),
  [10116] = {.count = 1, .reusable = true}, SHIFT(7216),
  [10118] = {.count = 1, .reusable = true}, SHIFT(7213),
  [10120] = {.count = 1, .reusable = true}, SHIFT(7222),
  [10122] = {.count = 1, .reusable = true}, SHIFT(7223),
  [10124] = {.count = 1, .reusable = true}, SHIFT(7225),
  [10126] = {.count = 1, .reusable = false}, SHIFT(7225),
  [10128] = {.count = 1, .reusable = true}, SHIFT(7226),
  [10130] = {.count = 1, .reusable = true}, SHIFT(7227),
  [10132] = {.count = 1, .reusable = true}, SHIFT(7228),
  [10134] = {.count = 1, .reusable = true}, SHIFT(7229),
  [10136] = {.count = 1, .reusable = true}, SHIFT(7230),
  [10138] = {.count = 1, .reusable = true}, SHIFT(7231),
  [10140] = {.count = 1, .reusable = true}, SHIFT(7232),
  [10142] = {.count = 1, .reusable = true}, SHIFT(7233),
  [10144] = {.count = 1, .reusable = true}, SHIFT(7237),
  [10146] = {.count = 1, .reusable = true}, SHIFT(7238),
  [10148] = {.count = 1, .reusable = false}, SHIFT(7239),
  [10150] = {.count = 1, .reusable = true}, SHIFT(7240),
  [10152] = {.count = 1, .reusable = false}, SHIFT(7241),
  [10154] = {.count = 1, .reusable = false}, SHIFT(7242),
  [10156] = {.count = 1, .reusable = true}, SHIFT(7243),
  [10158] = {.count = 1, .reusable = false}, SHIFT(7244),
  [10160] = {.count = 1, .reusable = true}, SHIFT(7244),
  [10162] = {.count = 1, .reusable = true}, SHIFT(7246),
  [10164] = {.count = 1, .reusable = true}, SHIFT(7247),
  [10166] = {.count = 1, .reusable = false}, SHIFT(7246),
  [10168] = {.count = 1, .reusable = true}, SHIFT(7242),
  [10170] = {.count = 1, .reusable = true}, SHIFT(7239),
  [10172] = {.count = 1, .reusable = true}, SHIFT(7248),
  [10174] = {.count = 1, .reusable = true}, SHIFT(7249),
  [10176] = {.count = 1, .reusable = false}, SHIFT(7249),
  [10178] = {.count = 1, .reusable = true}, SHIFT(7250),
  [10180] = {.count = 1, .reusable = true}, SHIFT(7254),
  [10182] = {.count = 1, .reusable = true}, SHIFT(7258),
  [10184] = {.count = 1, .reusable = true}, SHIFT(7260),
  [10186] = {.count = 1, .reusable = true}, SHIFT(7276),
  [10188] = {.count = 1, .reusable = true}, SHIFT(7280),
  [10190] = {.count = 1, .reusable = true}, SHIFT(7282),
  [10192] = {.count = 1, .reusable = true}, SHIFT(1886),
  [10194] = {.count = 1, .reusable = true}, SHIFT(7292),
  [10196] = {.count = 1, .reusable = true}, SHIFT(7293),
  [10198] = {.count = 1, .reusable = true}, SHIFT(7295),
  [10200] = {.count = 1, .reusable = true}, SHIFT(7298),
  [10202] = {.count = 1, .reusable = true}, SHIFT(7302),
  [10204] = {.count = 1, .reusable = true}, SHIFT(7303),
  [10206] = {.count = 1, .reusable = false}, SHIFT(7304),
  [10208] = {.count = 1, .reusable = false}, SHIFT(7305),
  [10210] = {.count = 1, .reusable = false}, SHIFT(7306),
  [10212] = {.count = 1, .reusable = false}, SHIFT(7307),
  [10214] = {.count = 1, .reusable = true}, SHIFT(7308),
  [10216] = {.count = 1, .reusable = false}, SHIFT(7309),
  [10218] = {.count = 1, .reusable = true}, SHIFT(7309),
  [10220] = {.count = 1, .reusable = false}, SHIFT(7311),
  [10222] = {.count = 1, .reusable = false}, SHIFT(7312),
  [10224] = {.count = 1, .reusable = true}, SHIFT(7311),
  [10226] = {.count = 1, .reusable = true}, SHIFT(7307),
  [10228] = {.count = 1, .reusable = false}, SHIFT(7313),
  [10230] = {.count = 1, .reusable = true}, SHIFT(7314),
  [10232] = {.count = 1, .reusable = false}, SHIFT(7314),
  [10234] = {.count = 1, .reusable = true}, SHIFT(7315),
  [10236] = {.count = 1, .reusable = true}, SHIFT(7318),
  [10238] = {.count = 1, .reusable = true}, SHIFT(7320),
  [10240] = {.count = 1, .reusable = true}, SHIFT(7322),
  [10242] = {.count = 1, .reusable = false}, SHIFT(7320),
  [10244] = {.count = 1, .reusable = true}, SHIFT(7337),
  [10246] = {.count = 1, .reusable = true}, SHIFT(1924),
  [10248] = {.count = 1, .reusable = false}, SHIFT(7350),
  [10250] = {.count = 1, .reusable = false}, SHIFT(7351),
  [10252] = {.count = 1, .reusable = true}, SHIFT(7352),
  [10254] = {.count = 1, .reusable = true}, SHIFT(7355),
  [10256] = {.count = 1, .reusable = true}, SHIFT(7356),
  [10258] = {.count = 2, .reusable = true}, REDUCE(aux_sym_call_repeat1, 2), SHIFT_REPEAT(1978),
  [10261] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(1980),
  [10264] = {.count = 1, .reusable = true}, SHIFT(7360),
  [10266] = {.count = 1, .reusable = false}, SHIFT(7360),
  [10268] = {.count = 1, .reusable = true}, SHIFT(7363),
  [10270] = {.count = 1, .reusable = true}, SHIFT(7365),
  [10272] = {.count = 1, .reusable = true}, SHIFT(7366),
  [10274] = {.count = 1, .reusable = false}, SHIFT(7367),
  [10276] = {.count = 1, .reusable = true}, SHIFT(7369),
  [10278] = {.count = 1, .reusable = true}, SHIFT(7371),
  [10280] = {.count = 1, .reusable = true}, SHIFT(7373),
  [10282] = {.count = 1, .reusable = true}, SHIFT(7374),
  [10284] = {.count = 1, .reusable = false}, SHIFT(7374),
  [10286] = {.count = 1, .reusable = true}, SHIFT(7376),
  [10288] = {.count = 1, .reusable = true}, SHIFT(7378),
  [10290] = {.count = 1, .reusable = true}, SHIFT(7379),
  [10292] = {.count = 1, .reusable = true}, SHIFT(7381),
  [10294] = {.count = 1, .reusable = true}, SHIFT(7382),
  [10296] = {.count = 1, .reusable = true}, SHIFT(7383),
  [10298] = {.count = 1, .reusable = true}, SHIFT(7385),
  [10300] = {.count = 1, .reusable = true}, SHIFT(7386),
  [10302] = {.count = 1, .reusable = true}, SHIFT(7387),
  [10304] = {.count = 1, .reusable = true}, SHIFT(7388),
  [10306] = {.count = 1, .reusable = true}, SHIFT(7389),
  [10308] = {.count = 1, .reusable = true}, SHIFT(7391),
  [10310] = {.count = 1, .reusable = true}, SHIFT(7392),
  [10312] = {.count = 1, .reusable = true}, SHIFT(7393),
  [10314] = {.count = 1, .reusable = true}, SHIFT(7394),
  [10316] = {.count = 1, .reusable = true}, SHIFT(7395),
  [10318] = {.count = 1, .reusable = true}, SHIFT(7396),
  [10320] = {.count = 1, .reusable = true}, SHIFT(7397),
  [10322] = {.count = 1, .reusable = false}, SHIFT(7399),
  [10324] = {.count = 1, .reusable = true}, SHIFT(7400),
  [10326] = {.count = 1, .reusable = true}, SHIFT(7401),
  [10328] = {.count = 1, .reusable = false}, SHIFT(7402),
  [10330] = {.count = 1, .reusable = false}, SHIFT(7403),
  [10332] = {.count = 1, .reusable = true}, SHIFT(7407),
  [10334] = {.count = 1, .reusable = false}, SHIFT(7404),
  [10336] = {.count = 1, .reusable = false}, SHIFT(7408),
  [10338] = {.count = 1, .reusable = false}, SHIFT(7411),
  [10340] = {.count = 1, .reusable = false}, SHIFT(7413),
  [10342] = {.count = 1, .reusable = true}, SHIFT(7415),
  [10344] = {.count = 1, .reusable = true}, SHIFT(7416),
  [10346] = {.count = 1, .reusable = false}, SHIFT(7416),
  [10348] = {.count = 1, .reusable = true}, SHIFT(7418),
  [10350] = {.count = 1, .reusable = true}, SHIFT(7420),
  [10352] = {.count = 1, .reusable = true}, SHIFT(7421),
  [10354] = {.count = 1, .reusable = true}, SHIFT(7422),
  [10356] = {.count = 1, .reusable = true}, SHIFT(7425),
  [10358] = {.count = 1, .reusable = true}, SHIFT(7426),
  [10360] = {.count = 1, .reusable = true}, SHIFT(7427),
  [10362] = {.count = 2, .reusable = true}, REDUCE(aux_sym_call_repeat1, 2), SHIFT_REPEAT(2120),
  [10365] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(2122),
  [10368] = {.count = 2, .reusable = true}, REDUCE(aux_sym_chained_string_repeat1, 2), SHIFT_REPEAT(2045),
  [10371] = {.count = 1, .reusable = true}, SHIFT(7448),
  [10373] = {.count = 1, .reusable = true}, REDUCE(sym__hash_items, 4),
  [10375] = {.count = 1, .reusable = true}, SHIFT(7452),
  [10377] = {.count = 1, .reusable = true}, SHIFT(7453),
  [10379] = {.count = 1, .reusable = false}, SHIFT(7454),
  [10381] = {.count = 1, .reusable = true}, SHIFT(7455),
  [10383] = {.count = 1, .reusable = false}, SHIFT(7456),
  [10385] = {.count = 1, .reusable = false}, SHIFT(7457),
  [10387] = {.count = 1, .reusable = true}, SHIFT(7458),
  [10389] = {.count = 1, .reusable = false}, SHIFT(7459),
  [10391] = {.count = 1, .reusable = true}, SHIFT(7459),
  [10393] = {.count = 1, .reusable = true}, SHIFT(7461),
  [10395] = {.count = 1, .reusable = true}, SHIFT(7462),
  [10397] = {.count = 1, .reusable = false}, SHIFT(7461),
  [10399] = {.count = 1, .reusable = true}, SHIFT(7457),
  [10401] = {.count = 1, .reusable = true}, SHIFT(7454),
  [10403] = {.count = 1, .reusable = true}, SHIFT(7463),
  [10405] = {.count = 1, .reusable = true}, SHIFT(7464),
  [10407] = {.count = 1, .reusable = false}, SHIFT(7464),
  [10409] = {.count = 1, .reusable = true}, SHIFT(7465),
  [10411] = {.count = 1, .reusable = true}, SHIFT(2157),
  [10413] = {.count = 1, .reusable = true}, SHIFT(7489),
  [10415] = {.count = 1, .reusable = true}, SHIFT(7493),
  [10417] = {.count = 1, .reusable = true}, SHIFT(7494),
  [10419] = {.count = 1, .reusable = false}, SHIFT(7495),
  [10421] = {.count = 1, .reusable = false}, SHIFT(7496),
  [10423] = {.count = 1, .reusable = false}, SHIFT(7497),
  [10425] = {.count = 1, .reusable = false}, SHIFT(7498),
  [10427] = {.count = 1, .reusable = true}, SHIFT(7499),
  [10429] = {.count = 1, .reusable = false}, SHIFT(7500),
  [10431] = {.count = 1, .reusable = true}, SHIFT(7500),
  [10433] = {.count = 1, .reusable = false}, SHIFT(7502),
  [10435] = {.count = 1, .reusable = false}, SHIFT(7503),
  [10437] = {.count = 1, .reusable = true}, SHIFT(7502),
  [10439] = {.count = 1, .reusable = true}, SHIFT(7498),
  [10441] = {.count = 1, .reusable = false}, SHIFT(7504),
  [10443] = {.count = 1, .reusable = true}, SHIFT(7505),
  [10445] = {.count = 1, .reusable = false}, SHIFT(7505),
  [10447] = {.count = 1, .reusable = true}, SHIFT(7506),
  [10449] = {.count = 1, .reusable = true}, SHIFT(2187),
  [10451] = {.count = 1, .reusable = true}, SHIFT(7535),
  [10453] = {.count = 1, .reusable = true}, SHIFT(7536),
  [10455] = {.count = 1, .reusable = false}, SHIFT(7537),
  [10457] = {.count = 1, .reusable = true}, SHIFT(7538),
  [10459] = {.count = 1, .reusable = false}, SHIFT(7539),
  [10461] = {.count = 1, .reusable = false}, SHIFT(7540),
  [10463] = {.count = 1, .reusable = true}, SHIFT(7541),
  [10465] = {.count = 1, .reusable = false}, SHIFT(7542),
  [10467] = {.count = 1, .reusable = true}, SHIFT(7542),
  [10469] = {.count = 1, .reusable = true}, SHIFT(7544),
  [10471] = {.count = 1, .reusable = true}, SHIFT(7545),
  [10473] = {.count = 1, .reusable = false}, SHIFT(7544),
  [10475] = {.count = 1, .reusable = true}, SHIFT(7540),
  [10477] = {.count = 1, .reusable = true}, SHIFT(7537),
  [10479] = {.count = 1, .reusable = true}, SHIFT(7546),
  [10481] = {.count = 1, .reusable = true}, SHIFT(7547),
  [10483] = {.count = 1, .reusable = true}, SHIFT(7549),
  [10485] = {.count = 1, .reusable = false}, SHIFT(7549),
  [10487] = {.count = 1, .reusable = true}, SHIFT(7550),
  [10489] = {.count = 1, .reusable = true}, REDUCE(sym_method_parameters, 3),
  [10491] = {.count = 1, .reusable = false}, REDUCE(sym_method_parameters, 3),
  [10493] = {.count = 1, .reusable = true}, SHIFT(7552),
  [10495] = {.count = 1, .reusable = true}, SHIFT(7553),
  [10497] = {.count = 1, .reusable = true}, SHIFT(7554),
  [10499] = {.count = 1, .reusable = true}, SHIFT(7560),
  [10501] = {.count = 1, .reusable = false}, SHIFT(7557),
  [10503] = {.count = 1, .reusable = true}, SHIFT(4747),
  [10505] = {.count = 1, .reusable = true}, SHIFT(5874),
  [10507] = {.count = 1, .reusable = true}, SHIFT(7563),
  [10509] = {.count = 1, .reusable = true}, SHIFT(7566),
  [10511] = {.count = 1, .reusable = true}, SHIFT(7567),
  [10513] = {.count = 1, .reusable = true}, SHIFT(7568),
  [10515] = {.count = 1, .reusable = false}, SHIFT(7570),
  [10517] = {.count = 1, .reusable = true}, SHIFT(7577),
  [10519] = {.count = 1, .reusable = true}, SHIFT(7578),
  [10521] = {.count = 1, .reusable = false}, SHIFT(7579),
  [10523] = {.count = 1, .reusable = true}, SHIFT(7580),
  [10525] = {.count = 1, .reusable = false}, SHIFT(7581),
  [10527] = {.count = 1, .reusable = false}, SHIFT(7582),
  [10529] = {.count = 1, .reusable = true}, SHIFT(7583),
  [10531] = {.count = 1, .reusable = false}, SHIFT(7584),
  [10533] = {.count = 1, .reusable = true}, SHIFT(7584),
  [10535] = {.count = 1, .reusable = true}, SHIFT(7585),
  [10537] = {.count = 1, .reusable = true}, SHIFT(7586),
  [10539] = {.count = 1, .reusable = true}, SHIFT(7587),
  [10541] = {.count = 1, .reusable = false}, SHIFT(7586),
  [10543] = {.count = 1, .reusable = true}, SHIFT(7582),
  [10545] = {.count = 1, .reusable = true}, SHIFT(7579),
  [10547] = {.count = 1, .reusable = true}, SHIFT(7588),
  [10549] = {.count = 1, .reusable = true}, SHIFT(7589),
  [10551] = {.count = 1, .reusable = false}, SHIFT(7589),
  [10553] = {.count = 1, .reusable = true}, SHIFT(7590),
  [10555] = {.count = 1, .reusable = true}, SHIFT(7595),
  [10557] = {.count = 1, .reusable = true}, SHIFT(7599),
  [10559] = {.count = 1, .reusable = true}, SHIFT(7601),
  [10561] = {.count = 1, .reusable = true}, SHIFT(2257),
  [10563] = {.count = 1, .reusable = true}, SHIFT(7649),
  [10565] = {.count = 1, .reusable = true}, SHIFT(2281),
  [10567] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(2288),
  [10570] = {.count = 1, .reusable = true}, SHIFT(7676),
  [10572] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(2348),
  [10575] = {.count = 1, .reusable = true}, SHIFT(7694),
  [10577] = {.count = 1, .reusable = true}, SHIFT(7695),
  [10579] = {.count = 1, .reusable = true}, SHIFT(7696),
  [10581] = {.count = 1, .reusable = true}, SHIFT(7697),
  [10583] = {.count = 1, .reusable = true}, SHIFT(7698),
  [10585] = {.count = 1, .reusable = true}, SHIFT(7699),
  [10587] = {.count = 1, .reusable = true}, SHIFT(7700),
  [10589] = {.count = 1, .reusable = false}, SHIFT(7701),
  [10591] = {.count = 1, .reusable = false}, SHIFT(7702),
  [10593] = {.count = 1, .reusable = true}, SHIFT(7705),
  [10595] = {.count = 1, .reusable = true}, SHIFT(7707),
  [10597] = {.count = 1, .reusable = true}, SHIFT(7709),
  [10599] = {.count = 1, .reusable = true}, SHIFT(7711),
  [10601] = {.count = 1, .reusable = true}, SHIFT(7724),
  [10603] = {.count = 1, .reusable = false}, SHIFT(7725),
  [10605] = {.count = 1, .reusable = false}, SHIFT(7726),
  [10607] = {.count = 1, .reusable = false}, SHIFT(7727),
  [10609] = {.count = 1, .reusable = false}, SHIFT(7728),
  [10611] = {.count = 1, .reusable = false}, SHIFT(7729),
  [10613] = {.count = 1, .reusable = true}, SHIFT(7730),
  [10615] = {.count = 1, .reusable = false}, SHIFT(7730),
  [10617] = {.count = 1, .reusable = true}, SHIFT(7731),
  [10619] = {.count = 1, .reusable = true}, SHIFT(7737),
  [10621] = {.count = 1, .reusable = true}, SHIFT(7739),
  [10623] = {.count = 1, .reusable = true}, SHIFT(7741),
  [10625] = {.count = 1, .reusable = true}, SHIFT(7743),
  [10627] = {.count = 1, .reusable = true}, SHIFT(7748),
  [10629] = {.count = 1, .reusable = true}, SHIFT(7749),
  [10631] = {.count = 2, .reusable = true}, REDUCE(aux_sym_call_repeat1, 2), SHIFT_REPEAT(2412),
  [10634] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(2414),
  [10637] = {.count = 1, .reusable = true}, SHIFT(7751),
  [10639] = {.count = 1, .reusable = false}, SHIFT(7751),
  [10641] = {.count = 1, .reusable = true}, SHIFT(7754),
  [10643] = {.count = 1, .reusable = true}, SHIFT(7756),
  [10645] = {.count = 1, .reusable = true}, SHIFT(7757),
  [10647] = {.count = 1, .reusable = false}, SHIFT(7758),
  [10649] = {.count = 1, .reusable = true}, SHIFT(7760),
  [10651] = {.count = 1, .reusable = true}, SHIFT(7762),
  [10653] = {.count = 1, .reusable = true}, SHIFT(7764),
  [10655] = {.count = 1, .reusable = true}, SHIFT(7765),
  [10657] = {.count = 1, .reusable = false}, SHIFT(7765),
  [10659] = {.count = 1, .reusable = true}, SHIFT(7767),
  [10661] = {.count = 1, .reusable = true}, SHIFT(7768),
  [10663] = {.count = 1, .reusable = true}, SHIFT(7769),
  [10665] = {.count = 1, .reusable = true}, SHIFT(7771),
  [10667] = {.count = 1, .reusable = true}, SHIFT(7772),
  [10669] = {.count = 1, .reusable = true}, SHIFT(7773),
  [10671] = {.count = 1, .reusable = true}, SHIFT(7774),
  [10673] = {.count = 1, .reusable = true}, SHIFT(7775),
  [10675] = {.count = 1, .reusable = false}, SHIFT(7776),
  [10677] = {.count = 1, .reusable = true}, SHIFT(7778),
  [10679] = {.count = 1, .reusable = true}, SHIFT(7779),
  [10681] = {.count = 1, .reusable = true}, SHIFT(7781),
  [10683] = {.count = 1, .reusable = false}, SHIFT(7782),
  [10685] = {.count = 1, .reusable = true}, SHIFT(7784),
  [10687] = {.count = 1, .reusable = true}, SHIFT(7785),
  [10689] = {.count = 1, .reusable = true}, SHIFT(7787),
  [10691] = {.count = 1, .reusable = true}, SHIFT(7790),
  [10693] = {.count = 1, .reusable = true}, SHIFT(7791),
  [10695] = {.count = 1, .reusable = true}, SHIFT(7792),
  [10697] = {.count = 1, .reusable = true}, SHIFT(7795),
  [10699] = {.count = 1, .reusable = true}, SHIFT(7797),
  [10701] = {.count = 1, .reusable = false}, SHIFT(7796),
  [10703] = {.count = 1, .reusable = true}, SHIFT(7800),
  [10705] = {.count = 1, .reusable = true}, SHIFT(7803),
  [10707] = {.count = 1, .reusable = true}, SHIFT(7805),
  [10709] = {.count = 1, .reusable = true}, SHIFT(7806),
  [10711] = {.count = 1, .reusable = true}, SHIFT(7808),
  [10713] = {.count = 1, .reusable = true}, SHIFT(7810),
  [10715] = {.count = 1, .reusable = true}, SHIFT(7811),
  [10717] = {.count = 1, .reusable = true}, SHIFT(7812),
  [10719] = {.count = 1, .reusable = true}, SHIFT(7813),
  [10721] = {.count = 1, .reusable = true}, SHIFT(7814),
  [10723] = {.count = 1, .reusable = true}, SHIFT(7816),
  [10725] = {.count = 1, .reusable = true}, SHIFT(7818),
  [10727] = {.count = 1, .reusable = true}, SHIFT(7819),
  [10729] = {.count = 1, .reusable = false}, SHIFT(7823),
  [10731] = {.count = 1, .reusable = true}, SHIFT(7824),
  [10733] = {.count = 1, .reusable = true}, SHIFT(7826),
  [10735] = {.count = 1, .reusable = true}, SHIFT(7832),
  [10737] = {.count = 1, .reusable = false}, SHIFT(7829),
  [10739] = {.count = 1, .reusable = true}, SHIFT(5090),
  [10741] = {.count = 1, .reusable = true}, SHIFT(7846),
  [10743] = {.count = 1, .reusable = true}, SHIFT(2493),
  [10745] = {.count = 1, .reusable = true}, SHIFT(7859),
  [10747] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(2516),
  [10750] = {.count = 1, .reusable = true}, REDUCE(sym_singleton_class, 5, .alias_sequence_id = 35),
  [10752] = {.count = 1, .reusable = false}, REDUCE(sym_singleton_class, 5, .alias_sequence_id = 35),
  [10754] = {.count = 1, .reusable = true}, REDUCE(sym_class, 5),
  [10756] = {.count = 1, .reusable = false}, REDUCE(sym_class, 5),
  [10758] = {.count = 1, .reusable = true}, SHIFT(7864),
  [10760] = {.count = 1, .reusable = true}, SHIFT(7866),
  [10762] = {.count = 1, .reusable = true}, SHIFT(7868),
  [10764] = {.count = 1, .reusable = true}, SHIFT(7870),
  [10766] = {.count = 1, .reusable = true}, SHIFT(2549),
  [10768] = {.count = 1, .reusable = true}, SHIFT(7894),
  [10770] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(2571),
  [10773] = {.count = 1, .reusable = true}, SHIFT(7899),
  [10775] = {.count = 1, .reusable = true}, SHIFT(7916),
  [10777] = {.count = 1, .reusable = true}, SHIFT(2620),
  [10779] = {.count = 1, .reusable = true}, SHIFT(7928),
  [10781] = {.count = 1, .reusable = true}, SHIFT(2644),
  [10783] = {.count = 1, .reusable = true}, REDUCE(sym__argument_list_with_parens, 4, .alias_sequence_id = 16),
  [10785] = {.count = 1, .reusable = false}, REDUCE(sym__argument_list_with_parens, 4, .alias_sequence_id = 16),
  [10787] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(2664),
  [10790] = {.count = 1, .reusable = true}, SHIFT(7940),
  [10792] = {.count = 1, .reusable = true}, SHIFT(7941),
  [10794] = {.count = 1, .reusable = true}, SHIFT(7943),
  [10796] = {.count = 1, .reusable = true}, SHIFT(7944),
  [10798] = {.count = 1, .reusable = true}, SHIFT(7945),
  [10800] = {.count = 1, .reusable = false}, SHIFT(7945),
  [10802] = {.count = 1, .reusable = true}, SHIFT(7947),
  [10804] = {.count = 1, .reusable = true}, SHIFT(7948),
  [10806] = {.count = 2, .reusable = true}, REDUCE(aux_sym_call_repeat1, 2), SHIFT_REPEAT(2705),
  [10809] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(2707),
  [10812] = {.count = 1, .reusable = true}, SHIFT(7950),
  [10814] = {.count = 1, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 3),
  [10816] = {.count = 1, .reusable = false}, REDUCE(aux_sym_argument_list_repeat1, 3),
  [10818] = {.count = 1, .reusable = true}, SHIFT(5317),
  [10820] = {.count = 1, .reusable = true}, SHIFT(2744),
  [10822] = {.count = 1, .reusable = true}, SHIFT(7978),
  [10824] = {.count = 1, .reusable = true}, SHIFT(2768),
  [10826] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(2775),
  [10829] = {.count = 1, .reusable = true}, SHIFT(7988),
  [10831] = {.count = 1, .reusable = false}, SHIFT(7989),
  [10833] = {.count = 1, .reusable = false}, SHIFT(7990),
  [10835] = {.count = 1, .reusable = false}, SHIFT(7991),
  [10837] = {.count = 1, .reusable = false}, SHIFT(7992),
  [10839] = {.count = 1, .reusable = false}, SHIFT(7993),
  [10841] = {.count = 1, .reusable = true}, SHIFT(7994),
  [10843] = {.count = 1, .reusable = false}, SHIFT(7994),
  [10845] = {.count = 1, .reusable = true}, SHIFT(7995),
  [10847] = {.count = 1, .reusable = false}, SHIFT(5392),
  [10849] = {.count = 1, .reusable = true}, SHIFT(8003),
  [10851] = {.count = 1, .reusable = true}, SHIFT(8005),
  [10853] = {.count = 1, .reusable = true}, SHIFT(8006),
  [10855] = {.count = 1, .reusable = true}, SHIFT(8007),
  [10857] = {.count = 1, .reusable = false}, SHIFT(8009),
  [10859] = {.count = 1, .reusable = true}, SHIFT(8016),
  [10861] = {.count = 1, .reusable = true}, SHIFT(8017),
  [10863] = {.count = 1, .reusable = false}, SHIFT(8018),
  [10865] = {.count = 1, .reusable = true}, SHIFT(8019),
  [10867] = {.count = 1, .reusable = false}, SHIFT(8020),
  [10869] = {.count = 1, .reusable = false}, SHIFT(8021),
  [10871] = {.count = 1, .reusable = true}, SHIFT(8022),
  [10873] = {.count = 1, .reusable = true}, SHIFT(8023),
  [10875] = {.count = 1, .reusable = false}, SHIFT(8024),
  [10877] = {.count = 1, .reusable = true}, SHIFT(8024),
  [10879] = {.count = 1, .reusable = true}, SHIFT(8026),
  [10881] = {.count = 1, .reusable = true}, SHIFT(8027),
  [10883] = {.count = 1, .reusable = false}, SHIFT(8026),
  [10885] = {.count = 1, .reusable = true}, SHIFT(8021),
  [10887] = {.count = 1, .reusable = true}, SHIFT(8018),
  [10889] = {.count = 1, .reusable = true}, SHIFT(8028),
  [10891] = {.count = 1, .reusable = true}, SHIFT(8029),
  [10893] = {.count = 1, .reusable = true}, SHIFT(8030),
  [10895] = {.count = 1, .reusable = true}, SHIFT(8031),
  [10897] = {.count = 1, .reusable = false}, SHIFT(8033),
  [10899] = {.count = 1, .reusable = true}, SHIFT(8039),
  [10901] = {.count = 1, .reusable = true}, SHIFT(8041),
  [10903] = {.count = 1, .reusable = false}, SHIFT(8041),
  [10905] = {.count = 1, .reusable = true}, SHIFT(8042),
  [10907] = {.count = 1, .reusable = true}, SHIFT(8043),
  [10909] = {.count = 1, .reusable = true}, SHIFT(8045),
  [10911] = {.count = 1, .reusable = true}, REDUCE(sym_if, 5),
  [10913] = {.count = 1, .reusable = false}, REDUCE(sym_if, 5),
  [10915] = {.count = 1, .reusable = true}, SHIFT(8047),
  [10917] = {.count = 1, .reusable = true}, SHIFT(8048),
  [10919] = {.count = 1, .reusable = true}, SHIFT(8067),
  [10921] = {.count = 1, .reusable = false}, SHIFT(8068),
  [10923] = {.count = 1, .reusable = false}, SHIFT(8069),
  [10925] = {.count = 1, .reusable = false}, SHIFT(8070),
  [10927] = {.count = 1, .reusable = false}, SHIFT(8071),
  [10929] = {.count = 1, .reusable = false}, SHIFT(8072),
  [10931] = {.count = 1, .reusable = true}, SHIFT(8073),
  [10933] = {.count = 1, .reusable = false}, SHIFT(8073),
  [10935] = {.count = 1, .reusable = true}, SHIFT(8074),
  [10937] = {.count = 1, .reusable = false}, SHIFT(8076),
  [10939] = {.count = 1, .reusable = true}, SHIFT(8076),
  [10941] = {.count = 1, .reusable = false}, SHIFT(5438),
  [10943] = {.count = 1, .reusable = true}, SHIFT(8083),
  [10945] = {.count = 1, .reusable = true}, SHIFT(8087),
  [10947] = {.count = 1, .reusable = true}, SHIFT(8088),
  [10949] = {.count = 1, .reusable = false}, SHIFT(8089),
  [10951] = {.count = 1, .reusable = false}, SHIFT(8090),
  [10953] = {.count = 1, .reusable = false}, SHIFT(8091),
  [10955] = {.count = 1, .reusable = false}, SHIFT(8092),
  [10957] = {.count = 1, .reusable = true}, SHIFT(8093),
  [10959] = {.count = 1, .reusable = true}, SHIFT(8094),
  [10961] = {.count = 1, .reusable = false}, SHIFT(8095),
  [10963] = {.count = 1, .reusable = true}, SHIFT(8095),
  [10965] = {.count = 1, .reusable = false}, SHIFT(8097),
  [10967] = {.count = 1, .reusable = false}, SHIFT(8098),
  [10969] = {.count = 1, .reusable = true}, SHIFT(8097),
  [10971] = {.count = 1, .reusable = true}, SHIFT(8092),
  [10973] = {.count = 1, .reusable = false}, SHIFT(8099),
  [10975] = {.count = 1, .reusable = true}, SHIFT(8101),
  [10977] = {.count = 1, .reusable = true}, SHIFT(8103),
  [10979] = {.count = 1, .reusable = false}, SHIFT(8103),
  [10981] = {.count = 1, .reusable = true}, SHIFT(8104),
  [10983] = {.count = 1, .reusable = true}, SHIFT(8105),
  [10985] = {.count = 1, .reusable = true}, SHIFT(8107),
  [10987] = {.count = 1, .reusable = true}, SHIFT(8108),
  [10989] = {.count = 1, .reusable = false}, SHIFT(8109),
  [10991] = {.count = 1, .reusable = true}, SHIFT(8110),
  [10993] = {.count = 1, .reusable = false}, SHIFT(8110),
  [10995] = {.count = 1, .reusable = true}, SHIFT(8111),
  [10997] = {.count = 1, .reusable = true}, SHIFT(8136),
  [10999] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(2858),
  [11002] = {.count = 1, .reusable = true}, SHIFT(8154),
  [11004] = {.count = 1, .reusable = false}, SHIFT(8155),
  [11006] = {.count = 1, .reusable = false}, SHIFT(8156),
  [11008] = {.count = 1, .reusable = false}, SHIFT(8157),
  [11010] = {.count = 1, .reusable = false}, SHIFT(8158),
  [11012] = {.count = 1, .reusable = false}, SHIFT(8159),
  [11014] = {.count = 1, .reusable = true}, SHIFT(8160),
  [11016] = {.count = 1, .reusable = false}, SHIFT(8160),
  [11018] = {.count = 1, .reusable = true}, SHIFT(8161),
  [11020] = {.count = 1, .reusable = false}, SHIFT(5525),
  [11022] = {.count = 1, .reusable = true}, SHIFT(8169),
  [11024] = {.count = 1, .reusable = true}, SHIFT(8171),
  [11026] = {.count = 1, .reusable = true}, SHIFT(8172),
  [11028] = {.count = 1, .reusable = true}, SHIFT(8173),
  [11030] = {.count = 1, .reusable = false}, SHIFT(8175),
  [11032] = {.count = 1, .reusable = true}, SHIFT(8182),
  [11034] = {.count = 1, .reusable = true}, SHIFT(8183),
  [11036] = {.count = 1, .reusable = false}, SHIFT(8184),
  [11038] = {.count = 1, .reusable = true}, SHIFT(8185),
  [11040] = {.count = 1, .reusable = false}, SHIFT(8186),
  [11042] = {.count = 1, .reusable = false}, SHIFT(8187),
  [11044] = {.count = 1, .reusable = true}, SHIFT(8188),
  [11046] = {.count = 1, .reusable = true}, SHIFT(8189),
  [11048] = {.count = 1, .reusable = false}, SHIFT(8190),
  [11050] = {.count = 1, .reusable = true}, SHIFT(8190),
  [11052] = {.count = 1, .reusable = true}, SHIFT(8192),
  [11054] = {.count = 1, .reusable = true}, SHIFT(8193),
  [11056] = {.count = 1, .reusable = false}, SHIFT(8192),
  [11058] = {.count = 1, .reusable = true}, SHIFT(8187),
  [11060] = {.count = 1, .reusable = true}, SHIFT(8184),
  [11062] = {.count = 1, .reusable = true}, SHIFT(8194),
  [11064] = {.count = 1, .reusable = true}, SHIFT(8195),
  [11066] = {.count = 1, .reusable = true}, SHIFT(8196),
  [11068] = {.count = 1, .reusable = true}, SHIFT(8197),
  [11070] = {.count = 1, .reusable = false}, SHIFT(8199),
  [11072] = {.count = 1, .reusable = true}, SHIFT(8205),
  [11074] = {.count = 1, .reusable = true}, SHIFT(8207),
  [11076] = {.count = 1, .reusable = false}, SHIFT(8207),
  [11078] = {.count = 1, .reusable = true}, SHIFT(8208),
  [11080] = {.count = 1, .reusable = true}, SHIFT(8209),
  [11082] = {.count = 1, .reusable = true}, REDUCE(sym_unless, 5),
  [11084] = {.count = 1, .reusable = false}, REDUCE(sym_unless, 5),
  [11086] = {.count = 1, .reusable = true}, SHIFT(8212),
  [11088] = {.count = 1, .reusable = true}, SHIFT(8213),
  [11090] = {.count = 1, .reusable = true}, SHIFT(8232),
  [11092] = {.count = 1, .reusable = false}, SHIFT(8233),
  [11094] = {.count = 1, .reusable = false}, SHIFT(8234),
  [11096] = {.count = 1, .reusable = false}, SHIFT(8235),
  [11098] = {.count = 1, .reusable = false}, SHIFT(8236),
  [11100] = {.count = 1, .reusable = false}, SHIFT(8237),
  [11102] = {.count = 1, .reusable = true}, SHIFT(8238),
  [11104] = {.count = 1, .reusable = false}, SHIFT(8238),
  [11106] = {.count = 1, .reusable = true}, SHIFT(8239),
  [11108] = {.count = 1, .reusable = false}, SHIFT(8241),
  [11110] = {.count = 1, .reusable = true}, SHIFT(8241),
  [11112] = {.count = 1, .reusable = false}, SHIFT(5569),
  [11114] = {.count = 1, .reusable = true}, SHIFT(8248),
  [11116] = {.count = 1, .reusable = true}, SHIFT(8252),
  [11118] = {.count = 1, .reusable = true}, SHIFT(8253),
  [11120] = {.count = 1, .reusable = false}, SHIFT(8254),
  [11122] = {.count = 1, .reusable = false}, SHIFT(8255),
  [11124] = {.count = 1, .reusable = false}, SHIFT(8256),
  [11126] = {.count = 1, .reusable = false}, SHIFT(8257),
  [11128] = {.count = 1, .reusable = true}, SHIFT(8258),
  [11130] = {.count = 1, .reusable = true}, SHIFT(8259),
  [11132] = {.count = 1, .reusable = false}, SHIFT(8260),
  [11134] = {.count = 1, .reusable = true}, SHIFT(8260),
  [11136] = {.count = 1, .reusable = false}, SHIFT(8262),
  [11138] = {.count = 1, .reusable = false}, SHIFT(8263),
  [11140] = {.count = 1, .reusable = true}, SHIFT(8262),
  [11142] = {.count = 1, .reusable = true}, SHIFT(8257),
  [11144] = {.count = 1, .reusable = false}, SHIFT(8264),
  [11146] = {.count = 1, .reusable = true}, SHIFT(8266),
  [11148] = {.count = 1, .reusable = true}, SHIFT(8268),
  [11150] = {.count = 1, .reusable = false}, SHIFT(8268),
  [11152] = {.count = 1, .reusable = true}, SHIFT(8269),
  [11154] = {.count = 1, .reusable = true}, SHIFT(8270),
  [11156] = {.count = 1, .reusable = true}, SHIFT(8272),
  [11158] = {.count = 1, .reusable = true}, SHIFT(8273),
  [11160] = {.count = 1, .reusable = false}, SHIFT(8274),
  [11162] = {.count = 1, .reusable = true}, SHIFT(8275),
  [11164] = {.count = 1, .reusable = false}, SHIFT(8275),
  [11166] = {.count = 1, .reusable = true}, SHIFT(8276),
  [11168] = {.count = 1, .reusable = true}, SHIFT(2915),
  [11170] = {.count = 1, .reusable = true}, SHIFT(8308),
  [11172] = {.count = 1, .reusable = true}, SHIFT(2940),
  [11174] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(2947),
  [11177] = {.count = 1, .reusable = true}, REDUCE(sym_while, 5),
  [11179] = {.count = 1, .reusable = false}, REDUCE(sym_while, 5),
  [11181] = {.count = 1, .reusable = true}, SHIFT(8335),
  [11183] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(3002),
  [11186] = {.count = 1, .reusable = true}, REDUCE(sym_until, 5),
  [11188] = {.count = 1, .reusable = false}, REDUCE(sym_until, 5),
  [11190] = {.count = 1, .reusable = true}, SHIFT(8355),
  [11192] = {.count = 1, .reusable = true}, SHIFT(8357),
  [11194] = {.count = 1, .reusable = true}, SHIFT(8359),
  [11196] = {.count = 1, .reusable = true}, SHIFT(8361),
  [11198] = {.count = 1, .reusable = true}, SHIFT(8374),
  [11200] = {.count = 1, .reusable = false}, SHIFT(8375),
  [11202] = {.count = 1, .reusable = false}, SHIFT(8376),
  [11204] = {.count = 1, .reusable = false}, SHIFT(8377),
  [11206] = {.count = 1, .reusable = false}, SHIFT(8378),
  [11208] = {.count = 1, .reusable = false}, SHIFT(8379),
  [11210] = {.count = 1, .reusable = true}, SHIFT(8380),
  [11212] = {.count = 1, .reusable = false}, SHIFT(8380),
  [11214] = {.count = 1, .reusable = true}, SHIFT(8381),
  [11216] = {.count = 1, .reusable = true}, SHIFT(8387),
  [11218] = {.count = 1, .reusable = true}, SHIFT(8389),
  [11220] = {.count = 1, .reusable = true}, SHIFT(8391),
  [11222] = {.count = 1, .reusable = true}, SHIFT(8393),
  [11224] = {.count = 1, .reusable = true}, SHIFT(3042),
  [11226] = {.count = 1, .reusable = true}, SHIFT(8405),
  [11228] = {.count = 1, .reusable = true}, SHIFT(3067),
  [11230] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(3083),
  [11233] = {.count = 1, .reusable = true}, REDUCE(sym_for, 5),
  [11235] = {.count = 1, .reusable = false}, REDUCE(sym_for, 5),
  [11237] = {.count = 1, .reusable = true}, SHIFT(8431),
  [11239] = {.count = 1, .reusable = true}, SHIFT(3111),
  [11241] = {.count = 1, .reusable = true}, SHIFT(8457),
  [11243] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(3133),
  [11246] = {.count = 1, .reusable = true}, REDUCE(sym_case, 5),
  [11248] = {.count = 1, .reusable = false}, REDUCE(sym_case, 5),
  [11250] = {.count = 1, .reusable = true}, SHIFT(8461),
  [11252] = {.count = 1, .reusable = true}, SHIFT(8477),
  [11254] = {.count = 1, .reusable = false}, SHIFT(8478),
  [11256] = {.count = 1, .reusable = true}, SHIFT(8479),
  [11258] = {.count = 1, .reusable = false}, SHIFT(8479),
  [11260] = {.count = 1, .reusable = true}, SHIFT(8480),
  [11262] = {.count = 1, .reusable = true}, SHIFT(8485),
  [11264] = {.count = 1, .reusable = true}, SHIFT(8487),
  [11266] = {.count = 1, .reusable = true}, SHIFT(8489),
  [11268] = {.count = 1, .reusable = true}, SHIFT(8491),
  [11270] = {.count = 1, .reusable = true}, SHIFT(8493),
  [11272] = {.count = 1, .reusable = false}, REDUCE(sym_when, 3),
  [11274] = {.count = 1, .reusable = false}, SHIFT(8494),
  [11276] = {.count = 1, .reusable = false}, SHIFT(8495),
  [11278] = {.count = 1, .reusable = false}, SHIFT(8496),
  [11280] = {.count = 1, .reusable = false}, SHIFT(8497),
  [11282] = {.count = 1, .reusable = false}, SHIFT(1189),
  [11284] = {.count = 1, .reusable = false}, SHIFT(8498),
  [11286] = {.count = 1, .reusable = true}, SHIFT(8499),
  [11288] = {.count = 1, .reusable = false}, SHIFT(8499),
  [11290] = {.count = 1, .reusable = true}, SHIFT(8500),
  [11292] = {.count = 1, .reusable = false}, SHIFT(8507),
  [11294] = {.count = 1, .reusable = true}, SHIFT(8507),
  [11296] = {.count = 1, .reusable = false}, SHIFT(8501),
  [11298] = {.count = 1, .reusable = true}, SHIFT(8511),
  [11300] = {.count = 1, .reusable = true}, SHIFT(8525),
  [11302] = {.count = 1, .reusable = false}, SHIFT(8526),
  [11304] = {.count = 1, .reusable = false}, SHIFT(8527),
  [11306] = {.count = 1, .reusable = false}, SHIFT(8528),
  [11308] = {.count = 1, .reusable = false}, SHIFT(8529),
  [11310] = {.count = 1, .reusable = false}, SHIFT(8530),
  [11312] = {.count = 1, .reusable = true}, SHIFT(8531),
  [11314] = {.count = 1, .reusable = false}, SHIFT(8531),
  [11316] = {.count = 1, .reusable = true}, SHIFT(8532),
  [11318] = {.count = 1, .reusable = false}, SHIFT(8534),
  [11320] = {.count = 1, .reusable = true}, SHIFT(8534),
  [11322] = {.count = 1, .reusable = true}, SHIFT(8539),
  [11324] = {.count = 1, .reusable = true}, SHIFT(8541),
  [11326] = {.count = 1, .reusable = true}, SHIFT(8543),
  [11328] = {.count = 1, .reusable = true}, SHIFT(8545),
  [11330] = {.count = 1, .reusable = true}, SHIFT(8546),
  [11332] = {.count = 1, .reusable = true}, SHIFT(3203),
  [11334] = {.count = 1, .reusable = true}, SHIFT(8576),
  [11336] = {.count = 1, .reusable = true}, SHIFT(3227),
  [11338] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(3234),
  [11341] = {.count = 1, .reusable = true}, SHIFT(3246),
  [11343] = {.count = 1, .reusable = true}, SHIFT(8608),
  [11345] = {.count = 1, .reusable = true}, SHIFT(8611),
  [11347] = {.count = 1, .reusable = true}, SHIFT(8612),
  [11349] = {.count = 1, .reusable = false}, SHIFT(8612),
  [11351] = {.count = 1, .reusable = true}, SHIFT(8613),
  [11353] = {.count = 1, .reusable = true}, SHIFT(8616),
  [11355] = {.count = 1, .reusable = false}, SHIFT(8617),
  [11357] = {.count = 1, .reusable = false}, SHIFT(8618),
  [11359] = {.count = 1, .reusable = false}, SHIFT(8619),
  [11361] = {.count = 1, .reusable = false}, SHIFT(8620),
  [11363] = {.count = 1, .reusable = false}, SHIFT(8621),
  [11365] = {.count = 1, .reusable = true}, SHIFT(8622),
  [11367] = {.count = 1, .reusable = false}, SHIFT(8622),
  [11369] = {.count = 1, .reusable = true}, SHIFT(8623),
  [11371] = {.count = 1, .reusable = true}, SHIFT(8629),
  [11373] = {.count = 1, .reusable = true}, SHIFT(8634),
  [11375] = {.count = 1, .reusable = true}, SHIFT(8635),
  [11377] = {.count = 1, .reusable = true}, SHIFT(8639),
  [11379] = {.count = 1, .reusable = true}, SHIFT(8640),
  [11381] = {.count = 1, .reusable = true}, SHIFT(8641),
  [11383] = {.count = 1, .reusable = false}, SHIFT(6025),
  [11385] = {.count = 1, .reusable = false}, SHIFT(8643),
  [11387] = {.count = 1, .reusable = true}, SHIFT(8651),
  [11389] = {.count = 1, .reusable = false}, SHIFT(8648),
  [11391] = {.count = 1, .reusable = true}, SHIFT(8654),
  [11393] = {.count = 1, .reusable = true}, SHIFT(8655),
  [11395] = {.count = 1, .reusable = false}, SHIFT(8656),
  [11397] = {.count = 1, .reusable = true}, SHIFT(8657),
  [11399] = {.count = 1, .reusable = false}, SHIFT(8658),
  [11401] = {.count = 1, .reusable = false}, SHIFT(8659),
  [11403] = {.count = 1, .reusable = true}, SHIFT(8660),
  [11405] = {.count = 1, .reusable = true}, SHIFT(8661),
  [11407] = {.count = 1, .reusable = false}, SHIFT(8662),
  [11409] = {.count = 1, .reusable = true}, SHIFT(8662),
  [11411] = {.count = 1, .reusable = true}, SHIFT(8663),
  [11413] = {.count = 1, .reusable = true}, SHIFT(8664),
  [11415] = {.count = 1, .reusable = true}, SHIFT(8665),
  [11417] = {.count = 1, .reusable = false}, SHIFT(8664),
  [11419] = {.count = 1, .reusable = true}, SHIFT(8659),
  [11421] = {.count = 1, .reusable = true}, SHIFT(8656),
  [11423] = {.count = 1, .reusable = true}, SHIFT(8666),
  [11425] = {.count = 1, .reusable = true}, SHIFT(8667),
  [11427] = {.count = 1, .reusable = true}, SHIFT(6022),
  [11429] = {.count = 1, .reusable = true}, SHIFT(8669),
  [11431] = {.count = 1, .reusable = true}, SHIFT(8671),
  [11433] = {.count = 1, .reusable = true}, SHIFT(8673),
  [11435] = {.count = 1, .reusable = false}, SHIFT(8673),
  [11437] = {.count = 1, .reusable = true}, SHIFT(8674),
  [11439] = {.count = 1, .reusable = true}, SHIFT(8675),
  [11441] = {.count = 1, .reusable = true}, REDUCE(sym_rescue, 4),
  [11443] = {.count = 1, .reusable = false}, REDUCE(sym_rescue, 4),
  [11445] = {.count = 1, .reusable = true}, SHIFT(8679),
  [11447] = {.count = 1, .reusable = true}, SHIFT(3285),
  [11449] = {.count = 1, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2),
  [11451] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(3301),
  [11454] = {.count = 1, .reusable = true}, SHIFT(8711),
  [11456] = {.count = 1, .reusable = true}, SHIFT(8712),
  [11458] = {.count = 1, .reusable = false}, SHIFT(8713),
  [11460] = {.count = 1, .reusable = true}, SHIFT(8714),
  [11462] = {.count = 1, .reusable = false}, SHIFT(8715),
  [11464] = {.count = 1, .reusable = false}, SHIFT(8716),
  [11466] = {.count = 1, .reusable = true}, SHIFT(8717),
  [11468] = {.count = 1, .reusable = false}, SHIFT(8718),
  [11470] = {.count = 1, .reusable = true}, SHIFT(8718),
  [11472] = {.count = 1, .reusable = true}, SHIFT(8720),
  [11474] = {.count = 1, .reusable = true}, SHIFT(8721),
  [11476] = {.count = 1, .reusable = false}, SHIFT(8720),
  [11478] = {.count = 1, .reusable = true}, SHIFT(8716),
  [11480] = {.count = 1, .reusable = true}, SHIFT(8713),
  [11482] = {.count = 1, .reusable = true}, SHIFT(8722),
  [11484] = {.count = 1, .reusable = true}, SHIFT(8723),
  [11486] = {.count = 1, .reusable = false}, SHIFT(8723),
  [11488] = {.count = 1, .reusable = true}, SHIFT(8724),
  [11490] = {.count = 1, .reusable = true}, SHIFT(8729),
  [11492] = {.count = 1, .reusable = true}, SHIFT(8733),
  [11494] = {.count = 1, .reusable = true}, SHIFT(8735),
  [11496] = {.count = 1, .reusable = true}, SHIFT(8751),
  [11498] = {.count = 1, .reusable = true}, SHIFT(8755),
  [11500] = {.count = 1, .reusable = true}, SHIFT(8757),
  [11502] = {.count = 1, .reusable = true}, SHIFT(3311),
  [11504] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(8768),
  [11507] = {.count = 1, .reusable = true}, SHIFT(8769),
  [11509] = {.count = 1, .reusable = true}, SHIFT(8773),
  [11511] = {.count = 1, .reusable = true}, SHIFT(8774),
  [11513] = {.count = 1, .reusable = false}, SHIFT(8775),
  [11515] = {.count = 1, .reusable = false}, SHIFT(8776),
  [11517] = {.count = 1, .reusable = false}, SHIFT(8777),
  [11519] = {.count = 1, .reusable = false}, SHIFT(8778),
  [11521] = {.count = 1, .reusable = true}, SHIFT(8779),
  [11523] = {.count = 1, .reusable = false}, SHIFT(8780),
  [11525] = {.count = 1, .reusable = true}, SHIFT(8780),
  [11527] = {.count = 1, .reusable = false}, SHIFT(8782),
  [11529] = {.count = 1, .reusable = false}, SHIFT(8783),
  [11531] = {.count = 1, .reusable = true}, SHIFT(8782),
  [11533] = {.count = 1, .reusable = true}, SHIFT(8778),
  [11535] = {.count = 1, .reusable = false}, SHIFT(8784),
  [11537] = {.count = 1, .reusable = true}, SHIFT(8785),
  [11539] = {.count = 1, .reusable = false}, SHIFT(8785),
  [11541] = {.count = 1, .reusable = true}, SHIFT(8786),
  [11543] = {.count = 1, .reusable = true}, SHIFT(3353),
  [11545] = {.count = 1, .reusable = true}, SHIFT(8815),
  [11547] = {.count = 1, .reusable = true}, SHIFT(8816),
  [11549] = {.count = 1, .reusable = false}, SHIFT(8817),
  [11551] = {.count = 1, .reusable = true}, SHIFT(8818),
  [11553] = {.count = 1, .reusable = false}, SHIFT(8819),
  [11555] = {.count = 1, .reusable = false}, SHIFT(8820),
  [11557] = {.count = 1, .reusable = true}, SHIFT(8821),
  [11559] = {.count = 1, .reusable = false}, SHIFT(8822),
  [11561] = {.count = 1, .reusable = true}, SHIFT(8822),
  [11563] = {.count = 1, .reusable = true}, SHIFT(8824),
  [11565] = {.count = 1, .reusable = true}, SHIFT(8825),
  [11567] = {.count = 1, .reusable = false}, SHIFT(8824),
  [11569] = {.count = 1, .reusable = true}, SHIFT(8820),
  [11571] = {.count = 1, .reusable = true}, SHIFT(8817),
  [11573] = {.count = 1, .reusable = true}, SHIFT(8826),
  [11575] = {.count = 1, .reusable = true}, SHIFT(8827),
  [11577] = {.count = 1, .reusable = true}, SHIFT(8829),
  [11579] = {.count = 1, .reusable = false}, SHIFT(8829),
  [11581] = {.count = 1, .reusable = true}, SHIFT(8830),
  [11583] = {.count = 1, .reusable = true}, SHIFT(8836),
  [11585] = {.count = 1, .reusable = true}, SHIFT(8837),
  [11587] = {.count = 1, .reusable = false}, SHIFT(8838),
  [11589] = {.count = 1, .reusable = true}, SHIFT(8839),
  [11591] = {.count = 1, .reusable = false}, SHIFT(8840),
  [11593] = {.count = 1, .reusable = false}, SHIFT(8841),
  [11595] = {.count = 1, .reusable = true}, SHIFT(8842),
  [11597] = {.count = 1, .reusable = false}, SHIFT(8843),
  [11599] = {.count = 1, .reusable = true}, SHIFT(8843),
  [11601] = {.count = 1, .reusable = true}, SHIFT(8845),
  [11603] = {.count = 1, .reusable = true}, SHIFT(8846),
  [11605] = {.count = 1, .reusable = false}, SHIFT(8845),
  [11607] = {.count = 1, .reusable = true}, SHIFT(8841),
  [11609] = {.count = 1, .reusable = true}, SHIFT(8838),
  [11611] = {.count = 1, .reusable = true}, SHIFT(8847),
  [11613] = {.count = 1, .reusable = true}, SHIFT(8848),
  [11615] = {.count = 1, .reusable = false}, SHIFT(8848),
  [11617] = {.count = 1, .reusable = true}, SHIFT(8849),
  [11619] = {.count = 1, .reusable = true}, SHIFT(8854),
  [11621] = {.count = 1, .reusable = true}, SHIFT(8858),
  [11623] = {.count = 1, .reusable = true}, SHIFT(8860),
  [11625] = {.count = 1, .reusable = true}, SHIFT(8876),
  [11627] = {.count = 1, .reusable = true}, SHIFT(8880),
  [11629] = {.count = 1, .reusable = true}, SHIFT(8882),
  [11631] = {.count = 1, .reusable = true}, SHIFT(3378),
  [11633] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(8893),
  [11636] = {.count = 1, .reusable = true}, SHIFT(8894),
  [11638] = {.count = 1, .reusable = true}, SHIFT(8898),
  [11640] = {.count = 1, .reusable = true}, SHIFT(8899),
  [11642] = {.count = 1, .reusable = false}, SHIFT(8900),
  [11644] = {.count = 1, .reusable = false}, SHIFT(8901),
  [11646] = {.count = 1, .reusable = false}, SHIFT(8902),
  [11648] = {.count = 1, .reusable = false}, SHIFT(8903),
  [11650] = {.count = 1, .reusable = true}, SHIFT(8904),
  [11652] = {.count = 1, .reusable = false}, SHIFT(8905),
  [11654] = {.count = 1, .reusable = true}, SHIFT(8905),
  [11656] = {.count = 1, .reusable = false}, SHIFT(8907),
  [11658] = {.count = 1, .reusable = false}, SHIFT(8908),
  [11660] = {.count = 1, .reusable = true}, SHIFT(8907),
  [11662] = {.count = 1, .reusable = true}, SHIFT(8903),
  [11664] = {.count = 1, .reusable = false}, SHIFT(8909),
  [11666] = {.count = 1, .reusable = true}, SHIFT(8910),
  [11668] = {.count = 1, .reusable = false}, SHIFT(8910),
  [11670] = {.count = 1, .reusable = true}, SHIFT(8911),
  [11672] = {.count = 1, .reusable = true}, SHIFT(3420),
  [11674] = {.count = 1, .reusable = true}, SHIFT(8940),
  [11676] = {.count = 1, .reusable = true}, SHIFT(8941),
  [11678] = {.count = 1, .reusable = false}, SHIFT(8942),
  [11680] = {.count = 1, .reusable = true}, SHIFT(8943),
  [11682] = {.count = 1, .reusable = false}, SHIFT(8944),
  [11684] = {.count = 1, .reusable = false}, SHIFT(8945),
  [11686] = {.count = 1, .reusable = true}, SHIFT(8946),
  [11688] = {.count = 1, .reusable = false}, SHIFT(8947),
  [11690] = {.count = 1, .reusable = true}, SHIFT(8947),
  [11692] = {.count = 1, .reusable = true}, SHIFT(8949),
  [11694] = {.count = 1, .reusable = true}, SHIFT(8950),
  [11696] = {.count = 1, .reusable = false}, SHIFT(8949),
  [11698] = {.count = 1, .reusable = true}, SHIFT(8945),
  [11700] = {.count = 1, .reusable = true}, SHIFT(8942),
  [11702] = {.count = 1, .reusable = true}, SHIFT(8951),
  [11704] = {.count = 1, .reusable = true}, SHIFT(8952),
  [11706] = {.count = 1, .reusable = true}, SHIFT(8954),
  [11708] = {.count = 1, .reusable = false}, SHIFT(8954),
  [11710] = {.count = 1, .reusable = true}, SHIFT(8955),
  [11712] = {.count = 1, .reusable = true}, REDUCE(sym__body_statement, 4),
  [11714] = {.count = 1, .reusable = false}, REDUCE(sym__body_statement, 4),
  [11716] = {.count = 1, .reusable = true}, SHIFT(8956),
  [11718] = {.count = 1, .reusable = true}, SHIFT(8974),
  [11720] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(3496),
  [11723] = {.count = 1, .reusable = true}, SHIFT(8992),
  [11725] = {.count = 1, .reusable = true}, SHIFT(8993),
  [11727] = {.count = 1, .reusable = true}, SHIFT(8994),
  [11729] = {.count = 1, .reusable = true}, SHIFT(8995),
  [11731] = {.count = 1, .reusable = true}, SHIFT(8996),
  [11733] = {.count = 1, .reusable = true}, SHIFT(8997),
  [11735] = {.count = 1, .reusable = true}, SHIFT(9001),
  [11737] = {.count = 1, .reusable = true}, SHIFT(9002),
  [11739] = {.count = 1, .reusable = false}, SHIFT(9003),
  [11741] = {.count = 1, .reusable = true}, SHIFT(9004),
  [11743] = {.count = 1, .reusable = false}, SHIFT(9005),
  [11745] = {.count = 1, .reusable = false}, SHIFT(9006),
  [11747] = {.count = 1, .reusable = true}, SHIFT(9007),
  [11749] = {.count = 1, .reusable = false}, SHIFT(9008),
  [11751] = {.count = 1, .reusable = true}, SHIFT(9008),
  [11753] = {.count = 1, .reusable = true}, SHIFT(9010),
  [11755] = {.count = 1, .reusable = true}, SHIFT(9011),
  [11757] = {.count = 1, .reusable = false}, SHIFT(9010),
  [11759] = {.count = 1, .reusable = true}, SHIFT(9006),
  [11761] = {.count = 1, .reusable = true}, SHIFT(9003),
  [11763] = {.count = 1, .reusable = true}, SHIFT(9012),
  [11765] = {.count = 1, .reusable = true}, SHIFT(9013),
  [11767] = {.count = 1, .reusable = false}, SHIFT(9013),
  [11769] = {.count = 1, .reusable = true}, SHIFT(9014),
  [11771] = {.count = 1, .reusable = true}, SHIFT(3536),
  [11773] = {.count = 1, .reusable = true}, SHIFT(9022),
  [11775] = {.count = 1, .reusable = true}, SHIFT(9026),
  [11777] = {.count = 1, .reusable = true}, SHIFT(9027),
  [11779] = {.count = 1, .reusable = false}, SHIFT(9028),
  [11781] = {.count = 1, .reusable = false}, SHIFT(9029),
  [11783] = {.count = 1, .reusable = false}, SHIFT(9030),
  [11785] = {.count = 1, .reusable = false}, SHIFT(9031),
  [11787] = {.count = 1, .reusable = true}, SHIFT(9032),
  [11789] = {.count = 1, .reusable = false}, SHIFT(9033),
  [11791] = {.count = 1, .reusable = true}, SHIFT(9033),
  [11793] = {.count = 1, .reusable = false}, SHIFT(9035),
  [11795] = {.count = 1, .reusable = false}, SHIFT(9036),
  [11797] = {.count = 1, .reusable = true}, SHIFT(9035),
  [11799] = {.count = 1, .reusable = true}, SHIFT(9031),
  [11801] = {.count = 1, .reusable = false}, SHIFT(9037),
  [11803] = {.count = 1, .reusable = true}, SHIFT(9038),
  [11805] = {.count = 1, .reusable = false}, SHIFT(9038),
  [11807] = {.count = 1, .reusable = true}, SHIFT(9039),
  [11809] = {.count = 1, .reusable = true}, SHIFT(3559),
  [11811] = {.count = 1, .reusable = true}, SHIFT(9051),
  [11813] = {.count = 1, .reusable = false}, SHIFT(9052),
  [11815] = {.count = 1, .reusable = false}, SHIFT(9053),
  [11817] = {.count = 1, .reusable = true}, SHIFT(9054),
  [11819] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(3601),
  [11822] = {.count = 1, .reusable = true}, SHIFT(9057),
  [11824] = {.count = 1, .reusable = false}, SHIFT(9057),
  [11826] = {.count = 1, .reusable = true}, SHIFT(9060),
  [11828] = {.count = 1, .reusable = true}, SHIFT(9062),
  [11830] = {.count = 1, .reusable = true}, SHIFT(9063),
  [11832] = {.count = 1, .reusable = false}, SHIFT(9064),
  [11834] = {.count = 1, .reusable = true}, SHIFT(9066),
  [11836] = {.count = 1, .reusable = true}, SHIFT(9068),
  [11838] = {.count = 1, .reusable = true}, SHIFT(9070),
  [11840] = {.count = 1, .reusable = true}, SHIFT(9071),
  [11842] = {.count = 1, .reusable = false}, SHIFT(9071),
  [11844] = {.count = 1, .reusable = true}, SHIFT(9073),
  [11846] = {.count = 1, .reusable = true}, SHIFT(9075),
  [11848] = {.count = 1, .reusable = true}, SHIFT(9076),
  [11850] = {.count = 1, .reusable = true}, SHIFT(9078),
  [11852] = {.count = 1, .reusable = true}, SHIFT(9079),
  [11854] = {.count = 1, .reusable = false}, SHIFT(9079),
  [11856] = {.count = 1, .reusable = true}, SHIFT(9081),
  [11858] = {.count = 1, .reusable = true}, SHIFT(9082),
  [11860] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(3681),
  [11863] = {.count = 1, .reusable = true}, SHIFT(9085),
  [11865] = {.count = 1, .reusable = true}, REDUCE(sym__argument_list_with_trailing_comma, 4),
  [11867] = {.count = 1, .reusable = true}, SHIFT(6567),
  [11869] = {.count = 1, .reusable = true}, REDUCE(sym_block_parameters, 3),
  [11871] = {.count = 1, .reusable = false}, REDUCE(sym_block_parameters, 3),
  [11873] = {.count = 1, .reusable = true}, SHIFT(9088),
  [11875] = {.count = 1, .reusable = true}, SHIFT(9089),
  [11877] = {.count = 1, .reusable = true}, SHIFT(9090),
  [11879] = {.count = 1, .reusable = true}, SHIFT(9092),
  [11881] = {.count = 1, .reusable = false}, SHIFT(9093),
  [11883] = {.count = 1, .reusable = false}, SHIFT(9094),
  [11885] = {.count = 1, .reusable = false}, SHIFT(9095),
  [11887] = {.count = 1, .reusable = false}, SHIFT(9096),
  [11889] = {.count = 1, .reusable = false}, SHIFT(9097),
  [11891] = {.count = 1, .reusable = true}, SHIFT(9098),
  [11893] = {.count = 1, .reusable = false}, SHIFT(9098),
  [11895] = {.count = 1, .reusable = true}, SHIFT(9099),
  [11897] = {.count = 1, .reusable = false}, SHIFT(9101),
  [11899] = {.count = 1, .reusable = true}, SHIFT(9101),
  [11901] = {.count = 1, .reusable = true}, SHIFT(9106),
  [11903] = {.count = 1, .reusable = true}, SHIFT(9107),
  [11905] = {.count = 1, .reusable = true}, REDUCE(sym_block, 4),
  [11907] = {.count = 1, .reusable = false}, REDUCE(sym_block, 4),
  [11909] = {.count = 1, .reusable = true}, REDUCE(sym_destructured_parameter, 3),
  [11911] = {.count = 1, .reusable = true}, SHIFT(9109),
  [11913] = {.count = 1, .reusable = true}, SHIFT(7543),
  [11915] = {.count = 1, .reusable = true}, REDUCE(aux_sym_method_parameters_repeat1, 2),
  [11917] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_parameters, 4),
  [11919] = {.count = 2, .reusable = true}, REDUCE(aux_sym_method_parameters_repeat1, 2), SHIFT_REPEAT(3709),
  [11922] = {.count = 1, .reusable = true}, SHIFT(9110),
  [11924] = {.count = 1, .reusable = true}, SHIFT(9112),
  [11926] = {.count = 1, .reusable = true}, SHIFT(9114),
  [11928] = {.count = 1, .reusable = false}, SHIFT(9112),
  [11930] = {.count = 1, .reusable = true}, SHIFT(9116),
  [11932] = {.count = 1, .reusable = true}, SHIFT(9117),
  [11934] = {.count = 1, .reusable = true}, SHIFT(9119),
  [11936] = {.count = 1, .reusable = true}, SHIFT(9120),
  [11938] = {.count = 1, .reusable = true}, REDUCE(sym_do_block, 4),
  [11940] = {.count = 1, .reusable = false}, REDUCE(sym_do_block, 4),
  [11942] = {.count = 1, .reusable = true}, SHIFT(9121),
  [11944] = {.count = 1, .reusable = false}, SHIFT(9121),
  [11946] = {.count = 1, .reusable = true}, SHIFT(9135),
  [11948] = {.count = 1, .reusable = true}, SHIFT(9136),
  [11950] = {.count = 1, .reusable = true}, SHIFT(9146),
  [11952] = {.count = 1, .reusable = true}, SHIFT(9147),
  [11954] = {.count = 1, .reusable = false}, SHIFT(9148),
  [11956] = {.count = 1, .reusable = true}, SHIFT(9149),
  [11958] = {.count = 1, .reusable = false}, SHIFT(9150),
  [11960] = {.count = 1, .reusable = false}, SHIFT(9151),
  [11962] = {.count = 1, .reusable = true}, SHIFT(9152),
  [11964] = {.count = 1, .reusable = false}, SHIFT(9153),
  [11966] = {.count = 1, .reusable = true}, SHIFT(9153),
  [11968] = {.count = 1, .reusable = true}, SHIFT(9155),
  [11970] = {.count = 1, .reusable = true}, SHIFT(9156),
  [11972] = {.count = 1, .reusable = false}, SHIFT(9155),
  [11974] = {.count = 1, .reusable = true}, SHIFT(9151),
  [11976] = {.count = 1, .reusable = true}, SHIFT(9148),
  [11978] = {.count = 1, .reusable = true}, SHIFT(9157),
  [11980] = {.count = 1, .reusable = true}, SHIFT(9158),
  [11982] = {.count = 1, .reusable = false}, SHIFT(9158),
  [11984] = {.count = 1, .reusable = true}, SHIFT(9159),
  [11986] = {.count = 1, .reusable = true}, SHIFT(9164),
  [11988] = {.count = 1, .reusable = true}, SHIFT(9168),
  [11990] = {.count = 1, .reusable = true}, SHIFT(9170),
  [11992] = {.count = 1, .reusable = true}, SHIFT(9186),
  [11994] = {.count = 1, .reusable = true}, SHIFT(9190),
  [11996] = {.count = 1, .reusable = true}, SHIFT(9192),
  [11998] = {.count = 1, .reusable = true}, SHIFT(3746),
  [12000] = {.count = 1, .reusable = true}, SHIFT(9202),
  [12002] = {.count = 1, .reusable = true}, REDUCE(sym_conditional, 5),
  [12004] = {.count = 1, .reusable = true}, SHIFT(9206),
  [12006] = {.count = 1, .reusable = true}, SHIFT(9207),
  [12008] = {.count = 1, .reusable = false}, SHIFT(9208),
  [12010] = {.count = 1, .reusable = false}, SHIFT(9209),
  [12012] = {.count = 1, .reusable = false}, SHIFT(9210),
  [12014] = {.count = 1, .reusable = false}, SHIFT(9211),
  [12016] = {.count = 1, .reusable = true}, SHIFT(9212),
  [12018] = {.count = 1, .reusable = false}, SHIFT(9213),
  [12020] = {.count = 1, .reusable = true}, SHIFT(9213),
  [12022] = {.count = 1, .reusable = false}, SHIFT(9215),
  [12024] = {.count = 1, .reusable = false}, SHIFT(9216),
  [12026] = {.count = 1, .reusable = true}, SHIFT(9215),
  [12028] = {.count = 1, .reusable = true}, SHIFT(9211),
  [12030] = {.count = 1, .reusable = false}, SHIFT(9217),
  [12032] = {.count = 1, .reusable = true}, SHIFT(9218),
  [12034] = {.count = 1, .reusable = false}, SHIFT(9218),
  [12036] = {.count = 1, .reusable = true}, SHIFT(9219),
  [12038] = {.count = 1, .reusable = true}, SHIFT(3781),
  [12040] = {.count = 1, .reusable = true}, SHIFT(9248),
  [12042] = {.count = 1, .reusable = true}, SHIFT(9249),
  [12044] = {.count = 1, .reusable = false}, SHIFT(9250),
  [12046] = {.count = 1, .reusable = true}, SHIFT(9251),
  [12048] = {.count = 1, .reusable = false}, SHIFT(9252),
  [12050] = {.count = 1, .reusable = false}, SHIFT(9253),
  [12052] = {.count = 1, .reusable = true}, SHIFT(9254),
  [12054] = {.count = 1, .reusable = false}, SHIFT(9255),
  [12056] = {.count = 1, .reusable = true}, SHIFT(9255),
  [12058] = {.count = 1, .reusable = true}, SHIFT(9257),
  [12060] = {.count = 1, .reusable = true}, SHIFT(9258),
  [12062] = {.count = 1, .reusable = false}, SHIFT(9257),
  [12064] = {.count = 1, .reusable = true}, SHIFT(9253),
  [12066] = {.count = 1, .reusable = true}, SHIFT(9250),
  [12068] = {.count = 1, .reusable = true}, SHIFT(9259),
  [12070] = {.count = 1, .reusable = true}, SHIFT(9260),
  [12072] = {.count = 1, .reusable = true}, SHIFT(9262),
  [12074] = {.count = 1, .reusable = false}, SHIFT(9262),
  [12076] = {.count = 1, .reusable = true}, SHIFT(9263),
  [12078] = {.count = 1, .reusable = true}, REDUCE(sym_element_reference, 5, .alias_sequence_id = 19),
  [12080] = {.count = 1, .reusable = false}, REDUCE(sym_element_reference, 5, .alias_sequence_id = 19),
  [12082] = {.count = 1, .reusable = true}, SHIFT(9265),
  [12084] = {.count = 1, .reusable = true}, SHIFT(9266),
  [12086] = {.count = 1, .reusable = true}, SHIFT(9267),
  [12088] = {.count = 1, .reusable = true}, SHIFT(9268),
  [12090] = {.count = 1, .reusable = true}, SHIFT(9269),
  [12092] = {.count = 1, .reusable = true}, SHIFT(9270),
  [12094] = {.count = 1, .reusable = true}, SHIFT(9271),
  [12096] = {.count = 1, .reusable = true}, SHIFT(9272),
  [12098] = {.count = 1, .reusable = true}, SHIFT(9273),
  [12100] = {.count = 1, .reusable = true}, SHIFT(9274),
  [12102] = {.count = 1, .reusable = true}, SHIFT(9276),
  [12104] = {.count = 1, .reusable = true}, SHIFT(9277),
  [12106] = {.count = 1, .reusable = true}, SHIFT(9278),
  [12108] = {.count = 1, .reusable = true}, SHIFT(9279),
  [12110] = {.count = 1, .reusable = true}, SHIFT(9280),
  [12112] = {.count = 1, .reusable = true}, SHIFT(9282),
  [12114] = {.count = 1, .reusable = true}, SHIFT(9283),
  [12116] = {.count = 1, .reusable = true}, SHIFT(9284),
  [12118] = {.count = 1, .reusable = true}, SHIFT(9285),
  [12120] = {.count = 1, .reusable = false}, SHIFT(9287),
  [12122] = {.count = 1, .reusable = true}, SHIFT(9288),
  [12124] = {.count = 1, .reusable = true}, SHIFT(9289),
  [12126] = {.count = 1, .reusable = false}, SHIFT(9290),
  [12128] = {.count = 1, .reusable = false}, SHIFT(9291),
  [12130] = {.count = 1, .reusable = true}, SHIFT(9295),
  [12132] = {.count = 1, .reusable = false}, SHIFT(9292),
  [12134] = {.count = 1, .reusable = false}, SHIFT(9296),
  [12136] = {.count = 1, .reusable = false}, SHIFT(9299),
  [12138] = {.count = 1, .reusable = false}, SHIFT(9301),
  [12140] = {.count = 1, .reusable = true}, SHIFT(9303),
  [12142] = {.count = 1, .reusable = true}, SHIFT(9305),
  [12144] = {.count = 1, .reusable = true}, SHIFT(9306),
  [12146] = {.count = 1, .reusable = true}, SHIFT(9307),
  [12148] = {.count = 1, .reusable = true}, SHIFT(9310),
  [12150] = {.count = 1, .reusable = true}, SHIFT(9311),
  [12152] = {.count = 2, .reusable = true}, REDUCE(aux_sym_chained_string_repeat1, 2), SHIFT_REPEAT(1543),
  [12155] = {.count = 1, .reusable = true}, SHIFT(3907),
  [12157] = {.count = 1, .reusable = true}, SHIFT(9321),
  [12159] = {.count = 1, .reusable = true}, SHIFT(3932),
  [12161] = {.count = 1, .reusable = true}, SHIFT(9333),
  [12163] = {.count = 1, .reusable = true}, SHIFT(9334),
  [12165] = {.count = 1, .reusable = false}, SHIFT(9335),
  [12167] = {.count = 1, .reusable = true}, SHIFT(9336),
  [12169] = {.count = 1, .reusable = false}, SHIFT(9337),
  [12171] = {.count = 1, .reusable = false}, SHIFT(9338),
  [12173] = {.count = 1, .reusable = true}, SHIFT(9339),
  [12175] = {.count = 1, .reusable = false}, SHIFT(9340),
  [12177] = {.count = 1, .reusable = true}, SHIFT(9340),
  [12179] = {.count = 1, .reusable = true}, SHIFT(9342),
  [12181] = {.count = 1, .reusable = true}, SHIFT(9343),
  [12183] = {.count = 1, .reusable = false}, SHIFT(9342),
  [12185] = {.count = 1, .reusable = true}, SHIFT(9338),
  [12187] = {.count = 1, .reusable = true}, SHIFT(9335),
  [12189] = {.count = 1, .reusable = true}, SHIFT(9344),
  [12191] = {.count = 1, .reusable = true}, SHIFT(9345),
  [12193] = {.count = 1, .reusable = true}, SHIFT(9347),
  [12195] = {.count = 1, .reusable = false}, SHIFT(9347),
  [12197] = {.count = 1, .reusable = true}, SHIFT(9348),
  [12199] = {.count = 1, .reusable = true}, SHIFT(9349),
  [12201] = {.count = 1, .reusable = false}, SHIFT(9350),
  [12203] = {.count = 1, .reusable = false}, SHIFT(9351),
  [12205] = {.count = 1, .reusable = true}, SHIFT(9352),
  [12207] = {.count = 1, .reusable = false}, SHIFT(9352),
  [12209] = {.count = 1, .reusable = true}, SHIFT(9355),
  [12211] = {.count = 1, .reusable = true}, SHIFT(9357),
  [12213] = {.count = 1, .reusable = true}, SHIFT(9358),
  [12215] = {.count = 1, .reusable = false}, SHIFT(9359),
  [12217] = {.count = 1, .reusable = true}, SHIFT(9361),
  [12219] = {.count = 1, .reusable = false}, SHIFT(9361),
  [12221] = {.count = 1, .reusable = true}, SHIFT(9363),
  [12223] = {.count = 1, .reusable = true}, SHIFT(9365),
  [12225] = {.count = 1, .reusable = true}, SHIFT(6901),
  [12227] = {.count = 1, .reusable = true}, SHIFT(9370),
  [12229] = {.count = 1, .reusable = false}, REDUCE(aux_sym_exceptions_repeat1, 2),
  [12231] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(4016),
  [12234] = {.count = 1, .reusable = true}, SHIFT(4042),
  [12236] = {.count = 1, .reusable = true}, SHIFT(9396),
  [12238] = {.count = 1, .reusable = true}, SHIFT(4066),
  [12240] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(4073),
  [12243] = {.count = 2, .reusable = true}, REDUCE(aux_sym_undef_repeat1, 2), SHIFT_REPEAT(4082),
  [12246] = {.count = 1, .reusable = true}, SHIFT(9407),
  [12248] = {.count = 1, .reusable = true}, SHIFT(9408),
  [12250] = {.count = 1, .reusable = true}, SHIFT(9410),
  [12252] = {.count = 1, .reusable = true}, SHIFT(9411),
  [12254] = {.count = 1, .reusable = true}, SHIFT(9412),
  [12256] = {.count = 1, .reusable = true}, SHIFT(9413),
  [12258] = {.count = 1, .reusable = true}, SHIFT(9414),
  [12260] = {.count = 1, .reusable = false}, SHIFT(9415),
  [12262] = {.count = 1, .reusable = true}, SHIFT(9417),
  [12264] = {.count = 1, .reusable = true}, SHIFT(9418),
  [12266] = {.count = 1, .reusable = true}, SHIFT(9420),
  [12268] = {.count = 1, .reusable = false}, SHIFT(9421),
  [12270] = {.count = 1, .reusable = true}, SHIFT(9423),
  [12272] = {.count = 1, .reusable = true}, SHIFT(9424),
  [12274] = {.count = 1, .reusable = true}, SHIFT(9426),
  [12276] = {.count = 1, .reusable = true}, SHIFT(9429),
  [12278] = {.count = 1, .reusable = true}, SHIFT(9430),
  [12280] = {.count = 1, .reusable = true}, SHIFT(9431),
  [12282] = {.count = 1, .reusable = true}, SHIFT(9434),
  [12284] = {.count = 1, .reusable = true}, SHIFT(9436),
  [12286] = {.count = 1, .reusable = false}, SHIFT(9435),
  [12288] = {.count = 1, .reusable = true}, SHIFT(9437),
  [12290] = {.count = 1, .reusable = true}, SHIFT(9438),
  [12292] = {.count = 1, .reusable = true}, SHIFT(9439),
  [12294] = {.count = 1, .reusable = true}, SHIFT(9440),
  [12296] = {.count = 1, .reusable = true}, SHIFT(9442),
  [12298] = {.count = 1, .reusable = true}, SHIFT(9444),
  [12300] = {.count = 1, .reusable = true}, SHIFT(9445),
  [12302] = {.count = 1, .reusable = false}, SHIFT(9449),
  [12304] = {.count = 1, .reusable = true}, SHIFT(9450),
  [12306] = {.count = 1, .reusable = true}, SHIFT(9470),
  [12308] = {.count = 1, .reusable = true}, SHIFT(9471),
  [12310] = {.count = 1, .reusable = true}, SHIFT(9472),
  [12312] = {.count = 1, .reusable = false}, SHIFT(9472),
  [12314] = {.count = 1, .reusable = true}, SHIFT(9474),
  [12316] = {.count = 1, .reusable = true}, SHIFT(9475),
  [12318] = {.count = 1, .reusable = true}, SHIFT(9476),
  [12320] = {.count = 2, .reusable = true}, REDUCE(aux_sym_call_repeat1, 2), SHIFT_REPEAT(4179),
  [12323] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(4181),
  [12326] = {.count = 1, .reusable = true}, REDUCE(sym_string_array, 6, .alias_sequence_id = 36),
  [12328] = {.count = 1, .reusable = false}, REDUCE(sym_string_array, 6, .alias_sequence_id = 36),
  [12330] = {.count = 1, .reusable = true}, REDUCE(sym_symbol_array, 6, .alias_sequence_id = 37),
  [12332] = {.count = 1, .reusable = false}, REDUCE(sym_symbol_array, 6, .alias_sequence_id = 37),
  [12334] = {.count = 1, .reusable = true}, SHIFT(9516),
  [12336] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(4246),
  [12339] = {.count = 1, .reusable = true}, SHIFT(9536),
  [12341] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(4306),
  [12344] = {.count = 1, .reusable = true}, SHIFT(9554),
  [12346] = {.count = 1, .reusable = true}, SHIFT(9555),
  [12348] = {.count = 1, .reusable = true}, SHIFT(4356),
  [12350] = {.count = 1, .reusable = true}, SHIFT(9579),
  [12352] = {.count = 1, .reusable = true}, SHIFT(4380),
  [12354] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(4387),
  [12357] = {.count = 1, .reusable = true}, SHIFT(9590),
  [12359] = {.count = 1, .reusable = true}, SHIFT(9591),
  [12361] = {.count = 1, .reusable = true}, SHIFT(9609),
  [12363] = {.count = 1, .reusable = true}, SHIFT(9610),
  [12365] = {.count = 1, .reusable = false}, SHIFT(9610),
  [12367] = {.count = 1, .reusable = true}, SHIFT(9612),
  [12369] = {.count = 1, .reusable = true}, SHIFT(9613),
  [12371] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(4457),
  [12374] = {.count = 1, .reusable = true}, SHIFT(7348),
  [12376] = {.count = 1, .reusable = true}, SHIFT(7358),
  [12378] = {.count = 1, .reusable = true}, SHIFT(9620),
  [12380] = {.count = 1, .reusable = true}, SHIFT(9622),
  [12382] = {.count = 1, .reusable = true}, SHIFT(9623),
  [12384] = {.count = 1, .reusable = true}, SHIFT(9624),
  [12386] = {.count = 1, .reusable = true}, SHIFT(9625),
  [12388] = {.count = 1, .reusable = true}, SHIFT(9626),
  [12390] = {.count = 1, .reusable = false}, SHIFT(9626),
  [12392] = {.count = 1, .reusable = true}, SHIFT(9628),
  [12394] = {.count = 1, .reusable = true}, SHIFT(9629),
  [12396] = {.count = 1, .reusable = true}, SHIFT(9630),
  [12398] = {.count = 1, .reusable = true}, SHIFT(9631),
  [12400] = {.count = 1, .reusable = true}, SHIFT(9632),
  [12402] = {.count = 1, .reusable = true}, SHIFT(9633),
  [12404] = {.count = 1, .reusable = true}, SHIFT(9634),
  [12406] = {.count = 1, .reusable = true}, SHIFT(9635),
  [12408] = {.count = 1, .reusable = false}, SHIFT(9636),
  [12410] = {.count = 1, .reusable = false}, SHIFT(9637),
  [12412] = {.count = 1, .reusable = true}, SHIFT(9638),
  [12414] = {.count = 1, .reusable = false}, SHIFT(9638),
  [12416] = {.count = 1, .reusable = true}, SHIFT(9641),
  [12418] = {.count = 1, .reusable = true}, SHIFT(9643),
  [12420] = {.count = 1, .reusable = true}, SHIFT(9644),
  [12422] = {.count = 1, .reusable = false}, SHIFT(9645),
  [12424] = {.count = 1, .reusable = true}, SHIFT(9647),
  [12426] = {.count = 1, .reusable = false}, SHIFT(9647),
  [12428] = {.count = 1, .reusable = true}, SHIFT(9649),
  [12430] = {.count = 1, .reusable = true}, SHIFT(9651),
  [12432] = {.count = 1, .reusable = true}, SHIFT(7429),
  [12434] = {.count = 1, .reusable = true}, SHIFT(9656),
  [12436] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(4634),
  [12439] = {.count = 1, .reusable = true}, SHIFT(9672),
  [12441] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(4669),
  [12444] = {.count = 1, .reusable = true}, REDUCE(sym_singleton_method, 6),
  [12446] = {.count = 1, .reusable = false}, REDUCE(sym_singleton_method, 6),
  [12448] = {.count = 1, .reusable = true}, SHIFT(9692),
  [12450] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(4721),
  [12453] = {.count = 1, .reusable = true}, REDUCE(sym_method_parameters, 4),
  [12455] = {.count = 1, .reusable = false}, REDUCE(sym_method_parameters, 4),
  [12457] = {.count = 1, .reusable = true}, SHIFT(9711),
  [12459] = {.count = 1, .reusable = true}, SHIFT(9712),
  [12461] = {.count = 1, .reusable = true}, SHIFT(9714),
  [12463] = {.count = 1, .reusable = true}, SHIFT(9716),
  [12465] = {.count = 1, .reusable = false}, SHIFT(9714),
  [12467] = {.count = 1, .reusable = true}, SHIFT(9718),
  [12469] = {.count = 1, .reusable = true}, SHIFT(9724),
  [12471] = {.count = 1, .reusable = true}, SHIFT(9726),
  [12473] = {.count = 1, .reusable = true}, SHIFT(9728),
  [12475] = {.count = 1, .reusable = true}, SHIFT(9730),
  [12477] = {.count = 1, .reusable = true}, SHIFT(4774),
  [12479] = {.count = 1, .reusable = true}, SHIFT(9754),
  [12481] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(4796),
  [12484] = {.count = 1, .reusable = true}, SHIFT(9759),
  [12486] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(4829),
  [12489] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(4851),
  [12492] = {.count = 1, .reusable = true}, SHIFT(7657),
  [12494] = {.count = 1, .reusable = true}, SHIFT(9764),
  [12496] = {.count = 1, .reusable = true}, SHIFT(7677),
  [12498] = {.count = 1, .reusable = true}, SHIFT(9769),
  [12500] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(4923),
  [12503] = {.count = 1, .reusable = true}, SHIFT(9770),
  [12505] = {.count = 1, .reusable = true}, SHIFT(9771),
  [12507] = {.count = 1, .reusable = true}, SHIFT(4951),
  [12509] = {.count = 1, .reusable = true}, SHIFT(9780),
  [12511] = {.count = 1, .reusable = true}, SHIFT(9784),
  [12513] = {.count = 1, .reusable = true}, SHIFT(9785),
  [12515] = {.count = 1, .reusable = false}, SHIFT(9786),
  [12517] = {.count = 1, .reusable = false}, SHIFT(9787),
  [12519] = {.count = 1, .reusable = false}, SHIFT(9788),
  [12521] = {.count = 1, .reusable = false}, SHIFT(9789),
  [12523] = {.count = 1, .reusable = true}, SHIFT(9790),
  [12525] = {.count = 1, .reusable = false}, SHIFT(9791),
  [12527] = {.count = 1, .reusable = true}, SHIFT(9791),
  [12529] = {.count = 1, .reusable = false}, SHIFT(9793),
  [12531] = {.count = 1, .reusable = false}, SHIFT(9794),
  [12533] = {.count = 1, .reusable = true}, SHIFT(9793),
  [12535] = {.count = 1, .reusable = true}, SHIFT(9789),
  [12537] = {.count = 1, .reusable = false}, SHIFT(9795),
  [12539] = {.count = 1, .reusable = true}, SHIFT(9796),
  [12541] = {.count = 1, .reusable = false}, SHIFT(9796),
  [12543] = {.count = 1, .reusable = true}, SHIFT(9797),
  [12545] = {.count = 1, .reusable = true}, SHIFT(4974),
  [12547] = {.count = 1, .reusable = true}, SHIFT(9808),
  [12549] = {.count = 1, .reusable = true}, SHIFT(9810),
  [12551] = {.count = 1, .reusable = true}, SHIFT(9811),
  [12553] = {.count = 1, .reusable = true}, SHIFT(9812),
  [12555] = {.count = 1, .reusable = true}, SHIFT(9813),
  [12557] = {.count = 1, .reusable = true}, SHIFT(9814),
  [12559] = {.count = 1, .reusable = false}, SHIFT(9814),
  [12561] = {.count = 1, .reusable = true}, SHIFT(9816),
  [12563] = {.count = 1, .reusable = true}, SHIFT(9817),
  [12565] = {.count = 1, .reusable = true}, SHIFT(9818),
  [12567] = {.count = 1, .reusable = true}, SHIFT(9819),
  [12569] = {.count = 1, .reusable = true}, SHIFT(9821),
  [12571] = {.count = 1, .reusable = true}, SHIFT(9822),
  [12573] = {.count = 1, .reusable = true}, SHIFT(9823),
  [12575] = {.count = 1, .reusable = true}, SHIFT(9824),
  [12577] = {.count = 1, .reusable = true}, SHIFT(9825),
  [12579] = {.count = 1, .reusable = true}, SHIFT(9827),
  [12581] = {.count = 1, .reusable = true}, SHIFT(9828),
  [12583] = {.count = 1, .reusable = true}, SHIFT(9829),
  [12585] = {.count = 1, .reusable = true}, SHIFT(9830),
  [12587] = {.count = 1, .reusable = false}, SHIFT(9832),
  [12589] = {.count = 1, .reusable = true}, SHIFT(9833),
  [12591] = {.count = 1, .reusable = true}, SHIFT(9834),
  [12593] = {.count = 1, .reusable = false}, SHIFT(9835),
  [12595] = {.count = 1, .reusable = false}, SHIFT(9836),
  [12597] = {.count = 1, .reusable = true}, SHIFT(9837),
  [12599] = {.count = 1, .reusable = true}, SHIFT(9842),
  [12601] = {.count = 1, .reusable = true}, SHIFT(9841),
  [12603] = {.count = 1, .reusable = true}, SHIFT(5059),
  [12605] = {.count = 1, .reusable = true}, SHIFT(9852),
  [12607] = {.count = 1, .reusable = false}, SHIFT(9849),
  [12609] = {.count = 1, .reusable = false}, SHIFT(9853),
  [12611] = {.count = 1, .reusable = false}, SHIFT(9856),
  [12613] = {.count = 1, .reusable = false}, SHIFT(9858),
  [12615] = {.count = 1, .reusable = true}, SHIFT(9860),
  [12617] = {.count = 1, .reusable = true}, SHIFT(9862),
  [12619] = {.count = 1, .reusable = true}, SHIFT(9863),
  [12621] = {.count = 1, .reusable = true}, SHIFT(9864),
  [12623] = {.count = 1, .reusable = true}, SHIFT(9867),
  [12625] = {.count = 1, .reusable = true}, SHIFT(9868),
  [12627] = {.count = 1, .reusable = true}, SHIFT(9870),
  [12629] = {.count = 1, .reusable = true}, SHIFT(9872),
  [12631] = {.count = 1, .reusable = false}, SHIFT(9870),
  [12633] = {.count = 1, .reusable = true}, SHIFT(9874),
  [12635] = {.count = 2, .reusable = true}, REDUCE(aux_sym_chained_string_repeat1, 2), SHIFT_REPEAT(2450),
  [12638] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5117),
  [12641] = {.count = 1, .reusable = true}, SHIFT(7860),
  [12643] = {.count = 1, .reusable = true}, SHIFT(5148),
  [12645] = {.count = 1, .reusable = true}, SHIFT(9886),
  [12647] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5178),
  [12650] = {.count = 1, .reusable = true}, SHIFT(7895),
  [12652] = {.count = 1, .reusable = true}, SHIFT(7900),
  [12654] = {.count = 1, .reusable = true}, SHIFT(9895),
  [12656] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5248),
  [12659] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5270),
  [12662] = {.count = 1, .reusable = true}, SHIFT(7937),
  [12664] = {.count = 1, .reusable = false}, REDUCE(sym_conditional, 5),
  [12666] = {.count = 1, .reusable = true}, SHIFT(9901),
  [12668] = {.count = 1, .reusable = true}, SHIFT(9902),
  [12670] = {.count = 1, .reusable = false}, SHIFT(9902),
  [12672] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(5317),
  [12675] = {.count = 1, .reusable = true}, SHIFT(9906),
  [12677] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5346),
  [12680] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5368),
  [12683] = {.count = 1, .reusable = true}, SHIFT(7986),
  [12685] = {.count = 1, .reusable = true}, SHIFT(9916),
  [12687] = {.count = 1, .reusable = true}, SHIFT(9917),
  [12689] = {.count = 1, .reusable = false}, SHIFT(9918),
  [12691] = {.count = 1, .reusable = true}, SHIFT(9919),
  [12693] = {.count = 1, .reusable = false}, SHIFT(9920),
  [12695] = {.count = 1, .reusable = false}, SHIFT(9921),
  [12697] = {.count = 1, .reusable = true}, SHIFT(9922),
  [12699] = {.count = 1, .reusable = false}, SHIFT(9923),
  [12701] = {.count = 1, .reusable = true}, SHIFT(9923),
  [12703] = {.count = 1, .reusable = true}, SHIFT(9925),
  [12705] = {.count = 1, .reusable = true}, SHIFT(9926),
  [12707] = {.count = 1, .reusable = false}, SHIFT(9925),
  [12709] = {.count = 1, .reusable = true}, SHIFT(9921),
  [12711] = {.count = 1, .reusable = true}, SHIFT(9918),
  [12713] = {.count = 1, .reusable = true}, SHIFT(9927),
  [12715] = {.count = 1, .reusable = true}, SHIFT(9928),
  [12717] = {.count = 1, .reusable = false}, SHIFT(9928),
  [12719] = {.count = 1, .reusable = true}, SHIFT(9929),
  [12721] = {.count = 1, .reusable = true}, SHIFT(9934),
  [12723] = {.count = 1, .reusable = true}, SHIFT(9938),
  [12725] = {.count = 1, .reusable = true}, SHIFT(9940),
  [12727] = {.count = 1, .reusable = true}, SHIFT(9956),
  [12729] = {.count = 1, .reusable = true}, SHIFT(9960),
  [12731] = {.count = 1, .reusable = true}, SHIFT(9962),
  [12733] = {.count = 1, .reusable = true}, SHIFT(5387),
  [12735] = {.count = 1, .reusable = false}, REDUCE(sym_elsif, 3),
  [12737] = {.count = 1, .reusable = true}, REDUCE(sym_if, 6),
  [12739] = {.count = 1, .reusable = false}, REDUCE(sym_if, 6),
  [12741] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(9975),
  [12744] = {.count = 1, .reusable = true}, SHIFT(9976),
  [12746] = {.count = 1, .reusable = true}, SHIFT(9980),
  [12748] = {.count = 1, .reusable = true}, SHIFT(9981),
  [12750] = {.count = 1, .reusable = false}, SHIFT(9982),
  [12752] = {.count = 1, .reusable = false}, SHIFT(9983),
  [12754] = {.count = 1, .reusable = false}, SHIFT(9984),
  [12756] = {.count = 1, .reusable = false}, SHIFT(9985),
  [12758] = {.count = 1, .reusable = true}, SHIFT(9986),
  [12760] = {.count = 1, .reusable = false}, SHIFT(9987),
  [12762] = {.count = 1, .reusable = true}, SHIFT(9987),
  [12764] = {.count = 1, .reusable = false}, SHIFT(9989),
  [12766] = {.count = 1, .reusable = false}, SHIFT(9990),
  [12768] = {.count = 1, .reusable = true}, SHIFT(9989),
  [12770] = {.count = 1, .reusable = true}, SHIFT(9985),
  [12772] = {.count = 1, .reusable = false}, SHIFT(9991),
  [12774] = {.count = 1, .reusable = true}, SHIFT(9992),
  [12776] = {.count = 1, .reusable = false}, SHIFT(9992),
  [12778] = {.count = 1, .reusable = true}, SHIFT(9993),
  [12780] = {.count = 1, .reusable = true}, SHIFT(5433),
  [12782] = {.count = 1, .reusable = true}, SHIFT(10022),
  [12784] = {.count = 1, .reusable = true}, SHIFT(10023),
  [12786] = {.count = 1, .reusable = false}, SHIFT(10024),
  [12788] = {.count = 1, .reusable = true}, SHIFT(10025),
  [12790] = {.count = 1, .reusable = false}, SHIFT(10026),
  [12792] = {.count = 1, .reusable = false}, SHIFT(10027),
  [12794] = {.count = 1, .reusable = true}, SHIFT(10028),
  [12796] = {.count = 1, .reusable = false}, SHIFT(10029),
  [12798] = {.count = 1, .reusable = true}, SHIFT(10029),
  [12800] = {.count = 1, .reusable = true}, SHIFT(10031),
  [12802] = {.count = 1, .reusable = true}, SHIFT(10032),
  [12804] = {.count = 1, .reusable = false}, SHIFT(10031),
  [12806] = {.count = 1, .reusable = true}, SHIFT(10027),
  [12808] = {.count = 1, .reusable = true}, SHIFT(10024),
  [12810] = {.count = 1, .reusable = true}, SHIFT(10033),
  [12812] = {.count = 1, .reusable = true}, SHIFT(10034),
  [12814] = {.count = 1, .reusable = true}, SHIFT(10036),
  [12816] = {.count = 1, .reusable = false}, SHIFT(10036),
  [12818] = {.count = 1, .reusable = true}, SHIFT(10037),
  [12820] = {.count = 1, .reusable = true}, SHIFT(10038),
  [12822] = {.count = 1, .reusable = true}, SHIFT(10039),
  [12824] = {.count = 1, .reusable = true}, SHIFT(8137),
  [12826] = {.count = 1, .reusable = true}, SHIFT(10044),
  [12828] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(5511),
  [12831] = {.count = 1, .reusable = true}, SHIFT(10050),
  [12833] = {.count = 1, .reusable = true}, SHIFT(10051),
  [12835] = {.count = 1, .reusable = false}, SHIFT(10052),
  [12837] = {.count = 1, .reusable = true}, SHIFT(10053),
  [12839] = {.count = 1, .reusable = false}, SHIFT(10054),
  [12841] = {.count = 1, .reusable = false}, SHIFT(10055),
  [12843] = {.count = 1, .reusable = true}, SHIFT(10056),
  [12845] = {.count = 1, .reusable = false}, SHIFT(10057),
  [12847] = {.count = 1, .reusable = true}, SHIFT(10057),
  [12849] = {.count = 1, .reusable = true}, SHIFT(10059),
  [12851] = {.count = 1, .reusable = true}, SHIFT(10060),
  [12853] = {.count = 1, .reusable = false}, SHIFT(10059),
  [12855] = {.count = 1, .reusable = true}, SHIFT(10055),
  [12857] = {.count = 1, .reusable = true}, SHIFT(10052),
  [12859] = {.count = 1, .reusable = true}, SHIFT(10061),
  [12861] = {.count = 1, .reusable = true}, SHIFT(10062),
  [12863] = {.count = 1, .reusable = false}, SHIFT(10062),
  [12865] = {.count = 1, .reusable = true}, SHIFT(10063),
  [12867] = {.count = 1, .reusable = true}, SHIFT(10068),
  [12869] = {.count = 1, .reusable = true}, SHIFT(10072),
  [12871] = {.count = 1, .reusable = true}, SHIFT(10074),
  [12873] = {.count = 1, .reusable = true}, SHIFT(10090),
  [12875] = {.count = 1, .reusable = true}, SHIFT(10094),
  [12877] = {.count = 1, .reusable = true}, SHIFT(10096),
  [12879] = {.count = 1, .reusable = true}, SHIFT(5520),
  [12881] = {.count = 1, .reusable = true}, REDUCE(sym_unless, 6),
  [12883] = {.count = 1, .reusable = false}, REDUCE(sym_unless, 6),
  [12885] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(10107),
  [12888] = {.count = 1, .reusable = true}, SHIFT(10108),
  [12890] = {.count = 1, .reusable = true}, SHIFT(10112),
  [12892] = {.count = 1, .reusable = true}, SHIFT(10113),
  [12894] = {.count = 1, .reusable = false}, SHIFT(10114),
  [12896] = {.count = 1, .reusable = false}, SHIFT(10115),
  [12898] = {.count = 1, .reusable = false}, SHIFT(10116),
  [12900] = {.count = 1, .reusable = false}, SHIFT(10117),
  [12902] = {.count = 1, .reusable = true}, SHIFT(10118),
  [12904] = {.count = 1, .reusable = false}, SHIFT(10119),
  [12906] = {.count = 1, .reusable = true}, SHIFT(10119),
  [12908] = {.count = 1, .reusable = false}, SHIFT(10121),
  [12910] = {.count = 1, .reusable = false}, SHIFT(10122),
  [12912] = {.count = 1, .reusable = true}, SHIFT(10121),
  [12914] = {.count = 1, .reusable = true}, SHIFT(10117),
  [12916] = {.count = 1, .reusable = false}, SHIFT(10123),
  [12918] = {.count = 1, .reusable = true}, SHIFT(10124),
  [12920] = {.count = 1, .reusable = false}, SHIFT(10124),
  [12922] = {.count = 1, .reusable = true}, SHIFT(10125),
  [12924] = {.count = 1, .reusable = true}, SHIFT(5564),
  [12926] = {.count = 1, .reusable = true}, SHIFT(10154),
  [12928] = {.count = 1, .reusable = true}, SHIFT(10155),
  [12930] = {.count = 1, .reusable = false}, SHIFT(10156),
  [12932] = {.count = 1, .reusable = true}, SHIFT(10157),
  [12934] = {.count = 1, .reusable = false}, SHIFT(10158),
  [12936] = {.count = 1, .reusable = false}, SHIFT(10159),
  [12938] = {.count = 1, .reusable = true}, SHIFT(10160),
  [12940] = {.count = 1, .reusable = false}, SHIFT(10161),
  [12942] = {.count = 1, .reusable = true}, SHIFT(10161),
  [12944] = {.count = 1, .reusable = true}, SHIFT(10163),
  [12946] = {.count = 1, .reusable = true}, SHIFT(10164),
  [12948] = {.count = 1, .reusable = false}, SHIFT(10163),
  [12950] = {.count = 1, .reusable = true}, SHIFT(10159),
  [12952] = {.count = 1, .reusable = true}, SHIFT(10156),
  [12954] = {.count = 1, .reusable = true}, SHIFT(10165),
  [12956] = {.count = 1, .reusable = true}, SHIFT(10166),
  [12958] = {.count = 1, .reusable = true}, SHIFT(10168),
  [12960] = {.count = 1, .reusable = false}, SHIFT(10168),
  [12962] = {.count = 1, .reusable = true}, SHIFT(10169),
  [12964] = {.count = 1, .reusable = true}, SHIFT(10172),
  [12966] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5610),
  [12969] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5633),
  [12972] = {.count = 1, .reusable = true}, SHIFT(8316),
  [12974] = {.count = 1, .reusable = true}, SHIFT(10177),
  [12976] = {.count = 1, .reusable = true}, SHIFT(8336),
  [12978] = {.count = 1, .reusable = true}, SHIFT(10182),
  [12980] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(5704),
  [12983] = {.count = 1, .reusable = true}, SHIFT(5713),
  [12985] = {.count = 1, .reusable = true}, SHIFT(10190),
  [12987] = {.count = 1, .reusable = true}, SHIFT(10194),
  [12989] = {.count = 1, .reusable = true}, SHIFT(10195),
  [12991] = {.count = 1, .reusable = false}, SHIFT(10196),
  [12993] = {.count = 1, .reusable = false}, SHIFT(10197),
  [12995] = {.count = 1, .reusable = false}, SHIFT(10198),
  [12997] = {.count = 1, .reusable = false}, SHIFT(10199),
  [12999] = {.count = 1, .reusable = true}, SHIFT(10200),
  [13001] = {.count = 1, .reusable = false}, SHIFT(10201),
  [13003] = {.count = 1, .reusable = true}, SHIFT(10201),
  [13005] = {.count = 1, .reusable = false}, SHIFT(10203),
  [13007] = {.count = 1, .reusable = false}, SHIFT(10204),
  [13009] = {.count = 1, .reusable = true}, SHIFT(10203),
  [13011] = {.count = 1, .reusable = true}, SHIFT(10199),
  [13013] = {.count = 1, .reusable = false}, SHIFT(10205),
  [13015] = {.count = 1, .reusable = true}, SHIFT(10206),
  [13017] = {.count = 1, .reusable = false}, SHIFT(10206),
  [13019] = {.count = 1, .reusable = true}, SHIFT(10207),
  [13021] = {.count = 1, .reusable = true}, SHIFT(5736),
  [13023] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5752),
  [13026] = {.count = 1, .reusable = true}, SHIFT(10219),
  [13028] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5790),
  [13031] = {.count = 1, .reusable = true}, SHIFT(8429),
  [13033] = {.count = 1, .reusable = true}, REDUCE(sym_for, 6),
  [13035] = {.count = 1, .reusable = false}, REDUCE(sym_for, 6),
  [13037] = {.count = 1, .reusable = true}, SHIFT(10225),
  [13039] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5834),
  [13042] = {.count = 1, .reusable = true}, SHIFT(8458),
  [13044] = {.count = 1, .reusable = true}, REDUCE(sym_case, 6),
  [13046] = {.count = 1, .reusable = false}, REDUCE(sym_case, 6),
  [13048] = {.count = 1, .reusable = true}, SHIFT(10230),
  [13050] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(5878),
  [13053] = {.count = 1, .reusable = true}, SHIFT(10234),
  [13055] = {.count = 1, .reusable = true}, SHIFT(10235),
  [13057] = {.count = 1, .reusable = false}, SHIFT(10236),
  [13059] = {.count = 1, .reusable = true}, SHIFT(10237),
  [13061] = {.count = 1, .reusable = false}, SHIFT(10238),
  [13063] = {.count = 1, .reusable = false}, SHIFT(10239),
  [13065] = {.count = 1, .reusable = true}, SHIFT(10240),
  [13067] = {.count = 1, .reusable = false}, SHIFT(10241),
  [13069] = {.count = 1, .reusable = true}, SHIFT(10241),
  [13071] = {.count = 1, .reusable = true}, SHIFT(10243),
  [13073] = {.count = 1, .reusable = true}, SHIFT(10244),
  [13075] = {.count = 1, .reusable = false}, SHIFT(10243),
  [13077] = {.count = 1, .reusable = true}, SHIFT(10239),
  [13079] = {.count = 1, .reusable = true}, SHIFT(10236),
  [13081] = {.count = 1, .reusable = true}, SHIFT(10245),
  [13083] = {.count = 1, .reusable = true}, SHIFT(10246),
  [13085] = {.count = 1, .reusable = false}, SHIFT(10246),
  [13087] = {.count = 1, .reusable = true}, SHIFT(10247),
  [13089] = {.count = 1, .reusable = true}, SHIFT(5887),
  [13091] = {.count = 1, .reusable = true}, REDUCE(aux_sym_when_repeat1, 2),
  [13093] = {.count = 1, .reusable = true}, SHIFT(10256),
  [13095] = {.count = 1, .reusable = true}, SHIFT(10257),
  [13097] = {.count = 1, .reusable = true}, SHIFT(10258),
  [13099] = {.count = 1, .reusable = true}, SHIFT(10259),
  [13101] = {.count = 1, .reusable = false}, SHIFT(10261),
  [13103] = {.count = 1, .reusable = false}, SHIFT(10262),
  [13105] = {.count = 1, .reusable = false}, SHIFT(10263),
  [13107] = {.count = 1, .reusable = false}, SHIFT(10264),
  [13109] = {.count = 1, .reusable = true}, SHIFT(10266),
  [13111] = {.count = 1, .reusable = false}, SHIFT(10266),
  [13113] = {.count = 1, .reusable = false}, SHIFT(10267),
  [13115] = {.count = 1, .reusable = true}, SHIFT(10267),
  [13117] = {.count = 1, .reusable = false}, SHIFT(10268),
  [13119] = {.count = 1, .reusable = true}, SHIFT(10270),
  [13121] = {.count = 1, .reusable = false}, SHIFT(10270),
  [13123] = {.count = 1, .reusable = true}, REDUCE(sym_when, 4),
  [13125] = {.count = 1, .reusable = true}, SHIFT(10280),
  [13127] = {.count = 1, .reusable = true}, SHIFT(10282),
  [13129] = {.count = 1, .reusable = true}, SHIFT(10283),
  [13131] = {.count = 1, .reusable = true}, SHIFT(10284),
  [13133] = {.count = 1, .reusable = true}, SHIFT(10285),
  [13135] = {.count = 1, .reusable = true}, SHIFT(10286),
  [13137] = {.count = 1, .reusable = true}, SHIFT(10287),
  [13139] = {.count = 1, .reusable = true}, SHIFT(10288),
  [13141] = {.count = 1, .reusable = false}, SHIFT(10289),
  [13143] = {.count = 1, .reusable = true}, SHIFT(10290),
  [13145] = {.count = 1, .reusable = false}, SHIFT(10291),
  [13147] = {.count = 1, .reusable = false}, SHIFT(10292),
  [13149] = {.count = 1, .reusable = true}, SHIFT(10293),
  [13151] = {.count = 1, .reusable = false}, SHIFT(10294),
  [13153] = {.count = 1, .reusable = true}, SHIFT(10294),
  [13155] = {.count = 1, .reusable = true}, SHIFT(10295),
  [13157] = {.count = 1, .reusable = true}, SHIFT(10296),
  [13159] = {.count = 1, .reusable = true}, SHIFT(10297),
  [13161] = {.count = 1, .reusable = false}, SHIFT(10296),
  [13163] = {.count = 1, .reusable = true}, SHIFT(10292),
  [13165] = {.count = 1, .reusable = true}, SHIFT(10289),
  [13167] = {.count = 1, .reusable = true}, SHIFT(10298),
  [13169] = {.count = 1, .reusable = true}, SHIFT(10299),
  [13171] = {.count = 1, .reusable = true}, SHIFT(10300),
  [13173] = {.count = 1, .reusable = true}, SHIFT(10301),
  [13175] = {.count = 1, .reusable = true}, SHIFT(10302),
  [13177] = {.count = 1, .reusable = false}, SHIFT(10304),
  [13179] = {.count = 1, .reusable = false}, SHIFT(10305),
  [13181] = {.count = 1, .reusable = false}, SHIFT(10306),
  [13183] = {.count = 1, .reusable = false}, SHIFT(10307),
  [13185] = {.count = 1, .reusable = true}, SHIFT(10309),
  [13187] = {.count = 1, .reusable = false}, SHIFT(10309),
  [13189] = {.count = 1, .reusable = false}, SHIFT(10310),
  [13191] = {.count = 1, .reusable = true}, SHIFT(10310),
  [13193] = {.count = 1, .reusable = false}, SHIFT(10311),
  [13195] = {.count = 1, .reusable = true}, SHIFT(10313),
  [13197] = {.count = 1, .reusable = false}, SHIFT(10313),
  [13199] = {.count = 1, .reusable = true}, SHIFT(10319),
  [13201] = {.count = 1, .reusable = false}, SHIFT(10319),
  [13203] = {.count = 1, .reusable = true}, SHIFT(10320),
  [13205] = {.count = 1, .reusable = false}, REDUCE(sym_when, 4),
  [13207] = {.count = 2, .reusable = true}, REDUCE(aux_sym_when_repeat1, 2), SHIFT_REPEAT(5895),
  [13210] = {.count = 1, .reusable = true}, SHIFT(10323),
  [13212] = {.count = 1, .reusable = true}, SHIFT(10327),
  [13214] = {.count = 1, .reusable = true}, SHIFT(10328),
  [13216] = {.count = 1, .reusable = false}, SHIFT(10329),
  [13218] = {.count = 1, .reusable = false}, SHIFT(10330),
  [13220] = {.count = 1, .reusable = false}, SHIFT(10331),
  [13222] = {.count = 1, .reusable = false}, SHIFT(10332),
  [13224] = {.count = 1, .reusable = true}, SHIFT(10333),
  [13226] = {.count = 1, .reusable = false}, SHIFT(10334),
  [13228] = {.count = 1, .reusable = true}, SHIFT(10334),
  [13230] = {.count = 1, .reusable = false}, SHIFT(10336),
  [13232] = {.count = 1, .reusable = false}, SHIFT(10337),
  [13234] = {.count = 1, .reusable = true}, SHIFT(10336),
  [13236] = {.count = 1, .reusable = true}, SHIFT(10332),
  [13238] = {.count = 1, .reusable = false}, SHIFT(10338),
  [13240] = {.count = 1, .reusable = true}, SHIFT(10339),
  [13242] = {.count = 1, .reusable = false}, SHIFT(10339),
  [13244] = {.count = 1, .reusable = true}, SHIFT(10340),
  [13246] = {.count = 1, .reusable = true}, SHIFT(5913),
  [13248] = {.count = 1, .reusable = true}, SHIFT(10354),
  [13250] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5949),
  [13253] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(5971),
  [13256] = {.count = 1, .reusable = true}, SHIFT(8584),
  [13258] = {.count = 1, .reusable = true}, SHIFT(10359),
  [13260] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6004),
  [13263] = {.count = 1, .reusable = true}, SHIFT(10362),
  [13265] = {.count = 1, .reusable = true}, SHIFT(10364),
  [13267] = {.count = 1, .reusable = true}, SHIFT(10367),
  [13269] = {.count = 1, .reusable = true}, SHIFT(10369),
  [13271] = {.count = 1, .reusable = true}, SHIFT(10370),
  [13273] = {.count = 1, .reusable = true}, SHIFT(10371),
  [13275] = {.count = 1, .reusable = false}, SHIFT(10373),
  [13277] = {.count = 1, .reusable = true}, SHIFT(10380),
  [13279] = {.count = 1, .reusable = true}, SHIFT(10381),
  [13281] = {.count = 1, .reusable = false}, SHIFT(10382),
  [13283] = {.count = 1, .reusable = true}, SHIFT(10383),
  [13285] = {.count = 1, .reusable = false}, SHIFT(10384),
  [13287] = {.count = 1, .reusable = false}, SHIFT(10385),
  [13289] = {.count = 1, .reusable = true}, SHIFT(10386),
  [13291] = {.count = 1, .reusable = false}, SHIFT(10387),
  [13293] = {.count = 1, .reusable = true}, SHIFT(10387),
  [13295] = {.count = 1, .reusable = true}, SHIFT(10388),
  [13297] = {.count = 1, .reusable = true}, SHIFT(10389),
  [13299] = {.count = 1, .reusable = true}, SHIFT(10390),
  [13301] = {.count = 1, .reusable = false}, SHIFT(10389),
  [13303] = {.count = 1, .reusable = true}, SHIFT(10385),
  [13305] = {.count = 1, .reusable = true}, SHIFT(10382),
  [13307] = {.count = 1, .reusable = true}, SHIFT(10391),
  [13309] = {.count = 1, .reusable = true}, SHIFT(10392),
  [13311] = {.count = 1, .reusable = false}, SHIFT(10392),
  [13313] = {.count = 1, .reusable = true}, SHIFT(10393),
  [13315] = {.count = 1, .reusable = true}, SHIFT(10395),
  [13317] = {.count = 1, .reusable = true}, SHIFT(10398),
  [13319] = {.count = 1, .reusable = true}, SHIFT(10402),
  [13321] = {.count = 1, .reusable = true}, SHIFT(10406),
  [13323] = {.count = 1, .reusable = true}, SHIFT(10408),
  [13325] = {.count = 1, .reusable = true}, SHIFT(10409),
  [13327] = {.count = 1, .reusable = true}, SHIFT(10411),
  [13329] = {.count = 1, .reusable = false}, SHIFT(10409),
  [13331] = {.count = 1, .reusable = true}, SHIFT(10426),
  [13333] = {.count = 1, .reusable = true}, SHIFT(10428),
  [13335] = {.count = 1, .reusable = true}, SHIFT(10427),
  [13337] = {.count = 1, .reusable = true}, REDUCE(sym_rescue, 5),
  [13339] = {.count = 1, .reusable = true}, SHIFT(10441),
  [13341] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6072),
  [13344] = {.count = 1, .reusable = true}, SHIFT(8704),
  [13346] = {.count = 1, .reusable = true}, SHIFT(6105),
  [13348] = {.count = 1, .reusable = true}, SHIFT(10470),
  [13350] = {.count = 1, .reusable = true}, SHIFT(6129),
  [13352] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6136),
  [13355] = {.count = 1, .reusable = true}, SHIFT(10497),
  [13357] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6196),
  [13360] = {.count = 1, .reusable = true}, SHIFT(6233),
  [13362] = {.count = 1, .reusable = true}, SHIFT(10540),
  [13364] = {.count = 1, .reusable = true}, SHIFT(6257),
  [13366] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6264),
  [13369] = {.count = 1, .reusable = true}, SHIFT(10567),
  [13371] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6324),
  [13374] = {.count = 1, .reusable = true}, REDUCE(sym__body_statement, 5),
  [13376] = {.count = 1, .reusable = false}, REDUCE(sym__body_statement, 5),
  [13378] = {.count = 1, .reusable = true}, SHIFT(10585),
  [13380] = {.count = 1, .reusable = true}, SHIFT(8975),
  [13382] = {.count = 1, .reusable = true}, SHIFT(10590),
  [13384] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(6403),
  [13387] = {.count = 1, .reusable = true}, SHIFT(10591),
  [13389] = {.count = 1, .reusable = true}, SHIFT(10592),
  [13391] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6431),
  [13394] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6464),
  [13397] = {.count = 1, .reusable = true}, SHIFT(9049),
  [13399] = {.count = 1, .reusable = true}, SHIFT(9055),
  [13401] = {.count = 1, .reusable = true}, SHIFT(10629),
  [13403] = {.count = 1, .reusable = true}, SHIFT(10631),
  [13405] = {.count = 1, .reusable = true}, SHIFT(10632),
  [13407] = {.count = 1, .reusable = true}, SHIFT(10633),
  [13409] = {.count = 1, .reusable = true}, SHIFT(10634),
  [13411] = {.count = 1, .reusable = true}, SHIFT(10635),
  [13413] = {.count = 1, .reusable = false}, SHIFT(10635),
  [13415] = {.count = 1, .reusable = true}, SHIFT(10637),
  [13417] = {.count = 1, .reusable = true}, SHIFT(10638),
  [13419] = {.count = 1, .reusable = false}, SHIFT(10638),
  [13421] = {.count = 1, .reusable = true}, SHIFT(9083),
  [13423] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(6567),
  [13426] = {.count = 1, .reusable = true}, SHIFT(10642),
  [13428] = {.count = 1, .reusable = true}, SHIFT(10644),
  [13430] = {.count = 1, .reusable = true}, REDUCE(sym_block_parameters, 4),
  [13432] = {.count = 1, .reusable = false}, REDUCE(sym_block_parameters, 4),
  [13434] = {.count = 1, .reusable = true}, SHIFT(10647),
  [13436] = {.count = 1, .reusable = true}, SHIFT(10648),
  [13438] = {.count = 1, .reusable = true}, SHIFT(10649),
  [13440] = {.count = 1, .reusable = true}, SHIFT(10650),
  [13442] = {.count = 1, .reusable = false}, SHIFT(10652),
  [13444] = {.count = 1, .reusable = false}, SHIFT(10653),
  [13446] = {.count = 1, .reusable = false}, SHIFT(10654),
  [13448] = {.count = 1, .reusable = false}, SHIFT(10655),
  [13450] = {.count = 1, .reusable = true}, SHIFT(10657),
  [13452] = {.count = 1, .reusable = false}, SHIFT(10657),
  [13454] = {.count = 1, .reusable = false}, SHIFT(10658),
  [13456] = {.count = 1, .reusable = true}, SHIFT(10658),
  [13458] = {.count = 1, .reusable = false}, SHIFT(10659),
  [13460] = {.count = 1, .reusable = true}, SHIFT(10661),
  [13462] = {.count = 1, .reusable = false}, SHIFT(10661),
  [13464] = {.count = 1, .reusable = true}, SHIFT(10669),
  [13466] = {.count = 1, .reusable = true}, SHIFT(10670),
  [13468] = {.count = 1, .reusable = false}, REDUCE(sym_keyword_parameter, 3),
  [13470] = {.count = 1, .reusable = true}, SHIFT(10672),
  [13472] = {.count = 1, .reusable = false}, SHIFT(10673),
  [13474] = {.count = 1, .reusable = false}, SHIFT(10674),
  [13476] = {.count = 1, .reusable = true}, SHIFT(10675),
  [13478] = {.count = 1, .reusable = false}, SHIFT(10676),
  [13480] = {.count = 1, .reusable = true}, SHIFT(10676),
  [13482] = {.count = 1, .reusable = true}, SHIFT(10677),
  [13484] = {.count = 1, .reusable = true}, SHIFT(10678),
  [13486] = {.count = 1, .reusable = true}, SHIFT(10679),
  [13488] = {.count = 1, .reusable = false}, SHIFT(10678),
  [13490] = {.count = 1, .reusable = true}, SHIFT(10674),
  [13492] = {.count = 1, .reusable = true}, SHIFT(10671),
  [13494] = {.count = 1, .reusable = true}, SHIFT(10680),
  [13496] = {.count = 1, .reusable = true}, SHIFT(10681),
  [13498] = {.count = 1, .reusable = true}, SHIFT(10682),
  [13500] = {.count = 1, .reusable = true}, SHIFT(10683),
  [13502] = {.count = 1, .reusable = true}, SHIFT(10684),
  [13504] = {.count = 1, .reusable = false}, SHIFT(10686),
  [13506] = {.count = 1, .reusable = false}, SHIFT(10687),
  [13508] = {.count = 1, .reusable = false}, SHIFT(10688),
  [13510] = {.count = 1, .reusable = false}, SHIFT(10689),
  [13512] = {.count = 1, .reusable = true}, SHIFT(10691),
  [13514] = {.count = 1, .reusable = false}, SHIFT(10691),
  [13516] = {.count = 1, .reusable = false}, SHIFT(10692),
  [13518] = {.count = 1, .reusable = true}, SHIFT(10692),
  [13520] = {.count = 1, .reusable = false}, SHIFT(10693),
  [13522] = {.count = 1, .reusable = true}, SHIFT(10695),
  [13524] = {.count = 1, .reusable = false}, SHIFT(10695),
  [13526] = {.count = 1, .reusable = true}, SHIFT(10701),
  [13528] = {.count = 1, .reusable = false}, SHIFT(10701),
  [13530] = {.count = 1, .reusable = true}, SHIFT(10702),
  [13532] = {.count = 1, .reusable = false}, REDUCE(sym_optional_parameter, 3),
  [13534] = {.count = 1, .reusable = true}, SHIFT(10704),
  [13536] = {.count = 1, .reusable = true}, SHIFT(10705),
  [13538] = {.count = 2, .reusable = true}, REDUCE(aux_sym_method_parameters_repeat1, 2), SHIFT_REPEAT(10706),
  [13541] = {.count = 1, .reusable = true}, REDUCE(sym_destructured_parameter, 4),
  [13543] = {.count = 1, .reusable = true}, SHIFT(10707),
  [13545] = {.count = 1, .reusable = true}, SHIFT(10708),
  [13547] = {.count = 1, .reusable = false}, SHIFT(10708),
  [13549] = {.count = 1, .reusable = true}, SHIFT(10710),
  [13551] = {.count = 1, .reusable = true}, SHIFT(10711),
  [13553] = {.count = 1, .reusable = true}, SHIFT(10713),
  [13555] = {.count = 1, .reusable = true}, SHIFT(10714),
  [13557] = {.count = 1, .reusable = true}, REDUCE(sym_do_block, 5),
  [13559] = {.count = 1, .reusable = false}, REDUCE(sym_do_block, 5),
  [13561] = {.count = 1, .reusable = true}, SHIFT(10715),
  [13563] = {.count = 1, .reusable = true}, SHIFT(10716),
  [13565] = {.count = 1, .reusable = true}, SHIFT(6641),
  [13567] = {.count = 1, .reusable = true}, SHIFT(10745),
  [13569] = {.count = 1, .reusable = true}, SHIFT(6665),
  [13571] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6672),
  [13574] = {.count = 1, .reusable = true}, SHIFT(10772),
  [13576] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6725),
  [13579] = {.count = 1, .reusable = true}, SHIFT(10791),
  [13581] = {.count = 1, .reusable = true}, SHIFT(10792),
  [13583] = {.count = 1, .reusable = true}, SHIFT(10793),
  [13585] = {.count = 1, .reusable = true}, SHIFT(10794),
  [13587] = {.count = 1, .reusable = true}, SHIFT(10795),
  [13589] = {.count = 1, .reusable = true}, SHIFT(10796),
  [13591] = {.count = 1, .reusable = true}, SHIFT(10797),
  [13593] = {.count = 1, .reusable = true}, SHIFT(10798),
  [13595] = {.count = 1, .reusable = true}, SHIFT(10799),
  [13597] = {.count = 1, .reusable = false}, SHIFT(10800),
  [13599] = {.count = 1, .reusable = false}, SHIFT(10801),
  [13601] = {.count = 1, .reusable = true}, SHIFT(10802),
  [13603] = {.count = 1, .reusable = false}, SHIFT(10802),
  [13605] = {.count = 1, .reusable = true}, SHIFT(10805),
  [13607] = {.count = 1, .reusable = true}, SHIFT(10807),
  [13609] = {.count = 1, .reusable = true}, SHIFT(10808),
  [13611] = {.count = 1, .reusable = false}, SHIFT(10809),
  [13613] = {.count = 1, .reusable = true}, SHIFT(10811),
  [13615] = {.count = 1, .reusable = true}, SHIFT(10813),
  [13617] = {.count = 1, .reusable = true}, SHIFT(9312),
  [13619] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6832),
  [13622] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6854),
  [13625] = {.count = 1, .reusable = true}, SHIFT(10835),
  [13627] = {.count = 1, .reusable = true}, SHIFT(10837),
  [13629] = {.count = 1, .reusable = true}, SHIFT(10838),
  [13631] = {.count = 1, .reusable = true}, SHIFT(10839),
  [13633] = {.count = 1, .reusable = true}, SHIFT(10840),
  [13635] = {.count = 1, .reusable = true}, SHIFT(10841),
  [13637] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(6901),
  [13640] = {.count = 1, .reusable = true}, SHIFT(10845),
  [13642] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6946),
  [13645] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(6968),
  [13648] = {.count = 1, .reusable = true}, SHIFT(9404),
  [13650] = {.count = 1, .reusable = true}, SHIFT(10850),
  [13652] = {.count = 1, .reusable = true}, SHIFT(10851),
  [13654] = {.count = 1, .reusable = true}, SHIFT(10852),
  [13656] = {.count = 1, .reusable = true}, SHIFT(10853),
  [13658] = {.count = 1, .reusable = true}, SHIFT(10855),
  [13660] = {.count = 1, .reusable = true}, SHIFT(10856),
  [13662] = {.count = 1, .reusable = true}, SHIFT(10857),
  [13664] = {.count = 1, .reusable = true}, SHIFT(10858),
  [13666] = {.count = 1, .reusable = true}, SHIFT(10859),
  [13668] = {.count = 1, .reusable = true}, SHIFT(10861),
  [13670] = {.count = 1, .reusable = true}, SHIFT(10862),
  [13672] = {.count = 1, .reusable = true}, SHIFT(10863),
  [13674] = {.count = 1, .reusable = true}, SHIFT(10864),
  [13676] = {.count = 1, .reusable = false}, SHIFT(10866),
  [13678] = {.count = 1, .reusable = true}, SHIFT(10867),
  [13680] = {.count = 1, .reusable = true}, SHIFT(10868),
  [13682] = {.count = 1, .reusable = false}, SHIFT(10869),
  [13684] = {.count = 1, .reusable = false}, SHIFT(10870),
  [13686] = {.count = 1, .reusable = true}, SHIFT(10874),
  [13688] = {.count = 1, .reusable = false}, SHIFT(10871),
  [13690] = {.count = 1, .reusable = false}, SHIFT(10875),
  [13692] = {.count = 1, .reusable = false}, SHIFT(10878),
  [13694] = {.count = 1, .reusable = false}, SHIFT(10880),
  [13696] = {.count = 1, .reusable = true}, SHIFT(10882),
  [13698] = {.count = 1, .reusable = true}, SHIFT(10884),
  [13700] = {.count = 1, .reusable = true}, SHIFT(10885),
  [13702] = {.count = 1, .reusable = true}, SHIFT(10886),
  [13704] = {.count = 1, .reusable = true}, SHIFT(10889),
  [13706] = {.count = 1, .reusable = true}, SHIFT(10890),
  [13708] = {.count = 2, .reusable = true}, REDUCE(aux_sym_chained_string_repeat1, 2), SHIFT_REPEAT(4112),
  [13711] = {.count = 1, .reusable = true}, SHIFT(10893),
  [13713] = {.count = 1, .reusable = false}, SHIFT(10893),
  [13715] = {.count = 1, .reusable = true}, SHIFT(9478),
  [13717] = {.count = 1, .reusable = true}, SHIFT(10897),
  [13719] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7111),
  [13722] = {.count = 1, .reusable = true}, SHIFT(10900),
  [13724] = {.count = 1, .reusable = true}, SHIFT(9517),
  [13726] = {.count = 1, .reusable = true}, SHIFT(10905),
  [13728] = {.count = 1, .reusable = true}, SHIFT(9537),
  [13730] = {.count = 1, .reusable = true}, SHIFT(10910),
  [13732] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7223),
  [13735] = {.count = 1, .reusable = true}, SHIFT(10911),
  [13737] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(7258),
  [13740] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(7280),
  [13743] = {.count = 1, .reusable = true}, SHIFT(9587),
  [13745] = {.count = 1, .reusable = true}, SHIFT(10916),
  [13747] = {.count = 1, .reusable = true}, SHIFT(10917),
  [13749] = {.count = 1, .reusable = true}, SHIFT(10920),
  [13751] = {.count = 1, .reusable = false}, SHIFT(10920),
  [13753] = {.count = 1, .reusable = true}, SHIFT(9614),
  [13755] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7348),
  [13758] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7358),
  [13761] = {.count = 1, .reusable = true}, SHIFT(10924),
  [13763] = {.count = 1, .reusable = true}, SHIFT(10925),
  [13765] = {.count = 1, .reusable = true}, SHIFT(10926),
  [13767] = {.count = 1, .reusable = true}, SHIFT(10927),
  [13769] = {.count = 1, .reusable = true}, SHIFT(10929),
  [13771] = {.count = 1, .reusable = true}, SHIFT(10931),
  [13773] = {.count = 1, .reusable = true}, SHIFT(10932),
  [13775] = {.count = 1, .reusable = true}, SHIFT(10933),
  [13777] = {.count = 1, .reusable = true}, SHIFT(10934),
  [13779] = {.count = 1, .reusable = true}, SHIFT(10935),
  [13781] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7429),
  [13784] = {.count = 1, .reusable = true}, SHIFT(10937),
  [13786] = {.count = 1, .reusable = true}, SHIFT(9673),
  [13788] = {.count = 1, .reusable = true}, SHIFT(10942),
  [13790] = {.count = 1, .reusable = true}, SHIFT(9693),
  [13792] = {.count = 1, .reusable = true}, SHIFT(10947),
  [13794] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7547),
  [13797] = {.count = 1, .reusable = true}, REDUCE(sym_method_parameters, 5),
  [13799] = {.count = 1, .reusable = false}, REDUCE(sym_method_parameters, 5),
  [13801] = {.count = 1, .reusable = true}, SHIFT(10948),
  [13803] = {.count = 1, .reusable = true}, SHIFT(10949),
  [13805] = {.count = 1, .reusable = false}, SHIFT(10949),
  [13807] = {.count = 1, .reusable = true}, SHIFT(10951),
  [13809] = {.count = 1, .reusable = true}, SHIFT(10952),
  [13811] = {.count = 2, .reusable = true}, REDUCE(aux_sym_method_parameters_repeat1, 2), SHIFT_REPEAT(7563),
  [13814] = {.count = 1, .reusable = true}, SHIFT(7569),
  [13816] = {.count = 1, .reusable = true}, SHIFT(10960),
  [13818] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(7599),
  [13821] = {.count = 1, .reusable = true}, SHIFT(9755),
  [13823] = {.count = 1, .reusable = true}, SHIFT(9760),
  [13825] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7657),
  [13828] = {.count = 1, .reusable = true}, SHIFT(9765),
  [13830] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7677),
  [13833] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(7709),
  [13836] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(7741),
  [13839] = {.count = 1, .reusable = true}, SHIFT(9806),
  [13841] = {.count = 1, .reusable = true}, SHIFT(10988),
  [13843] = {.count = 1, .reusable = true}, SHIFT(10989),
  [13845] = {.count = 1, .reusable = true}, SHIFT(10990),
  [13847] = {.count = 1, .reusable = true}, SHIFT(10991),
  [13849] = {.count = 1, .reusable = true}, SHIFT(10992),
  [13851] = {.count = 1, .reusable = true}, SHIFT(10993),
  [13853] = {.count = 1, .reusable = true}, SHIFT(10994),
  [13855] = {.count = 1, .reusable = true}, SHIFT(10995),
  [13857] = {.count = 1, .reusable = true}, SHIFT(10996),
  [13859] = {.count = 1, .reusable = false}, SHIFT(10997),
  [13861] = {.count = 1, .reusable = false}, SHIFT(10998),
  [13863] = {.count = 1, .reusable = true}, SHIFT(10999),
  [13865] = {.count = 1, .reusable = true}, SHIFT(11000),
  [13867] = {.count = 2, .reusable = true}, REDUCE(aux_sym_call_repeat1, 2), SHIFT_REPEAT(7806),
  [13870] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(7808),
  [13873] = {.count = 1, .reusable = true}, SHIFT(11002),
  [13875] = {.count = 1, .reusable = false}, SHIFT(11002),
  [13877] = {.count = 1, .reusable = true}, SHIFT(11005),
  [13879] = {.count = 1, .reusable = true}, SHIFT(11007),
  [13881] = {.count = 1, .reusable = true}, SHIFT(11008),
  [13883] = {.count = 1, .reusable = false}, SHIFT(11009),
  [13885] = {.count = 1, .reusable = true}, SHIFT(11011),
  [13887] = {.count = 1, .reusable = true}, SHIFT(11013),
  [13889] = {.count = 1, .reusable = true}, SHIFT(11015),
  [13891] = {.count = 1, .reusable = true}, SHIFT(11016),
  [13893] = {.count = 1, .reusable = false}, SHIFT(11016),
  [13895] = {.count = 1, .reusable = true}, SHIFT(11018),
  [13897] = {.count = 1, .reusable = true}, SHIFT(9875),
  [13899] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7860),
  [13902] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(7868),
  [13905] = {.count = 1, .reusable = true}, SHIFT(9887),
  [13907] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7895),
  [13910] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7900),
  [13913] = {.count = 1, .reusable = true}, SHIFT(9897),
  [13915] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7937),
  [13918] = {.count = 1, .reusable = true}, SHIFT(11026),
  [13920] = {.count = 1, .reusable = true}, SHIFT(9907),
  [13922] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(7986),
  [13925] = {.count = 1, .reusable = true}, SHIFT(8008),
  [13927] = {.count = 1, .reusable = true}, SHIFT(11054),
  [13929] = {.count = 1, .reusable = true}, SHIFT(8032),
  [13931] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8039),
  [13934] = {.count = 1, .reusable = true}, REDUCE(sym_elsif, 4),
  [13936] = {.count = 1, .reusable = true}, SHIFT(11082),
  [13938] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8101),
  [13941] = {.count = 1, .reusable = true}, REDUCE(sym_if, 7),
  [13943] = {.count = 1, .reusable = false}, REDUCE(sym_if, 7),
  [13945] = {.count = 1, .reusable = true}, SHIFT(10040),
  [13947] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(8137),
  [13950] = {.count = 1, .reusable = true}, SHIFT(8174),
  [13952] = {.count = 1, .reusable = true}, SHIFT(11128),
  [13954] = {.count = 1, .reusable = true}, SHIFT(8198),
  [13956] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8205),
  [13959] = {.count = 1, .reusable = true}, SHIFT(11155),
  [13961] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8266),
  [13964] = {.count = 1, .reusable = true}, SHIFT(10173),
  [13966] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(8316),
  [13969] = {.count = 1, .reusable = true}, SHIFT(10178),
  [13971] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(8336),
  [13974] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8359),
  [13977] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8391),
  [13980] = {.count = 1, .reusable = true}, SHIFT(10216),
  [13982] = {.count = 1, .reusable = true}, SHIFT(10220),
  [13984] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(8429),
  [13987] = {.count = 1, .reusable = true}, SHIFT(10226),
  [13989] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(8458),
  [13992] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8489),
  [13995] = {.count = 1, .reusable = true}, SHIFT(11216),
  [13997] = {.count = 1, .reusable = false}, SHIFT(11217),
  [13999] = {.count = 1, .reusable = false}, SHIFT(11218),
  [14001] = {.count = 1, .reusable = false}, SHIFT(11219),
  [14003] = {.count = 1, .reusable = false}, SHIFT(11220),
  [14005] = {.count = 1, .reusable = false}, SHIFT(11221),
  [14007] = {.count = 1, .reusable = true}, SHIFT(11222),
  [14009] = {.count = 1, .reusable = false}, SHIFT(11222),
  [14011] = {.count = 1, .reusable = true}, SHIFT(11223),
  [14013] = {.count = 1, .reusable = false}, SHIFT(10265),
  [14015] = {.count = 1, .reusable = true}, SHIFT(11231),
  [14017] = {.count = 1, .reusable = true}, SHIFT(11233),
  [14019] = {.count = 1, .reusable = true}, SHIFT(11234),
  [14021] = {.count = 1, .reusable = true}, SHIFT(11235),
  [14023] = {.count = 1, .reusable = false}, SHIFT(11237),
  [14025] = {.count = 1, .reusable = true}, SHIFT(11244),
  [14027] = {.count = 1, .reusable = true}, SHIFT(11245),
  [14029] = {.count = 1, .reusable = false}, SHIFT(11246),
  [14031] = {.count = 1, .reusable = true}, SHIFT(11247),
  [14033] = {.count = 1, .reusable = false}, SHIFT(11248),
  [14035] = {.count = 1, .reusable = false}, SHIFT(11249),
  [14037] = {.count = 1, .reusable = true}, SHIFT(11250),
  [14039] = {.count = 1, .reusable = true}, SHIFT(11251),
  [14041] = {.count = 1, .reusable = false}, SHIFT(11252),
  [14043] = {.count = 1, .reusable = true}, SHIFT(11252),
  [14045] = {.count = 1, .reusable = true}, SHIFT(11254),
  [14047] = {.count = 1, .reusable = true}, SHIFT(11255),
  [14049] = {.count = 1, .reusable = false}, SHIFT(11254),
  [14051] = {.count = 1, .reusable = true}, SHIFT(11249),
  [14053] = {.count = 1, .reusable = true}, SHIFT(11246),
  [14055] = {.count = 1, .reusable = true}, SHIFT(11256),
  [14057] = {.count = 1, .reusable = true}, SHIFT(11257),
  [14059] = {.count = 1, .reusable = true}, SHIFT(11258),
  [14061] = {.count = 1, .reusable = true}, SHIFT(11259),
  [14063] = {.count = 1, .reusable = false}, SHIFT(11261),
  [14065] = {.count = 1, .reusable = true}, SHIFT(11267),
  [14067] = {.count = 1, .reusable = true}, SHIFT(11269),
  [14069] = {.count = 1, .reusable = false}, SHIFT(11269),
  [14071] = {.count = 1, .reusable = true}, SHIFT(11270),
  [14073] = {.count = 1, .reusable = true}, SHIFT(11271),
  [14075] = {.count = 1, .reusable = true}, REDUCE(sym_when, 5),
  [14077] = {.count = 1, .reusable = true}, SHIFT(11274),
  [14079] = {.count = 1, .reusable = true}, SHIFT(11293),
  [14081] = {.count = 1, .reusable = false}, SHIFT(11294),
  [14083] = {.count = 1, .reusable = false}, SHIFT(11295),
  [14085] = {.count = 1, .reusable = false}, SHIFT(11296),
  [14087] = {.count = 1, .reusable = false}, SHIFT(11297),
  [14089] = {.count = 1, .reusable = false}, SHIFT(11298),
  [14091] = {.count = 1, .reusable = true}, SHIFT(11299),
  [14093] = {.count = 1, .reusable = false}, SHIFT(11299),
  [14095] = {.count = 1, .reusable = true}, SHIFT(11300),
  [14097] = {.count = 1, .reusable = false}, SHIFT(11302),
  [14099] = {.count = 1, .reusable = true}, SHIFT(11302),
  [14101] = {.count = 1, .reusable = false}, SHIFT(10308),
  [14103] = {.count = 1, .reusable = true}, SHIFT(11309),
  [14105] = {.count = 1, .reusable = true}, SHIFT(11313),
  [14107] = {.count = 1, .reusable = true}, SHIFT(11314),
  [14109] = {.count = 1, .reusable = false}, SHIFT(11315),
  [14111] = {.count = 1, .reusable = false}, SHIFT(11316),
  [14113] = {.count = 1, .reusable = false}, SHIFT(11317),
  [14115] = {.count = 1, .reusable = false}, SHIFT(11318),
  [14117] = {.count = 1, .reusable = true}, SHIFT(11319),
  [14119] = {.count = 1, .reusable = true}, SHIFT(11320),
  [14121] = {.count = 1, .reusable = false}, SHIFT(11321),
  [14123] = {.count = 1, .reusable = true}, SHIFT(11321),
  [14125] = {.count = 1, .reusable = false}, SHIFT(11323),
  [14127] = {.count = 1, .reusable = false}, SHIFT(11324),
  [14129] = {.count = 1, .reusable = true}, SHIFT(11323),
  [14131] = {.count = 1, .reusable = true}, SHIFT(11318),
  [14133] = {.count = 1, .reusable = false}, SHIFT(11325),
  [14135] = {.count = 1, .reusable = true}, SHIFT(11327),
  [14137] = {.count = 1, .reusable = true}, SHIFT(11329),
  [14139] = {.count = 1, .reusable = false}, SHIFT(11329),
  [14141] = {.count = 1, .reusable = true}, SHIFT(11330),
  [14143] = {.count = 1, .reusable = true}, SHIFT(11331),
  [14145] = {.count = 1, .reusable = true}, SHIFT(11333),
  [14147] = {.count = 1, .reusable = true}, SHIFT(11334),
  [14149] = {.count = 1, .reusable = false}, SHIFT(11335),
  [14151] = {.count = 1, .reusable = true}, SHIFT(11336),
  [14153] = {.count = 1, .reusable = false}, SHIFT(11336),
  [14155] = {.count = 1, .reusable = true}, SHIFT(11337),
  [14157] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8543),
  [14160] = {.count = 1, .reusable = true}, SHIFT(10350),
  [14162] = {.count = 1, .reusable = true}, SHIFT(10355),
  [14164] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(8584),
  [14167] = {.count = 1, .reusable = true}, SHIFT(10360),
  [14169] = {.count = 1, .reusable = true}, SHIFT(11367),
  [14171] = {.count = 1, .reusable = true}, SHIFT(11368),
  [14173] = {.count = 1, .reusable = true}, SHIFT(11372),
  [14175] = {.count = 1, .reusable = true}, SHIFT(11374),
  [14177] = {.count = 1, .reusable = true}, SHIFT(11376),
  [14179] = {.count = 1, .reusable = true}, SHIFT(11378),
  [14181] = {.count = 1, .reusable = true}, SHIFT(11395),
  [14183] = {.count = 1, .reusable = true}, SHIFT(11396),
  [14185] = {.count = 1, .reusable = true}, SHIFT(8642),
  [14187] = {.count = 1, .reusable = true}, SHIFT(11404),
  [14189] = {.count = 1, .reusable = false}, SHIFT(11404),
  [14191] = {.count = 1, .reusable = true}, SHIFT(11406),
  [14193] = {.count = 1, .reusable = true}, SHIFT(11407),
  [14195] = {.count = 1, .reusable = true}, SHIFT(11408),
  [14197] = {.count = 2, .reusable = true}, REDUCE(aux_sym_call_repeat1, 2), SHIFT_REPEAT(8669),
  [14200] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8671),
  [14203] = {.count = 1, .reusable = true}, REDUCE(sym_rescue, 6),
  [14205] = {.count = 1, .reusable = true}, SHIFT(10442),
  [14207] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(8704),
  [14210] = {.count = 1, .reusable = true}, SHIFT(11416),
  [14212] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8733),
  [14215] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8755),
  [14218] = {.count = 1, .reusable = true}, SHIFT(10478),
  [14220] = {.count = 1, .reusable = true}, SHIFT(11421),
  [14222] = {.count = 1, .reusable = true}, SHIFT(10498),
  [14224] = {.count = 1, .reusable = true}, SHIFT(11426),
  [14226] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(8827),
  [14229] = {.count = 1, .reusable = true}, SHIFT(11429),
  [14231] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8858),
  [14234] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(8880),
  [14237] = {.count = 1, .reusable = true}, SHIFT(10548),
  [14239] = {.count = 1, .reusable = true}, SHIFT(11434),
  [14241] = {.count = 1, .reusable = true}, SHIFT(10568),
  [14243] = {.count = 1, .reusable = true}, SHIFT(11439),
  [14245] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(8952),
  [14248] = {.count = 1, .reusable = true}, SHIFT(10586),
  [14250] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(8975),
  [14253] = {.count = 1, .reusable = true}, SHIFT(11443),
  [14255] = {.count = 1, .reusable = true}, SHIFT(11446),
  [14257] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9049),
  [14260] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9055),
  [14263] = {.count = 1, .reusable = true}, SHIFT(11449),
  [14265] = {.count = 1, .reusable = true}, SHIFT(11450),
  [14267] = {.count = 1, .reusable = true}, SHIFT(11451),
  [14269] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9083),
  [14272] = {.count = 1, .reusable = true}, REDUCE(sym_block_parameters, 5),
  [14274] = {.count = 1, .reusable = false}, REDUCE(sym_block_parameters, 5),
  [14276] = {.count = 1, .reusable = true}, SHIFT(11452),
  [14278] = {.count = 1, .reusable = true}, REDUCE(aux_sym_block_parameters_repeat1, 2),
  [14280] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_parameters_repeat1, 2), SHIFT_REPEAT(9089),
  [14283] = {.count = 1, .reusable = true}, SHIFT(11453),
  [14285] = {.count = 1, .reusable = false}, SHIFT(11454),
  [14287] = {.count = 1, .reusable = false}, SHIFT(11455),
  [14289] = {.count = 1, .reusable = false}, SHIFT(11456),
  [14291] = {.count = 1, .reusable = false}, SHIFT(11457),
  [14293] = {.count = 1, .reusable = false}, SHIFT(11458),
  [14295] = {.count = 1, .reusable = true}, SHIFT(11459),
  [14297] = {.count = 1, .reusable = false}, SHIFT(11459),
  [14299] = {.count = 1, .reusable = true}, SHIFT(11460),
  [14301] = {.count = 1, .reusable = false}, SHIFT(11462),
  [14303] = {.count = 1, .reusable = true}, SHIFT(11462),
  [14305] = {.count = 1, .reusable = false}, SHIFT(10656),
  [14307] = {.count = 1, .reusable = true}, SHIFT(11469),
  [14309] = {.count = 1, .reusable = true}, SHIFT(11471),
  [14311] = {.count = 1, .reusable = true}, SHIFT(11472),
  [14313] = {.count = 1, .reusable = true}, SHIFT(11473),
  [14315] = {.count = 1, .reusable = false}, SHIFT(11475),
  [14317] = {.count = 1, .reusable = true}, SHIFT(11482),
  [14319] = {.count = 1, .reusable = true}, SHIFT(11483),
  [14321] = {.count = 1, .reusable = false}, SHIFT(11484),
  [14323] = {.count = 1, .reusable = true}, SHIFT(11485),
  [14325] = {.count = 1, .reusable = false}, SHIFT(11486),
  [14327] = {.count = 1, .reusable = false}, SHIFT(11487),
  [14329] = {.count = 1, .reusable = true}, SHIFT(11488),
  [14331] = {.count = 1, .reusable = true}, SHIFT(11489),
  [14333] = {.count = 1, .reusable = false}, SHIFT(11490),
  [14335] = {.count = 1, .reusable = true}, SHIFT(11490),
  [14337] = {.count = 1, .reusable = true}, SHIFT(11492),
  [14339] = {.count = 1, .reusable = true}, SHIFT(11493),
  [14341] = {.count = 1, .reusable = false}, SHIFT(11492),
  [14343] = {.count = 1, .reusable = true}, SHIFT(11487),
  [14345] = {.count = 1, .reusable = true}, SHIFT(11484),
  [14347] = {.count = 1, .reusable = true}, SHIFT(11494),
  [14349] = {.count = 1, .reusable = true}, SHIFT(11495),
  [14351] = {.count = 1, .reusable = true}, SHIFT(11496),
  [14353] = {.count = 1, .reusable = true}, SHIFT(11497),
  [14355] = {.count = 1, .reusable = false}, SHIFT(11499),
  [14357] = {.count = 1, .reusable = true}, SHIFT(11505),
  [14359] = {.count = 1, .reusable = true}, SHIFT(11507),
  [14361] = {.count = 1, .reusable = false}, SHIFT(11507),
  [14363] = {.count = 1, .reusable = true}, SHIFT(11508),
  [14365] = {.count = 1, .reusable = true}, SHIFT(11509),
  [14367] = {.count = 1, .reusable = false}, SHIFT(10671),
  [14369] = {.count = 1, .reusable = true}, SHIFT(11523),
  [14371] = {.count = 1, .reusable = false}, SHIFT(11524),
  [14373] = {.count = 1, .reusable = false}, SHIFT(11525),
  [14375] = {.count = 1, .reusable = false}, SHIFT(11526),
  [14377] = {.count = 1, .reusable = false}, SHIFT(11527),
  [14379] = {.count = 1, .reusable = false}, SHIFT(11528),
  [14381] = {.count = 1, .reusable = true}, SHIFT(11529),
  [14383] = {.count = 1, .reusable = false}, SHIFT(11529),
  [14385] = {.count = 1, .reusable = true}, SHIFT(11530),
  [14387] = {.count = 1, .reusable = false}, SHIFT(11532),
  [14389] = {.count = 1, .reusable = true}, SHIFT(11532),
  [14391] = {.count = 1, .reusable = false}, SHIFT(10690),
  [14393] = {.count = 1, .reusable = true}, SHIFT(11539),
  [14395] = {.count = 1, .reusable = true}, SHIFT(11543),
  [14397] = {.count = 1, .reusable = true}, SHIFT(11544),
  [14399] = {.count = 1, .reusable = false}, SHIFT(11545),
  [14401] = {.count = 1, .reusable = false}, SHIFT(11546),
  [14403] = {.count = 1, .reusable = false}, SHIFT(11547),
  [14405] = {.count = 1, .reusable = false}, SHIFT(11548),
  [14407] = {.count = 1, .reusable = true}, SHIFT(11549),
  [14409] = {.count = 1, .reusable = true}, SHIFT(11550),
  [14411] = {.count = 1, .reusable = false}, SHIFT(11551),
  [14413] = {.count = 1, .reusable = true}, SHIFT(11551),
  [14415] = {.count = 1, .reusable = false}, SHIFT(11553),
  [14417] = {.count = 1, .reusable = false}, SHIFT(11554),
  [14419] = {.count = 1, .reusable = true}, SHIFT(11553),
  [14421] = {.count = 1, .reusable = true}, SHIFT(11548),
  [14423] = {.count = 1, .reusable = false}, SHIFT(11555),
  [14425] = {.count = 1, .reusable = true}, SHIFT(11557),
  [14427] = {.count = 1, .reusable = true}, SHIFT(11559),
  [14429] = {.count = 1, .reusable = false}, SHIFT(11559),
  [14431] = {.count = 1, .reusable = true}, SHIFT(11560),
  [14433] = {.count = 1, .reusable = true}, SHIFT(11561),
  [14435] = {.count = 1, .reusable = true}, SHIFT(11563),
  [14437] = {.count = 1, .reusable = true}, SHIFT(11569),
  [14439] = {.count = 1, .reusable = true}, SHIFT(11570),
  [14441] = {.count = 1, .reusable = false}, SHIFT(11570),
  [14443] = {.count = 1, .reusable = true}, SHIFT(11572),
  [14445] = {.count = 1, .reusable = true}, SHIFT(11574),
  [14447] = {.count = 1, .reusable = true}, REDUCE(sym_do_block, 6),
  [14449] = {.count = 1, .reusable = false}, REDUCE(sym_do_block, 6),
  [14451] = {.count = 1, .reusable = true}, SHIFT(10718),
  [14453] = {.count = 1, .reusable = true}, SHIFT(11579),
  [14455] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(9168),
  [14458] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(9190),
  [14461] = {.count = 1, .reusable = true}, SHIFT(10753),
  [14463] = {.count = 1, .reusable = true}, SHIFT(11584),
  [14465] = {.count = 1, .reusable = true}, SHIFT(10773),
  [14467] = {.count = 1, .reusable = true}, SHIFT(11589),
  [14469] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9260),
  [14472] = {.count = 1, .reusable = true}, SHIFT(11590),
  [14474] = {.count = 1, .reusable = true}, SHIFT(11591),
  [14476] = {.count = 1, .reusable = true}, SHIFT(11593),
  [14478] = {.count = 1, .reusable = true}, SHIFT(11595),
  [14480] = {.count = 1, .reusable = true}, SHIFT(11596),
  [14482] = {.count = 1, .reusable = true}, SHIFT(11597),
  [14484] = {.count = 1, .reusable = true}, SHIFT(11598),
  [14486] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9312),
  [14489] = {.count = 1, .reusable = true}, SHIFT(11599),
  [14491] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9345),
  [14494] = {.count = 1, .reusable = true}, SHIFT(11600),
  [14496] = {.count = 1, .reusable = true}, SHIFT(10846),
  [14498] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9404),
  [14501] = {.count = 1, .reusable = true}, SHIFT(11603),
  [14503] = {.count = 1, .reusable = true}, SHIFT(11604),
  [14505] = {.count = 1, .reusable = true}, SHIFT(11605),
  [14507] = {.count = 1, .reusable = true}, SHIFT(11606),
  [14509] = {.count = 1, .reusable = true}, SHIFT(11607),
  [14511] = {.count = 1, .reusable = true}, SHIFT(11608),
  [14513] = {.count = 1, .reusable = true}, SHIFT(11609),
  [14515] = {.count = 1, .reusable = false}, SHIFT(11610),
  [14517] = {.count = 1, .reusable = false}, SHIFT(11611),
  [14519] = {.count = 1, .reusable = true}, SHIFT(11612),
  [14521] = {.count = 1, .reusable = false}, SHIFT(11612),
  [14523] = {.count = 1, .reusable = true}, SHIFT(11615),
  [14525] = {.count = 1, .reusable = true}, SHIFT(11617),
  [14527] = {.count = 1, .reusable = true}, SHIFT(11618),
  [14529] = {.count = 1, .reusable = false}, SHIFT(11619),
  [14531] = {.count = 1, .reusable = true}, SHIFT(11621),
  [14533] = {.count = 1, .reusable = true}, SHIFT(11623),
  [14535] = {.count = 1, .reusable = true}, SHIFT(10891),
  [14537] = {.count = 1, .reusable = true}, SHIFT(11628),
  [14539] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9478),
  [14542] = {.count = 1, .reusable = true}, SHIFT(10901),
  [14544] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9517),
  [14547] = {.count = 1, .reusable = true}, SHIFT(10906),
  [14549] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9537),
  [14552] = {.count = 1, .reusable = true}, SHIFT(10912),
  [14554] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9587),
  [14557] = {.count = 1, .reusable = true}, SHIFT(10918),
  [14559] = {.count = 1, .reusable = true}, SHIFT(11639),
  [14561] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9614),
  [14564] = {.count = 1, .reusable = true}, SHIFT(11640),
  [14566] = {.count = 1, .reusable = true}, SHIFT(10938),
  [14568] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9673),
  [14571] = {.count = 1, .reusable = true}, SHIFT(10943),
  [14573] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9693),
  [14576] = {.count = 1, .reusable = true}, SHIFT(11646),
  [14578] = {.count = 1, .reusable = false}, SHIFT(11646),
  [14580] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(9728),
  [14583] = {.count = 1, .reusable = true}, SHIFT(10961),
  [14585] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9755),
  [14588] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9760),
  [14591] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9765),
  [14594] = {.count = 1, .reusable = true}, SHIFT(11650),
  [14596] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9806),
  [14599] = {.count = 1, .reusable = true}, SHIFT(11653),
  [14601] = {.count = 1, .reusable = true}, SHIFT(11654),
  [14603] = {.count = 1, .reusable = true}, SHIFT(11656),
  [14605] = {.count = 1, .reusable = true}, SHIFT(11658),
  [14607] = {.count = 1, .reusable = true}, SHIFT(11659),
  [14609] = {.count = 1, .reusable = true}, SHIFT(11660),
  [14611] = {.count = 1, .reusable = true}, SHIFT(11661),
  [14613] = {.count = 1, .reusable = true}, SHIFT(11662),
  [14615] = {.count = 1, .reusable = false}, SHIFT(11662),
  [14617] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9875),
  [14620] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9887),
  [14623] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9897),
  [14626] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(9907),
  [14629] = {.count = 1, .reusable = true}, SHIFT(11666),
  [14631] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(9938),
  [14634] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(9960),
  [14637] = {.count = 1, .reusable = true}, SHIFT(11062),
  [14639] = {.count = 1, .reusable = true}, REDUCE(sym_elsif, 5),
  [14641] = {.count = 1, .reusable = true}, SHIFT(11671),
  [14643] = {.count = 1, .reusable = true}, SHIFT(11083),
  [14645] = {.count = 1, .reusable = true}, SHIFT(11676),
  [14647] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10034),
  [14650] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10040),
  [14653] = {.count = 1, .reusable = true}, SHIFT(11679),
  [14655] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(10072),
  [14658] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(10094),
  [14661] = {.count = 1, .reusable = true}, SHIFT(11136),
  [14663] = {.count = 1, .reusable = true}, SHIFT(11684),
  [14665] = {.count = 1, .reusable = true}, SHIFT(11156),
  [14667] = {.count = 1, .reusable = true}, SHIFT(11689),
  [14669] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10166),
  [14672] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10173),
  [14675] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10178),
  [14678] = {.count = 1, .reusable = true}, SHIFT(11690),
  [14680] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10216),
  [14683] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10220),
  [14686] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10226),
  [14689] = {.count = 1, .reusable = true}, SHIFT(11693),
  [14691] = {.count = 1, .reusable = true}, SHIFT(11701),
  [14693] = {.count = 1, .reusable = true}, SHIFT(11702),
  [14695] = {.count = 1, .reusable = false}, SHIFT(11703),
  [14697] = {.count = 1, .reusable = true}, SHIFT(11704),
  [14699] = {.count = 1, .reusable = false}, SHIFT(11705),
  [14701] = {.count = 1, .reusable = false}, SHIFT(11706),
  [14703] = {.count = 1, .reusable = true}, SHIFT(11707),
  [14705] = {.count = 1, .reusable = false}, SHIFT(11708),
  [14707] = {.count = 1, .reusable = true}, SHIFT(11708),
  [14709] = {.count = 1, .reusable = true}, SHIFT(11710),
  [14711] = {.count = 1, .reusable = true}, SHIFT(11711),
  [14713] = {.count = 1, .reusable = false}, SHIFT(11710),
  [14715] = {.count = 1, .reusable = true}, SHIFT(11706),
  [14717] = {.count = 1, .reusable = true}, SHIFT(11703),
  [14719] = {.count = 1, .reusable = true}, SHIFT(11712),
  [14721] = {.count = 1, .reusable = true}, SHIFT(11713),
  [14723] = {.count = 1, .reusable = false}, SHIFT(11713),
  [14725] = {.count = 1, .reusable = true}, SHIFT(11714),
  [14727] = {.count = 1, .reusable = true}, SHIFT(11719),
  [14729] = {.count = 1, .reusable = true}, SHIFT(11723),
  [14731] = {.count = 1, .reusable = true}, SHIFT(11725),
  [14733] = {.count = 1, .reusable = true}, SHIFT(11741),
  [14735] = {.count = 1, .reusable = true}, SHIFT(11745),
  [14737] = {.count = 1, .reusable = true}, SHIFT(11747),
  [14739] = {.count = 1, .reusable = true}, SHIFT(10260),
  [14741] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(11758),
  [14744] = {.count = 1, .reusable = true}, SHIFT(11759),
  [14746] = {.count = 1, .reusable = true}, SHIFT(11763),
  [14748] = {.count = 1, .reusable = true}, SHIFT(11764),
  [14750] = {.count = 1, .reusable = false}, SHIFT(11765),
  [14752] = {.count = 1, .reusable = false}, SHIFT(11766),
  [14754] = {.count = 1, .reusable = false}, SHIFT(11767),
  [14756] = {.count = 1, .reusable = false}, SHIFT(11768),
  [14758] = {.count = 1, .reusable = true}, SHIFT(11769),
  [14760] = {.count = 1, .reusable = false}, SHIFT(11770),
  [14762] = {.count = 1, .reusable = true}, SHIFT(11770),
  [14764] = {.count = 1, .reusable = false}, SHIFT(11772),
  [14766] = {.count = 1, .reusable = false}, SHIFT(11773),
  [14768] = {.count = 1, .reusable = true}, SHIFT(11772),
  [14770] = {.count = 1, .reusable = true}, SHIFT(11768),
  [14772] = {.count = 1, .reusable = false}, SHIFT(11774),
  [14774] = {.count = 1, .reusable = true}, SHIFT(11775),
  [14776] = {.count = 1, .reusable = false}, SHIFT(11775),
  [14778] = {.count = 1, .reusable = true}, SHIFT(11776),
  [14780] = {.count = 1, .reusable = true}, SHIFT(10303),
  [14782] = {.count = 1, .reusable = true}, SHIFT(11805),
  [14784] = {.count = 1, .reusable = true}, SHIFT(11806),
  [14786] = {.count = 1, .reusable = false}, SHIFT(11807),
  [14788] = {.count = 1, .reusable = true}, SHIFT(11808),
  [14790] = {.count = 1, .reusable = false}, SHIFT(11809),
  [14792] = {.count = 1, .reusable = false}, SHIFT(11810),
  [14794] = {.count = 1, .reusable = true}, SHIFT(11811),
  [14796] = {.count = 1, .reusable = false}, SHIFT(11812),
  [14798] = {.count = 1, .reusable = true}, SHIFT(11812),
  [14800] = {.count = 1, .reusable = true}, SHIFT(11814),
  [14802] = {.count = 1, .reusable = true}, SHIFT(11815),
  [14804] = {.count = 1, .reusable = false}, SHIFT(11814),
  [14806] = {.count = 1, .reusable = true}, SHIFT(11810),
  [14808] = {.count = 1, .reusable = true}, SHIFT(11807),
  [14810] = {.count = 1, .reusable = true}, SHIFT(11816),
  [14812] = {.count = 1, .reusable = true}, SHIFT(11817),
  [14814] = {.count = 1, .reusable = true}, SHIFT(11819),
  [14816] = {.count = 1, .reusable = false}, SHIFT(11819),
  [14818] = {.count = 1, .reusable = true}, SHIFT(11820),
  [14820] = {.count = 1, .reusable = true}, REDUCE(sym_when, 6),
  [14822] = {.count = 1, .reusable = true}, SHIFT(11821),
  [14824] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10350),
  [14827] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10355),
  [14830] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10360),
  [14833] = {.count = 1, .reusable = true}, SHIFT(11824),
  [14835] = {.count = 1, .reusable = true}, SHIFT(10372),
  [14837] = {.count = 1, .reusable = true}, SHIFT(11832),
  [14839] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(10406),
  [14842] = {.count = 1, .reusable = true}, SHIFT(11835),
  [14844] = {.count = 1, .reusable = false}, SHIFT(11835),
  [14846] = {.count = 1, .reusable = true}, SHIFT(11410),
  [14848] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10442),
  [14851] = {.count = 1, .reusable = true}, SHIFT(11417),
  [14853] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10478),
  [14856] = {.count = 1, .reusable = true}, SHIFT(11422),
  [14858] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10498),
  [14861] = {.count = 1, .reusable = true}, SHIFT(11430),
  [14863] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10548),
  [14866] = {.count = 1, .reusable = true}, SHIFT(11435),
  [14868] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10568),
  [14871] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10586),
  [14874] = {.count = 1, .reusable = true}, SHIFT(11444),
  [14876] = {.count = 1, .reusable = true}, SHIFT(11447),
  [14878] = {.count = 1, .reusable = true}, REDUCE(sym_block_parameters, 6),
  [14880] = {.count = 1, .reusable = false}, REDUCE(sym_block_parameters, 6),
  [14882] = {.count = 1, .reusable = true}, SHIFT(11856),
  [14884] = {.count = 1, .reusable = true}, SHIFT(11857),
  [14886] = {.count = 1, .reusable = false}, SHIFT(11858),
  [14888] = {.count = 1, .reusable = true}, SHIFT(11859),
  [14890] = {.count = 1, .reusable = false}, SHIFT(11860),
  [14892] = {.count = 1, .reusable = false}, SHIFT(11861),
  [14894] = {.count = 1, .reusable = true}, SHIFT(11862),
  [14896] = {.count = 1, .reusable = false}, SHIFT(11863),
  [14898] = {.count = 1, .reusable = true}, SHIFT(11863),
  [14900] = {.count = 1, .reusable = true}, SHIFT(11865),
  [14902] = {.count = 1, .reusable = true}, SHIFT(11866),
  [14904] = {.count = 1, .reusable = false}, SHIFT(11865),
  [14906] = {.count = 1, .reusable = true}, SHIFT(11861),
  [14908] = {.count = 1, .reusable = true}, SHIFT(11858),
  [14910] = {.count = 1, .reusable = true}, SHIFT(11867),
  [14912] = {.count = 1, .reusable = true}, SHIFT(11868),
  [14914] = {.count = 1, .reusable = false}, SHIFT(11868),
  [14916] = {.count = 1, .reusable = true}, SHIFT(11869),
  [14918] = {.count = 1, .reusable = true}, SHIFT(11874),
  [14920] = {.count = 1, .reusable = true}, SHIFT(11878),
  [14922] = {.count = 1, .reusable = true}, SHIFT(11880),
  [14924] = {.count = 1, .reusable = true}, SHIFT(11896),
  [14926] = {.count = 1, .reusable = true}, SHIFT(11900),
  [14928] = {.count = 1, .reusable = true}, SHIFT(11902),
  [14930] = {.count = 1, .reusable = true}, SHIFT(10651),
  [14932] = {.count = 1, .reusable = true}, SHIFT(11912),
  [14934] = {.count = 1, .reusable = true}, SHIFT(11916),
  [14936] = {.count = 1, .reusable = true}, SHIFT(11917),
  [14938] = {.count = 1, .reusable = false}, SHIFT(11918),
  [14940] = {.count = 1, .reusable = false}, SHIFT(11919),
  [14942] = {.count = 1, .reusable = false}, SHIFT(11920),
  [14944] = {.count = 1, .reusable = false}, SHIFT(11921),
  [14946] = {.count = 1, .reusable = true}, SHIFT(11922),
  [14948] = {.count = 1, .reusable = false}, SHIFT(11923),
  [14950] = {.count = 1, .reusable = true}, SHIFT(11923),
  [14952] = {.count = 1, .reusable = false}, SHIFT(11925),
  [14954] = {.count = 1, .reusable = false}, SHIFT(11926),
  [14956] = {.count = 1, .reusable = true}, SHIFT(11925),
  [14958] = {.count = 1, .reusable = true}, SHIFT(11921),
  [14960] = {.count = 1, .reusable = false}, SHIFT(11927),
  [14962] = {.count = 1, .reusable = true}, SHIFT(11928),
  [14964] = {.count = 1, .reusable = false}, SHIFT(11928),
  [14966] = {.count = 1, .reusable = true}, SHIFT(11929),
  [14968] = {.count = 1, .reusable = true}, SHIFT(10685),
  [14970] = {.count = 1, .reusable = true}, SHIFT(11957),
  [14972] = {.count = 1, .reusable = true}, SHIFT(11959),
  [14974] = {.count = 1, .reusable = true}, SHIFT(11960),
  [14976] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10718),
  [14979] = {.count = 1, .reusable = true}, SHIFT(11580),
  [14981] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10753),
  [14984] = {.count = 1, .reusable = true}, SHIFT(11585),
  [14986] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10773),
  [14989] = {.count = 1, .reusable = true}, SHIFT(11967),
  [14991] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10846),
  [14994] = {.count = 1, .reusable = true}, SHIFT(11969),
  [14996] = {.count = 1, .reusable = true}, SHIFT(11970),
  [14998] = {.count = 1, .reusable = true}, SHIFT(11972),
  [15000] = {.count = 1, .reusable = true}, SHIFT(11974),
  [15002] = {.count = 1, .reusable = true}, SHIFT(11975),
  [15004] = {.count = 1, .reusable = true}, SHIFT(11976),
  [15006] = {.count = 1, .reusable = true}, SHIFT(11977),
  [15008] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10891),
  [15011] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10901),
  [15014] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10906),
  [15017] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10912),
  [15020] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10918),
  [15023] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10938),
  [15026] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10943),
  [15029] = {.count = 1, .reusable = true}, SHIFT(11978),
  [15031] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(10961),
  [15034] = {.count = 1, .reusable = true}, SHIFT(11651),
  [15036] = {.count = 1, .reusable = true}, SHIFT(11981),
  [15038] = {.count = 1, .reusable = true}, SHIFT(11982),
  [15040] = {.count = 1, .reusable = true}, SHIFT(11667),
  [15042] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11062),
  [15045] = {.count = 1, .reusable = true}, SHIFT(11672),
  [15047] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11083),
  [15050] = {.count = 1, .reusable = true}, SHIFT(11680),
  [15052] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11136),
  [15055] = {.count = 1, .reusable = true}, SHIFT(11685),
  [15057] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11156),
  [15060] = {.count = 1, .reusable = true}, SHIFT(11691),
  [15062] = {.count = 1, .reusable = true}, SHIFT(11694),
  [15064] = {.count = 1, .reusable = true}, SHIFT(11236),
  [15066] = {.count = 1, .reusable = true}, SHIFT(12022),
  [15068] = {.count = 1, .reusable = true}, SHIFT(11260),
  [15070] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(11267),
  [15073] = {.count = 1, .reusable = true}, SHIFT(12049),
  [15075] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(11327),
  [15078] = {.count = 1, .reusable = true}, SHIFT(11822),
  [15080] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(11376),
  [15083] = {.count = 1, .reusable = true}, SHIFT(11833),
  [15085] = {.count = 1, .reusable = true}, SHIFT(12071),
  [15087] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11410),
  [15090] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11417),
  [15093] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11422),
  [15096] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11430),
  [15099] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11435),
  [15102] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11444),
  [15105] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11447),
  [15108] = {.count = 1, .reusable = true}, SHIFT(11474),
  [15110] = {.count = 1, .reusable = true}, SHIFT(12095),
  [15112] = {.count = 1, .reusable = true}, SHIFT(11498),
  [15114] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(11505),
  [15117] = {.count = 1, .reusable = true}, SHIFT(12122),
  [15119] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(11557),
  [15122] = {.count = 1, .reusable = true}, SHIFT(11955),
  [15124] = {.count = 1, .reusable = true}, REDUCE(sym_block_parameters, 7),
  [15126] = {.count = 1, .reusable = false}, REDUCE(sym_block_parameters, 7),
  [15128] = {.count = 1, .reusable = true}, SHIFT(12126),
  [15130] = {.count = 1, .reusable = true}, SHIFT(12127),
  [15132] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11580),
  [15135] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11585),
  [15138] = {.count = 1, .reusable = true}, SHIFT(12128),
  [15140] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11651),
  [15143] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11667),
  [15146] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11672),
  [15149] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11680),
  [15152] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11685),
  [15155] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11691),
  [15158] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11694),
  [15161] = {.count = 1, .reusable = true}, SHIFT(12131),
  [15163] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(11723),
  [15166] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(11745),
  [15169] = {.count = 1, .reusable = true}, SHIFT(12030),
  [15171] = {.count = 1, .reusable = true}, SHIFT(12136),
  [15173] = {.count = 1, .reusable = true}, SHIFT(12050),
  [15175] = {.count = 1, .reusable = true}, SHIFT(12141),
  [15177] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11817),
  [15180] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11822),
  [15183] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11833),
  [15186] = {.count = 1, .reusable = true}, SHIFT(12142),
  [15188] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(11878),
  [15191] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(11900),
  [15194] = {.count = 1, .reusable = true}, SHIFT(12103),
  [15196] = {.count = 1, .reusable = true}, SHIFT(12147),
  [15198] = {.count = 1, .reusable = true}, SHIFT(12123),
  [15200] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(11955),
  [15203] = {.count = 1, .reusable = true}, REDUCE(sym_block_parameters, 8),
  [15205] = {.count = 1, .reusable = false}, REDUCE(sym_block_parameters, 8),
  [15207] = {.count = 1, .reusable = true}, SHIFT(12132),
  [15209] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(12030),
  [15212] = {.count = 1, .reusable = true}, SHIFT(12137),
  [15214] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(12050),
  [15217] = {.count = 1, .reusable = true}, SHIFT(12143),
  [15219] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(12103),
  [15222] = {.count = 1, .reusable = true}, SHIFT(12148),
  [15224] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(12123),
  [15227] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(12132),
  [15230] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(12137),
  [15233] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(12143),
  [15236] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exceptions_repeat1, 2), SHIFT_REPEAT(12148),
};

void *tree_sitter_ruby_external_scanner_create();
void tree_sitter_ruby_external_scanner_destroy(void *);
bool tree_sitter_ruby_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ruby_external_scanner_serialize(void *, char *);
void tree_sitter_ruby_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_ruby() {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_ruby_external_scanner_create,
      tree_sitter_ruby_external_scanner_destroy,
      tree_sitter_ruby_external_scanner_scan,
      tree_sitter_ruby_external_scanner_serialize,
      tree_sitter_ruby_external_scanner_deserialize,
    },
  };
  return &language;
}
